!******************************************************************************!
!                                                                              !
!    fill_ctcouplings1.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings1.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-03-16 09:42             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings1
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl1()
      coupl(nGC_1706) = coupl(nGC_1242)*dydo_QED1_QCD2
      coupl(nGC_1873) = cima*dMW2_QED2
      coupl(nGC_1648) = coupl(nGC_834)*da_QED2 + coupl(nGC_835)*dl2_QED4 +     &
                        coupl(nGC_836)*dl1_QED4 + coupl(nGC_837)*dl3_QED4
      coupl(nGC_1685) = -cima*dys_QED3
      coupl(nGC_1721) = coupl(nGC_1255)*dym_QED3 + coupl(nGC_1256)*da_QED2
      coupl(nGC_1654) = coupl(nGC_803)*dsw_QED2 + coupl(nGC_804)*dZee_QED2 +   &
                        coupl(nGC_805)*da_QED2
      coupl(nGC_1650) = coupl(nGC_1065)*dcw_QED2 + coupl(nGC_1066)*dsw_QED2 +  &
                        coupl(nGC_1067)*dZee_QED2 + coupl(nGC_1068)*da_QED2
      coupl(nGC_1651) = coupl(nGC_937)*dsw_QED2 + coupl(nGC_938)*dZee_QED2
      coupl(nGC_TS_GC_212_Hl) = -coupl(nGC_212)*dtHl_QED1/cMHL**2d0
      coupl(nGC_2251) = coupl(nGC_MI)*dZdL_QED2
      coupl(nGC_2252) = coupl(nGC_MI)*dZdL_QCD2
      coupl(nGC_1719) = coupl(nGC_363)*dytau_QED3 + coupl(nGC_365)*da_QED2
      coupl(nGC_1718) = coupl(nGC_1253)*dym_QED3 + coupl(nGC_1254)*da_QED2
      coupl(nGC_1868) = -cima*dMS_QED2
      coupl(nGC_1715) = coupl(nGC_1250)*dym_QED3
      coupl(nGC_1714) = coupl(nGC_1247)*dye_QED3
      coupl(nGC_1717) = coupl(nGC_1248)*dye_QED3 + coupl(nGC_1249)*da_QED2
      coupl(nGC_1711) = -cima*dye_QED3
      coupl(nGC_1713) = -cima*dytau_QED3
      coupl(nGC_1712) = -cima*dym_QED3
      coupl(nGC_1669) = coupl(nGC_1088)*dsw_QED2 + coupl(nGC_1089)*dZee_QED2 + &
                        coupl(nGC_1090)*dvev_QED1 + coupl(nGC_1091)*da_QED2
      coupl(nGC_1668) = coupl(nGC_349)*da_QED2 + coupl(nGC_351)*dvevs_QED1 +   &
                        coupl(nGC_353)*dvev_QED1 + coupl(nGC_355)*dl2_QED4 +   &
                        coupl(nGC_357)*dl3_QED4 + coupl(nGC_359)*dl1_QED4
      coupl(nGC_TS_GC_208_Hl) = -coupl(nGC_208)*dtHl_QED1/cMHL**2d0
      coupl(nGC_2248) = coupl(nGC_MI)*dZdR_QCD2
      coupl(nGC_2246) = coupl(nGC_MI)*dZuL_QCD2
      coupl(nGC_2247) = coupl(nGC_MI)*dZdR_QED2
      coupl(nGC_2245) = coupl(nGC_MI)*dZuL_QED2
      coupl(nGC_2242) = coupl(nGC_MI)*dZuR_QCD2
      coupl(nGC_2240) = coupl(nGC_MI)*dZtL_QCD2
      coupl(nGC_2241) = coupl(nGC_MI)*dZuR_QED2
      coupl(nGC_TS_GC_224_Hl) = -coupl(nGC_224)*dtHl_QED1/cMHL**2d0
      coupl(nGC_TS_GC_227_Hh) = -coupl(nGC_227)*dtHh_QED1/cMHH**2d0
      coupl(nGC_1877) = coupl(nGC_147)*dZZA_QED2/2d0
      coupl(nGC_1870) = -cima*dMB_QED2
      coupl(nGC_1871) = -cima*dMB_QCD2
      coupl(nGC_1872) = cima*dMZ2_QED2
      coupl(nGC_TS_GC_215_Hh) = -coupl(nGC_215)*dtHh_QED1/cMHH**2d0
      coupl(nGC_2012) = coupl(nGC_1706) + coupl(nGC_204)*dZdL_QCD2/2d0 + coupl(&
                        nGC_204)*dZdR_QCD2/2d0
      coupl(nGC_2239) = coupl(nGC_MI)*dZtL_QED2
      coupl(nGC_2236) = coupl(nGC_MI)*dZtR_QCD2
      coupl(nGC_2235) = coupl(nGC_MI)*dZtR_QED2
      coupl(nGC_TS_GC_203_Hh) = -coupl(nGC_203)*dtHh_QED1/cMHH**2d0
      coupl(nGC_1865) = -cima*dMT_QCD2
      coupl(nGC_TS_GC_204_Hl) = -coupl(nGC_204)*dtHl_QED1/cMHL**2d0
      coupl(nGC_1861) = -cima*dMU_QCD2
      coupl(nGC_1935) = coupl(nGC_1719) + coupl(nGC_223)*dZHh_QED2/2d0 + coupl(&
                        nGC_223)*dZtauMinusL_QED2/2d0 + coupl(nGC_223)*        &
                        dZtauMinusR_QED2/2d0 + coupl(nGC_224)*dZHlHh_QED2/2d0
      coupl(nGC_2138) = coupl(nGC_MI)*dZnu_eL_QED2
      coupl(nGC_2134) = coupl(nGC_99)*(dZbL_QCD2 + dZtL_QCD2)/2d0
      coupl(nGC_2130) = coupl(nGC_99)*(dZcL_QCD2 + dZsL_QCD2)/2d0
      coupl(nGC_2000) = coupl(nGC_148)*dZHhHl_QED2 + coupl(nGC_150)*dZHl_QED2  &
                         + coupl(nGC_1650)
      coupl(nGC_2001) = coupl(nGC_MI)*dZsR_QED2
      coupl(nGC_2002) = coupl(nGC_MI)*dZsR_QCD2
      coupl(nGC_2005) = coupl(nGC_MI)*dZsL_QED2
      coupl(nGC_2006) = coupl(nGC_MI)*dZsL_QCD2
      coupl(nGC_2008) = coupl(nGC_1715) + coupl(nGC_210)*dZmuMinusL_QED2/2d0 + &
                        coupl(nGC_210)*dZmuMinusR_QED2/2d0
      coupl(nGC_2009) = -coupl(nGC_1715) - coupl(nGC_210)*dZmuMinusL_QED2/2d0  &
                         - coupl(nGC_210)*dZmuMinusR_QED2/2d0
      coupl(nGC_2220) = coupl(nGC_1721) + coupl(nGC_211)*dZHhHl_QED2/2d0 +     &
                        coupl(nGC_212)*dZHl_QED2/2d0 + coupl(nGC_212)*         &
                        dZmuMinusL_QED2/2d0 + coupl(nGC_212)*dZmuMinusR_QED2/  &
                        2d0
      coupl(nGC_2221) = coupl(nGC_177)*dZZA_QED2/2d0
      coupl(nGC_TS_GC_92_Hl) = -coupl(nGC_92)*dtHl_QED1/cMHL**2d0
      coupl(nGC_TS_GC_92_Hh) = -coupl(nGC_92)*dtHh_QED1/cMHH**2d0
      coupl(nGC_1857) = -cima*dME_QED2
      coupl(nGC_1854) = -cima*dMHL2_QED2
      coupl(nGC_1855) = -cima*dMHH2_QED2
      coupl(nGC_1858) = -cima*dMM_QED2
      coupl(nGC_1859) = -cima*dMTA_QED2
      coupl(nGC_TS_GC_184_Hh) = -coupl(nGC_184)*dtHh_QED1/cMHH**2d0
      coupl(nGC_2109) = -coupl(nGC_1714) - coupl(nGC_206)*dZeMinusL_QED2/2d0 - &
                        coupl(nGC_206)*dZeMinusR_QED2/2d0
      coupl(nGC_2108) = coupl(nGC_1714) + coupl(nGC_206)*dZeMinusL_QED2/2d0 +  &
                        coupl(nGC_206)*dZeMinusR_QED2/2d0
      coupl(nGC_2101) = coupl(nGC_MI)*(dZAZ_QED2 + dZZA_QED2)/2d0
      coupl(nGC_2100) = coupl(nGC_MZ)*dZZA_QED2/2d0
      coupl(nGC_2102) = -coupl(nGC_MI)*(dZAZ_QED2 + dZZA_QED2)/2d0
      coupl(nGC_2031) = coupl(nGC_145)*dZZA_QED2/2d0
      coupl(nGC_2215) = coupl(nGC_MI)*dZZ_QED2
      coupl(nGC_2217) = coupl(nGC_MI)*dZmuMinusR_QED2
      coupl(nGC_2216) = -coupl(nGC_MI)*dZZ_QED2
      coupl(nGC_2213) = coupl(nGC_I)*(dZHhHl_QED2 + dZHlHh_QED2)/2d0
      coupl(nGC_2219) = coupl(nGC_MI)*dZmuMinusL_QED2
      coupl(nGC_TS_GC_164_Hl) = -coupl(nGC_164)*dtHl_QED1/cMHL**2d0
      coupl(nGC_TS_GC_32_Hh) = -coupl(nGC_32)*dtHh_QED1/cMHH**2d0
      coupl(nGC_2023) = coupl(nGC_1871) + coupl(nGC_MB)*dZbL_QCD2/2d0 + coupl( &
                        nGC_MB)*dZbR_QCD2/2d0
      coupl(nGC_2020) = coupl(nGC_MI)*dZbR_QED2
      coupl(nGC_2021) = coupl(nGC_MI)*dZbR_QCD2
      coupl(nGC_2024) = coupl(nGC_MI)*dZbL_QED2
      coupl(nGC_2025) = coupl(nGC_MI)*dZbL_QCD2
      coupl(nGC_2209) = coupl(nGC_I)*dZHl_QED2
      coupl(nGC_2117) = coupl(nGC_1711) + coupl(nGC_205)*dZeMinusR_QED2/2d0 +  &
                        coupl(nGC_205)*dZnu_eL_QED2/2d0
      coupl(nGC_2118) = coupl(nGC_MI)*dZg_QCD2
      coupl(nGC_2119) = -coupl(nGC_MI)*dZg_QCD2
      coupl(nGC_1638) = -cima*dl1_QED4
      coupl(nGC_1639) = coupl(nGC_1251)*dl1_QED4
      coupl(nGC_1632) = coupl(nGC_1042)*dcw_QED2 + coupl(nGC_1043)*dZee_QED2
      coupl(nGC_1633) = coupl(nGC_993)*dZee_QED2
      coupl(nGC_1631) = coupl(nGC_1050)*dcw_QED2 + coupl(nGC_1051)*dZee_QED2
      coupl(nGC_1637) = coupl(nGC_791)*dl1_QED4
      coupl(nGC_1634) = coupl(nGC_1021)*dcw_QED2 + coupl(nGC_1022)*dsw_QED2 +  &
                        coupl(nGC_1023)*dZee_QED2
      coupl(nGC_1434) = coupl(nGC_19)**2d0*coupl(nGC_219)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_1431) = coupl(nGC_19)**2d0*coupl(nGC_215)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_1940) = coupl(nGC_142)*dZZA_QED2/2d0
      coupl(nGC_1946) = coupl(nGC_MI)*dZA_QED2
      coupl(nGC_1947) = -coupl(nGC_MI)*dZA_QED2
      coupl(nGC_1869) = -cima*dMS_QCD2
      coupl(nGC_1867) = -cima*dMD_QCD2
      coupl(nGC_1866) = -cima*dMD_QED2
      coupl(nGC_1864) = -cima*dMT_QED2
      coupl(nGC_1863) = -cima*dMC_QCD2
      coupl(nGC_1862) = -cima*dMC_QED2
      coupl(nGC_1860) = -cima*dMU_QED2
      coupl(nGC_TS_GC_199_Hh) = -coupl(nGC_199)*dtHh_QED1/cMHH**2d0
      coupl(nGC_1308) = cMT*cima*coupl(nGC_19)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(&
                        32d0*pi**2d0*Nc)
      coupl(nGC_1306) = cMS*cima*coupl(nGC_19)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(&
                        32d0*pi**2d0*Nc)
      coupl(nGC_1302) = cima*coupl(nGC_19)**2d0*sq2**2d0*(-cMB**2d0 - cMC**2d0 &
                         - cMD**2d0 - cMS**2d0 - cMT**2d0 - cMU**2d0)/(16d0*pi &
                        **2d0*Nc)
      coupl(nGC_TS_GC_33_Hl) = -coupl(nGC_33)*dtHl_QED1/cMHL**2d0
      coupl(nGC_TS_GC_33_Hh) = -coupl(nGC_33)*dtHh_QED1/cMHH**2d0
      coupl(nGC_2163) = coupl(nGC_19)*dZdL_QED2
      coupl(nGC_2160) = coupl(nGC_19)*dZcR_QED2
      coupl(nGC_2165) = coupl(nGC_19)*dZdR_QED2
      coupl(nGC_TS_GC_175_Hh) = -coupl(nGC_175)*dtHh_QED1/cMHH**2d0
      coupl(nGC_TS_GC_190_Hl) = -coupl(nGC_190)*dtHl_QED1/cMHL**2d0
      coupl(nGC_1707) = coupl(nGC_892)*dys_QED3 + coupl(nGC_893)*da_QED2
      coupl(nGC_1577) = cima*coupl(nGC_19)**2d0*sq2**2d0*(-coupl(nGC_193)**2d0 &
                         - coupl(nGC_197)**2d0 - coupl(nGC_201)**2d0 - coupl(  &
                        nGC_213)**2d0 - coupl(nGC_217)**2d0 - coupl(nGC_225)** &
                        2d0)/(32d0*pi**2d0)
      coupl(nGC_1576) = cima*coupl(nGC_19)**2d0*sq2**2d0*(coupl(nGC_193)**2d0  &
                         + coupl(nGC_197)**2d0 + coupl(nGC_201)**2d0 + coupl(  &
                        nGC_213)**2d0 + coupl(nGC_217)**2d0 + coupl(nGC_225)** &
                        2d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_1705) = coupl(nGC_1242)*dydo_QED3 + coupl(nGC_1243)*da_QED2
      coupl(nGC_1978) = coupl(nGC_1685) + coupl(nGC_213)*dZcL_QED2/2d0 + coupl(&
                        nGC_213)*dZsR_QED2/2d0
      coupl(nGC_1444) = coupl(nGC_19)**2d0*coupl(nGC_196)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_1440) = 3d0*(4d0*Nc*cMB*coupl(nGC_196)**3d0 + 4d0*Nc*cMC*coupl(&
                        nGC_200)**3d0 + 4d0*Nc*cMD*coupl(nGC_204)**3d0 + 4d0*Nc&
                        *cMS*coupl(nGC_216)**3d0 + 4d0*Nc*cMT*coupl(nGC_220)** &
                        3d0 + 4d0*Nc*cMU*coupl(nGC_228)**3d0 + 4d0*cME*coupl(  &
                        nGC_208)**3d0 + 4d0*cMM*coupl(nGC_212)**3d0 + 4d0*cMTA*&
                        coupl(nGC_224)**3d0 + cima*coupl(nGC_151)*coupl(nGC_177&
                        ) + 2d0*cima*coupl(nGC_164)*coupl(nGC_96))/(16d0*pi**  &
                        2d0)
      coupl(nGC_2170) = coupl(nGC_MI)*dZtauMinusR_QED2
      coupl(nGC_2172) = coupl(nGC_MI)*dZtauMinusL_QED2
      coupl(nGC_TS_GC_216_Hl) = -coupl(nGC_216)*dtHl_QED1/cMHL**2d0
      coupl(nGC_1783) = coupl(nGC_1252)*dZee_QED2
      coupl(nGC_1786) = coupl(nGC_900)*dsw_QED2 + coupl(nGC_901)*dZee_QED2
      coupl(nGC_1784) = coupl(nGC_1241)*dZee_QED2
      coupl(nGC_1785) = coupl(nGC_387)*dZgs_QCD2
      coupl(nGC_1788) = coupl(nGC_939)*dcw_QED2 + coupl(nGC_940)*dsw_QED2 +    &
                        coupl(nGC_941)*dZee_QED2
      coupl(nGC_1789) = coupl(nGC_1133)*dcw_QED2 + coupl(nGC_1134)*dsw_QED2 +  &
                        coupl(nGC_1135)*dZee_QED2
      coupl(nGC_1564) = cima*(10d0*Nc*coupl(nGC_193)**2d0*coupl(nGC_196)**2d0  &
                         + 10d0*Nc*coupl(nGC_193)**2d0*coupl(nGC_220)**2d0 +   &
                        20d0*Nc*coupl(nGC_193)*coupl(nGC_196)*coupl(nGC_217)*  &
                        coupl(nGC_220) + 10d0*Nc*coupl(nGC_196)**2d0*coupl(    &
                        nGC_217)**2d0 + 10d0*Nc*coupl(nGC_197)**2d0*coupl(     &
                        nGC_200)**2d0 + 10d0*Nc*coupl(nGC_197)**2d0*coupl(     &
                        nGC_216)**2d0 + 20d0*Nc*coupl(nGC_197)*coupl(nGC_200)* &
                        coupl(nGC_213)*coupl(nGC_216) + 10d0*Nc*coupl(nGC_200  &
                        )**2d0*coupl(nGC_213)**2d0 + 10d0*Nc*coupl(nGC_201)**  &
                        2d0*coupl(nGC_204)**2d0 + 10d0*Nc*coupl(nGC_201)**2d0* &
                        coupl(nGC_228)**2d0 + 20d0*Nc*coupl(nGC_201)*coupl(    &
                        nGC_204)*coupl(nGC_225)*coupl(nGC_228) + 10d0*Nc*coupl(&
                        nGC_204)**2d0*coupl(nGC_225)**2d0 + 10d0*Nc*coupl(     &
                        nGC_213)**2d0*coupl(nGC_216)**2d0 + 10d0*Nc*coupl(     &
                        nGC_217)**2d0*coupl(nGC_220)**2d0 + 10d0*Nc*coupl(     &
                        nGC_225)**2d0*coupl(nGC_228)**2d0 + 12d0*coupl(nGC_120 &
                        )**2d0 + 3d0*coupl(nGC_141)*coupl(nGC_151) + 10d0*coupl&
                        (nGC_205)**2d0*coupl(nGC_208)**2d0 + 10d0*coupl(nGC_209&
                        )**2d0*coupl(nGC_212)**2d0 + 10d0*coupl(nGC_221)**2d0* &
                        coupl(nGC_224)**2d0 + 12d0*coupl(nGC_28)**2d0 + 6d0*   &
                        coupl(nGC_71)*coupl(nGC_96))/(48d0*pi**2d0)
      coupl(nGC_1361) = coupl(nGC_19)**2d0*coupl(nGC_225)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_1362) = coupl(nGC_124)*coupl(nGC_129)*coupl(nGC_205)/(4d0*pi** &
                        2d0)
      coupl(nGC_1363) = coupl(nGC_124)*coupl(nGC_129)*coupl(nGC_209)/(4d0*pi** &
                        2d0)
      coupl(nGC_1364) = coupl(nGC_124)*coupl(nGC_129)*coupl(nGC_221)/(4d0*pi** &
                        2d0)
      coupl(nGC_1366) = coupl(nGC_99)*(Nc*coupl(nGC_193)*coupl(nGC_195) - Nc*  &
                        coupl(nGC_197)*coupl(nGC_199) + Nc*coupl(nGC_201)*coupl&
                        (nGC_203) + Nc*coupl(nGC_213)*coupl(nGC_215) - Nc*coupl&
                        (nGC_217)*coupl(nGC_219) - Nc*coupl(nGC_225)*coupl(    &
                        nGC_227) + coupl(nGC_205)*coupl(nGC_207) + coupl(      &
                        nGC_209)*coupl(nGC_211) + coupl(nGC_221)*coupl(nGC_223 &
                        ))/(24d0*pi**2d0)
      coupl(nGC_1367) = coupl(nGC_99)*(Nc*coupl(nGC_193)*coupl(nGC_196) - Nc*  &
                        coupl(nGC_197)*coupl(nGC_200) + Nc*coupl(nGC_201)*coupl&
                        (nGC_204) + Nc*coupl(nGC_213)*coupl(nGC_216) - Nc*coupl&
                        (nGC_217)*coupl(nGC_220) - Nc*coupl(nGC_225)*coupl(    &
                        nGC_228) + coupl(nGC_205)*coupl(nGC_208) + coupl(      &
                        nGC_209)*coupl(nGC_212) + coupl(nGC_221)*coupl(nGC_224 &
                        ))/(24d0*pi**2d0)
      coupl(nGC_TS_GC_162_Hh) = -coupl(nGC_162)*dtHh_QED1/cMHH**2d0
      coupl(nGC_2099) = coupl(nGC_2)*dZcR_QCD2
      coupl(nGC_2098) = coupl(nGC_123)*dZZA_QED2/2d0 + coupl(nGC_1783) + coupl(&
                        nGC_2)*dZA_QED2/2d0 + coupl(nGC_2)*dZcR_QED2
      coupl(nGC_TS_GC_34_Hl) = -coupl(nGC_34)*dtHl_QED1/cMHL**2d0
      coupl(nGC_2097) = coupl(nGC_2)*dZcL_QCD2
      coupl(nGC_2096) = coupl(nGC_126)*dZZA_QED2/2d0 + coupl(nGC_1783) + coupl(&
                        nGC_2)*dZA_QED2/2d0 + coupl(nGC_2)*dZcL_QED2
      coupl(nGC_2149) = coupl(nGC_MZ_GF)*dZZA_QED2/2d0
      coupl(nGC_2145) = coupl(nGC_1785) + coupl(nGC_19)*dZbR_QCD2 + coupl(     &
                        nGC_19)*dZg_QCD2/2d0
      coupl(nGC_2144) = coupl(nGC_19)*dZbL_QED2
      coupl(nGC_2147) = coupl(nGC_175)*dZZA_QED2/2d0
      coupl(nGC_2146) = coupl(nGC_19)*dZbR_QED2
      coupl(nGC_2143) = coupl(nGC_1785) + coupl(nGC_19)*dZbL_QCD2 + coupl(     &
                        nGC_19)*dZg_QCD2/2d0
      coupl(nGC_2142) = coupl(nGC_MI)*dZnu_muL_QED2
      coupl(nGC_TS_GC_36_Hh) = -coupl(nGC_36)*dtHh_QED1/cMHH**2d0
      coupl(nGC_TS_GC_36_Hl) = -coupl(nGC_36)*dtHl_QED1/cMHL**2d0
      coupl(nGC_TS_GC_219_Hh) = -coupl(nGC_219)*dtHh_QED1/cMHH**2d0
      coupl(nGC_1433) = (8d0*coupl(nGC_123)*coupl(nGC_126)*coupl(nGC_219) -    &
                        coupl(nGC_193)*coupl(nGC_195)*coupl(nGC_217) + 8d0*    &
                        coupl(nGC_2)**2d0*coupl(nGC_219) - coupl(nGC_218)**2d0*&
                        coupl(nGC_219) - coupl(nGC_219)**3d0 - coupl(nGC_219)* &
                        coupl(nGC_220)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1724) = coupl(nGC_1117)*dyup_QED1_QCD2
      coupl(nGC_TS_GC_120_Hl) = -coupl(nGC_120)*dtHl_QED1/cMHL**2d0
      coupl(nGC_1727) = coupl(nGC_879)*dyt_QED3
      coupl(nGC_TS_GC_192_Hh) = -coupl(nGC_192)*dtHh_QED1/cMHH**2d0
      coupl(nGC_TS_GC_192_Hl) = -coupl(nGC_192)*dtHl_QED1/cMHL**2d0
      coupl(nGC_1778) = coupl(nGC_1073)*dcw_QED2 + coupl(nGC_1074)*dsw_QED2 +  &
                        coupl(nGC_1075)*dZee_QED2 + coupl(nGC_1076)*da_QED2
      coupl(nGC_1776) = coupl(nGC_945)*dcw_QED2 + coupl(nGC_946)*dsw_QED2 +    &
                        coupl(nGC_947)*dZee_QED2 + coupl(nGC_948)*da_QED2
      coupl(nGC_1775) = coupl(nGC_977)*dcw_QED2 + coupl(nGC_978)*dsw_QED2 +    &
                        coupl(nGC_979)*dZee_QED2
      coupl(nGC_1774) = coupl(nGC_1114)*dcw_QED2 + coupl(nGC_1115)*dsw_QED2 +  &
                        coupl(nGC_1116)*dZee_QED2
      coupl(nGC_1773) = coupl(nGC_1003)*dcw_QED2 + coupl(nGC_1004)*dsw_QED2 +  &
                        coupl(nGC_1005)*dZee_QED2
      coupl(nGC_1772) = coupl(nGC_1047)*dcw_QED2 + coupl(nGC_1048)*dvev_QED1 + &
                        coupl(nGC_1049)*dZee_QED2
      coupl(nGC_1771) = coupl(nGC_1216)*dcw_QED2 + coupl(nGC_1217)*dsw_QED2 +  &
                        coupl(nGC_1218)*dZee_QED2
      coupl(nGC_1603) = cima*coupl(nGC_19)**2d0*sq2**2d0*(-coupl(nGC_195)**2d0 &
                         - coupl(nGC_199)**2d0 - coupl(nGC_203)**2d0 - coupl(  &
                        nGC_215)**2d0 - coupl(nGC_219)**2d0 - coupl(nGC_227)** &
                        2d0)/(16d0*pi**2d0)
      coupl(nGC_1519) = coupl(nGC_19)*sq2*(-4d0*coupl(nGC_1)**2d0 - 4d0*coupl( &
                        nGC_122)**2d0 - coupl(nGC_213)**2d0 - coupl(nGC_214)*  &
                        coupl(nGC_525) - coupl(nGC_215)**2d0 - coupl(nGC_216)**&
                        2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_1518) = coupl(nGC_19)*sq2*(-4d0*coupl(nGC_1)**2d0 - 4d0*coupl( &
                        nGC_125)**2d0 - coupl(nGC_197)**2d0 - coupl(nGC_214)*  &
                        coupl(nGC_525) - coupl(nGC_215)**2d0 - coupl(nGC_216)**&
                        2d0 - 4d0*coupl(nGC_99)**2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_1689) = -cima*dyb_QED3
      coupl(nGC_1688) = cima*dyc_QED1_QCD2
      coupl(nGC_1683) = cima*dyup_QED3
      coupl(nGC_1682) = -cima*dydo_QED1_QCD2
      coupl(nGC_1681) = -cima*dydo_QED3
      coupl(nGC_1680) = coupl(nGC_1044)*dZgs_QCD2
      coupl(nGC_1687) = cima*dyc_QED3
      coupl(nGC_1686) = -cima*dys_QED1_QCD2
      coupl(nGC_1684) = cima*dyup_QED1_QCD2
      coupl(nGC_1999) = coupl(nGC_151)*dZZA_QED2/2d0
      coupl(nGC_1998) = coupl(nGC_MI)*dZeMinusL_QED2
      coupl(nGC_1996) = coupl(nGC_MI)*dZeMinusR_QED2
      coupl(nGC_1994) = coupl(nGC_1786) + coupl(nGC_99)*dZWMinus_QED2/2d0 +    &
                        coupl(nGC_99)*dZmuMinusL_QED2/2d0 + coupl(nGC_99)*     &
                        dZnu_muL_QED2/2d0
      coupl(nGC_1993) = coupl(nGC_19)*dZuR_QED2
      coupl(nGC_1992) = coupl(nGC_1785) + coupl(nGC_19)*dZg_QCD2/2d0 + coupl(  &
                        nGC_19)*dZuR_QCD2
      coupl(nGC_1991) = coupl(nGC_19)*dZuL_QED2
      coupl(nGC_1990) = coupl(nGC_1785) + coupl(nGC_19)*dZg_QCD2/2d0 + coupl(  &
                        nGC_19)*dZuL_QCD2
      coupl(nGC_1355) = coupl(nGC_19)**2d0*coupl(nGC_197)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_1354) = (8d0*coupl(nGC_1)*coupl(nGC_197)*coupl(nGC_2) + 8d0*   &
                        coupl(nGC_123)*coupl(nGC_125)*coupl(nGC_197) - coupl(  &
                        nGC_198)*coupl(nGC_213)*coupl(nGC_214) - coupl(nGC_199 &
                        )*coupl(nGC_213)*coupl(nGC_215) - coupl(nGC_200)*coupl(&
                        nGC_213)*coupl(nGC_216))/(32d0*pi**2d0)
      coupl(nGC_1357) = coupl(nGC_19)**2d0*coupl(nGC_213)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_1423) = coupl(nGC_207)*(8d0*coupl(nGC_124)*coupl(nGC_128) -    &
                        coupl(nGC_206)**2d0 - coupl(nGC_207)**2d0 - coupl(     &
                        nGC_208)**2d0 + 8d0*coupl(nGC_4)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1422) = coupl(nGC_19)**2d0*coupl(nGC_203)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_1421) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_203) + 8d0*coupl(     &
                        nGC_122)*coupl(nGC_125)*coupl(nGC_203) - coupl(nGC_201 &
                        )*coupl(nGC_225)*coupl(nGC_227) - coupl(nGC_202)**2d0* &
                        coupl(nGC_203) - coupl(nGC_203)**3d0 - coupl(nGC_203)* &
                        coupl(nGC_204)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1352) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_217) + 8d0*   &
                        coupl(nGC_123)*coupl(nGC_125)*coupl(nGC_217) - coupl(  &
                        nGC_193)*coupl(nGC_194)*coupl(nGC_218) - coupl(nGC_193 &
                        )*coupl(nGC_195)*coupl(nGC_219) - coupl(nGC_193)*coupl(&
                        nGC_196)*coupl(nGC_220))/(32d0*pi**2d0)
      coupl(nGC_1359) = coupl(nGC_19)**2d0*coupl(nGC_201)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_1429) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_215) + 8d0*coupl(     &
                        nGC_122)*coupl(nGC_125)*coupl(nGC_215) - coupl(nGC_197 &
                        )*coupl(nGC_199)*coupl(nGC_213) - coupl(nGC_215)**3d0  &
                         - coupl(nGC_215)*coupl(nGC_216)**2d0 - coupl(nGC_215)*&
                        coupl(nGC_525)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1428) = coupl(nGC_19)**2d0*sq2**2d0*(cMB*coupl(nGC_195) + cMC* &
                        coupl(nGC_199) + cMD*coupl(nGC_203) + cMS*coupl(nGC_215&
                        ) + cMT*coupl(nGC_219) + cMU*coupl(nGC_227))/(16d0*pi**&
                        2d0*Nc)
      coupl(nGC_2080) = coupl(nGC_1648) + 3d0*coupl(nGC_33)*dZHh_QED2/2d0 +    &
                        coupl(nGC_33)*dZHl_QED2/2d0 + coupl(nGC_35)*dZHhHl_QED2&
                        /2d0 + 3d0*coupl(nGC_36)*dZHlHh_QED2/2d0
      coupl(nGC_2085) = coupl(nGC_1727) + coupl(nGC_218)*dZtL_QED2/2d0 + coupl(&
                        nGC_218)*dZtR_QED2/2d0
      coupl(nGC_2087) = -coupl(nGC_1727) - coupl(nGC_218)*dZtL_QED2/2d0 - coupl&
                        (nGC_218)*dZtR_QED2/2d0
      coupl(nGC_TS_GC_200_Hl) = -coupl(nGC_200)*dtHl_QED1/cMHL**2d0
      coupl(nGC_2158) = coupl(nGC_19)*dZcL_QED2
      coupl(nGC_2159) = coupl(nGC_1785) + coupl(nGC_19)*dZcR_QCD2 + coupl(     &
                        nGC_19)*dZg_QCD2/2d0
      coupl(nGC_2152) = coupl(nGC_123)*dZZA_QED2/2d0 + coupl(nGC_1783) + coupl(&
                        nGC_2)*dZA_QED2/2d0 + coupl(nGC_2)*dZuR_QED2
      coupl(nGC_2153) = coupl(nGC_2)*dZuR_QCD2
      coupl(nGC_2150) = coupl(nGC_126)*dZZA_QED2/2d0 + coupl(nGC_1783) + coupl(&
                        nGC_2)*dZA_QED2/2d0 + coupl(nGC_2)*dZuL_QED2
      coupl(nGC_2151) = coupl(nGC_2)*dZuL_QCD2
      coupl(nGC_2157) = coupl(nGC_1785) + coupl(nGC_19)*dZcL_QCD2 + coupl(     &
                        nGC_19)*dZg_QCD2/2d0
      coupl(nGC_2155) = coupl(nGC_1717) + coupl(nGC_207)*dZHh_QED2/2d0 + coupl(&
                        nGC_207)*dZeMinusL_QED2/2d0 + coupl(nGC_207)*          &
                        dZeMinusR_QED2/2d0 + coupl(nGC_208)*dZHlHh_QED2/2d0
      coupl(nGC_TS_GC_189_Hh) = -coupl(nGC_189)*dtHh_QED1/cMHH**2d0
      coupl(nGC_TS_GC_189_Hl) = -coupl(nGC_189)*dtHl_QED1/cMHL**2d0
      coupl(nGC_1733) = coupl(nGC_375)*dyt_QED3 + coupl(nGC_377)*da_QED2
      coupl(nGC_TS_GC_15_Hh) = -coupl(nGC_15)*dtHh_QED1/cMHH**2d0
      coupl(nGC_TS_GC_145_Hh) = -coupl(nGC_145)*dtHh_QED1/cMHH**2d0
      coupl(nGC_1463) = coupl(nGC_19)**2d0*coupl(nGC_220)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_1462) = (8d0*coupl(nGC_123)*coupl(nGC_126)*coupl(nGC_220) -    &
                        coupl(nGC_193)*coupl(nGC_196)*coupl(nGC_217) + 8d0*    &
                        coupl(nGC_2)**2d0*coupl(nGC_220) - coupl(nGC_218)**2d0*&
                        coupl(nGC_220) - coupl(nGC_219)**2d0*coupl(nGC_220) -  &
                        coupl(nGC_220)**3d0)/(32d0*pi**2d0)
      coupl(nGC_TS_GC_223_Hh) = -coupl(nGC_223)*dtHh_QED1/cMHH**2d0
      coupl(nGC_1461) = (8d0*coupl(nGC_123)*coupl(nGC_126)*coupl(nGC_220) -    &
                        coupl(nGC_193)*coupl(nGC_196)*coupl(nGC_217) + 8d0*    &
                        coupl(nGC_2)**2d0*coupl(nGC_220) - coupl(nGC_219)**2d0*&
                        coupl(nGC_220) - coupl(nGC_220)**3d0 - coupl(nGC_220)* &
                        coupl(nGC_545)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1460) = coupl(nGC_19)**2d0*sq2**2d0*(cMB*coupl(nGC_196) + cMC* &
                        coupl(nGC_200) + cMD*coupl(nGC_204) + cMS*coupl(nGC_216&
                        ) + cMT*coupl(nGC_220) + cMU*coupl(nGC_228))/(16d0*pi**&
                        2d0*Nc)
      coupl(nGC_1395) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_525) + 8d0*coupl(     &
                        nGC_122)*coupl(nGC_125)*coupl(nGC_525) - coupl(nGC_197 &
                        )*coupl(nGC_198)*coupl(nGC_213) - coupl(nGC_214)*coupl(&
                        nGC_215)**2d0 - coupl(nGC_214)*coupl(nGC_216)**2d0 -   &
                        coupl(nGC_214)*coupl(nGC_525)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1465) = coupl(nGC_224)*(8d0*coupl(nGC_124)*coupl(nGC_128) -    &
                        coupl(nGC_223)**2d0 - coupl(nGC_224)**2d0 + 8d0*coupl( &
                        nGC_4)**2d0 - coupl(nGC_535)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1464) = coupl(nGC_224)*(8d0*coupl(nGC_124)*coupl(nGC_128) -    &
                        coupl(nGC_222)**2d0 - coupl(nGC_223)**2d0 - coupl(     &
                        nGC_224)**2d0 + 8d0*coupl(nGC_4)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1735) = coupl(nGC_1175)*dyup_QED3 + coupl(nGC_1176)*da_QED2
      coupl(nGC_TS_GC_96_Hl) = -coupl(nGC_96)*dtHl_QED1/cMHL**2d0
      coupl(nGC_1734) = coupl(nGC_375)*dyt_QED1_QCD2
      coupl(nGC_1768) = coupl(nGC_972)*dcw_QED2 + coupl(nGC_973)*dsw_QED2 +    &
                        coupl(nGC_974)*dZee_QED2
      coupl(nGC_1769) = coupl(nGC_1085)*dcw_QED2 + coupl(nGC_1086)*dZee_QED2 + &
                        coupl(nGC_1087)*da_QED2
      coupl(nGC_1764) = coupl(nGC_1163)*dsw_QED2 + coupl(nGC_1164)*dZee_QED2
      coupl(nGC_1765) = coupl(nGC_1130)*dcw_QED2 + coupl(nGC_1131)*dsw_QED2 +  &
                        coupl(nGC_1132)*dZee_QED2
      coupl(nGC_1766) = coupl(nGC_830)*dcw_QED2 + coupl(nGC_831)*dsw_QED2 +    &
                        coupl(nGC_832)*dZee_QED2 + coupl(nGC_833)*da_QED2
      coupl(nGC_1767) = coupl(nGC_875)*dcw_QED2 + coupl(nGC_876)*dsw_QED2 +    &
                        coupl(nGC_877)*dZee_QED2 + coupl(nGC_878)*da_QED2
      coupl(nGC_1760) = coupl(nGC_1077)*dsw_QED2 + coupl(nGC_1078)*dZee_QED2 + &
                        coupl(nGC_1079)*dvev_QED1 + coupl(nGC_1080)*da_QED2
      coupl(nGC_1761) = coupl(nGC_1200)*dsw_QED2 + coupl(nGC_1201)*dZee_QED2 + &
                        coupl(nGC_1202)*dvev_QED1 + coupl(nGC_1203)*da_QED2
      coupl(nGC_1762) = coupl(nGC_989)*dZee_QED2
      coupl(nGC_1763) = coupl(nGC_851)*dcw_QED2 + coupl(nGC_852)*dsw_QED2 +    &
                        coupl(nGC_853)*dZee_QED2
      coupl(nGC_TS_GC_191_Hh) = -coupl(nGC_191)*dtHh_QED1/cMHH**2d0
      coupl(nGC_1501) = (-2d0*coupl(nGC_103)*coupl(nGC_99)**2d0 + coupl(nGC_124&
                        )*coupl(nGC_222)*coupl(nGC_535) + coupl(nGC_124)*coupl(&
                        nGC_223)**2d0 + coupl(nGC_124)*coupl(nGC_224)**2d0 +   &
                        4d0*coupl(nGC_128)**3d0 + 4d0*coupl(nGC_128)*coupl(    &
                        nGC_4)**2d0 + 4d0*coupl(nGC_129)*coupl(nGC_99)**2d0)/( &
                        32d0*pi**2d0)
      coupl(nGC_1502) = (2d0*coupl(nGC_103)*coupl(nGC_99)**2d0 + coupl(nGC_122 &
                        )*coupl(nGC_201)**2d0 + coupl(nGC_123)*coupl(nGC_226)* &
                        coupl(nGC_533) + coupl(nGC_123)*coupl(nGC_227)**2d0 +  &
                        coupl(nGC_123)*coupl(nGC_228)**2d0 + 4d0*coupl(nGC_125 &
                        )*coupl(nGC_99)**2d0 + 4d0*coupl(nGC_126)**3d0 + 4d0*  &
                        coupl(nGC_126)*coupl(nGC_2)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1503) = (4d0*coupl(nGC_123)**3d0 + 4d0*coupl(nGC_123)*coupl(   &
                        nGC_2)**2d0 + coupl(nGC_125)*coupl(nGC_225)**2d0 +     &
                        coupl(nGC_126)*coupl(nGC_226)*coupl(nGC_533) + coupl(  &
                        nGC_126)*coupl(nGC_227)**2d0 + coupl(nGC_126)*coupl(   &
                        nGC_228)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1698) = coupl(nGC_1222)*dyb_QED1_QCD2
      coupl(nGC_1690) = -cima*dyb_QED1_QCD2
      coupl(nGC_1691) = cima*dyt_QED3
      coupl(nGC_1692) = cima*dyt_QED1_QCD2
      coupl(nGC_1695) = coupl(nGC_841)*dys_QED3
      coupl(nGC_1696) = coupl(nGC_841)*dys_QED1_QCD2
      coupl(nGC_1697) = coupl(nGC_1222)*dyb_QED3
    end subroutine fill_CTcouplings_mdl1
end module fill_ctcouplings1
