!******************************************************************************!
!                                                                              !
!    fill_ctcouplings4.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings4.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-03-16 09:42             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings4
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl4()
      coupl(nGC_2228) = -coupl(nGC_1679) - 2d0*coupl(nGC_21)*dZg_QCD2
      coupl(nGC_2229) = 2d0*coupl(nGC_1679) + 4d0*coupl(nGC_21)*dZg_QCD2
      coupl(nGC_1658) = coupl(nGC_889)*dsw_QED2 + coupl(nGC_890)*dZee_QED2 +   &
                        coupl(nGC_891)*da_QED2
      coupl(nGC_1659) = coupl(nGC_918)*dsw_QED2 + coupl(nGC_919)*dZee_QED2 +   &
                        coupl(nGC_920)*da_QED2
      coupl(nGC_1792) = coupl(nGC_1204)*dcw_QED2 + coupl(nGC_1205)*dsw_QED2 +  &
                        coupl(nGC_1206)*dZee_QED2
      coupl(nGC_1655) = coupl(nGC_882)*dsw_QED2 + coupl(nGC_883)*dZee_QED2
      coupl(nGC_1656) = coupl(nGC_880)*dsw_QED2 + coupl(nGC_881)*dZee_QED2
      coupl(nGC_1657) = coupl(nGC_986)*dcw_QED2 + coupl(nGC_987)*dsw_QED2 +    &
                        coupl(nGC_988)*dZee_QED2
      coupl(nGC_2225) = -coupl(nGC_104)*dZZA_QED2/4d0 - coupl(nGC_1674)/2d0 -  &
                        coupl(nGC_6)*dZA_QED2/4d0
      coupl(nGC_1652) = coupl(nGC_1024)*dsw_QED2 + coupl(nGC_1025)*dZee_QED2 + &
                        coupl(nGC_1026)*da_QED2
      coupl(nGC_1653) = coupl(nGC_812)*dsw_QED2 + coupl(nGC_813)*dZee_QED2 +   &
                        coupl(nGC_814)*da_QED2
      coupl(nGC_1309) = cMTA*cima*(-coupl(nGC_124)*coupl(nGC_128) - coupl(nGC_4&
                        )**2d0)/(8d0*pi**2d0)
      coupl(nGC_1424) = coupl(nGC_207)*(8d0*coupl(nGC_124)*coupl(nGC_128) -    &
                        coupl(nGC_207)**2d0 - coupl(nGC_208)**2d0 + 8d0*coupl( &
                        nGC_4)**2d0 - coupl(nGC_573)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1307) = cMT*cima*(-coupl(nGC_123)*coupl(nGC_126) - coupl(nGC_2 &
                        )**2d0)/(8d0*pi**2d0)
      coupl(nGC_1351) = coupl(nGC_19)**2d0*coupl(nGC_193)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_1299) = cima*coupl(nGC_19)**2d0*sq2**2d0*(cMB**2d0 + cMC**2d0  &
                         + cMD**2d0 + cMS**2d0 + cMT**2d0 + cMU**2d0)/(16d0*pi &
                        **2d0)
      coupl(nGC_1386) = coupl(nGC_19)**2d0*coupl(nGC_198)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_1387) = (8d0*coupl(nGC_124)*coupl(nGC_128)*coupl(nGC_206) -    &
                        coupl(nGC_206)**2d0*coupl(nGC_573) + 8d0*coupl(nGC_206 &
                        )*coupl(nGC_4)**2d0 - coupl(nGC_207)**2d0*coupl(nGC_573&
                        ) - coupl(nGC_208)**2d0*coupl(nGC_573))/(32d0*pi**2d0)
      coupl(nGC_1384) = coupl(nGC_19)**2d0*coupl(nGC_561)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_TS_GC_31_Hh) = -coupl(nGC_31)*dtHh_QED1/cMHH**2d0
      coupl(nGC_1382) = (-Nc*coupl(nGC_122)*coupl(nGC_194)*coupl(nGC_196) + Nc*&
                        coupl(nGC_122)*coupl(nGC_196)*coupl(nGC_611) - Nc*coupl&
                        (nGC_122)*coupl(nGC_202)*coupl(nGC_204) + Nc*coupl(    &
                        nGC_122)*coupl(nGC_204)*coupl(nGC_597) - Nc*coupl(     &
                        nGC_122)*coupl(nGC_214)*coupl(nGC_216) + Nc*coupl(     &
                        nGC_122)*coupl(nGC_216)*coupl(nGC_525) - Nc*coupl(     &
                        nGC_123)*coupl(nGC_198)*coupl(nGC_200) + Nc*coupl(     &
                        nGC_123)*coupl(nGC_200)*coupl(nGC_561) - Nc*coupl(     &
                        nGC_123)*coupl(nGC_218)*coupl(nGC_220) + Nc*coupl(     &
                        nGC_123)*coupl(nGC_220)*coupl(nGC_545) - Nc*coupl(     &
                        nGC_123)*coupl(nGC_226)*coupl(nGC_228) + Nc*coupl(     &
                        nGC_123)*coupl(nGC_228)*coupl(nGC_533) + Nc*coupl(     &
                        nGC_125)*coupl(nGC_194)*coupl(nGC_196) - Nc*coupl(     &
                        nGC_125)*coupl(nGC_196)*coupl(nGC_611) + Nc*coupl(     &
                        nGC_125)*coupl(nGC_202)*coupl(nGC_204) - Nc*coupl(     &
                        nGC_125)*coupl(nGC_204)*coupl(nGC_597) + Nc*coupl(     &
                        nGC_125)*coupl(nGC_214)*coupl(nGC_216) - Nc*coupl(     &
                        nGC_125)*coupl(nGC_216)*coupl(nGC_525) + Nc*coupl(     &
                        nGC_126)*coupl(nGC_198)*coupl(nGC_200) - Nc*coupl(     &
                        nGC_126)*coupl(nGC_200)*coupl(nGC_561) + Nc*coupl(     &
                        nGC_126)*coupl(nGC_218)*coupl(nGC_220) - Nc*coupl(     &
                        nGC_126)*coupl(nGC_220)*coupl(nGC_545) + Nc*coupl(     &
                        nGC_126)*coupl(nGC_226)*coupl(nGC_228) - Nc*coupl(     &
                        nGC_126)*coupl(nGC_228)*coupl(nGC_533) - coupl(nGC_124 &
                        )*coupl(nGC_206)*coupl(nGC_208) + coupl(nGC_124)*coupl(&
                        nGC_208)*coupl(nGC_573) - coupl(nGC_124)*coupl(nGC_210 &
                        )*coupl(nGC_212) + coupl(nGC_124)*coupl(nGC_212)*coupl(&
                        nGC_569) - coupl(nGC_124)*coupl(nGC_222)*coupl(nGC_224 &
                        ) + coupl(nGC_124)*coupl(nGC_224)*coupl(nGC_535) +     &
                        coupl(nGC_128)*coupl(nGC_206)*coupl(nGC_208) - coupl(  &
                        nGC_128)*coupl(nGC_208)*coupl(nGC_573) + coupl(nGC_128 &
                        )*coupl(nGC_210)*coupl(nGC_212) - coupl(nGC_128)*coupl(&
                        nGC_212)*coupl(nGC_569) + coupl(nGC_128)*coupl(nGC_222 &
                        )*coupl(nGC_224) - coupl(nGC_128)*coupl(nGC_224)*coupl(&
                        nGC_535))/(24d0*pi**2d0)
      coupl(nGC_1383) = (8d0*coupl(nGC_123)*coupl(nGC_126)*coupl(nGC_561) -    &
                        coupl(nGC_197)*coupl(nGC_213)*coupl(nGC_214) - coupl(  &
                        nGC_198)*coupl(nGC_199)**2d0 - coupl(nGC_198)*coupl(   &
                        nGC_200)**2d0 - coupl(nGC_198)*coupl(nGC_561)**2d0 +   &
                        8d0*coupl(nGC_2)**2d0*coupl(nGC_561))/(32d0*pi**2d0)
      coupl(nGC_1380) = coupl(nGC_19)**2d0*coupl(nGC_194)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_1381) = (-Nc*coupl(nGC_122)*coupl(nGC_194)*coupl(nGC_195) + Nc*&
                        coupl(nGC_122)*coupl(nGC_195)*coupl(nGC_611) - Nc*coupl&
                        (nGC_122)*coupl(nGC_202)*coupl(nGC_203) + Nc*coupl(    &
                        nGC_122)*coupl(nGC_203)*coupl(nGC_597) - Nc*coupl(     &
                        nGC_122)*coupl(nGC_214)*coupl(nGC_215) + Nc*coupl(     &
                        nGC_122)*coupl(nGC_215)*coupl(nGC_525) - Nc*coupl(     &
                        nGC_123)*coupl(nGC_198)*coupl(nGC_199) + Nc*coupl(     &
                        nGC_123)*coupl(nGC_199)*coupl(nGC_561) - Nc*coupl(     &
                        nGC_123)*coupl(nGC_218)*coupl(nGC_219) + Nc*coupl(     &
                        nGC_123)*coupl(nGC_219)*coupl(nGC_545) - Nc*coupl(     &
                        nGC_123)*coupl(nGC_226)*coupl(nGC_227) + Nc*coupl(     &
                        nGC_123)*coupl(nGC_227)*coupl(nGC_533) + Nc*coupl(     &
                        nGC_125)*coupl(nGC_194)*coupl(nGC_195) - Nc*coupl(     &
                        nGC_125)*coupl(nGC_195)*coupl(nGC_611) + Nc*coupl(     &
                        nGC_125)*coupl(nGC_202)*coupl(nGC_203) - Nc*coupl(     &
                        nGC_125)*coupl(nGC_203)*coupl(nGC_597) + Nc*coupl(     &
                        nGC_125)*coupl(nGC_214)*coupl(nGC_215) - Nc*coupl(     &
                        nGC_125)*coupl(nGC_215)*coupl(nGC_525) + Nc*coupl(     &
                        nGC_126)*coupl(nGC_198)*coupl(nGC_199) - Nc*coupl(     &
                        nGC_126)*coupl(nGC_199)*coupl(nGC_561) + Nc*coupl(     &
                        nGC_126)*coupl(nGC_218)*coupl(nGC_219) - Nc*coupl(     &
                        nGC_126)*coupl(nGC_219)*coupl(nGC_545) + Nc*coupl(     &
                        nGC_126)*coupl(nGC_226)*coupl(nGC_227) - Nc*coupl(     &
                        nGC_126)*coupl(nGC_227)*coupl(nGC_533) - coupl(nGC_124 &
                        )*coupl(nGC_206)*coupl(nGC_207) + coupl(nGC_124)*coupl(&
                        nGC_207)*coupl(nGC_573) - coupl(nGC_124)*coupl(nGC_210 &
                        )*coupl(nGC_211) + coupl(nGC_124)*coupl(nGC_211)*coupl(&
                        nGC_569) - coupl(nGC_124)*coupl(nGC_222)*coupl(nGC_223 &
                        ) + coupl(nGC_124)*coupl(nGC_223)*coupl(nGC_535) +     &
                        coupl(nGC_128)*coupl(nGC_206)*coupl(nGC_207) - coupl(  &
                        nGC_128)*coupl(nGC_207)*coupl(nGC_573) + coupl(nGC_128 &
                        )*coupl(nGC_210)*coupl(nGC_211) - coupl(nGC_128)*coupl(&
                        nGC_211)*coupl(nGC_569) + coupl(nGC_128)*coupl(nGC_222 &
                        )*coupl(nGC_223) - coupl(nGC_128)*coupl(nGC_223)*coupl(&
                        nGC_535))/(24d0*pi**2d0)
      coupl(nGC_1722) = coupl(nGC_369)*dytau_QED3 + coupl(nGC_371)*da_QED2
      coupl(nGC_1388) = (8d0*coupl(nGC_124)*coupl(nGC_128)*coupl(nGC_573) -    &
                        coupl(nGC_206)*coupl(nGC_207)**2d0 - coupl(nGC_206)*   &
                        coupl(nGC_208)**2d0 - coupl(nGC_206)*coupl(nGC_573)**  &
                        2d0 + 8d0*coupl(nGC_4)**2d0*coupl(nGC_573))/(32d0*pi** &
                        2d0)
      coupl(nGC_1389) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_597) + 8d0*coupl(     &
                        nGC_122)*coupl(nGC_125)*coupl(nGC_597) - coupl(nGC_201 &
                        )*coupl(nGC_225)*coupl(nGC_226) - coupl(nGC_202)*coupl(&
                        nGC_203)**2d0 - coupl(nGC_202)*coupl(nGC_204)**2d0 -   &
                        coupl(nGC_202)*coupl(nGC_597)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1478) = coupl(nGC_99)*(coupl(nGC_102)*coupl(nGC_128) + 2d0*    &
                        coupl(nGC_128)*coupl(nGC_129) + coupl(nGC_129)*coupl(  &
                        nGC_539) + coupl(nGC_4)**2d0)/(16d0*pi**2d0)
      coupl(nGC_1479) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_125) + coupl(nGC_122)*&
                        coupl(nGC_194)*coupl(nGC_611) + coupl(nGC_122)*coupl(  &
                        nGC_195)**2d0 + coupl(nGC_122)*coupl(nGC_196)**2d0 +   &
                        coupl(nGC_123)*coupl(nGC_217)**2d0 + 4d0*coupl(nGC_125 &
                        )**3d0 + 4d0*coupl(nGC_126)*coupl(nGC_99)**2d0 + 2d0*  &
                        coupl(nGC_585)*coupl(nGC_99)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1573) = (5d0*Nc*cima*coupl(nGC_122)*coupl(nGC_193)*coupl(      &
                        nGC_196)*coupl(nGC_99) + 5d0*Nc*cima*coupl(nGC_122)*   &
                        coupl(nGC_201)*coupl(nGC_204)*coupl(nGC_99) + 5d0*Nc*  &
                        cima*coupl(nGC_122)*coupl(nGC_213)*coupl(nGC_216)*coupl&
                        (nGC_99) + 5d0*Nc*cima*coupl(nGC_123)*coupl(nGC_197)*  &
                        coupl(nGC_200)*coupl(nGC_99) + 5d0*Nc*cima*coupl(      &
                        nGC_123)*coupl(nGC_217)*coupl(nGC_220)*coupl(nGC_99) + &
                        5d0*Nc*cima*coupl(nGC_123)*coupl(nGC_225)*coupl(nGC_228&
                        )*coupl(nGC_99) - 4d0*Nc*cima*coupl(nGC_125)*coupl(    &
                        nGC_193)*coupl(nGC_196)*coupl(nGC_99) - 4d0*Nc*cima*   &
                        coupl(nGC_125)*coupl(nGC_197)*coupl(nGC_200)*coupl(    &
                        nGC_99) - 4d0*Nc*cima*coupl(nGC_125)*coupl(nGC_201)*   &
                        coupl(nGC_204)*coupl(nGC_99) - 4d0*Nc*cima*coupl(      &
                        nGC_125)*coupl(nGC_213)*coupl(nGC_216)*coupl(nGC_99) - &
                        4d0*Nc*cima*coupl(nGC_125)*coupl(nGC_217)*coupl(nGC_220&
                        )*coupl(nGC_99) - 4d0*Nc*cima*coupl(nGC_125)*coupl(    &
                        nGC_225)*coupl(nGC_228)*coupl(nGC_99) - 4d0*Nc*cima*   &
                        coupl(nGC_126)*coupl(nGC_193)*coupl(nGC_196)*coupl(    &
                        nGC_99) - 4d0*Nc*cima*coupl(nGC_126)*coupl(nGC_197)*   &
                        coupl(nGC_200)*coupl(nGC_99) - 4d0*Nc*cima*coupl(      &
                        nGC_126)*coupl(nGC_201)*coupl(nGC_204)*coupl(nGC_99) - &
                        4d0*Nc*cima*coupl(nGC_126)*coupl(nGC_213)*coupl(nGC_216&
                        )*coupl(nGC_99) - 4d0*Nc*cima*coupl(nGC_126)*coupl(    &
                        nGC_217)*coupl(nGC_220)*coupl(nGC_99) - 4d0*Nc*cima*   &
                        coupl(nGC_126)*coupl(nGC_225)*coupl(nGC_228)*coupl(    &
                        nGC_99) + 6d0*cima*coupl(nGC_113)*coupl(nGC_120) + 5d0*&
                        cima*coupl(nGC_124)*coupl(nGC_205)*coupl(nGC_208)*coupl&
                        (nGC_99) + 5d0*cima*coupl(nGC_124)*coupl(nGC_209)*coupl&
                        (nGC_212)*coupl(nGC_99) + 5d0*cima*coupl(nGC_124)*coupl&
                        (nGC_221)*coupl(nGC_224)*coupl(nGC_99) - 4d0*cima*coupl&
                        (nGC_128)*coupl(nGC_205)*coupl(nGC_208)*coupl(nGC_99   &
                        ) - 4d0*cima*coupl(nGC_128)*coupl(nGC_209)*coupl(      &
                        nGC_212)*coupl(nGC_99) - 4d0*cima*coupl(nGC_128)*coupl(&
                        nGC_221)*coupl(nGC_224)*coupl(nGC_99) - 4d0*cima*coupl(&
                        nGC_129)*coupl(nGC_205)*coupl(nGC_208)*coupl(nGC_99) - &
                        4d0*cima*coupl(nGC_129)*coupl(nGC_209)*coupl(nGC_212)* &
                        coupl(nGC_99) - 4d0*cima*coupl(nGC_129)*coupl(nGC_221)*&
                        coupl(nGC_224)*coupl(nGC_99) + 6d0*cima*coupl(nGC_28)* &
                        coupl(nGC_84) + 6d0*coupl(nGC_103)*coupl(nGC_28)*coupl(&
                        nGC_585) + 6d0*coupl(nGC_120)*coupl(nGC_3)*coupl(      &
                        nGC_585))/(48d0*pi**2d0)
      coupl(nGC_1575) = cima*coupl(nGC_19)**2d0*sq2**2d0*(-coupl(nGC_1)**2d0 - &
                        coupl(nGC_2)**2d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_1574) = cima*coupl(nGC_19)**2d0*sq2**2d0*(coupl(nGC_1)**2d0 +  &
                        coupl(nGC_2)**2d0)/(16d0*pi**2d0)
      coupl(nGC_1470) = coupl(nGC_99)*(2d0*coupl(nGC_1)*coupl(nGC_2) + coupl(  &
                        nGC_1)*coupl(nGC_523) + coupl(nGC_103)*coupl(nGC_126   &
                        ) + 2d0*coupl(nGC_125)*coupl(nGC_126) + coupl(nGC_125)*&
                        coupl(nGC_585) + coupl(nGC_2)*coupl(nGC_3))/(16d0*pi** &
                        2d0)
      coupl(nGC_1471) = coupl(nGC_19)**2d0*coupl(nGC_99)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_1472) = coupl(nGC_99)*(2d0*coupl(nGC_1)*coupl(nGC_2) - coupl(  &
                        nGC_1)*coupl(nGC_3) - coupl(nGC_103)*coupl(nGC_125) +  &
                        2d0*coupl(nGC_125)*coupl(nGC_126) - coupl(nGC_126)*    &
                        coupl(nGC_585) - coupl(nGC_2)*coupl(nGC_523))/(16d0*pi &
                        **2d0)
      coupl(nGC_1473) = coupl(nGC_99)*(coupl(nGC_103)*coupl(nGC_129) + 2d0*    &
                        coupl(nGC_128)*coupl(nGC_129) + coupl(nGC_128)*coupl(  &
                        nGC_585) + coupl(nGC_4)*coupl(nGC_523))/(16d0*pi**2d0)
      coupl(nGC_1474) = coupl(nGC_99)*(-coupl(nGC_103)*coupl(nGC_128) + 2d0*   &
                        coupl(nGC_128)*coupl(nGC_129) - coupl(nGC_129)*coupl(  &
                        nGC_585) - coupl(nGC_3)*coupl(nGC_4))/(16d0*pi**2d0)
      coupl(nGC_1475) = coupl(nGC_99)*(2d0*coupl(nGC_1)*coupl(nGC_2) - coupl(  &
                        nGC_1)*coupl(nGC_589) - coupl(nGC_102)*coupl(nGC_126   &
                        ) + 2d0*coupl(nGC_125)*coupl(nGC_126) - coupl(nGC_125)*&
                        coupl(nGC_539) - coupl(nGC_2)*coupl(nGC_4))/(16d0*pi** &
                        2d0)
      coupl(nGC_1476) = coupl(nGC_99)*(2d0*coupl(nGC_1)*coupl(nGC_2) + coupl(  &
                        nGC_1)*coupl(nGC_4) + coupl(nGC_102)*coupl(nGC_125) +  &
                        2d0*coupl(nGC_125)*coupl(nGC_126) + coupl(nGC_126)*    &
                        coupl(nGC_539) + coupl(nGC_2)*coupl(nGC_589))/(16d0*pi &
                        **2d0)
      coupl(nGC_1477) = coupl(nGC_99)*(-coupl(nGC_102)*coupl(nGC_129) + 2d0*   &
                        coupl(nGC_128)*coupl(nGC_129) - coupl(nGC_128)*coupl(  &
                        nGC_539) - coupl(nGC_4)*coupl(nGC_589))/(16d0*pi**2d0)
      coupl(nGC_1894) = coupl(nGC_1695) + coupl(nGC_214)*dZsL_QED2/2d0 + coupl(&
                        nGC_214)*dZsR_QED2/2d0
      coupl(nGC_1895) = coupl(nGC_1696) + coupl(nGC_214)*dZsL_QCD2/2d0 + coupl(&
                        nGC_214)*dZsR_QCD2/2d0
      coupl(nGC_1628) = cima*coupl(nGC_19)**4d0*sq2**4d0/(32d0*pi**2d0*Nc**2d0)
      coupl(nGC_1358) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_201) + 8d0*   &
                        coupl(nGC_122)*coupl(nGC_126)*coupl(nGC_201) - coupl(  &
                        nGC_203)*coupl(nGC_225)*coupl(nGC_227) - coupl(nGC_204 &
                        )*coupl(nGC_225)*coupl(nGC_228) - coupl(nGC_225)*coupl(&
                        nGC_533)*coupl(nGC_597))/(32d0*pi**2d0)
      coupl(nGC_1975) = coupl(nGC_122)*dZbR_QCD2
      coupl(nGC_1974) = coupl(nGC_1)*dZAZ_QED2/2d0 + coupl(nGC_122)*dZZ_QED2/  &
                        2d0 + coupl(nGC_122)*dZbR_QED2 + coupl(nGC_1789)
      coupl(nGC_1977) = coupl(nGC_1722) + coupl(nGC_223)*dZHhHl_QED2/2d0 +     &
                        coupl(nGC_224)*dZHl_QED2/2d0 + coupl(nGC_224)*         &
                        dZtauMinusL_QED2/2d0 + coupl(nGC_224)*dZtauMinusR_QED2/&
                        2d0
      coupl(nGC_1976) = coupl(nGC_108)*dZA_QED2/2d0 + coupl(nGC_108)*          &
                        dZWMinus_QED2/2d0 + coupl(nGC_14)*dZZA_QED2/2d0 + coupl&
                        (nGC_1655)
      coupl(nGC_1971) = coupl(nGC_147)*dZHhHl_QED2 + coupl(nGC_151)*dZHl_QED2  &
                         + coupl(nGC_151)*dZZ_QED2 + coupl(nGC_1778)
      coupl(nGC_1970) = coupl(nGC_1720) + coupl(nGC_207)*dZHhHl_QED2/2d0 +     &
                        coupl(nGC_208)*dZHl_QED2/2d0 + coupl(nGC_208)*         &
                        dZeMinusL_QED2/2d0 + coupl(nGC_208)*dZeMinusR_QED2/2d0
      coupl(nGC_1973) = coupl(nGC_125)*dZbL_QCD2
      coupl(nGC_1729) = coupl(nGC_1136)*dyup_QED3 + coupl(nGC_1137)*da_QED2
      coupl(nGC_1385) = (8d0*coupl(nGC_123)*coupl(nGC_126)*coupl(nGC_198) -    &
                        coupl(nGC_197)*coupl(nGC_213)*coupl(nGC_525) - coupl(  &
                        nGC_198)**2d0*coupl(nGC_561) + 8d0*coupl(nGC_198)*coupl&
                        (nGC_2)**2d0 - coupl(nGC_199)**2d0*coupl(nGC_561) -    &
                        coupl(nGC_200)**2d0*coupl(nGC_561))/(32d0*pi**2d0)
      coupl(nGC_1979) = coupl(nGC_1686) + coupl(nGC_213)*dZcL_QCD2/2d0 + coupl(&
                        nGC_213)*dZsR_QCD2/2d0
      coupl(nGC_2136) = coupl(nGC_105)*dZZA_QED2/4d0 + coupl(nGC_1673)/2d0 +   &
                        coupl(nGC_5)*dZA_QED2/4d0
      coupl(nGC_2137) = coupl(nGC_1661) + coupl(nGC_174)*dZHh_QED2/2d0 + coupl(&
                        nGC_178)*dZHlHh_QED2/2d0
      coupl(nGC_1951) = coupl(nGC_1730) + coupl(nGC_227)*dZuL_QCD2/2d0 + coupl(&
                        nGC_227)*dZuR_QCD2/2d0
      coupl(nGC_1272) = cima*(-6d0*Nc*coupl(nGC_1)**2d0 - 6d0*Nc*coupl(nGC_2)**&
                        2d0 - coupl(nGC_3)**2d0 - 6d0*coupl(nGC_4)**2d0 - coupl&
                        (nGC_523)**2d0)/(48d0*pi**2d0)
      coupl(nGC_1273) = cima*(coupl(nGC_3)**2d0 + coupl(nGC_523)**2d0)/(48d0*pi&
                        **2d0)
      coupl(nGC_1270) = cima*(Nc*coupl(nGC_193)**2d0 + Nc*coupl(nGC_197)**2d0  &
                         + Nc*coupl(nGC_201)**2d0 + Nc*coupl(nGC_213)**2d0 + Nc&
                        *coupl(nGC_217)**2d0 + Nc*coupl(nGC_225)**2d0 + coupl( &
                        nGC_205)**2d0 + coupl(nGC_209)**2d0 + coupl(nGC_221)** &
                        2d0)/(48d0*pi**2d0)
      coupl(nGC_1271) = (-Nc*cMB**2d0*cima*coupl(nGC_193)**2d0 - Nc*cMB**2d0*  &
                        cima*coupl(nGC_217)**2d0 - Nc*cMC**2d0*cima*coupl(     &
                        nGC_197)**2d0 - Nc*cMC**2d0*cima*coupl(nGC_213)**2d0 - &
                        Nc*cMD**2d0*cima*coupl(nGC_201)**2d0 - Nc*cMD**2d0*cima&
                        *coupl(nGC_225)**2d0 - Nc*cMS**2d0*cima*coupl(nGC_197  &
                        )**2d0 - Nc*cMS**2d0*cima*coupl(nGC_213)**2d0 - Nc*cMT &
                        **2d0*cima*coupl(nGC_193)**2d0 - Nc*cMT**2d0*cima*coupl&
                        (nGC_217)**2d0 - Nc*cMU**2d0*cima*coupl(nGC_201)**2d0  &
                         - Nc*cMU**2d0*cima*coupl(nGC_225)**2d0 - cME**2d0*cima&
                        *coupl(nGC_205)**2d0 - cMM**2d0*cima*coupl(nGC_209)**  &
                        2d0 - cMTA**2d0*cima*coupl(nGC_221)**2d0 - 2d0*cMW**2d0&
                        *coupl(nGC_71) - cMZ**2d0*coupl(nGC_141) + 2d0*cima*   &
                        coupl(nGC_154)**2d0 + 2d0*cima*coupl(nGC_166)**2d0)/(  &
                        16d0*pi**2d0)
      coupl(nGC_1276) = cima*(coupl(nGC_103)*coupl(nGC_3) + coupl(nGC_523)*    &
                        coupl(nGC_585))/(48d0*pi**2d0)
      coupl(nGC_1277) = (Nc*cMB**2d0*cima*coupl(nGC_1)*coupl(nGC_122) + Nc*cMB &
                        **2d0*cima*coupl(nGC_1)*coupl(nGC_125) + Nc*cMC**2d0*  &
                        cima*coupl(nGC_123)*coupl(nGC_2) + Nc*cMC**2d0*cima*   &
                        coupl(nGC_126)*coupl(nGC_2) + Nc*cMD**2d0*cima*coupl(  &
                        nGC_1)*coupl(nGC_122) + Nc*cMD**2d0*cima*coupl(nGC_1)* &
                        coupl(nGC_125) + Nc*cMS**2d0*cima*coupl(nGC_1)*coupl(  &
                        nGC_122) + Nc*cMS**2d0*cima*coupl(nGC_1)*coupl(nGC_125 &
                        ) + Nc*cMT**2d0*cima*coupl(nGC_123)*coupl(nGC_2) + Nc* &
                        cMT**2d0*cima*coupl(nGC_126)*coupl(nGC_2) + Nc*cMU**2d0&
                        *cima*coupl(nGC_123)*coupl(nGC_2) + Nc*cMU**2d0*cima*  &
                        coupl(nGC_126)*coupl(nGC_2) + cME**2d0*cima*coupl(     &
                        nGC_124)*coupl(nGC_4) + cME**2d0*cima*coupl(nGC_128)*  &
                        coupl(nGC_4) + cMM**2d0*cima*coupl(nGC_124)*coupl(nGC_4&
                        ) + cMM**2d0*cima*coupl(nGC_128)*coupl(nGC_4) + cMTA** &
                        2d0*cima*coupl(nGC_124)*coupl(nGC_4) + cMTA**2d0*cima* &
                        coupl(nGC_128)*coupl(nGC_4) + cMW**2d0*cima*coupl(     &
                        nGC_103)*coupl(nGC_3) + cMW**2d0*cima*coupl(nGC_523)*  &
                        coupl(nGC_585) - cMW**2d0*coupl(nGC_116))/(8d0*pi**2d0)
      coupl(nGC_1274) = (2d0*Nc*cMB**2d0*cima*coupl(nGC_1)**2d0 + 2d0*Nc*cMC** &
                        2d0*cima*coupl(nGC_2)**2d0 + 2d0*Nc*cMD**2d0*cima*coupl&
                        (nGC_1)**2d0 + 2d0*Nc*cMS**2d0*cima*coupl(nGC_1)**2d0  &
                         + 2d0*Nc*cMT**2d0*cima*coupl(nGC_2)**2d0 + 2d0*Nc*cMU &
                        **2d0*cima*coupl(nGC_2)**2d0 + 2d0*cME**2d0*cima*coupl(&
                        nGC_4)**2d0 + 2d0*cMM**2d0*cima*coupl(nGC_4)**2d0 + 2d0&
                        *cMTA**2d0*cima*coupl(nGC_4)**2d0 + cMW**2d0*cima*coupl&
                        (nGC_3)**2d0 + cMW**2d0*cima*coupl(nGC_523)**2d0 - cMW &
                        **2d0*coupl(nGC_9))/(8d0*pi**2d0)
      coupl(nGC_1275) = cima*(-3d0*Nc*coupl(nGC_1)*coupl(nGC_122) - 3d0*Nc*    &
                        coupl(nGC_1)*coupl(nGC_125) - 3d0*Nc*coupl(nGC_123)*   &
                        coupl(nGC_2) - 3d0*Nc*coupl(nGC_126)*coupl(nGC_2) -    &
                        coupl(nGC_103)*coupl(nGC_3) - 3d0*coupl(nGC_124)*coupl(&
                        nGC_4) - 3d0*coupl(nGC_128)*coupl(nGC_4) - coupl(      &
                        nGC_523)*coupl(nGC_585))/(48d0*pi**2d0)
      coupl(nGC_1278) = cima*(Nc*coupl(nGC_196)**2d0 + Nc*coupl(nGC_200)**2d0  &
                         + Nc*coupl(nGC_204)**2d0 + Nc*coupl(nGC_216)**2d0 + Nc&
                        *coupl(nGC_220)**2d0 + Nc*coupl(nGC_228)**2d0 + coupl( &
                        nGC_208)**2d0 + coupl(nGC_212)**2d0 + coupl(nGC_224)** &
                        2d0)/(24d0*pi**2d0)
      coupl(nGC_1279) = (-4d0*Nc*cMB**2d0*cima*coupl(nGC_196)**2d0 - 4d0*Nc*cMC&
                        **2d0*cima*coupl(nGC_200)**2d0 - 4d0*Nc*cMD**2d0*cima* &
                        coupl(nGC_204)**2d0 - 4d0*Nc*cMS**2d0*cima*coupl(      &
                        nGC_216)**2d0 - 4d0*Nc*cMT**2d0*cima*coupl(nGC_220)**  &
                        2d0 - 4d0*Nc*cMU**2d0*cima*coupl(nGC_228)**2d0 - 4d0*  &
                        cME**2d0*cima*coupl(nGC_208)**2d0 - 4d0*cMM**2d0*cima* &
                        coupl(nGC_212)**2d0 - 4d0*cMTA**2d0*cima*coupl(nGC_224 &
                        )**2d0 - 2d0*cMW**2d0*coupl(nGC_96) - cMZ**2d0*coupl(  &
                        nGC_151) + 2d0*cima*coupl(nGC_164)**2d0 + cima*coupl(  &
                        nGC_177)**2d0)/(16d0*pi**2d0)
      coupl(nGC_1950) = coupl(nGC_1729) + coupl(nGC_227)*dZHh_QED2/2d0 + coupl(&
                        nGC_227)*dZuL_QED2/2d0 + coupl(nGC_227)*dZuR_QED2/2d0  &
                         + coupl(nGC_228)*dZHlHh_QED2/2d0
      coupl(nGC_1378) = coupl(nGC_19)**2d0*coupl(nGC_611)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_1373) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_201) + 8d0*   &
                        coupl(nGC_122)*coupl(nGC_126)*coupl(nGC_201) - coupl(  &
                        nGC_202)*coupl(nGC_225)*coupl(nGC_226) - coupl(nGC_203 &
                        )*coupl(nGC_225)*coupl(nGC_227) - coupl(nGC_204)*coupl(&
                        nGC_225)*coupl(nGC_228))/(32d0*pi**2d0)
      coupl(nGC_1372) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_213) + 8d0*   &
                        coupl(nGC_122)*coupl(nGC_126)*coupl(nGC_213) - coupl(  &
                        nGC_197)*coupl(nGC_198)*coupl(nGC_214) - coupl(nGC_197 &
                        )*coupl(nGC_199)*coupl(nGC_215) - coupl(nGC_197)*coupl(&
                        nGC_200)*coupl(nGC_216))/(32d0*pi**2d0)
      coupl(nGC_1371) = (8d0*coupl(nGC_1)*coupl(nGC_197)*coupl(nGC_2) + 8d0*   &
                        coupl(nGC_123)*coupl(nGC_125)*coupl(nGC_197) - coupl(  &
                        nGC_199)*coupl(nGC_213)*coupl(nGC_215) - coupl(nGC_200 &
                        )*coupl(nGC_213)*coupl(nGC_216) - coupl(nGC_213)*coupl(&
                        nGC_525)*coupl(nGC_561))/(32d0*pi**2d0)
      coupl(nGC_1370) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_217) + 8d0*   &
                        coupl(nGC_123)*coupl(nGC_125)*coupl(nGC_217) - coupl(  &
                        nGC_193)*coupl(nGC_195)*coupl(nGC_219) - coupl(nGC_193 &
                        )*coupl(nGC_196)*coupl(nGC_220) - coupl(nGC_193)*coupl(&
                        nGC_545)*coupl(nGC_611))/(32d0*pi**2d0)
      coupl(nGC_1377) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_611) + 8d0*coupl(     &
                        nGC_122)*coupl(nGC_125)*coupl(nGC_611) - coupl(nGC_193 &
                        )*coupl(nGC_217)*coupl(nGC_218) - coupl(nGC_194)*coupl(&
                        nGC_195)**2d0 - coupl(nGC_194)*coupl(nGC_196)**2d0 -   &
                        coupl(nGC_194)*coupl(nGC_611)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1376) = (2d0*Nc*cMB*coupl(nGC_194)**2d0*coupl(nGC_196) + 8d0*Nc&
                        *cMB*coupl(nGC_194)*coupl(nGC_196)*coupl(nGC_611) + 2d0&
                        *Nc*cMB*coupl(nGC_196)*coupl(nGC_611)**2d0 + 2d0*Nc*cMC&
                        *coupl(nGC_198)**2d0*coupl(nGC_200) + 8d0*Nc*cMC*coupl(&
                        nGC_198)*coupl(nGC_200)*coupl(nGC_561) + 2d0*Nc*cMC*   &
                        coupl(nGC_200)*coupl(nGC_561)**2d0 + 2d0*Nc*cMD*coupl( &
                        nGC_202)**2d0*coupl(nGC_204) + 8d0*Nc*cMD*coupl(nGC_202&
                        )*coupl(nGC_204)*coupl(nGC_597) + 2d0*Nc*cMD*coupl(    &
                        nGC_204)*coupl(nGC_597)**2d0 + 2d0*Nc*cMS*coupl(nGC_214&
                        )**2d0*coupl(nGC_216) + 8d0*Nc*cMS*coupl(nGC_214)*coupl&
                        (nGC_216)*coupl(nGC_525) + 2d0*Nc*cMS*coupl(nGC_216)*  &
                        coupl(nGC_525)**2d0 + 2d0*Nc*cMT*coupl(nGC_218)**2d0*  &
                        coupl(nGC_220) + 8d0*Nc*cMT*coupl(nGC_218)*coupl(      &
                        nGC_220)*coupl(nGC_545) + 2d0*Nc*cMT*coupl(nGC_220)*   &
                        coupl(nGC_545)**2d0 + 2d0*Nc*cMU*coupl(nGC_226)**2d0*  &
                        coupl(nGC_228) + 8d0*Nc*cMU*coupl(nGC_226)*coupl(      &
                        nGC_228)*coupl(nGC_533) + 2d0*Nc*cMU*coupl(nGC_228)*   &
                        coupl(nGC_533)**2d0 + 2d0*cME*coupl(nGC_206)**2d0*coupl&
                        (nGC_208) + 8d0*cME*coupl(nGC_206)*coupl(nGC_208)*coupl&
                        (nGC_573) + 2d0*cME*coupl(nGC_208)*coupl(nGC_573)**2d0 &
                         + 2d0*cMM*coupl(nGC_210)**2d0*coupl(nGC_212) + 8d0*cMM&
                        *coupl(nGC_210)*coupl(nGC_212)*coupl(nGC_569) + 2d0*cMM&
                        *coupl(nGC_212)*coupl(nGC_569)**2d0 + 2d0*cMTA*coupl(  &
                        nGC_222)**2d0*coupl(nGC_224) + 8d0*cMTA*coupl(nGC_222)*&
                        coupl(nGC_224)*coupl(nGC_535) + 2d0*cMTA*coupl(nGC_224 &
                        )*coupl(nGC_535)**2d0 + cima*coupl(nGC_142)*coupl(     &
                        nGC_177) + 2d0*cima*coupl(nGC_164)*coupl(nGC_71))/(16d0&
                        *pi**2d0)
      coupl(nGC_1375) = (2d0*Nc*cMB*coupl(nGC_194)**2d0*coupl(nGC_195) + 8d0*Nc&
                        *cMB*coupl(nGC_194)*coupl(nGC_195)*coupl(nGC_611) + 2d0&
                        *Nc*cMB*coupl(nGC_195)*coupl(nGC_611)**2d0 + 2d0*Nc*cMC&
                        *coupl(nGC_198)**2d0*coupl(nGC_199) + 8d0*Nc*cMC*coupl(&
                        nGC_198)*coupl(nGC_199)*coupl(nGC_561) + 2d0*Nc*cMC*   &
                        coupl(nGC_199)*coupl(nGC_561)**2d0 + 2d0*Nc*cMD*coupl( &
                        nGC_202)**2d0*coupl(nGC_203) + 8d0*Nc*cMD*coupl(nGC_202&
                        )*coupl(nGC_203)*coupl(nGC_597) + 2d0*Nc*cMD*coupl(    &
                        nGC_203)*coupl(nGC_597)**2d0 + 2d0*Nc*cMS*coupl(nGC_214&
                        )**2d0*coupl(nGC_215) + 8d0*Nc*cMS*coupl(nGC_214)*coupl&
                        (nGC_215)*coupl(nGC_525) + 2d0*Nc*cMS*coupl(nGC_215)*  &
                        coupl(nGC_525)**2d0 + 2d0*Nc*cMT*coupl(nGC_218)**2d0*  &
                        coupl(nGC_219) + 8d0*Nc*cMT*coupl(nGC_218)*coupl(      &
                        nGC_219)*coupl(nGC_545) + 2d0*Nc*cMT*coupl(nGC_219)*   &
                        coupl(nGC_545)**2d0 + 2d0*Nc*cMU*coupl(nGC_226)**2d0*  &
                        coupl(nGC_227) + 8d0*Nc*cMU*coupl(nGC_226)*coupl(      &
                        nGC_227)*coupl(nGC_533) + 2d0*Nc*cMU*coupl(nGC_227)*   &
                        coupl(nGC_533)**2d0 + 2d0*cME*coupl(nGC_206)**2d0*coupl&
                        (nGC_207) + 8d0*cME*coupl(nGC_206)*coupl(nGC_207)*coupl&
                        (nGC_573) + 2d0*cME*coupl(nGC_207)*coupl(nGC_573)**2d0 &
                         + 2d0*cMM*coupl(nGC_210)**2d0*coupl(nGC_211) + 8d0*cMM&
                        *coupl(nGC_210)*coupl(nGC_211)*coupl(nGC_569) + 2d0*cMM&
                        *coupl(nGC_211)*coupl(nGC_569)**2d0 + 2d0*cMTA*coupl(  &
                        nGC_222)**2d0*coupl(nGC_223) + 8d0*cMTA*coupl(nGC_222)*&
                        coupl(nGC_223)*coupl(nGC_535) + 2d0*cMTA*coupl(nGC_223 &
                        )*coupl(nGC_535)**2d0 + cima*coupl(nGC_142)*coupl(     &
                        nGC_175) + 2d0*cima*coupl(nGC_162)*coupl(nGC_71))/(16d0&
                        *pi**2d0)
      coupl(nGC_1374) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_225) + 8d0*   &
                        coupl(nGC_123)*coupl(nGC_125)*coupl(nGC_225) - coupl(  &
                        nGC_201)*coupl(nGC_203)*coupl(nGC_227) - coupl(nGC_201 &
                        )*coupl(nGC_204)*coupl(nGC_228) - coupl(nGC_201)*coupl(&
                        nGC_533)*coupl(nGC_597))/(32d0*pi**2d0)
      coupl(nGC_1554) = (Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_122)**2d0 + Nc*   &
                        cima*coupl(nGC_1)**2d0*coupl(nGC_125)**2d0 + Nc*cima*  &
                        coupl(nGC_123)**2d0*coupl(nGC_2)**2d0 + Nc*cima*coupl( &
                        nGC_126)**2d0*coupl(nGC_2)**2d0 - 2d0*cima*coupl(      &
                        nGC_103)**2d0*coupl(nGC_3)**2d0 + cima*coupl(nGC_124)**&
                        2d0*coupl(nGC_4)**2d0 + cima*coupl(nGC_128)**2d0*coupl(&
                        nGC_4)**2d0 - 2d0*cima*coupl(nGC_523)**2d0*coupl(      &
                        nGC_585)**2d0 + cima*coupl(nGC_85)*coupl(nGC_9) + coupl&
                        (nGC_103)**2d0*coupl(nGC_9) + coupl(nGC_3)**2d0*coupl( &
                        nGC_85) + coupl(nGC_523)**2d0*coupl(nGC_85) + coupl(   &
                        nGC_585)**2d0*coupl(nGC_9))/(8d0*pi**2d0)
      coupl(nGC_1553) = (-6d0*Nc*cima*coupl(nGC_1)*coupl(nGC_125)*coupl(nGC_99 &
                        )**2d0 + 9d0*Nc*cima*coupl(nGC_1)*coupl(nGC_126)*coupl(&
                        nGC_99)**2d0 + 9d0*Nc*cima*coupl(nGC_125)*coupl(nGC_2)*&
                        coupl(nGC_99)**2d0 - 6d0*Nc*cima*coupl(nGC_126)*coupl( &
                        nGC_2)*coupl(nGC_99)**2d0 - 8d0*cima*coupl(nGC_102)*   &
                        coupl(nGC_103)*coupl(nGC_3)*coupl(nGC_585) - 8d0*cima* &
                        coupl(nGC_103)*coupl(nGC_3)*coupl(nGC_4)*coupl(nGC_523 &
                        ) + 6d0*cima*coupl(nGC_113)*coupl(nGC_601) + 6d0*cima* &
                        coupl(nGC_113)*coupl(nGC_84) - 6d0*cima*coupl(nGC_128)*&
                        coupl(nGC_4)*coupl(nGC_99)**2d0 + 9d0*cima*coupl(      &
                        nGC_129)*coupl(nGC_4)*coupl(nGC_99)**2d0 + 6d0*coupl(  &
                        nGC_102)*coupl(nGC_3)*coupl(nGC_84) + 6d0*coupl(nGC_103&
                        )*coupl(nGC_113)*coupl(nGC_585) + 6d0*coupl(nGC_113)*  &
                        coupl(nGC_3)*coupl(nGC_4) + 6d0*coupl(nGC_3)*coupl(    &
                        nGC_585)*coupl(nGC_601))/(48d0*pi**2d0)
      coupl(nGC_2079) = -coupl(nGC_1724) - coupl(nGC_226)*dZuL_QCD2/2d0 - coupl&
                        (nGC_226)*dZuR_QCD2/2d0
      coupl(nGC_2078) = -coupl(nGC_1723) - coupl(nGC_226)*dZuL_QED2/2d0 - coupl&
                        (nGC_226)*dZuR_QED2/2d0
      coupl(nGC_1551) = (18d0*Nc*cima*coupl(nGC_1)*coupl(nGC_125)*coupl(nGC_99 &
                        )**2d0 - 15d0*Nc*cima*coupl(nGC_1)*coupl(nGC_126)*coupl&
                        (nGC_99)**2d0 - 15d0*Nc*cima*coupl(nGC_125)*coupl(nGC_2&
                        )*coupl(nGC_99)**2d0 + 18d0*Nc*cima*coupl(nGC_126)*    &
                        coupl(nGC_2)*coupl(nGC_99)**2d0 - 8d0*cima*coupl(      &
                        nGC_102)*coupl(nGC_103)*coupl(nGC_3)*coupl(nGC_585) -  &
                        8d0*cima*coupl(nGC_103)*coupl(nGC_3)*coupl(nGC_4)*coupl&
                        (nGC_523) + 6d0*cima*coupl(nGC_116)*coupl(nGC_633) +   &
                        18d0*cima*coupl(nGC_128)*coupl(nGC_4)*coupl(nGC_99)**  &
                        2d0 - 15d0*cima*coupl(nGC_129)*coupl(nGC_4)*coupl(     &
                        nGC_99)**2d0 + 6d0*coupl(nGC_102)*coupl(nGC_116)*coupl(&
                        nGC_585) + 6d0*coupl(nGC_103)*coupl(nGC_3)*coupl(      &
                        nGC_633) + 6d0*coupl(nGC_116)*coupl(nGC_4)*coupl(      &
                        nGC_523) + 6d0*coupl(nGC_523)*coupl(nGC_585)*coupl(    &
                        nGC_633))/(48d0*pi**2d0)
      coupl(nGC_2071) = -coupl(nGC_1680)/2d0 - coupl(nGC_17)*dZg_QCD2/4d0
      coupl(nGC_2070) = coupl(nGC_1)*dZbR_QCD2
      coupl(nGC_2073) = coupl(nGC_1673)/2d0 + coupl(nGC_5)*dZWMinus_QED2/4d0
      coupl(nGC_2072) = coupl(nGC_1674)/2d0 + coupl(nGC_6)*dZWMinus_QED2/4d0
      coupl(nGC_2075) = -coupl(nGC_100)*dZHhHl_QED2/2d0 - coupl(nGC_118)*      &
                        dZHl_QED2/2d0 - coupl(nGC_118)*dZWMinus_QED2/2d0 -     &
                        coupl(nGC_1752)
      coupl(nGC_2074) = coupl(nGC_1718) + coupl(nGC_211)*dZHh_QED2/2d0 + coupl(&
                        nGC_211)*dZmuMinusL_QED2/2d0 + coupl(nGC_211)*         &
                        dZmuMinusR_QED2/2d0 + coupl(nGC_212)*dZHlHh_QED2/2d0
      coupl(nGC_2077) = coupl(nGC_1724) + coupl(nGC_226)*dZuL_QCD2/2d0 + coupl(&
                        nGC_226)*dZuR_QCD2/2d0
      coupl(nGC_2076) = coupl(nGC_1723) + coupl(nGC_226)*dZuL_QED2/2d0 + coupl(&
                        nGC_226)*dZuR_QED2/2d0
      coupl(nGC_1914) = coupl(nGC_123)*dZtR_QCD2
      coupl(nGC_1441) = (-2d0*Nc*cMB*coupl(nGC_196)*coupl(nGC_99)**2d0 - 2d0*Nc&
                        *cMC*coupl(nGC_200)*coupl(nGC_99)**2d0 - 2d0*Nc*cMD*   &
                        coupl(nGC_204)*coupl(nGC_99)**2d0 - 2d0*Nc*cMS*coupl(  &
                        nGC_216)*coupl(nGC_99)**2d0 - 2d0*Nc*cMT*coupl(nGC_220 &
                        )*coupl(nGC_99)**2d0 - 2d0*Nc*cMU*coupl(nGC_228)*coupl(&
                        nGC_99)**2d0 - 2d0*cME*coupl(nGC_208)*coupl(nGC_99)**  &
                        2d0 - 2d0*cMM*coupl(nGC_212)*coupl(nGC_99)**2d0 - 2d0* &
                        cMTA*coupl(nGC_224)*coupl(nGC_99)**2d0 + 2d0*cima*coupl&
                        (nGC_164)*coupl(nGC_633) + cima*coupl(nGC_177)*coupl(  &
                        nGC_85) + 2d0*coupl(nGC_102)*coupl(nGC_164)*coupl(     &
                        nGC_585) + 2d0*coupl(nGC_103)*coupl(nGC_177)*coupl(    &
                        nGC_539) + 2d0*coupl(nGC_164)*coupl(nGC_4)*coupl(      &
                        nGC_523))/(16d0*pi**2d0)
      coupl(nGC_1443) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_196) + 8d0*coupl(     &
                        nGC_122)*coupl(nGC_125)*coupl(nGC_196) - coupl(nGC_193 &
                        )*coupl(nGC_217)*coupl(nGC_220) - coupl(nGC_194)**2d0* &
                        coupl(nGC_196) - coupl(nGC_195)**2d0*coupl(nGC_196) -  &
                        coupl(nGC_196)**3d0)/(32d0*pi**2d0)
      coupl(nGC_1442) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_196) + 8d0*coupl(     &
                        nGC_122)*coupl(nGC_125)*coupl(nGC_196) - coupl(nGC_193 &
                        )*coupl(nGC_217)*coupl(nGC_220) - coupl(nGC_195)**2d0* &
                        coupl(nGC_196) - coupl(nGC_196)**3d0 - coupl(nGC_196)* &
                        coupl(nGC_611)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1559) = (-Nc*cima*coupl(nGC_1)*coupl(nGC_122)*coupl(nGC_196)** &
                        2d0 - Nc*cima*coupl(nGC_1)*coupl(nGC_122)*coupl(nGC_204&
                        )**2d0 - Nc*cima*coupl(nGC_1)*coupl(nGC_122)*coupl(    &
                        nGC_216)**2d0 - Nc*cima*coupl(nGC_1)*coupl(nGC_125)*   &
                        coupl(nGC_196)**2d0 - Nc*cima*coupl(nGC_1)*coupl(      &
                        nGC_125)*coupl(nGC_204)**2d0 - Nc*cima*coupl(nGC_1)*   &
                        coupl(nGC_125)*coupl(nGC_216)**2d0 - Nc*cima*coupl(    &
                        nGC_123)*coupl(nGC_2)*coupl(nGC_200)**2d0 - Nc*cima*   &
                        coupl(nGC_123)*coupl(nGC_2)*coupl(nGC_220)**2d0 - Nc*  &
                        cima*coupl(nGC_123)*coupl(nGC_2)*coupl(nGC_228)**2d0 - &
                        Nc*cima*coupl(nGC_126)*coupl(nGC_2)*coupl(nGC_200)**2d0&
                         - Nc*cima*coupl(nGC_126)*coupl(nGC_2)*coupl(nGC_220)**&
                        2d0 - Nc*cima*coupl(nGC_126)*coupl(nGC_2)*coupl(nGC_228&
                        )**2d0 + cima*coupl(nGC_116)*coupl(nGC_96) - cima*coupl&
                        (nGC_124)*coupl(nGC_208)**2d0*coupl(nGC_4) - cima*coupl&
                        (nGC_124)*coupl(nGC_212)**2d0*coupl(nGC_4) - cima*coupl&
                        (nGC_124)*coupl(nGC_224)**2d0*coupl(nGC_4) - cima*coupl&
                        (nGC_128)*coupl(nGC_208)**2d0*coupl(nGC_4) - cima*coupl&
                        (nGC_128)*coupl(nGC_212)**2d0*coupl(nGC_4) - cima*coupl&
                        (nGC_128)*coupl(nGC_224)**2d0*coupl(nGC_4) + coupl(    &
                        nGC_103)*coupl(nGC_3)*coupl(nGC_96) + coupl(nGC_523)*  &
                        coupl(nGC_585)*coupl(nGC_96))/(8d0*pi**2d0)
      coupl(nGC_1558) = (-Nc*cima*coupl(nGC_1)*coupl(nGC_122)*coupl(nGC_195)** &
                        2d0 - Nc*cima*coupl(nGC_1)*coupl(nGC_122)*coupl(nGC_203&
                        )**2d0 - Nc*cima*coupl(nGC_1)*coupl(nGC_122)*coupl(    &
                        nGC_215)**2d0 - Nc*cima*coupl(nGC_1)*coupl(nGC_125)*   &
                        coupl(nGC_195)**2d0 - Nc*cima*coupl(nGC_1)*coupl(      &
                        nGC_125)*coupl(nGC_203)**2d0 - Nc*cima*coupl(nGC_1)*   &
                        coupl(nGC_125)*coupl(nGC_215)**2d0 - Nc*cima*coupl(    &
                        nGC_123)*coupl(nGC_199)**2d0*coupl(nGC_2) - Nc*cima*   &
                        coupl(nGC_123)*coupl(nGC_2)*coupl(nGC_219)**2d0 - Nc*  &
                        cima*coupl(nGC_123)*coupl(nGC_2)*coupl(nGC_227)**2d0 - &
                        Nc*cima*coupl(nGC_126)*coupl(nGC_199)**2d0*coupl(nGC_2 &
                        ) - Nc*cima*coupl(nGC_126)*coupl(nGC_2)*coupl(nGC_219  &
                        )**2d0 - Nc*cima*coupl(nGC_126)*coupl(nGC_2)*coupl(    &
                        nGC_227)**2d0 + cima*coupl(nGC_116)*coupl(nGC_82) -    &
                        cima*coupl(nGC_124)*coupl(nGC_207)**2d0*coupl(nGC_4) - &
                        cima*coupl(nGC_124)*coupl(nGC_211)**2d0*coupl(nGC_4) - &
                        cima*coupl(nGC_124)*coupl(nGC_223)**2d0*coupl(nGC_4) - &
                        cima*coupl(nGC_128)*coupl(nGC_207)**2d0*coupl(nGC_4) - &
                        cima*coupl(nGC_128)*coupl(nGC_211)**2d0*coupl(nGC_4) - &
                        cima*coupl(nGC_128)*coupl(nGC_223)**2d0*coupl(nGC_4) + &
                        coupl(nGC_103)*coupl(nGC_3)*coupl(nGC_82) + coupl(     &
                        nGC_523)*coupl(nGC_585)*coupl(nGC_82))/(8d0*pi**2d0)
      coupl(nGC_1955) = coupl(nGC_1693) + coupl(nGC_202)*dZdL_QED2/2d0 + coupl(&
                        nGC_202)*dZdR_QED2/2d0
      coupl(nGC_1610) = cima*coupl(nGC_19)**2d0*sq2**2d0*(coupl(nGC_196)**2d0  &
                         + coupl(nGC_200)**2d0 + coupl(nGC_204)**2d0 + coupl(  &
                        nGC_216)**2d0 + coupl(nGC_220)**2d0 + coupl(nGC_228)** &
                        2d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_1611) = (Nc*cima*coupl(nGC_122)**4d0 + Nc*cima*coupl(nGC_123)**&
                        4d0 + Nc*cima*coupl(nGC_125)**4d0 + Nc*cima*coupl(     &
                        nGC_126)**4d0 - 2d0*cima*coupl(nGC_103)**4d0 + cima*   &
                        coupl(nGC_124)**4d0 + cima*coupl(nGC_128)**4d0 + cima* &
                        coupl(nGC_129)**4d0 - 2d0*cima*coupl(nGC_585)**4d0 +   &
                        cima*coupl(nGC_85)**2d0 + 2d0*coupl(nGC_103)**2d0*coupl&
                        (nGC_85) + 2d0*coupl(nGC_585)**2d0*coupl(nGC_85))/(8d0*&
                        pi**2d0)
      coupl(nGC_1612) = cima*coupl(nGC_19)**3d0*sq2**3d0*(coupl(nGC_1) + coupl(&
                        nGC_2))/(64d0*pi**2d0)
      coupl(nGC_2047) = coupl(nGC_1785) + coupl(nGC_19)*dZg_QCD2/2d0 + coupl(  &
                        nGC_19)*dZtR_QCD2
      coupl(nGC_1614) = cima*coupl(nGC_19)**3d0*sq2**3d0*(coupl(nGC_1) + coupl(&
                        nGC_2))/(16d0*pi**2d0*Nc**2d0)
      coupl(nGC_1615) = cima*coupl(nGC_19)**2d0*sq2**2d0*(coupl(nGC_122)**2d0  &
                         + coupl(nGC_123)**2d0 + coupl(nGC_125)**2d0 + coupl(  &
                        nGC_126)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1616) = cima*coupl(nGC_19)**2d0*sq2**2d0*(-coupl(nGC_122)**2d0 &
                         - coupl(nGC_123)**2d0 - coupl(nGC_125)**2d0 - coupl(  &
                        nGC_126)**2d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_1617) = cima*coupl(nGC_19)**3d0*sq2**3d0*(coupl(nGC_122) +     &
                        coupl(nGC_123) + coupl(nGC_125) + coupl(nGC_126))/(    &
                        128d0*pi**2d0)
      coupl(nGC_1618) = cima*coupl(nGC_19)**3d0*sq2**3d0*(-coupl(nGC_122) -    &
                        coupl(nGC_123) - coupl(nGC_125) - coupl(nGC_126))/(64d0&
                        *pi**2d0*Nc)
      coupl(nGC_1619) = cima*coupl(nGC_19)**3d0*sq2**3d0*(coupl(nGC_122) +     &
                        coupl(nGC_123) + coupl(nGC_125) + coupl(nGC_126))/(32d0&
                        *pi**2d0*Nc**2d0)
      coupl(nGC_1954) = -coupl(nGC_1746) - coupl(nGC_98)*dZWMinus_QED2/2d0
      coupl(nGC_TS_GC_136_Hl) = -coupl(nGC_136)*dtHl_QED1/cMHL**2d0
      coupl(nGC_2171) = coupl(nGC_1859) + coupl(nGC_MTA)*dZtauMinusL_QED2/2d0  &
                         + coupl(nGC_MTA)*dZtauMinusR_QED2/2d0 + coupl(        &
                        nGC_TS_GC_223_Hh) + coupl(nGC_TS_GC_224_Hl)
      coupl(nGC_2173) = coupl(nGC_130)*dZHhHl_QED2/2d0 + coupl(nGC_136)*       &
                        dZHl_QED2/2d0 + coupl(nGC_136)*dZZ_QED2/2d0 + coupl(   &
                        nGC_1767)
      coupl(nGC_2174) = coupl(nGC_162)*dZHh_QED2/2d0 + coupl(nGC_162)*         &
                        dZWMinus_QED2 + coupl(nGC_164)*dZHlHh_QED2/2d0 + coupl(&
                        nGC_1760) + coupl(nGC_TS_GC_82_Hh) + coupl(            &
                        nGC_TS_GC_92_Hl)
      coupl(nGC_2175) = coupl(nGC_103)*dZZA_QED2/2d0 + coupl(nGC_1749) + coupl(&
                        nGC_3)*dZA_QED2/2d0 + coupl(nGC_3)*dZWMinus_QED2
      coupl(nGC_2176) = -coupl(nGC_101)*dZHh_QED2/2d0 - coupl(nGC_101)*        &
                        dZWMinus_QED2/2d0 - coupl(nGC_117)*dZHlHh_QED2/2d0 -   &
                        coupl(nGC_1747)
      coupl(nGC_2177) = coupl(nGC_126)*dZZ_QED2/2d0 + coupl(nGC_126)*dZcL_QED2 &
                         + coupl(nGC_1787) + coupl(nGC_2)*dZAZ_QED2/2d0
      coupl(nGC_2178) = coupl(nGC_126)*dZcL_QCD2
      coupl(nGC_2179) = coupl(nGC_123)*dZZ_QED2/2d0 + coupl(nGC_123)*dZcR_QED2 &
                         + coupl(nGC_1788) + coupl(nGC_2)*dZAZ_QED2/2d0
      coupl(nGC_1621) = (3d0*Nc*cima*coupl(nGC_20)**2d0 + 3d0*Nc*cima*coupl(   &
                        nGC_549)**2d0 - Nc*cima*coupl(nGC_629)**4d0*sq2**4d0 - &
                        3d0*Nc*coupl(nGC_20)*coupl(nGC_629)**2d0*sq2**2d0 - 3d0&
                        *Nc*coupl(nGC_549)*coupl(nGC_629)**2d0*sq2**2d0 + 9d0* &
                        cima*coupl(nGC_19)**4d0*sq2**4d0)/(192d0*pi**2d0)
      coupl(nGC_1535) = (9d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_99)**2d0 -    &
                        15d0*Nc*cima*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_99)** &
                        2d0 + 9d0*Nc*cima*coupl(nGC_2)**2d0*coupl(nGC_99)**2d0 &
                         - 2d0*cima*coupl(nGC_102)*coupl(nGC_3)**2d0*coupl(    &
                        nGC_585) - 2d0*cima*coupl(nGC_103)*coupl(nGC_523)**2d0*&
                        coupl(nGC_539) - 2d0*cima*coupl(nGC_3)**2d0*coupl(nGC_4&
                        )*coupl(nGC_523) - 2d0*cima*coupl(nGC_3)*coupl(nGC_523 &
                        )**2d0*coupl(nGC_589) + 9d0*cima*coupl(nGC_4)**2d0*    &
                        coupl(nGC_99)**2d0 + 3d0*cima*coupl(nGC_633)*coupl(    &
                        nGC_9) + 3d0*coupl(nGC_102)*coupl(nGC_585)*coupl(nGC_9 &
                        ) + 3d0*coupl(nGC_3)**2d0*coupl(nGC_633) + 3d0*coupl(  &
                        nGC_4)*coupl(nGC_523)*coupl(nGC_9) + 3d0*coupl(nGC_523 &
                        )**2d0*coupl(nGC_633))/(24d0*pi**2d0)
      coupl(nGC_1534) = (-3d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_99)**2d0 +   &
                        9d0*Nc*cima*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_99)**  &
                        2d0 - 3d0*Nc*cima*coupl(nGC_2)**2d0*coupl(nGC_99)**2d0 &
                         - 2d0*cima*coupl(nGC_102)*coupl(nGC_3)**2d0*coupl(    &
                        nGC_585) - 2d0*cima*coupl(nGC_103)*coupl(nGC_523)**2d0*&
                        coupl(nGC_539) + 3d0*cima*coupl(nGC_113)**2d0 - 2d0*   &
                        cima*coupl(nGC_3)**2d0*coupl(nGC_4)*coupl(nGC_523) -   &
                        2d0*cima*coupl(nGC_3)*coupl(nGC_523)**2d0*coupl(nGC_589&
                        ) - 3d0*cima*coupl(nGC_4)**2d0*coupl(nGC_99)**2d0 + 3d0&
                        *cima*coupl(nGC_601)**2d0 + 3d0*coupl(nGC_102)*coupl(  &
                        nGC_113)*coupl(nGC_3) + 3d0*coupl(nGC_113)*coupl(nGC_3 &
                        )*coupl(nGC_585) + 3d0*coupl(nGC_3)*coupl(nGC_4)*coupl(&
                        nGC_601) + 3d0*coupl(nGC_3)*coupl(nGC_523)*coupl(      &
                        nGC_601))/(24d0*pi**2d0)
      coupl(nGC_1537) = (-4d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_193)**2d0 -  &
                        4d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_197)**2d0 - 4d0&
                        *Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_201)**2d0 - 4d0*Nc&
                        *cima*coupl(nGC_1)**2d0*coupl(nGC_213)**2d0 - 4d0*Nc*  &
                        cima*coupl(nGC_1)**2d0*coupl(nGC_217)**2d0 - 4d0*Nc*   &
                        cima*coupl(nGC_1)**2d0*coupl(nGC_225)**2d0 + 5d0*Nc*   &
                        cima*coupl(nGC_1)*coupl(nGC_193)**2d0*coupl(nGC_2) +   &
                        5d0*Nc*cima*coupl(nGC_1)*coupl(nGC_197)**2d0*coupl(    &
                        nGC_2) + 5d0*Nc*cima*coupl(nGC_1)*coupl(nGC_2)*coupl(  &
                        nGC_201)**2d0 + 5d0*Nc*cima*coupl(nGC_1)*coupl(nGC_2)* &
                        coupl(nGC_213)**2d0 + 5d0*Nc*cima*coupl(nGC_1)*coupl(  &
                        nGC_2)*coupl(nGC_217)**2d0 + 5d0*Nc*cima*coupl(nGC_1)* &
                        coupl(nGC_2)*coupl(nGC_225)**2d0 - 4d0*Nc*cima*coupl(  &
                        nGC_193)**2d0*coupl(nGC_2)**2d0 - 4d0*Nc*cima*coupl(   &
                        nGC_197)**2d0*coupl(nGC_2)**2d0 - 4d0*Nc*cima*coupl(   &
                        nGC_2)**2d0*coupl(nGC_201)**2d0 - 4d0*Nc*cima*coupl(   &
                        nGC_2)**2d0*coupl(nGC_213)**2d0 - 4d0*Nc*cima*coupl(   &
                        nGC_2)**2d0*coupl(nGC_217)**2d0 - 4d0*Nc*cima*coupl(   &
                        nGC_2)**2d0*coupl(nGC_225)**2d0 - 4d0*cima*coupl(      &
                        nGC_205)**2d0*coupl(nGC_4)**2d0 - 4d0*cima*coupl(      &
                        nGC_209)**2d0*coupl(nGC_4)**2d0 - 4d0*cima*coupl(      &
                        nGC_221)**2d0*coupl(nGC_4)**2d0 + 3d0*cima*coupl(nGC_71&
                        )*coupl(nGC_9) + 3d0*coupl(nGC_3)**2d0*coupl(nGC_71) + &
                        3d0*coupl(nGC_523)**2d0*coupl(nGC_71))/(24d0*pi**2d0)
      coupl(nGC_1536) = (-3d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_99)**2d0 +   &
                        9d0*Nc*cima*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_99)**  &
                        2d0 - 3d0*Nc*cima*coupl(nGC_2)**2d0*coupl(nGC_99)**2d0 &
                         - 2d0*cima*coupl(nGC_102)*coupl(nGC_3)**2d0*coupl(    &
                        nGC_585) - 2d0*cima*coupl(nGC_103)*coupl(nGC_523)**2d0*&
                        coupl(nGC_539) + 3d0*cima*coupl(nGC_113)**2d0 - 2d0*   &
                        cima*coupl(nGC_3)**2d0*coupl(nGC_4)*coupl(nGC_523) -   &
                        2d0*cima*coupl(nGC_3)*coupl(nGC_523)**2d0*coupl(nGC_589&
                        ) - 3d0*cima*coupl(nGC_4)**2d0*coupl(nGC_99)**2d0 + 3d0&
                        *cima*coupl(nGC_601)**2d0 + 3d0*coupl(nGC_103)*coupl(  &
                        nGC_113)*coupl(nGC_523) + 3d0*coupl(nGC_113)*coupl(    &
                        nGC_523)*coupl(nGC_539) + 3d0*coupl(nGC_3)*coupl(      &
                        nGC_523)*coupl(nGC_601) + 3d0*coupl(nGC_523)*coupl(    &
                        nGC_589)*coupl(nGC_601))/(24d0*pi**2d0)
      coupl(nGC_1533) = sq2**3d0*(Nc*cima*coupl(nGC_629)**3d0 - 12d0*coupl(    &
                        nGC_19)**3d0)/(192d0*pi**2d0)
      coupl(nGC_1532) = sq2**3d0*(-Nc*cima*coupl(nGC_629)**3d0 + 12d0*coupl(   &
                        nGC_19)**3d0)/(192d0*pi**2d0)
      coupl(nGC_1625) = (6d0*Nc*cima*coupl(nGC_20)*coupl(nGC_549) - Nc*cima*   &
                        coupl(nGC_629)**4d0*sq2**4d0 - 3d0*Nc*coupl(nGC_20)*   &
                        coupl(nGC_629)**2d0*sq2**2d0 - 3d0*Nc*coupl(nGC_549)*  &
                        coupl(nGC_629)**2d0*sq2**2d0 + 9d0*cima*coupl(nGC_19)**&
                        4d0*sq2**4d0)/(192d0*pi**2d0)
      coupl(nGC_1927) = coupl(nGC_101)*dZHh_QED2/2d0 + coupl(nGC_101)*         &
                        dZWMinus_QED2/2d0 + coupl(nGC_117)*dZHlHh_QED2/2d0 +   &
                        coupl(nGC_1747)
      coupl(nGC_1627) = (6d0*Nc*cima*coupl(nGC_20)*coupl(nGC_549) - Nc*cima*   &
                        coupl(nGC_629)**4d0*sq2**4d0 - 6d0*Nc*coupl(nGC_549)*  &
                        coupl(nGC_629)**2d0*sq2**2d0 + 9d0*cima*coupl(nGC_19)**&
                        4d0*sq2**4d0)/(192d0*pi**2d0)
      coupl(nGC_1626) = (3d0*Nc*cima*coupl(nGC_20)**2d0 + 3d0*Nc*cima*coupl(   &
                        nGC_549)**2d0 - Nc*cima*coupl(nGC_629)**4d0*sq2**4d0 - &
                        6d0*Nc*coupl(nGC_20)*coupl(nGC_629)**2d0*sq2**2d0 + 9d0&
                        *cima*coupl(nGC_19)**4d0*sq2**4d0)/(192d0*pi**2d0)
      coupl(nGC_1539) = (-2d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_194)*coupl(  &
                        nGC_611) - 2d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_202 &
                        )*coupl(nGC_597) - 2d0*Nc*cima*coupl(nGC_1)**2d0*coupl(&
                        nGC_214)*coupl(nGC_525) - 2d0*Nc*cima*coupl(nGC_198)*  &
                        coupl(nGC_2)**2d0*coupl(nGC_561) - 2d0*Nc*cima*coupl(  &
                        nGC_2)**2d0*coupl(nGC_218)*coupl(nGC_545) - 2d0*Nc*cima&
                        *coupl(nGC_2)**2d0*coupl(nGC_226)*coupl(nGC_533) - 2d0*&
                        cima*coupl(nGC_206)*coupl(nGC_4)**2d0*coupl(nGC_573) - &
                        2d0*cima*coupl(nGC_210)*coupl(nGC_4)**2d0*coupl(nGC_569&
                        ) - 2d0*cima*coupl(nGC_222)*coupl(nGC_4)**2d0*coupl(   &
                        nGC_535) + cima*coupl(nGC_71)*coupl(nGC_9) + coupl(    &
                        nGC_3)**2d0*coupl(nGC_71) + coupl(nGC_523)**2d0*coupl( &
                        nGC_71))/(8d0*pi**2d0)
      coupl(nGC_1538) = (-2d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_195)**2d0 -  &
                        2d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_203)**2d0 - 2d0&
                        *Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_215)**2d0 - 2d0*Nc&
                        *cima*coupl(nGC_199)**2d0*coupl(nGC_2)**2d0 - 2d0*Nc*  &
                        cima*coupl(nGC_2)**2d0*coupl(nGC_219)**2d0 - 2d0*Nc*   &
                        cima*coupl(nGC_2)**2d0*coupl(nGC_227)**2d0 - 2d0*cima* &
                        coupl(nGC_207)**2d0*coupl(nGC_4)**2d0 - 2d0*cima*coupl(&
                        nGC_211)**2d0*coupl(nGC_4)**2d0 - 2d0*cima*coupl(      &
                        nGC_223)**2d0*coupl(nGC_4)**2d0 + cima*coupl(nGC_82)*  &
                        coupl(nGC_9) + coupl(nGC_3)**2d0*coupl(nGC_82) + coupl(&
                        nGC_523)**2d0*coupl(nGC_82))/(8d0*pi**2d0)
      coupl(nGC_1920) = coupl(nGC_10)*dZA_QED2 + coupl(nGC_115)*dZZA_QED2 +    &
                        coupl(nGC_1672)
      coupl(nGC_1622) = (-Nc*cima*coupl(nGC_20)*coupl(nGC_575) - Nc*cima*coupl(&
                        nGC_549)*coupl(nGC_575) + Nc*cima*coupl(nGC_629)**4d0* &
                        sq2**4d0 + Nc*coupl(nGC_20)*coupl(nGC_629)**2d0*sq2**  &
                        2d0 + Nc*coupl(nGC_549)*coupl(nGC_629)**2d0*sq2**2d0 + &
                        Nc*coupl(nGC_575)*coupl(nGC_629)**2d0*sq2**2d0 - cima* &
                        coupl(nGC_19)**4d0*sq2**4d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_2253) = -coupl(nGC_1874) - coupl(nGC_MW_GF)*dZWMinus_QED2/2d0  &
                         + coupl(nGC_TS_GC_100_Hh) + coupl(nGC_TS_GC_118_Hl)
      coupl(nGC_2254) = coupl(nGC_1876) + coupl(nGC_MZ_GF)*dZZ_QED2/2d0 - coupl&
                        (nGC_TS_GC_130_Hh) - coupl(nGC_TS_GC_136_Hl)
      coupl(nGC_2256) = -coupl(nGC_1344)
      coupl(nGC_2259) = -coupl(nGC_1469)
      coupl(nGC_2258) = -coupl(nGC_1312)
      coupl(nGC_2094) = coupl(nGC_124)*dZZ_QED2/2d0 + coupl(nGC_124)*          &
                        dZtauMinusR_QED2 + coupl(nGC_1792) + coupl(nGC_4)*     &
                        dZAZ_QED2/2d0
      coupl(nGC_1928) = coupl(nGC_175)*dZHh_QED2/2d0 + coupl(nGC_175)*dZZ_QED2 &
                         + coupl(nGC_177)*dZHlHh_QED2/2d0 + coupl(nGC_1779) +  &
                        coupl(nGC_TS_GC_145_Hh) + coupl(nGC_TS_GC_147_Hl)
      coupl(nGC_1929) = coupl(nGC_101)*dZHhHl_QED2/2d0 + coupl(nGC_117)*       &
                        dZHl_QED2/2d0 + coupl(nGC_117)*dZWMinus_QED2/2d0 +     &
                        coupl(nGC_1748)
      coupl(nGC_1580) = cima*(10d0*Nc*coupl(nGC_194)**2d0*coupl(nGC_195)**2d0  &
                         + 40d0*Nc*coupl(nGC_194)*coupl(nGC_195)**2d0*coupl(   &
                        nGC_611) + 10d0*Nc*coupl(nGC_195)**2d0*coupl(nGC_611)**&
                        2d0 + 10d0*Nc*coupl(nGC_198)**2d0*coupl(nGC_199)**2d0  &
                         + 40d0*Nc*coupl(nGC_198)*coupl(nGC_199)**2d0*coupl(   &
                        nGC_561) + 10d0*Nc*coupl(nGC_199)**2d0*coupl(nGC_561)**&
                        2d0 + 10d0*Nc*coupl(nGC_202)**2d0*coupl(nGC_203)**2d0  &
                         + 40d0*Nc*coupl(nGC_202)*coupl(nGC_203)**2d0*coupl(   &
                        nGC_597) + 10d0*Nc*coupl(nGC_203)**2d0*coupl(nGC_597)**&
                        2d0 + 10d0*Nc*coupl(nGC_214)**2d0*coupl(nGC_215)**2d0  &
                         + 40d0*Nc*coupl(nGC_214)*coupl(nGC_215)**2d0*coupl(   &
                        nGC_525) + 10d0*Nc*coupl(nGC_215)**2d0*coupl(nGC_525)**&
                        2d0 + 10d0*Nc*coupl(nGC_218)**2d0*coupl(nGC_219)**2d0  &
                         + 40d0*Nc*coupl(nGC_218)*coupl(nGC_219)**2d0*coupl(   &
                        nGC_545) + 10d0*Nc*coupl(nGC_219)**2d0*coupl(nGC_545)**&
                        2d0 + 10d0*Nc*coupl(nGC_226)**2d0*coupl(nGC_227)**2d0  &
                         + 40d0*Nc*coupl(nGC_226)*coupl(nGC_227)**2d0*coupl(   &
                        nGC_533) + 10d0*Nc*coupl(nGC_227)**2d0*coupl(nGC_533)**&
                        2d0 + 3d0*coupl(nGC_142)*coupl(nGC_145) + 10d0*coupl(  &
                        nGC_206)**2d0*coupl(nGC_207)**2d0 + 40d0*coupl(nGC_206 &
                        )*coupl(nGC_207)**2d0*coupl(nGC_573) + 10d0*coupl(     &
                        nGC_207)**2d0*coupl(nGC_573)**2d0 + 10d0*coupl(nGC_210 &
                        )**2d0*coupl(nGC_211)**2d0 + 40d0*coupl(nGC_210)*coupl(&
                        nGC_211)**2d0*coupl(nGC_569) + 10d0*coupl(nGC_211)**2d0&
                        *coupl(nGC_569)**2d0 + 10d0*coupl(nGC_222)**2d0*coupl( &
                        nGC_223)**2d0 + 40d0*coupl(nGC_222)*coupl(nGC_223)**2d0&
                        *coupl(nGC_535) + 10d0*coupl(nGC_223)**2d0*coupl(      &
                        nGC_535)**2d0 + 6d0*coupl(nGC_71)*coupl(nGC_82))/(48d0*&
                        pi**2d0)
      coupl(nGC_1581) = cima*(10d0*Nc*coupl(nGC_194)**2d0*coupl(nGC_195)*coupl(&
                        nGC_196) + 40d0*Nc*coupl(nGC_194)*coupl(nGC_195)*coupl(&
                        nGC_196)*coupl(nGC_611) + 10d0*Nc*coupl(nGC_195)*coupl(&
                        nGC_196)*coupl(nGC_611)**2d0 + 10d0*Nc*coupl(nGC_198)**&
                        2d0*coupl(nGC_199)*coupl(nGC_200) + 40d0*Nc*coupl(     &
                        nGC_198)*coupl(nGC_199)*coupl(nGC_200)*coupl(nGC_561   &
                        ) + 10d0*Nc*coupl(nGC_199)*coupl(nGC_200)*coupl(nGC_561&
                        )**2d0 + 10d0*Nc*coupl(nGC_202)**2d0*coupl(nGC_203)*   &
                        coupl(nGC_204) + 40d0*Nc*coupl(nGC_202)*coupl(nGC_203)*&
                        coupl(nGC_204)*coupl(nGC_597) + 10d0*Nc*coupl(nGC_203)*&
                        coupl(nGC_204)*coupl(nGC_597)**2d0 + 10d0*Nc*coupl(    &
                        nGC_214)**2d0*coupl(nGC_215)*coupl(nGC_216) + 40d0*Nc* &
                        coupl(nGC_214)*coupl(nGC_215)*coupl(nGC_216)*coupl(    &
                        nGC_525) + 10d0*Nc*coupl(nGC_215)*coupl(nGC_216)*coupl(&
                        nGC_525)**2d0 + 10d0*Nc*coupl(nGC_218)**2d0*coupl(     &
                        nGC_219)*coupl(nGC_220) + 40d0*Nc*coupl(nGC_218)*coupl(&
                        nGC_219)*coupl(nGC_220)*coupl(nGC_545) + 10d0*Nc*coupl(&
                        nGC_219)*coupl(nGC_220)*coupl(nGC_545)**2d0 + 10d0*Nc* &
                        coupl(nGC_226)**2d0*coupl(nGC_227)*coupl(nGC_228) +    &
                        40d0*Nc*coupl(nGC_226)*coupl(nGC_227)*coupl(nGC_228)*  &
                        coupl(nGC_533) + 10d0*Nc*coupl(nGC_227)*coupl(nGC_228)*&
                        coupl(nGC_533)**2d0 + 3d0*coupl(nGC_142)*coupl(nGC_147 &
                        ) + 10d0*coupl(nGC_206)**2d0*coupl(nGC_207)*coupl(     &
                        nGC_208) + 40d0*coupl(nGC_206)*coupl(nGC_207)*coupl(   &
                        nGC_208)*coupl(nGC_573) + 10d0*coupl(nGC_207)*coupl(   &
                        nGC_208)*coupl(nGC_573)**2d0 + 10d0*coupl(nGC_210)**2d0&
                        *coupl(nGC_211)*coupl(nGC_212) + 40d0*coupl(nGC_210)*  &
                        coupl(nGC_211)*coupl(nGC_212)*coupl(nGC_569) + 10d0*   &
                        coupl(nGC_211)*coupl(nGC_212)*coupl(nGC_569)**2d0 +    &
                        10d0*coupl(nGC_222)**2d0*coupl(nGC_223)*coupl(nGC_224  &
                        ) + 40d0*coupl(nGC_222)*coupl(nGC_223)*coupl(nGC_224)* &
                        coupl(nGC_535) + 10d0*coupl(nGC_223)*coupl(nGC_224)*   &
                        coupl(nGC_535)**2d0 + 6d0*coupl(nGC_71)*coupl(nGC_92   &
                        ))/(48d0*pi**2d0)
      coupl(nGC_1582) = cima*(10d0*Nc*coupl(nGC_194)**2d0*coupl(nGC_196)**2d0  &
                         + 40d0*Nc*coupl(nGC_194)*coupl(nGC_196)**2d0*coupl(   &
                        nGC_611) + 10d0*Nc*coupl(nGC_196)**2d0*coupl(nGC_611)**&
                        2d0 + 10d0*Nc*coupl(nGC_198)**2d0*coupl(nGC_200)**2d0  &
                         + 40d0*Nc*coupl(nGC_198)*coupl(nGC_200)**2d0*coupl(   &
                        nGC_561) + 10d0*Nc*coupl(nGC_200)**2d0*coupl(nGC_561)**&
                        2d0 + 10d0*Nc*coupl(nGC_202)**2d0*coupl(nGC_204)**2d0  &
                         + 40d0*Nc*coupl(nGC_202)*coupl(nGC_204)**2d0*coupl(   &
                        nGC_597) + 10d0*Nc*coupl(nGC_204)**2d0*coupl(nGC_597)**&
                        2d0 + 10d0*Nc*coupl(nGC_214)**2d0*coupl(nGC_216)**2d0  &
                         + 40d0*Nc*coupl(nGC_214)*coupl(nGC_216)**2d0*coupl(   &
                        nGC_525) + 10d0*Nc*coupl(nGC_216)**2d0*coupl(nGC_525)**&
                        2d0 + 10d0*Nc*coupl(nGC_218)**2d0*coupl(nGC_220)**2d0  &
                         + 40d0*Nc*coupl(nGC_218)*coupl(nGC_220)**2d0*coupl(   &
                        nGC_545) + 10d0*Nc*coupl(nGC_220)**2d0*coupl(nGC_545)**&
                        2d0 + 10d0*Nc*coupl(nGC_226)**2d0*coupl(nGC_228)**2d0  &
                         + 40d0*Nc*coupl(nGC_226)*coupl(nGC_228)**2d0*coupl(   &
                        nGC_533) + 10d0*Nc*coupl(nGC_228)**2d0*coupl(nGC_533)**&
                        2d0 + 3d0*coupl(nGC_142)*coupl(nGC_151) + 10d0*coupl(  &
                        nGC_206)**2d0*coupl(nGC_208)**2d0 + 40d0*coupl(nGC_206 &
                        )*coupl(nGC_208)**2d0*coupl(nGC_573) + 10d0*coupl(     &
                        nGC_208)**2d0*coupl(nGC_573)**2d0 + 10d0*coupl(nGC_210 &
                        )**2d0*coupl(nGC_212)**2d0 + 40d0*coupl(nGC_210)*coupl(&
                        nGC_212)**2d0*coupl(nGC_569) + 10d0*coupl(nGC_212)**2d0&
                        *coupl(nGC_569)**2d0 + 10d0*coupl(nGC_222)**2d0*coupl( &
                        nGC_224)**2d0 + 40d0*coupl(nGC_222)*coupl(nGC_224)**2d0&
                        *coupl(nGC_535) + 10d0*coupl(nGC_224)**2d0*coupl(      &
                        nGC_535)**2d0 + 6d0*coupl(nGC_71)*coupl(nGC_96))/(48d0*&
                        pi**2d0)
      coupl(nGC_1584) = (-8d0*Nc*cima*coupl(nGC_195)**2d0*coupl(nGC_99)**2d0 - &
                        8d0*Nc*cima*coupl(nGC_199)**2d0*coupl(nGC_99)**2d0 -   &
                        8d0*Nc*cima*coupl(nGC_203)**2d0*coupl(nGC_99)**2d0 -   &
                        8d0*Nc*cima*coupl(nGC_215)**2d0*coupl(nGC_99)**2d0 -   &
                        8d0*Nc*cima*coupl(nGC_219)**2d0*coupl(nGC_99)**2d0 -   &
                        8d0*Nc*cima*coupl(nGC_227)**2d0*coupl(nGC_99)**2d0 +   &
                        3d0*cima*coupl(nGC_145)*coupl(nGC_85) - 8d0*cima*coupl(&
                        nGC_207)**2d0*coupl(nGC_99)**2d0 - 8d0*cima*coupl(     &
                        nGC_211)**2d0*coupl(nGC_99)**2d0 - 8d0*cima*coupl(     &
                        nGC_223)**2d0*coupl(nGC_99)**2d0 + 6d0*cima*coupl(     &
                        nGC_633)*coupl(nGC_82) + 6d0*coupl(nGC_102)*coupl(     &
                        nGC_585)*coupl(nGC_82) + 6d0*coupl(nGC_103)*coupl(     &
                        nGC_145)*coupl(nGC_539) + 6d0*coupl(nGC_4)*coupl(      &
                        nGC_523)*coupl(nGC_82))/(48d0*pi**2d0)
      coupl(nGC_1586) = (-8d0*Nc*cima*coupl(nGC_122)**2d0*coupl(nGC_194)*coupl(&
                        nGC_611) - 8d0*Nc*cima*coupl(nGC_122)**2d0*coupl(      &
                        nGC_202)*coupl(nGC_597) - 8d0*Nc*cima*coupl(nGC_122)** &
                        2d0*coupl(nGC_214)*coupl(nGC_525) + 10d0*Nc*cima*coupl(&
                        nGC_122)*coupl(nGC_125)*coupl(nGC_194)*coupl(nGC_611   &
                        ) + 10d0*Nc*cima*coupl(nGC_122)*coupl(nGC_125)*coupl(  &
                        nGC_202)*coupl(nGC_597) + 10d0*Nc*cima*coupl(nGC_122)* &
                        coupl(nGC_125)*coupl(nGC_214)*coupl(nGC_525) - 8d0*Nc* &
                        cima*coupl(nGC_123)**2d0*coupl(nGC_198)*coupl(nGC_561  &
                        ) - 8d0*Nc*cima*coupl(nGC_123)**2d0*coupl(nGC_218)*    &
                        coupl(nGC_545) - 8d0*Nc*cima*coupl(nGC_123)**2d0*coupl(&
                        nGC_226)*coupl(nGC_533) + 10d0*Nc*cima*coupl(nGC_123)* &
                        coupl(nGC_126)*coupl(nGC_198)*coupl(nGC_561) + 10d0*Nc*&
                        cima*coupl(nGC_123)*coupl(nGC_126)*coupl(nGC_218)*coupl&
                        (nGC_545) + 10d0*Nc*cima*coupl(nGC_123)*coupl(nGC_126)*&
                        coupl(nGC_226)*coupl(nGC_533) - 8d0*Nc*cima*coupl(     &
                        nGC_125)**2d0*coupl(nGC_194)*coupl(nGC_611) - 8d0*Nc*  &
                        cima*coupl(nGC_125)**2d0*coupl(nGC_202)*coupl(nGC_597  &
                        ) - 8d0*Nc*cima*coupl(nGC_125)**2d0*coupl(nGC_214)*    &
                        coupl(nGC_525) - 8d0*Nc*cima*coupl(nGC_126)**2d0*coupl(&
                        nGC_198)*coupl(nGC_561) - 8d0*Nc*cima*coupl(nGC_126)** &
                        2d0*coupl(nGC_218)*coupl(nGC_545) - 8d0*Nc*cima*coupl( &
                        nGC_126)**2d0*coupl(nGC_226)*coupl(nGC_533) - 8d0*cima*&
                        coupl(nGC_124)**2d0*coupl(nGC_206)*coupl(nGC_573) - 8d0&
                        *cima*coupl(nGC_124)**2d0*coupl(nGC_210)*coupl(nGC_569 &
                        ) - 8d0*cima*coupl(nGC_124)**2d0*coupl(nGC_222)*coupl( &
                        nGC_535) + 10d0*cima*coupl(nGC_124)*coupl(nGC_128)*    &
                        coupl(nGC_206)*coupl(nGC_573) + 10d0*cima*coupl(nGC_124&
                        )*coupl(nGC_128)*coupl(nGC_210)*coupl(nGC_569) + 10d0* &
                        cima*coupl(nGC_124)*coupl(nGC_128)*coupl(nGC_222)*coupl&
                        (nGC_535) - 8d0*cima*coupl(nGC_128)**2d0*coupl(nGC_206 &
                        )*coupl(nGC_573) - 8d0*cima*coupl(nGC_128)**2d0*coupl( &
                        nGC_210)*coupl(nGC_569) - 8d0*cima*coupl(nGC_128)**2d0*&
                        coupl(nGC_222)*coupl(nGC_535) + 3d0*cima*coupl(nGC_71)*&
                        coupl(nGC_85) + 3d0*coupl(nGC_103)**2d0*coupl(nGC_71   &
                        ) + 3d0*coupl(nGC_585)**2d0*coupl(nGC_71))/(24d0*pi**  &
                        2d0)
      coupl(nGC_1624) = (cima*coupl(nGC_575)**2d0 - cima*coupl(nGC_629)**4d0*  &
                        sq2**4d0 - 2d0*coupl(nGC_575)*coupl(nGC_629)**2d0*sq2**&
                        2d0)/(32d0*pi**2d0)
      coupl(nGC_1588) = (-8d0*Nc*cima*coupl(nGC_195)*coupl(nGC_196)*coupl(     &
                        nGC_99)**2d0 - 8d0*Nc*cima*coupl(nGC_199)*coupl(nGC_200&
                        )*coupl(nGC_99)**2d0 - 8d0*Nc*cima*coupl(nGC_203)*coupl&
                        (nGC_204)*coupl(nGC_99)**2d0 - 8d0*Nc*cima*coupl(      &
                        nGC_215)*coupl(nGC_216)*coupl(nGC_99)**2d0 - 8d0*Nc*   &
                        cima*coupl(nGC_219)*coupl(nGC_220)*coupl(nGC_99)**2d0  &
                         - 8d0*Nc*cima*coupl(nGC_227)*coupl(nGC_228)*coupl(    &
                        nGC_99)**2d0 + 3d0*cima*coupl(nGC_147)*coupl(nGC_85) - &
                        8d0*cima*coupl(nGC_207)*coupl(nGC_208)*coupl(nGC_99)** &
                        2d0 - 8d0*cima*coupl(nGC_211)*coupl(nGC_212)*coupl(    &
                        nGC_99)**2d0 - 8d0*cima*coupl(nGC_223)*coupl(nGC_224)* &
                        coupl(nGC_99)**2d0 + 6d0*cima*coupl(nGC_633)*coupl(    &
                        nGC_92) + 6d0*coupl(nGC_102)*coupl(nGC_585)*coupl(     &
                        nGC_92) + 6d0*coupl(nGC_103)*coupl(nGC_147)*coupl(     &
                        nGC_539) + 6d0*coupl(nGC_4)*coupl(nGC_523)*coupl(nGC_92&
                        ))/(48d0*pi**2d0)
      coupl(nGC_2141) = -coupl(nGC_128)*dZZA_QED2/2d0 - coupl(nGC_1675) - coupl&
                        (nGC_4)*dZA_QED2/2d0
      coupl(nGC_1489) = (4d0*coupl(nGC_124)**3d0 + 4d0*coupl(nGC_124)*coupl(   &
                        nGC_4)**2d0 + coupl(nGC_128)*coupl(nGC_206)*coupl(     &
                        nGC_573) + coupl(nGC_128)*coupl(nGC_207)**2d0 + coupl( &
                        nGC_128)*coupl(nGC_208)**2d0 + coupl(nGC_129)*coupl(   &
                        nGC_205)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1523) = coupl(nGC_19)**2d0*sq2**3d0*(Nc**2d0*cima*coupl(nGC_629&
                        ) - 2d0*coupl(nGC_19))/(128d0*pi**2d0*Nc)
      coupl(nGC_1520) = coupl(nGC_19)**2d0*sq2**3d0*(-Nc**2d0*cima*coupl(      &
                        nGC_629) + 2d0*coupl(nGC_19))/(128d0*pi**2d0*Nc**2d0)
      coupl(nGC_1958) = -coupl(nGC_1694) - coupl(nGC_202)*dZdL_QCD2/2d0 - coupl&
                        (nGC_202)*dZdR_QCD2/2d0
      coupl(nGC_1881) = coupl(nGC_1740) + coupl(nGC_220)*dZtL_QCD2/2d0 + coupl(&
                        nGC_220)*dZtR_QCD2/2d0
      coupl(nGC_1883) = coupl(nGC_16)*dZHhHl_QED2/2d0 + coupl(nGC_1645) + coupl&
                        (nGC_27)*dZHl_QED2/2d0
      coupl(nGC_2128) = coupl(nGC_1746) + coupl(nGC_98)*dZWMinus_QED2/2d0
      coupl(nGC_1953) = coupl(nGC_124)*dZZ_QED2/2d0 + coupl(nGC_124)*          &
                        dZeMinusR_QED2 + coupl(nGC_1792) + coupl(nGC_4)*       &
                        dZAZ_QED2/2d0
      coupl(nGC_2123) = -coupl(nGC_104)*dZZ_QED2/4d0 - coupl(nGC_1677)/2d0 -   &
                        coupl(nGC_6)*dZAZ_QED2/4d0
      coupl(nGC_2122) = coupl(nGC_124)*dZZA_QED2/2d0 + coupl(nGC_1675) + coupl(&
                        nGC_4)*dZA_QED2/2d0 + coupl(nGC_4)*dZmuMinusR_QED2
      coupl(nGC_1487) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_125) + coupl(nGC_122)*&
                        coupl(nGC_202)*coupl(nGC_597) + coupl(nGC_122)*coupl(  &
                        nGC_203)**2d0 + coupl(nGC_122)*coupl(nGC_204)**2d0 +   &
                        coupl(nGC_123)*coupl(nGC_225)**2d0 + 4d0*coupl(nGC_125 &
                        )**3d0 + 4d0*coupl(nGC_126)*coupl(nGC_99)**2d0 + 2d0*  &
                        coupl(nGC_585)*coupl(nGC_99)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1620) = cima*sq2**4d0*(-Nc*coupl(nGC_629)**4d0 - 15d0*coupl(   &
                        nGC_19)**4d0)/(192d0*pi**2d0)
      coupl(nGC_2088) = -coupl(nGC_1728) - coupl(nGC_218)*dZtL_QCD2/2d0 - coupl&
                        (nGC_218)*dZtR_QCD2/2d0
      coupl(nGC_1623) = (cima*coupl(nGC_20)**2d0 + 2d0*cima*coupl(nGC_20)*coupl&
                        (nGC_549) + cima*coupl(nGC_549)**2d0 - cima*coupl(     &
                        nGC_629)**4d0*sq2**4d0 - 2d0*coupl(nGC_20)*coupl(      &
                        nGC_629)**2d0*sq2**2d0 - 2d0*coupl(nGC_549)*coupl(     &
                        nGC_629)**2d0*sq2**2d0)/(32d0*pi**2d0)
      coupl(nGC_1407) = (8d0*coupl(nGC_123)*coupl(nGC_126)*coupl(nGC_226) + 8d0&
                        *coupl(nGC_2)**2d0*coupl(nGC_226) - coupl(nGC_201)*    &
                        coupl(nGC_225)*coupl(nGC_597) - coupl(nGC_226)**2d0*   &
                        coupl(nGC_533) - coupl(nGC_227)**2d0*coupl(nGC_533) -  &
                        coupl(nGC_228)**2d0*coupl(nGC_533))/(32d0*pi**2d0)
      coupl(nGC_2083) = coupl(nGC_1679) + coupl(nGC_21)*dZg_QCD2
      coupl(nGC_2086) = coupl(nGC_1728) + coupl(nGC_218)*dZtL_QCD2/2d0 + coupl(&
                        nGC_218)*dZtR_QCD2/2d0
      coupl(nGC_1265) = cima*(-3d0*Nc*coupl(nGC_99)**2d0 - coupl(nGC_102)*coupl&
                        (nGC_585) - coupl(nGC_103)*coupl(nGC_539) - coupl(nGC_3&
                        )*coupl(nGC_589) - coupl(nGC_4)*coupl(nGC_523) - 3d0*  &
                        coupl(nGC_99)**2d0)/(48d0*pi**2d0)
      coupl(nGC_2260) = -coupl(nGC_1381)
      coupl(nGC_2017) = coupl(nGC_1652) + coupl(nGC_81)*dZHh_QED2 + coupl(     &
                        nGC_93)*dZHlHh_QED2
      coupl(nGC_1892) = coupl(nGC_111)*dZHhHl_QED2/2d0 + coupl(nGC_119)*       &
                        dZHl_QED2/2d0 + coupl(nGC_1659)
      coupl(nGC_2139) = coupl(nGC_1737) + coupl(nGC_199)*dZHhHl_QED2/2d0 +     &
                        coupl(nGC_200)*dZHl_QED2/2d0 + coupl(nGC_200)*dZcL_QED2&
                        /2d0 + coupl(nGC_200)*dZcR_QED2/2d0
      coupl(nGC_2135) = coupl(nGC_129)*dZZ_QED2/2d0 + coupl(nGC_129)*          &
                        dZnu_tauL_QED2 + coupl(nGC_1791)
      coupl(nGC_1944) = coupl(nGC_1699) + coupl(nGC_203)*dZHh_QED2/2d0 + coupl(&
                        nGC_203)*dZdL_QED2/2d0 + coupl(nGC_203)*dZdR_QED2/2d0  &
                         + coupl(nGC_204)*dZHlHh_QED2/2d0
      coupl(nGC_1557) = (-Nc*cima*coupl(nGC_1)*coupl(nGC_122)*coupl(nGC_195)*  &
                        coupl(nGC_196) - Nc*cima*coupl(nGC_1)*coupl(nGC_122)*  &
                        coupl(nGC_203)*coupl(nGC_204) - Nc*cima*coupl(nGC_1)*  &
                        coupl(nGC_122)*coupl(nGC_215)*coupl(nGC_216) - Nc*cima*&
                        coupl(nGC_1)*coupl(nGC_125)*coupl(nGC_195)*coupl(      &
                        nGC_196) - Nc*cima*coupl(nGC_1)*coupl(nGC_125)*coupl(  &
                        nGC_203)*coupl(nGC_204) - Nc*cima*coupl(nGC_1)*coupl(  &
                        nGC_125)*coupl(nGC_215)*coupl(nGC_216) - Nc*cima*coupl(&
                        nGC_123)*coupl(nGC_199)*coupl(nGC_2)*coupl(nGC_200) -  &
                        Nc*cima*coupl(nGC_123)*coupl(nGC_2)*coupl(nGC_219)*    &
                        coupl(nGC_220) - Nc*cima*coupl(nGC_123)*coupl(nGC_2)*  &
                        coupl(nGC_227)*coupl(nGC_228) - Nc*cima*coupl(nGC_126)*&
                        coupl(nGC_199)*coupl(nGC_2)*coupl(nGC_200) - Nc*cima*  &
                        coupl(nGC_126)*coupl(nGC_2)*coupl(nGC_219)*coupl(      &
                        nGC_220) - Nc*cima*coupl(nGC_126)*coupl(nGC_2)*coupl(  &
                        nGC_227)*coupl(nGC_228) + cima*coupl(nGC_116)*coupl(   &
                        nGC_92) - cima*coupl(nGC_124)*coupl(nGC_207)*coupl(    &
                        nGC_208)*coupl(nGC_4) - cima*coupl(nGC_124)*coupl(     &
                        nGC_211)*coupl(nGC_212)*coupl(nGC_4) - cima*coupl(     &
                        nGC_124)*coupl(nGC_223)*coupl(nGC_224)*coupl(nGC_4) -  &
                        cima*coupl(nGC_128)*coupl(nGC_207)*coupl(nGC_208)*coupl&
                        (nGC_4) - cima*coupl(nGC_128)*coupl(nGC_211)*coupl(    &
                        nGC_212)*coupl(nGC_4) - cima*coupl(nGC_128)*coupl(     &
                        nGC_223)*coupl(nGC_224)*coupl(nGC_4) + coupl(nGC_103)* &
                        coupl(nGC_3)*coupl(nGC_92) + coupl(nGC_523)*coupl(     &
                        nGC_585)*coupl(nGC_92))/(8d0*pi**2d0)
      coupl(nGC_1556) = (-Nc*cima*coupl(nGC_1)*coupl(nGC_122)*coupl(nGC_194)*  &
                        coupl(nGC_611) - Nc*cima*coupl(nGC_1)*coupl(nGC_122)*  &
                        coupl(nGC_202)*coupl(nGC_597) - Nc*cima*coupl(nGC_1)*  &
                        coupl(nGC_122)*coupl(nGC_214)*coupl(nGC_525) - Nc*cima*&
                        coupl(nGC_1)*coupl(nGC_125)*coupl(nGC_194)*coupl(      &
                        nGC_611) - Nc*cima*coupl(nGC_1)*coupl(nGC_125)*coupl(  &
                        nGC_202)*coupl(nGC_597) - Nc*cima*coupl(nGC_1)*coupl(  &
                        nGC_125)*coupl(nGC_214)*coupl(nGC_525) - Nc*cima*coupl(&
                        nGC_123)*coupl(nGC_198)*coupl(nGC_2)*coupl(nGC_561) -  &
                        Nc*cima*coupl(nGC_123)*coupl(nGC_2)*coupl(nGC_218)*    &
                        coupl(nGC_545) - Nc*cima*coupl(nGC_123)*coupl(nGC_2)*  &
                        coupl(nGC_226)*coupl(nGC_533) - Nc*cima*coupl(nGC_126)*&
                        coupl(nGC_198)*coupl(nGC_2)*coupl(nGC_561) - Nc*cima*  &
                        coupl(nGC_126)*coupl(nGC_2)*coupl(nGC_218)*coupl(      &
                        nGC_545) - Nc*cima*coupl(nGC_126)*coupl(nGC_2)*coupl(  &
                        nGC_226)*coupl(nGC_533) + cima*coupl(nGC_116)*coupl(   &
                        nGC_71) - cima*coupl(nGC_124)*coupl(nGC_206)*coupl(    &
                        nGC_4)*coupl(nGC_573) - cima*coupl(nGC_124)*coupl(     &
                        nGC_210)*coupl(nGC_4)*coupl(nGC_569) - cima*coupl(     &
                        nGC_124)*coupl(nGC_222)*coupl(nGC_4)*coupl(nGC_535) -  &
                        cima*coupl(nGC_128)*coupl(nGC_206)*coupl(nGC_4)*coupl( &
                        nGC_573) - cima*coupl(nGC_128)*coupl(nGC_210)*coupl(   &
                        nGC_4)*coupl(nGC_569) - cima*coupl(nGC_128)*coupl(     &
                        nGC_222)*coupl(nGC_4)*coupl(nGC_535) + coupl(nGC_103)* &
                        coupl(nGC_3)*coupl(nGC_71) + coupl(nGC_523)*coupl(     &
                        nGC_585)*coupl(nGC_71))/(8d0*pi**2d0)
      coupl(nGC_1555) = (Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_122)**2d0 + Nc*   &
                        cima*coupl(nGC_1)**2d0*coupl(nGC_125)**2d0 + Nc*cima*  &
                        coupl(nGC_123)**2d0*coupl(nGC_2)**2d0 + Nc*cima*coupl( &
                        nGC_126)**2d0*coupl(nGC_2)**2d0 - 2d0*cima*coupl(      &
                        nGC_103)**2d0*coupl(nGC_3)**2d0 + cima*coupl(nGC_116)**&
                        2d0 + cima*coupl(nGC_124)**2d0*coupl(nGC_4)**2d0 + cima&
                        *coupl(nGC_128)**2d0*coupl(nGC_4)**2d0 - 2d0*cima*coupl&
                        (nGC_523)**2d0*coupl(nGC_585)**2d0 + 2d0*coupl(nGC_103 &
                        )*coupl(nGC_116)*coupl(nGC_3) + 2d0*coupl(nGC_116)*    &
                        coupl(nGC_523)*coupl(nGC_585))/(8d0*pi**2d0)
      coupl(nGC_1552) = (-6d0*Nc*cima*coupl(nGC_1)*coupl(nGC_125)*coupl(nGC_99 &
                        )**2d0 + 9d0*Nc*cima*coupl(nGC_1)*coupl(nGC_126)*coupl(&
                        nGC_99)**2d0 + 9d0*Nc*cima*coupl(nGC_125)*coupl(nGC_2)*&
                        coupl(nGC_99)**2d0 - 6d0*Nc*cima*coupl(nGC_126)*coupl( &
                        nGC_2)*coupl(nGC_99)**2d0 - 8d0*cima*coupl(nGC_102)*   &
                        coupl(nGC_103)*coupl(nGC_3)*coupl(nGC_585) - 8d0*cima* &
                        coupl(nGC_103)*coupl(nGC_3)*coupl(nGC_4)*coupl(nGC_523 &
                        ) + 6d0*cima*coupl(nGC_113)*coupl(nGC_601) + 6d0*cima* &
                        coupl(nGC_113)*coupl(nGC_84) - 6d0*cima*coupl(nGC_128)*&
                        coupl(nGC_4)*coupl(nGC_99)**2d0 + 9d0*cima*coupl(      &
                        nGC_129)*coupl(nGC_4)*coupl(nGC_99)**2d0 + 6d0*coupl(  &
                        nGC_102)*coupl(nGC_103)*coupl(nGC_113) + 6d0*coupl(    &
                        nGC_103)*coupl(nGC_4)*coupl(nGC_601) + 6d0*coupl(      &
                        nGC_113)*coupl(nGC_3)*coupl(nGC_523) + 6d0*coupl(nGC_3 &
                        )*coupl(nGC_585)*coupl(nGC_84))/(48d0*pi**2d0)
      coupl(nGC_2092) = coupl(nGC_1643) + coupl(nGC_29)*dZHhHl_QED2 + coupl(   &
                        nGC_30)*dZHl_QED2
      coupl(nGC_1412) = (-2d0*Nc*cMB*coupl(nGC_195)*coupl(nGC_99)**2d0 - 2d0*Nc&
                        *cMC*coupl(nGC_199)*coupl(nGC_99)**2d0 - 2d0*Nc*cMD*   &
                        coupl(nGC_203)*coupl(nGC_99)**2d0 - 2d0*Nc*cMS*coupl(  &
                        nGC_215)*coupl(nGC_99)**2d0 - 2d0*Nc*cMT*coupl(nGC_219 &
                        )*coupl(nGC_99)**2d0 - 2d0*Nc*cMU*coupl(nGC_227)*coupl(&
                        nGC_99)**2d0 - 2d0*cME*coupl(nGC_207)*coupl(nGC_99)**  &
                        2d0 - 2d0*cMM*coupl(nGC_211)*coupl(nGC_99)**2d0 - 2d0* &
                        cMTA*coupl(nGC_223)*coupl(nGC_99)**2d0 + 2d0*cima*coupl&
                        (nGC_162)*coupl(nGC_633) + cima*coupl(nGC_175)*coupl(  &
                        nGC_85) + 2d0*coupl(nGC_102)*coupl(nGC_162)*coupl(     &
                        nGC_585) + 2d0*coupl(nGC_103)*coupl(nGC_175)*coupl(    &
                        nGC_539) + 2d0*coupl(nGC_162)*coupl(nGC_4)*coupl(      &
                        nGC_523))/(16d0*pi**2d0)
      coupl(nGC_2234) = coupl(nGC_1874) + coupl(nGC_MW_GF)*dZWMinus_QED2/2d0 - &
                        coupl(nGC_TS_GC_100_Hh) - coupl(nGC_TS_GC_118_Hl)
      coupl(nGC_1326) = (4d0*coupl(nGC_1)**3d0 + 4d0*coupl(nGC_1)*coupl(nGC_125&
                        )**2d0 + coupl(nGC_1)*coupl(nGC_202)*coupl(nGC_597) +  &
                        coupl(nGC_1)*coupl(nGC_203)**2d0 + coupl(nGC_1)*coupl( &
                        nGC_204)**2d0 + coupl(nGC_2)*coupl(nGC_225)**2d0 + 4d0*&
                        coupl(nGC_2)*coupl(nGC_99)**2d0 + 2d0*coupl(nGC_523)*  &
                        coupl(nGC_99)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1327) = (4d0*coupl(nGC_1)**3d0 + 4d0*coupl(nGC_1)*coupl(nGC_122&
                        )**2d0 + coupl(nGC_1)*coupl(nGC_202)*coupl(nGC_597) +  &
                        coupl(nGC_1)*coupl(nGC_203)**2d0 + coupl(nGC_1)*coupl( &
                        nGC_204)**2d0 + coupl(nGC_2)*coupl(nGC_201)**2d0)/(32d0&
                        *pi**2d0)
      coupl(nGC_1320) = (4d0*coupl(nGC_1)**3d0 + 4d0*coupl(nGC_1)*coupl(nGC_125&
                        )**2d0 + coupl(nGC_1)*coupl(nGC_194)*coupl(nGC_611) +  &
                        coupl(nGC_1)*coupl(nGC_195)**2d0 + coupl(nGC_1)*coupl( &
                        nGC_196)**2d0 + coupl(nGC_2)*coupl(nGC_217)**2d0 + 4d0*&
                        coupl(nGC_2)*coupl(nGC_99)**2d0 + 2d0*coupl(nGC_523)*  &
                        coupl(nGC_99)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1328) = coupl(nGC_4)*(4d0*coupl(nGC_124)**2d0 + coupl(nGC_206)*&
                        coupl(nGC_573) + coupl(nGC_207)**2d0 + coupl(nGC_208)**&
                        2d0 + 4d0*coupl(nGC_4)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1329) = (4d0*coupl(nGC_128)**2d0*coupl(nGC_4) + coupl(nGC_206)*&
                        coupl(nGC_4)*coupl(nGC_573) + coupl(nGC_207)**2d0*coupl&
                        (nGC_4) + coupl(nGC_208)**2d0*coupl(nGC_4) - 2d0*coupl(&
                        nGC_3)*coupl(nGC_99)**2d0 + 4d0*coupl(nGC_4)**3d0)/(   &
                        32d0*pi**2d0)
      coupl(nGC_2181) = coupl(nGC_1875) + coupl(nGC_MMW_GF)*dZWMinus_QED2/2d0  &
                         - coupl(nGC_TS_GC_101_Hh) - coupl(nGC_TS_GC_117_Hl)
      coupl(nGC_2223) = coupl(nGC_1663) + 3d0*coupl(nGC_189)*dZHlHh_QED2/2d0 + &
                        3d0*coupl(nGC_191)*dZHh_QED2/2d0 + coupl(              &
                        nGC_TS_GC_33_Hl) + coupl(nGC_TS_GC_35_Hh)
      coupl(nGC_2224) = -coupl(nGC_1876) - coupl(nGC_MZ_GF)*dZZ_QED2/2d0 +     &
                        coupl(nGC_TS_GC_130_Hh) + coupl(nGC_TS_GC_136_Hl)
      coupl(nGC_2226) = coupl(nGC_1642) + 2d0*coupl(nGC_32)*dZHhHl_QED2 + 2d0* &
                        coupl(nGC_34)*dZHl_QED2
      coupl(nGC_2227) = coupl(nGC_1664) + coupl(nGC_189)*dZHhHl_QED2 + coupl(  &
                        nGC_190)*dZHlHh_QED2/2d0 + coupl(nGC_192)*dZHh_QED2/2d0&
                         + coupl(nGC_192)*dZHl_QED2 + coupl(nGC_TS_GC_32_Hl) + &
                        coupl(nGC_TS_GC_36_Hh)
      coupl(nGC_1313) = (-Nc*cMB*coupl(nGC_193)*coupl(nGC_2)*coupl(nGC_99) - Nc&
                        *cMC*coupl(nGC_1)*coupl(nGC_197)*coupl(nGC_99) - Nc*cMD&
                        *coupl(nGC_2)*coupl(nGC_201)*coupl(nGC_99) - Nc*cMS*   &
                        coupl(nGC_2)*coupl(nGC_213)*coupl(nGC_99) - Nc*cMT*    &
                        coupl(nGC_1)*coupl(nGC_217)*coupl(nGC_99) - Nc*cMU*    &
                        coupl(nGC_1)*coupl(nGC_225)*coupl(nGC_99) + 2d0*cima*  &
                        coupl(nGC_113)*coupl(nGC_154) + 2d0*cima*coupl(nGC_166 &
                        )*coupl(nGC_601) + 2d0*coupl(nGC_103)*coupl(nGC_154)*  &
                        coupl(nGC_523) + 2d0*coupl(nGC_166)*coupl(nGC_3)*coupl(&
                        nGC_523))/(16d0*pi**2d0)
      coupl(nGC_1315) = (3d0*Nc*coupl(nGC_1)*coupl(nGC_99)**2d0 - 3d0*Nc*coupl(&
                        nGC_2)*coupl(nGC_99)**2d0 - coupl(nGC_102)*coupl(nGC_3 &
                        )*coupl(nGC_585) - coupl(nGC_3)*coupl(nGC_4)*coupl(    &
                        nGC_523) + 3d0*coupl(nGC_4)*coupl(nGC_99)**2d0)/(24d0* &
                        pi**2d0)
      coupl(nGC_1317) = (-2d0*Nc*cMB*coupl(nGC_1)**2d0*coupl(nGC_195) - 2d0*Nc*&
                        cMC*coupl(nGC_199)*coupl(nGC_2)**2d0 - 2d0*Nc*cMD*coupl&
                        (nGC_1)**2d0*coupl(nGC_203) - 2d0*Nc*cMS*coupl(nGC_1)**&
                        2d0*coupl(nGC_215) - 2d0*Nc*cMT*coupl(nGC_2)**2d0*coupl&
                        (nGC_219) - 2d0*Nc*cMU*coupl(nGC_2)**2d0*coupl(nGC_227 &
                        ) - 2d0*cME*coupl(nGC_207)*coupl(nGC_4)**2d0 - 2d0*cMM*&
                        coupl(nGC_211)*coupl(nGC_4)**2d0 - 2d0*cMTA*coupl(     &
                        nGC_223)*coupl(nGC_4)**2d0 + cima*coupl(nGC_162)*coupl(&
                        nGC_9) + coupl(nGC_162)*coupl(nGC_3)**2d0 + coupl(     &
                        nGC_162)*coupl(nGC_523)**2d0)/(8d0*pi**2d0)
      coupl(nGC_1316) = (-2d0*Nc*cMB*coupl(nGC_1)**2d0*coupl(nGC_196) - 2d0*Nc*&
                        cMC*coupl(nGC_2)**2d0*coupl(nGC_200) - 2d0*Nc*cMD*coupl&
                        (nGC_1)**2d0*coupl(nGC_204) - 2d0*Nc*cMS*coupl(nGC_1)**&
                        2d0*coupl(nGC_216) - 2d0*Nc*cMT*coupl(nGC_2)**2d0*coupl&
                        (nGC_220) - 2d0*Nc*cMU*coupl(nGC_2)**2d0*coupl(nGC_228 &
                        ) - 2d0*cME*coupl(nGC_208)*coupl(nGC_4)**2d0 - 2d0*cMM*&
                        coupl(nGC_212)*coupl(nGC_4)**2d0 - 2d0*cMTA*coupl(     &
                        nGC_224)*coupl(nGC_4)**2d0 + cima*coupl(nGC_164)*coupl(&
                        nGC_9) + coupl(nGC_164)*coupl(nGC_3)**2d0 + coupl(     &
                        nGC_164)*coupl(nGC_523)**2d0)/(8d0*pi**2d0)
      coupl(nGC_1319) = (-Nc*cMB*coupl(nGC_1)*coupl(nGC_122)*coupl(nGC_195) -  &
                        Nc*cMB*coupl(nGC_1)*coupl(nGC_125)*coupl(nGC_195) - Nc*&
                        cMC*coupl(nGC_123)*coupl(nGC_199)*coupl(nGC_2) - Nc*cMC&
                        *coupl(nGC_126)*coupl(nGC_199)*coupl(nGC_2) - Nc*cMD*  &
                        coupl(nGC_1)*coupl(nGC_122)*coupl(nGC_203) - Nc*cMD*   &
                        coupl(nGC_1)*coupl(nGC_125)*coupl(nGC_203) - Nc*cMS*   &
                        coupl(nGC_1)*coupl(nGC_122)*coupl(nGC_215) - Nc*cMS*   &
                        coupl(nGC_1)*coupl(nGC_125)*coupl(nGC_215) - Nc*cMT*   &
                        coupl(nGC_123)*coupl(nGC_2)*coupl(nGC_219) - Nc*cMT*   &
                        coupl(nGC_126)*coupl(nGC_2)*coupl(nGC_219) - Nc*cMU*   &
                        coupl(nGC_123)*coupl(nGC_2)*coupl(nGC_227) - Nc*cMU*   &
                        coupl(nGC_126)*coupl(nGC_2)*coupl(nGC_227) - cME*coupl(&
                        nGC_124)*coupl(nGC_207)*coupl(nGC_4) - cME*coupl(      &
                        nGC_128)*coupl(nGC_207)*coupl(nGC_4) - cMM*coupl(      &
                        nGC_124)*coupl(nGC_211)*coupl(nGC_4) - cMM*coupl(      &
                        nGC_128)*coupl(nGC_211)*coupl(nGC_4) - cMTA*coupl(     &
                        nGC_124)*coupl(nGC_223)*coupl(nGC_4) - cMTA*coupl(     &
                        nGC_128)*coupl(nGC_223)*coupl(nGC_4) + cima*coupl(     &
                        nGC_116)*coupl(nGC_162) + coupl(nGC_103)*coupl(nGC_162 &
                        )*coupl(nGC_3) + coupl(nGC_162)*coupl(nGC_523)*coupl(  &
                        nGC_585))/(8d0*pi**2d0)
      coupl(nGC_1318) = (-Nc*cMB*coupl(nGC_1)*coupl(nGC_122)*coupl(nGC_196) -  &
                        Nc*cMB*coupl(nGC_1)*coupl(nGC_125)*coupl(nGC_196) - Nc*&
                        cMC*coupl(nGC_123)*coupl(nGC_2)*coupl(nGC_200) - Nc*cMC&
                        *coupl(nGC_126)*coupl(nGC_2)*coupl(nGC_200) - Nc*cMD*  &
                        coupl(nGC_1)*coupl(nGC_122)*coupl(nGC_204) - Nc*cMD*   &
                        coupl(nGC_1)*coupl(nGC_125)*coupl(nGC_204) - Nc*cMS*   &
                        coupl(nGC_1)*coupl(nGC_122)*coupl(nGC_216) - Nc*cMS*   &
                        coupl(nGC_1)*coupl(nGC_125)*coupl(nGC_216) - Nc*cMT*   &
                        coupl(nGC_123)*coupl(nGC_2)*coupl(nGC_220) - Nc*cMT*   &
                        coupl(nGC_126)*coupl(nGC_2)*coupl(nGC_220) - Nc*cMU*   &
                        coupl(nGC_123)*coupl(nGC_2)*coupl(nGC_228) - Nc*cMU*   &
                        coupl(nGC_126)*coupl(nGC_2)*coupl(nGC_228) - cME*coupl(&
                        nGC_124)*coupl(nGC_208)*coupl(nGC_4) - cME*coupl(      &
                        nGC_128)*coupl(nGC_208)*coupl(nGC_4) - cMM*coupl(      &
                        nGC_124)*coupl(nGC_212)*coupl(nGC_4) - cMM*coupl(      &
                        nGC_128)*coupl(nGC_212)*coupl(nGC_4) - cMTA*coupl(     &
                        nGC_124)*coupl(nGC_224)*coupl(nGC_4) - cMTA*coupl(     &
                        nGC_128)*coupl(nGC_224)*coupl(nGC_4) + cima*coupl(     &
                        nGC_116)*coupl(nGC_164) + coupl(nGC_103)*coupl(nGC_164 &
                        )*coupl(nGC_3) + coupl(nGC_164)*coupl(nGC_523)*coupl(  &
                        nGC_585))/(8d0*pi**2d0)
      coupl(nGC_2034) = coupl(nGC_1640) + coupl(nGC_29)*dZHlHh_QED2 + coupl(   &
                        nGC_31)*dZHh_QED2
      coupl(nGC_2030) = coupl(nGC_1702) + coupl(nGC_215)*dZsL_QCD2/2d0 + coupl(&
                        nGC_215)*dZsR_QCD2/2d0
      coupl(nGC_2032) = coupl(nGC_1666) + coupl(nGC_179)*dZHl_QED2/2d0 + coupl(&
                        nGC_184)*dZHhHl_QED2/2d0 + coupl(nGC_TS_GC_29_Hh) +    &
                        coupl(nGC_TS_GC_30_Hl)
      coupl(nGC_1923) = coupl(nGC_1678) + 3d0*coupl(nGC_18)*dZg_QCD2/2d0
      coupl(nGC_2058) = coupl(nGC_1731) + coupl(nGC_199)*dZHh_QED2/2d0 + coupl(&
                        nGC_199)*dZcL_QED2/2d0 + coupl(nGC_199)*dZcR_QED2/2d0  &
                         + coupl(nGC_200)*dZHlHh_QED2/2d0
      coupl(nGC_2054) = -coupl(nGC_1674)/2d0 - coupl(nGC_6)*dZWMinus_QED2/4d0
      coupl(nGC_2051) = coupl(nGC_128)*dZZA_QED2/2d0 + coupl(nGC_1675) + coupl(&
                        nGC_4)*dZA_QED2/2d0
      coupl(nGC_1571) = (5d0*Nc*cima*coupl(nGC_122)*coupl(nGC_193)*coupl(      &
                        nGC_611)*coupl(nGC_99) + 5d0*Nc*cima*coupl(nGC_122)*   &
                        coupl(nGC_201)*coupl(nGC_597)*coupl(nGC_99) + 5d0*Nc*  &
                        cima*coupl(nGC_122)*coupl(nGC_213)*coupl(nGC_525)*coupl&
                        (nGC_99) + 5d0*Nc*cima*coupl(nGC_123)*coupl(nGC_197)*  &
                        coupl(nGC_198)*coupl(nGC_99) + 5d0*Nc*cima*coupl(      &
                        nGC_123)*coupl(nGC_217)*coupl(nGC_218)*coupl(nGC_99) + &
                        5d0*Nc*cima*coupl(nGC_123)*coupl(nGC_225)*coupl(nGC_226&
                        )*coupl(nGC_99) - 4d0*Nc*cima*coupl(nGC_125)*coupl(    &
                        nGC_193)*coupl(nGC_611)*coupl(nGC_99) - 4d0*Nc*cima*   &
                        coupl(nGC_125)*coupl(nGC_197)*coupl(nGC_198)*coupl(    &
                        nGC_99) - 4d0*Nc*cima*coupl(nGC_125)*coupl(nGC_201)*   &
                        coupl(nGC_597)*coupl(nGC_99) - 4d0*Nc*cima*coupl(      &
                        nGC_125)*coupl(nGC_213)*coupl(nGC_525)*coupl(nGC_99) - &
                        4d0*Nc*cima*coupl(nGC_125)*coupl(nGC_217)*coupl(nGC_218&
                        )*coupl(nGC_99) - 4d0*Nc*cima*coupl(nGC_125)*coupl(    &
                        nGC_225)*coupl(nGC_226)*coupl(nGC_99) - 4d0*Nc*cima*   &
                        coupl(nGC_126)*coupl(nGC_193)*coupl(nGC_611)*coupl(    &
                        nGC_99) - 4d0*Nc*cima*coupl(nGC_126)*coupl(nGC_197)*   &
                        coupl(nGC_198)*coupl(nGC_99) - 4d0*Nc*cima*coupl(      &
                        nGC_126)*coupl(nGC_201)*coupl(nGC_597)*coupl(nGC_99) - &
                        4d0*Nc*cima*coupl(nGC_126)*coupl(nGC_213)*coupl(nGC_525&
                        )*coupl(nGC_99) - 4d0*Nc*cima*coupl(nGC_126)*coupl(    &
                        nGC_217)*coupl(nGC_218)*coupl(nGC_99) - 4d0*Nc*cima*   &
                        coupl(nGC_126)*coupl(nGC_225)*coupl(nGC_226)*coupl(    &
                        nGC_99) + 6d0*cima*coupl(nGC_108)*coupl(nGC_113) + 5d0*&
                        cima*coupl(nGC_124)*coupl(nGC_205)*coupl(nGC_573)*coupl&
                        (nGC_99) + 5d0*cima*coupl(nGC_124)*coupl(nGC_209)*coupl&
                        (nGC_569)*coupl(nGC_99) + 5d0*cima*coupl(nGC_124)*coupl&
                        (nGC_221)*coupl(nGC_535)*coupl(nGC_99) - 4d0*cima*coupl&
                        (nGC_128)*coupl(nGC_205)*coupl(nGC_573)*coupl(nGC_99   &
                        ) - 4d0*cima*coupl(nGC_128)*coupl(nGC_209)*coupl(      &
                        nGC_569)*coupl(nGC_99) - 4d0*cima*coupl(nGC_128)*coupl(&
                        nGC_221)*coupl(nGC_535)*coupl(nGC_99) - 4d0*cima*coupl(&
                        nGC_129)*coupl(nGC_205)*coupl(nGC_573)*coupl(nGC_99) - &
                        4d0*cima*coupl(nGC_129)*coupl(nGC_209)*coupl(nGC_569)* &
                        coupl(nGC_99) - 4d0*cima*coupl(nGC_129)*coupl(nGC_221)*&
                        coupl(nGC_535)*coupl(nGC_99) + 6d0*cima*coupl(nGC_14)* &
                        coupl(nGC_84) + 6d0*coupl(nGC_103)*coupl(nGC_14)*coupl(&
                        nGC_585) + 6d0*coupl(nGC_108)*coupl(nGC_3)*coupl(      &
                        nGC_585))/(48d0*pi**2d0)
      coupl(nGC_1267) = (Nc*cMB**2d0*cima*coupl(nGC_99)**2d0 + Nc*cMC**2d0*cima&
                        *coupl(nGC_99)**2d0 + Nc*cMD**2d0*cima*coupl(nGC_99)** &
                        2d0 + Nc*cMS**2d0*cima*coupl(nGC_99)**2d0 + Nc*cMT**2d0&
                        *cima*coupl(nGC_99)**2d0 + Nc*cMU**2d0*cima*coupl(     &
                        nGC_99)**2d0 + cME**2d0*cima*coupl(nGC_99)**2d0 + cMM**&
                        2d0*cima*coupl(nGC_99)**2d0 + cMTA**2d0*cima*coupl(    &
                        nGC_99)**2d0 + cMW**2d0*cima*coupl(nGC_102)*coupl(     &
                        nGC_585) + cMW**2d0*cima*coupl(nGC_103)*coupl(nGC_539  &
                        ) + cMW**2d0*cima*coupl(nGC_3)*coupl(nGC_589) + cMW**  &
                        2d0*cima*coupl(nGC_4)*coupl(nGC_523) - 2d0*cMW**2d0*   &
                        coupl(nGC_633) + cMZ**2d0*cima*coupl(nGC_102)*coupl(   &
                        nGC_585) + cMZ**2d0*cima*coupl(nGC_103)*coupl(nGC_539  &
                        ) - cMZ**2d0*coupl(nGC_85))/(16d0*pi**2d0)
      coupl(nGC_2198) = coupl(nGC_1703) + coupl(nGC_195)*dZHh_QED2/2d0 + coupl(&
                        nGC_195)*dZbL_QED2/2d0 + coupl(nGC_195)*dZbR_QED2/2d0  &
                         + coupl(nGC_196)*dZHlHh_QED2/2d0
      coupl(nGC_2199) = coupl(nGC_1704) + coupl(nGC_195)*dZbL_QCD2/2d0 + coupl(&
                        nGC_195)*dZbR_QCD2/2d0
      coupl(nGC_1579) = (-8d0*Nc*cima*coupl(nGC_194)*coupl(nGC_611)*coupl(     &
                        nGC_99)**2d0 - 8d0*Nc*cima*coupl(nGC_198)*coupl(nGC_561&
                        )*coupl(nGC_99)**2d0 - 8d0*Nc*cima*coupl(nGC_202)*coupl&
                        (nGC_597)*coupl(nGC_99)**2d0 - 8d0*Nc*cima*coupl(      &
                        nGC_214)*coupl(nGC_525)*coupl(nGC_99)**2d0 - 8d0*Nc*   &
                        cima*coupl(nGC_218)*coupl(nGC_545)*coupl(nGC_99)**2d0  &
                         - 8d0*Nc*cima*coupl(nGC_226)*coupl(nGC_533)*coupl(    &
                        nGC_99)**2d0 + 3d0*cima*coupl(nGC_142)*coupl(nGC_85) - &
                        8d0*cima*coupl(nGC_206)*coupl(nGC_573)*coupl(nGC_99)** &
                        2d0 - 8d0*cima*coupl(nGC_210)*coupl(nGC_569)*coupl(    &
                        nGC_99)**2d0 - 8d0*cima*coupl(nGC_222)*coupl(nGC_535)* &
                        coupl(nGC_99)**2d0 + 6d0*cima*coupl(nGC_633)*coupl(    &
                        nGC_71) + 6d0*coupl(nGC_102)*coupl(nGC_585)*coupl(     &
                        nGC_71) + 6d0*coupl(nGC_103)*coupl(nGC_142)*coupl(     &
                        nGC_539) + 6d0*coupl(nGC_4)*coupl(nGC_523)*coupl(nGC_71&
                        ))/(48d0*pi**2d0)
      coupl(nGC_1578) = cima*(20d0*Nc*coupl(nGC_194)**2d0*coupl(nGC_611)**2d0  &
                         + 20d0*Nc*coupl(nGC_198)**2d0*coupl(nGC_561)**2d0 +   &
                        20d0*Nc*coupl(nGC_202)**2d0*coupl(nGC_597)**2d0 + 20d0*&
                        Nc*coupl(nGC_214)**2d0*coupl(nGC_525)**2d0 + 20d0*Nc*  &
                        coupl(nGC_218)**2d0*coupl(nGC_545)**2d0 + 20d0*Nc*coupl&
                        (nGC_226)**2d0*coupl(nGC_533)**2d0 + 3d0*coupl(nGC_142 &
                        )**2d0 + 20d0*coupl(nGC_206)**2d0*coupl(nGC_573)**2d0  &
                         + 20d0*coupl(nGC_210)**2d0*coupl(nGC_569)**2d0 + 20d0*&
                        coupl(nGC_222)**2d0*coupl(nGC_535)**2d0 + 6d0*coupl(   &
                        nGC_71)**2d0)/(16d0*pi**2d0)
      coupl(nGC_2066) = coupl(nGC_1708) + coupl(nGC_216)*dZsL_QCD2/2d0 + coupl(&
                        nGC_216)*dZsR_QCD2/2d0
      coupl(nGC_2064) = coupl(nGC_1662) + coupl(nGC_179)*dZHlHh_QED2/2d0 +     &
                        coupl(nGC_184)*dZHh_QED2/2d0 + coupl(nGC_TS_GC_29_Hl   &
                        ) + coupl(nGC_TS_GC_31_Hh)
      coupl(nGC_1300) = cima*sq2**2d0*(-Nc*coupl(nGC_629)**2d0 + 6d0*coupl(    &
                        nGC_19)**2d0)/(96d0*pi**2d0*Nc)
      coupl(nGC_1301) = cima*coupl(nGC_629)**2d0*sq2**2d0/(96d0*pi**2d0)
      coupl(nGC_2028) = coupl(nGC_1647) + coupl(nGC_29)*dZHh_QED2/2d0 + coupl( &
                        nGC_29)*dZHl_QED2/2d0 + coupl(nGC_30)*dZHlHh_QED2/2d0  &
                         + coupl(nGC_31)*dZHhHl_QED2/2d0
      coupl(nGC_2029) = coupl(nGC_1701) + coupl(nGC_215)*dZHh_QED2/2d0 + coupl(&
                        nGC_215)*dZsL_QED2/2d0 + coupl(nGC_215)*dZsR_QED2/2d0  &
                         + coupl(nGC_216)*dZHlHh_QED2/2d0
      coupl(nGC_2022) = coupl(nGC_1870) + coupl(nGC_MB)*dZbL_QED2/2d0 + coupl( &
                        nGC_MB)*dZbR_QED2/2d0 + coupl(nGC_TS_GC_195_Hh) + coupl&
                        (nGC_TS_GC_196_Hl)
      coupl(nGC_1917) = coupl(nGC_1726) + coupl(nGC_198)*dZcL_QCD2/2d0 + coupl(&
                        nGC_198)*dZcR_QCD2/2d0
      coupl(nGC_1916) = coupl(nGC_1725) + coupl(nGC_198)*dZcL_QED2/2d0 + coupl(&
                        nGC_198)*dZcR_QED2/2d0
      coupl(nGC_2044) = coupl(nGC_124)*dZZ_QED2/2d0 + coupl(nGC_124)*          &
                        dZmuMinusR_QED2 + coupl(nGC_1792) + coupl(nGC_4)*      &
                        dZAZ_QED2/2d0
      coupl(nGC_1449) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_204) + 8d0*coupl(     &
                        nGC_122)*coupl(nGC_125)*coupl(nGC_204) - coupl(nGC_201 &
                        )*coupl(nGC_225)*coupl(nGC_228) - coupl(nGC_203)**2d0* &
                        coupl(nGC_204) - coupl(nGC_204)**3d0 - coupl(nGC_204)* &
                        coupl(nGC_597)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1919) = -coupl(nGC_1726) - coupl(nGC_198)*dZcL_QCD2/2d0 - coupl&
                        (nGC_198)*dZcR_QCD2/2d0
      coupl(nGC_1918) = -coupl(nGC_1725) - coupl(nGC_198)*dZcL_QED2/2d0 - coupl&
                        (nGC_198)*dZcR_QED2/2d0
      coupl(nGC_1568) = (-4d0*Nc*cima*coupl(nGC_122)**2d0*coupl(nGC_193)**2d0  &
                         - 4d0*Nc*cima*coupl(nGC_122)**2d0*coupl(nGC_201)**2d0 &
                         - 4d0*Nc*cima*coupl(nGC_122)**2d0*coupl(nGC_213)**2d0 &
                         + 5d0*Nc*cima*coupl(nGC_122)*coupl(nGC_126)*coupl(    &
                        nGC_193)**2d0 + 5d0*Nc*cima*coupl(nGC_122)*coupl(      &
                        nGC_126)*coupl(nGC_201)**2d0 + 5d0*Nc*cima*coupl(      &
                        nGC_122)*coupl(nGC_126)*coupl(nGC_213)**2d0 - 4d0*Nc*  &
                        cima*coupl(nGC_123)**2d0*coupl(nGC_197)**2d0 - 4d0*Nc* &
                        cima*coupl(nGC_123)**2d0*coupl(nGC_217)**2d0 - 4d0*Nc* &
                        cima*coupl(nGC_123)**2d0*coupl(nGC_225)**2d0 + 5d0*Nc* &
                        cima*coupl(nGC_123)*coupl(nGC_125)*coupl(nGC_197)**2d0 &
                         + 5d0*Nc*cima*coupl(nGC_123)*coupl(nGC_125)*coupl(    &
                        nGC_217)**2d0 + 5d0*Nc*cima*coupl(nGC_123)*coupl(      &
                        nGC_125)*coupl(nGC_225)**2d0 - 4d0*Nc*cima*coupl(      &
                        nGC_125)**2d0*coupl(nGC_197)**2d0 - 4d0*Nc*cima*coupl( &
                        nGC_125)**2d0*coupl(nGC_217)**2d0 - 4d0*Nc*cima*coupl( &
                        nGC_125)**2d0*coupl(nGC_225)**2d0 - 4d0*Nc*cima*coupl( &
                        nGC_126)**2d0*coupl(nGC_193)**2d0 - 4d0*Nc*cima*coupl( &
                        nGC_126)**2d0*coupl(nGC_201)**2d0 - 4d0*Nc*cima*coupl( &
                        nGC_126)**2d0*coupl(nGC_213)**2d0 - 4d0*cima*coupl(    &
                        nGC_124)**2d0*coupl(nGC_205)**2d0 - 4d0*cima*coupl(    &
                        nGC_124)**2d0*coupl(nGC_209)**2d0 - 4d0*cima*coupl(    &
                        nGC_124)**2d0*coupl(nGC_221)**2d0 + 5d0*cima*coupl(    &
                        nGC_124)*coupl(nGC_129)*coupl(nGC_205)**2d0 + 5d0*cima*&
                        coupl(nGC_124)*coupl(nGC_129)*coupl(nGC_209)**2d0 + 5d0&
                        *cima*coupl(nGC_124)*coupl(nGC_129)*coupl(nGC_221)**2d0&
                         - 4d0*cima*coupl(nGC_129)**2d0*coupl(nGC_205)**2d0 -  &
                        4d0*cima*coupl(nGC_129)**2d0*coupl(nGC_209)**2d0 - 4d0*&
                        cima*coupl(nGC_129)**2d0*coupl(nGC_221)**2d0 + 3d0*cima&
                        *coupl(nGC_71)*coupl(nGC_85) + 3d0*coupl(nGC_103)**2d0*&
                        coupl(nGC_71) + 3d0*coupl(nGC_585)**2d0*coupl(nGC_71   &
                        ))/(24d0*pi**2d0)
      coupl(nGC_1566) = (Nc*cima*coupl(nGC_1)*coupl(nGC_122)**3d0 + Nc*cima*   &
                        coupl(nGC_1)*coupl(nGC_125)**3d0 + Nc*cima*coupl(      &
                        nGC_123)**3d0*coupl(nGC_2) + Nc*cima*coupl(nGC_126)**  &
                        3d0*coupl(nGC_2) - 2d0*cima*coupl(nGC_103)**3d0*coupl( &
                        nGC_3) + cima*coupl(nGC_116)*coupl(nGC_85) + cima*coupl&
                        (nGC_124)**3d0*coupl(nGC_4) + cima*coupl(nGC_128)**3d0*&
                        coupl(nGC_4) - 2d0*cima*coupl(nGC_523)*coupl(nGC_585)**&
                        3d0 + coupl(nGC_103)**2d0*coupl(nGC_116) + coupl(      &
                        nGC_103)*coupl(nGC_3)*coupl(nGC_85) + coupl(nGC_116)*  &
                        coupl(nGC_585)**2d0 + coupl(nGC_523)*coupl(nGC_585)*   &
                        coupl(nGC_85))/(8d0*pi**2d0)
      coupl(nGC_1565) = (-4d0*Nc*cima*coupl(nGC_193)**2d0*coupl(nGC_99)**2d0 - &
                        4d0*Nc*cima*coupl(nGC_197)**2d0*coupl(nGC_99)**2d0 -   &
                        4d0*Nc*cima*coupl(nGC_201)**2d0*coupl(nGC_99)**2d0 -   &
                        4d0*Nc*cima*coupl(nGC_213)**2d0*coupl(nGC_99)**2d0 -   &
                        4d0*Nc*cima*coupl(nGC_217)**2d0*coupl(nGC_99)**2d0 -   &
                        4d0*Nc*cima*coupl(nGC_225)**2d0*coupl(nGC_99)**2d0 +   &
                        3d0*cima*coupl(nGC_10)*coupl(nGC_9) + 6d0*cima*coupl(  &
                        nGC_116)*coupl(nGC_134) + 3d0*cima*coupl(nGC_141)*coupl&
                        (nGC_85) - 4d0*cima*coupl(nGC_205)**2d0*coupl(nGC_99)**&
                        2d0 - 4d0*cima*coupl(nGC_209)**2d0*coupl(nGC_99)**2d0  &
                         - 4d0*cima*coupl(nGC_221)**2d0*coupl(nGC_99)**2d0 +   &
                        6d0*cima*coupl(nGC_633)*coupl(nGC_71) + 6d0*coupl(     &
                        nGC_10)*coupl(nGC_3)*coupl(nGC_589) + 6d0*coupl(nGC_102&
                        )*coupl(nGC_585)*coupl(nGC_71) + 6d0*coupl(nGC_103)*   &
                        coupl(nGC_134)*coupl(nGC_589) + 6d0*coupl(nGC_103)*    &
                        coupl(nGC_141)*coupl(nGC_539) + 6d0*coupl(nGC_134)*    &
                        coupl(nGC_3)*coupl(nGC_539) + 6d0*coupl(nGC_4)*coupl(  &
                        nGC_523)*coupl(nGC_71))/(48d0*pi**2d0)
      coupl(nGC_1561) = cima*(10d0*Nc*coupl(nGC_193)**2d0*coupl(nGC_194)*coupl(&
                        nGC_611) + 10d0*Nc*coupl(nGC_193)**2d0*coupl(nGC_218)* &
                        coupl(nGC_545) + 10d0*Nc*coupl(nGC_193)*coupl(nGC_194)*&
                        coupl(nGC_217)*coupl(nGC_218) + 10d0*Nc*coupl(nGC_193)*&
                        coupl(nGC_217)*coupl(nGC_545)*coupl(nGC_611) + 10d0*Nc*&
                        coupl(nGC_194)*coupl(nGC_217)**2d0*coupl(nGC_611) +    &
                        10d0*Nc*coupl(nGC_197)**2d0*coupl(nGC_198)*coupl(      &
                        nGC_561) + 10d0*Nc*coupl(nGC_197)**2d0*coupl(nGC_214)* &
                        coupl(nGC_525) + 10d0*Nc*coupl(nGC_197)*coupl(nGC_198)*&
                        coupl(nGC_213)*coupl(nGC_214) + 10d0*Nc*coupl(nGC_197)*&
                        coupl(nGC_213)*coupl(nGC_525)*coupl(nGC_561) + 10d0*Nc*&
                        coupl(nGC_198)*coupl(nGC_213)**2d0*coupl(nGC_561) +    &
                        10d0*Nc*coupl(nGC_201)**2d0*coupl(nGC_202)*coupl(      &
                        nGC_597) + 10d0*Nc*coupl(nGC_201)**2d0*coupl(nGC_226)* &
                        coupl(nGC_533) + 10d0*Nc*coupl(nGC_201)*coupl(nGC_202)*&
                        coupl(nGC_225)*coupl(nGC_226) + 10d0*Nc*coupl(nGC_201)*&
                        coupl(nGC_225)*coupl(nGC_533)*coupl(nGC_597) + 10d0*Nc*&
                        coupl(nGC_202)*coupl(nGC_225)**2d0*coupl(nGC_597) +    &
                        10d0*Nc*coupl(nGC_213)**2d0*coupl(nGC_214)*coupl(      &
                        nGC_525) + 10d0*Nc*coupl(nGC_217)**2d0*coupl(nGC_218)* &
                        coupl(nGC_545) + 10d0*Nc*coupl(nGC_225)**2d0*coupl(    &
                        nGC_226)*coupl(nGC_533) + 12d0*coupl(nGC_107)*coupl(   &
                        nGC_108) + 12d0*coupl(nGC_13)*coupl(nGC_14) + 3d0*coupl&
                        (nGC_141)*coupl(nGC_142) + 10d0*coupl(nGC_205)**2d0*   &
                        coupl(nGC_206)*coupl(nGC_573) + 10d0*coupl(nGC_209)**  &
                        2d0*coupl(nGC_210)*coupl(nGC_569) + 10d0*coupl(nGC_221 &
                        )**2d0*coupl(nGC_222)*coupl(nGC_535) + 6d0*coupl(nGC_71&
                        )**2d0)/(48d0*pi**2d0)
      coupl(nGC_1966) = coupl(nGC_175)*dZHhHl_QED2/2d0 + coupl(nGC_177)*       &
                        dZHl_QED2/2d0 + coupl(nGC_177)*dZZ_QED2 + coupl(       &
                        nGC_1780) + coupl(nGC_TS_GC_147_Hh) + coupl(           &
                        nGC_TS_GC_151_Hl)
      coupl(nGC_1967) = coupl(nGC_144)*dZHh_QED2 + coupl(nGC_148)*dZHlHh_QED2  &
                         + coupl(nGC_1636)
      coupl(nGC_2111) = coupl(nGC_104)*dZWMinus_QED2/4d0 + coupl(nGC_1677)/2d0
      coupl(nGC_1969) = coupl(nGC_16)*dZHh_QED2/2d0 + coupl(nGC_1635) + coupl( &
                        nGC_27)*dZHlHh_QED2/2d0
      coupl(nGC_1453) = coupl(nGC_208)*(8d0*coupl(nGC_124)*coupl(nGC_128) -    &
                        coupl(nGC_207)**2d0 - coupl(nGC_208)**2d0 + 8d0*coupl( &
                        nGC_4)**2d0 - coupl(nGC_573)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1907) = coupl(nGC_111)*dZHh_QED2/2d0 + coupl(nGC_119)*         &
                        dZHlHh_QED2/2d0 + coupl(nGC_1658)
      coupl(nGC_1900) = coupl(nGC_1653) + coupl(nGC_81)*dZHhHl_QED2/2d0 + coupl&
                        (nGC_93)*dZHh_QED2/2d0 + coupl(nGC_93)*dZHl_QED2/2d0 + &
                        coupl(nGC_95)*dZHlHh_QED2/2d0
      coupl(nGC_1488) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_122) + 4d0*coupl(     &
                        nGC_122)**3d0 + coupl(nGC_125)*coupl(nGC_202)*coupl(   &
                        nGC_597) + coupl(nGC_125)*coupl(nGC_203)**2d0 + coupl( &
                        nGC_125)*coupl(nGC_204)**2d0 + coupl(nGC_126)*coupl(   &
                        nGC_201)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1909) = coupl(nGC_1736) + coupl(nGC_228)*dZuL_QCD2/2d0 + coupl(&
                        nGC_228)*dZuR_QCD2/2d0
      coupl(nGC_1517) = -coupl(nGC_19)*sq2*(-4d0*coupl(nGC_1)**2d0 - 4d0*coupl(&
                        nGC_122)**2d0 - coupl(nGC_201)**2d0 - coupl(nGC_202)*  &
                        coupl(nGC_597) - coupl(nGC_203)**2d0 - coupl(nGC_204)**&
                        2d0)/(64d0*pi**2d0)
      coupl(nGC_1282) = (Nc*cMB**2d0*cima*coupl(nGC_122)**2d0 + Nc*cMB**2d0*   &
                        cima*coupl(nGC_125)**2d0 + Nc*cMC**2d0*cima*coupl(     &
                        nGC_123)**2d0 + Nc*cMC**2d0*cima*coupl(nGC_126)**2d0 + &
                        Nc*cMD**2d0*cima*coupl(nGC_122)**2d0 + Nc*cMD**2d0*cima&
                        *coupl(nGC_125)**2d0 + Nc*cMS**2d0*cima*coupl(nGC_122  &
                        )**2d0 + Nc*cMS**2d0*cima*coupl(nGC_125)**2d0 + Nc*cMT &
                        **2d0*cima*coupl(nGC_123)**2d0 + Nc*cMT**2d0*cima*coupl&
                        (nGC_126)**2d0 + Nc*cMU**2d0*cima*coupl(nGC_123)**2d0  &
                         + Nc*cMU**2d0*cima*coupl(nGC_126)**2d0 + cME**2d0*cima&
                        *coupl(nGC_124)**2d0 + cME**2d0*cima*coupl(nGC_128)**  &
                        2d0 + cMM**2d0*cima*coupl(nGC_124)**2d0 + cMM**2d0*cima&
                        *coupl(nGC_128)**2d0 + cMTA**2d0*cima*coupl(nGC_124)** &
                        2d0 + cMTA**2d0*cima*coupl(nGC_128)**2d0 + cMW**2d0*   &
                        cima*coupl(nGC_103)**2d0 + cMW**2d0*cima*coupl(nGC_585 &
                        )**2d0 - cMW**2d0*coupl(nGC_85))/(8d0*pi**2d0)
      coupl(nGC_1281) = cima*(coupl(nGC_103)**2d0 + coupl(nGC_585)**2d0)/(48d0*&
                        pi**2d0)
      coupl(nGC_1514) = -coupl(nGC_19)*sq2*(4d0*coupl(nGC_1)**2d0 + 4d0*coupl( &
                        nGC_125)**2d0 + coupl(nGC_202)*coupl(nGC_597) + coupl( &
                        nGC_203)**2d0 + coupl(nGC_204)**2d0 + coupl(nGC_225)** &
                        2d0 + 4d0*coupl(nGC_99)**2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_1368) = (Nc*cMB*coupl(nGC_122)*coupl(nGC_193)*coupl(nGC_99) -  &
                        Nc*cMB*coupl(nGC_125)*coupl(nGC_193)*coupl(nGC_99) - Nc&
                        *cMB*coupl(nGC_126)*coupl(nGC_193)*coupl(nGC_99) + Nc* &
                        cMC*coupl(nGC_123)*coupl(nGC_197)*coupl(nGC_99) - Nc*  &
                        cMC*coupl(nGC_125)*coupl(nGC_197)*coupl(nGC_99) - Nc*  &
                        cMC*coupl(nGC_126)*coupl(nGC_197)*coupl(nGC_99) + Nc*  &
                        cMD*coupl(nGC_122)*coupl(nGC_201)*coupl(nGC_99) - Nc*  &
                        cMD*coupl(nGC_125)*coupl(nGC_201)*coupl(nGC_99) - Nc*  &
                        cMD*coupl(nGC_126)*coupl(nGC_201)*coupl(nGC_99) + Nc*  &
                        cMS*coupl(nGC_122)*coupl(nGC_213)*coupl(nGC_99) - Nc*  &
                        cMS*coupl(nGC_125)*coupl(nGC_213)*coupl(nGC_99) - Nc*  &
                        cMS*coupl(nGC_126)*coupl(nGC_213)*coupl(nGC_99) + Nc*  &
                        cMT*coupl(nGC_123)*coupl(nGC_217)*coupl(nGC_99) - Nc*  &
                        cMT*coupl(nGC_125)*coupl(nGC_217)*coupl(nGC_99) - Nc*  &
                        cMT*coupl(nGC_126)*coupl(nGC_217)*coupl(nGC_99) + Nc*  &
                        cMU*coupl(nGC_123)*coupl(nGC_225)*coupl(nGC_99) - Nc*  &
                        cMU*coupl(nGC_125)*coupl(nGC_225)*coupl(nGC_99) - Nc*  &
                        cMU*coupl(nGC_126)*coupl(nGC_225)*coupl(nGC_99) + cME* &
                        coupl(nGC_124)*coupl(nGC_205)*coupl(nGC_99) - cME*coupl&
                        (nGC_128)*coupl(nGC_205)*coupl(nGC_99) - cME*coupl(    &
                        nGC_129)*coupl(nGC_205)*coupl(nGC_99) + cMM*coupl(     &
                        nGC_124)*coupl(nGC_209)*coupl(nGC_99) - cMM*coupl(     &
                        nGC_128)*coupl(nGC_209)*coupl(nGC_99) - cMM*coupl(     &
                        nGC_129)*coupl(nGC_209)*coupl(nGC_99) + cMTA*coupl(    &
                        nGC_124)*coupl(nGC_221)*coupl(nGC_99) - cMTA*coupl(    &
                        nGC_128)*coupl(nGC_221)*coupl(nGC_99) - cMTA*coupl(    &
                        nGC_129)*coupl(nGC_221)*coupl(nGC_99) + 2d0*cima*coupl(&
                        nGC_113)*coupl(nGC_166) + 2d0*cima*coupl(nGC_154)*coupl&
                        (nGC_84) + 2d0*coupl(nGC_103)*coupl(nGC_154)*coupl(    &
                        nGC_585) + 2d0*coupl(nGC_166)*coupl(nGC_3)*coupl(      &
                        nGC_585))/(16d0*pi**2d0)
      coupl(nGC_2120) = -coupl(nGC_104)*dZWMinus_QED2/4d0 - coupl(nGC_1677)/2d0
      coupl(nGC_1882) = coupl(nGC_1649) + coupl(nGC_32)*dZHh_QED2/2d0 + 3d0*   &
                        coupl(nGC_32)*dZHl_QED2/2d0 + coupl(nGC_34)*dZHlHh_QED2&
                        /2d0 + 3d0*coupl(nGC_36)*dZHhHl_QED2/2d0
      coupl(nGC_1365) = coupl(nGC_99)*(Nc*coupl(nGC_193)*coupl(nGC_611) - Nc*  &
                        coupl(nGC_197)*coupl(nGC_198) + Nc*coupl(nGC_201)*coupl&
                        (nGC_597) + Nc*coupl(nGC_213)*coupl(nGC_525) - Nc*coupl&
                        (nGC_217)*coupl(nGC_218) - Nc*coupl(nGC_225)*coupl(    &
                        nGC_226) + coupl(nGC_205)*coupl(nGC_573) + coupl(      &
                        nGC_209)*coupl(nGC_569) + coupl(nGC_221)*coupl(nGC_535 &
                        ))/(24d0*pi**2d0)
      coupl(nGC_1515) = -coupl(nGC_19)*sq2*(4d0*coupl(nGC_1)**2d0 + 4d0*coupl( &
                        nGC_122)**2d0 + coupl(nGC_201)**2d0 + coupl(nGC_202)*  &
                        coupl(nGC_597) + coupl(nGC_203)**2d0 + coupl(nGC_204)**&
                        2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_1280) = cima*(-3d0*Nc*coupl(nGC_122)**2d0 - 3d0*Nc*coupl(      &
                        nGC_123)**2d0 - 3d0*Nc*coupl(nGC_125)**2d0 - 3d0*Nc*   &
                        coupl(nGC_126)**2d0 - coupl(nGC_103)**2d0 - 3d0*coupl( &
                        nGC_124)**2d0 - 3d0*coupl(nGC_128)**2d0 - 3d0*coupl(   &
                        nGC_129)**2d0 - coupl(nGC_585)**2d0)/(48d0*pi**2d0)
      coupl(nGC_1936) = coupl(nGC_104)*dZZ_QED2/4d0 + coupl(nGC_1677)/2d0 +    &
                        coupl(nGC_6)*dZAZ_QED2/4d0
      coupl(nGC_1957) = -coupl(nGC_1693) - coupl(nGC_202)*dZdL_QED2/2d0 - coupl&
                        (nGC_202)*dZdR_QED2/2d0
      coupl(nGC_1956) = coupl(nGC_1694) + coupl(nGC_202)*dZdL_QCD2/2d0 + coupl(&
                        nGC_202)*dZdR_QCD2/2d0
      coupl(nGC_1508) = -coupl(nGC_19)**2d0*sq2**3d0*(-Nc**2d0*cima*coupl(     &
                        nGC_629) + 2d0*coupl(nGC_19))/(128d0*pi**2d0*Nc)
      coupl(nGC_2265) = -coupl(nGC_1365)
      coupl(nGC_2266) = -coupl(nGC_1382)
    end subroutine fill_CTcouplings_mdl4
end module fill_ctcouplings4
