!******************************************************************************!
!                                                                              !
!    vertices_info10.f90                                                       !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   vertices_info10.f90                            |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-03-16 09:42             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module vertices_info10
  use class_vertices
  use class_couplings
  use class_particles
  use class_ctparameters
  contains
    subroutine fill_vertices_mdl10()
      allocate(vertices(1164)%branchCT(0:1))
      call avCT(1164, 0, 21, 1, 0, VFFa0, (/0, 3/), (/nGC_2133/))

      call avCT(1164, 1, 21, 1, 0, VFFa0, (/2, 1/), (/nGC_2134/))

      allocate(vertices(1477)%branchCT(0:0))
      call avCT(1477, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1631/))

      allocate(vertices(4285)%branchCT(0:0))
      call avCT(4285, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1891/))

      allocate(vertices(4834)%branchCT(0:0))
      call avCT(4834, 0, 1, 1, 0, UaUS0, (/0, 3/), (/nGC_1671/))

      allocate(vertices(1751)%branchCT(0:0))
      call avCT(1751, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(4287)%branchCT(0:0))
      call avCT(4287, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2227/))

      allocate(vertices(1500)%branchCT(0:0))
      call avCT(1500, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1886/))

      allocate(vertices(1752)%branchCT(0:0))
      call avCT(1752, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1656/))

      allocate(vertices(1753)%branchCT(0:0))
      call avCT(1753, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1899/))

      allocate(vertices(1754)%branchCT(0:0))
      call avCT(1754, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1905/))

      allocate(vertices(4292)%branchCT(0:1))
      call avCT(4292, 0, 19, 1, 0, FSFa0, (/0, 3/), (/nGC_2198, nGC_2198/))

      call avCT(4292, 1, 19, 1, 0, FSFa0, (/2, 1/), (/nGC_2199, nGC_2199/))

      allocate(vertices(4293)%branchCT(0:0))
      call avCT(4293, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1632/))

      allocate(vertices(2667)%branchCT(0:0))
      call avCT(2667, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1926/))

      allocate(vertices(1756)%branchCT(0:0))
      call avCT(1756, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1900/))

      allocate(vertices(1899)%branchCT(0:0))
      call avCT(1899, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1905/))

      allocate(vertices(3155)%branchCT(0:0))
      call avCT(3155, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_2017/))

      allocate(vertices(4296)%branchCT(0:0))
      call avCT(4296, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1657/))

      allocate(vertices(4350)%branchCT(0:0))
      call avCT(4350, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1884/))

      allocate(vertices(2415)%branchCT(0:1))
      call avCT(2415, 0, 20, 1, 0, SFaF0, (/0, 3/), (/nGC_2182, nGC_2182/))

      call avCT(2415, 1, 20, 1, 0, SFaF0, (/2, 1/), (/nGC_2183, nGC_2183/))

      allocate(vertices(1759)%branchCT(0:0))
      call avCT(1759, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1903/))

      allocate(vertices(1760)%branchCT(0:0))
      call avCT(1760, 0, 1, 1, 0, UaUV0, (/0, 3/), (/nGC_2190/))

      allocate(vertices(1762)%branchCT(0:0))
      call avCT(1762, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1910/))

      allocate(vertices(2710)%branchCT(0:0))
      call avCT(2710, 0, 1, 1, 0, SFFa0, (/0, 3/), (/nGC_2008, nGC_2009/))

      allocate(vertices(1764)%branchCT(0:0))
      call avCT(1764, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1907/))

      allocate(vertices(1261)%branchCT(0:0))
      call avCT(1261, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1949/))

      allocate(vertices(1766)%branchCT(0:0))
      call avCT(1766, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1969/))

      allocate(vertices(4865)%branchCT(0:0))
      call avCT(4865, 0, 1, 1, 0, VVV0, (/0, 3/), (/nGC_2175/))

      allocate(vertices(3436)%branchCT(0:0))
      call avCT(3436, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1631/))

      allocate(vertices(1398)%branchCT(0:0))
      call avCT(1398, 0, 1, 1, 0, UaVU0, (/0, 3/), (/nGC_2111/))

      allocate(vertices(4309)%branchCT(0:0))
      call avCT(4309, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2080/))

      allocate(vertices(1771)%branchCT(0:0))
      call avCT(1771, 0, 1, 1, 0, FSFa2, (/0, 3/), (/nGC_1904/))

      allocate(vertices(4310)%branchCT(0:0))
      call avCT(4310, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1884/))

      allocate(vertices(1774)%branchCT(0:0))
      call avCT(1774, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1878/))

      allocate(vertices(1330)%branchCT(0:0))
      call avCT(1330, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1657/))

      allocate(vertices(1778)%branchCT(0:0))
      call avCT(1778, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1905/))

      allocate(vertices(4266)%branchCT(0:0))
      call avCT(4266, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1900/))

      allocate(vertices(4315)%branchCT(0:0))
      call avCT(4315, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1632/))

      allocate(vertices(1780)%branchCT(0:0))
      call avCT(1780, 0, 1, 1, 0, VFaF1, (/0, 3/), (/nGC_2093, nGC_2094/))

      allocate(vertices(4316)%branchCT(0:0))
      call avCT(4316, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(1782)%branchCT(0:0))
      call avCT(1782, 0, 1, 1, 0, FFaS0, (/0, 3/), (/nGC_2074, nGC_2074/))

      allocate(vertices(1482)%branchCT(0:1))
      call avCT(1482, 0, 21, 1, 0, VFFa0, (/0, 3/), (/nGC_2129/))

      call avCT(1482, 1, 21, 1, 0, VFFa0, (/2, 1/), (/nGC_2130/))

      allocate(vertices(1370)%branchCT(0:0))
      call avCT(1370, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1899/))

      allocate(vertices(1785)%branchCT(0:0))
      call avCT(1785, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1893/))

      allocate(vertices(1786)%branchCT(0:0))
      call avCT(1786, 0, 1, 1, 0, VSS0, (/0, 3/), (/nGC_2210/))

      allocate(vertices(1857)%branchCT(0:0))
      call avCT(1857, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1883/))

      allocate(vertices(1788)%branchCT(0:0))
      call avCT(1788, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1902/))

      allocate(vertices(4322)%branchCT(0:0))
      call avCT(4322, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2116/))

      allocate(vertices(4323)%branchCT(0:0))
      call avCT(4323, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1907/))

      allocate(vertices(5082)%branchCT(0:0))
      call avCT(5082, 0, 13, 1, 0, FFa0, (/0, 2/), (/nGC_2217, nGC_2218,       &
      nGC_2218, nGC_2219/))

      allocate(vertices(1791)%branchCT(0:0))
      call avCT(1791, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1910/))

      allocate(vertices(4328)%branchCT(0:0))
      call avCT(4328, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1932/))

      allocate(vertices(4330)%branchCT(0:0))
      call avCT(4330, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_2053, nGC_2052,       &
      nGC_2053/))

      allocate(vertices(2277)%branchCT(0:1))
      call avCT(2277, 0, 21, 1, 0, SFFa0, (/0, 3/), (/nGC_1955, nGC_1957/))

      call avCT(2277, 1, 21, 1, 0, SFFa0, (/2, 1/), (/nGC_1956, nGC_1958/))

      allocate(vertices(1792)%branchCT(0:1))
      call avCT(1792, 0, 17, 1, 0, FaSF0, (/0, 3/), (/nGC_2200, nGC_2202/))

      call avCT(1792, 1, 17, 1, 0, FaSF0, (/2, 1/), (/nGC_2201, nGC_2203/))

      allocate(vertices(1239)%branchCT(0:0))
      call avCT(1239, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1632/))

      allocate(vertices(3960)%branchCT(0:0))
      call avCT(3960, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(2919)%branchCT(0:0))
      call avCT(2919, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(3819)%branchCT(0:0))
      call avCT(3819, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1899/))

      allocate(vertices(4870)%branchCT(0:0))
      call avCT(4870, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1883/))

      allocate(vertices(1459)%branchCT(0:0))
      call avCT(1459, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1969/))

      allocate(vertices(299)%branchCT(0:0))
      call avCT(299, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1883/))

      allocate(vertices(1796)%branchCT(0:0))
      call avCT(1796, 0, 1, 1, 0, FVFa0, (/0, 3/), (/nGC_2121, nGC_2122/))

      allocate(vertices(1797)%branchCT(0:0))
      call avCT(1797, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1893/))

      allocate(vertices(4340)%branchCT(0:0))
      call avCT(4340, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1891/))

      allocate(vertices(3961)%branchCT(0:0))
      call avCT(3961, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1903/))

      allocate(vertices(1801)%branchCT(0:0))
      call avCT(1801, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1988/))

      allocate(vertices(1802)%branchCT(0:0))
      call avCT(1802, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1983/))

      allocate(vertices(1498)%branchCT(0:0))
      call avCT(1498, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1893/))

      allocate(vertices(1505)%branchCT(0:0))
      call avCT(1505, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1937/))

      allocate(vertices(2804)%branchCT(0:0))
      call avCT(2804, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(1509)%branchCT(0:0))
      call avCT(1509, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2028/))

      allocate(vertices(4347)%branchCT(0:0))
      call avCT(4347, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1921/))

      allocate(vertices(1808)%branchCT(0:1))
      call avCT(1808, 0, 10, 1, 0, FFaV0, (/0, 3/), (/nGC_2150, nGC_2152/))

      call avCT(1808, 1, 10, 1, 0, FFaV0, (/2, 1/), (/nGC_2151, nGC_2153/))

      allocate(vertices(1489)%branchCT(0:0))
      call avCT(1489, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1949/))

      allocate(vertices(1523)%branchCT(0:0))
      call avCT(1523, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1891/))

      allocate(vertices(1730)%branchCT(0:0))
      call avCT(1730, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1903/))

      allocate(vertices(2458)%branchCT(0:5))
      call avCT(2458, 0, 77, 7, 0, UaVUV0, (/4, 0/), (/nGC_2083/))

      call avCT(2458, 1, 76, 7, 0, UaVUV0, (/4, 0/), (/nGC_2083/))

      call avCT(2458, 2, 25, 6, 0, UaVUV0, (/4, 0/), (/nGC_2084/))

      call avCT(2458, 3, 24, 7, 0, UaVUV0, (/4, 0/), (/nGC_2083/))

      call avCT(2458, 4, 22, 7, 0, UaVUV0, (/4, 0/), (/nGC_2083/))

      call avCT(2458, 5, 23, 6, 0, UaVUV0, (/4, 0/), (/nGC_2084/))

      allocate(vertices(1810)%branchCT(0:0))
      call avCT(1810, 0, 1, 1, 0, VFaF1, (/0, 3/), (/nGC_2081, nGC_2082/))

      allocate(vertices(3415)%branchCT(0:0))
      call avCT(3415, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1905/))

      allocate(vertices(1332)%branchCT(0:1))
      call avCT(1332, 0, 18, 1, 0, FaFS0, (/0, 3/), (/nGC_1962, nGC_1960/))

      call avCT(1332, 1, 18, 1, 0, FaFS0, (/2, 1/), (/nGC_1963, nGC_1961/))

      allocate(vertices(1812)%branchCT(0:0))
      call avCT(1812, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1879/))

      allocate(vertices(469)%branchCT(0:0))
      call avCT(469, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1886/))

      allocate(vertices(1555)%branchCT(0:0))
      call avCT(1555, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_2053, nGC_2052,       &
      nGC_2053/))

      allocate(vertices(3963)%branchCT(0:0))
      call avCT(3963, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1886/))

      allocate(vertices(5083)%branchCT(0:1))
      call avCT(5083, 0, 14, 1, 0, FFa0, (/0, 2/), (/nGC_2241, nGC_2243,       &
      nGC_2243, nGC_2245/))

      call avCT(5083, 1, 14, 1, 0, FFa0, (/2, 0/), (/nGC_2242, nGC_2244,       &
      nGC_2244, nGC_2246/))

      allocate(vertices(1819)%branchCT(0:0))
      call avCT(1819, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1884/))

      allocate(vertices(2449)%branchCT(0:0))
      call avCT(2449, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1900/))

      allocate(vertices(1822)%branchCT(0:0))
      call avCT(1822, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_1968/))

      allocate(vertices(4221)%branchCT(0:5))
      call avCT(4221, 0, 9, 7, 0, UaUVV0, (/4, 0/), (/nGC_2083/))

      call avCT(4221, 1, 7, 7, 0, UaUVV0, (/4, 0/), (/nGC_2083/))

      call avCT(4221, 2, 8, 7, 0, UaUVV0, (/4, 0/), (/nGC_2083/))

      call avCT(4221, 3, 6, 7, 0, UaUVV0, (/4, 0/), (/nGC_2083/))

      call avCT(4221, 4, 5, 6, 0, UaUVV0, (/4, 0/), (/nGC_2084/))

      call avCT(4221, 5, 4, 6, 0, UaUVV0, (/4, 0/), (/nGC_2084/))

      allocate(vertices(113)%branchCT(0:0))
      call avCT(113, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1920/))

      allocate(vertices(1824)%branchCT(0:1))
      call avCT(1824, 0, 18, 1, 0, FaFS0, (/0, 3/), (/nGC_2139, nGC_2139/))

      call avCT(1824, 1, 18, 1, 0, FaFS0, (/2, 1/), (/nGC_2140, nGC_2140/))

      allocate(vertices(4357)%branchCT(0:0))
      call avCT(4357, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1632/))

      allocate(vertices(3965)%branchCT(0:0))
      call avCT(3965, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1988/))

      allocate(vertices(2132)%branchCT(0:0))
      call avCT(2132, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1933/))

      allocate(vertices(1825)%branchCT(0:0))
      call avCT(1825, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1937/))

      allocate(vertices(2292)%branchCT(0:0))
      call avCT(2292, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1631/))

      allocate(vertices(1827)%branchCT(0:0))
      call avCT(1827, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1891/))

      allocate(vertices(1828)%branchCT(0:0))
      call avCT(1828, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1631/))

      allocate(vertices(4822)%branchCT(0:0))
      call avCT(4822, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1910/))

      allocate(vertices(5084)%branchCT(0:0))
      call avCT(5084, 0, 1, 1, 0, SVV0, (/0, 3/), (/nGC_2147/))

      allocate(vertices(670)%branchCT(0:0))
      call avCT(670, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1905/))

      allocate(vertices(4364)%branchCT(0:0))
      call avCT(4364, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1891/))

      allocate(vertices(1830)%branchCT(0:0))
      call avCT(1830, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1639/))

      allocate(vertices(1638)%branchCT(0:0))
      call avCT(1638, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1930/))

      allocate(vertices(1833)%branchCT(0:0))
      call avCT(1833, 0, 1, 1, 0, FFaV0, (/0, 3/), (/nGC_2081, nGC_2082/))

      allocate(vertices(2282)%branchCT(0:0))
      call avCT(2282, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1907/))

      allocate(vertices(1834)%branchCT(0:0))
      call avCT(1834, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2034/))

      allocate(vertices(4371)%branchCT(0:0))
      call avCT(4371, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1905/))

      allocate(vertices(3108)%branchCT(0:0))
      call avCT(3108, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(1837)%branchCT(0:0))
      call avCT(1837, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1893/))

      allocate(vertices(108)%branchCT(0:0))
      call avCT(108, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1910/))

      allocate(vertices(426)%branchCT(0:0))
      call avCT(426, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1905/))

      allocate(vertices(1838)%branchCT(0:0))
      call avCT(1838, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(1839)%branchCT(0:3))
      call avCT(1839, 0, 11, 4, 0, FFaV0, (/3, 0/), (/nGC_2162, nGC_2164/))

      call avCT(1839, 1, 11, 4, 0, FFaV0, (/1, 2/), (/nGC_2163, nGC_2165/))

      call avCT(1839, 2, 12, 5, 0, FFaV0, (/3, 0/), (/nGC_2162, nGC_2164/))

      call avCT(1839, 3, 12, 5, 0, FFaV0, (/1, 2/), (/nGC_2163, nGC_2165/))

      allocate(vertices(4375)%branchCT(0:0))
      call avCT(4375, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1930/))

      allocate(vertices(1137)%branchCT(0:0))
      call avCT(1137, 0, 1, 1, 0, FaFS0, (/0, 3/), (/nGC_2108, nGC_2109/))

      allocate(vertices(1682)%branchCT(0:0))
      call avCT(1682, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1633/))

      allocate(vertices(3378)%branchCT(0:0))
      call avCT(3378, 0, 1, 1, 0, FaSF1, (/0, 3/), (/nGC_1982/))

      allocate(vertices(4378)%branchCT(0:0))
      call avCT(4378, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1656/))

      allocate(vertices(4559)%branchCT(0:0))
      call avCT(4559, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1907/))

      allocate(vertices(1844)%branchCT(0:0))
      call avCT(1844, 0, 1, 1, 0, USUa0, (/0, 3/), (/nGC_1671/))

      allocate(vertices(4380)%branchCT(0:0))
      call avCT(4380, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1631/))

      allocate(vertices(4381)%branchCT(0:0))
      call avCT(4381, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(3680)%branchCT(0:0))
      call avCT(3680, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1899/))

      allocate(vertices(4382)%branchCT(0:0))
      call avCT(4382, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1883/))

      allocate(vertices(3330)%branchCT(0:1))
      call avCT(3330, 0, 17, 1, 0, FaSF0, (/0, 3/), (/nGC_2182, nGC_2182/))

      call avCT(3330, 1, 17, 1, 0, FaSF0, (/2, 1/), (/nGC_2183, nGC_2183/))

      allocate(vertices(1265)%branchCT(0:0))
      call avCT(1265, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1910/))

      allocate(vertices(1710)%branchCT(0:0))
      call avCT(1710, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1969/))

      allocate(vertices(4384)%branchCT(0:0))
      call avCT(4384, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1891/))

      allocate(vertices(1507)%branchCT(0:0))
      call avCT(1507, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1930/))

      allocate(vertices(1850)%branchCT(0:0))
      call avCT(1850, 0, 1, 1, 0, FSFa0, (/0, 3/), (/nGC_2220, nGC_2220/))

      allocate(vertices(1851)%branchCT(0:0))
      call avCT(1851, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1891/))

      allocate(vertices(5085)%branchCT(0:1))
      call avCT(5085, 0, 124, 1, 0, FaF0, (/0, 2/), (/nGC_2247, nGC_2249,      &
      nGC_2249, nGC_2251/))

      call avCT(5085, 1, 124, 1, 0, FaF0, (/2, 0/), (/nGC_2248, nGC_2250,      &
      nGC_2250, nGC_2252/))

      allocate(vertices(1497)%branchCT(0:5))
      call avCT(1497, 0, 47, 6, 0, UUaVV0, (/4, 0/), (/nGC_2084/))

      call avCT(1497, 1, 48, 7, 0, UUaVV0, (/4, 0/), (/nGC_2083/))

      call avCT(1497, 2, 46, 7, 0, UUaVV0, (/4, 0/), (/nGC_2083/))

      call avCT(1497, 3, 49, 6, 0, UUaVV0, (/4, 0/), (/nGC_2084/))

      call avCT(1497, 4, 87, 7, 0, UUaVV0, (/4, 0/), (/nGC_2083/))

      call avCT(1497, 5, 86, 7, 0, UUaVV0, (/4, 0/), (/nGC_2083/))

      allocate(vertices(3970)%branchCT(0:0))
      call avCT(3970, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1899/))

      allocate(vertices(4391)%branchCT(0:0))
      call avCT(4391, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1930/))

      allocate(vertices(1853)%branchCT(0:0))
      call avCT(1853, 0, 1, 1, 0, SFaF0, (/0, 3/), (/nGC_2155, nGC_2155/))

      allocate(vertices(1761)%branchCT(0:0))
      call avCT(1761, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2034/))

      allocate(vertices(1855)%branchCT(0:0))
      call avCT(1855, 0, 1, 1, 0, UaSU0, (/0, 3/), (/nGC_1660/))

      allocate(vertices(2772)%branchCT(0:0))
      call avCT(2772, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2116/))

      allocate(vertices(1856)%branchCT(0:0))
      call avCT(1856, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1893/))

      allocate(vertices(4393)%branchCT(0:0))
      call avCT(4393, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1638/))

      allocate(vertices(4394)%branchCT(0:0))
      call avCT(4394, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1948/))

      allocate(vertices(1787)%branchCT(0:0))
      call avCT(1787, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(3072)%branchCT(0:0))
      call avCT(3072, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_2017/))

      allocate(vertices(1858)%branchCT(0:0))
      call avCT(1858, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1910/))

      allocate(vertices(4397)%branchCT(0:0))
      call avCT(4397, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2095/))

      allocate(vertices(1860)%branchCT(0:0))
      call avCT(1860, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1893/))

      allocate(vertices(1861)%branchCT(0:0))
      call avCT(1861, 0, 1, 1, 0, VUaU1, (/0, 3/), (/nGC_2207/))

      allocate(vertices(1072)%branchCT(0:0))
      call avCT(1072, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1879/))

      allocate(vertices(1863)%branchCT(0:0))
      call avCT(1863, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1920/))

      allocate(vertices(1823)%branchCT(0:0))
      call avCT(1823, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1655/))

      allocate(vertices(4402)%branchCT(0:1))
      call avCT(4402, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_1894, nGC_1896/))

      call avCT(4402, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_1895, nGC_1897/))

      allocate(vertices(1865)%branchCT(0:0))
      call avCT(1865, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1893/))

      allocate(vertices(1867)%branchCT(0:0))
      call avCT(1867, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1632/))

      allocate(vertices(1499)%branchCT(0:0))
      call avCT(1499, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1930/))

      allocate(vertices(1868)%branchCT(0:0))
      call avCT(1868, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1891/))

      allocate(vertices(1869)%branchCT(0:0))
      call avCT(1869, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1969/))

      allocate(vertices(4887)%branchCT(0:0))
      call avCT(4887, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(2133)%branchCT(0:0))
      call avCT(2133, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2034/))

      allocate(vertices(1871)%branchCT(0:0))
      call avCT(1871, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2091/))

      allocate(vertices(1873)%branchCT(0:0))
      call avCT(1873, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1907/))

      allocate(vertices(1874)%branchCT(0:1))
      call avCT(1874, 0, 17, 1, 0, FaVF1, (/0, 3/), (/nGC_2056/))

      call avCT(1874, 1, 17, 1, 0, FaVF1, (/2, 1/), (/nGC_2057/))

      allocate(vertices(1880)%branchCT(0:0))
      call avCT(1880, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1633/))

      allocate(vertices(4413)%branchCT(0:0))
      call avCT(4413, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1932/))

      allocate(vertices(2345)%branchCT(0:0))
      call avCT(2345, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1630/))

      allocate(vertices(213)%branchCT(0:0))
      call avCT(213, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1910/))

      allocate(vertices(4034)%branchCT(0:0))
      call avCT(4034, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1634/))

      allocate(vertices(4416)%branchCT(0:0))
      call avCT(4416, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1886/))

      allocate(vertices(1877)%branchCT(0:0))
      call avCT(1877, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1983/))

      allocate(vertices(1878)%branchCT(0:0))
      call avCT(1878, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(3532)%branchCT(0:0))
      call avCT(3532, 0, 1, 1, 0, SVV0, (/0, 3/), (/nGC_2174/))

      allocate(vertices(3103)%branchCT(0:1))
      call avCT(3103, 0, 19, 1, 0, FSFa0, (/0, 3/), (/nGC_1960, nGC_1962/))

      call avCT(3103, 1, 19, 1, 0, FSFa0, (/2, 1/), (/nGC_1961, nGC_1963/))

      allocate(vertices(4423)%branchCT(0:0))
      call avCT(4423, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1657/))

      allocate(vertices(4424)%branchCT(0:0))
      call avCT(4424, 0, 1, 1, 0, SFaF0, (/0, 3/), (/nGC_2008, nGC_2009/))

      allocate(vertices(3113)%branchCT(0:0))
      call avCT(3113, 0, 1, 1, 0, UVUa0, (/0, 3/), (/nGC_2154/))

      allocate(vertices(4426)%branchCT(0:0))
      call avCT(4426, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(1935)%branchCT(0:0))
      call avCT(1935, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1878/))

      allocate(vertices(2215)%branchCT(0:0))
      call avCT(2215, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1905/))

      allocate(vertices(4428)%branchCT(0:1))
      call avCT(4428, 0, 17, 1, 0, FaSF0, (/0, 3/), (/nGC_1955, nGC_1957/))

      call avCT(4428, 1, 17, 1, 0, FaSF0, (/2, 1/), (/nGC_1956, nGC_1958/))

      allocate(vertices(3886)%branchCT(0:0))
      call avCT(3886, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1879/))

      allocate(vertices(4431)%branchCT(0:0))
      call avCT(4431, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1883/))

      allocate(vertices(4432)%branchCT(0:0))
      call avCT(4432, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1883/))

      allocate(vertices(4433)%branchCT(0:0))
      call avCT(4433, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_2051/))

      allocate(vertices(1889)%branchCT(0:0))
      call avCT(1889, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1910/))

      allocate(vertices(1891)%branchCT(0:0))
      call avCT(1891, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1910/))

      allocate(vertices(1645)%branchCT(0:0))
      call avCT(1645, 0, 1, 1, 0, USUa0, (/0, 3/), (/nGC_2089/))

      allocate(vertices(4436)%branchCT(0:1))
      call avCT(4436, 0, 18, 1, 0, FaFS0, (/0, 3/), (/nGC_2058, nGC_2058/))

      call avCT(4436, 1, 18, 1, 0, FaFS0, (/2, 1/), (/nGC_2059, nGC_2059/))

      allocate(vertices(1247)%branchCT(0:0))
      call avCT(1247, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1903/))

      allocate(vertices(1648)%branchCT(0:0))
      call avCT(1648, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1905/))

      allocate(vertices(1895)%branchCT(0:0))
      call avCT(1895, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1915/))

      allocate(vertices(1896)%branchCT(0:0))
      call avCT(1896, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1969/))

      allocate(vertices(4415)%branchCT(0:0))
      call avCT(4415, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1893/))

      allocate(vertices(4404)%branchCT(0:0))
      call avCT(4404, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1656/))

      allocate(vertices(4439)%branchCT(0:0))
      call avCT(4439, 0, 1, 1, 0, VFFa1, (/0, 3/), (/nGC_2093, nGC_2094/))

      allocate(vertices(4496)%branchCT(0:0))
      call avCT(4496, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1883/))

      allocate(vertices(2017)%branchCT(0:0))
      call avCT(2017, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1969/))

      allocate(vertices(4441)%branchCT(0:0))
      call avCT(4441, 0, 1, 1, 0, USUa0, (/0, 3/), (/nGC_2089/))

      allocate(vertices(1503)%branchCT(0:0))
      call avCT(1503, 0, 1, 1, 0, FVFa1, (/0, 3/), (/nGC_2033/))

      allocate(vertices(5086)%branchCT(0:0))
      call avCT(5086, 0, 1, 1, 0, FaFV1, (/0, 3/), (/nGC_2007/))

      allocate(vertices(1900)%branchCT(0:0))
      call avCT(1900, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1893/))

      allocate(vertices(2486)%branchCT(0:0))
      call avCT(2486, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1921/))

      allocate(vertices(3556)%branchCT(0:0))
      call avCT(3556, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2124/))

      allocate(vertices(3088)%branchCT(0:0))
      call avCT(3088, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1922/))

      allocate(vertices(2052)%branchCT(0:0))
      call avCT(2052, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1655/))

      allocate(vertices(4446)%branchCT(0:1))
      call avCT(4446, 0, 21, 1, 0, VFFa1, (/0, 3/), (/nGC_1984, nGC_1986/))

      call avCT(4446, 1, 21, 1, 0, VFFa1, (/2, 1/), (/nGC_1985, nGC_1987/))

      allocate(vertices(4447)%branchCT(0:0))
      call avCT(4447, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1930/))

      allocate(vertices(4448)%branchCT(0:0))
      call avCT(4448, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1893/))

      allocate(vertices(2071)%branchCT(0:0))
      call avCT(2071, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1910/))

      allocate(vertices(3536)%branchCT(0:0))
      call avCT(3536, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1631/))

      allocate(vertices(2080)%branchCT(0:0))
      call avCT(2080, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1910/))

      allocate(vertices(1909)%branchCT(0:0))
      call avCT(1909, 0, 1, 1, 0, FaFV0, (/0, 3/), (/nGC_2043, nGC_2044/))

      allocate(vertices(1859)%branchCT(0:0))
      call avCT(1859, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1657/))

      allocate(vertices(3702)%branchCT(0:0))
      call avCT(3702, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1656/))

      allocate(vertices(1910)%branchCT(0:0))
      call avCT(1910, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1899/))

      allocate(vertices(3953)%branchCT(0:0))
      call avCT(3953, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1630/))

      allocate(vertices(3697)%branchCT(0:0))
      call avCT(3697, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1930/))

      allocate(vertices(1911)%branchCT(0:1))
      call avCT(1911, 0, 19, 1, 0, FVFa0, (/0, 3/), (/nGC_2067, nGC_2069/))

      call avCT(1911, 1, 19, 1, 0, FVFa0, (/2, 1/), (/nGC_2068, nGC_2070/))

      allocate(vertices(2688)%branchCT(0:0))
      call avCT(2688, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1967/))

      allocate(vertices(1913)%branchCT(0:0))
      call avCT(1913, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1630/))

      allocate(vertices(4461)%branchCT(0:0))
      call avCT(4461, 0, 1, 1, 0, UUaS0, (/0, 3/), (/nGC_1671/))

      allocate(vertices(4462)%branchCT(0:0))
      call avCT(4462, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1878/))

      allocate(vertices(4463)%branchCT(0:0))
      call avCT(4463, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(1916)%branchCT(0:0))
      call avCT(1916, 0, 1, 1, 0, UaSU0, (/0, 3/), (/nGC_1660/))

      allocate(vertices(1881)%branchCT(0:0))
      call avCT(1881, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1900/))

      allocate(vertices(1917)%branchCT(0:0))
      call avCT(1917, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1905/))

      allocate(vertices(3273)%branchCT(0:1))
      call avCT(3273, 0, 18, 1, 0, FaFS0, (/0, 3/), (/nGC_1960, nGC_1962/))

      call avCT(3273, 1, 18, 1, 0, FaFS0, (/2, 1/), (/nGC_1961, nGC_1963/))

      allocate(vertices(4729)%branchCT(0:0))
      call avCT(4729, 0, 1, 1, 0, VVS0, (/0, 3/), (/nGC_1938/))

      allocate(vertices(1919)%branchCT(0:0))
      call avCT(1919, 0, 1, 1, 0, UaUV0, (/0, 3/), (/nGC_2225/))

      allocate(vertices(4466)%branchCT(0:0))
      call avCT(4466, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1910/))

      allocate(vertices(1921)%branchCT(0:0))
      call avCT(1921, 0, 1, 1, 0, FFaV1, (/0, 3/), (/nGC_1994/))

      allocate(vertices(1922)%branchCT(0:0))
      call avCT(1922, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1891/))

      allocate(vertices(4895)%branchCT(0:0))
      call avCT(4895, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1949/))

      allocate(vertices(1923)%branchCT(0:0))
      call avCT(1923, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1915/))

      allocate(vertices(1928)%branchCT(0:0))
      call avCT(1928, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1884/))

      allocate(vertices(1929)%branchCT(0:0))
      call avCT(1929, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1937/))

      allocate(vertices(4470)%branchCT(0:0))
      call avCT(4470, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2064/))

      allocate(vertices(1930)%branchCT(0:0))
      call avCT(1930, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2028/))

      allocate(vertices(4472)%branchCT(0:0))
      call avCT(4472, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1634/))

      allocate(vertices(2195)%branchCT(0:0))
      call avCT(2195, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2116/))

      allocate(vertices(4473)%branchCT(0:1))
      call avCT(4473, 0, 21, 1, 0, SFFa0, (/0, 3/), (/nGC_1880, nGC_1880/))

      call avCT(4473, 1, 21, 1, 0, SFFa0, (/2, 1/), (/nGC_1881, nGC_1881/))

      allocate(vertices(5087)%branchCT(0:0))
      call avCT(5087, 0, 1, 1, 0, VSS0, (/0, 3/), (/nGC_2166/))

      allocate(vertices(1081)%branchCT(0:0))
      call avCT(1081, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1884/))

      allocate(vertices(4476)%branchCT(0:0))
      call avCT(4476, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_2017/))

      allocate(vertices(1934)%branchCT(0:0))
      call avCT(1934, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(4427)%branchCT(0:0))
      call avCT(4427, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1930/))

      allocate(vertices(1936)%branchCT(0:0))
      call avCT(1936, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_2017/))

      allocate(vertices(2244)%branchCT(0:0))
      call avCT(2244, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1949/))

      allocate(vertices(1083)%branchCT(0:0))
      call avCT(1083, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_2053, nGC_2052,       &
      nGC_2053/))

      allocate(vertices(4485)%branchCT(0:0))
      call avCT(4485, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1900/))

      allocate(vertices(2297)%branchCT(0:1))
      call avCT(2297, 0, 21, 1, 0, VFFa0, (/0, 3/), (/nGC_2056/))

      call avCT(2297, 1, 21, 1, 0, VFFa0, (/2, 1/), (/nGC_2057/))

      allocate(vertices(3716)%branchCT(0:1))
      call avCT(3716, 0, 17, 1, 0, FaVF0, (/0, 3/), (/nGC_2035, nGC_2037/))

      call avCT(3716, 1, 17, 1, 0, FaVF0, (/2, 1/), (/nGC_2036, nGC_2038/))

      allocate(vertices(2986)%branchCT(0:0))
      call avCT(2986, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1633/))

      allocate(vertices(2271)%branchCT(0:0))
      call avCT(2271, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_2126, nGC_2125,       &
      nGC_2125/))

      allocate(vertices(4458)%branchCT(0:0))
      call avCT(4458, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_2018/))

      allocate(vertices(2183)%branchCT(0:0))
      call avCT(2183, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1630/))

      allocate(vertices(5088)%branchCT(0:1))
      call avCT(5088, 0, 124, 1, 0, FaF0, (/0, 2/), (/nGC_2235, nGC_2237,      &
      nGC_2237, nGC_2239/))

      call avCT(5088, 1, 124, 1, 0, FaF0, (/2, 0/), (/nGC_2236, nGC_2238,      &
      nGC_2238, nGC_2240/))

      allocate(vertices(249)%branchCT(0:0))
      call avCT(249, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1893/))

      allocate(vertices(4491)%branchCT(0:0))
      call avCT(4491, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2091/))

      allocate(vertices(4492)%branchCT(0:0))
      call avCT(4492, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1903/))

      allocate(vertices(1947)%branchCT(0:0))
      call avCT(1947, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1893/))

      allocate(vertices(2302)%branchCT(0:0))
      call avCT(2302, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1655/))

      allocate(vertices(3124)%branchCT(0:0))
      call avCT(3124, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1891/))

      allocate(vertices(1949)%branchCT(0:0))
      call avCT(1949, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(4498)%branchCT(0:1))
      call avCT(4498, 0, 21, 1, 0, VFFa1, (/0, 3/), (/nGC_2096, nGC_2098/))

      call avCT(4498, 1, 21, 1, 0, VFFa1, (/2, 1/), (/nGC_2097, nGC_2099/))

      allocate(vertices(5089)%branchCT(0:0))
      call avCT(5089, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(5090)%branchCT(0:1))
      call avCT(5090, 0, 14, 1, 0, FFa0, (/0, 2/), (/nGC_2247, nGC_2249,       &
      nGC_2249, nGC_2251/))

      call avCT(5090, 1, 14, 1, 0, FFa0, (/2, 0/), (/nGC_2248, nGC_2250,       &
      nGC_2250, nGC_2252/))

      allocate(vertices(1953)%branchCT(0:0))
      call avCT(1953, 0, 1, 1, 0, USUa0, (/0, 3/), (/nGC_1660/))

      allocate(vertices(1086)%branchCT(0:0))
      call avCT(1086, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1657/))

      allocate(vertices(1956)%branchCT(0:0))
      call avCT(1956, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1983/))

      allocate(vertices(8)%branchCT(0:0))
      call avCT(8, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(1957)%branchCT(0:0))
      call avCT(1957, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2028/))

      allocate(vertices(4505)%branchCT(0:0))
      call avCT(4505, 0, 1, 1, 0, FFaV1, (/0, 3/), (/nGC_2135/))

      allocate(vertices(693)%branchCT(0:0))
      call avCT(693, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1910/))

      allocate(vertices(2351)%branchCT(0:0))
      call avCT(2351, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1903/))

      allocate(vertices(3988)%branchCT(0:0))
      call avCT(3988, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1969/))

      allocate(vertices(4081)%branchCT(0:1))
      call avCT(4081, 0, 18, 1, 0, FaFS0, (/0, 3/), (/nGC_2202, nGC_2200/))

      call avCT(4081, 1, 18, 1, 0, FaFS0, (/2, 1/), (/nGC_2203, nGC_2201/))

      allocate(vertices(4508)%branchCT(0:0))
      call avCT(4508, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1930/))

      allocate(vertices(1962)%branchCT(0:1))
      call avCT(1962, 0, 21, 1, 0, SFFa0, (/0, 3/), (/nGC_2029, nGC_2029/))

      call avCT(1962, 1, 21, 1, 0, SFFa0, (/2, 1/), (/nGC_2030, nGC_2030/))

      allocate(vertices(4509)%branchCT(0:0))
      call avCT(4509, 0, 1, 1, 0, VVV0, (/0, 3/), (/nGC_2175/))

      allocate(vertices(1964)%branchCT(0:0))
      call avCT(1964, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1899/))

      allocate(vertices(1965)%branchCT(0:1))
      call avCT(1965, 0, 20, 1, 0, SFaF0, (/0, 3/), (/nGC_2202, nGC_2200/))

      call avCT(1965, 1, 20, 1, 0, SFaF0, (/2, 1/), (/nGC_2203, nGC_2201/))

      allocate(vertices(4291)%branchCT(0:0))
      call avCT(4291, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1969/))

      allocate(vertices(3547)%branchCT(0:3))
      call avCT(3547, 0, 52, 4, 0, VFaF1, (/3, 0/), (/nGC_2162, nGC_2164/))

      call avCT(3547, 1, 52, 4, 0, VFaF1, (/1, 2/), (/nGC_2163, nGC_2165/))

      call avCT(3547, 2, 53, 5, 0, VFaF1, (/3, 0/), (/nGC_2162, nGC_2164/))

      call avCT(3547, 3, 53, 5, 0, VFaF1, (/1, 2/), (/nGC_2163, nGC_2165/))

      allocate(vertices(1967)%branchCT(0:1))
      call avCT(1967, 0, 18, 1, 0, FaFV0, (/0, 3/), (/nGC_2060, nGC_2062/))

      call avCT(1967, 1, 18, 1, 0, FaFV0, (/2, 1/), (/nGC_2061, nGC_2063/))

      allocate(vertices(1968)%branchCT(0:0))
      call avCT(1968, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1930/))

      allocate(vertices(4512)%branchCT(0:0))
      call avCT(4512, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1920/))

      allocate(vertices(2909)%branchCT(0:0))
      call avCT(2909, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1884/))

      allocate(vertices(4515)%branchCT(0:0))
      call avCT(4515, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1915/))

      allocate(vertices(2405)%branchCT(0:0))
      call avCT(2405, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1969/))

      allocate(vertices(1091)%branchCT(0:0))
      call avCT(1091, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1879/))

      allocate(vertices(1974)%branchCT(0:0))
      call avCT(1974, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1630/))

      allocate(vertices(961)%branchCT(0:0))
      call avCT(961, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2028/))

      allocate(vertices(1975)%branchCT(0:0))
      call avCT(1975, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1922/))

      allocate(vertices(4517)%branchCT(0:0))
      call avCT(4517, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2092/))

      allocate(vertices(1715)%branchCT(0:1))
      call avCT(1715, 0, 18, 1, 0, FaFV1, (/0, 3/), (/nGC_2056/))

      call avCT(1715, 1, 18, 1, 0, FaFV1, (/2, 1/), (/nGC_2057/))

      allocate(vertices(3128)%branchCT(0:0))
      call avCT(3128, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1882/))

      allocate(vertices(2699)%branchCT(0:0))
      call avCT(2699, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2028/))

      allocate(vertices(4521)%branchCT(0:0))
      call avCT(4521, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1657/))

      allocate(vertices(4522)%branchCT(0:0))
      call avCT(4522, 0, 1, 1, 0, SFFa0, (/0, 3/), (/nGC_1977, nGC_1977/))

      allocate(vertices(4523)%branchCT(0:0))
      call avCT(4523, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1910/))

      allocate(vertices(2462)%branchCT(0:0))
      call avCT(2462, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2028/))

      allocate(vertices(4525)%branchCT(0:0))
      call avCT(4525, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1891/))

      allocate(vertices(4526)%branchCT(0:0))
      call avCT(4526, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1907/))

      allocate(vertices(1982)%branchCT(0:0))
      call avCT(1982, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1883/))

      allocate(vertices(3368)%branchCT(0:0))
      call avCT(3368, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1910/))

      allocate(vertices(4529)%branchCT(0:0))
      call avCT(4529, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1910/))

      allocate(vertices(1984)%branchCT(0:1))
      call avCT(1984, 0, 18, 1, 0, FaFS0, (/0, 3/), (/nGC_1950, nGC_1950/))

      call avCT(1984, 1, 18, 1, 0, FaFS0, (/2, 1/), (/nGC_1951, nGC_1951/))

      allocate(vertices(4530)%branchCT(0:0))
      call avCT(4530, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1632/))

      allocate(vertices(4531)%branchCT(0:0))
      call avCT(4531, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_2210/))

      allocate(vertices(2305)%branchCT(0:0))
      call avCT(2305, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1967/))

      allocate(vertices(4533)%branchCT(0:0))
      call avCT(4533, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1900/))

      allocate(vertices(760)%branchCT(0:0))
      call avCT(760, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1915/))

      allocate(vertices(4534)%branchCT(0:0))
      call avCT(4534, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1655/))

      allocate(vertices(1987)%branchCT(0:0))
      call avCT(1987, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1983/))

      allocate(vertices(1514)%branchCT(0:0))
      call avCT(1514, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1983/))

      allocate(vertices(4538)%branchCT(0:0))
      call avCT(4538, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1884/))

      allocate(vertices(3635)%branchCT(0:1))
      call avCT(3635, 0, 20, 1, 0, SFaF0, (/0, 3/), (/nGC_1978, nGC_1980/))

      call avCT(3635, 1, 20, 1, 0, SFaF0, (/2, 1/), (/nGC_1979, nGC_1981/))

      allocate(vertices(97)%branchCT(0:0))
      call avCT(97, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1891/))

      allocate(vertices(2900)%branchCT(0:0))
      call avCT(2900, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1969/))

      allocate(vertices(4542)%branchCT(0:0))
      call avCT(4542, 0, 1, 1, 0, FaFS0, (/0, 3/), (/nGC_2074, nGC_2074/))

      allocate(vertices(1633)%branchCT(0:0))
      call avCT(1633, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1926/))

      allocate(vertices(1994)%branchCT(0:1))
      call avCT(1994, 0, 18, 1, 0, FaFV0, (/0, 3/), (/nGC_1972, nGC_1974/))

      call avCT(1994, 1, 18, 1, 0, FaFV0, (/2, 1/), (/nGC_1973, nGC_1975/))

      allocate(vertices(1587)%branchCT(0:0))
      call avCT(1587, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1893/))

      allocate(vertices(1995)%branchCT(0:0))
      call avCT(1995, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1915/))

      allocate(vertices(4548)%branchCT(0:0))
      call avCT(4548, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1932/))

      allocate(vertices(4549)%branchCT(0:1))
      call avCT(4549, 0, 20, 1, 0, SFaF0, (/0, 3/), (/nGC_1916, nGC_1918/))

      call avCT(4549, 1, 20, 1, 0, SFaF0, (/2, 1/), (/nGC_1917, nGC_1919/))

      allocate(vertices(1095)%branchCT(0:0))
      call avCT(1095, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1900/))

      allocate(vertices(3082)%branchCT(0:0))
      call avCT(3082, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1926/))

      allocate(vertices(4551)%branchCT(0:0))
      call avCT(4551, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1988/))

      allocate(vertices(3555)%branchCT(0:0))
      call avCT(3555, 0, 1, 1, 0, UaSU0, (/0, 3/), (/nGC_1660/))

      allocate(vertices(2000)%branchCT(0:0))
      call avCT(2000, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(4555)%branchCT(0:0))
      call avCT(4555, 0, 1, 1, 0, SUaU0, (/0, 3/), (/nGC_1671/))

      allocate(vertices(2001)%branchCT(0:0))
      call avCT(2001, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1893/))

      allocate(vertices(2002)%branchCT(0:0))
      call avCT(2002, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1910/))

      allocate(vertices(2003)%branchCT(0:0))
      call avCT(2003, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(4179)%branchCT(0:0))
      call avCT(4179, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2124/))

      allocate(vertices(2005)%branchCT(0:0))
      call avCT(2005, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(702)%branchCT(0:0))
      call avCT(702, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1879/))

      allocate(vertices(308)%branchCT(0:0))
      call avCT(308, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1893/))

      allocate(vertices(4563)%branchCT(0:0))
      call avCT(4563, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1921/))

      allocate(vertices(4390)%branchCT(0:0))
      call avCT(4390, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1657/))

      allocate(vertices(4566)%branchCT(0:0))
      call avCT(4566, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_2055/))

      allocate(vertices(4567)%branchCT(0:0))
      call avCT(4567, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1915/))

      allocate(vertices(2008)%branchCT(0:0))
      call avCT(2008, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1907/))

      allocate(vertices(3132)%branchCT(0:0))
      call avCT(3132, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1891/))

      allocate(vertices(4572)%branchCT(0:0))
      call avCT(4572, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1879/))

      allocate(vertices(4573)%branchCT(0:0))
      call avCT(4573, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1903/))

      allocate(vertices(2011)%branchCT(0:0))
      call avCT(2011, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1915/))

      allocate(vertices(2698)%branchCT(0:0))
      call avCT(2698, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_2053, nGC_2053,       &
      nGC_2052/))

      allocate(vertices(4575)%branchCT(0:0))
      call avCT(4575, 0, 1, 1, 0, SUaU0, (/0, 3/), (/nGC_1660/))

      allocate(vertices(914)%branchCT(0:0))
      call avCT(914, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1969/))

      allocate(vertices(4577)%branchCT(0:0))
      call avCT(4577, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1884/))

      allocate(vertices(2015)%branchCT(0:0))
      call avCT(2015, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2091/))

      allocate(vertices(1886)%branchCT(0:0))
      call avCT(1886, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1905/))

      allocate(vertices(3954)%branchCT(0:0))
      call avCT(3954, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1883/))

      allocate(vertices(5091)%branchCT(0:0))
      call avCT(5091, 0, 1, 1, 0, SVV0, (/0, 3/), (/nGC_2221/))

      allocate(vertices(703)%branchCT(0:0))
      call avCT(703, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1884/))

      allocate(vertices(2726)%branchCT(0:0))
      call avCT(2726, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1891/))

      allocate(vertices(2020)%branchCT(0:0))
      call avCT(2020, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1633/))

      allocate(vertices(2734)%branchCT(0:0))
      call avCT(2734, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1915/))

      allocate(vertices(2023)%branchCT(0:1))
      call avCT(2023, 0, 10, 1, 0, FFaV0, (/0, 3/), (/nGC_2096, nGC_2098/))

      call avCT(2023, 1, 10, 1, 0, FFaV0, (/2, 1/), (/nGC_2097, nGC_2099/))

      allocate(vertices(2024)%branchCT(0:0))
      call avCT(2024, 0, 1, 1, 0, UaVU0, (/0, 3/), (/nGC_2167/))

      allocate(vertices(4583)%branchCT(0:0))
      call avCT(4583, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1891/))

      allocate(vertices(2026)%branchCT(0:0))
      call avCT(2026, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1886/))

      allocate(vertices(4584)%branchCT(0:0))
      call avCT(4584, 0, 1, 1, 0, UUaV0, (/0, 3/), (/nGC_1936/))

      allocate(vertices(2767)%branchCT(0:0))
      call avCT(2767, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_1924, nGC_1924,       &
      nGC_1925/))

      allocate(vertices(2028)%branchCT(0:0))
      call avCT(2028, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1907/))

      allocate(vertices(3457)%branchCT(0:1))
      call avCT(3457, 0, 17, 1, 0, FaVF0, (/0, 3/), (/nGC_1972, nGC_1974/))

      call avCT(3457, 1, 17, 1, 0, FaVF0, (/2, 1/), (/nGC_1973, nGC_1975/))

      allocate(vertices(4694)%branchCT(0:0))
      call avCT(4694, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2091/))

      allocate(vertices(4588)%branchCT(0:0))
      call avCT(4588, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1886/))

      allocate(vertices(1102)%branchCT(0:0))
      call avCT(1102, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1891/))

      allocate(vertices(2800)%branchCT(0:0))
      call avCT(2800, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1910/))

      allocate(vertices(4591)%branchCT(0:0))
      call avCT(4591, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2103/))

      allocate(vertices(3348)%branchCT(0:0))
      call avCT(3348, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1969/))

      allocate(vertices(4592)%branchCT(0:0))
      call avCT(4592, 0, 1, 1, 0, UaUS0, (/0, 3/), (/nGC_1671/))

      allocate(vertices(2823)%branchCT(0:0))
      call avCT(2823, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1903/))

      allocate(vertices(4595)%branchCT(0:1))
      call avCT(4595, 0, 18, 1, 0, FaFV0, (/0, 3/), (/nGC_2150, nGC_2152/))

      call avCT(4595, 1, 18, 1, 0, FaFV0, (/2, 1/), (/nGC_2151, nGC_2153/))

      allocate(vertices(2832)%branchCT(0:0))
      call avCT(2832, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1910/))

      allocate(vertices(3895)%branchCT(0:0))
      call avCT(3895, 0, 1, 1, 0, UUaV0, (/0, 3/), (/nGC_1898/))

      allocate(vertices(5092)%branchCT(0:0))
      call avCT(5092, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(4599)%branchCT(0:3))
      call avCT(4599, 0, 68, 4, 0, FVFa0, (/1, 2/), (/nGC_2014, nGC_2016/))

      call avCT(4599, 1, 68, 4, 0, FVFa0, (/3, 0/), (/nGC_2013, nGC_2015/))

      call avCT(4599, 2, 69, 5, 0, FVFa0, (/1, 2/), (/nGC_2014, nGC_2016/))

      call avCT(4599, 3, 69, 5, 0, FVFa0, (/3, 0/), (/nGC_2013, nGC_2015/))

      allocate(vertices(2036)%branchCT(0:0))
      call avCT(2036, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(2037)%branchCT(0:0))
      call avCT(2037, 0, 1, 1, 0, SUaU0, (/0, 3/), (/nGC_1671/))

      allocate(vertices(4603)%branchCT(0:0))
      call avCT(4603, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1959/))

      allocate(vertices(2873)%branchCT(0:0))
      call avCT(2873, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1926/))

      allocate(vertices(4605)%branchCT(0:0))
      call avCT(4605, 0, 1, 1, 0, VFaF1, (/0, 3/), (/nGC_1952, nGC_1953/))

      allocate(vertices(315)%branchCT(0:0))
      call avCT(315, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2116/))

      allocate(vertices(2885)%branchCT(0:0))
      call avCT(2885, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2103/))

      allocate(vertices(4787)%branchCT(0:0))
      call avCT(4787, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1949/))

      allocate(vertices(84)%branchCT(0:0))
      call avCT(84, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(4609)%branchCT(0:1))
      call avCT(4609, 0, 18, 1, 0, FaFS0, (/0, 3/), (/nGC_1908, nGC_1908/))

      call avCT(4609, 1, 18, 1, 0, FaFS0, (/2, 1/), (/nGC_1909, nGC_1909/))

      allocate(vertices(4611)%branchCT(0:0))
      call avCT(4611, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1930/))

      allocate(vertices(2044)%branchCT(0:0))
      call avCT(2044, 0, 1, 1, 0, FVFa1, (/0, 3/), (/nGC_2010/))

      allocate(vertices(2046)%branchCT(0:0))
      call avCT(2046, 0, 1, 1, 0, VUaU1, (/0, 3/), (/nGC_1906/))

      allocate(vertices(3251)%branchCT(0:5))
      call avCT(3251, 0, 73, 7, 0, UaVVU0, (/4, 0/), (/nGC_2083/))

      call avCT(3251, 1, 71, 7, 0, UaVVU0, (/4, 0/), (/nGC_2083/))

      call avCT(3251, 2, 72, 7, 0, UaVVU0, (/4, 0/), (/nGC_2083/))

      call avCT(3251, 3, 70, 7, 0, UaVVU0, (/4, 0/), (/nGC_2083/))

      call avCT(3251, 4, 74, 6, 0, UaVVU0, (/4, 0/), (/nGC_2084/))

      call avCT(3251, 5, 75, 6, 0, UaVVU0, (/4, 0/), (/nGC_2084/))

      allocate(vertices(2047)%branchCT(0:0))
      call avCT(2047, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1891/))

      allocate(vertices(4916)%branchCT(0:0))
      call avCT(4916, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1915/))

      allocate(vertices(2049)%branchCT(0:0))
      call avCT(2049, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1969/))

      allocate(vertices(2050)%branchCT(0:1))
      call avCT(2050, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_2065, nGC_2065/))

      call avCT(2050, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_2066, nGC_2066/))

      allocate(vertices(2962)%branchCT(0:0))
      call avCT(2962, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1910/))

      allocate(vertices(5093)%branchCT(0:0))
      call avCT(5093, 0, 1, 1, 0, FaFV1, (/0, 3/), (/nGC_2007/))

      allocate(vertices(4445)%branchCT(0:0))
      call avCT(4445, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1886/))

      allocate(vertices(4621)%branchCT(0:0))
      call avCT(4621, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1657/))

      allocate(vertices(3443)%branchCT(0:0))
      call avCT(3443, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2116/))

      allocate(vertices(2970)%branchCT(0:0))
      call avCT(2970, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1884/))

      allocate(vertices(4624)%branchCT(0:0))
      call avCT(4624, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1630/))

      allocate(vertices(2056)%branchCT(0:0))
      call avCT(2056, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1893/))

      allocate(vertices(2456)%branchCT(0:1))
      call avCT(2456, 0, 17, 1, 0, FaSF0, (/0, 3/), (/nGC_2112, nGC_2114/))

      call avCT(2456, 1, 17, 1, 0, FaSF0, (/2, 1/), (/nGC_2113, nGC_2115/))

      allocate(vertices(2519)%branchCT(0:0))
      call avCT(2519, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1631/))

      allocate(vertices(5094)%branchCT(0:0))
      call avCT(5094, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2031/))

      allocate(vertices(5095)%branchCT(0:0))
      call avCT(5095, 0, 1, 1, 0, VFaF0, (/0, 3/), (/nGC_2007/))

      allocate(vertices(2058)%branchCT(0:0))
      call avCT(2058, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(2060)%branchCT(0:0))
      call avCT(2060, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1937/))

      allocate(vertices(4628)%branchCT(0:0))
      call avCT(4628, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(2063)%branchCT(0:0))
      call avCT(2063, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_2125, nGC_2126,       &
      nGC_2125/))

      allocate(vertices(4629)%branchCT(0:0))
      call avCT(4629, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1631/))

      allocate(vertices(2065)%branchCT(0:0))
      call avCT(2065, 0, 1, 1, 0, UUaS0, (/0, 3/), (/nGC_1671/))

      allocate(vertices(4631)%branchCT(0:0))
      call avCT(4631, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1983/))

      allocate(vertices(2066)%branchCT(0:0))
      call avCT(2066, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1655/))

      allocate(vertices(4633)%branchCT(0:1))
      call avCT(4633, 0, 19, 1, 0, FVFa1, (/0, 3/), (/nGC_2129/))

      call avCT(4633, 1, 19, 1, 0, FVFa1, (/2, 1/), (/nGC_2130/))

      allocate(vertices(4005)%branchCT(0:0))
      call avCT(4005, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2064/))

      allocate(vertices(4634)%branchCT(0:0))
      call avCT(4634, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_2126, nGC_2125,       &
      nGC_2125/))

      allocate(vertices(4635)%branchCT(0:1))
      call avCT(4635, 0, 21, 1, 0, SFFa0, (/0, 3/), (/nGC_2058, nGC_2058/))

      call avCT(4635, 1, 21, 1, 0, SFFa0, (/2, 1/), (/nGC_2059, nGC_2059/))

      allocate(vertices(4637)%branchCT(0:1))
      call avCT(4637, 0, 19, 1, 0, FVFa0, (/0, 3/), (/nGC_1887, nGC_1889/))

      call avCT(4637, 1, 19, 1, 0, FVFa0, (/2, 1/), (/nGC_1888, nGC_1890/))

      allocate(vertices(1906)%branchCT(0:0))
      call avCT(1906, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1639/))

      allocate(vertices(2072)%branchCT(0:0))
      call avCT(2072, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1969/))

      allocate(vertices(4056)%branchCT(0:0))
      call avCT(4056, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1907/))

      allocate(vertices(2073)%branchCT(0:0))
      call avCT(2073, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1893/))

      allocate(vertices(1522)%branchCT(0:0))
      call avCT(1522, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(3191)%branchCT(0:0))
      call avCT(3191, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1878/))

      allocate(vertices(2076)%branchCT(0:0))
      call avCT(2076, 0, 1, 1, 0, UaSU0, (/0, 3/), (/nGC_1671/))

      allocate(vertices(5096)%branchCT(0:0))
      call avCT(5096, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(3086)%branchCT(0:0))
      call avCT(3086, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1657/))

      allocate(vertices(2078)%branchCT(0:1))
      call avCT(2078, 0, 17, 1, 0, FaSF0, (/0, 3/), (/nGC_1944, nGC_1944/))

      call avCT(2078, 1, 17, 1, 0, FaSF0, (/2, 1/), (/nGC_1945, nGC_1945/))

      allocate(vertices(4643)%branchCT(0:0))
      call avCT(4643, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1893/))

      allocate(vertices(4644)%branchCT(0:3))
      call avCT(4644, 0, 68, 4, 0, FVFa0, (/3, 0/), (/nGC_1990, nGC_1992/))

      call avCT(4644, 1, 68, 4, 0, FVFa0, (/1, 2/), (/nGC_1991, nGC_1993/))

      call avCT(4644, 2, 69, 5, 0, FVFa0, (/3, 0/), (/nGC_1990, nGC_1992/))

      call avCT(4644, 3, 69, 5, 0, FVFa0, (/1, 2/), (/nGC_1991, nGC_1993/))

      allocate(vertices(1908)%branchCT(0:0))
      call avCT(1908, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1976/))

      allocate(vertices(1667)%branchCT(0:0))
      call avCT(1667, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1921/))

      allocate(vertices(2081)%branchCT(0:0))
      call avCT(2081, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1893/))

      allocate(vertices(5097)%branchCT(0:0))
      call avCT(5097, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1999/))

      allocate(vertices(2082)%branchCT(0:0))
      call avCT(2082, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1937/))

      allocate(vertices(2083)%branchCT(0:0))
      call avCT(2083, 0, 1, 1, 0, UaVU0, (/0, 3/), (/nGC_2111/))

      allocate(vertices(2609)%branchCT(0:1))
      call avCT(2609, 0, 18, 1, 0, FaFV0, (/0, 3/), (/nGC_2067, nGC_2069/))

      call avCT(2609, 1, 18, 1, 0, FaFV0, (/2, 1/), (/nGC_2068, nGC_2070/))

      allocate(vertices(4648)%branchCT(0:0))
      call avCT(4648, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_1954/))

      allocate(vertices(2085)%branchCT(0:0))
      call avCT(2085, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1631/))

      allocate(vertices(3120)%branchCT(0:0))
      call avCT(3120, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1631/))

      allocate(vertices(4793)%branchCT(0:0))
      call avCT(4793, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1893/))

      allocate(vertices(2087)%branchCT(0:0))
      call avCT(2087, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(5098)%branchCT(0:0))
      call avCT(5098, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(2088)%branchCT(0:0))
      call avCT(2088, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1988/))

      allocate(vertices(2089)%branchCT(0:0))
      call avCT(2089, 0, 1, 1, 0, FaSF0, (/0, 3/), (/nGC_1977, nGC_1977/))

      allocate(vertices(4654)%branchCT(0:0))
      call avCT(4654, 0, 1, 1, 0, FFaV0, (/0, 3/), (/nGC_1941, nGC_1942/))

      allocate(vertices(323)%branchCT(0:0))
      call avCT(323, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(4608)%branchCT(0:0))
      call avCT(4608, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2028/))

      allocate(vertices(4389)%branchCT(0:0))
      call avCT(4389, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1631/))

      allocate(vertices(2093)%branchCT(0:0))
      call avCT(2093, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1883/))

      allocate(vertices(4661)%branchCT(0:0))
      call avCT(4661, 0, 1, 1, 0, UVUa0, (/0, 3/), (/nGC_2054/))

      allocate(vertices(811)%branchCT(0:0))
      call avCT(811, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1884/))

      allocate(vertices(546)%branchCT(0:0))
      call avCT(546, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2032/))

      allocate(vertices(4662)%branchCT(0:0))
      call avCT(4662, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(164)%branchCT(0:0))
      call avCT(164, 0, 1, 1, 0, FSFa0, (/0, 3/), (/nGC_2074, nGC_2074/))

      allocate(vertices(2097)%branchCT(0:0))
      call avCT(2097, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1969/))

      allocate(vertices(4665)%branchCT(0:0))
      call avCT(4665, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2091/))

      allocate(vertices(888)%branchCT(0:0))
      call avCT(888, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1907/))

      allocate(vertices(2896)%branchCT(0:0))
      call avCT(2896, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_2017/))

      allocate(vertices(4668)%branchCT(0:0))
      call avCT(4668, 0, 1, 1, 0, VUUa0, (/0, 3/), (/nGC_2111/))

      allocate(vertices(2101)%branchCT(0:0))
      call avCT(2101, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1631/))

      allocate(vertices(3206)%branchCT(0:0))
      call avCT(3206, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1886/))

      allocate(vertices(4670)%branchCT(0:0))
      call avCT(4670, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(4671)%branchCT(0:0))
      call avCT(4671, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1905/))

      allocate(vertices(5099)%branchCT(0:0))
      call avCT(5099, 0, 13, 1, 0, SS0, (/0, 2/), (/nGC_2212, nGC_2213/))

      allocate(vertices(4674)%branchCT(0:1))
      call avCT(4674, 0, 20, 1, 0, VFaF0, (/0, 3/), (/nGC_2129/))

      call avCT(4674, 1, 20, 1, 0, VFaF0, (/2, 1/), (/nGC_2130/))

      allocate(vertices(2719)%branchCT(0:0))
      call avCT(2719, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1910/))

      allocate(vertices(4675)%branchCT(0:0))
      call avCT(4675, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1921/))

      allocate(vertices(2109)%branchCT(0:0))
      call avCT(2109, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1907/))

      allocate(vertices(1973)%branchCT(0:0))
      call avCT(1973, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1655/))

      allocate(vertices(1765)%branchCT(0:0))
      call avCT(1765, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1915/))

      allocate(vertices(3245)%branchCT(0:0))
      call avCT(3245, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1988/))

      allocate(vertices(4678)%branchCT(0:1))
      call avCT(4678, 0, 10, 1, 0, FFaV0, (/0, 3/), (/nGC_2067, nGC_2069/))

      call avCT(4678, 1, 10, 1, 0, FFaV0, (/2, 1/), (/nGC_2068, nGC_2070/))

      allocate(vertices(3148)%branchCT(0:0))
      call avCT(3148, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1983/))

      allocate(vertices(2112)%branchCT(0:0))
      call avCT(2112, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1634/))

      allocate(vertices(2113)%branchCT(0:0))
      call avCT(2113, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1969/))

      allocate(vertices(4682)%branchCT(0:0))
      call avCT(4682, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1907/))

      allocate(vertices(4683)%branchCT(0:0))
      call avCT(4683, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1886/))

      allocate(vertices(4684)%branchCT(0:0))
      call avCT(4684, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1655/))

      allocate(vertices(4685)%branchCT(0:1))
      call avCT(4685, 0, 21, 1, 0, SFFa0, (/0, 3/), (/nGC_2182, nGC_2182/))

      call avCT(4685, 1, 21, 1, 0, SFFa0, (/2, 1/), (/nGC_2183, nGC_2183/))

      allocate(vertices(3297)%branchCT(0:0))
      call avCT(3297, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1903/))

      allocate(vertices(3755)%branchCT(0:0))
      call avCT(3755, 0, 1, 1, 0, UVUa0, (/0, 3/), (/nGC_1906/))

      allocate(vertices(4689)%branchCT(0:0))
      call avCT(4689, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1983/))

      allocate(vertices(4691)%branchCT(0:0))
      call avCT(4691, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(2121)%branchCT(0:1))
      call avCT(2121, 0, 18, 1, 0, FaFV0, (/0, 3/), (/nGC_2186, nGC_2188/))

      call avCT(2121, 1, 18, 1, 0, FaFV0, (/2, 1/), (/nGC_2187, nGC_2189/))

      allocate(vertices(1516)%branchCT(0:0))
      call avCT(1516, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1949/))

      allocate(vertices(2122)%branchCT(0:0))
      call avCT(2122, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1879/))

      allocate(vertices(579)%branchCT(0:0))
      call avCT(579, 0, 1, 1, 0, SVV0, (/0, 3/), (/nGC_1939/))

      allocate(vertices(2124)%branchCT(0:0))
      call avCT(2124, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1900/))

      allocate(vertices(4698)%branchCT(0:0))
      call avCT(4698, 0, 1, 1, 0, UaUV0, (/0, 3/), (/nGC_2120/))

      allocate(vertices(4699)%branchCT(0:0))
      call avCT(4699, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1883/))

      allocate(vertices(2126)%branchCT(0:0))
      call avCT(2126, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1886/))

      allocate(vertices(1285)%branchCT(0:1))
      call avCT(1285, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_2029, nGC_2029/))

      call avCT(1285, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_2030, nGC_2030/))

      allocate(vertices(5100)%branchCT(0:0))
      call avCT(5100, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1940/))

      allocate(vertices(2128)%branchCT(0:0))
      call avCT(2128, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2227/))

      allocate(vertices(4021)%branchCT(0:0))
      call avCT(4021, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1655/))

      allocate(vertices(1420)%branchCT(0:0))
      call avCT(1420, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1891/))

      allocate(vertices(4703)%branchCT(0:0))
      call avCT(4703, 0, 1, 1, 0, SVV0, (/0, 3/), (/nGC_1939/))

      allocate(vertices(329)%branchCT(0:1))
      call avCT(329, 0, 10, 1, 0, FFaV0, (/0, 3/), (/nGC_1972, nGC_1974/))

      call avCT(329, 1, 10, 1, 0, FFaV0, (/2, 1/), (/nGC_1973, nGC_1975/))

      allocate(vertices(2129)%branchCT(0:0))
      call avCT(2129, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1915/))

      allocate(vertices(3576)%branchCT(0:0))
      call avCT(3576, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1976/))

      allocate(vertices(5101)%branchCT(0:0))
      call avCT(5101, 0, 13, 1, 0, VV1, (/0, 2/), (/nGC_2039, nGC_2040,        &
      nGC_2041/))

      allocate(vertices(5102)%branchCT(0:0))
      call avCT(5102, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(2131)%branchCT(0:0))
      call avCT(2131, 0, 1, 1, 0, SFFa1, (/0, 3/), (/nGC_2117/))

      allocate(vertices(4706)%branchCT(0:0))
      call avCT(4706, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1907/))

      allocate(vertices(2086)%branchCT(0:0))
      call avCT(2086, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1891/))

      allocate(vertices(3404)%branchCT(0:0))
      call avCT(3404, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1900/))

      allocate(vertices(2316)%branchCT(0:0))
      call avCT(2316, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1884/))

      allocate(vertices(938)%branchCT(0:0))
      call avCT(938, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2092/))

      allocate(vertices(2724)%branchCT(0:0))
      call avCT(2724, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2095/))

      allocate(vertices(3482)%branchCT(0:0))
      call avCT(3482, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1656/))

      allocate(vertices(3094)%branchCT(0:0))
      call avCT(3094, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1633/))

      allocate(vertices(5103)%branchCT(0:0))
      call avCT(5103, 0, 1, 1, 0, FaVF1, (/0, 3/), (/nGC_2007/))

      allocate(vertices(3497)%branchCT(0:0))
      call avCT(3497, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1922/))

      allocate(vertices(1391)%branchCT(0:0))
      call avCT(1391, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1907/))

      allocate(vertices(5104)%branchCT(0:0))
      call avCT(5104, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1940/))

      allocate(vertices(3038)%branchCT(0:0))
      call avCT(3038, 0, 1, 1, 0, VVV0, (/0, 3/), (/nGC_2132/))

      allocate(vertices(4374)%branchCT(0:0))
      call avCT(4374, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(2108)%branchCT(0:0))
      call avCT(2108, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1969/))

      allocate(vertices(4714)%branchCT(0:0))
      call avCT(4714, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_1925, nGC_1924,       &
      nGC_1924/))

      allocate(vertices(1884)%branchCT(0:0))
      call avCT(1884, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_1924, nGC_1924,       &
      nGC_1925/))

      allocate(vertices(724)%branchCT(0:1))
      call avCT(724, 0, 20, 1, 0, SFaF0, (/0, 3/), (/nGC_1950, nGC_1950/))

      call avCT(724, 1, 20, 1, 0, SFaF0, (/2, 1/), (/nGC_1951, nGC_1951/))

      allocate(vertices(5105)%branchCT(0:0))
      call avCT(5105, 0, 1, 1, 0, VSV0, (/0, 3/), (/nGC_2221/))

      allocate(vertices(4025)%branchCT(0:0))
      call avCT(4025, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1893/))

      allocate(vertices(3462)%branchCT(0:0))
      call avCT(3462, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1905/))

      allocate(vertices(3778)%branchCT(0:0))
      call avCT(3778, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1983/))

      allocate(vertices(4717)%branchCT(0:0))
      call avCT(4717, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1903/))

      allocate(vertices(3581)%branchCT(0:0))
      call avCT(3581, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1631/))

      allocate(vertices(3193)%branchCT(0:0))
      call avCT(3193, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1983/))

      allocate(vertices(5106)%branchCT(0:0))
      call avCT(5106, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_2206/))

      allocate(vertices(2144)%branchCT(0:0))
      call avCT(2144, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1907/))

      allocate(vertices(2145)%branchCT(0:0))
      call avCT(2145, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2064/))

      allocate(vertices(1408)%branchCT(0:0))
      call avCT(1408, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(4720)%branchCT(0:0))
      call avCT(4720, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1902/))

      allocate(vertices(4465)%branchCT(0:0))
      call avCT(4465, 0, 1, 1, 0, USUa0, (/0, 3/), (/nGC_1660/))

      allocate(vertices(1894)%branchCT(0:0))
      call avCT(1894, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2091/))

      allocate(vertices(3209)%branchCT(0:0))
      call avCT(3209, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1922/))

      allocate(vertices(5107)%branchCT(0:0))
      call avCT(5107, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(4725)%branchCT(0:0))
      call avCT(4725, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1949/))

      allocate(vertices(2154)%branchCT(0:0))
      call avCT(2154, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1891/))

      allocate(vertices(2155)%branchCT(0:0))
      call avCT(2155, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1883/))

      allocate(vertices(2701)%branchCT(0:0))
      call avCT(2701, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1983/))

      allocate(vertices(3153)%branchCT(0:0))
      call avCT(3153, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1632/))

      allocate(vertices(2157)%branchCT(0:0))
      call avCT(2157, 0, 1, 1, 0, FaFS0, (/0, 3/), (/nGC_2220, nGC_2220/))

      allocate(vertices(134)%branchCT(0:0))
      call avCT(134, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1884/))

      allocate(vertices(4730)%branchCT(0:0))
      call avCT(4730, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1969/))

      allocate(vertices(4727)%branchCT(0:0))
      call avCT(4727, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1959/))

      allocate(vertices(2331)%branchCT(0:0))
      call avCT(2331, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2095/))

      allocate(vertices(4734)%branchCT(0:0))
      call avCT(4734, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1899/))

      allocate(vertices(551)%branchCT(0:0))
      call avCT(551, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(618)%branchCT(0:0))
      call avCT(618, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1988/))

      allocate(vertices(4738)%branchCT(0:0))
      call avCT(4738, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1879/))

      allocate(vertices(3656)%branchCT(0:0))
      call avCT(3656, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1657/))

      allocate(vertices(4740)%branchCT(0:0))
      call avCT(4740, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_2125, nGC_2125,       &
      nGC_2126/))

      allocate(vertices(4741)%branchCT(0:0))
      call avCT(4741, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1983/))

      allocate(vertices(1426)%branchCT(0:0))
      call avCT(1426, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1907/))

      allocate(vertices(4742)%branchCT(0:0))
      call avCT(4742, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1884/))

      allocate(vertices(3618)%branchCT(0:0))
      call avCT(3618, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1657/))

      allocate(vertices(2165)%branchCT(0:0))
      call avCT(2165, 0, 1, 1, 0, UaSU0, (/0, 3/), (/nGC_2089/))

      allocate(vertices(872)%branchCT(0:0))
      call avCT(872, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1657/))

      allocate(vertices(4847)%branchCT(0:0))
      call avCT(4847, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1884/))

      allocate(vertices(5108)%branchCT(0:1))
      call avCT(5108, 0, 124, 1, 0, FaF0, (/0, 2/), (/nGC_2192, nGC_2194,      &
      nGC_2194, nGC_2196/))

      call avCT(5108, 1, 124, 1, 0, FaF0, (/2, 0/), (/nGC_2193, nGC_2195,      &
      nGC_2195, nGC_2197/))

      allocate(vertices(4745)%branchCT(0:0))
      call avCT(4745, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1976/))

      allocate(vertices(4746)%branchCT(0:0))
      call avCT(4746, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1948/))

      allocate(vertices(4747)%branchCT(0:0))
      call avCT(4747, 0, 1, 1, 0, VSS0, (/0, 3/), (/nGC_2148/))

      allocate(vertices(4104)%branchCT(0:0))
      call avCT(4104, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1879/))

      allocate(vertices(1113)%branchCT(0:0))
      call avCT(1113, 0, 1, 1, 0, SFaF0, (/0, 3/), (/nGC_2108, nGC_2109/))

      allocate(vertices(333)%branchCT(0:0))
      call avCT(333, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1893/))

      allocate(vertices(4938)%branchCT(0:0))
      call avCT(4938, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1879/))

      allocate(vertices(4753)%branchCT(0:0))
      call avCT(4753, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1922/))

      allocate(vertices(4754)%branchCT(0:0))
      call avCT(4754, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1922/))

      allocate(vertices(2171)%branchCT(0:0))
      call avCT(2171, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1910/))

      allocate(vertices(4755)%branchCT(0:0))
      call avCT(4755, 0, 1, 1, 0, VUaU1, (/0, 3/), (/nGC_2225/))

      allocate(vertices(3674)%branchCT(0:0))
      call avCT(3674, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1988/))

      allocate(vertices(2173)%branchCT(0:0))
      call avCT(2173, 0, 1, 1, 0, UaSU0, (/0, 3/), (/nGC_1901/))

      allocate(vertices(281)%branchCT(0:0))
      call avCT(281, 0, 1, 1, 0, FSFa1, (/0, 3/), (/nGC_2117/))

      allocate(vertices(2174)%branchCT(0:0))
      call avCT(2174, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1655/))

      allocate(vertices(4760)%branchCT(0:0))
      call avCT(4760, 0, 1, 1, 0, VVV0, (/0, 3/), (/nGC_2204/))

      allocate(vertices(4761)%branchCT(0:0))
      call avCT(4761, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1920/))

      allocate(vertices(2175)%branchCT(0:0))
      call avCT(2175, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1631/))

      allocate(vertices(2177)%branchCT(0:3))
      call avCT(2177, 0, 54, 4, 0, VFFa1, (/1, 2/), (/nGC_2158, nGC_2160/))

      call avCT(2177, 1, 54, 4, 0, VFFa1, (/3, 0/), (/nGC_2157, nGC_2159/))

      call avCT(2177, 2, 55, 5, 0, VFFa1, (/1, 2/), (/nGC_2158, nGC_2160/))

      call avCT(2177, 3, 55, 5, 0, VFFa1, (/3, 0/), (/nGC_2157, nGC_2159/))

      allocate(vertices(2178)%branchCT(0:0))
      call avCT(2178, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1630/))

      allocate(vertices(3298)%branchCT(0:0))
      call avCT(3298, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1893/))

      allocate(vertices(4764)%branchCT(0:0))
      call avCT(4764, 0, 1, 1, 0, VVS0, (/0, 3/), (/nGC_1938/))

      allocate(vertices(345)%branchCT(0:0))
      call avCT(345, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1967/))

      allocate(vertices(2182)%branchCT(0:0))
      call avCT(2182, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1900/))

      allocate(vertices(4469)%branchCT(0:0))
      call avCT(4469, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1915/))

      allocate(vertices(4766)%branchCT(0:0))
      call avCT(4766, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2095/))

      allocate(vertices(2553)%branchCT(0:0))
      call avCT(2553, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1969/))

      allocate(vertices(4768)%branchCT(0:0))
      call avCT(4768, 0, 1, 1, 0, FVFa1, (/0, 3/), (/nGC_1934/))

      allocate(vertices(2185)%branchCT(0:1))
      call avCT(2185, 0, 18, 1, 0, FaFS0, (/0, 3/), (/nGC_1880, nGC_1880/))

      call avCT(2185, 1, 18, 1, 0, FaFS0, (/2, 1/), (/nGC_1881, nGC_1881/))

      allocate(vertices(3741)%branchCT(0:0))
      call avCT(3741, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1657/))

      allocate(vertices(4771)%branchCT(0:0))
      call avCT(4771, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(2188)%branchCT(0:0))
      call avCT(2188, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1631/))

      allocate(vertices(4773)%branchCT(0:0))
      call avCT(4773, 0, 1, 1, 0, FaVF1, (/0, 3/), (/nGC_2010/))

      allocate(vertices(2189)%branchCT(0:0))
      call avCT(2189, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1632/))

      allocate(vertices(1744)%branchCT(0:0))
      call avCT(1744, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_2125, nGC_2126,       &
      nGC_2125/))

      allocate(vertices(2557)%branchCT(0:0))
      call avCT(2557, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1886/))

      allocate(vertices(2614)%branchCT(0:0))
      call avCT(2614, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1930/))

      allocate(vertices(4778)%branchCT(0:0))
      call avCT(4778, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1907/))

      allocate(vertices(4779)%branchCT(0:0))
      call avCT(4779, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1632/))

      allocate(vertices(4780)%branchCT(0:0))
      call avCT(4780, 0, 1, 1, 0, FaFV0, (/0, 3/), (/nGC_1941, nGC_1942/))

      allocate(vertices(1443)%branchCT(0:0))
      call avCT(1443, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2028/))

      allocate(vertices(2194)%branchCT(0:0))
      call avCT(2194, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1900/))

      allocate(vertices(4784)%branchCT(0:0))
      call avCT(4784, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(2336)%branchCT(0:1))
      call avCT(2336, 0, 19, 1, 0, FVFa1, (/0, 3/), (/nGC_2133/))

      call avCT(2336, 1, 19, 1, 0, FVFa1, (/2, 1/), (/nGC_2134/))

      allocate(vertices(2582)%branchCT(0:0))
      call avCT(2582, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1891/))

      allocate(vertices(2196)%branchCT(0:0))
      call avCT(2196, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1631/))

      allocate(vertices(4785)%branchCT(0:0))
      call avCT(4785, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1969/))

      allocate(vertices(2198)%branchCT(0:0))
      call avCT(2198, 0, 1, 1, 0, VVV0, (/0, 3/), (/nGC_2204/))

      allocate(vertices(3829)%branchCT(0:0))
      call avCT(3829, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1949/))

      allocate(vertices(2912)%branchCT(0:0))
      call avCT(2912, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1891/))

      allocate(vertices(4789)%branchCT(0:1))
      call avCT(4789, 0, 19, 1, 0, FVFa0, (/0, 3/), (/nGC_2150, nGC_2152/))

      call avCT(4789, 1, 19, 1, 0, FVFa0, (/2, 1/), (/nGC_2151, nGC_2153/))

      allocate(vertices(4326)%branchCT(0:0))
      call avCT(4326, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(2480)%branchCT(0:0))
      call avCT(2480, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_2017/))

      allocate(vertices(2202)%branchCT(0:0))
      call avCT(2202, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1920/))

      allocate(vertices(2203)%branchCT(0:0))
      call avCT(2203, 0, 1, 1, 0, VFFa0, (/0, 3/), (/nGC_2010/))

      allocate(vertices(3323)%branchCT(0:0))
      call avCT(3323, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1988/))

      allocate(vertices(4795)%branchCT(0:0))
      call avCT(4795, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1915/))

      allocate(vertices(4796)%branchCT(0:0))
      call avCT(4796, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1969/))

      allocate(vertices(2206)%branchCT(0:0))
      call avCT(2206, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1639/))

      allocate(vertices(2207)%branchCT(0:0))
      call avCT(2207, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1949/))

      allocate(vertices(5109)%branchCT(0:0))
      call avCT(5109, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2031/))

      allocate(vertices(2208)%branchCT(0:0))
      call avCT(2208, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1632/))

      allocate(vertices(4799)%branchCT(0:1))
      call avCT(4799, 0, 10, 1, 0, FFaV0, (/0, 3/), (/nGC_1984, nGC_1986/))

      call avCT(4799, 1, 10, 1, 0, FFaV0, (/2, 1/), (/nGC_1985, nGC_1987/))

      allocate(vertices(2209)%branchCT(0:1))
      call avCT(2209, 0, 18, 1, 0, FaFS0, (/0, 3/), (/nGC_2085, nGC_2087/))

      call avCT(2209, 1, 18, 1, 0, FaFS0, (/2, 1/), (/nGC_2086, nGC_2088/))

      allocate(vertices(2210)%branchCT(0:0))
      call avCT(2210, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1907/))

      allocate(vertices(2211)%branchCT(0:0))
      call avCT(2211, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1922/))

      allocate(vertices(5110)%branchCT(0:0))
      call avCT(5110, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1999/))

      allocate(vertices(3594)%branchCT(0:0))
      call avCT(3594, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1920/))

      allocate(vertices(4805)%branchCT(0:0))
      call avCT(4805, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_2053, nGC_2052,       &
      nGC_2053/))

      allocate(vertices(4806)%branchCT(0:0))
      call avCT(4806, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(3522)%branchCT(0:0))
      call avCT(3522, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1902/))

      allocate(vertices(4807)%branchCT(0:0))
      call avCT(4807, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1884/))

      allocate(vertices(4808)%branchCT(0:0))
      call avCT(4808, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1632/))

      allocate(vertices(2214)%branchCT(0:0))
      call avCT(2214, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2028/))

      allocate(vertices(5111)%branchCT(0:0))
      call avCT(5111, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1999/))

      allocate(vertices(4809)%branchCT(0:0))
      call avCT(4809, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1930/))

      allocate(vertices(4810)%branchCT(0:0))
      call avCT(4810, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1634/))

      allocate(vertices(4811)%branchCT(0:0))
      call avCT(4811, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1631/))

      allocate(vertices(3969)%branchCT(0:0))
      call avCT(3969, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1988/))

      allocate(vertices(2219)%branchCT(0:0))
      call avCT(2219, 0, 1, 1, 0, UaVU0, (/0, 3/), (/nGC_2167/))

      allocate(vertices(2220)%branchCT(0:0))
      call avCT(2220, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2034/))

      allocate(vertices(2221)%branchCT(0:3))
      call avCT(2221, 0, 54, 4, 0, VFFa1, (/1, 2/), (/nGC_2014, nGC_2016/))

      call avCT(2221, 1, 54, 4, 0, VFFa1, (/3, 0/), (/nGC_2013, nGC_2015/))

      call avCT(2221, 2, 55, 5, 0, VFFa1, (/1, 2/), (/nGC_2014, nGC_2016/))

      call avCT(2221, 3, 55, 5, 0, VFFa1, (/3, 0/), (/nGC_2013, nGC_2015/))

      allocate(vertices(2222)%branchCT(0:0))
      call avCT(2222, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1907/))

      allocate(vertices(4814)%branchCT(0:0))
      call avCT(4814, 0, 1, 1, 0, UaSU0, (/0, 3/), (/nGC_2137/))

      allocate(vertices(441)%branchCT(0:0))
      call avCT(441, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1631/))

      allocate(vertices(4816)%branchCT(0:0))
      call avCT(4816, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1655/))

      allocate(vertices(2224)%branchCT(0:0))
      call avCT(2224, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_2128/))

      allocate(vertices(2442)%branchCT(0:0))
      call avCT(2442, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1937/))

      allocate(vertices(4006)%branchCT(0:0))
      call avCT(4006, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1891/))

      allocate(vertices(2229)%branchCT(0:0))
      call avCT(2229, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2028/))

      allocate(vertices(4031)%branchCT(0:0))
      call avCT(4031, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1886/))

      allocate(vertices(2340)%branchCT(0:0))
      call avCT(2340, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1988/))

      allocate(vertices(3211)%branchCT(0:0))
      call avCT(3211, 0, 1, 1, 0, UUaS0, (/0, 3/), (/nGC_2089/))

      allocate(vertices(2233)%branchCT(0:0))
      call avCT(2233, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1907/))

      allocate(vertices(5112)%branchCT(0:0))
      call avCT(5112, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1940/))

      allocate(vertices(4826)%branchCT(0:0))
      call avCT(4826, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1983/))

      allocate(vertices(2236)%branchCT(0:1))
      call avCT(2236, 0, 21, 1, 0, SFFa0, (/0, 3/), (/nGC_2076, nGC_2078/))

      call avCT(2236, 1, 21, 1, 0, SFFa0, (/2, 1/), (/nGC_2077, nGC_2079/))

      allocate(vertices(2238)%branchCT(0:0))
      call avCT(2238, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(4827)%branchCT(0:0))
      call avCT(4827, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1878/))

      allocate(vertices(2240)%branchCT(0:0))
      call avCT(2240, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_2049/))

      allocate(vertices(4488)%branchCT(0:0))
      call avCT(4488, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1886/))

      allocate(vertices(4829)%branchCT(0:0))
      call avCT(4829, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1910/))

      allocate(vertices(2114)%branchCT(0:0))
      call avCT(2114, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1634/))

      allocate(vertices(2243)%branchCT(0:0))
      call avCT(2243, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1883/))

      allocate(vertices(4831)%branchCT(0:0))
      call avCT(4831, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1631/))

      allocate(vertices(4103)%branchCT(0:0))
      call avCT(4103, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1921/))

      allocate(vertices(4923)%branchCT(0:0))
      call avCT(4923, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_2053, nGC_2052,       &
      nGC_2053/))

      allocate(vertices(4825)%branchCT(0:0))
      call avCT(4825, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1903/))

      allocate(vertices(2247)%branchCT(0:0))
      call avCT(2247, 0, 1, 1, 0, UaUS0, (/0, 3/), (/nGC_2089/))

      allocate(vertices(4833)%branchCT(0:0))
      call avCT(4833, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1893/))

      allocate(vertices(2248)%branchCT(0:1))
      call avCT(2248, 0, 17, 1, 0, FaVF0, (/0, 3/), (/nGC_1911, nGC_1913/))

      call avCT(2248, 1, 17, 1, 0, FaVF0, (/2, 1/), (/nGC_1912, nGC_1914/))

      allocate(vertices(3602)%branchCT(0:0))
      call avCT(3602, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1879/))

      allocate(vertices(4835)%branchCT(0:0))
      call avCT(4835, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1930/))

      allocate(vertices(3228)%branchCT(0:0))
      call avCT(3228, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1891/))

      allocate(vertices(4836)%branchCT(0:0))
      call avCT(4836, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1634/))

      allocate(vertices(737)%branchCT(0:0))
      call avCT(737, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1632/))

      allocate(vertices(4838)%branchCT(0:0))
      call avCT(4838, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1900/))

      allocate(vertices(4150)%branchCT(0:0))
      call avCT(4150, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1948/))

      allocate(vertices(3332)%branchCT(0:1))
      call avCT(3332, 0, 20, 1, 0, VFaF0, (/0, 3/), (/nGC_2056/))

      call avCT(3332, 1, 20, 1, 0, VFaF0, (/2, 1/), (/nGC_2057/))

      allocate(vertices(3747)%branchCT(0:0))
      call avCT(3747, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(2252)%branchCT(0:0))
      call avCT(2252, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1915/))

      allocate(vertices(3306)%branchCT(0:0))
      call avCT(3306, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1633/))

      allocate(vertices(4168)%branchCT(0:0))
      call avCT(4168, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1959/))

      allocate(vertices(4844)%branchCT(0:0))
      call avCT(4844, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1883/))

      allocate(vertices(4845)%branchCT(0:0))
      call avCT(4845, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2103/))

      allocate(vertices(4846)%branchCT(0:0))
      call avCT(4846, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(2258)%branchCT(0:0))
      call avCT(2258, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1933/))

      allocate(vertices(2259)%branchCT(0:0))
      call avCT(2259, 0, 1, 1, 0, VVV0, (/0, 3/), (/nGC_2232/))

      allocate(vertices(4401)%branchCT(0:0))
      call avCT(4401, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1903/))

      allocate(vertices(4848)%branchCT(0:0))
      call avCT(4848, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1893/))

      allocate(vertices(4386)%branchCT(0:0))
      call avCT(4386, 0, 1, 1, 0, FFaS0, (/0, 3/), (/nGC_2220, nGC_2220/))

      allocate(vertices(2260)%branchCT(0:0))
      call avCT(2260, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1632/))

      allocate(vertices(3255)%branchCT(0:1))
      call avCT(3255, 0, 18, 1, 0, FaFV0, (/0, 3/), (/nGC_2177, nGC_2179/))

      call avCT(3255, 1, 18, 1, 0, FaFV0, (/2, 1/), (/nGC_2178, nGC_2180/))

      allocate(vertices(5113)%branchCT(0:0))
      call avCT(5113, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2031/))

      allocate(vertices(4832)%branchCT(0:0))
      call avCT(4832, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1656/))

      allocate(vertices(283)%branchCT(0:0))
      call avCT(283, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1983/))

      allocate(vertices(3929)%branchCT(0:0))
      call avCT(3929, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1902/))

      allocate(vertices(2263)%branchCT(0:0))
      call avCT(2263, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1921/))

      allocate(vertices(4697)%branchCT(0:0))
      call avCT(4697, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1893/))

      allocate(vertices(2264)%branchCT(0:0))
      call avCT(2264, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1907/))

      allocate(vertices(5114)%branchCT(0:0))
      call avCT(5114, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(2266)%branchCT(0:0))
      call avCT(2266, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1899/))

      allocate(vertices(2267)%branchCT(0:1))
      call avCT(2267, 0, 10, 1, 0, FFaV1, (/0, 3/), (/nGC_2129/))

      call avCT(2267, 1, 10, 1, 0, FFaV1, (/2, 1/), (/nGC_2130/))

      allocate(vertices(3626)%branchCT(0:0))
      call avCT(3626, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1884/))

      allocate(vertices(4085)%branchCT(0:0))
      call avCT(4085, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1921/))

      allocate(vertices(2741)%branchCT(0:0))
      call avCT(2741, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1902/))

      allocate(vertices(4857)%branchCT(0:0))
      call avCT(4857, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1930/))

      allocate(vertices(3815)%branchCT(0:0))
      call avCT(3815, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2028/))

      allocate(vertices(4953)%branchCT(0:0))
      call avCT(4953, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2092/))

      allocate(vertices(4858)%branchCT(0:1))
      call avCT(4858, 0, 17, 1, 0, FaVF0, (/0, 3/), (/nGC_2060, nGC_2062/))

      call avCT(4858, 1, 17, 1, 0, FaVF0, (/2, 1/), (/nGC_2061, nGC_2063/))

      allocate(vertices(4859)%branchCT(0:0))
      call avCT(4859, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1969/))

      allocate(vertices(3622)%branchCT(0:0))
      call avCT(3622, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1886/))

      allocate(vertices(4861)%branchCT(0:0))
      call avCT(4861, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2064/))

      allocate(vertices(3810)%branchCT(0:0))
      call avCT(3810, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_2052, nGC_2053,       &
      nGC_2053/))

      allocate(vertices(2273)%branchCT(0:0))
      call avCT(2273, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(4864)%branchCT(0:0))
      call avCT(4864, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1910/))

      allocate(vertices(3376)%branchCT(0:0))
      call avCT(3376, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_2128/))

      allocate(vertices(832)%branchCT(0:0))
      call avCT(832, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1900/))

      allocate(vertices(4318)%branchCT(0:0))
      call avCT(4318, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1886/))

      allocate(vertices(2716)%branchCT(0:0))
      call avCT(2716, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_1924, nGC_1925,       &
      nGC_1924/))

      allocate(vertices(5115)%branchCT(0:0))
      call avCT(5115, 0, 1, 1, 0, SVV0, (/0, 3/), (/nGC_2221/))

      allocate(vertices(2711)%branchCT(0:0))
      call avCT(2711, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1907/))

      allocate(vertices(4873)%branchCT(0:0))
      call avCT(4873, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1630/))

      allocate(vertices(5116)%branchCT(0:0))
      call avCT(5116, 0, 1, 1, 0, VVS0, (/0, 3/), (/nGC_2147/))

      allocate(vertices(4875)%branchCT(0:1))
      call avCT(4875, 0, 18, 1, 0, FaFS0, (/0, 3/), (/nGC_2112, nGC_2114/))

      call avCT(4875, 1, 18, 1, 0, FaFS0, (/2, 1/), (/nGC_2113, nGC_2115/))

      allocate(vertices(2279)%branchCT(0:0))
      call avCT(2279, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1930/))

      allocate(vertices(2974)%branchCT(0:0))
      call avCT(2974, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1631/))

      allocate(vertices(4959)%branchCT(0:1))
      call avCT(4959, 0, 20, 1, 0, VFaF1, (/0, 3/), (/nGC_2067, nGC_2069/))

      call avCT(4959, 1, 20, 1, 0, VFaF1, (/2, 1/), (/nGC_2068, nGC_2070/))

      allocate(vertices(4362)%branchCT(0:0))
      call avCT(4362, 0, 1, 1, 0, FaVF0, (/0, 3/), (/nGC_2043, nGC_2044/))

      allocate(vertices(1946)%branchCT(0:0))
      call avCT(1946, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1878/))

      allocate(vertices(3742)%branchCT(0:0))
      call avCT(3742, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_2125, nGC_2125,       &
      nGC_2126/))

      allocate(vertices(4880)%branchCT(0:0))
      call avCT(4880, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1930/))

      allocate(vertices(2283)%branchCT(0:0))
      call avCT(2283, 0, 1, 1, 0, SUaU0, (/0, 3/), (/nGC_2089/))

      allocate(vertices(4377)%branchCT(0:0))
      call avCT(4377, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1910/))

      allocate(vertices(2285)%branchCT(0:1))
      call avCT(2285, 0, 20, 1, 0, SFaF0, (/0, 3/), (/nGC_2200, nGC_2202/))

      call avCT(2285, 1, 20, 1, 0, SFaF0, (/2, 1/), (/nGC_2201, nGC_2203/))

      allocate(vertices(4882)%branchCT(0:0))
      call avCT(4882, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_2000/))

      allocate(vertices(4883)%branchCT(0:0))
      call avCT(4883, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1891/))

      allocate(vertices(2286)%branchCT(0:0))
      call avCT(2286, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1891/))

      allocate(vertices(4885)%branchCT(0:1))
      call avCT(4885, 0, 21, 1, 0, VFFa0, (/0, 3/), (/nGC_2056/))

      call avCT(4885, 1, 21, 1, 0, VFFa0, (/2, 1/), (/nGC_2057/))

      allocate(vertices(3610)%branchCT(0:0))
      call avCT(3610, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1899/))

      allocate(vertices(320)%branchCT(0:0))
      call avCT(320, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(4886)%branchCT(0:0))
      call avCT(4886, 0, 1, 1, 0, FaSF2, (/0, 3/), (/nGC_2117/))

      allocate(vertices(2272)%branchCT(0:0))
      call avCT(2272, 0, 1, 1, 0, FaFS2, (/0, 3/), (/nGC_1904/))

      allocate(vertices(4960)%branchCT(0:0))
      call avCT(4960, 0, 1, 1, 0, VFFa0, (/0, 3/), (/nGC_2033/))

      allocate(vertices(2289)%branchCT(0:0))
      call avCT(2289, 0, 1, 1, 0, VUaU1, (/0, 3/), (/nGC_2054/))

      allocate(vertices(2290)%branchCT(0:0))
      call avCT(2290, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1632/))

      allocate(vertices(4770)%branchCT(0:0))
      call avCT(4770, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1969/))

      allocate(vertices(2291)%branchCT(0:0))
      call avCT(2291, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1930/))

      allocate(vertices(5)%branchCT(0:0))
      call avCT(5, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1915/))

      allocate(vertices(4890)%branchCT(0:0))
      call avCT(4890, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1910/))

      allocate(vertices(1560)%branchCT(0:0))
      call avCT(1560, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1921/))

      allocate(vertices(4892)%branchCT(0:0))
      call avCT(4892, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2116/))

      allocate(vertices(2294)%branchCT(0:0))
      call avCT(2294, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1891/))

      allocate(vertices(4493)%branchCT(0:0))
      call avCT(4493, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1989/))

      allocate(vertices(944)%branchCT(0:0))
      call avCT(944, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1969/))

      allocate(vertices(5117)%branchCT(0:0))
      call avCT(5117, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_2166/))

      allocate(vertices(4475)%branchCT(0:0))
      call avCT(4475, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2028/))

      allocate(vertices(4484)%branchCT(0:0))
      call avCT(4484, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1930/))

      allocate(vertices(4897)%branchCT(0:0))
      call avCT(4897, 0, 1, 1, 0, UUaV0, (/0, 3/), (/nGC_2073/))

      allocate(vertices(5118)%branchCT(0:1))
      call avCT(5118, 0, 124, 1, 0, FaF0, (/0, 2/), (/nGC_2241, nGC_2243,      &
      nGC_2243, nGC_2245/))

      call avCT(5118, 1, 124, 1, 0, FaF0, (/2, 0/), (/nGC_2242, nGC_2244,      &
      nGC_2244, nGC_2246/))

      allocate(vertices(2300)%branchCT(0:0))
      call avCT(2300, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1630/))

      allocate(vertices(3850)%branchCT(0:0))
      call avCT(3850, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1891/))

      allocate(vertices(1948)%branchCT(0:0))
      call avCT(1948, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1933/))

      allocate(vertices(2303)%branchCT(0:0))
      call avCT(2303, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1949/))

      allocate(vertices(1554)%branchCT(0:0))
      call avCT(1554, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1655/))

      allocate(vertices(3308)%branchCT(0:0))
      call avCT(3308, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1910/))

      allocate(vertices(2749)%branchCT(0:0))
      call avCT(2749, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1969/))

      allocate(vertices(1098)%branchCT(0:0))
      call avCT(1098, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1884/))

      allocate(vertices(4532)%branchCT(0:0))
      call avCT(4532, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1905/))

      allocate(vertices(5119)%branchCT(0:0))
      call avCT(5119, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1999/))

      allocate(vertices(2306)%branchCT(0:0))
      call avCT(2306, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1969/))

      allocate(vertices(2307)%branchCT(0:0))
      call avCT(2307, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1657/))

      allocate(vertices(4553)%branchCT(0:0))
      call avCT(4553, 0, 1, 1, 0, UaUS0, (/0, 3/), (/nGC_1660/))

      allocate(vertices(4905)%branchCT(0:0))
      call avCT(4905, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1907/))

      allocate(vertices(4561)%branchCT(0:0))
      call avCT(4561, 0, 1, 1, 0, FFaS2, (/0, 3/), (/nGC_1982/))

      allocate(vertices(4906)%branchCT(0:0))
      call avCT(4906, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1910/))

      allocate(vertices(4907)%branchCT(0:0))
      call avCT(4907, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2091/))

      allocate(vertices(2313)%branchCT(0:0))
      call avCT(2313, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1883/))

      allocate(vertices(4908)%branchCT(0:0))
      call avCT(4908, 0, 1, 1, 0, VVV0, (/0, 3/), (/nGC_2232/))

      allocate(vertices(4060)%branchCT(0:0))
      call avCT(4060, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1907/))

      allocate(vertices(2314)%branchCT(0:0))
      call avCT(2314, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1891/))

      allocate(vertices(2750)%branchCT(0:0))
      call avCT(2750, 0, 1, 1, 0, SUUa0, (/0, 3/), (/nGC_1671/))

      allocate(vertices(2352)%branchCT(0:0))
      call avCT(2352, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1949/))

      allocate(vertices(3773)%branchCT(0:0))
      call avCT(3773, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1933/))

      allocate(vertices(3182)%branchCT(0:0))
      call avCT(3182, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1969/))

      allocate(vertices(4617)%branchCT(0:0))
      call avCT(4617, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1657/))

      allocate(vertices(1951)%branchCT(0:1))
      call avCT(1951, 0, 18, 1, 0, FaFS0, (/0, 3/), (/nGC_2200, nGC_2202/))

      call avCT(1951, 1, 18, 1, 0, FaFS0, (/2, 1/), (/nGC_2201, nGC_2203/))

      allocate(vertices(2752)%branchCT(0:0))
      call avCT(2752, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1884/))

      allocate(vertices(4919)%branchCT(0:0))
      call avCT(4919, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1893/))

      allocate(vertices(4077)%branchCT(0:1))
      call avCT(4077, 0, 19, 1, 0, FSFa0, (/0, 3/), (/nGC_2202, nGC_2200/))

      call avCT(4077, 1, 19, 1, 0, FSFa0, (/2, 1/), (/nGC_2203, nGC_2201/))

      allocate(vertices(3183)%branchCT(0:0))
      call avCT(3183, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1907/))

    end subroutine fill_vertices_mdl10
end module vertices_info10
