!******************************************************************************!
!                                                                              !
!    vertices_info8.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   vertices_info8.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-03-16 09:42             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module vertices_info8
  use class_vertices
  use class_couplings
  use class_particles
  use class_ctparameters
  contains
    subroutine fill_vertices_mdl8()
      allocate(vertices(496)%branchCT(0:0))
      call avCT(496, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1930/))

      allocate(vertices(2917)%branchCT(0:0))
      call avCT(2917, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1632/))

      allocate(vertices(2918)%branchCT(0:0))
      call avCT(2918, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1949/))

      allocate(vertices(4486)%branchCT(0:0))
      call avCT(4486, 0, 1, 1, 0, FSFa2, (/0, 3/), (/nGC_2117/))

      allocate(vertices(498)%branchCT(0:0))
      call avCT(498, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1891/))

      allocate(vertices(3198)%branchCT(0:0))
      call avCT(3198, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1932/))

      allocate(vertices(1665)%branchCT(0:0))
      call avCT(1665, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1949/))

      allocate(vertices(502)%branchCT(0:0))
      call avCT(502, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(3717)%branchCT(0:0))
      call avCT(3717, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1883/))

      allocate(vertices(2922)%branchCT(0:0))
      call avCT(2922, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1915/))

      allocate(vertices(2923)%branchCT(0:0))
      call avCT(2923, 0, 1, 1, 0, FaSF2, (/0, 3/), (/nGC_1904/))

      allocate(vertices(2924)%branchCT(0:1))
      call avCT(2924, 0, 21, 1, 0, SFFa0, (/0, 3/), (/nGC_1980, nGC_1978/))

      call avCT(2924, 1, 21, 1, 0, SFFa0, (/2, 1/), (/nGC_1981, nGC_1979/))

      allocate(vertices(2925)%branchCT(0:0))
      call avCT(2925, 0, 1, 1, 0, UaVU0, (/0, 3/), (/nGC_2136/))

      allocate(vertices(1297)%branchCT(0:0))
      call avCT(1297, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1884/))

      allocate(vertices(2926)%branchCT(0:0))
      call avCT(2926, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1932/))

      allocate(vertices(3278)%branchCT(0:0))
      call avCT(3278, 0, 1, 1, 0, SFaF2, (/0, 3/), (/nGC_1982/))

      allocate(vertices(2930)%branchCT(0:0))
      call avCT(2930, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1879/))

      allocate(vertices(1379)%branchCT(0:0))
      call avCT(1379, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1937/))

      allocate(vertices(2932)%branchCT(0:0))
      call avCT(2932, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2019/))

      allocate(vertices(506)%branchCT(0:0))
      call avCT(506, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1949/))

      allocate(vertices(2935)%branchCT(0:1))
      call avCT(2935, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_1955, nGC_1957/))

      call avCT(2935, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_1956, nGC_1958/))

      allocate(vertices(854)%branchCT(0:0))
      call avCT(854, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_2125, nGC_2126,        &
      nGC_2125/))

      allocate(vertices(3185)%branchCT(0:0))
      call avCT(3185, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_2126, nGC_2125,       &
      nGC_2125/))

      allocate(vertices(3650)%branchCT(0:0))
      call avCT(3650, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1983/))

      allocate(vertices(3210)%branchCT(0:0))
      call avCT(3210, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1655/))

      allocate(vertices(2865)%branchCT(0:0))
      call avCT(2865, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1891/))

      allocate(vertices(513)%branchCT(0:0))
      call avCT(513, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1930/))

      allocate(vertices(3690)%branchCT(0:0))
      call avCT(3690, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2032/))

      allocate(vertices(4030)%branchCT(0:3))
      call avCT(4030, 0, 52, 4, 0, VFaF1, (/3, 0/), (/nGC_1990, nGC_1992/))

      call avCT(4030, 1, 52, 4, 0, VFaF1, (/1, 2/), (/nGC_1991, nGC_1993/))

      call avCT(4030, 2, 53, 5, 0, VFaF1, (/3, 0/), (/nGC_1990, nGC_1992/))

      call avCT(4030, 3, 53, 5, 0, VFaF1, (/1, 2/), (/nGC_1991, nGC_1993/))

      allocate(vertices(3721)%branchCT(0:0))
      call avCT(3721, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1949/))

      allocate(vertices(2941)%branchCT(0:5))
      call avCT(2941, 0, 82, 6, 0, UVVUa0, (/4, 0/), (/nGC_2084/))

      call avCT(2941, 1, 81, 7, 0, UVVUa0, (/4, 0/), (/nGC_2083/))

      call avCT(2941, 2, 79, 7, 0, UVVUa0, (/4, 0/), (/nGC_2083/))

      call avCT(2941, 3, 80, 7, 0, UVVUa0, (/4, 0/), (/nGC_2083/))

      call avCT(2941, 4, 78, 7, 0, UVVUa0, (/4, 0/), (/nGC_2083/))

      call avCT(2941, 5, 83, 6, 0, UVVUa0, (/4, 0/), (/nGC_2084/))

      allocate(vertices(2942)%branchCT(0:1))
      call avCT(2942, 0, 19, 1, 0, FSFa0, (/0, 3/), (/nGC_1944, nGC_1944/))

      call avCT(2942, 1, 19, 1, 0, FSFa0, (/2, 1/), (/nGC_1945, nGC_1945/))

      allocate(vertices(2943)%branchCT(0:0))
      call avCT(2943, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2028/))

      allocate(vertices(517)%branchCT(0:1))
      call avCT(517, 0, 17, 1, 0, FaSF0, (/0, 3/), (/nGC_1978, nGC_1980/))

      call avCT(517, 1, 17, 1, 0, FaSF0, (/2, 1/), (/nGC_1979, nGC_1981/))

      allocate(vertices(2945)%branchCT(0:0))
      call avCT(2945, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1883/))

      allocate(vertices(2946)%branchCT(0:0))
      call avCT(2946, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1631/))

      allocate(vertices(519)%branchCT(0:1))
      call avCT(519, 0, 21, 1, 0, SFFa0, (/0, 3/), (/nGC_2112, nGC_2114/))

      call avCT(519, 1, 21, 1, 0, SFFa0, (/2, 1/), (/nGC_2113, nGC_2115/))

      allocate(vertices(3325)%branchCT(0:0))
      call avCT(3325, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1883/))

      allocate(vertices(3642)%branchCT(0:0))
      call avCT(3642, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1930/))

      allocate(vertices(907)%branchCT(0:0))
      call avCT(907, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1915/))

      allocate(vertices(521)%branchCT(0:0))
      call avCT(521, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1905/))

      allocate(vertices(2949)%branchCT(0:0))
      call avCT(2949, 0, 1, 1, 0, UUaS0, (/0, 3/), (/nGC_2137/))

      allocate(vertices(522)%branchCT(0:0))
      call avCT(522, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1907/))

      allocate(vertices(4159)%branchCT(0:0))
      call avCT(4159, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1884/))

      allocate(vertices(523)%branchCT(0:0))
      call avCT(523, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1915/))

      allocate(vertices(2951)%branchCT(0:0))
      call avCT(2951, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_1927/))

      allocate(vertices(525)%branchCT(0:0))
      call avCT(525, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1900/))

      allocate(vertices(5006)%branchCT(0:0))
      call avCT(5006, 0, 13, 1, 0, FaF1, (/0, 2/), (/nGC_2138/))

      allocate(vertices(2952)%branchCT(0:1))
      call avCT(2952, 0, 20, 1, 0, SFaF0, (/0, 3/), (/nGC_2139, nGC_2139/))

      call avCT(2952, 1, 20, 1, 0, SFaF0, (/2, 1/), (/nGC_2140, nGC_2140/))

      allocate(vertices(2953)%branchCT(0:0))
      call avCT(2953, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1655/))

      allocate(vertices(4170)%branchCT(0:0))
      call avCT(4170, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1633/))

      allocate(vertices(527)%branchCT(0:0))
      call avCT(527, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1883/))

      allocate(vertices(2957)%branchCT(0:0))
      call avCT(2957, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_2141/))

      allocate(vertices(2959)%branchCT(0:0))
      call avCT(2959, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1937/))

      allocate(vertices(528)%branchCT(0:0))
      call avCT(528, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1988/))

      allocate(vertices(2960)%branchCT(0:0))
      call avCT(2960, 0, 1, 1, 0, FaSF0, (/0, 3/), (/nGC_2026, nGC_2027/))

      allocate(vertices(3284)%branchCT(0:0))
      call avCT(3284, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1891/))

      allocate(vertices(5007)%branchCT(0:0))
      call avCT(5007, 0, 13, 1, 0, FFa1, (/0, 2/), (/nGC_2142/))

      allocate(vertices(2312)%branchCT(0:0))
      call avCT(2312, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1949/))

      allocate(vertices(3421)%branchCT(0:0))
      call avCT(3421, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1926/))

      allocate(vertices(531)%branchCT(0:0))
      call avCT(531, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1907/))

      allocate(vertices(2965)%branchCT(0:0))
      call avCT(2965, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1883/))

      allocate(vertices(2966)%branchCT(0:0))
      call avCT(2966, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1969/))

      allocate(vertices(4299)%branchCT(0:0))
      call avCT(4299, 0, 1, 1, 0, FFaV1, (/0, 3/), (/nGC_2010/))

      allocate(vertices(1619)%branchCT(0:0))
      call avCT(1619, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1969/))

      allocate(vertices(2968)%branchCT(0:0))
      call avCT(2968, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_2000/))

      allocate(vertices(535)%branchCT(0:0))
      call avCT(535, 0, 1, 1, 0, SUaU0, (/0, 3/), (/nGC_2137/))

      allocate(vertices(3465)%branchCT(0:0))
      call avCT(3465, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1883/))

      allocate(vertices(3295)%branchCT(0:0))
      call avCT(3295, 0, 1, 1, 0, SUUa0, (/0, 3/), (/nGC_1671/))

      allocate(vertices(538)%branchCT(0:0))
      call avCT(538, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1893/))

      allocate(vertices(1942)%branchCT(0:0))
      call avCT(1942, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1988/))

      allocate(vertices(2463)%branchCT(0:1))
      call avCT(2463, 0, 17, 1, 0, FaSF0, (/0, 3/), (/nGC_1894, nGC_1896/))

      call avCT(2463, 1, 17, 1, 0, FaSF0, (/2, 1/), (/nGC_1895, nGC_1897/))

      allocate(vertices(541)%branchCT(0:3))
      call avCT(541, 0, 52, 4, 0, VFaF1, (/1, 2/), (/nGC_2144, nGC_2146/))

      call avCT(541, 1, 52, 4, 0, VFaF1, (/3, 0/), (/nGC_2143, nGC_2145/))

      call avCT(541, 2, 53, 5, 0, VFaF1, (/1, 2/), (/nGC_2144, nGC_2146/))

      call avCT(541, 3, 53, 5, 0, VFaF1, (/3, 0/), (/nGC_2143, nGC_2145/))

      allocate(vertices(4622)%branchCT(0:0))
      call avCT(4622, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(2971)%branchCT(0:0))
      call avCT(2971, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1937/))

      allocate(vertices(2973)%branchCT(0:0))
      call avCT(2973, 0, 1, 1, 0, UUaV0, (/0, 3/), (/nGC_2136/))

      allocate(vertices(3516)%branchCT(0:0))
      call avCT(3516, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1949/))

      allocate(vertices(5008)%branchCT(0:0))
      call avCT(5008, 0, 1, 1, 0, VSV0, (/0, 3/), (/nGC_2147/))

      allocate(vertices(2976)%branchCT(0:0))
      call avCT(2976, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1886/))

      allocate(vertices(2977)%branchCT(0:1))
      call avCT(2977, 0, 10, 1, 0, FFaV0, (/0, 3/), (/nGC_2104, nGC_2106/))

      call avCT(2977, 1, 10, 1, 0, FFaV0, (/2, 1/), (/nGC_2105, nGC_2107/))

      allocate(vertices(547)%branchCT(0:0))
      call avCT(547, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1879/))

      allocate(vertices(548)%branchCT(0:0))
      call avCT(548, 0, 1, 1, 0, FSFa0, (/0, 3/), (/nGC_1935, nGC_1935/))

      allocate(vertices(3562)%branchCT(0:0))
      call avCT(3562, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1893/))

      allocate(vertices(3996)%branchCT(0:0))
      call avCT(3996, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1884/))

      allocate(vertices(2982)%branchCT(0:0))
      call avCT(2982, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1932/))

      allocate(vertices(3008)%branchCT(0:0))
      call avCT(3008, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1976/))

      allocate(vertices(553)%branchCT(0:0))
      call avCT(553, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1632/))

      allocate(vertices(2984)%branchCT(0:0))
      call avCT(2984, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1920/))

      allocate(vertices(2985)%branchCT(0:1))
      call avCT(2985, 0, 21, 1, 0, SFFa0, (/0, 3/), (/nGC_2139, nGC_2139/))

      call avCT(2985, 1, 21, 1, 0, SFFa0, (/2, 1/), (/nGC_2140, nGC_2140/))

      allocate(vertices(2735)%branchCT(0:0))
      call avCT(2735, 0, 1, 1, 0, UaUV0, (/0, 3/), (/nGC_2120/))

      allocate(vertices(1706)%branchCT(0:0))
      call avCT(1706, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_2148/))

      allocate(vertices(1803)%branchCT(0:0))
      call avCT(1803, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1883/))

      allocate(vertices(5009)%branchCT(0:0))
      call avCT(5009, 0, 13, 1, 0, VS0, (/0, 2/), (/nGC_2149/))

      allocate(vertices(2994)%branchCT(0:0))
      call avCT(2994, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1882/))

      allocate(vertices(3422)%branchCT(0:0))
      call avCT(3422, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1655/))

      allocate(vertices(2996)%branchCT(0:0))
      call avCT(2996, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1657/))

      allocate(vertices(562)%branchCT(0:0))
      call avCT(562, 0, 1, 1, 0, UaSU0, (/0, 3/), (/nGC_1660/))

      allocate(vertices(2999)%branchCT(0:0))
      call avCT(2999, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1969/))

      allocate(vertices(563)%branchCT(0:0))
      call avCT(563, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1893/))

      allocate(vertices(470)%branchCT(0:0))
      call avCT(470, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1988/))

      allocate(vertices(566)%branchCT(0:0))
      call avCT(566, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1883/))

      allocate(vertices(3683)%branchCT(0:0))
      call avCT(3683, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1910/))

      allocate(vertices(567)%branchCT(0:0))
      call avCT(567, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1632/))

      allocate(vertices(568)%branchCT(0:1))
      call avCT(568, 0, 17, 1, 0, FaVF0, (/0, 3/), (/nGC_2150, nGC_2152/))

      call avCT(568, 1, 17, 1, 0, FaVF0, (/2, 1/), (/nGC_2151, nGC_2153/))

      allocate(vertices(3005)%branchCT(0:0))
      call avCT(3005, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1657/))

      allocate(vertices(3006)%branchCT(0:0))
      call avCT(3006, 0, 1, 1, 0, VUaU1, (/0, 3/), (/nGC_2154/))

      allocate(vertices(743)%branchCT(0:0))
      call avCT(743, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1655/))

      allocate(vertices(3293)%branchCT(0:0))
      call avCT(3293, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1631/))

      allocate(vertices(3009)%branchCT(0:0))
      call avCT(3009, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1884/))

      allocate(vertices(3743)%branchCT(0:0))
      call avCT(3743, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1633/))

      allocate(vertices(3751)%branchCT(0:0))
      call avCT(3751, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2091/))

      allocate(vertices(3012)%branchCT(0:0))
      call avCT(3012, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1948/))

      allocate(vertices(3013)%branchCT(0:0))
      call avCT(3013, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1926/))

      allocate(vertices(3015)%branchCT(0:0))
      call avCT(3015, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1967/))

      allocate(vertices(3016)%branchCT(0:0))
      call avCT(3016, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1915/))

      allocate(vertices(3017)%branchCT(0:0))
      call avCT(3017, 0, 1, 1, 0, UaVU0, (/0, 3/), (/nGC_2072/))

      allocate(vertices(3018)%branchCT(0:0))
      call avCT(3018, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1655/))

      allocate(vertices(4632)%branchCT(0:0))
      call avCT(4632, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(4110)%branchCT(0:0))
      call avCT(4110, 0, 1, 1, 0, FaSF0, (/0, 3/), (/nGC_2155, nGC_2155/))

      allocate(vertices(3019)%branchCT(0:0))
      call avCT(3019, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1657/))

      allocate(vertices(2886)%branchCT(0:0))
      call avCT(2886, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1910/))

      allocate(vertices(3796)%branchCT(0:0))
      call avCT(3796, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1983/))

      allocate(vertices(2747)%branchCT(0:0))
      call avCT(2747, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1948/))

      allocate(vertices(583)%branchCT(0:0))
      call avCT(583, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1969/))

      allocate(vertices(3022)%branchCT(0:0))
      call avCT(3022, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1638/))

      allocate(vertices(585)%branchCT(0:0))
      call avCT(585, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1971/))

      allocate(vertices(3026)%branchCT(0:0))
      call avCT(3026, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1883/))

      allocate(vertices(99)%branchCT(0:0))
      call avCT(99, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1878/))

      allocate(vertices(4899)%branchCT(0:0))
      call avCT(4899, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2091/))

      allocate(vertices(3869)%branchCT(0:0))
      call avCT(3869, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1921/))

      allocate(vertices(3031)%branchCT(0:1))
      call avCT(3031, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_2112, nGC_2114/))

      call avCT(3031, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_2113, nGC_2115/))

      allocate(vertices(590)%branchCT(0:0))
      call avCT(590, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(3032)%branchCT(0:0))
      call avCT(3032, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1930/))

      allocate(vertices(5010)%branchCT(0:0))
      call avCT(5010, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1999/))

      allocate(vertices(594)%branchCT(0:0))
      call avCT(594, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1883/))

      allocate(vertices(3300)%branchCT(0:0))
      call avCT(3300, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1967/))

      allocate(vertices(3037)%branchCT(0:1))
      call avCT(3037, 0, 19, 1, 0, FSFa0, (/0, 3/), (/nGC_2058, nGC_2058/))

      call avCT(3037, 1, 19, 1, 0, FSFa0, (/2, 1/), (/nGC_2059, nGC_2059/))

      allocate(vertices(3926)%branchCT(0:0))
      call avCT(3926, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1883/))

      allocate(vertices(3933)%branchCT(0:0))
      call avCT(3933, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1932/))

      allocate(vertices(2751)%branchCT(0:0))
      call avCT(2751, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1910/))

      allocate(vertices(3964)%branchCT(0:0))
      call avCT(3964, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1656/))

      allocate(vertices(3974)%branchCT(0:0))
      call avCT(3974, 0, 1, 1, 0, UVUa0, (/0, 3/), (/nGC_2120/))

      allocate(vertices(3045)%branchCT(0:0))
      call avCT(3045, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2034/))

      allocate(vertices(3046)%branchCT(0:0))
      call avCT(3046, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1879/))

      allocate(vertices(608)%branchCT(0:1))
      call avCT(608, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_2139, nGC_2139/))

      call avCT(608, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_2140, nGC_2140/))

      allocate(vertices(609)%branchCT(0:0))
      call avCT(609, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1886/))

      allocate(vertices(999)%branchCT(0:0))
      call avCT(999, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1891/))

      allocate(vertices(3994)%branchCT(0:0))
      call avCT(3994, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1910/))

      allocate(vertices(3050)%branchCT(0:0))
      call avCT(3050, 0, 1, 1, 0, VSV0, (/0, 3/), (/nGC_1928/))

      allocate(vertices(875)%branchCT(0:0))
      call avCT(875, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1967/))

      allocate(vertices(613)%branchCT(0:0))
      call avCT(613, 0, 1, 1, 0, SUUa0, (/0, 3/), (/nGC_2089/))

      allocate(vertices(3052)%branchCT(0:0))
      call avCT(3052, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1969/))

      allocate(vertices(614)%branchCT(0:0))
      call avCT(614, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(616)%branchCT(0:0))
      call avCT(616, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_2017/))

      allocate(vertices(3054)%branchCT(0:0))
      call avCT(3054, 0, 1, 1, 0, VSV0, (/0, 3/), (/nGC_2156/))

      allocate(vertices(3845)%branchCT(0:0))
      call avCT(3845, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1976/))

      allocate(vertices(3057)%branchCT(0:0))
      call avCT(3057, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1657/))

      allocate(vertices(619)%branchCT(0:0))
      call avCT(619, 0, 1, 1, 0, SFaF2, (/0, 3/), (/nGC_1904/))

      allocate(vertices(4264)%branchCT(0:0))
      call avCT(4264, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1634/))

      allocate(vertices(3060)%branchCT(0:3))
      call avCT(3060, 0, 68, 4, 0, FVFa0, (/1, 2/), (/nGC_2158, nGC_2160/))

      call avCT(3060, 1, 68, 4, 0, FVFa0, (/3, 0/), (/nGC_2157, nGC_2159/))

      call avCT(3060, 2, 69, 5, 0, FVFa0, (/1, 2/), (/nGC_2158, nGC_2160/))

      call avCT(3060, 3, 69, 5, 0, FVFa0, (/3, 0/), (/nGC_2157, nGC_2159/))

      allocate(vertices(480)%branchCT(0:0))
      call avCT(480, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1657/))

      allocate(vertices(623)%branchCT(0:0))
      call avCT(623, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1915/))

      allocate(vertices(5011)%branchCT(0:0))
      call avCT(5011, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_2161/))

      allocate(vertices(3063)%branchCT(0:0))
      call avCT(3063, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2028/))

      allocate(vertices(3894)%branchCT(0:1))
      call avCT(3894, 0, 19, 1, 0, FVFa1, (/0, 3/), (/nGC_2129/))

      call avCT(3894, 1, 19, 1, 0, FVFa1, (/2, 1/), (/nGC_2130/))

      allocate(vertices(2075)%branchCT(0:0))
      call avCT(2075, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1886/))

      allocate(vertices(3068)%branchCT(0:0))
      call avCT(3068, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1988/))

      allocate(vertices(3069)%branchCT(0:0))
      call avCT(3069, 0, 1, 1, 0, VSS0, (/0, 3/), (/nGC_2090/))

      allocate(vertices(4640)%branchCT(0:0))
      call avCT(4640, 0, 1, 1, 0, SFaF0, (/0, 3/), (/nGC_2074, nGC_2074/))

      allocate(vertices(3071)%branchCT(0:0))
      call avCT(3071, 0, 1, 1, 0, FFaV0, (/0, 3/), (/nGC_2043, nGC_2044/))

      allocate(vertices(630)%branchCT(0:0))
      call avCT(630, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2092/))

      allocate(vertices(3073)%branchCT(0:0))
      call avCT(3073, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1969/))

      allocate(vertices(632)%branchCT(0:0))
      call avCT(632, 0, 1, 1, 0, VSS0, (/0, 3/), (/nGC_1954/))

      allocate(vertices(4319)%branchCT(0:0))
      call avCT(4319, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1883/))

      allocate(vertices(3074)%branchCT(0:0))
      call avCT(3074, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1910/))

      allocate(vertices(1537)%branchCT(0:0))
      call avCT(1537, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1883/))

      allocate(vertices(5012)%branchCT(0:0))
      call avCT(5012, 0, 1, 1, 0, FaFV1, (/0, 3/), (/nGC_2007/))

      allocate(vertices(1798)%branchCT(0:0))
      call avCT(1798, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2019/))

      allocate(vertices(3077)%branchCT(0:0))
      call avCT(3077, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1920/))

      allocate(vertices(3078)%branchCT(0:0))
      call avCT(3078, 0, 1, 1, 0, UUaS0, (/0, 3/), (/nGC_1660/))

      allocate(vertices(637)%branchCT(0:0))
      call avCT(637, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1883/))

      allocate(vertices(3079)%branchCT(0:0))
      call avCT(3079, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1930/))

      allocate(vertices(3080)%branchCT(0:0))
      call avCT(3080, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1893/))

      allocate(vertices(638)%branchCT(0:0))
      call avCT(638, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1655/))

      allocate(vertices(1278)%branchCT(0:0))
      call avCT(1278, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(3083)%branchCT(0:0))
      call avCT(3083, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1969/))

      allocate(vertices(3084)%branchCT(0:0))
      call avCT(3084, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1907/))

      allocate(vertices(3085)%branchCT(0:0))
      call avCT(3085, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1893/))

      allocate(vertices(640)%branchCT(0:3))
      call avCT(640, 0, 68, 4, 0, FVFa0, (/3, 0/), (/nGC_2162, nGC_2164/))

      call avCT(640, 1, 68, 4, 0, FVFa0, (/1, 2/), (/nGC_2163, nGC_2165/))

      call avCT(640, 2, 69, 5, 0, FVFa0, (/3, 0/), (/nGC_2162, nGC_2164/))

      call avCT(640, 3, 69, 5, 0, FVFa0, (/1, 2/), (/nGC_2163, nGC_2165/))

      allocate(vertices(4641)%branchCT(0:0))
      call avCT(4641, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1932/))

      allocate(vertices(641)%branchCT(0:0))
      call avCT(641, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1959/))

      allocate(vertices(643)%branchCT(0:0))
      call avCT(643, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1969/))

      allocate(vertices(3993)%branchCT(0:0))
      call avCT(3993, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1884/))

      allocate(vertices(3089)%branchCT(0:3))
      call avCT(3089, 0, 11, 4, 0, FFaV0, (/3, 0/), (/nGC_1990, nGC_1992/))

      call avCT(3089, 1, 11, 4, 0, FFaV0, (/1, 2/), (/nGC_1991, nGC_1993/))

      call avCT(3089, 2, 12, 5, 0, FFaV0, (/3, 0/), (/nGC_1990, nGC_1992/))

      call avCT(3089, 3, 12, 5, 0, FFaV0, (/1, 2/), (/nGC_1991, nGC_1993/))

      allocate(vertices(647)%branchCT(0:0))
      call avCT(647, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1879/))

      allocate(vertices(648)%branchCT(0:0))
      call avCT(648, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1883/))

      allocate(vertices(3090)%branchCT(0:0))
      call avCT(3090, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_2017/))

      allocate(vertices(3091)%branchCT(0:0))
      call avCT(3091, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_2090/))

      allocate(vertices(5013)%branchCT(0:0))
      call avCT(5013, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_2166/))

      allocate(vertices(3311)%branchCT(0:0))
      call avCT(3311, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_2128/))

      allocate(vertices(651)%branchCT(0:0))
      call avCT(651, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1900/))

      allocate(vertices(652)%branchCT(0:0))
      call avCT(652, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1656/))

      allocate(vertices(4154)%branchCT(0:0))
      call avCT(4154, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1656/))

      allocate(vertices(4269)%branchCT(0:0))
      call avCT(4269, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1634/))

      allocate(vertices(654)%branchCT(0:0))
      call avCT(654, 0, 1, 1, 0, FVFa0, (/0, 3/), (/nGC_1952, nGC_1953/))

      allocate(vertices(4274)%branchCT(0:0))
      call avCT(4274, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1657/))

      allocate(vertices(464)%branchCT(0:1))
      call avCT(464, 0, 18, 1, 0, FaFS0, (/0, 3/), (/nGC_2065, nGC_2065/))

      call avCT(464, 1, 18, 1, 0, FaFS0, (/2, 1/), (/nGC_2066, nGC_2066/))

      allocate(vertices(656)%branchCT(0:0))
      call avCT(656, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1899/))

      allocate(vertices(4307)%branchCT(0:0))
      call avCT(4307, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(3099)%branchCT(0:0))
      call avCT(3099, 0, 1, 1, 0, VUUa0, (/0, 3/), (/nGC_2073/))

      allocate(vertices(660)%branchCT(0:0))
      call avCT(660, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1633/))

      allocate(vertices(1281)%branchCT(0:0))
      call avCT(1281, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_2053, nGC_2053,       &
      nGC_2052/))

      allocate(vertices(662)%branchCT(0:0))
      call avCT(662, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1910/))

      allocate(vertices(4332)%branchCT(0:0))
      call avCT(4332, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1903/))

      allocate(vertices(3313)%branchCT(0:0))
      call avCT(3313, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(1158)%branchCT(0:0))
      call avCT(1158, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1903/))

      allocate(vertices(668)%branchCT(0:0))
      call avCT(668, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1632/))

      allocate(vertices(5014)%branchCT(0:0))
      call avCT(5014, 0, 13, 1, 0, VV1, (/0, 2/), (/nGC_2100, nGC_2101,        &
      nGC_2102/))

      allocate(vertices(3107)%branchCT(0:0))
      call avCT(3107, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1878/))

      allocate(vertices(671)%branchCT(0:0))
      call avCT(671, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1891/))

      allocate(vertices(3315)%branchCT(0:0))
      call avCT(3315, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1883/))

      allocate(vertices(3109)%branchCT(0:0))
      call avCT(3109, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1907/))

      allocate(vertices(5015)%branchCT(0:0))
      call avCT(5015, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(3110)%branchCT(0:0))
      call avCT(3110, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1920/))

      allocate(vertices(678)%branchCT(0:1))
      call avCT(678, 0, 19, 1, 0, FVFa0, (/0, 3/), (/nGC_2096, nGC_2098/))

      call avCT(678, 1, 19, 1, 0, FVFa0, (/2, 1/), (/nGC_2097, nGC_2099/))

      allocate(vertices(679)%branchCT(0:0))
      call avCT(679, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(3111)%branchCT(0:1))
      call avCT(3111, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_2058, nGC_2058/))

      call avCT(3111, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_2059, nGC_2059/))

      allocate(vertices(4080)%branchCT(0:0))
      call avCT(4080, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1949/))

      allocate(vertices(680)%branchCT(0:0))
      call avCT(680, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1915/))

      allocate(vertices(4511)%branchCT(0:0))
      call avCT(4511, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2028/))

      allocate(vertices(682)%branchCT(0:1))
      call avCT(682, 0, 19, 1, 0, FVFa1, (/0, 3/), (/nGC_2056/))

      call avCT(682, 1, 19, 1, 0, FVFa1, (/2, 1/), (/nGC_2057/))

      allocate(vertices(683)%branchCT(0:0))
      call avCT(683, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1900/))

      allocate(vertices(684)%branchCT(0:1))
      call avCT(684, 0, 21, 1, 0, SFFa0, (/0, 3/), (/nGC_1916, nGC_1918/))

      call avCT(684, 1, 21, 1, 0, SFFa0, (/2, 1/), (/nGC_1917, nGC_1919/))

      allocate(vertices(3114)%branchCT(0:0))
      call avCT(3114, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2019/))

      allocate(vertices(3116)%branchCT(0:0))
      call avCT(3116, 0, 1, 1, 0, VVS0, (/0, 3/), (/nGC_1939/))

      allocate(vertices(4619)%branchCT(0:0))
      call avCT(4619, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1907/))

      allocate(vertices(685)%branchCT(0:0))
      call avCT(685, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1907/))

      allocate(vertices(687)%branchCT(0:0))
      call avCT(687, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1657/))

      allocate(vertices(688)%branchCT(0:0))
      call avCT(688, 0, 1, 1, 0, VUUa0, (/0, 3/), (/nGC_2167/))

      allocate(vertices(3292)%branchCT(0:0))
      call avCT(3292, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1656/))

      allocate(vertices(3119)%branchCT(0:0))
      call avCT(3119, 0, 1, 1, 0, FSFa1, (/0, 3/), (/nGC_1904/))

      allocate(vertices(4649)%branchCT(0:0))
      call avCT(4649, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1905/))

      allocate(vertices(689)%branchCT(0:1))
      call avCT(689, 0, 20, 1, 0, SFaF0, (/0, 3/), (/nGC_2168, nGC_2168/))

      call avCT(689, 1, 20, 1, 0, SFaF0, (/2, 1/), (/nGC_2169, nGC_2169/))

      allocate(vertices(690)%branchCT(0:0))
      call avCT(690, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1884/))

      allocate(vertices(3123)%branchCT(0:0))
      call avCT(3123, 0, 1, 1, 0, FFaV1, (/0, 3/), (/nGC_1931/))

      allocate(vertices(1713)%branchCT(0:0))
      call avCT(1713, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1969/))

      allocate(vertices(692)%branchCT(0:0))
      call avCT(692, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1891/))

      allocate(vertices(4200)%branchCT(0:1))
      call avCT(4200, 0, 20, 1, 0, VFaF1, (/0, 3/), (/nGC_1911, nGC_1913/))

      call avCT(4200, 1, 20, 1, 0, VFaF1, (/2, 1/), (/nGC_1912, nGC_1914/))

      allocate(vertices(694)%branchCT(0:0))
      call avCT(694, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(5016)%branchCT(0:0))
      call avCT(5016, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2031/))

      allocate(vertices(4650)%branchCT(0:0))
      call avCT(4650, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1884/))

      allocate(vertices(3130)%branchCT(0:0))
      call avCT(3130, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_1925, nGC_1924,       &
      nGC_1924/))

      allocate(vertices(696)%branchCT(0:1))
      call avCT(696, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_2085, nGC_2087/))

      call avCT(696, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_2086, nGC_2088/))

      allocate(vertices(697)%branchCT(0:0))
      call avCT(697, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1884/))

      allocate(vertices(698)%branchCT(0:1))
      call avCT(698, 0, 18, 1, 0, FaFV0, (/0, 3/), (/nGC_1911, nGC_1913/))

      call avCT(698, 1, 18, 1, 0, FaFV0, (/2, 1/), (/nGC_1912, nGC_1914/))

      allocate(vertices(5017)%branchCT(0:0))
      call avCT(5017, 0, 13, 1, 0, FaF0, (/0, 2/), (/nGC_2170, nGC_2171,       &
      nGC_2171, nGC_2172/))

      allocate(vertices(699)%branchCT(0:0))
      call avCT(699, 0, 1, 1, 0, VSS0, (/0, 3/), (/nGC_2173/))

      allocate(vertices(700)%branchCT(0:0))
      call avCT(700, 0, 1, 1, 0, UaUS0, (/0, 3/), (/nGC_1660/))

      allocate(vertices(3131)%branchCT(0:0))
      call avCT(3131, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1893/))

      allocate(vertices(4571)%branchCT(0:0))
      call avCT(4571, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1633/))

      allocate(vertices(4579)%branchCT(0:0))
      call avCT(4579, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1922/))

      allocate(vertices(490)%branchCT(0:0))
      call avCT(490, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1655/))

      allocate(vertices(3135)%branchCT(0:0))
      call avCT(3135, 0, 1, 1, 0, VVS0, (/0, 3/), (/nGC_2174/))

      allocate(vertices(705)%branchCT(0:0))
      call avCT(705, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1891/))

      allocate(vertices(706)%branchCT(0:0))
      call avCT(706, 0, 1, 1, 0, FaVF0, (/0, 3/), (/nGC_2093, nGC_2094/))

      allocate(vertices(3137)%branchCT(0:0))
      call avCT(3137, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1910/))

      allocate(vertices(707)%branchCT(0:0))
      call avCT(707, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1632/))

      allocate(vertices(5018)%branchCT(0:0))
      call avCT(5018, 0, 1, 1, 0, VFaF0, (/0, 3/), (/nGC_2007/))

      allocate(vertices(3140)%branchCT(0:0))
      call avCT(3140, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1656/))

      allocate(vertices(3141)%branchCT(0:0))
      call avCT(3141, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1656/))

      allocate(vertices(3142)%branchCT(0:0))
      call avCT(3142, 0, 1, 1, 0, SVV0, (/0, 3/), (/nGC_1938/))

      allocate(vertices(1688)%branchCT(0:0))
      call avCT(1688, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1632/))

      allocate(vertices(3144)%branchCT(0:0))
      call avCT(3144, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1884/))

      allocate(vertices(711)%branchCT(0:0))
      call avCT(711, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1937/))

      allocate(vertices(712)%branchCT(0:0))
      call avCT(712, 0, 1, 1, 0, FaFS0, (/0, 3/), (/nGC_2026, nGC_2027/))

      allocate(vertices(4652)%branchCT(0:0))
      call avCT(4652, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1910/))

      allocate(vertices(2489)%branchCT(0:0))
      call avCT(2489, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1655/))

      allocate(vertices(714)%branchCT(0:0))
      call avCT(714, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1879/))

      allocate(vertices(715)%branchCT(0:0))
      call avCT(715, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(3146)%branchCT(0:0))
      call avCT(3146, 0, 1, 1, 0, USUa0, (/0, 3/), (/nGC_1660/))

      allocate(vertices(3055)%branchCT(0:0))
      call avCT(3055, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_2017/))

      allocate(vertices(717)%branchCT(0:0))
      call avCT(717, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_2017/))

      allocate(vertices(719)%branchCT(0:0))
      call avCT(719, 0, 1, 1, 0, FVFa1, (/0, 3/), (/nGC_2135/))

      allocate(vertices(3152)%branchCT(0:0))
      call avCT(3152, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1967/))

      allocate(vertices(4421)%branchCT(0:0))
      call avCT(4421, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1969/))

      allocate(vertices(3154)%branchCT(0:0))
      call avCT(3154, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(723)%branchCT(0:0))
      call avCT(723, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1883/))

      allocate(vertices(3156)%branchCT(0:0))
      call avCT(3156, 0, 1, 1, 0, VSV0, (/0, 3/), (/nGC_1939/))

      allocate(vertices(3158)%branchCT(0:0))
      call avCT(3158, 0, 1, 1, 0, UUaS0, (/0, 3/), (/nGC_1660/))

      allocate(vertices(4107)%branchCT(0:0))
      call avCT(4107, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1948/))

      allocate(vertices(955)%branchCT(0:1))
      call avCT(955, 0, 21, 1, 0, SFFa0, (/0, 3/), (/nGC_1894, nGC_1896/))

      call avCT(955, 1, 21, 1, 0, SFFa0, (/2, 1/), (/nGC_1895, nGC_1897/))

      allocate(vertices(726)%branchCT(0:0))
      call avCT(726, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1903/))

      allocate(vertices(3424)%branchCT(0:0))
      call avCT(3424, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1893/))

      allocate(vertices(727)%branchCT(0:0))
      call avCT(727, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_2052, nGC_2053,        &
      nGC_2053/))

      allocate(vertices(4749)%branchCT(0:0))
      call avCT(4749, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(3163)%branchCT(0:0))
      call avCT(3163, 0, 1, 1, 0, FFaV1, (/0, 3/), (/nGC_1994/))

      allocate(vertices(1958)%branchCT(0:1))
      call avCT(1958, 0, 10, 1, 0, FFaV1, (/0, 3/), (/nGC_2133/))

      call avCT(1958, 1, 10, 1, 0, FFaV1, (/2, 1/), (/nGC_2134/))

      allocate(vertices(4660)%branchCT(0:0))
      call avCT(4660, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1631/))

      allocate(vertices(729)%branchCT(0:0))
      call avCT(729, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1884/))

      allocate(vertices(730)%branchCT(0:0))
      call avCT(730, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1884/))

      allocate(vertices(732)%branchCT(0:0))
      call avCT(732, 0, 1, 1, 0, UaSU0, (/0, 3/), (/nGC_2089/))

      allocate(vertices(2494)%branchCT(0:0))
      call avCT(2494, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1899/))

      allocate(vertices(3170)%branchCT(0:0))
      call avCT(3170, 0, 1, 1, 0, SFaF0, (/0, 3/), (/nGC_1977, nGC_1977/))

      allocate(vertices(735)%branchCT(0:3))
      call avCT(735, 0, 51, 5, 0, FaFV0, (/3, 0/), (/nGC_1990, nGC_1992/))

      call avCT(735, 1, 51, 5, 0, FaFV0, (/1, 2/), (/nGC_1991, nGC_1993/))

      call avCT(735, 2, 50, 4, 0, FaFV0, (/3, 0/), (/nGC_1990, nGC_1992/))

      call avCT(735, 3, 50, 4, 0, FaFV0, (/1, 2/), (/nGC_1991, nGC_1993/))

      allocate(vertices(5019)%branchCT(0:0))
      call avCT(5019, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1940/))

      allocate(vertices(736)%branchCT(0:0))
      call avCT(736, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1949/))

      allocate(vertices(2094)%branchCT(0:0))
      call avCT(2094, 0, 1, 1, 0, UUaV0, (/0, 3/), (/nGC_2072/))

      allocate(vertices(738)%branchCT(0:0))
      call avCT(738, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1920/))

      allocate(vertices(2641)%branchCT(0:1))
      call avCT(2641, 0, 17, 1, 0, FaSF0, (/0, 3/), (/nGC_2085, nGC_2087/))

      call avCT(2641, 1, 17, 1, 0, FaSF0, (/2, 1/), (/nGC_2086, nGC_2088/))

      allocate(vertices(3175)%branchCT(0:0))
      call avCT(3175, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1655/))

      allocate(vertices(3177)%branchCT(0:0))
      call avCT(3177, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1903/))

      allocate(vertices(739)%branchCT(0:1))
      call avCT(739, 0, 17, 1, 0, FaSF0, (/0, 3/), (/nGC_1950, nGC_1950/))

      call avCT(739, 1, 17, 1, 0, FaSF0, (/2, 1/), (/nGC_1951, nGC_1951/))

      allocate(vertices(3178)%branchCT(0:0))
      call avCT(3178, 0, 1, 1, 0, VVV0, (/0, 3/), (/nGC_2175/))

      allocate(vertices(3329)%branchCT(0:0))
      call avCT(3329, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1638/))

      allocate(vertices(4477)%branchCT(0:0))
      call avCT(4477, 0, 1, 1, 0, UVUa0, (/0, 3/), (/nGC_2054/))

      allocate(vertices(742)%branchCT(0:0))
      call avCT(742, 0, 1, 1, 0, VFaF1, (/0, 3/), (/nGC_2121, nGC_2122/))

      allocate(vertices(5020)%branchCT(0:0))
      call avCT(5020, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(744)%branchCT(0:0))
      call avCT(744, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1656/))

      allocate(vertices(3302)%branchCT(0:0))
      call avCT(3302, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1949/))

      allocate(vertices(3181)%branchCT(0:0))
      call avCT(3181, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1884/))

      allocate(vertices(747)%branchCT(0:0))
      call avCT(747, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1910/))

      allocate(vertices(2544)%branchCT(0:0))
      call avCT(2544, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1883/))

      allocate(vertices(4922)%branchCT(0:0))
      call avCT(4922, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1910/))

      allocate(vertices(749)%branchCT(0:0))
      call avCT(749, 0, 1, 1, 0, FFaS1, (/0, 3/), (/nGC_2117/))

      allocate(vertices(2042)%branchCT(0:0))
      call avCT(2042, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1907/))

      allocate(vertices(3184)%branchCT(0:3))
      call avCT(3184, 0, 68, 4, 0, FVFa0, (/1, 2/), (/nGC_2046, nGC_2048/))

      call avCT(3184, 1, 68, 4, 0, FVFa0, (/3, 0/), (/nGC_2045, nGC_2047/))

      call avCT(3184, 2, 69, 5, 0, FVFa0, (/1, 2/), (/nGC_2046, nGC_2048/))

      call avCT(3184, 3, 69, 5, 0, FVFa0, (/3, 0/), (/nGC_2045, nGC_2047/))

      allocate(vertices(4940)%branchCT(0:0))
      call avCT(4940, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1920/))

      allocate(vertices(2727)%branchCT(0:0))
      call avCT(2727, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1657/))

      allocate(vertices(3187)%branchCT(0:3))
      call avCT(3187, 0, 54, 4, 0, VFFa1, (/3, 0/), (/nGC_2162, nGC_2164/))

      call avCT(3187, 1, 54, 4, 0, VFFa1, (/1, 2/), (/nGC_2163, nGC_2165/))

      call avCT(3187, 2, 55, 5, 0, VFFa1, (/3, 0/), (/nGC_2162, nGC_2164/))

      call avCT(3187, 3, 55, 5, 0, VFFa1, (/1, 2/), (/nGC_2163, nGC_2165/))

      allocate(vertices(3188)%branchCT(0:5))
      call avCT(3188, 0, 91, 7, 0, VVUaU0, (/4, 0/), (/nGC_2083/))

      call avCT(3188, 1, 90, 7, 0, VVUaU0, (/4, 0/), (/nGC_2083/))

      call avCT(3188, 2, 89, 7, 0, VVUaU0, (/4, 0/), (/nGC_2083/))

      call avCT(3188, 3, 88, 7, 0, VVUaU0, (/4, 0/), (/nGC_2083/))

      call avCT(3188, 4, 93, 6, 0, VVUaU0, (/4, 0/), (/nGC_2084/))

      call avCT(3188, 5, 92, 6, 0, VVUaU0, (/4, 0/), (/nGC_2084/))

      allocate(vertices(5021)%branchCT(0:0))
      call avCT(5021, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1940/))

      allocate(vertices(2)%branchCT(0:0))
      call avCT(2, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1883/))

      allocate(vertices(5022)%branchCT(0:0))
      call avCT(5022, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(754)%branchCT(0:0))
      call avCT(754, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(755)%branchCT(0:0))
      call avCT(755, 0, 1, 1, 0, SFFa2, (/0, 3/), (/nGC_2117/))

      allocate(vertices(3192)%branchCT(0:0))
      call avCT(3192, 0, 1, 1, 0, FaVF1, (/0, 3/), (/nGC_2033/))

      allocate(vertices(27)%branchCT(0:0))
      call avCT(27, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1937/))

      allocate(vertices(757)%branchCT(0:0))
      call avCT(757, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_2126, nGC_2125,        &
      nGC_2125/))

      allocate(vertices(3196)%branchCT(0:0))
      call avCT(3196, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1631/))

      allocate(vertices(1186)%branchCT(0:0))
      call avCT(1186, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1922/))

      allocate(vertices(3197)%branchCT(0:0))
      call avCT(3197, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1634/))

      allocate(vertices(500)%branchCT(0:0))
      call avCT(500, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(763)%branchCT(0:0))
      call avCT(763, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1900/))

      allocate(vertices(3199)%branchCT(0:0))
      call avCT(3199, 0, 1, 1, 0, SUUa0, (/0, 3/), (/nGC_1943/))

      allocate(vertices(3200)%branchCT(0:0))
      call avCT(3200, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1655/))

      allocate(vertices(765)%branchCT(0:0))
      call avCT(765, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1900/))

      allocate(vertices(766)%branchCT(0:0))
      call avCT(766, 0, 1, 1, 0, VVS0, (/0, 3/), (/nGC_2156/))

      allocate(vertices(3731)%branchCT(0:0))
      call avCT(3731, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(4164)%branchCT(0:0))
      call avCT(4164, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1905/))

      allocate(vertices(3203)%branchCT(0:0))
      call avCT(3203, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2092/))

      allocate(vertices(367)%branchCT(0:0))
      call avCT(367, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2091/))

      allocate(vertices(770)%branchCT(0:0))
      call avCT(770, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1639/))

      allocate(vertices(3134)%branchCT(0:0))
      call avCT(3134, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1926/))

      allocate(vertices(774)%branchCT(0:0))
      call avCT(774, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1910/))

      allocate(vertices(5023)%branchCT(0:0))
      call avCT(5023, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2031/))

      allocate(vertices(2102)%branchCT(0:0))
      call avCT(2102, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1907/))

      allocate(vertices(777)%branchCT(0:0))
      call avCT(777, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1932/))

      allocate(vertices(778)%branchCT(0:0))
      call avCT(778, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1907/))

      allocate(vertices(779)%branchCT(0:0))
      call avCT(779, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_2176/))

      allocate(vertices(504)%branchCT(0:0))
      call avCT(504, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1905/))

      allocate(vertices(780)%branchCT(0:0))
      call avCT(780, 0, 1, 1, 0, FSFa0, (/0, 3/), (/nGC_1977, nGC_1977/))

      allocate(vertices(4180)%branchCT(0:0))
      call avCT(4180, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1883/))

      allocate(vertices(3212)%branchCT(0:0))
      call avCT(3212, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1907/))

      allocate(vertices(1574)%branchCT(0:0))
      call avCT(1574, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1900/))

      allocate(vertices(145)%branchCT(0:0))
      call avCT(145, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2034/))

      allocate(vertices(3215)%branchCT(0:0))
      call avCT(3215, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1905/))

      allocate(vertices(1915)%branchCT(0:0))
      call avCT(1915, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1910/))

      allocate(vertices(5024)%branchCT(0:0))
      call avCT(5024, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_2161/))

      allocate(vertices(3218)%branchCT(0:0))
      call avCT(3218, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1926/))

      allocate(vertices(785)%branchCT(0:1))
      call avCT(785, 0, 20, 1, 0, VFaF1, (/0, 3/), (/nGC_2096, nGC_2098/))

      call avCT(785, 1, 20, 1, 0, VFaF1, (/2, 1/), (/nGC_2097, nGC_2099/))

      allocate(vertices(1550)%branchCT(0:0))
      call avCT(1550, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1971/))

      allocate(vertices(787)%branchCT(0:0))
      call avCT(787, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1884/))

      allocate(vertices(788)%branchCT(0:0))
      call avCT(788, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1988/))

      allocate(vertices(4681)%branchCT(0:0))
      call avCT(4681, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(2829)%branchCT(0:0))
      call avCT(2829, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1969/))

      allocate(vertices(3221)%branchCT(0:1))
      call avCT(3221, 0, 17, 1, 0, FaVF0, (/0, 3/), (/nGC_2177, nGC_2179/))

      call avCT(3221, 1, 17, 1, 0, FaVF0, (/2, 1/), (/nGC_2178, nGC_2180/))

      allocate(vertices(4449)%branchCT(0:0))
      call avCT(4449, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1976/))

      allocate(vertices(790)%branchCT(0:0))
      call avCT(790, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1983/))

      allocate(vertices(791)%branchCT(0:0))
      call avCT(791, 0, 1, 1, 0, UaUS0, (/0, 3/), (/nGC_1660/))

      allocate(vertices(793)%branchCT(0:1))
      call avCT(793, 0, 20, 1, 0, SFaF0, (/0, 3/), (/nGC_1962, nGC_1960/))

      call avCT(793, 1, 20, 1, 0, SFaF0, (/2, 1/), (/nGC_1963, nGC_1961/))

      allocate(vertices(5025)%branchCT(0:0))
      call avCT(5025, 0, 13, 1, 0, VS0, (/0, 2/), (/nGC_2181/))

      allocate(vertices(191)%branchCT(0:0))
      call avCT(191, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1879/))

      allocate(vertices(796)%branchCT(0:0))
      call avCT(796, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1655/))

      allocate(vertices(3227)%branchCT(0:0))
      call avCT(3227, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1932/))

      allocate(vertices(798)%branchCT(0:0))
      call avCT(798, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(799)%branchCT(0:1))
      call avCT(799, 0, 19, 1, 0, FSFa0, (/0, 3/), (/nGC_2182, nGC_2182/))

      call avCT(799, 1, 19, 1, 0, FSFa0, (/2, 1/), (/nGC_2183, nGC_2183/))

      allocate(vertices(800)%branchCT(0:0))
      call avCT(800, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_1965, nGC_1964,        &
      nGC_1964/))

      allocate(vertices(129)%branchCT(0:0))
      call avCT(129, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1933/))

      allocate(vertices(802)%branchCT(0:0))
      call avCT(802, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1891/))

      allocate(vertices(3232)%branchCT(0:0))
      call avCT(3232, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(3233)%branchCT(0:0))
      call avCT(3233, 0, 1, 1, 0, SUUa0, (/0, 3/), (/nGC_1671/))

      allocate(vertices(904)%branchCT(0:0))
      call avCT(904, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1976/))

      allocate(vertices(804)%branchCT(0:0))
      call avCT(804, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_2052, nGC_2053,        &
      nGC_2053/))

      allocate(vertices(805)%branchCT(0:1))
      call avCT(805, 0, 19, 1, 0, FSFa0, (/0, 3/), (/nGC_2168, nGC_2168/))

      call avCT(805, 1, 19, 1, 0, FSFa0, (/2, 1/), (/nGC_2169, nGC_2169/))

      allocate(vertices(3235)%branchCT(0:0))
      call avCT(3235, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1886/))

      allocate(vertices(807)%branchCT(0:0))
      call avCT(807, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2091/))

      allocate(vertices(808)%branchCT(0:0))
      call avCT(808, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1634/))

      allocate(vertices(2508)%branchCT(0:0))
      call avCT(2508, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1893/))

      allocate(vertices(5026)%branchCT(0:0))
      call avCT(5026, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2031/))

      allocate(vertices(3237)%branchCT(0:0))
      call avCT(3237, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1655/))

      allocate(vertices(810)%branchCT(0:0))
      call avCT(810, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1657/))

      allocate(vertices(4224)%branchCT(0:0))
      call avCT(4224, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1983/))

      allocate(vertices(3241)%branchCT(0:0))
      call avCT(3241, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1967/))

      allocate(vertices(812)%branchCT(0:0))
      call avCT(812, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1893/))

      allocate(vertices(3243)%branchCT(0:0))
      call avCT(3243, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1883/))

      allocate(vertices(815)%branchCT(0:0))
      call avCT(815, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1969/))

      allocate(vertices(816)%branchCT(0:0))
      call avCT(816, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2028/))

      allocate(vertices(4620)%branchCT(0:0))
      call avCT(4620, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1632/))

      allocate(vertices(817)%branchCT(0:0))
      call avCT(817, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(3248)%branchCT(0:0))
      call avCT(3248, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(3249)%branchCT(0:0))
      call avCT(3249, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_1925, nGC_1924,       &
      nGC_1924/))

      allocate(vertices(3250)%branchCT(0:0))
      call avCT(3250, 0, 1, 1, 0, VFaF0, (/0, 3/), (/nGC_1931/))

      allocate(vertices(3785)%branchCT(0:0))
      call avCT(3785, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1915/))

      allocate(vertices(332)%branchCT(0:0))
      call avCT(332, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1893/))

      allocate(vertices(3253)%branchCT(0:0))
      call avCT(3253, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1884/))

      allocate(vertices(823)%branchCT(0:0))
      call avCT(823, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1983/))

      allocate(vertices(360)%branchCT(0:0))
      call avCT(360, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(2934)%branchCT(0:0))
      call avCT(2934, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1907/))

      allocate(vertices(3256)%branchCT(0:0))
      call avCT(3256, 0, 1, 1, 0, FaSF1, (/0, 3/), (/nGC_2117/))

      allocate(vertices(3344)%branchCT(0:0))
      call avCT(3344, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1884/))

      allocate(vertices(3259)%branchCT(0:0))
      call avCT(3259, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1905/))

      allocate(vertices(558)%branchCT(0:0))
      call avCT(558, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1891/))

      allocate(vertices(4823)%branchCT(0:0))
      call avCT(4823, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1930/))

      allocate(vertices(831)%branchCT(0:1))
      call avCT(831, 0, 10, 1, 0, FFaV0, (/0, 3/), (/nGC_2060, nGC_2062/))

      call avCT(831, 1, 10, 1, 0, FFaV0, (/2, 1/), (/nGC_2061, nGC_2063/))

      allocate(vertices(518)%branchCT(0:0))
      call avCT(518, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_2000/))

      allocate(vertices(4930)%branchCT(0:0))
      call avCT(4930, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1884/))

      allocate(vertices(3261)%branchCT(0:0))
      call avCT(3261, 0, 1, 1, 0, SVV0, (/0, 3/), (/nGC_1938/))

      allocate(vertices(3262)%branchCT(0:0))
      call avCT(3262, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1632/))

      allocate(vertices(432)%branchCT(0:0))
      call avCT(432, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1886/))

      allocate(vertices(3266)%branchCT(0:1))
      call avCT(3266, 0, 18, 1, 0, FaFS0, (/0, 3/), (/nGC_1944, nGC_1944/))

      call avCT(3266, 1, 18, 1, 0, FaFS0, (/2, 1/), (/nGC_1945, nGC_1945/))

      allocate(vertices(3268)%branchCT(0:0))
      call avCT(3268, 0, 1, 1, 0, FaVF1, (/0, 3/), (/nGC_2135/))

      allocate(vertices(835)%branchCT(0:0))
      call avCT(835, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1949/))

      allocate(vertices(3269)%branchCT(0:0))
      call avCT(3269, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1879/))

      allocate(vertices(838)%branchCT(0:0))
      call avCT(838, 0, 1, 1, 0, FFaS0, (/0, 3/), (/nGC_2026, nGC_2027/))

      allocate(vertices(839)%branchCT(0:0))
      call avCT(839, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1910/))

      allocate(vertices(4537)%branchCT(0:0))
      call avCT(4537, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1878/))

      allocate(vertices(843)%branchCT(0:0))
      call avCT(843, 0, 1, 1, 0, VFFa1, (/0, 3/), (/nGC_2081, nGC_2082/))

      allocate(vertices(4231)%branchCT(0:0))
      call avCT(4231, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1969/))

      allocate(vertices(845)%branchCT(0:0))
      call avCT(845, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1920/))

      allocate(vertices(847)%branchCT(0:0))
      call avCT(847, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1902/))

      allocate(vertices(848)%branchCT(0:0))
      call avCT(848, 0, 1, 1, 0, UUaS0, (/0, 3/), (/nGC_1901/))

      allocate(vertices(2455)%branchCT(0:0))
      call avCT(2455, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1930/))

      allocate(vertices(505)%branchCT(0:0))
      call avCT(505, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_1929/))

      allocate(vertices(4444)%branchCT(0:0))
      call avCT(4444, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1634/))

      allocate(vertices(508)%branchCT(0:0))
      call avCT(508, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(856)%branchCT(0:0))
      call avCT(856, 0, 1, 1, 0, FaVF1, (/0, 3/), (/nGC_1994/))

      allocate(vertices(3281)%branchCT(0:0))
      call avCT(3281, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1920/))

      allocate(vertices(3282)%branchCT(0:0))
      call avCT(3282, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1915/))

      allocate(vertices(3879)%branchCT(0:0))
      call avCT(3879, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1933/))

      allocate(vertices(1319)%branchCT(0:0))
      call avCT(1319, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1903/))

      allocate(vertices(3285)%branchCT(0:0))
      call avCT(3285, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(3286)%branchCT(0:1))
      call avCT(3286, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_1962, nGC_1960/))

      call avCT(3286, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_1963, nGC_1961/))

      allocate(vertices(863)%branchCT(0:0))
      call avCT(863, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1930/))

      allocate(vertices(5027)%branchCT(0:0))
      call avCT(5027, 0, 13, 1, 0, SS0, (/0, 2/), (/nGC_2184, nGC_2185/))

      allocate(vertices(865)%branchCT(0:0))
      call avCT(865, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1886/))

      allocate(vertices(3287)%branchCT(0:1))
      call avCT(3287, 0, 21, 1, 0, VFFa1, (/0, 3/), (/nGC_2035, nGC_2037/))

      call avCT(3287, 1, 21, 1, 0, VFFa1, (/2, 1/), (/nGC_2036, nGC_2038/))

      allocate(vertices(3289)%branchCT(0:0))
      call avCT(3289, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1878/))

      allocate(vertices(2249)%branchCT(0:0))
      call avCT(2249, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1899/))

      allocate(vertices(5028)%branchCT(0:0))
      call avCT(5028, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(3291)%branchCT(0:0))
      call avCT(3291, 0, 1, 1, 0, VFaF0, (/0, 3/), (/nGC_2033/))

      allocate(vertices(2517)%branchCT(0:0))
      call avCT(2517, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1878/))

      allocate(vertices(571)%branchCT(0:0))
      call avCT(571, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1900/))

      allocate(vertices(3294)%branchCT(0:1))
      call avCT(3294, 0, 18, 1, 0, FaFV1, (/0, 3/), (/nGC_2129/))

      call avCT(3294, 1, 18, 1, 0, FaFV1, (/2, 1/), (/nGC_2130/))

      allocate(vertices(3296)%branchCT(0:0))
      call avCT(3296, 0, 1, 1, 0, FaVF0, (/0, 3/), (/nGC_2121, nGC_2122/))

      allocate(vertices(869)%branchCT(0:0))
      call avCT(869, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1920/))

      allocate(vertices(1794)%branchCT(0:0))
      call avCT(1794, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1884/))

      allocate(vertices(870)%branchCT(0:0))
      call avCT(870, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1891/))

      allocate(vertices(871)%branchCT(0:0))
      call avCT(871, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1949/))

      allocate(vertices(596)%branchCT(0:0))
      call avCT(596, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1905/))

      allocate(vertices(873)%branchCT(0:1))
      call avCT(873, 0, 17, 1, 0, FaSF0, (/0, 3/), (/nGC_1980, nGC_1978/))

      call avCT(873, 1, 17, 1, 0, FaSF0, (/2, 1/), (/nGC_1981, nGC_1979/))

      allocate(vertices(874)%branchCT(0:0))
      call avCT(874, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1926/))

      allocate(vertices(4874)%branchCT(0:1))
      call avCT(4874, 0, 17, 1, 0, FaSF0, (/0, 3/), (/nGC_1962, nGC_1960/))

      call avCT(4874, 1, 17, 1, 0, FaSF0, (/2, 1/), (/nGC_1963, nGC_1961/))

      allocate(vertices(612)%branchCT(0:0))
      call avCT(612, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1893/))

      allocate(vertices(3305)%branchCT(0:0))
      call avCT(3305, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1907/))

      allocate(vertices(878)%branchCT(0:0))
      call avCT(878, 0, 1, 1, 0, SUUa0, (/0, 3/), (/nGC_2137/))

      allocate(vertices(879)%branchCT(0:0))
      call avCT(879, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2034/))

      allocate(vertices(516)%branchCT(0:0))
      call avCT(516, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(3309)%branchCT(0:0))
      call avCT(3309, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1657/))

      allocate(vertices(3395)%branchCT(0:0))
      call avCT(3395, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(259)%branchCT(0:1))
      call avCT(259, 0, 17, 1, 0, FaVF0, (/0, 3/), (/nGC_2186, nGC_2188/))

      call avCT(259, 1, 17, 1, 0, FaVF0, (/2, 1/), (/nGC_2187, nGC_2189/))

      allocate(vertices(2520)%branchCT(0:0))
      call avCT(2520, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1631/))

      allocate(vertices(3312)%branchCT(0:0))
      call avCT(3312, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(883)%branchCT(0:0))
      call avCT(883, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1891/))

      allocate(vertices(664)%branchCT(0:0))
      call avCT(664, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1910/))

      allocate(vertices(3314)%branchCT(0:1))
      call avCT(3314, 0, 19, 1, 0, FVFa0, (/0, 3/), (/nGC_1911, nGC_1913/))

      call avCT(3314, 1, 19, 1, 0, FVFa0, (/2, 1/), (/nGC_1912, nGC_1914/))

      allocate(vertices(3351)%branchCT(0:0))
      call avCT(3351, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1903/))

      allocate(vertices(673)%branchCT(0:0))
      call avCT(673, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1879/))

      allocate(vertices(885)%branchCT(0:0))
      call avCT(885, 0, 1, 1, 0, SUUa0, (/0, 3/), (/nGC_1671/))

      allocate(vertices(886)%branchCT(0:0))
      call avCT(886, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1883/))

      allocate(vertices(3317)%branchCT(0:0))
      call avCT(3317, 0, 1, 1, 0, UVUa0, (/0, 3/), (/nGC_2190/))

      allocate(vertices(5029)%branchCT(0:0))
      call avCT(5029, 0, 13, 1, 0, FFa1, (/0, 2/), (/nGC_2191/))

      allocate(vertices(3320)%branchCT(0:0))
      call avCT(3320, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1903/))

      allocate(vertices(5030)%branchCT(0:1))
      call avCT(5030, 0, 14, 1, 0, FFa0, (/0, 2/), (/nGC_2192, nGC_2194,       &
      nGC_2194, nGC_2196/))

      call avCT(5030, 1, 14, 1, 0, FFa0, (/2, 0/), (/nGC_2193, nGC_2195,       &
      nGC_2195, nGC_2197/))

      allocate(vertices(4663)%branchCT(0:0))
      call avCT(4663, 0, 1, 1, 0, FaVF1, (/0, 3/), (/nGC_1994/))

      allocate(vertices(5031)%branchCT(0:0))
      call avCT(5031, 0, 1, 1, 0, FVFa1, (/0, 3/), (/nGC_2007/))

      allocate(vertices(3353)%branchCT(0:0))
      call avCT(3353, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1915/))

      allocate(vertices(716)%branchCT(0:0))
      call avCT(716, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1879/))

      allocate(vertices(3324)%branchCT(0:0))
      call avCT(3324, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1634/))

      allocate(vertices(3326)%branchCT(0:0))
      call avCT(3326, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1910/))

      allocate(vertices(896)%branchCT(0:1))
      call avCT(896, 0, 20, 1, 0, VFaF1, (/0, 3/), (/nGC_2186, nGC_2188/))

      call avCT(896, 1, 20, 1, 0, VFaF1, (/2, 1/), (/nGC_2187, nGC_2189/))

      allocate(vertices(3328)%branchCT(0:0))
      call avCT(3328, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1920/))

      allocate(vertices(3342)%branchCT(0:0))
      call avCT(3342, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2091/))

      allocate(vertices(897)%branchCT(0:0))
      call avCT(897, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1893/))

      allocate(vertices(3794)%branchCT(0:0))
      call avCT(3794, 0, 1, 1, 0, SVV0, (/0, 3/), (/nGC_2156/))

      allocate(vertices(5032)%branchCT(0:0))
      call avCT(5032, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1940/))

      allocate(vertices(2566)%branchCT(0:0))
      call avCT(2566, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(899)%branchCT(0:0))
      call avCT(899, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1883/))

      allocate(vertices(3334)%branchCT(0:0))
      call avCT(3334, 0, 1, 1, 0, VFFa1, (/0, 3/), (/nGC_2043, nGC_2044/))

      allocate(vertices(2856)%branchCT(0:0))
      call avCT(2856, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1915/))

      allocate(vertices(900)%branchCT(0:0))
      call avCT(900, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1905/))

      allocate(vertices(3336)%branchCT(0:1))
      call avCT(3336, 0, 20, 1, 0, VFaF1, (/0, 3/), (/nGC_2150, nGC_2152/))

      call avCT(3336, 1, 20, 1, 0, VFaF1, (/2, 1/), (/nGC_2151, nGC_2153/))

      allocate(vertices(902)%branchCT(0:0))
      call avCT(902, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1989/))

      allocate(vertices(3338)%branchCT(0:0))
      call avCT(3338, 0, 1, 1, 0, VFFa0, (/0, 3/), (/nGC_2033/))

      allocate(vertices(2690)%branchCT(0:0))
      call avCT(2690, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1976/))

      allocate(vertices(3340)%branchCT(0:0))
      call avCT(3340, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1631/))

      allocate(vertices(806)%branchCT(0:1))
      call avCT(806, 0, 17, 1, 0, FaSF0, (/0, 3/), (/nGC_2076, nGC_2078/))

      call avCT(806, 1, 17, 1, 0, FaSF0, (/2, 1/), (/nGC_2077, nGC_2079/))

      allocate(vertices(1559)%branchCT(0:0))
      call avCT(1559, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1900/))

      allocate(vertices(169)%branchCT(0:0))
      call avCT(169, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1899/))

      allocate(vertices(908)%branchCT(0:1))
      call avCT(908, 0, 18, 1, 0, FaFS0, (/0, 3/), (/nGC_2011, nGC_2011/))

      call avCT(908, 1, 18, 1, 0, FaFS0, (/2, 1/), (/nGC_2012, nGC_2012/))

      allocate(vertices(3343)%branchCT(0:0))
      call avCT(3343, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1632/))

      allocate(vertices(909)%branchCT(0:3))
      call avCT(909, 0, 11, 4, 0, FFaV0, (/1, 2/), (/nGC_2046, nGC_2048/))

      call avCT(909, 1, 11, 4, 0, FFaV0, (/3, 0/), (/nGC_2045, nGC_2047/))

      call avCT(909, 2, 12, 5, 0, FFaV0, (/1, 2/), (/nGC_2046, nGC_2048/))

      call avCT(909, 3, 12, 5, 0, FFaV0, (/3, 0/), (/nGC_2045, nGC_2047/))

      allocate(vertices(5033)%branchCT(0:1))
      call avCT(5033, 0, 124, 1, 0, FaF0, (/0, 2/), (/nGC_2001, nGC_2003,      &
      nGC_2003, nGC_2005/))

      call avCT(5033, 1, 124, 1, 0, FaF0, (/2, 0/), (/nGC_2002, nGC_2004,      &
      nGC_2004, nGC_2006/))

      allocate(vertices(829)%branchCT(0:0))
      call avCT(829, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1983/))

      allocate(vertices(3345)%branchCT(0:0))
      call avCT(3345, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1886/))

      allocate(vertices(912)%branchCT(0:0))
      call avCT(912, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1983/))

      allocate(vertices(913)%branchCT(0:0))
      call avCT(913, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1903/))

      allocate(vertices(915)%branchCT(0:0))
      call avCT(915, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1657/))

      allocate(vertices(3797)%branchCT(0:0))
      call avCT(3797, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1655/))

      allocate(vertices(3350)%branchCT(0:0))
      call avCT(3350, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1932/))

      allocate(vertices(918)%branchCT(0:0))
      call avCT(918, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(3271)%branchCT(0:0))
      call avCT(3271, 0, 1, 1, 0, SUaU0, (/0, 3/), (/nGC_1671/))

      allocate(vertices(3352)%branchCT(0:0))
      call avCT(3352, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1656/))

      allocate(vertices(890)%branchCT(0:0))
      call avCT(890, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1657/))

      allocate(vertices(3354)%branchCT(0:0))
      call avCT(3354, 0, 1, 1, 0, VSV0, (/0, 3/), (/nGC_1939/))

      allocate(vertices(3355)%branchCT(0:0))
      call avCT(3355, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2028/))

      allocate(vertices(3356)%branchCT(0:0))
      call avCT(3356, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1937/))

      allocate(vertices(3359)%branchCT(0:0))
      call avCT(3359, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1926/))

      allocate(vertices(925)%branchCT(0:0))
      call avCT(925, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1969/))

      allocate(vertices(4407)%branchCT(0:0))
      call avCT(4407, 0, 1, 1, 0, FaFV0, (/0, 3/), (/nGC_2081, nGC_2082/))

      allocate(vertices(3360)%branchCT(0:0))
      call avCT(3360, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1926/))

      allocate(vertices(927)%branchCT(0:1))
      call avCT(927, 0, 19, 1, 0, FSFa0, (/0, 3/), (/nGC_2085, nGC_2087/))

      call avCT(927, 1, 19, 1, 0, FSFa0, (/2, 1/), (/nGC_2086, nGC_2088/))

      allocate(vertices(3361)%branchCT(0:1))
      call avCT(3361, 0, 10, 1, 0, FFaV0, (/0, 3/), (/nGC_2177, nGC_2179/))

      call avCT(3361, 1, 10, 1, 0, FFaV0, (/2, 1/), (/nGC_2178, nGC_2180/))

      allocate(vertices(3366)%branchCT(0:0))
      call avCT(3366, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2092/))

      allocate(vertices(3367)%branchCT(0:0))
      call avCT(3367, 0, 1, 1, 0, VSS0, (/0, 3/), (/nGC_2127/))

      allocate(vertices(2308)%branchCT(0:0))
      call avCT(2308, 0, 1, 1, 0, VSV0, (/0, 3/), (/nGC_1938/))

      allocate(vertices(3800)%branchCT(0:0))
      call avCT(3800, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_1964, nGC_1965,       &
      nGC_1964/))

      allocate(vertices(932)%branchCT(0:0))
      call avCT(932, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_2017/))

      allocate(vertices(542)%branchCT(0:0))
      call avCT(542, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2028/))

      allocate(vertices(3370)%branchCT(0:0))
      call avCT(3370, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1886/))

      allocate(vertices(3371)%branchCT(0:0))
      call avCT(3371, 0, 1, 1, 0, VUaU1, (/0, 3/), (/nGC_2123/))

      allocate(vertices(592)%branchCT(0:0))
      call avCT(592, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_2052, nGC_2053,        &
      nGC_2053/))

      allocate(vertices(1449)%branchCT(0:0))
      call avCT(1449, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1633/))

      allocate(vertices(3364)%branchCT(0:1))
      call avCT(3364, 0, 19, 1, 0, FVFa1, (/0, 3/), (/nGC_2133/))

      call avCT(3364, 1, 19, 1, 0, FVFa1, (/2, 1/), (/nGC_2134/))

      allocate(vertices(935)%branchCT(0:0))
      call avCT(935, 0, 1, 1, 0, VUUa0, (/0, 3/), (/nGC_1898/))

      allocate(vertices(3373)%branchCT(0:0))
      call avCT(3373, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1884/))

      allocate(vertices(574)%branchCT(0:0))
      call avCT(574, 0, 1, 1, 0, UUaS0, (/0, 3/), (/nGC_1943/))

      allocate(vertices(936)%branchCT(0:0))
      call avCT(936, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1903/))

      allocate(vertices(3375)%branchCT(0:1))
      call avCT(3375, 0, 20, 1, 0, VFaF1, (/0, 3/), (/nGC_1887, nGC_1889/))

      call avCT(3375, 1, 20, 1, 0, VFaF1, (/2, 1/), (/nGC_1888, nGC_1890/))

      allocate(vertices(154)%branchCT(0:0))
      call avCT(154, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1878/))

      allocate(vertices(939)%branchCT(0:0))
      call avCT(939, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1905/))

      allocate(vertices(940)%branchCT(0:0))
      call avCT(940, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1655/))

      allocate(vertices(1413)%branchCT(0:0))
      call avCT(1413, 0, 1, 1, 0, SUUa0, (/0, 3/), (/nGC_1660/))

      allocate(vertices(941)%branchCT(0:0))
      call avCT(941, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(942)%branchCT(0:0))
      call avCT(942, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1907/))

      allocate(vertices(2955)%branchCT(0:0))
      call avCT(2955, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1878/))

      allocate(vertices(1707)%branchCT(0:0))
      call avCT(1707, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_2173/))

      allocate(vertices(5034)%branchCT(0:0))
      call avCT(5034, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(3386)%branchCT(0:0))
      call avCT(3386, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_2053, nGC_2052,       &
      nGC_2053/))

      allocate(vertices(3387)%branchCT(0:0))
      call avCT(3387, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1907/))

      allocate(vertices(3388)%branchCT(0:0))
      call avCT(3388, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1933/))

      allocate(vertices(929)%branchCT(0:0))
      call avCT(929, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2028/))

      allocate(vertices(3139)%branchCT(0:3))
      call avCT(3139, 0, 52, 4, 0, VFaF1, (/1, 2/), (/nGC_2158, nGC_2160/))

      call avCT(3139, 1, 52, 4, 0, VFaF1, (/3, 0/), (/nGC_2157, nGC_2159/))

      call avCT(3139, 2, 53, 5, 0, VFaF1, (/1, 2/), (/nGC_2158, nGC_2160/))

      call avCT(3139, 3, 53, 5, 0, VFaF1, (/3, 0/), (/nGC_2157, nGC_2159/))

      allocate(vertices(3231)%branchCT(0:0))
      call avCT(3231, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1915/))

      allocate(vertices(948)%branchCT(0:0))
      call avCT(948, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_2148/))

      allocate(vertices(950)%branchCT(0:0))
      call avCT(950, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1976/))

      allocate(vertices(3393)%branchCT(0:0))
      call avCT(3393, 0, 1, 1, 0, VFaF0, (/0, 3/), (/nGC_2010/))

      allocate(vertices(2532)%branchCT(0:0))
      call avCT(2532, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(3394)%branchCT(0:5))
      call avCT(3394, 0, 117, 6, 0, VUaVU0, (/4, 0/), (/nGC_2084/))

      call avCT(3394, 1, 116, 6, 0, VUaVU0, (/4, 0/), (/nGC_2084/))

      call avCT(3394, 2, 113, 7, 0, VUaVU0, (/4, 0/), (/nGC_2083/))

      call avCT(3394, 3, 112, 7, 0, VUaVU0, (/4, 0/), (/nGC_2083/))

      call avCT(3394, 4, 115, 7, 0, VUaVU0, (/4, 0/), (/nGC_2083/))

      call avCT(3394, 5, 114, 7, 0, VUaVU0, (/4, 0/), (/nGC_2083/))

      allocate(vertices(5035)%branchCT(0:0))
      call avCT(5035, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(3397)%branchCT(0:1))
      call avCT(3397, 0, 17, 1, 0, FaSF0, (/0, 3/), (/nGC_1880, nGC_1880/))

      call avCT(3397, 1, 17, 1, 0, FaSF0, (/2, 1/), (/nGC_1881, nGC_1881/))

      allocate(vertices(3398)%branchCT(0:0))
      call avCT(3398, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1884/))

      allocate(vertices(4480)%branchCT(0:0))
      call avCT(4480, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1907/))

      allocate(vertices(3400)%branchCT(0:0))
      call avCT(3400, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1910/))

      allocate(vertices(956)%branchCT(0:0))
      call avCT(956, 0, 1, 1, 0, FFaS0, (/0, 3/), (/nGC_1970, nGC_1970/))

      allocate(vertices(3258)%branchCT(0:0))
      call avCT(3258, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(1128)%branchCT(0:0))
      call avCT(1128, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1969/))

      allocate(vertices(3369)%branchCT(0:0))
      call avCT(3369, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1883/))

      allocate(vertices(3405)%branchCT(0:0))
      call avCT(3405, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1879/))

      allocate(vertices(963)%branchCT(0:0))
      call avCT(963, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(2736)%branchCT(0:0))
      call avCT(2736, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2032/))

      allocate(vertices(3409)%branchCT(0:0))
      call avCT(3409, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1893/))

      allocate(vertices(3806)%branchCT(0:0))
      call avCT(3806, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1910/))

      allocate(vertices(3411)%branchCT(0:0))
      call avCT(3411, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2034/))

      allocate(vertices(4012)%branchCT(0:0))
      call avCT(4012, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(966)%branchCT(0:1))
      call avCT(966, 0, 21, 1, 0, SFFa0, (/0, 3/), (/nGC_2198, nGC_2198/))

      call avCT(966, 1, 21, 1, 0, SFFa0, (/2, 1/), (/nGC_2199, nGC_2199/))

      allocate(vertices(1168)%branchCT(0:0))
      call avCT(1168, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2092/))

      allocate(vertices(968)%branchCT(0:0))
      call avCT(968, 0, 1, 1, 0, UVUa0, (/0, 3/), (/nGC_1906/))

      allocate(vertices(969)%branchCT(0:0))
      call avCT(969, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1883/))

      allocate(vertices(1177)%branchCT(0:0))
      call avCT(1177, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1631/))

      allocate(vertices(4254)%branchCT(0:0))
      call avCT(4254, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1884/))

      allocate(vertices(973)%branchCT(0:0))
      call avCT(973, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2032/))

      allocate(vertices(3416)%branchCT(0:0))
      call avCT(3416, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2103/))

      allocate(vertices(5036)%branchCT(0:0))
      call avCT(5036, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1999/))

      allocate(vertices(974)%branchCT(0:0))
      call avCT(974, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1900/))

      allocate(vertices(975)%branchCT(0:0))
      call avCT(975, 0, 1, 1, 0, SVV0, (/0, 3/), (/nGC_2174/))

      allocate(vertices(976)%branchCT(0:0))
      call avCT(976, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(977)%branchCT(0:0))
      call avCT(977, 0, 1, 1, 0, VFaF0, (/0, 3/), (/nGC_2135/))

      allocate(vertices(2135)%branchCT(0:0))
      call avCT(2135, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1922/))

      allocate(vertices(1227)%branchCT(0:0))
      call avCT(1227, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1893/))

      allocate(vertices(2963)%branchCT(0:0))
      call avCT(2963, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1632/))

      allocate(vertices(980)%branchCT(0:0))
      call avCT(980, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1878/))

      allocate(vertices(3423)%branchCT(0:0))
      call avCT(3423, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(982)%branchCT(0:0))
      call avCT(982, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1884/))

      allocate(vertices(3426)%branchCT(0:0))
      call avCT(3426, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1969/))

      allocate(vertices(3427)%branchCT(0:0))
      call avCT(3427, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1910/))

      allocate(vertices(3967)%branchCT(0:0))
      call avCT(3967, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1933/))

      allocate(vertices(3429)%branchCT(0:0))
      call avCT(3429, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1883/))

      allocate(vertices(987)%branchCT(0:0))
      call avCT(987, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1907/))

      allocate(vertices(4701)%branchCT(0:0))
      call avCT(4701, 0, 1, 1, 0, USUa0, (/0, 3/), (/nGC_1943/))

      allocate(vertices(3430)%branchCT(0:0))
      call avCT(3430, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1657/))

      allocate(vertices(1293)%branchCT(0:0))
      call avCT(1293, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1969/))

      allocate(vertices(2534)%branchCT(0:0))
      call avCT(2534, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1948/))

      allocate(vertices(1300)%branchCT(0:0))
      call avCT(1300, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_2053, nGC_2052,       &
      nGC_2053/))

      allocate(vertices(2680)%branchCT(0:0))
      call avCT(2680, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1893/))

      allocate(vertices(990)%branchCT(0:0))
      call avCT(990, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1893/))

      allocate(vertices(264)%branchCT(0:0))
      call avCT(264, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1891/))

      allocate(vertices(1342)%branchCT(0:0))
      call avCT(1342, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1893/))

      allocate(vertices(2635)%branchCT(0:0))
      call avCT(2635, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1878/))

      allocate(vertices(4002)%branchCT(0:0))
      call avCT(4002, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1983/))

      allocate(vertices(993)%branchCT(0:0))
      call avCT(993, 0, 1, 1, 0, VVS0, (/0, 3/), (/nGC_2174/))

      allocate(vertices(996)%branchCT(0:0))
      call avCT(996, 0, 1, 1, 0, FSFa0, (/0, 3/), (/nGC_2026, nGC_2027/))

      allocate(vertices(997)%branchCT(0:0))
      call avCT(997, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1969/))

      allocate(vertices(3442)%branchCT(0:0))
      call avCT(3442, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1884/))

      allocate(vertices(532)%branchCT(0:0))
      call avCT(532, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1969/))

      allocate(vertices(1375)%branchCT(0:0))
      call avCT(1375, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1878/))

      allocate(vertices(1001)%branchCT(0:0))
      call avCT(1001, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1657/))

      allocate(vertices(3444)%branchCT(0:0))
      call avCT(3444, 0, 1, 1, 0, VFaF0, (/0, 3/), (/nGC_2033/))

      allocate(vertices(5037)%branchCT(0:0))
      call avCT(5037, 0, 1, 1, 0, SVV0, (/0, 3/), (/nGC_2147/))

      allocate(vertices(1004)%branchCT(0:1))
      call avCT(1004, 0, 17, 1, 0, FaVF1, (/0, 3/), (/nGC_2133/))

      call avCT(1004, 1, 17, 1, 0, FaVF1, (/2, 1/), (/nGC_2134/))

      allocate(vertices(1700)%branchCT(0:0))
      call avCT(1700, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1891/))

      allocate(vertices(104)%branchCT(0:1))
      call avCT(104, 0, 21, 1, 0, SFFa0, (/0, 3/), (/nGC_2200, nGC_2202/))

      call avCT(104, 1, 21, 1, 0, SFFa0, (/2, 1/), (/nGC_2201, nGC_2203/))

      allocate(vertices(1006)%branchCT(0:0))
      call avCT(1006, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1933/))

      allocate(vertices(1007)%branchCT(0:0))
      call avCT(1007, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1630/))

      allocate(vertices(1009)%branchCT(0:0))
      call avCT(1009, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1891/))

      allocate(vertices(1428)%branchCT(0:1))
      call avCT(1428, 0, 21, 1, 0, VFFa1, (/0, 3/), (/nGC_2186, nGC_2188/))

      call avCT(1428, 1, 21, 1, 0, VFFa1, (/2, 1/), (/nGC_2187, nGC_2189/))

      allocate(vertices(1435)%branchCT(0:0))
      call avCT(1435, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1883/))

      allocate(vertices(1437)%branchCT(0:1))
      call avCT(1437, 0, 19, 1, 0, FSFa0, (/0, 3/), (/nGC_2065, nGC_2065/))

      call avCT(1437, 1, 19, 1, 0, FSFa0, (/2, 1/), (/nGC_2066, nGC_2066/))

      allocate(vertices(3377)%branchCT(0:0))
      call avCT(3377, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2034/))

      allocate(vertices(1448)%branchCT(0:0))
      call avCT(1448, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1915/))

      allocate(vertices(3687)%branchCT(0:1))
      call avCT(3687, 0, 17, 1, 0, FaSF0, (/0, 3/), (/nGC_2168, nGC_2168/))

      call avCT(3687, 1, 17, 1, 0, FaSF0, (/2, 1/), (/nGC_2169, nGC_2169/))

      allocate(vertices(1013)%branchCT(0:0))
      call avCT(1013, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1655/))

      allocate(vertices(3456)%branchCT(0:0))
      call avCT(3456, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(1014)%branchCT(0:0))
      call avCT(1014, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1903/))

      allocate(vertices(1015)%branchCT(0:0))
      call avCT(1015, 0, 1, 1, 0, VVV0, (/0, 3/), (/nGC_2204/))

      allocate(vertices(3460)%branchCT(0:0))
      call avCT(3460, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1983/))

      allocate(vertices(1016)%branchCT(0:1))
      call avCT(1016, 0, 18, 1, 0, FaFV1, (/0, 3/), (/nGC_2129/))

      call avCT(1016, 1, 18, 1, 0, FaFV1, (/2, 1/), (/nGC_2130/))

      allocate(vertices(3380)%branchCT(0:0))
      call avCT(3380, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1983/))

      allocate(vertices(1017)%branchCT(0:0))
      call avCT(1017, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1891/))

      allocate(vertices(3464)%branchCT(0:0))
      call avCT(3464, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1884/))

      allocate(vertices(5038)%branchCT(0:0))
      call avCT(5038, 0, 1, 1, 0, FaVF1, (/0, 3/), (/nGC_2007/))

      allocate(vertices(3830)%branchCT(0:0))
      call avCT(3830, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1883/))

      allocate(vertices(1019)%branchCT(0:0))
      call avCT(1019, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1915/))

      allocate(vertices(1020)%branchCT(0:0))
      call avCT(1020, 0, 1, 1, 0, FSFa0, (/0, 3/), (/nGC_2008, nGC_2009/))

      allocate(vertices(2721)%branchCT(0:0))
      call avCT(2721, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_2053, nGC_2053,       &
      nGC_2052/))

      allocate(vertices(1021)%branchCT(0:0))
      call avCT(1021, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1902/))

      allocate(vertices(3469)%branchCT(0:0))
      call avCT(3469, 0, 1, 1, 0, FFaS0, (/0, 3/), (/nGC_2155, nGC_2155/))

      allocate(vertices(3470)%branchCT(0:0))
      call avCT(3470, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1632/))

      allocate(vertices(2235)%branchCT(0:5))
      call avCT(2235, 0, 96, 7, 0, VVUUa0, (/4, 0/), (/nGC_2083/))

      call avCT(2235, 1, 94, 7, 0, VVUUa0, (/4, 0/), (/nGC_2083/))

      call avCT(2235, 2, 99, 6, 0, VVUUa0, (/4, 0/), (/nGC_2084/))

      call avCT(2235, 3, 98, 6, 0, VVUUa0, (/4, 0/), (/nGC_2084/))

      call avCT(2235, 4, 97, 7, 0, VVUUa0, (/4, 0/), (/nGC_2083/))

      call avCT(2235, 5, 95, 7, 0, VVUUa0, (/4, 0/), (/nGC_2083/))

      allocate(vertices(5039)%branchCT(0:0))
      call avCT(5039, 0, 13, 1, 0, SS1, (/0, 2/), (/nGC_2205/))

      allocate(vertices(1024)%branchCT(0:0))
      call avCT(1024, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1634/))

      allocate(vertices(2705)%branchCT(0:0))
      call avCT(2705, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1879/))

      allocate(vertices(1026)%branchCT(0:0))
      call avCT(1026, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1989/))

      allocate(vertices(4260)%branchCT(0:0))
      call avCT(4260, 0, 1, 1, 0, SUUa0, (/0, 3/), (/nGC_1660/))

      allocate(vertices(1562)%branchCT(0:0))
      call avCT(1562, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1656/))

      allocate(vertices(3477)%branchCT(0:0))
      call avCT(3477, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1910/))

      allocate(vertices(1029)%branchCT(0:0))
      call avCT(1029, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1893/))

      allocate(vertices(3479)%branchCT(0:0))
      call avCT(3479, 0, 1, 1, 0, VVV0, (/0, 3/), (/nGC_2132/))

      allocate(vertices(3481)%branchCT(0:0))
      call avCT(3481, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1879/))

      allocate(vertices(3485)%branchCT(0:0))
      call avCT(3485, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1900/))

      allocate(vertices(226)%branchCT(0:0))
      call avCT(226, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1900/))

      allocate(vertices(3487)%branchCT(0:0))
      call avCT(3487, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1949/))

      allocate(vertices(3488)%branchCT(0:0))
      call avCT(3488, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2064/))

      allocate(vertices(1033)%branchCT(0:0))
      call avCT(1033, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1884/))

      allocate(vertices(3490)%branchCT(0:1))
      call avCT(3490, 0, 17, 1, 0, FaVF0, (/0, 3/), (/nGC_2096, nGC_2098/))

      call avCT(3490, 1, 17, 1, 0, FaVF0, (/2, 1/), (/nGC_2097, nGC_2099/))

      allocate(vertices(1034)%branchCT(0:1))
      call avCT(1034, 0, 17, 1, 0, FaSF0, (/0, 3/), (/nGC_2058, nGC_2058/))

      call avCT(1034, 1, 17, 1, 0, FaSF0, (/2, 1/), (/nGC_2059, nGC_2059/))

      allocate(vertices(1036)%branchCT(0:0))
      call avCT(1036, 0, 1, 1, 0, UaSU0, (/0, 3/), (/nGC_1671/))

      allocate(vertices(1037)%branchCT(0:0))
      call avCT(1037, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1910/))

      allocate(vertices(3493)%branchCT(0:1))
      call avCT(3493, 0, 20, 1, 0, SFaF0, (/0, 3/), (/nGC_2011, nGC_2011/))

      call avCT(3493, 1, 20, 1, 0, SFaF0, (/2, 1/), (/nGC_2012, nGC_2012/))

      allocate(vertices(674)%branchCT(0:0))
      call avCT(674, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1883/))

      allocate(vertices(1635)%branchCT(0:0))
      call avCT(1635, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1969/))

      allocate(vertices(1040)%branchCT(0:0))
      call avCT(1040, 0, 1, 1, 0, VUUa0, (/0, 3/), (/nGC_1936/))

      allocate(vertices(162)%branchCT(0:0))
      call avCT(162, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2034/))

      allocate(vertices(1041)%branchCT(0:0))
      call avCT(1041, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1900/))

      allocate(vertices(540)%branchCT(0:0))
      call avCT(540, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2092/))

      allocate(vertices(3499)%branchCT(0:0))
      call avCT(3499, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(1043)%branchCT(0:0))
      call avCT(1043, 0, 1, 1, 0, VSV0, (/0, 3/), (/nGC_1939/))

      allocate(vertices(3500)%branchCT(0:3))
      call avCT(3500, 0, 54, 4, 0, VFFa1, (/1, 2/), (/nGC_2144, nGC_2146/))

      call avCT(3500, 1, 54, 4, 0, VFFa1, (/3, 0/), (/nGC_2143, nGC_2145/))

      call avCT(3500, 2, 55, 5, 0, VFFa1, (/1, 2/), (/nGC_2144, nGC_2146/))

      call avCT(3500, 3, 55, 5, 0, VFFa1, (/3, 0/), (/nGC_2143, nGC_2145/))

      allocate(vertices(1044)%branchCT(0:1))
      call avCT(1044, 0, 21, 1, 0, VFFa1, (/0, 3/), (/nGC_1887, nGC_1889/))

      call avCT(1044, 1, 21, 1, 0, VFFa1, (/2, 1/), (/nGC_1888, nGC_1890/))

      allocate(vertices(1045)%branchCT(0:0))
      call avCT(1045, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1983/))

      allocate(vertices(3501)%branchCT(0:0))
      call avCT(3501, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1949/))

      allocate(vertices(1992)%branchCT(0:0))
      call avCT(1992, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1969/))

      allocate(vertices(3502)%branchCT(0:0))
      call avCT(3502, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1884/))

      allocate(vertices(5040)%branchCT(0:0))
      call avCT(5040, 0, 1, 1, 0, VSS0, (/0, 3/), (/nGC_2206/))

      allocate(vertices(1684)%branchCT(0:0))
      call avCT(1684, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2019/))

      allocate(vertices(3504)%branchCT(0:0))
      call avCT(3504, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_2017/))

      allocate(vertices(3582)%branchCT(0:0))
      call avCT(3582, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1907/))

      allocate(vertices(5041)%branchCT(0:0))
      call avCT(5041, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1999/))

      allocate(vertices(2167)%branchCT(0:0))
      call avCT(2167, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1976/))

      allocate(vertices(5042)%branchCT(0:0))
      call avCT(5042, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(3507)%branchCT(0:0))
      call avCT(3507, 0, 1, 1, 0, VVS0, (/0, 3/), (/nGC_2156/))

      allocate(vertices(1077)%branchCT(0:0))
      call avCT(1077, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_2053, nGC_2053,       &
      nGC_2052/))

      allocate(vertices(1721)%branchCT(0:0))
      call avCT(1721, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1884/))

      allocate(vertices(1050)%branchCT(0:0))
      call avCT(1050, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_2075/))

      allocate(vertices(1051)%branchCT(0:0))
      call avCT(1051, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1893/))

      allocate(vertices(3511)%branchCT(0:0))
      call avCT(3511, 0, 1, 1, 0, UaVU0, (/0, 3/), (/nGC_2072/))

      allocate(vertices(1052)%branchCT(0:0))
      call avCT(1052, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1915/))

      allocate(vertices(4872)%branchCT(0:0))
      call avCT(4872, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1893/))

      allocate(vertices(1054)%branchCT(0:1))
      call avCT(1054, 0, 21, 1, 0, SFFa0, (/0, 3/), (/nGC_1950, nGC_1950/))

      call avCT(1054, 1, 21, 1, 0, SFFa0, (/2, 1/), (/nGC_1951, nGC_1951/))

      allocate(vertices(1055)%branchCT(0:0))
      call avCT(1055, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1949/))

      allocate(vertices(3515)%branchCT(0:0))
      call avCT(3515, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1893/))

      allocate(vertices(1058)%branchCT(0:0))
      call avCT(1058, 0, 1, 1, 0, SUaU0, (/0, 3/), (/nGC_1671/))

      allocate(vertices(544)%branchCT(0:0))
      call avCT(544, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2095/))

      allocate(vertices(1059)%branchCT(0:0))
      call avCT(1059, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(3843)%branchCT(0:0))
      call avCT(3843, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1657/))

      allocate(vertices(1060)%branchCT(0:0))
      call avCT(1060, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1903/))

      allocate(vertices(1061)%branchCT(0:0))
      call avCT(1061, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1907/))

      allocate(vertices(1062)%branchCT(0:0))
      call avCT(1062, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1878/))

      allocate(vertices(1063)%branchCT(0:1))
      call avCT(1063, 0, 18, 1, 0, FaFS0, (/0, 3/), (/nGC_1894, nGC_1896/))

      call avCT(1063, 1, 18, 1, 0, FaFS0, (/2, 1/), (/nGC_1895, nGC_1897/))

      allocate(vertices(3521)%branchCT(0:0))
      call avCT(3521, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1884/))

      allocate(vertices(1064)%branchCT(0:1))
      call avCT(1064, 0, 17, 1, 0, FaVF0, (/0, 3/), (/nGC_2067, nGC_2069/))

      call avCT(1064, 1, 17, 1, 0, FaVF0, (/2, 1/), (/nGC_2068, nGC_2070/))

      allocate(vertices(5043)%branchCT(0:0))
      call avCT(5043, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1940/))

      allocate(vertices(1066)%branchCT(0:0))
      call avCT(1066, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1886/))

      allocate(vertices(3523)%branchCT(0:0))
      call avCT(3523, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1907/))

      allocate(vertices(3524)%branchCT(0:1))
      call avCT(3524, 0, 21, 1, 0, SFFa0, (/0, 3/), (/nGC_2011, nGC_2011/))

      call avCT(3524, 1, 21, 1, 0, SFFa0, (/2, 1/), (/nGC_2012, nGC_2012/))

      allocate(vertices(1843)%branchCT(0:0))
      call avCT(1843, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(3528)%branchCT(0:0))
      call avCT(3528, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1656/))

      allocate(vertices(1070)%branchCT(0:0))
      call avCT(1070, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1883/))

      allocate(vertices(1071)%branchCT(0:0))
      call avCT(1071, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1656/))

      allocate(vertices(3529)%branchCT(0:0))
      call avCT(3529, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2091/))

      allocate(vertices(1073)%branchCT(0:0))
      call avCT(1073, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1907/))

      allocate(vertices(1074)%branchCT(0:0))
      call avCT(1074, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1932/))

      allocate(vertices(1075)%branchCT(0:1))
      call avCT(1075, 0, 19, 1, 0, FVFa1, (/0, 3/), (/nGC_2056/))

      call avCT(1075, 1, 19, 1, 0, FVFa1, (/2, 1/), (/nGC_2057/))

      allocate(vertices(2555)%branchCT(0:3))
      call avCT(2555, 0, 51, 5, 0, FaFV0, (/1, 2/), (/nGC_2046, nGC_2048/))

      call avCT(2555, 1, 51, 5, 0, FaFV0, (/3, 0/), (/nGC_2045, nGC_2047/))

      call avCT(2555, 2, 50, 4, 0, FaFV0, (/1, 2/), (/nGC_2046, nGC_2048/))

      call avCT(2555, 3, 50, 4, 0, FaFV0, (/3, 0/), (/nGC_2045, nGC_2047/))

      allocate(vertices(3534)%branchCT(0:0))
      call avCT(3534, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1903/))

      allocate(vertices(1907)%branchCT(0:0))
      call avCT(1907, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1891/))

      allocate(vertices(2275)%branchCT(0:0))
      call avCT(2275, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(1080)%branchCT(0:0))
      call avCT(1080, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1900/))

      allocate(vertices(3867)%branchCT(0:0))
      call avCT(3867, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1893/))

      allocate(vertices(3540)%branchCT(0:0))
      call avCT(3540, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1989/))

      allocate(vertices(3541)%branchCT(0:0))
      call avCT(3541, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1910/))

      allocate(vertices(3694)%branchCT(0:0))
      call avCT(3694, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1632/))

      allocate(vertices(1938)%branchCT(0:0))
      call avCT(1938, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1930/))

      allocate(vertices(4597)%branchCT(0:0))
      call avCT(4597, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1656/))

      allocate(vertices(1085)%branchCT(0:0))
      call avCT(1085, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1983/))

      allocate(vertices(3545)%branchCT(0:0))
      call avCT(3545, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2034/))

      allocate(vertices(1087)%branchCT(0:0))
      call avCT(1087, 0, 1, 1, 0, FSFa0, (/0, 3/), (/nGC_2155, nGC_2155/))

      allocate(vertices(3546)%branchCT(0:0))
      call avCT(3546, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1910/))

      allocate(vertices(1090)%branchCT(0:0))
      call avCT(1090, 0, 1, 1, 0, UUaV0, (/0, 3/), (/nGC_2042/))

      allocate(vertices(5044)%branchCT(0:0))
      call avCT(5044, 0, 13, 1, 0, SS1, (/0, 2/), (/nGC_2205/))

      allocate(vertices(3548)%branchCT(0:0))
      call avCT(3548, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1969/))

      allocate(vertices(1316)%branchCT(0:0))
      call avCT(1316, 0, 1, 1, 0, UaUV0, (/0, 3/), (/nGC_2123/))

      allocate(vertices(1862)%branchCT(0:0))
      call avCT(1862, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1893/))

      allocate(vertices(1979)%branchCT(0:0))
      call avCT(1979, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1632/))

      allocate(vertices(3553)%branchCT(0:0))
      call avCT(3553, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1883/))

      allocate(vertices(1996)%branchCT(0:0))
      call avCT(1996, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1656/))

      allocate(vertices(1096)%branchCT(0:1))
      call avCT(1096, 0, 17, 1, 0, FaSF0, (/0, 3/), (/nGC_2029, nGC_2029/))

      call avCT(1096, 1, 17, 1, 0, FaSF0, (/2, 1/), (/nGC_2030, nGC_2030/))

      allocate(vertices(1966)%branchCT(0:0))
      call avCT(1966, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1886/))

      allocate(vertices(2559)%branchCT(0:0))
      call avCT(2559, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1883/))

      allocate(vertices(1099)%branchCT(0:0))
      call avCT(1099, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1930/))

      allocate(vertices(3558)%branchCT(0:0))
      call avCT(3558, 0, 1, 1, 0, UVUa0, (/0, 3/), (/nGC_2120/))

      allocate(vertices(2013)%branchCT(0:0))
      call avCT(2013, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1883/))

      allocate(vertices(3560)%branchCT(0:0))
      call avCT(3560, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2034/))

      allocate(vertices(3561)%branchCT(0:0))
      call avCT(3561, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1907/))

      allocate(vertices(4273)%branchCT(0:0))
      call avCT(4273, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1879/))

      allocate(vertices(3564)%branchCT(0:0))
      call avCT(3564, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1969/))

      allocate(vertices(2107)%branchCT(0:0))
      call avCT(2107, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1891/))

      allocate(vertices(3566)%branchCT(0:0))
      call avCT(3566, 0, 1, 1, 0, UVUa0, (/0, 3/), (/nGC_2154/))

      allocate(vertices(1105)%branchCT(0:0))
      call avCT(1105, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1910/))

      allocate(vertices(1106)%branchCT(0:0))
      call avCT(1106, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2091/))

      allocate(vertices(3217)%branchCT(0:0))
      call avCT(3217, 0, 1, 1, 0, SUUa0, (/0, 3/), (/nGC_2089/))

      allocate(vertices(3570)%branchCT(0:0))
      call avCT(3570, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1983/))

      allocate(vertices(5045)%branchCT(0:0))
      call avCT(5045, 0, 1, 1, 0, VSS0, (/0, 3/), (/nGC_2110/))

      allocate(vertices(3572)%branchCT(0:0))
      call avCT(3572, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1905/))

      allocate(vertices(2560)%branchCT(0:0))
      call avCT(2560, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1883/))

      allocate(vertices(4403)%branchCT(0:0))
      call avCT(4403, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1910/))

      allocate(vertices(3573)%branchCT(0:0))
      call avCT(3573, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2091/))

      allocate(vertices(4535)%branchCT(0:0))
      call avCT(4535, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1891/))

      allocate(vertices(3574)%branchCT(0:0))
      call avCT(3574, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1910/))

      allocate(vertices(5046)%branchCT(0:0))
      call avCT(5046, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(2877)%branchCT(0:0))
      call avCT(2877, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_2017/))

      allocate(vertices(1117)%branchCT(0:0))
      call avCT(1117, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1891/))

      allocate(vertices(3577)%branchCT(0:1))
      call avCT(3577, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_2011, nGC_2011/))

      call avCT(3577, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_2012, nGC_2012/))

      allocate(vertices(1119)%branchCT(0:0))
      call avCT(1119, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1878/))

      allocate(vertices(1121)%branchCT(0:0))
      call avCT(1121, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(2160)%branchCT(0:0))
      call avCT(2160, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(1122)%branchCT(0:0))
      call avCT(1122, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1969/))

      allocate(vertices(3585)%branchCT(0:1))
      call avCT(3585, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_1960, nGC_1962/))

      call avCT(3585, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_1961, nGC_1963/))

      allocate(vertices(180)%branchCT(0:0))
      call avCT(180, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1905/))

      allocate(vertices(3587)%branchCT(0:0))
      call avCT(3587, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1907/))

      allocate(vertices(1127)%branchCT(0:0))
      call avCT(1127, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1910/))

    end subroutine fill_vertices_mdl8
end module vertices_info8
