!******************************************************************************!
!                                                                              !
!    fill_ctcouplings3.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings3.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-03-16 09:42             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings3
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl3()
      coupl(nGC_1451) = coupl(nGC_19)**2d0*coupl(nGC_204)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_1456) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_216) + 8d0*coupl(     &
                        nGC_122)*coupl(nGC_125)*coupl(nGC_216) - coupl(nGC_197 &
                        )*coupl(nGC_200)*coupl(nGC_213) - coupl(nGC_215)**2d0* &
                        coupl(nGC_216) - coupl(nGC_216)**3d0 - coupl(nGC_216)* &
                        coupl(nGC_525)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1457) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_216) + 8d0*coupl(     &
                        nGC_122)*coupl(nGC_125)*coupl(nGC_216) - coupl(nGC_197 &
                        )*coupl(nGC_200)*coupl(nGC_213) - coupl(nGC_214)**2d0* &
                        coupl(nGC_216) - coupl(nGC_215)**2d0*coupl(nGC_216) -  &
                        coupl(nGC_216)**3d0)/(32d0*pi**2d0)
      coupl(nGC_1902) = coupl(nGC_1654) + coupl(nGC_93)*dZHhHl_QED2 + coupl(   &
                        nGC_95)*dZHl_QED2
      coupl(nGC_1903) = coupl(nGC_1754) + coupl(nGC_73)*dZWMinus_QED2
      coupl(nGC_1458) = coupl(nGC_19)**2d0*coupl(nGC_216)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_1459) = coupl(nGC_19)**2d0*sq2**2d0*(-cMB*coupl(nGC_196) - cMC*&
                        coupl(nGC_200) - cMD*coupl(nGC_204) - cMS*coupl(nGC_216&
                        ) - cMT*coupl(nGC_220) - cMU*coupl(nGC_228))/(16d0*pi**&
                        2d0)
      coupl(nGC_1908) = coupl(nGC_1735) + coupl(nGC_227)*dZHhHl_QED2/2d0 +     &
                        coupl(nGC_228)*dZHl_QED2/2d0 + coupl(nGC_228)*dZuL_QED2&
                        /2d0 + coupl(nGC_228)*dZuR_QED2/2d0
      coupl(nGC_TS_GC_28_Hl) = -coupl(nGC_28)*dtHl_QED1/cMHL**2d0
      coupl(nGC_2201) = coupl(nGC_1690) + coupl(nGC_193)*dZbR_QCD2/2d0 + coupl(&
                        nGC_193)*dZtL_QCD2/2d0
      coupl(nGC_2232) = -coupl(nGC_103)*dZWMinus_QED2 - coupl(nGC_103)*dZZ_QED2&
                        /2d0 - coupl(nGC_1763) - coupl(nGC_3)*dZAZ_QED2/2d0
      coupl(nGC_1513) = -coupl(nGC_19)*sq2*(-4d0*coupl(nGC_123)**2d0 - coupl(  &
                        nGC_197)**2d0 - coupl(nGC_198)*coupl(nGC_561) - coupl( &
                        nGC_199)**2d0 - 4d0*coupl(nGC_2)**2d0 - coupl(nGC_200  &
                        )**2d0)/(64d0*pi**2d0)
      coupl(nGC_2206) = coupl(nGC_130)*dZZA_QED2/2d0
      coupl(nGC_1511) = -coupl(nGC_19)*sq2*(4d0*coupl(nGC_123)**2d0 + coupl(   &
                        nGC_197)**2d0 + coupl(nGC_198)*coupl(nGC_561) + coupl( &
                        nGC_199)**2d0 + 4d0*coupl(nGC_2)**2d0 + coupl(nGC_200  &
                        )**2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_1510) = -coupl(nGC_19)*sq2*(4d0*coupl(nGC_126)**2d0 + coupl(   &
                        nGC_198)*coupl(nGC_561) + coupl(nGC_199)**2d0 + 4d0*   &
                        coupl(nGC_2)**2d0 + coupl(nGC_200)**2d0 + coupl(nGC_213&
                        )**2d0 + 4d0*coupl(nGC_99)**2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_2231) = -2d0*coupl(nGC_1679) - 4d0*coupl(nGC_21)*dZg_QCD2
      coupl(nGC_2207) = -coupl(nGC_105)*dZZ_QED2/4d0 - coupl(nGC_1676)/2d0 -   &
                        coupl(nGC_5)*dZAZ_QED2/4d0
      coupl(nGC_2230) = coupl(nGC_1679) + 2d0*coupl(nGC_21)*dZg_QCD2
      coupl(nGC_2204) = coupl(nGC_103)*dZWMinus_QED2 + coupl(nGC_103)*dZZ_QED2/&
                        2d0 + coupl(nGC_1763) + coupl(nGC_3)*dZAZ_QED2/2d0
      coupl(nGC_2237) = coupl(nGC_1864) + coupl(nGC_MT)*dZtL_QED2/2d0 + coupl( &
                        nGC_MT)*dZtR_QED2/2d0 + coupl(nGC_TS_GC_219_Hh) + coupl&
                        (nGC_TS_GC_220_Hl)
      coupl(nGC_2205) = coupl(nGC_TS_GC_179_Hl) + coupl(nGC_TS_GC_184_Hh)
      coupl(nGC_1601) = (-3d0*Nc*cima*coupl(nGC_125)**2d0*coupl(nGC_99)**2d0 + &
                        9d0*Nc*cima*coupl(nGC_125)*coupl(nGC_126)*coupl(nGC_99 &
                        )**2d0 - 3d0*Nc*cima*coupl(nGC_126)**2d0*coupl(nGC_99  &
                        )**2d0 - 4d0*cima*coupl(nGC_102)*coupl(nGC_103)**2d0*  &
                        coupl(nGC_585) - 4d0*cima*coupl(nGC_103)**2d0*coupl(   &
                        nGC_4)*coupl(nGC_523) + 3d0*cima*coupl(nGC_113)**2d0 - &
                        3d0*cima*coupl(nGC_128)**2d0*coupl(nGC_99)**2d0 + 9d0* &
                        cima*coupl(nGC_128)*coupl(nGC_129)*coupl(nGC_99)**2d0  &
                         - 3d0*cima*coupl(nGC_129)**2d0*coupl(nGC_99)**2d0 +   &
                        3d0*cima*coupl(nGC_84)**2d0 + 3d0*coupl(nGC_102)*coupl(&
                        nGC_103)*coupl(nGC_84) + 3d0*coupl(nGC_103)*coupl(     &
                        nGC_113)*coupl(nGC_4) + 3d0*coupl(nGC_103)*coupl(      &
                        nGC_113)*coupl(nGC_523) + 3d0*coupl(nGC_103)*coupl(    &
                        nGC_585)*coupl(nGC_84))/(24d0*pi**2d0)
      coupl(nGC_1997) = coupl(nGC_1857) + coupl(nGC_ME)*dZeMinusL_QED2/2d0 +   &
                        coupl(nGC_ME)*dZeMinusR_QED2/2d0 + coupl(              &
                        nGC_TS_GC_207_Hh) + coupl(nGC_TS_GC_208_Hl)
      coupl(nGC_1995) = -coupl(nGC_1875) - coupl(nGC_MMW_GF)*dZWMinus_QED2/2d0 &
                         + coupl(nGC_TS_GC_101_Hh) + coupl(nGC_TS_GC_117_Hl)
      coupl(nGC_1379) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_194) + 8d0*coupl(     &
                        nGC_122)*coupl(nGC_125)*coupl(nGC_194) - coupl(nGC_193 &
                        )*coupl(nGC_217)*coupl(nGC_545) - coupl(nGC_194)**2d0* &
                        coupl(nGC_611) - coupl(nGC_195)**2d0*coupl(nGC_611) -  &
                        coupl(nGC_196)**2d0*coupl(nGC_611))/(32d0*pi**2d0)
      coupl(nGC_1594) = cima*(20d0*Nc*coupl(nGC_196)**4d0 + 20d0*Nc*coupl(     &
                        nGC_200)**4d0 + 20d0*Nc*coupl(nGC_204)**4d0 + 20d0*Nc* &
                        coupl(nGC_216)**4d0 + 20d0*Nc*coupl(nGC_220)**4d0 +    &
                        20d0*Nc*coupl(nGC_228)**4d0 + 3d0*coupl(nGC_151)**2d0  &
                         + 20d0*coupl(nGC_208)**4d0 + 20d0*coupl(nGC_212)**4d0 &
                         + 20d0*coupl(nGC_224)**4d0 + 6d0*coupl(nGC_96)**2d0)/(&
                        16d0*pi**2d0)
      coupl(nGC_1427) = coupl(nGC_19)**2d0*sq2**2d0*(-cMB*coupl(nGC_195) - cMC*&
                        coupl(nGC_199) - cMD*coupl(nGC_203) - cMS*coupl(nGC_215&
                        ) - cMT*coupl(nGC_219) - cMU*coupl(nGC_227))/(16d0*pi**&
                        2d0)
      coupl(nGC_1426) = coupl(nGC_211)*(8d0*coupl(nGC_124)*coupl(nGC_128) -    &
                        coupl(nGC_211)**2d0 - coupl(nGC_212)**2d0 + 8d0*coupl( &
                        nGC_4)**2d0 - coupl(nGC_569)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1425) = coupl(nGC_211)*(8d0*coupl(nGC_124)*coupl(nGC_128) -    &
                        coupl(nGC_210)**2d0 - coupl(nGC_211)**2d0 - coupl(     &
                        nGC_212)**2d0 + 8d0*coupl(nGC_4)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1356) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_213) + 8d0*   &
                        coupl(nGC_122)*coupl(nGC_126)*coupl(nGC_213) - coupl(  &
                        nGC_197)*coupl(nGC_199)*coupl(nGC_215) - coupl(nGC_197 &
                        )*coupl(nGC_200)*coupl(nGC_216) - coupl(nGC_197)*coupl(&
                        nGC_525)*coupl(nGC_561))/(32d0*pi**2d0)
      coupl(nGC_1350) = (8d0*coupl(nGC_1)*coupl(nGC_193)*coupl(nGC_2) + 8d0*   &
                        coupl(nGC_122)*coupl(nGC_126)*coupl(nGC_193) - coupl(  &
                        nGC_195)*coupl(nGC_217)*coupl(nGC_219) - coupl(nGC_196 &
                        )*coupl(nGC_217)*coupl(nGC_220) - coupl(nGC_217)*coupl(&
                        nGC_545)*coupl(nGC_611))/(32d0*pi**2d0)
      coupl(nGC_1353) = coupl(nGC_19)**2d0*coupl(nGC_217)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_1294) = cima*(coupl(nGC_124)**2d0 + coupl(nGC_4)**2d0)/(16d0*pi&
                        **2d0)
      coupl(nGC_1295) = cima*(coupl(nGC_128)**2d0 + coupl(nGC_4)**2d0 + coupl( &
                        nGC_99)**2d0)/(16d0*pi**2d0)
      coupl(nGC_1296) = cME*cima*(-coupl(nGC_124)*coupl(nGC_128) - coupl(nGC_4 &
                        )**2d0)/(8d0*pi**2d0)
      coupl(nGC_1290) = cMC*cima*coupl(nGC_19)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(&
                        32d0*pi**2d0*Nc)
      coupl(nGC_1291) = cima*(-coupl(nGC_123)**2d0 - coupl(nGC_2)**2d0)/(16d0* &
                        pi**2d0)
      coupl(nGC_1292) = cMD*cima*(-coupl(nGC_1)**2d0 - coupl(nGC_122)*coupl(   &
                        nGC_125))/(8d0*pi**2d0)
      coupl(nGC_1293) = cMD*cima*coupl(nGC_19)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(&
                        32d0*pi**2d0*Nc)
      coupl(nGC_1607) = cima*coupl(nGC_19)**2d0*sq2**2d0*(-coupl(nGC_195)*coupl&
                        (nGC_196) - coupl(nGC_199)*coupl(nGC_200) - coupl(     &
                        nGC_203)*coupl(nGC_204) - coupl(nGC_215)*coupl(nGC_216 &
                        ) - coupl(nGC_219)*coupl(nGC_220) - coupl(nGC_227)*    &
                        coupl(nGC_228))/(16d0*pi**2d0)
      coupl(nGC_1962) = coupl(nGC_1681) + coupl(nGC_201)*dZdR_QED2/2d0 + coupl(&
                        nGC_201)*dZuL_QED2/2d0
      coupl(nGC_TS_GC_195_Hh) = -coupl(nGC_195)*dtHh_QED1/cMHH**2d0
      coupl(nGC_1779) = coupl(nGC_1158)*dcw_QED2 + coupl(nGC_1159)*dsw_QED2 +  &
                        coupl(nGC_1160)*dZee_QED2 + coupl(nGC_1161)*dvev_QED1  &
                         + coupl(nGC_1162)*da_QED2
      coupl(nGC_1747) = coupl(nGC_845)*dsw_QED2 + coupl(nGC_846)*dZee_QED2 +   &
                        coupl(nGC_847)*da_QED2
      coupl(nGC_1447) = (8d0*coupl(nGC_123)*coupl(nGC_126)*coupl(nGC_200) -    &
                        coupl(nGC_197)*coupl(nGC_213)*coupl(nGC_216) - coupl(  &
                        nGC_198)**2d0*coupl(nGC_200) - coupl(nGC_199)**2d0*    &
                        coupl(nGC_200) + 8d0*coupl(nGC_2)**2d0*coupl(nGC_200   &
                        ) - coupl(nGC_200)**3d0)/(32d0*pi**2d0)
      coupl(nGC_1629) = -3d0*cima*coupl(nGC_19)**4d0*sq2**4d0/(32d0*pi**2d0*Nc &
                        **3d0)
      coupl(nGC_1884) = coupl(nGC_114)*dZWMinus_QED2/2d0 + coupl(nGC_114)*     &
                        dZZ_QED2/2d0 + coupl(nGC_1742) + coupl(nGC_7)*dZAZ_QED2&
                        /2d0
      coupl(nGC_1730) = coupl(nGC_1136)*dyup_QED1_QCD2
      coupl(nGC_1880) = coupl(nGC_1739) + coupl(nGC_219)*dZHhHl_QED2/2d0 +     &
                        coupl(nGC_220)*dZHl_QED2/2d0 + coupl(nGC_220)*dZtL_QED2&
                        /2d0 + coupl(nGC_220)*dZtR_QED2/2d0
      coupl(nGC_2127) = -coupl(nGC_130)*dZHhHl_QED2/2d0 - coupl(nGC_136)*      &
                        dZHl_QED2/2d0 - coupl(nGC_136)*dZZ_QED2/2d0 - coupl(   &
                        nGC_1767)
      coupl(nGC_2126) = coupl(nGC_116)*dZAZ_QED2 + coupl(nGC_1782) + coupl(    &
                        nGC_85)*dZWMinus_QED2 + coupl(nGC_85)*dZZ_QED2
      coupl(nGC_2055) = -coupl(nGC_101)*dZHhHl_QED2/2d0 - coupl(nGC_117)*      &
                        dZHl_QED2/2d0 - coupl(nGC_117)*dZWMinus_QED2/2d0 -     &
                        coupl(nGC_1748)
      coupl(nGC_1738) = coupl(nGC_1233)*dyc_QED1_QCD2
      coupl(nGC_1888) = coupl(nGC_126)*dZuL_QCD2
      coupl(nGC_2121) = coupl(nGC_128)*dZZA_QED2/2d0 + coupl(nGC_1675) + coupl(&
                        nGC_4)*dZA_QED2/2d0 + coupl(nGC_4)*dZmuMinusL_QED2
      coupl(nGC_2089) = coupl(nGC_161)*dZHhHl_QED2/2d0 + coupl(nGC_165)*       &
                        dZHl_QED2/2d0 + coupl(nGC_1670)
      coupl(nGC_2081) = coupl(nGC_128)*dZZA_QED2/2d0 + coupl(nGC_1675) + coupl(&
                        nGC_4)*dZA_QED2/2d0 + coupl(nGC_4)*dZeMinusL_QED2
      coupl(nGC_2082) = coupl(nGC_124)*dZZA_QED2/2d0 + coupl(nGC_1675) + coupl(&
                        nGC_4)*dZA_QED2/2d0 + coupl(nGC_4)*dZeMinusR_QED2
      coupl(nGC_2084) = 2d0*coupl(nGC_1679) + 2d0*coupl(nGC_21)*dZg_QCD2
      coupl(nGC_2013) = coupl(nGC_1785) + coupl(nGC_19)*dZg_QCD2/2d0 + coupl(  &
                        nGC_19)*dZsL_QCD2
      coupl(nGC_2011) = coupl(nGC_1705) + coupl(nGC_203)*dZHhHl_QED2/2d0 +     &
                        coupl(nGC_204)*dZHl_QED2/2d0 + coupl(nGC_204)*dZdL_QED2&
                        /2d0 + coupl(nGC_204)*dZdR_QED2/2d0
      coupl(nGC_2010) = coupl(nGC_1786) + coupl(nGC_99)*dZWMinus_QED2/2d0 +    &
                        coupl(nGC_99)*dZnu_tauL_QED2/2d0 + coupl(nGC_99)*      &
                        dZtauMinusL_QED2/2d0
      coupl(nGC_2016) = coupl(nGC_19)*dZsR_QED2
      coupl(nGC_2015) = coupl(nGC_1785) + coupl(nGC_19)*dZg_QCD2/2d0 + coupl(  &
                        nGC_19)*dZsR_QCD2
      coupl(nGC_2014) = coupl(nGC_19)*dZsL_QED2
      coupl(nGC_2019) = coupl(nGC_145)*dZHh_QED2 + coupl(nGC_145)*dZZ_QED2 +   &
                        coupl(nGC_147)*dZHlHh_QED2 + coupl(nGC_1776)
      coupl(nGC_2018) = coupl(nGC_100)*dZHh_QED2/2d0 + coupl(nGC_100)*         &
                        dZWMinus_QED2/2d0 + coupl(nGC_118)*dZHlHh_QED2/2d0 +   &
                        coupl(nGC_1751)
      coupl(nGC_2156) = coupl(nGC_162)*dZHhHl_QED2/2d0 + coupl(nGC_164)*       &
                        dZHl_QED2/2d0 + coupl(nGC_164)*dZWMinus_QED2 + coupl(  &
                        nGC_1761) + coupl(nGC_TS_GC_92_Hh) + coupl(            &
                        nGC_TS_GC_96_Hl)
      coupl(nGC_2154) = -coupl(nGC_105)*dZWMinus_QED2/4d0 - coupl(nGC_1676)/2d0
      coupl(nGC_1948) = coupl(nGC_145)*dZHhHl_QED2/2d0 + coupl(nGC_147)*       &
                        dZHh_QED2/2d0 + coupl(nGC_147)*dZHl_QED2/2d0 + coupl(  &
                        nGC_147)*dZZ_QED2 + coupl(nGC_151)*dZHlHh_QED2/2d0 +   &
                        coupl(nGC_1777)
      coupl(nGC_1949) = coupl(nGC_120)*dZAZ_QED2/2d0 + coupl(nGC_15)*          &
                        dZHhHl_QED2/2d0 + coupl(nGC_1770) + coupl(nGC_28)*     &
                        dZHl_QED2/2d0 + coupl(nGC_28)*dZWMinus_QED2/2d0 + coupl&
                        (nGC_28)*dZZ_QED2/2d0
      coupl(nGC_1941) = coupl(nGC_128)*dZZA_QED2/2d0 + coupl(nGC_1675) + coupl(&
                        nGC_4)*dZA_QED2/2d0 + coupl(nGC_4)*dZtauMinusL_QED2
      coupl(nGC_1942) = coupl(nGC_124)*dZZA_QED2/2d0 + coupl(nGC_1675) + coupl(&
                        nGC_4)*dZA_QED2/2d0 + coupl(nGC_4)*dZtauMinusR_QED2
      coupl(nGC_1943) = coupl(nGC_1665) + coupl(nGC_174)*dZHhHl_QED2/2d0 +     &
                        coupl(nGC_178)*dZHl_QED2/2d0
      coupl(nGC_TS_GC_110_Hh) = -coupl(nGC_110)*dtHh_QED1/cMHH**2d0
      coupl(nGC_1945) = coupl(nGC_1700) + coupl(nGC_203)*dZdL_QCD2/2d0 + coupl(&
                        nGC_203)*dZdR_QCD2/2d0
      coupl(nGC_2093) = coupl(nGC_128)*dZZ_QED2/2d0 + coupl(nGC_128)*          &
                        dZtauMinusL_QED2 + coupl(nGC_1768) + coupl(nGC_4)*     &
                        dZAZ_QED2/2d0
      coupl(nGC_2238) = coupl(nGC_1865) + coupl(nGC_MT)*dZtL_QCD2/2d0 + coupl( &
                        nGC_MT)*dZtR_QCD2/2d0
      coupl(nGC_1649) = coupl(nGC_1035)*da_QED2 + coupl(nGC_1036)*dl2_QED4 +   &
                        coupl(nGC_1037)*dl1_QED4 + coupl(nGC_1038)*dl3_QED4
      coupl(nGC_1647) = coupl(nGC_942)*da_QED2 + coupl(nGC_943)*dl1_QED4 +     &
                        coupl(nGC_944)*dl3_QED4
      coupl(nGC_1646) = coupl(nGC_1257)*dcw_QED2 + coupl(nGC_1258)*dsw_QED2 +  &
                        coupl(nGC_1259)*dZee_QED2 + coupl(nGC_1260)*da_QED2
      coupl(nGC_1645) = coupl(nGC_792)*dcw_QED2 + coupl(nGC_793)*dZee_QED2 +   &
                        coupl(nGC_794)*da_QED2
      coupl(nGC_1644) = coupl(nGC_864)*da_QED2 + coupl(nGC_865)*dl2_QED4 +     &
                        coupl(nGC_866)*dl1_QED4 + coupl(nGC_867)*dl3_QED4
      coupl(nGC_1643) = coupl(nGC_980)*da_QED2 + coupl(nGC_981)*dl1_QED4 +     &
                        coupl(nGC_982)*dl3_QED4
      coupl(nGC_1642) = coupl(nGC_826)*da_QED2 + coupl(nGC_827)*dl2_QED4 +     &
                        coupl(nGC_828)*dl1_QED4 + coupl(nGC_829)*dl3_QED4
      coupl(nGC_1641) = coupl(nGC_1100)*da_QED2 + coupl(nGC_1101)*dl2_QED4 +   &
                        coupl(nGC_1102)*dl1_QED4 + coupl(nGC_1103)*dl3_QED4
      coupl(nGC_1640) = coupl(nGC_809)*da_QED2 + coupl(nGC_810)*dl1_QED4 +     &
                        coupl(nGC_811)*dl3_QED4
      coupl(nGC_1445) = (-2d0*Nc*cMB*coupl(nGC_122)**2d0*coupl(nGC_196) + 2d0* &
                        Nc*cMB*coupl(nGC_122)*coupl(nGC_125)*coupl(nGC_196) -  &
                        2d0*Nc*cMB*coupl(nGC_125)**2d0*coupl(nGC_196) - 2d0*Nc*&
                        cMC*coupl(nGC_123)**2d0*coupl(nGC_200) + 2d0*Nc*cMC*   &
                        coupl(nGC_123)*coupl(nGC_126)*coupl(nGC_200) - 2d0*Nc* &
                        cMC*coupl(nGC_126)**2d0*coupl(nGC_200) - 2d0*Nc*cMD*   &
                        coupl(nGC_122)**2d0*coupl(nGC_204) + 2d0*Nc*cMD*coupl( &
                        nGC_122)*coupl(nGC_125)*coupl(nGC_204) - 2d0*Nc*cMD*   &
                        coupl(nGC_125)**2d0*coupl(nGC_204) - 2d0*Nc*cMS*coupl( &
                        nGC_122)**2d0*coupl(nGC_216) + 2d0*Nc*cMS*coupl(nGC_122&
                        )*coupl(nGC_125)*coupl(nGC_216) - 2d0*Nc*cMS*coupl(    &
                        nGC_125)**2d0*coupl(nGC_216) - 2d0*Nc*cMT*coupl(nGC_123&
                        )**2d0*coupl(nGC_220) + 2d0*Nc*cMT*coupl(nGC_123)*coupl&
                        (nGC_126)*coupl(nGC_220) - 2d0*Nc*cMT*coupl(nGC_126)** &
                        2d0*coupl(nGC_220) - 2d0*Nc*cMU*coupl(nGC_123)**2d0*   &
                        coupl(nGC_228) + 2d0*Nc*cMU*coupl(nGC_123)*coupl(      &
                        nGC_126)*coupl(nGC_228) - 2d0*Nc*cMU*coupl(nGC_126)**  &
                        2d0*coupl(nGC_228) - 2d0*cME*coupl(nGC_124)**2d0*coupl(&
                        nGC_208) + 2d0*cME*coupl(nGC_124)*coupl(nGC_128)*coupl(&
                        nGC_208) - 2d0*cME*coupl(nGC_128)**2d0*coupl(nGC_208   &
                        ) - 2d0*cMM*coupl(nGC_124)**2d0*coupl(nGC_212) + 2d0*  &
                        cMM*coupl(nGC_124)*coupl(nGC_128)*coupl(nGC_212) - 2d0*&
                        cMM*coupl(nGC_128)**2d0*coupl(nGC_212) - 2d0*cMTA*coupl&
                        (nGC_124)**2d0*coupl(nGC_224) + 2d0*cMTA*coupl(nGC_124 &
                        )*coupl(nGC_128)*coupl(nGC_224) - 2d0*cMTA*coupl(      &
                        nGC_128)**2d0*coupl(nGC_224) + cima*coupl(nGC_164)*    &
                        coupl(nGC_85) + coupl(nGC_103)**2d0*coupl(nGC_164) +   &
                        coupl(nGC_164)*coupl(nGC_585)**2d0)/(8d0*pi**2d0)
      coupl(nGC_2104) = coupl(nGC_1)*dZA_QED2/2d0 + coupl(nGC_1)*dZdL_QED2 +   &
                        coupl(nGC_125)*dZZA_QED2/2d0 + coupl(nGC_1784)
      coupl(nGC_1399) = (8d0*coupl(nGC_123)*coupl(nGC_126)*coupl(nGC_545) -    &
                        coupl(nGC_193)*coupl(nGC_194)*coupl(nGC_217) + 8d0*    &
                        coupl(nGC_2)**2d0*coupl(nGC_545) - coupl(nGC_218)*coupl&
                        (nGC_219)**2d0 - coupl(nGC_218)*coupl(nGC_220)**2d0 -  &
                        coupl(nGC_218)*coupl(nGC_545)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1398) = coupl(nGC_19)**2d0*coupl(nGC_214)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_1469) = (3d0*Nc*coupl(nGC_125)*coupl(nGC_99)**2d0 - 3d0*Nc*    &
                        coupl(nGC_126)*coupl(nGC_99)**2d0 - coupl(nGC_102)*    &
                        coupl(nGC_103)*coupl(nGC_585) - coupl(nGC_103)*coupl(  &
                        nGC_4)*coupl(nGC_523) + 3d0*coupl(nGC_128)*coupl(nGC_99&
                        )**2d0 - 3d0*coupl(nGC_129)*coupl(nGC_99)**2d0)/(24d0* &
                        pi**2d0)
      coupl(nGC_1468) = coupl(nGC_19)**2d0*coupl(nGC_228)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_1540) = (-2d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_196)**2d0 -  &
                        2d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_204)**2d0 - 2d0&
                        *Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_216)**2d0 - 2d0*Nc&
                        *cima*coupl(nGC_2)**2d0*coupl(nGC_200)**2d0 - 2d0*Nc*  &
                        cima*coupl(nGC_2)**2d0*coupl(nGC_220)**2d0 - 2d0*Nc*   &
                        cima*coupl(nGC_2)**2d0*coupl(nGC_228)**2d0 - 2d0*cima* &
                        coupl(nGC_208)**2d0*coupl(nGC_4)**2d0 - 2d0*cima*coupl(&
                        nGC_212)**2d0*coupl(nGC_4)**2d0 - 2d0*cima*coupl(      &
                        nGC_224)**2d0*coupl(nGC_4)**2d0 + cima*coupl(nGC_9)*   &
                        coupl(nGC_96) + coupl(nGC_3)**2d0*coupl(nGC_96) + coupl&
                        (nGC_523)**2d0*coupl(nGC_96))/(8d0*pi**2d0)
      coupl(nGC_1541) = (-2d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_195)*coupl(  &
                        nGC_196) - 2d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_203 &
                        )*coupl(nGC_204) - 2d0*Nc*cima*coupl(nGC_1)**2d0*coupl(&
                        nGC_215)*coupl(nGC_216) - 2d0*Nc*cima*coupl(nGC_199)*  &
                        coupl(nGC_2)**2d0*coupl(nGC_200) - 2d0*Nc*cima*coupl(  &
                        nGC_2)**2d0*coupl(nGC_219)*coupl(nGC_220) - 2d0*Nc*cima&
                        *coupl(nGC_2)**2d0*coupl(nGC_227)*coupl(nGC_228) - 2d0*&
                        cima*coupl(nGC_207)*coupl(nGC_208)*coupl(nGC_4)**2d0 - &
                        2d0*cima*coupl(nGC_211)*coupl(nGC_212)*coupl(nGC_4)**  &
                        2d0 - 2d0*cima*coupl(nGC_223)*coupl(nGC_224)*coupl(    &
                        nGC_4)**2d0 + cima*coupl(nGC_9)*coupl(nGC_92) + coupl( &
                        nGC_3)**2d0*coupl(nGC_92) + coupl(nGC_523)**2d0*coupl( &
                        nGC_92))/(8d0*pi**2d0)
      coupl(nGC_1542) = (Nc*cima*coupl(nGC_1)*coupl(nGC_193)*coupl(nGC_194)*   &
                        coupl(nGC_99) - 4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_197 &
                        )*coupl(nGC_561)*coupl(nGC_99) + Nc*cima*coupl(nGC_1)* &
                        coupl(nGC_201)*coupl(nGC_202)*coupl(nGC_99) + Nc*cima* &
                        coupl(nGC_1)*coupl(nGC_213)*coupl(nGC_214)*coupl(nGC_99&
                        ) - 4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_217)*coupl(     &
                        nGC_545)*coupl(nGC_99) - 4d0*Nc*cima*coupl(nGC_1)*coupl&
                        (nGC_225)*coupl(nGC_533)*coupl(nGC_99) - 4d0*Nc*cima*  &
                        coupl(nGC_193)*coupl(nGC_194)*coupl(nGC_2)*coupl(nGC_99&
                        ) + Nc*cima*coupl(nGC_197)*coupl(nGC_2)*coupl(nGC_561)*&
                        coupl(nGC_99) - 4d0*Nc*cima*coupl(nGC_2)*coupl(nGC_201 &
                        )*coupl(nGC_202)*coupl(nGC_99) - 4d0*Nc*cima*coupl(    &
                        nGC_2)*coupl(nGC_213)*coupl(nGC_214)*coupl(nGC_99) + Nc&
                        *cima*coupl(nGC_2)*coupl(nGC_217)*coupl(nGC_545)*coupl(&
                        nGC_99) + Nc*cima*coupl(nGC_2)*coupl(nGC_225)*coupl(   &
                        nGC_533)*coupl(nGC_99) + 6d0*cima*coupl(nGC_107)*coupl(&
                        nGC_601) + 6d0*cima*coupl(nGC_113)*coupl(nGC_13) + cima&
                        *coupl(nGC_205)*coupl(nGC_206)*coupl(nGC_4)*coupl(     &
                        nGC_99) + cima*coupl(nGC_209)*coupl(nGC_210)*coupl(    &
                        nGC_4)*coupl(nGC_99) + cima*coupl(nGC_221)*coupl(      &
                        nGC_222)*coupl(nGC_4)*coupl(nGC_99) + 6d0*coupl(nGC_102&
                        )*coupl(nGC_13)*coupl(nGC_3) + 6d0*coupl(nGC_107)*coupl&
                        (nGC_3)*coupl(nGC_4))/(48d0*pi**2d0)
      coupl(nGC_1543) = (Nc*cima*coupl(nGC_1)*coupl(nGC_193)*coupl(nGC_195)*   &
                        coupl(nGC_99) - 4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_197 &
                        )*coupl(nGC_199)*coupl(nGC_99) + Nc*cima*coupl(nGC_1)* &
                        coupl(nGC_201)*coupl(nGC_203)*coupl(nGC_99) + Nc*cima* &
                        coupl(nGC_1)*coupl(nGC_213)*coupl(nGC_215)*coupl(nGC_99&
                        ) - 4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_217)*coupl(     &
                        nGC_219)*coupl(nGC_99) - 4d0*Nc*cima*coupl(nGC_1)*coupl&
                        (nGC_225)*coupl(nGC_227)*coupl(nGC_99) - 4d0*Nc*cima*  &
                        coupl(nGC_193)*coupl(nGC_195)*coupl(nGC_2)*coupl(nGC_99&
                        ) + Nc*cima*coupl(nGC_197)*coupl(nGC_199)*coupl(nGC_2)*&
                        coupl(nGC_99) - 4d0*Nc*cima*coupl(nGC_2)*coupl(nGC_201 &
                        )*coupl(nGC_203)*coupl(nGC_99) - 4d0*Nc*cima*coupl(    &
                        nGC_2)*coupl(nGC_213)*coupl(nGC_215)*coupl(nGC_99) + Nc&
                        *cima*coupl(nGC_2)*coupl(nGC_217)*coupl(nGC_219)*coupl(&
                        nGC_99) + Nc*cima*coupl(nGC_2)*coupl(nGC_225)*coupl(   &
                        nGC_227)*coupl(nGC_99) + 6d0*cima*coupl(nGC_110)*coupl(&
                        nGC_601) + 6d0*cima*coupl(nGC_113)*coupl(nGC_15) + cima&
                        *coupl(nGC_205)*coupl(nGC_207)*coupl(nGC_4)*coupl(     &
                        nGC_99) + cima*coupl(nGC_209)*coupl(nGC_211)*coupl(    &
                        nGC_4)*coupl(nGC_99) + cima*coupl(nGC_221)*coupl(      &
                        nGC_223)*coupl(nGC_4)*coupl(nGC_99) + 6d0*coupl(nGC_102&
                        )*coupl(nGC_15)*coupl(nGC_3) + 6d0*coupl(nGC_110)*coupl&
                        (nGC_3)*coupl(nGC_4))/(48d0*pi**2d0)
      coupl(nGC_1391) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_202) + 8d0*coupl(     &
                        nGC_122)*coupl(nGC_125)*coupl(nGC_202) - coupl(nGC_201 &
                        )*coupl(nGC_225)*coupl(nGC_533) - coupl(nGC_202)**2d0* &
                        coupl(nGC_597) - coupl(nGC_203)**2d0*coupl(nGC_597) -  &
                        coupl(nGC_204)**2d0*coupl(nGC_597))/(32d0*pi**2d0)
      coupl(nGC_1390) = coupl(nGC_19)**2d0*coupl(nGC_597)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_1393) = (8d0*coupl(nGC_124)*coupl(nGC_128)*coupl(nGC_210) -    &
                        coupl(nGC_210)**2d0*coupl(nGC_569) + 8d0*coupl(nGC_210 &
                        )*coupl(nGC_4)**2d0 - coupl(nGC_211)**2d0*coupl(nGC_569&
                        ) - coupl(nGC_212)**2d0*coupl(nGC_569))/(32d0*pi**2d0)
      coupl(nGC_1392) = coupl(nGC_19)**2d0*coupl(nGC_202)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_1467) = (8d0*coupl(nGC_123)*coupl(nGC_126)*coupl(nGC_228) + 8d0&
                        *coupl(nGC_2)**2d0*coupl(nGC_228) - coupl(nGC_201)*    &
                        coupl(nGC_204)*coupl(nGC_225) - coupl(nGC_226)**2d0*   &
                        coupl(nGC_228) - coupl(nGC_227)**2d0*coupl(nGC_228) -  &
                        coupl(nGC_228)**3d0)/(32d0*pi**2d0)
      coupl(nGC_1466) = (8d0*coupl(nGC_123)*coupl(nGC_126)*coupl(nGC_228) + 8d0&
                        *coupl(nGC_2)**2d0*coupl(nGC_228) - coupl(nGC_201)*    &
                        coupl(nGC_204)*coupl(nGC_225) - coupl(nGC_227)**2d0*   &
                        coupl(nGC_228) - coupl(nGC_228)**3d0 - coupl(nGC_228)* &
                        coupl(nGC_533)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1397) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_214) + 8d0*coupl(     &
                        nGC_122)*coupl(nGC_125)*coupl(nGC_214) - coupl(nGC_197 &
                        )*coupl(nGC_213)*coupl(nGC_561) - coupl(nGC_214)**2d0* &
                        coupl(nGC_525) - coupl(nGC_215)**2d0*coupl(nGC_525) -  &
                        coupl(nGC_216)**2d0*coupl(nGC_525))/(32d0*pi**2d0)
      coupl(nGC_1396) = coupl(nGC_19)**2d0*coupl(nGC_525)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_1544) = (-8d0*Nc*cima*coupl(nGC_1)*coupl(nGC_122)*coupl(nGC_193&
                        )**2d0 - 8d0*Nc*cima*coupl(nGC_1)*coupl(nGC_122)*coupl(&
                        nGC_201)**2d0 - 8d0*Nc*cima*coupl(nGC_1)*coupl(nGC_122 &
                        )*coupl(nGC_213)**2d0 + 5d0*Nc*cima*coupl(nGC_1)*coupl(&
                        nGC_123)*coupl(nGC_197)**2d0 + 5d0*Nc*cima*coupl(nGC_1 &
                        )*coupl(nGC_123)*coupl(nGC_217)**2d0 + 5d0*Nc*cima*    &
                        coupl(nGC_1)*coupl(nGC_123)*coupl(nGC_225)**2d0 - 8d0* &
                        Nc*cima*coupl(nGC_1)*coupl(nGC_125)*coupl(nGC_197)**2d0&
                         - 8d0*Nc*cima*coupl(nGC_1)*coupl(nGC_125)*coupl(      &
                        nGC_217)**2d0 - 8d0*Nc*cima*coupl(nGC_1)*coupl(nGC_125 &
                        )*coupl(nGC_225)**2d0 + 5d0*Nc*cima*coupl(nGC_1)*coupl(&
                        nGC_126)*coupl(nGC_193)**2d0 + 5d0*Nc*cima*coupl(nGC_1 &
                        )*coupl(nGC_126)*coupl(nGC_201)**2d0 + 5d0*Nc*cima*    &
                        coupl(nGC_1)*coupl(nGC_126)*coupl(nGC_213)**2d0 + 5d0* &
                        Nc*cima*coupl(nGC_122)*coupl(nGC_193)**2d0*coupl(nGC_2 &
                        ) + 5d0*Nc*cima*coupl(nGC_122)*coupl(nGC_2)*coupl(     &
                        nGC_201)**2d0 + 5d0*Nc*cima*coupl(nGC_122)*coupl(nGC_2 &
                        )*coupl(nGC_213)**2d0 - 8d0*Nc*cima*coupl(nGC_123)*    &
                        coupl(nGC_197)**2d0*coupl(nGC_2) - 8d0*Nc*cima*coupl(  &
                        nGC_123)*coupl(nGC_2)*coupl(nGC_217)**2d0 - 8d0*Nc*cima&
                        *coupl(nGC_123)*coupl(nGC_2)*coupl(nGC_225)**2d0 + 5d0*&
                        Nc*cima*coupl(nGC_125)*coupl(nGC_197)**2d0*coupl(nGC_2 &
                        ) + 5d0*Nc*cima*coupl(nGC_125)*coupl(nGC_2)*coupl(     &
                        nGC_217)**2d0 + 5d0*Nc*cima*coupl(nGC_125)*coupl(nGC_2 &
                        )*coupl(nGC_225)**2d0 - 8d0*Nc*cima*coupl(nGC_126)*    &
                        coupl(nGC_193)**2d0*coupl(nGC_2) - 8d0*Nc*cima*coupl(  &
                        nGC_126)*coupl(nGC_2)*coupl(nGC_201)**2d0 - 8d0*Nc*cima&
                        *coupl(nGC_126)*coupl(nGC_2)*coupl(nGC_213)**2d0 + 6d0*&
                        cima*coupl(nGC_116)*coupl(nGC_71) - 8d0*cima*coupl(    &
                        nGC_124)*coupl(nGC_205)**2d0*coupl(nGC_4) - 8d0*cima*  &
                        coupl(nGC_124)*coupl(nGC_209)**2d0*coupl(nGC_4) - 8d0* &
                        cima*coupl(nGC_124)*coupl(nGC_221)**2d0*coupl(nGC_4) + &
                        5d0*cima*coupl(nGC_129)*coupl(nGC_205)**2d0*coupl(nGC_4&
                        ) + 5d0*cima*coupl(nGC_129)*coupl(nGC_209)**2d0*coupl( &
                        nGC_4) + 5d0*cima*coupl(nGC_129)*coupl(nGC_221)**2d0*  &
                        coupl(nGC_4) + 6d0*coupl(nGC_103)*coupl(nGC_3)*coupl(  &
                        nGC_71) + 6d0*coupl(nGC_523)*coupl(nGC_585)*coupl(     &
                        nGC_71))/(48d0*pi**2d0)
      coupl(nGC_1731) = coupl(nGC_1231)*dyc_QED3 + coupl(nGC_1232)*da_QED2
      coupl(nGC_1545) = (Nc*cima*coupl(nGC_1)*coupl(nGC_193)*coupl(nGC_196)*   &
                        coupl(nGC_99) - 4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_197 &
                        )*coupl(nGC_200)*coupl(nGC_99) + Nc*cima*coupl(nGC_1)* &
                        coupl(nGC_201)*coupl(nGC_204)*coupl(nGC_99) + Nc*cima* &
                        coupl(nGC_1)*coupl(nGC_213)*coupl(nGC_216)*coupl(nGC_99&
                        ) - 4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_217)*coupl(     &
                        nGC_220)*coupl(nGC_99) - 4d0*Nc*cima*coupl(nGC_1)*coupl&
                        (nGC_225)*coupl(nGC_228)*coupl(nGC_99) - 4d0*Nc*cima*  &
                        coupl(nGC_193)*coupl(nGC_196)*coupl(nGC_2)*coupl(nGC_99&
                        ) + Nc*cima*coupl(nGC_197)*coupl(nGC_2)*coupl(nGC_200)*&
                        coupl(nGC_99) - 4d0*Nc*cima*coupl(nGC_2)*coupl(nGC_201 &
                        )*coupl(nGC_204)*coupl(nGC_99) - 4d0*Nc*cima*coupl(    &
                        nGC_2)*coupl(nGC_213)*coupl(nGC_216)*coupl(nGC_99) + Nc&
                        *cima*coupl(nGC_2)*coupl(nGC_217)*coupl(nGC_220)*coupl(&
                        nGC_99) + Nc*cima*coupl(nGC_2)*coupl(nGC_225)*coupl(   &
                        nGC_228)*coupl(nGC_99) + 6d0*cima*coupl(nGC_113)*coupl(&
                        nGC_28) + 6d0*cima*coupl(nGC_120)*coupl(nGC_601) + cima&
                        *coupl(nGC_205)*coupl(nGC_208)*coupl(nGC_4)*coupl(     &
                        nGC_99) + cima*coupl(nGC_209)*coupl(nGC_212)*coupl(    &
                        nGC_4)*coupl(nGC_99) + cima*coupl(nGC_221)*coupl(      &
                        nGC_224)*coupl(nGC_4)*coupl(nGC_99) + 6d0*coupl(nGC_102&
                        )*coupl(nGC_28)*coupl(nGC_3) + 6d0*coupl(nGC_120)*coupl&
                        (nGC_3)*coupl(nGC_4))/(48d0*pi**2d0)
      coupl(nGC_1546) = (Nc*cima*coupl(nGC_1)*coupl(nGC_193)*coupl(nGC_611)*   &
                        coupl(nGC_99) - 4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_197 &
                        )*coupl(nGC_198)*coupl(nGC_99) + Nc*cima*coupl(nGC_1)* &
                        coupl(nGC_201)*coupl(nGC_597)*coupl(nGC_99) + Nc*cima* &
                        coupl(nGC_1)*coupl(nGC_213)*coupl(nGC_525)*coupl(nGC_99&
                        ) - 4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_217)*coupl(     &
                        nGC_218)*coupl(nGC_99) - 4d0*Nc*cima*coupl(nGC_1)*coupl&
                        (nGC_225)*coupl(nGC_226)*coupl(nGC_99) - 4d0*Nc*cima*  &
                        coupl(nGC_193)*coupl(nGC_2)*coupl(nGC_611)*coupl(nGC_99&
                        ) + Nc*cima*coupl(nGC_197)*coupl(nGC_198)*coupl(nGC_2)*&
                        coupl(nGC_99) - 4d0*Nc*cima*coupl(nGC_2)*coupl(nGC_201 &
                        )*coupl(nGC_597)*coupl(nGC_99) - 4d0*Nc*cima*coupl(    &
                        nGC_2)*coupl(nGC_213)*coupl(nGC_525)*coupl(nGC_99) + Nc&
                        *cima*coupl(nGC_2)*coupl(nGC_217)*coupl(nGC_218)*coupl(&
                        nGC_99) + Nc*cima*coupl(nGC_2)*coupl(nGC_225)*coupl(   &
                        nGC_226)*coupl(nGC_99) + 6d0*cima*coupl(nGC_108)*coupl(&
                        nGC_601) + 6d0*cima*coupl(nGC_113)*coupl(nGC_14) + cima&
                        *coupl(nGC_205)*coupl(nGC_4)*coupl(nGC_573)*coupl(     &
                        nGC_99) + cima*coupl(nGC_209)*coupl(nGC_4)*coupl(      &
                        nGC_569)*coupl(nGC_99) + cima*coupl(nGC_221)*coupl(    &
                        nGC_4)*coupl(nGC_535)*coupl(nGC_99) + 6d0*coupl(nGC_103&
                        )*coupl(nGC_14)*coupl(nGC_523) + 6d0*coupl(nGC_108)*   &
                        coupl(nGC_3)*coupl(nGC_523))/(48d0*pi**2d0)
      coupl(nGC_1496) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_125) + coupl(nGC_122)*&
                        coupl(nGC_214)*coupl(nGC_525) + coupl(nGC_122)*coupl(  &
                        nGC_215)**2d0 + coupl(nGC_122)*coupl(nGC_216)**2d0 +   &
                        coupl(nGC_123)*coupl(nGC_197)**2d0 + 4d0*coupl(nGC_125 &
                        )**3d0 + 4d0*coupl(nGC_126)*coupl(nGC_99)**2d0 + 2d0*  &
                        coupl(nGC_585)*coupl(nGC_99)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1497) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_122) + 4d0*coupl(     &
                        nGC_122)**3d0 + coupl(nGC_125)*coupl(nGC_214)*coupl(   &
                        nGC_525) + coupl(nGC_125)*coupl(nGC_215)**2d0 + coupl( &
                        nGC_125)*coupl(nGC_216)**2d0 + coupl(nGC_126)*coupl(   &
                        nGC_213)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1494) = (2d0*coupl(nGC_103)*coupl(nGC_99)**2d0 + coupl(nGC_124 &
                        )*coupl(nGC_209)**2d0 + 4d0*coupl(nGC_128)*coupl(nGC_99&
                        )**2d0 + 4d0*coupl(nGC_129)**3d0)/(32d0*pi**2d0)
      coupl(nGC_1547) = (2d0*Nc*cima*coupl(nGC_1)**4d0 + 2d0*Nc*cima*coupl(    &
                        nGC_2)**4d0 - 2d0*cima*coupl(nGC_3)**4d0 + 2d0*cima*   &
                        coupl(nGC_4)**4d0 - 2d0*cima*coupl(nGC_523)**4d0 + cima&
                        *coupl(nGC_9)**2d0 + 2d0*coupl(nGC_3)**2d0*coupl(nGC_9 &
                        ) + 2d0*coupl(nGC_523)**2d0*coupl(nGC_9))/(8d0*pi**2d0)
      coupl(nGC_1492) = (-2d0*coupl(nGC_103)*coupl(nGC_99)**2d0 + coupl(nGC_124&
                        )*coupl(nGC_210)*coupl(nGC_569) + coupl(nGC_124)*coupl(&
                        nGC_211)**2d0 + coupl(nGC_124)*coupl(nGC_212)**2d0 +   &
                        4d0*coupl(nGC_128)**3d0 + 4d0*coupl(nGC_128)*coupl(    &
                        nGC_4)**2d0 + 4d0*coupl(nGC_129)*coupl(nGC_99)**2d0)/( &
                        32d0*pi**2d0)
      coupl(nGC_1493) = (2d0*coupl(nGC_103)*coupl(nGC_99)**2d0 + coupl(nGC_124 &
                        )*coupl(nGC_205)**2d0 + 4d0*coupl(nGC_128)*coupl(nGC_99&
                        )**2d0 + 4d0*coupl(nGC_129)**3d0)/(32d0*pi**2d0)
      coupl(nGC_1490) = (-2d0*coupl(nGC_103)*coupl(nGC_99)**2d0 + coupl(nGC_124&
                        )*coupl(nGC_206)*coupl(nGC_573) + coupl(nGC_124)*coupl(&
                        nGC_207)**2d0 + coupl(nGC_124)*coupl(nGC_208)**2d0 +   &
                        4d0*coupl(nGC_128)**3d0 + 4d0*coupl(nGC_128)*coupl(    &
                        nGC_4)**2d0 + 4d0*coupl(nGC_129)*coupl(nGC_99)**2d0)/( &
                        32d0*pi**2d0)
      coupl(nGC_1491) = (4d0*coupl(nGC_124)**3d0 + 4d0*coupl(nGC_124)*coupl(   &
                        nGC_4)**2d0 + coupl(nGC_128)*coupl(nGC_210)*coupl(     &
                        nGC_569) + coupl(nGC_128)*coupl(nGC_211)**2d0 + coupl( &
                        nGC_128)*coupl(nGC_212)**2d0 + coupl(nGC_129)*coupl(   &
                        nGC_209)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1498) = (2d0*coupl(nGC_103)*coupl(nGC_99)**2d0 + coupl(nGC_122 &
                        )*coupl(nGC_193)**2d0 + coupl(nGC_123)*coupl(nGC_218)* &
                        coupl(nGC_545) + coupl(nGC_123)*coupl(nGC_219)**2d0 +  &
                        coupl(nGC_123)*coupl(nGC_220)**2d0 + 4d0*coupl(nGC_125 &
                        )*coupl(nGC_99)**2d0 + 4d0*coupl(nGC_126)**3d0 + 4d0*  &
                        coupl(nGC_126)*coupl(nGC_2)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1499) = (4d0*coupl(nGC_123)**3d0 + 4d0*coupl(nGC_123)*coupl(   &
                        nGC_2)**2d0 + coupl(nGC_125)*coupl(nGC_217)**2d0 +     &
                        coupl(nGC_126)*coupl(nGC_218)*coupl(nGC_545) + coupl(  &
                        nGC_126)*coupl(nGC_219)**2d0 + coupl(nGC_126)*coupl(   &
                        nGC_220)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1904) = coupl(nGC_1713) + coupl(nGC_221)*dZnu_tauL_QED2/2d0 +  &
                        coupl(nGC_221)*dZtauMinusR_QED2/2d0
      coupl(nGC_1905) = coupl(nGC_110)*dZAZ_QED2/2d0 + coupl(nGC_15)*dZHh_QED2/&
                        2d0 + coupl(nGC_15)*dZWMinus_QED2/2d0 + coupl(nGC_15)* &
                        dZZ_QED2/2d0 + coupl(nGC_1769) + coupl(nGC_28)*        &
                        dZHlHh_QED2/2d0
      coupl(nGC_1906) = -coupl(nGC_1673)/2d0 - coupl(nGC_5)*dZWMinus_QED2/4d0
      coupl(nGC_1264) = (-4d0*Nc*cMB**2d0*cima*coupl(nGC_194)*coupl(nGC_611) - &
                        4d0*Nc*cMC**2d0*cima*coupl(nGC_198)*coupl(nGC_561) -   &
                        4d0*Nc*cMD**2d0*cima*coupl(nGC_202)*coupl(nGC_597) -   &
                        4d0*Nc*cMS**2d0*cima*coupl(nGC_214)*coupl(nGC_525) -   &
                        4d0*Nc*cMT**2d0*cima*coupl(nGC_218)*coupl(nGC_545) -   &
                        4d0*Nc*cMU**2d0*cima*coupl(nGC_226)*coupl(nGC_533) -   &
                        4d0*cME**2d0*cima*coupl(nGC_206)*coupl(nGC_573) - 4d0* &
                        cMM**2d0*cima*coupl(nGC_210)*coupl(nGC_569) - 4d0*cMTA &
                        **2d0*cima*coupl(nGC_222)*coupl(nGC_535) - 2d0*cMW**2d0&
                        *coupl(nGC_71) - cMZ**2d0*coupl(nGC_142))/(16d0*pi**2d0&
                        )
      coupl(nGC_1261) = cima*(Nc*coupl(nGC_195)**2d0 + Nc*coupl(nGC_199)**2d0  &
                         + Nc*coupl(nGC_203)**2d0 + Nc*coupl(nGC_215)**2d0 + Nc&
                        *coupl(nGC_219)**2d0 + Nc*coupl(nGC_227)**2d0 + coupl( &
                        nGC_207)**2d0 + coupl(nGC_211)**2d0 + coupl(nGC_223)** &
                        2d0)/(24d0*pi**2d0)
      coupl(nGC_1263) = cima*(Nc*coupl(nGC_194)*coupl(nGC_611) + Nc*coupl(     &
                        nGC_198)*coupl(nGC_561) + Nc*coupl(nGC_202)*coupl(     &
                        nGC_597) + Nc*coupl(nGC_214)*coupl(nGC_525) + Nc*coupl(&
                        nGC_218)*coupl(nGC_545) + Nc*coupl(nGC_226)*coupl(     &
                        nGC_533) + coupl(nGC_206)*coupl(nGC_573) + coupl(      &
                        nGC_210)*coupl(nGC_569) + coupl(nGC_222)*coupl(nGC_535 &
                        ))/(24d0*pi**2d0)
      coupl(nGC_1262) = (-4d0*Nc*cMB**2d0*cima*coupl(nGC_195)**2d0 - 4d0*Nc*cMC&
                        **2d0*cima*coupl(nGC_199)**2d0 - 4d0*Nc*cMD**2d0*cima* &
                        coupl(nGC_203)**2d0 - 4d0*Nc*cMS**2d0*cima*coupl(      &
                        nGC_215)**2d0 - 4d0*Nc*cMT**2d0*cima*coupl(nGC_219)**  &
                        2d0 - 4d0*Nc*cMU**2d0*cima*coupl(nGC_227)**2d0 - 4d0*  &
                        cME**2d0*cima*coupl(nGC_207)**2d0 - 4d0*cMM**2d0*cima* &
                        coupl(nGC_211)**2d0 - 4d0*cMTA**2d0*cima*coupl(nGC_223 &
                        )**2d0 - 2d0*cMW**2d0*coupl(nGC_82) - cMZ**2d0*coupl(  &
                        nGC_145) + 2d0*cima*coupl(nGC_162)**2d0 + cima*coupl(  &
                        nGC_175)**2d0)/(16d0*pi**2d0)
      coupl(nGC_1269) = (-4d0*Nc*cMB**2d0*cima*coupl(nGC_195)*coupl(nGC_196) - &
                        4d0*Nc*cMC**2d0*cima*coupl(nGC_199)*coupl(nGC_200) -   &
                        4d0*Nc*cMD**2d0*cima*coupl(nGC_203)*coupl(nGC_204) -   &
                        4d0*Nc*cMS**2d0*cima*coupl(nGC_215)*coupl(nGC_216) -   &
                        4d0*Nc*cMT**2d0*cima*coupl(nGC_219)*coupl(nGC_220) -   &
                        4d0*Nc*cMU**2d0*cima*coupl(nGC_227)*coupl(nGC_228) -   &
                        4d0*cME**2d0*cima*coupl(nGC_207)*coupl(nGC_208) - 4d0* &
                        cMM**2d0*cima*coupl(nGC_211)*coupl(nGC_212) - 4d0*cMTA &
                        **2d0*cima*coupl(nGC_223)*coupl(nGC_224) - 2d0*cMW**2d0&
                        *coupl(nGC_92) - cMZ**2d0*coupl(nGC_147) + 2d0*cima*   &
                        coupl(nGC_162)*coupl(nGC_164) + cima*coupl(nGC_175)*   &
                        coupl(nGC_177))/(16d0*pi**2d0)
      coupl(nGC_1268) = cima*(Nc*coupl(nGC_195)*coupl(nGC_196) + Nc*coupl(     &
                        nGC_199)*coupl(nGC_200) + Nc*coupl(nGC_203)*coupl(     &
                        nGC_204) + Nc*coupl(nGC_215)*coupl(nGC_216) + Nc*coupl(&
                        nGC_219)*coupl(nGC_220) + Nc*coupl(nGC_227)*coupl(     &
                        nGC_228) + coupl(nGC_207)*coupl(nGC_208) + coupl(      &
                        nGC_211)*coupl(nGC_212) + coupl(nGC_223)*coupl(nGC_224 &
                        ))/(24d0*pi**2d0)
      coupl(nGC_1901) = coupl(nGC_161)*dZHh_QED2/2d0 + coupl(nGC_165)*         &
                        dZHlHh_QED2/2d0 + coupl(nGC_1669)
      coupl(nGC_1737) = coupl(nGC_1233)*dyc_QED3 + coupl(nGC_1234)*da_QED2
      coupl(nGC_1454) = coupl(nGC_212)*(8d0*coupl(nGC_124)*coupl(nGC_128) -    &
                        coupl(nGC_210)**2d0 - coupl(nGC_211)**2d0 - coupl(     &
                        nGC_212)**2d0 + 8d0*coupl(nGC_4)**2d0)/(32d0*pi**2d0)
      coupl(nGC_2067) = coupl(nGC_1)*dZA_QED2/2d0 + coupl(nGC_1)*dZbL_QED2 +   &
                        coupl(nGC_125)*dZZA_QED2/2d0 + coupl(nGC_1784)
      coupl(nGC_1548) = (Nc*cima*coupl(nGC_1)*coupl(nGC_193)*coupl(nGC_195)*   &
                        coupl(nGC_99) - 4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_197 &
                        )*coupl(nGC_199)*coupl(nGC_99) + Nc*cima*coupl(nGC_1)* &
                        coupl(nGC_201)*coupl(nGC_203)*coupl(nGC_99) + Nc*cima* &
                        coupl(nGC_1)*coupl(nGC_213)*coupl(nGC_215)*coupl(nGC_99&
                        ) - 4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_217)*coupl(     &
                        nGC_219)*coupl(nGC_99) - 4d0*Nc*cima*coupl(nGC_1)*coupl&
                        (nGC_225)*coupl(nGC_227)*coupl(nGC_99) - 4d0*Nc*cima*  &
                        coupl(nGC_193)*coupl(nGC_195)*coupl(nGC_2)*coupl(nGC_99&
                        ) + Nc*cima*coupl(nGC_197)*coupl(nGC_199)*coupl(nGC_2)*&
                        coupl(nGC_99) - 4d0*Nc*cima*coupl(nGC_2)*coupl(nGC_201 &
                        )*coupl(nGC_203)*coupl(nGC_99) - 4d0*Nc*cima*coupl(    &
                        nGC_2)*coupl(nGC_213)*coupl(nGC_215)*coupl(nGC_99) + Nc&
                        *cima*coupl(nGC_2)*coupl(nGC_217)*coupl(nGC_219)*coupl(&
                        nGC_99) + Nc*cima*coupl(nGC_2)*coupl(nGC_225)*coupl(   &
                        nGC_227)*coupl(nGC_99) + 6d0*cima*coupl(nGC_110)*coupl(&
                        nGC_601) + 6d0*cima*coupl(nGC_113)*coupl(nGC_15) + cima&
                        *coupl(nGC_205)*coupl(nGC_207)*coupl(nGC_4)*coupl(     &
                        nGC_99) + cima*coupl(nGC_209)*coupl(nGC_211)*coupl(    &
                        nGC_4)*coupl(nGC_99) + cima*coupl(nGC_221)*coupl(      &
                        nGC_223)*coupl(nGC_4)*coupl(nGC_99) + 6d0*coupl(nGC_103&
                        )*coupl(nGC_15)*coupl(nGC_523) + 6d0*coupl(nGC_110)*   &
                        coupl(nGC_3)*coupl(nGC_523))/(48d0*pi**2d0)
      coupl(nGC_1304) = cima*(-coupl(nGC_129)**2d0 - coupl(nGC_99)**2d0)/(16d0*&
                        pi**2d0)
      coupl(nGC_1455) = coupl(nGC_212)*(8d0*coupl(nGC_124)*coupl(nGC_128) -    &
                        coupl(nGC_211)**2d0 - coupl(nGC_212)**2d0 + 8d0*coupl( &
                        nGC_4)**2d0 - coupl(nGC_569)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1303) = cMM*cima*(-coupl(nGC_124)*coupl(nGC_128) - coupl(nGC_4 &
                        )**2d0)/(8d0*pi**2d0)
      coupl(nGC_1549) = (Nc*cima*coupl(nGC_1)**3d0*coupl(nGC_122) + Nc*cima*   &
                        coupl(nGC_1)**3d0*coupl(nGC_125) + Nc*cima*coupl(      &
                        nGC_123)*coupl(nGC_2)**3d0 + Nc*cima*coupl(nGC_126)*   &
                        coupl(nGC_2)**3d0 - 2d0*cima*coupl(nGC_103)*coupl(nGC_3&
                        )**3d0 + cima*coupl(nGC_116)*coupl(nGC_9) + cima*coupl(&
                        nGC_124)*coupl(nGC_4)**3d0 + cima*coupl(nGC_128)*coupl(&
                        nGC_4)**3d0 - 2d0*cima*coupl(nGC_523)**3d0*coupl(      &
                        nGC_585) + coupl(nGC_103)*coupl(nGC_3)*coupl(nGC_9) +  &
                        coupl(nGC_116)*coupl(nGC_3)**2d0 + coupl(nGC_116)*coupl&
                        (nGC_523)**2d0 + coupl(nGC_523)*coupl(nGC_585)*coupl(  &
                        nGC_9))/(8d0*pi**2d0)
      coupl(nGC_2233) = coupl(nGC_1641) + 2d0*coupl(nGC_33)*dZHlHh_QED2 + 2d0* &
                        coupl(nGC_35)*dZHh_QED2
      coupl(nGC_1736) = coupl(nGC_1175)*dyup_QED1_QCD2
      coupl(nGC_2148) = coupl(nGC_100)*dZHhHl_QED2/2d0 + coupl(nGC_118)*       &
                        dZHl_QED2/2d0 + coupl(nGC_118)*dZWMinus_QED2/2d0 +     &
                        coupl(nGC_1752)
      coupl(nGC_2048) = coupl(nGC_19)*dZtR_QED2
      coupl(nGC_2049) = -coupl(nGC_100)*dZHh_QED2/2d0 - coupl(nGC_100)*        &
                        dZWMinus_QED2/2d0 - coupl(nGC_118)*dZHlHh_QED2/2d0 -   &
                        coupl(nGC_1751)
      coupl(nGC_2045) = coupl(nGC_1785) + coupl(nGC_19)*dZg_QCD2/2d0 + coupl(  &
                        nGC_19)*dZtL_QCD2
      coupl(nGC_2046) = coupl(nGC_19)*dZtL_QED2
      coupl(nGC_2061) = coupl(nGC_125)*dZsL_QCD2
      coupl(nGC_2040) = coupl(nGC_MI)*dZWMinus_QED2
      coupl(nGC_2041) = -coupl(nGC_MI)*dZWMinus_QED2
      coupl(nGC_2042) = coupl(nGC_105)*dZZ_QED2/4d0 + coupl(nGC_1676)/2d0 +    &
                        coupl(nGC_5)*dZAZ_QED2/4d0
      coupl(nGC_2043) = coupl(nGC_128)*dZZ_QED2/2d0 + coupl(nGC_128)*          &
                        dZmuMinusL_QED2 + coupl(nGC_1768) + coupl(nGC_4)*      &
                        dZAZ_QED2/2d0
      coupl(nGC_1630) = coupl(nGC_1015)*dcw_QED2 + coupl(nGC_1016)*dsw_QED2 +  &
                        coupl(nGC_1017)*dZee_QED2
      coupl(nGC_2140) = coupl(nGC_1738) + coupl(nGC_200)*dZcL_QCD2/2d0 + coupl(&
                        nGC_200)*dZcR_QCD2/2d0
      coupl(nGC_1602) = (-8d0*Nc*cima*coupl(nGC_122)**2d0*coupl(nGC_196)**2d0  &
                         - 8d0*Nc*cima*coupl(nGC_122)**2d0*coupl(nGC_204)**2d0 &
                         - 8d0*Nc*cima*coupl(nGC_122)**2d0*coupl(nGC_216)**2d0 &
                         + 10d0*Nc*cima*coupl(nGC_122)*coupl(nGC_125)*coupl(   &
                        nGC_196)**2d0 + 10d0*Nc*cima*coupl(nGC_122)*coupl(     &
                        nGC_125)*coupl(nGC_204)**2d0 + 10d0*Nc*cima*coupl(     &
                        nGC_122)*coupl(nGC_125)*coupl(nGC_216)**2d0 - 8d0*Nc*  &
                        cima*coupl(nGC_123)**2d0*coupl(nGC_200)**2d0 - 8d0*Nc* &
                        cima*coupl(nGC_123)**2d0*coupl(nGC_220)**2d0 - 8d0*Nc* &
                        cima*coupl(nGC_123)**2d0*coupl(nGC_228)**2d0 + 10d0*Nc*&
                        cima*coupl(nGC_123)*coupl(nGC_126)*coupl(nGC_200)**2d0 &
                         + 10d0*Nc*cima*coupl(nGC_123)*coupl(nGC_126)*coupl(   &
                        nGC_220)**2d0 + 10d0*Nc*cima*coupl(nGC_123)*coupl(     &
                        nGC_126)*coupl(nGC_228)**2d0 - 8d0*Nc*cima*coupl(      &
                        nGC_125)**2d0*coupl(nGC_196)**2d0 - 8d0*Nc*cima*coupl( &
                        nGC_125)**2d0*coupl(nGC_204)**2d0 - 8d0*Nc*cima*coupl( &
                        nGC_125)**2d0*coupl(nGC_216)**2d0 - 8d0*Nc*cima*coupl( &
                        nGC_126)**2d0*coupl(nGC_200)**2d0 - 8d0*Nc*cima*coupl( &
                        nGC_126)**2d0*coupl(nGC_220)**2d0 - 8d0*Nc*cima*coupl( &
                        nGC_126)**2d0*coupl(nGC_228)**2d0 - 8d0*cima*coupl(    &
                        nGC_124)**2d0*coupl(nGC_208)**2d0 - 8d0*cima*coupl(    &
                        nGC_124)**2d0*coupl(nGC_212)**2d0 - 8d0*cima*coupl(    &
                        nGC_124)**2d0*coupl(nGC_224)**2d0 + 10d0*cima*coupl(   &
                        nGC_124)*coupl(nGC_128)*coupl(nGC_208)**2d0 + 10d0*cima&
                        *coupl(nGC_124)*coupl(nGC_128)*coupl(nGC_212)**2d0 +   &
                        10d0*cima*coupl(nGC_124)*coupl(nGC_128)*coupl(nGC_224  &
                        )**2d0 - 8d0*cima*coupl(nGC_128)**2d0*coupl(nGC_208)** &
                        2d0 - 8d0*cima*coupl(nGC_128)**2d0*coupl(nGC_212)**2d0 &
                         - 8d0*cima*coupl(nGC_128)**2d0*coupl(nGC_224)**2d0 +  &
                        3d0*cima*coupl(nGC_85)*coupl(nGC_96) + 3d0*coupl(      &
                        nGC_103)**2d0*coupl(nGC_96) + 3d0*coupl(nGC_585)**2d0* &
                        coupl(nGC_96))/(24d0*pi**2d0)
      coupl(nGC_1600) = (9d0*Nc*cima*coupl(nGC_125)**2d0*coupl(nGC_99)**2d0 -  &
                        15d0*Nc*cima*coupl(nGC_125)*coupl(nGC_126)*coupl(nGC_99&
                        )**2d0 + 9d0*Nc*cima*coupl(nGC_126)**2d0*coupl(nGC_99  &
                        )**2d0 - 4d0*cima*coupl(nGC_102)*coupl(nGC_103)**2d0*  &
                        coupl(nGC_585) - 4d0*cima*coupl(nGC_103)**2d0*coupl(   &
                        nGC_4)*coupl(nGC_523) + 9d0*cima*coupl(nGC_128)**2d0*  &
                        coupl(nGC_99)**2d0 - 15d0*cima*coupl(nGC_128)*coupl(   &
                        nGC_129)*coupl(nGC_99)**2d0 + 9d0*cima*coupl(nGC_129)**&
                        2d0*coupl(nGC_99)**2d0 + 3d0*cima*coupl(nGC_633)*coupl(&
                        nGC_85) + 3d0*coupl(nGC_102)*coupl(nGC_585)*coupl(     &
                        nGC_85) + 3d0*coupl(nGC_103)**2d0*coupl(nGC_633) + 3d0*&
                        coupl(nGC_4)*coupl(nGC_523)*coupl(nGC_85) + 3d0*coupl( &
                        nGC_585)**2d0*coupl(nGC_633))/(24d0*pi**2d0)
      coupl(nGC_1606) = cima*coupl(nGC_19)**2d0*coupl(nGC_99)**2d0*sq2**2d0/(  &
                        32d0*pi**2d0)
      coupl(nGC_1604) = cima*coupl(nGC_19)**2d0*sq2**2d0*(coupl(nGC_195)**2d0  &
                         + coupl(nGC_199)**2d0 + coupl(nGC_203)**2d0 + coupl(  &
                        nGC_215)**2d0 + coupl(nGC_219)**2d0 + coupl(nGC_227)** &
                        2d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_1609) = cima*coupl(nGC_19)**2d0*sq2**2d0*(-coupl(nGC_196)**2d0 &
                         - coupl(nGC_200)**2d0 - coupl(nGC_204)**2d0 - coupl(  &
                        nGC_216)**2d0 - coupl(nGC_220)**2d0 - coupl(nGC_228)** &
                        2d0)/(16d0*pi**2d0)
      coupl(nGC_1608) = cima*coupl(nGC_19)**2d0*sq2**2d0*(coupl(nGC_195)*coupl(&
                        nGC_196) + coupl(nGC_199)*coupl(nGC_200) + coupl(      &
                        nGC_203)*coupl(nGC_204) + coupl(nGC_215)*coupl(nGC_216 &
                        ) + coupl(nGC_219)*coupl(nGC_220) + coupl(nGC_227)*    &
                        coupl(nGC_228))/(16d0*pi**2d0*Nc)
      coupl(nGC_1959) = coupl(nGC_1644) + coupl(nGC_32)*dZHlHh_QED2 + coupl(   &
                        nGC_33)*dZHhHl_QED2 + coupl(nGC_36)*dZHh_QED2 + coupl( &
                        nGC_36)*dZHl_QED2
      coupl(nGC_1636) = coupl(nGC_1180)*dcw_QED2 + coupl(nGC_1181)*dsw_QED2 +  &
                        coupl(nGC_1182)*dZee_QED2 + coupl(nGC_1183)*da_QED2
      coupl(nGC_1791) = coupl(nGC_818)*dcw_QED2 + coupl(nGC_819)*dsw_QED2 +    &
                        coupl(nGC_820)*dZee_QED2
      coupl(nGC_1512) = -coupl(nGC_19)*sq2*(-4d0*coupl(nGC_126)**2d0 - coupl(  &
                        nGC_198)*coupl(nGC_561) - coupl(nGC_199)**2d0 - 4d0*   &
                        coupl(nGC_2)**2d0 - coupl(nGC_200)**2d0 - coupl(nGC_213&
                        )**2d0 - 4d0*coupl(nGC_99)**2d0)/(64d0*pi**2d0)
      coupl(nGC_1516) = -coupl(nGC_19)*sq2*(-4d0*coupl(nGC_1)**2d0 - 4d0*coupl(&
                        nGC_125)**2d0 - coupl(nGC_202)*coupl(nGC_597) - coupl( &
                        nGC_203)**2d0 - coupl(nGC_204)**2d0 - coupl(nGC_225)** &
                        2d0 - 4d0*coupl(nGC_99)**2d0)/(64d0*pi**2d0)
      coupl(nGC_2161) = -coupl(nGC_130)*dZZA_QED2/2d0
      coupl(nGC_1495) = (2d0*coupl(nGC_103)*coupl(nGC_99)**2d0 + coupl(nGC_124 &
                        )*coupl(nGC_221)**2d0 + 4d0*coupl(nGC_128)*coupl(nGC_99&
                        )**2d0 + 4d0*coupl(nGC_129)**3d0)/(32d0*pi**2d0)
      coupl(nGC_2167) = coupl(nGC_105)*dZWMinus_QED2/4d0 + coupl(nGC_1676)/2d0
      coupl(nGC_2166) = -coupl(nGC_136)*dZZA_QED2/2d0
      coupl(nGC_1480) = coupl(nGC_125)*coupl(nGC_19)**2d0*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_2169) = coupl(nGC_1710) + coupl(nGC_196)*dZbL_QCD2/2d0 + coupl(&
                        nGC_196)*dZbR_QCD2/2d0
      coupl(nGC_2168) = coupl(nGC_1709) + coupl(nGC_195)*dZHhHl_QED2/2d0 +     &
                        coupl(nGC_196)*dZHl_QED2/2d0 + coupl(nGC_196)*dZbL_QED2&
                        /2d0 + coupl(nGC_196)*dZbR_QED2/2d0
      coupl(nGC_1528) = coupl(nGC_19)*sq2*(-4d0*coupl(nGC_126)**2d0 - 4d0*coupl&
                        (nGC_2)**2d0 - coupl(nGC_201)**2d0 - coupl(nGC_226)*   &
                        coupl(nGC_533) - coupl(nGC_227)**2d0 - coupl(nGC_228)**&
                        2d0 - 4d0*coupl(nGC_99)**2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_1931) = coupl(nGC_129)*dZZ_QED2/2d0 + coupl(nGC_129)*          &
                        dZnu_eL_QED2 + coupl(nGC_1791)
      coupl(nGC_1930) = coupl(nGC_115)*dZWMinus_QED2 + coupl(nGC_1759)
      coupl(nGC_1933) = coupl(nGC_10)*dZWMinus_QED2 + coupl(nGC_1672)
      coupl(nGC_1482) = coupl(nGC_122)*coupl(nGC_19)**2d0*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_1934) = coupl(nGC_129)*dZZ_QED2/2d0 + coupl(nGC_129)*          &
                        dZnu_muL_QED2 + coupl(nGC_1791)
      coupl(nGC_1937) = coupl(nGC_144)*dZHhHl_QED2/2d0 + coupl(nGC_148)*       &
                        dZHh_QED2/2d0 + coupl(nGC_148)*dZHl_QED2/2d0 + coupl(  &
                        nGC_150)*dZHlHh_QED2/2d0 + coupl(nGC_1646)
      coupl(nGC_1939) = coupl(nGC_154)*dZWMinus_QED2/2d0 + coupl(nGC_154)*     &
                        dZZ_QED2/2d0 + coupl(nGC_166)*dZAZ_QED2/2d0 + coupl(   &
                        nGC_1772) + coupl(nGC_TS_GC_15_Hh) + coupl(            &
                        nGC_TS_GC_28_Hl)
      coupl(nGC_1938) = coupl(nGC_154)*dZZA_QED2/2d0 + coupl(nGC_166)*dZA_QED2/&
                        2d0 + coupl(nGC_166)*dZWMinus_QED2/2d0 + coupl(nGC_1745&
                        ) + coupl(nGC_TS_GC_110_Hh) + coupl(nGC_TS_GC_120_Hl)
      coupl(nGC_1484) = coupl(nGC_126)*coupl(nGC_19)**2d0*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_2261) = -coupl(nGC_1367)
      coupl(nGC_2262) = -coupl(nGC_1345)
      coupl(nGC_2263) = -coupl(nGC_1366)
      coupl(nGC_1500) = (4d0*coupl(nGC_124)**3d0 + 4d0*coupl(nGC_124)*coupl(   &
                        nGC_4)**2d0 + coupl(nGC_128)*coupl(nGC_222)*coupl(     &
                        nGC_535) + coupl(nGC_128)*coupl(nGC_223)**2d0 + coupl( &
                        nGC_128)*coupl(nGC_224)**2d0 + coupl(nGC_129)*coupl(   &
                        nGC_221)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1486) = coupl(nGC_123)*coupl(nGC_19)**2d0*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_1505) = -coupl(nGC_19)**2d0*sq2**3d0*(Nc**2d0*cima*coupl(      &
                        nGC_629) - 2d0*coupl(nGC_19))/(128d0*pi**2d0*Nc**2d0)
      coupl(nGC_1506) = -coupl(nGC_19)*sq2*(4d0*coupl(nGC_1)**2d0 + 4d0*coupl( &
                        nGC_122)**2d0 + coupl(nGC_193)**2d0 + coupl(nGC_194)*  &
                        coupl(nGC_611) + coupl(nGC_195)**2d0 + coupl(nGC_196)**&
                        2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_1507) = -coupl(nGC_19)*sq2*(-4d0*coupl(nGC_1)**2d0 - 4d0*coupl(&
                        nGC_125)**2d0 - coupl(nGC_194)*coupl(nGC_611) - coupl( &
                        nGC_195)**2d0 - coupl(nGC_196)**2d0 - coupl(nGC_217)** &
                        2d0 - 4d0*coupl(nGC_99)**2d0)/(64d0*pi**2d0)
      coupl(nGC_1699) = coupl(nGC_1239)*dydo_QED3 + coupl(nGC_1240)*da_QED2
      coupl(nGC_1693) = coupl(nGC_1238)*dydo_QED3
      coupl(nGC_1694) = coupl(nGC_1238)*dydo_QED1_QCD2
      coupl(nGC_1593) = (-8d0*Nc*cima*coupl(nGC_196)**2d0*coupl(nGC_99)**2d0 - &
                        8d0*Nc*cima*coupl(nGC_200)**2d0*coupl(nGC_99)**2d0 -   &
                        8d0*Nc*cima*coupl(nGC_204)**2d0*coupl(nGC_99)**2d0 -   &
                        8d0*Nc*cima*coupl(nGC_216)**2d0*coupl(nGC_99)**2d0 -   &
                        8d0*Nc*cima*coupl(nGC_220)**2d0*coupl(nGC_99)**2d0 -   &
                        8d0*Nc*cima*coupl(nGC_228)**2d0*coupl(nGC_99)**2d0 +   &
                        3d0*cima*coupl(nGC_151)*coupl(nGC_85) - 8d0*cima*coupl(&
                        nGC_208)**2d0*coupl(nGC_99)**2d0 - 8d0*cima*coupl(     &
                        nGC_212)**2d0*coupl(nGC_99)**2d0 - 8d0*cima*coupl(     &
                        nGC_224)**2d0*coupl(nGC_99)**2d0 + 6d0*cima*coupl(     &
                        nGC_633)*coupl(nGC_96) + 6d0*coupl(nGC_102)*coupl(     &
                        nGC_585)*coupl(nGC_96) + 6d0*coupl(nGC_103)*coupl(     &
                        nGC_151)*coupl(nGC_539) + 6d0*coupl(nGC_4)*coupl(      &
                        nGC_523)*coupl(nGC_96))/(48d0*pi**2d0)
      coupl(nGC_1592) = (-8d0*Nc*cima*coupl(nGC_122)**2d0*coupl(nGC_195)**2d0  &
                         - 8d0*Nc*cima*coupl(nGC_122)**2d0*coupl(nGC_203)**2d0 &
                         - 8d0*Nc*cima*coupl(nGC_122)**2d0*coupl(nGC_215)**2d0 &
                         + 10d0*Nc*cima*coupl(nGC_122)*coupl(nGC_125)*coupl(   &
                        nGC_195)**2d0 + 10d0*Nc*cima*coupl(nGC_122)*coupl(     &
                        nGC_125)*coupl(nGC_203)**2d0 + 10d0*Nc*cima*coupl(     &
                        nGC_122)*coupl(nGC_125)*coupl(nGC_215)**2d0 - 8d0*Nc*  &
                        cima*coupl(nGC_123)**2d0*coupl(nGC_199)**2d0 - 8d0*Nc* &
                        cima*coupl(nGC_123)**2d0*coupl(nGC_219)**2d0 - 8d0*Nc* &
                        cima*coupl(nGC_123)**2d0*coupl(nGC_227)**2d0 + 10d0*Nc*&
                        cima*coupl(nGC_123)*coupl(nGC_126)*coupl(nGC_199)**2d0 &
                         + 10d0*Nc*cima*coupl(nGC_123)*coupl(nGC_126)*coupl(   &
                        nGC_219)**2d0 + 10d0*Nc*cima*coupl(nGC_123)*coupl(     &
                        nGC_126)*coupl(nGC_227)**2d0 - 8d0*Nc*cima*coupl(      &
                        nGC_125)**2d0*coupl(nGC_195)**2d0 - 8d0*Nc*cima*coupl( &
                        nGC_125)**2d0*coupl(nGC_203)**2d0 - 8d0*Nc*cima*coupl( &
                        nGC_125)**2d0*coupl(nGC_215)**2d0 - 8d0*Nc*cima*coupl( &
                        nGC_126)**2d0*coupl(nGC_199)**2d0 - 8d0*Nc*cima*coupl( &
                        nGC_126)**2d0*coupl(nGC_219)**2d0 - 8d0*Nc*cima*coupl( &
                        nGC_126)**2d0*coupl(nGC_227)**2d0 - 8d0*cima*coupl(    &
                        nGC_124)**2d0*coupl(nGC_207)**2d0 - 8d0*cima*coupl(    &
                        nGC_124)**2d0*coupl(nGC_211)**2d0 - 8d0*cima*coupl(    &
                        nGC_124)**2d0*coupl(nGC_223)**2d0 + 10d0*cima*coupl(   &
                        nGC_124)*coupl(nGC_128)*coupl(nGC_207)**2d0 + 10d0*cima&
                        *coupl(nGC_124)*coupl(nGC_128)*coupl(nGC_211)**2d0 +   &
                        10d0*cima*coupl(nGC_124)*coupl(nGC_128)*coupl(nGC_223  &
                        )**2d0 - 8d0*cima*coupl(nGC_128)**2d0*coupl(nGC_207)** &
                        2d0 - 8d0*cima*coupl(nGC_128)**2d0*coupl(nGC_211)**2d0 &
                         - 8d0*cima*coupl(nGC_128)**2d0*coupl(nGC_223)**2d0 +  &
                        3d0*cima*coupl(nGC_82)*coupl(nGC_85) + 3d0*coupl(      &
                        nGC_103)**2d0*coupl(nGC_82) + 3d0*coupl(nGC_585)**2d0* &
                        coupl(nGC_82))/(24d0*pi**2d0)
      coupl(nGC_1591) = cima*coupl(nGC_19)**2d0*sq2**2d0*(-coupl(nGC_1)*coupl( &
                        nGC_122) - coupl(nGC_1)*coupl(nGC_125) - coupl(nGC_123 &
                        )*coupl(nGC_2) - coupl(nGC_126)*coupl(nGC_2))/(32d0*pi &
                        **2d0*Nc)
      coupl(nGC_1590) = cima*coupl(nGC_19)**2d0*sq2**2d0*(coupl(nGC_1)*coupl(  &
                        nGC_122) + coupl(nGC_1)*coupl(nGC_125) + coupl(nGC_123 &
                        )*coupl(nGC_2) + coupl(nGC_126)*coupl(nGC_2))/(32d0*pi &
                        **2d0)
      coupl(nGC_1597) = cima*coupl(nGC_19)**2d0*sq2**2d0*(coupl(nGC_194)*coupl(&
                        nGC_611) + coupl(nGC_198)*coupl(nGC_561) + coupl(      &
                        nGC_202)*coupl(nGC_597) + coupl(nGC_214)*coupl(nGC_525 &
                        ) + coupl(nGC_218)*coupl(nGC_545) + coupl(nGC_226)*    &
                        coupl(nGC_533))/(16d0*pi**2d0*Nc)
      coupl(nGC_1596) = cima*coupl(nGC_19)**2d0*sq2**2d0*(-coupl(nGC_194)*coupl&
                        (nGC_611) - coupl(nGC_198)*coupl(nGC_561) - coupl(     &
                        nGC_202)*coupl(nGC_597) - coupl(nGC_214)*coupl(nGC_525 &
                        ) - coupl(nGC_218)*coupl(nGC_545) - coupl(nGC_226)*    &
                        coupl(nGC_533))/(16d0*pi**2d0)
      coupl(nGC_1595) = (-8d0*Nc*cima*coupl(nGC_122)**2d0*coupl(nGC_195)*coupl(&
                        nGC_196) - 8d0*Nc*cima*coupl(nGC_122)**2d0*coupl(      &
                        nGC_203)*coupl(nGC_204) - 8d0*Nc*cima*coupl(nGC_122)** &
                        2d0*coupl(nGC_215)*coupl(nGC_216) + 10d0*Nc*cima*coupl(&
                        nGC_122)*coupl(nGC_125)*coupl(nGC_195)*coupl(nGC_196   &
                        ) + 10d0*Nc*cima*coupl(nGC_122)*coupl(nGC_125)*coupl(  &
                        nGC_203)*coupl(nGC_204) + 10d0*Nc*cima*coupl(nGC_122)* &
                        coupl(nGC_125)*coupl(nGC_215)*coupl(nGC_216) - 8d0*Nc* &
                        cima*coupl(nGC_123)**2d0*coupl(nGC_199)*coupl(nGC_200  &
                        ) - 8d0*Nc*cima*coupl(nGC_123)**2d0*coupl(nGC_219)*    &
                        coupl(nGC_220) - 8d0*Nc*cima*coupl(nGC_123)**2d0*coupl(&
                        nGC_227)*coupl(nGC_228) + 10d0*Nc*cima*coupl(nGC_123)* &
                        coupl(nGC_126)*coupl(nGC_199)*coupl(nGC_200) + 10d0*Nc*&
                        cima*coupl(nGC_123)*coupl(nGC_126)*coupl(nGC_219)*coupl&
                        (nGC_220) + 10d0*Nc*cima*coupl(nGC_123)*coupl(nGC_126)*&
                        coupl(nGC_227)*coupl(nGC_228) - 8d0*Nc*cima*coupl(     &
                        nGC_125)**2d0*coupl(nGC_195)*coupl(nGC_196) - 8d0*Nc*  &
                        cima*coupl(nGC_125)**2d0*coupl(nGC_203)*coupl(nGC_204  &
                        ) - 8d0*Nc*cima*coupl(nGC_125)**2d0*coupl(nGC_215)*    &
                        coupl(nGC_216) - 8d0*Nc*cima*coupl(nGC_126)**2d0*coupl(&
                        nGC_199)*coupl(nGC_200) - 8d0*Nc*cima*coupl(nGC_126)** &
                        2d0*coupl(nGC_219)*coupl(nGC_220) - 8d0*Nc*cima*coupl( &
                        nGC_126)**2d0*coupl(nGC_227)*coupl(nGC_228) - 8d0*cima*&
                        coupl(nGC_124)**2d0*coupl(nGC_207)*coupl(nGC_208) - 8d0&
                        *cima*coupl(nGC_124)**2d0*coupl(nGC_211)*coupl(nGC_212 &
                        ) - 8d0*cima*coupl(nGC_124)**2d0*coupl(nGC_223)*coupl( &
                        nGC_224) + 10d0*cima*coupl(nGC_124)*coupl(nGC_128)*    &
                        coupl(nGC_207)*coupl(nGC_208) + 10d0*cima*coupl(nGC_124&
                        )*coupl(nGC_128)*coupl(nGC_211)*coupl(nGC_212) + 10d0* &
                        cima*coupl(nGC_124)*coupl(nGC_128)*coupl(nGC_223)*coupl&
                        (nGC_224) - 8d0*cima*coupl(nGC_128)**2d0*coupl(nGC_207 &
                        )*coupl(nGC_208) - 8d0*cima*coupl(nGC_128)**2d0*coupl( &
                        nGC_211)*coupl(nGC_212) - 8d0*cima*coupl(nGC_128)**2d0*&
                        coupl(nGC_223)*coupl(nGC_224) + 3d0*cima*coupl(nGC_85)*&
                        coupl(nGC_92) + 3d0*coupl(nGC_103)**2d0*coupl(nGC_92   &
                        ) + 3d0*coupl(nGC_585)**2d0*coupl(nGC_92))/(24d0*pi**  &
                        2d0)
      coupl(nGC_TS_GC_151_Hl) = -coupl(nGC_151)*dtHl_QED1/cMHL**2d0
      coupl(nGC_1599) = (18d0*Nc*cima*coupl(nGC_99)**4d0 - 4d0*cima*coupl(     &
                        nGC_102)**2d0*coupl(nGC_585)**2d0 - 8d0*cima*coupl(    &
                        nGC_102)*coupl(nGC_103)*coupl(nGC_539)*coupl(nGC_585   &
                        ) - 8d0*cima*coupl(nGC_102)*coupl(nGC_3)*coupl(nGC_523 &
                        )*coupl(nGC_539) - 8d0*cima*coupl(nGC_102)*coupl(nGC_4 &
                        )*coupl(nGC_523)*coupl(nGC_585) - 4d0*cima*coupl(      &
                        nGC_103)**2d0*coupl(nGC_539)**2d0 - 8d0*cima*coupl(    &
                        nGC_103)*coupl(nGC_3)*coupl(nGC_539)*coupl(nGC_589) -  &
                        8d0*cima*coupl(nGC_103)*coupl(nGC_4)*coupl(nGC_585)*   &
                        coupl(nGC_589) + 6d0*cima*coupl(nGC_116)**2d0 - 4d0*   &
                        cima*coupl(nGC_3)**2d0*coupl(nGC_589)**2d0 - 8d0*cima* &
                        coupl(nGC_3)*coupl(nGC_4)*coupl(nGC_523)*coupl(nGC_589 &
                        ) - 4d0*cima*coupl(nGC_4)**2d0*coupl(nGC_523)**2d0 +   &
                        6d0*cima*coupl(nGC_633)**2d0 + 3d0*cima*coupl(nGC_85)**&
                        2d0 + 3d0*cima*coupl(nGC_9)**2d0 + 18d0*cima*coupl(    &
                        nGC_99)**4d0 + 6d0*coupl(nGC_102)*coupl(nGC_116)*coupl(&
                        nGC_523) + 6d0*coupl(nGC_102)*coupl(nGC_585)*coupl(    &
                        nGC_633) + 6d0*coupl(nGC_102)*coupl(nGC_585)*coupl(    &
                        nGC_85) + 6d0*coupl(nGC_103)*coupl(nGC_116)*coupl(     &
                        nGC_589) + 6d0*coupl(nGC_103)*coupl(nGC_539)*coupl(    &
                        nGC_633) + 6d0*coupl(nGC_103)*coupl(nGC_539)*coupl(    &
                        nGC_85) + 6d0*coupl(nGC_116)*coupl(nGC_3)*coupl(nGC_539&
                        ) + 6d0*coupl(nGC_116)*coupl(nGC_4)*coupl(nGC_585) +   &
                        6d0*coupl(nGC_3)*coupl(nGC_589)*coupl(nGC_633) + 6d0*  &
                        coupl(nGC_3)*coupl(nGC_589)*coupl(nGC_9) + 6d0*coupl(  &
                        nGC_4)*coupl(nGC_523)*coupl(nGC_633) + 6d0*coupl(nGC_4 &
                        )*coupl(nGC_523)*coupl(nGC_9))/(48d0*pi**2d0)
      coupl(nGC_1598) = (-30d0*Nc*cima*coupl(nGC_99)**4d0 - 4d0*cima*coupl(    &
                        nGC_102)**2d0*coupl(nGC_585)**2d0 - 8d0*cima*coupl(    &
                        nGC_102)*coupl(nGC_103)*coupl(nGC_539)*coupl(nGC_585   &
                        ) - 8d0*cima*coupl(nGC_102)*coupl(nGC_3)*coupl(nGC_523 &
                        )*coupl(nGC_539) - 8d0*cima*coupl(nGC_102)*coupl(nGC_4 &
                        )*coupl(nGC_523)*coupl(nGC_585) - 4d0*cima*coupl(      &
                        nGC_103)**2d0*coupl(nGC_539)**2d0 - 8d0*cima*coupl(    &
                        nGC_103)*coupl(nGC_3)*coupl(nGC_539)*coupl(nGC_589) -  &
                        8d0*cima*coupl(nGC_103)*coupl(nGC_4)*coupl(nGC_585)*   &
                        coupl(nGC_589) - 4d0*cima*coupl(nGC_3)**2d0*coupl(     &
                        nGC_589)**2d0 - 8d0*cima*coupl(nGC_3)*coupl(nGC_4)*    &
                        coupl(nGC_523)*coupl(nGC_589) - 4d0*cima*coupl(nGC_4)**&
                        2d0*coupl(nGC_523)**2d0 + 3d0*cima*coupl(nGC_75)**2d0  &
                         - 30d0*cima*coupl(nGC_99)**4d0 + 6d0*coupl(nGC_102)*  &
                        coupl(nGC_539)*coupl(nGC_75) + 6d0*coupl(nGC_103)*coupl&
                        (nGC_585)*coupl(nGC_75) + 6d0*coupl(nGC_3)*coupl(      &
                        nGC_523)*coupl(nGC_75) + 6d0*coupl(nGC_4)*coupl(nGC_589&
                        )*coupl(nGC_75))/(48d0*pi**2d0)
      coupl(nGC_1677) = coupl(nGC_861)*dcw_QED2 + coupl(nGC_862)*dsw_QED2 +    &
                        coupl(nGC_863)*dZee_QED2
      coupl(nGC_1983) = coupl(nGC_110)*dZHhHl_QED2/2d0 + coupl(nGC_120)*       &
                        dZA_QED2/2d0 + coupl(nGC_120)*dZHl_QED2/2d0 + coupl(   &
                        nGC_120)*dZWMinus_QED2/2d0 + coupl(nGC_1744) + coupl(  &
                        nGC_28)*dZZA_QED2/2d0
      coupl(nGC_1343) = (2d0*Nc*cMB*coupl(nGC_193)**2d0*coupl(nGC_195) + 2d0*Nc&
                        *cMB*coupl(nGC_193)*coupl(nGC_217)*coupl(nGC_219) + 2d0&
                        *Nc*cMB*coupl(nGC_195)*coupl(nGC_217)**2d0 + 2d0*Nc*cMC&
                        *coupl(nGC_197)**2d0*coupl(nGC_199) + 2d0*Nc*cMC*coupl(&
                        nGC_197)*coupl(nGC_213)*coupl(nGC_215) + 2d0*Nc*cMC*   &
                        coupl(nGC_199)*coupl(nGC_213)**2d0 + 2d0*Nc*cMD*coupl( &
                        nGC_201)**2d0*coupl(nGC_203) + 2d0*Nc*cMD*coupl(nGC_201&
                        )*coupl(nGC_225)*coupl(nGC_227) + 2d0*Nc*cMD*coupl(    &
                        nGC_203)*coupl(nGC_225)**2d0 + 2d0*Nc*cMS*coupl(nGC_197&
                        )**2d0*coupl(nGC_215) + 2d0*Nc*cMS*coupl(nGC_197)*coupl&
                        (nGC_199)*coupl(nGC_213) + 2d0*Nc*cMS*coupl(nGC_213)** &
                        2d0*coupl(nGC_215) + 2d0*Nc*cMT*coupl(nGC_193)**2d0*   &
                        coupl(nGC_219) + 2d0*Nc*cMT*coupl(nGC_193)*coupl(      &
                        nGC_195)*coupl(nGC_217) + 2d0*Nc*cMT*coupl(nGC_217)**  &
                        2d0*coupl(nGC_219) + 2d0*Nc*cMU*coupl(nGC_201)**2d0*   &
                        coupl(nGC_227) + 2d0*Nc*cMU*coupl(nGC_201)*coupl(      &
                        nGC_203)*coupl(nGC_225) + 2d0*Nc*cMU*coupl(nGC_225)**  &
                        2d0*coupl(nGC_227) + 2d0*cME*coupl(nGC_205)**2d0*coupl(&
                        nGC_207) + 2d0*cMM*coupl(nGC_209)**2d0*coupl(nGC_211   &
                        ) + 2d0*cMTA*coupl(nGC_221)**2d0*coupl(nGC_223) + 4d0* &
                        cima*coupl(nGC_110)*coupl(nGC_166) + cima*coupl(nGC_141&
                        )*coupl(nGC_175) + 4d0*cima*coupl(nGC_15)*coupl(nGC_154&
                        ) + 2d0*cima*coupl(nGC_162)*coupl(nGC_71))/(16d0*pi**  &
                        2d0)
      coupl(nGC_1340) = (4d0*coupl(nGC_128)**2d0*coupl(nGC_4) + coupl(nGC_222)*&
                        coupl(nGC_4)*coupl(nGC_535) + coupl(nGC_223)**2d0*coupl&
                        (nGC_4) + coupl(nGC_224)**2d0*coupl(nGC_4) - 2d0*coupl(&
                        nGC_3)*coupl(nGC_99)**2d0 + 4d0*coupl(nGC_4)**3d0)/(   &
                        32d0*pi**2d0)
      coupl(nGC_1437) = (8d0*coupl(nGC_123)*coupl(nGC_126)*coupl(nGC_227) + 8d0&
                        *coupl(nGC_2)**2d0*coupl(nGC_227) - coupl(nGC_201)*    &
                        coupl(nGC_203)*coupl(nGC_225) - coupl(nGC_227)**3d0 -  &
                        coupl(nGC_227)*coupl(nGC_228)**2d0 - coupl(nGC_227)*   &
                        coupl(nGC_533)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1430) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_215) + 8d0*coupl(     &
                        nGC_122)*coupl(nGC_125)*coupl(nGC_215) - coupl(nGC_197 &
                        )*coupl(nGC_199)*coupl(nGC_213) - coupl(nGC_214)**2d0* &
                        coupl(nGC_215) - coupl(nGC_215)**3d0 - coupl(nGC_215)* &
                        coupl(nGC_216)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1344) = coupl(nGC_99)*(-Nc*coupl(nGC_193)*coupl(nGC_194) + Nc* &
                        coupl(nGC_197)*coupl(nGC_561) - Nc*coupl(nGC_201)*coupl&
                        (nGC_202) - Nc*coupl(nGC_213)*coupl(nGC_214) + Nc*coupl&
                        (nGC_217)*coupl(nGC_545) + Nc*coupl(nGC_225)*coupl(    &
                        nGC_533) - coupl(nGC_205)*coupl(nGC_206) - coupl(      &
                        nGC_209)*coupl(nGC_210) - coupl(nGC_221)*coupl(nGC_222 &
                        ))/(24d0*pi**2d0)
      coupl(nGC_1349) = (Nc*cMB*coupl(nGC_122)*coupl(nGC_193)*coupl(nGC_99) -  &
                        Nc*cMB*coupl(nGC_125)*coupl(nGC_193)*coupl(nGC_99) - Nc&
                        *cMB*coupl(nGC_126)*coupl(nGC_193)*coupl(nGC_99) + Nc* &
                        cMC*coupl(nGC_123)*coupl(nGC_197)*coupl(nGC_99) - Nc*  &
                        cMC*coupl(nGC_125)*coupl(nGC_197)*coupl(nGC_99) - Nc*  &
                        cMC*coupl(nGC_126)*coupl(nGC_197)*coupl(nGC_99) + Nc*  &
                        cMD*coupl(nGC_122)*coupl(nGC_201)*coupl(nGC_99) - Nc*  &
                        cMD*coupl(nGC_125)*coupl(nGC_201)*coupl(nGC_99) - Nc*  &
                        cMD*coupl(nGC_126)*coupl(nGC_201)*coupl(nGC_99) + Nc*  &
                        cMS*coupl(nGC_122)*coupl(nGC_213)*coupl(nGC_99) - Nc*  &
                        cMS*coupl(nGC_125)*coupl(nGC_213)*coupl(nGC_99) - Nc*  &
                        cMS*coupl(nGC_126)*coupl(nGC_213)*coupl(nGC_99) + Nc*  &
                        cMT*coupl(nGC_123)*coupl(nGC_217)*coupl(nGC_99) - Nc*  &
                        cMT*coupl(nGC_125)*coupl(nGC_217)*coupl(nGC_99) - Nc*  &
                        cMT*coupl(nGC_126)*coupl(nGC_217)*coupl(nGC_99) + Nc*  &
                        cMU*coupl(nGC_123)*coupl(nGC_225)*coupl(nGC_99) - Nc*  &
                        cMU*coupl(nGC_125)*coupl(nGC_225)*coupl(nGC_99) - Nc*  &
                        cMU*coupl(nGC_126)*coupl(nGC_225)*coupl(nGC_99) + cME* &
                        coupl(nGC_124)*coupl(nGC_205)*coupl(nGC_99) - cME*coupl&
                        (nGC_128)*coupl(nGC_205)*coupl(nGC_99) - cME*coupl(    &
                        nGC_129)*coupl(nGC_205)*coupl(nGC_99) + cMM*coupl(     &
                        nGC_124)*coupl(nGC_209)*coupl(nGC_99) - cMM*coupl(     &
                        nGC_128)*coupl(nGC_209)*coupl(nGC_99) - cMM*coupl(     &
                        nGC_129)*coupl(nGC_209)*coupl(nGC_99) + cMTA*coupl(    &
                        nGC_124)*coupl(nGC_221)*coupl(nGC_99) - cMTA*coupl(    &
                        nGC_128)*coupl(nGC_221)*coupl(nGC_99) - cMTA*coupl(    &
                        nGC_129)*coupl(nGC_221)*coupl(nGC_99) + 2d0*cima*coupl(&
                        nGC_113)*coupl(nGC_166) + 2d0*cima*coupl(nGC_154)*coupl&
                        (nGC_84) + 2d0*coupl(nGC_102)*coupl(nGC_103)*coupl(    &
                        nGC_154) + 2d0*coupl(nGC_103)*coupl(nGC_166)*coupl(    &
                        nGC_4))/(16d0*pi**2d0)
      coupl(nGC_2164) = coupl(nGC_1785) + coupl(nGC_19)*dZdR_QCD2 + coupl(     &
                        nGC_19)*dZg_QCD2/2d0
      coupl(nGC_1550) = (Nc*cima*coupl(nGC_1)*coupl(nGC_193)*coupl(nGC_196)*   &
                        coupl(nGC_99) - 4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_197 &
                        )*coupl(nGC_200)*coupl(nGC_99) + Nc*cima*coupl(nGC_1)* &
                        coupl(nGC_201)*coupl(nGC_204)*coupl(nGC_99) + Nc*cima* &
                        coupl(nGC_1)*coupl(nGC_213)*coupl(nGC_216)*coupl(nGC_99&
                        ) - 4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_217)*coupl(     &
                        nGC_220)*coupl(nGC_99) - 4d0*Nc*cima*coupl(nGC_1)*coupl&
                        (nGC_225)*coupl(nGC_228)*coupl(nGC_99) - 4d0*Nc*cima*  &
                        coupl(nGC_193)*coupl(nGC_196)*coupl(nGC_2)*coupl(nGC_99&
                        ) + Nc*cima*coupl(nGC_197)*coupl(nGC_2)*coupl(nGC_200)*&
                        coupl(nGC_99) - 4d0*Nc*cima*coupl(nGC_2)*coupl(nGC_201 &
                        )*coupl(nGC_204)*coupl(nGC_99) - 4d0*Nc*cima*coupl(    &
                        nGC_2)*coupl(nGC_213)*coupl(nGC_216)*coupl(nGC_99) + Nc&
                        *cima*coupl(nGC_2)*coupl(nGC_217)*coupl(nGC_220)*coupl(&
                        nGC_99) + Nc*cima*coupl(nGC_2)*coupl(nGC_225)*coupl(   &
                        nGC_228)*coupl(nGC_99) + 6d0*cima*coupl(nGC_113)*coupl(&
                        nGC_28) + 6d0*cima*coupl(nGC_120)*coupl(nGC_601) + cima&
                        *coupl(nGC_205)*coupl(nGC_208)*coupl(nGC_4)*coupl(     &
                        nGC_99) + cima*coupl(nGC_209)*coupl(nGC_212)*coupl(    &
                        nGC_4)*coupl(nGC_99) + cima*coupl(nGC_221)*coupl(      &
                        nGC_224)*coupl(nGC_4)*coupl(nGC_99) + 6d0*coupl(nGC_103&
                        )*coupl(nGC_28)*coupl(nGC_523) + 6d0*coupl(nGC_120)*   &
                        coupl(nGC_3)*coupl(nGC_523))/(48d0*pi**2d0)
      coupl(nGC_1893) = coupl(nGC_114)*dZZA_QED2/2d0 + coupl(nGC_1741) + coupl(&
                        nGC_7)*dZA_QED2/2d0 + coupl(nGC_7)*dZWMinus_QED2/2d0
      coupl(nGC_1337) = (coupl(nGC_1)*coupl(nGC_193)**2d0 + 4d0*coupl(nGC_1)*  &
                        coupl(nGC_99)**2d0 + 4d0*coupl(nGC_126)**2d0*coupl(    &
                        nGC_2) + 4d0*coupl(nGC_2)**3d0 + coupl(nGC_2)*coupl(   &
                        nGC_218)*coupl(nGC_545) + coupl(nGC_2)*coupl(nGC_219)**&
                        2d0 + coupl(nGC_2)*coupl(nGC_220)**2d0 + 2d0*coupl(    &
                        nGC_3)*coupl(nGC_99)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1336) = (4d0*coupl(nGC_1)**3d0 + 4d0*coupl(nGC_1)*coupl(nGC_122&
                        )**2d0 + coupl(nGC_1)*coupl(nGC_214)*coupl(nGC_525) +  &
                        coupl(nGC_1)*coupl(nGC_215)**2d0 + coupl(nGC_1)*coupl( &
                        nGC_216)**2d0 + coupl(nGC_2)*coupl(nGC_213)**2d0)/(32d0&
                        *pi**2d0)
      coupl(nGC_1335) = (4d0*coupl(nGC_1)**3d0 + 4d0*coupl(nGC_1)*coupl(nGC_125&
                        )**2d0 + coupl(nGC_1)*coupl(nGC_214)*coupl(nGC_525) +  &
                        coupl(nGC_1)*coupl(nGC_215)**2d0 + coupl(nGC_1)*coupl( &
                        nGC_216)**2d0 + coupl(nGC_197)**2d0*coupl(nGC_2) + 4d0*&
                        coupl(nGC_2)*coupl(nGC_99)**2d0 + 2d0*coupl(nGC_523)*  &
                        coupl(nGC_99)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1334) = (coupl(nGC_221)**2d0*coupl(nGC_4) + 2d0*coupl(nGC_3)*  &
                        coupl(nGC_99)**2d0 + 4d0*coupl(nGC_4)*coupl(nGC_99)**  &
                        2d0)/(32d0*pi**2d0)
      coupl(nGC_1333) = (coupl(nGC_209)**2d0*coupl(nGC_4) + 2d0*coupl(nGC_3)*  &
                        coupl(nGC_99)**2d0 + 4d0*coupl(nGC_4)*coupl(nGC_99)**  &
                        2d0)/(32d0*pi**2d0)
      coupl(nGC_1332) = (coupl(nGC_205)**2d0*coupl(nGC_4) + 2d0*coupl(nGC_3)*  &
                        coupl(nGC_99)**2d0 + 4d0*coupl(nGC_4)*coupl(nGC_99)**  &
                        2d0)/(32d0*pi**2d0)
      coupl(nGC_1331) = (4d0*coupl(nGC_128)**2d0*coupl(nGC_4) + coupl(nGC_210)*&
                        coupl(nGC_4)*coupl(nGC_569) + coupl(nGC_211)**2d0*coupl&
                        (nGC_4) + coupl(nGC_212)**2d0*coupl(nGC_4) - 2d0*coupl(&
                        nGC_3)*coupl(nGC_99)**2d0 + 4d0*coupl(nGC_4)**3d0)/(   &
                        32d0*pi**2d0)
      coupl(nGC_1330) = coupl(nGC_4)*(4d0*coupl(nGC_124)**2d0 + coupl(nGC_210)*&
                        coupl(nGC_569) + coupl(nGC_211)**2d0 + coupl(nGC_212)**&
                        2d0 + 4d0*coupl(nGC_4)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1703) = coupl(nGC_1223)*dyb_QED3 + coupl(nGC_1224)*da_QED2
      coupl(nGC_1339) = coupl(nGC_4)*(4d0*coupl(nGC_124)**2d0 + coupl(nGC_222)*&
                        coupl(nGC_535) + coupl(nGC_223)**2d0 + coupl(nGC_224)**&
                        2d0 + 4d0*coupl(nGC_4)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1338) = (coupl(nGC_1)*coupl(nGC_217)**2d0 + 4d0*coupl(nGC_123  &
                        )**2d0*coupl(nGC_2) + 4d0*coupl(nGC_2)**3d0 + coupl(   &
                        nGC_2)*coupl(nGC_218)*coupl(nGC_545) + coupl(nGC_2)*   &
                        coupl(nGC_219)**2d0 + coupl(nGC_2)*coupl(nGC_220)**2d0 &
                        )/(32d0*pi**2d0)
      coupl(nGC_1266) = cima*(coupl(nGC_102)*coupl(nGC_585) + coupl(nGC_103)*  &
                        coupl(nGC_539) + coupl(nGC_3)*coupl(nGC_589) + coupl(  &
                        nGC_4)*coupl(nGC_523))/(48d0*pi**2d0)
      coupl(nGC_TS_GC_100_Hh) = -coupl(nGC_100)*dtHh_QED1/cMHH**2d0
      coupl(nGC_1890) = coupl(nGC_123)*dZuR_QCD2
      coupl(nGC_1723) = coupl(nGC_1117)*dyup_QED3
      coupl(nGC_1896) = -coupl(nGC_1695) - coupl(nGC_214)*dZsL_QED2/2d0 - coupl&
                        (nGC_214)*dZsR_QED2/2d0
      coupl(nGC_1897) = -coupl(nGC_1696) - coupl(nGC_214)*dZsL_QCD2/2d0 - coupl&
                        (nGC_214)*dZsR_QCD2/2d0
      coupl(nGC_1726) = coupl(nGC_1230)*dyc_QED1_QCD2
      coupl(nGC_1728) = coupl(nGC_879)*dyt_QED1_QCD2
      coupl(nGC_1898) = coupl(nGC_104)*dZZA_QED2/4d0 + coupl(nGC_1674)/2d0 +   &
                        coupl(nGC_6)*dZA_QED2/4d0
      coupl(nGC_1899) = coupl(nGC_1750) + coupl(nGC_74)*dZWMinus_QED2
      coupl(nGC_2131) = coupl(nGC_1680)/2d0 + coupl(nGC_17)*dZg_QCD2/4d0
      coupl(nGC_2132) = -coupl(nGC_103)*dZZA_QED2/2d0 - coupl(nGC_1749) - coupl&
                        (nGC_3)*dZA_QED2/2d0 - coupl(nGC_3)*dZWMinus_QED2
      coupl(nGC_2133) = coupl(nGC_1786) + coupl(nGC_99)*dZWMinus_QED2/2d0 +    &
                        coupl(nGC_99)*dZbL_QED2/2d0 + coupl(nGC_99)*dZtL_QED2/ &
                        2d0
      coupl(nGC_2196) = coupl(nGC_MI)*dZcL_QED2
      coupl(nGC_1613) = cima*coupl(nGC_19)**3d0*sq2**3d0*(-coupl(nGC_1) - coupl&
                        (nGC_2))/(32d0*pi**2d0*Nc)
      coupl(nGC_1891) = coupl(nGC_114)*dZA_QED2/2d0 + coupl(nGC_114)*          &
                        dZWMinus_QED2/2d0 + coupl(nGC_1742) + coupl(nGC_83)*   &
                        dZZA_QED2/2d0
      coupl(nGC_1660) = coupl(nGC_1059)*dcw_QED2 + coupl(nGC_1060)*dvev_QED1 + &
                        coupl(nGC_1061)*dZee_QED2
      coupl(nGC_1663) = coupl(nGC_307)*da_QED2 + coupl(nGC_309)*dvevs_QED1 +   &
                        coupl(nGC_311)*dvev_QED1 + coupl(nGC_313)*dl2_QED4 +   &
                        coupl(nGC_315)*dl3_QED4 + coupl(nGC_317)*dl1_QED4
      coupl(nGC_1662) = coupl(nGC_1195)*dvev_QED1 + coupl(nGC_1196)*dvevs_QED1 &
                         + coupl(nGC_1197)*da_QED2 + coupl(nGC_1198)*dl1_QED4  &
                         + coupl(nGC_1199)*dl3_QED4
      coupl(nGC_1701) = coupl(nGC_871)*dys_QED3 + coupl(nGC_872)*da_QED2
      coupl(nGC_2192) = coupl(nGC_MI)*dZcR_QED2
      coupl(nGC_1664) = coupl(nGC_321)*da_QED2 + coupl(nGC_323)*dvevs_QED1 +   &
                        coupl(nGC_325)*dvev_QED1 + coupl(nGC_327)*dl2_QED4 +   &
                        coupl(nGC_329)*dl3_QED4 + coupl(nGC_331)*dl1_QED4
      coupl(nGC_2003) = coupl(nGC_1868) + coupl(nGC_MS)*dZsL_QED2/2d0 + coupl( &
                        nGC_MS)*dZsR_QED2/2d0 + coupl(nGC_TS_GC_215_Hh) + coupl&
                        (nGC_TS_GC_216_Hl)
      coupl(nGC_2004) = coupl(nGC_1869) + coupl(nGC_MS)*dZsL_QCD2/2d0 + coupl( &
                        nGC_MS)*dZsR_QCD2/2d0
      coupl(nGC_2190) = -coupl(nGC_105)*dZZA_QED2/4d0 - coupl(nGC_1673)/2d0 -  &
                        coupl(nGC_5)*dZA_QED2/4d0
      coupl(nGC_2007) = coupl(nGC_129)*dZZA_QED2/2d0
      coupl(nGC_1666) = coupl(nGC_1153)*dvev_QED1 + coupl(nGC_1154)*dvevs_QED1 &
                         + coupl(nGC_1155)*da_QED2 + coupl(nGC_1156)*dl1_QED4  &
                         + coupl(nGC_1157)*dl3_QED4
      coupl(nGC_1394) = (8d0*coupl(nGC_124)*coupl(nGC_128)*coupl(nGC_569) -    &
                        coupl(nGC_210)*coupl(nGC_211)**2d0 - coupl(nGC_210)*   &
                        coupl(nGC_212)**2d0 - coupl(nGC_210)*coupl(nGC_569)**  &
                        2d0 + 8d0*coupl(nGC_4)**2d0*coupl(nGC_569))/(32d0*pi** &
                        2d0)
    end subroutine fill_CTcouplings_mdl3
end module fill_ctcouplings3
