!******************************************************************************!
!                                                                              !
!    fill_ctcouplings5.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings5.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-03-16 09:42             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings5
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl5()
      coupl(nGC_2267) = -coupl(nGC_1533)
      coupl(nGC_1298) = -Nc*cima*coupl(nGC_629)**2d0*sq2**2d0/(96d0*pi**2d0)
      coupl(nGC_1420) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_203) + 8d0*coupl(     &
                        nGC_122)*coupl(nGC_125)*coupl(nGC_203) - coupl(nGC_201 &
                        )*coupl(nGC_225)*coupl(nGC_227) - coupl(nGC_203)**3d0  &
                         - coupl(nGC_203)*coupl(nGC_204)**2d0 - coupl(nGC_203)*&
                        coupl(nGC_597)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1297) = cima*sq2**2d0*(Nc*coupl(nGC_629)**2d0 - 6d0*coupl(     &
                        nGC_19)**2d0)/(96d0*pi**2d0)
      coupl(nGC_2268) = -coupl(nGC_1532)
      coupl(nGC_1988) = coupl(nGC_107)*dZA_QED2/2d0 + coupl(nGC_107)*          &
                        dZWMinus_QED2/2d0 + coupl(nGC_13)*dZZA_QED2/2d0 + coupl&
                        (nGC_1656)
      coupl(nGC_2264) = -coupl(nGC_1315)
    end subroutine fill_CTcouplings_mdl5
end module fill_ctcouplings5
