!******************************************************************************!
!                                                                              !
!    ctparameter126.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter126.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-03-16 09:42             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter126
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter126()
  dZnu_muL_QED2 = (-2d0*Ten241*coupl(nGC_129)**2d0 + Ten488*(coupl(nGC_209)**  &
                  2d0 + 2d0*coupl(nGC_99)**2d0) + Ten489*(coupl(nGC_209)**2d0  &
                   + 2d0*coupl(nGC_99)**2d0) + pi**2d0*(-coupl(nGC_129)**2d0/pi&
                  **2d0 - coupl(nGC_99)**2d0/pi**2d0))/(16d0*pi**2d0)
  dZnu_muL_QED2 = cone*real(dZnu_muL_QED2,kind=dp)
end subroutine set_ctparameter126
end module ctparameter126
