!******************************************************************************!
!                                                                              !
!    vertices_info5.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   vertices_info5.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-03-16 09:42             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module vertices_info5
  use class_vertices
  use class_couplings
  use class_particles
  use class_ctparameters
  contains
    subroutine fill_vertices_mdl5()
      allocate(vertices(3200)%branch(0:0))
      call av(3200, 0, 0, 1, 0, USUaS0, (/0, 2/), (/nGC_108/))

      allocate(vertices(3201)%branch(0:0))
      call av(3201, 0, 1, 1, 0, VFaF0, (/0, 1/), (/nGC_129/))

      allocate(vertices(3202)%branch(0:0))
      call av(3202, 0, 0, 1, 0, SVSV0, (/0, 2/), (/nGC_121/))

      allocate(vertices(3203)%branch(0:0))
      call av(3203, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_30/))

      allocate(vertices(3204)%branch(0:0))
      call av(3204, 0, 20, 1, 0, VFaF0, (/0, 1/), (/nGC_99/))

      allocate(vertices(3205)%branch(0:0))
      call av(3205, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_36/))

      allocate(vertices(3206)%branch(0:0))
      call av(3206, 0, 0, 1, 0, VSSV0, (/0, 2/), (/nGC_71/))

      allocate(vertices(3207)%branch(0:0))
      call av(3207, 0, 0, 1, 0, UaVVU0, (/0, 2/), (/nGC_114/))

      allocate(vertices(3208)%branch(0:0))
      call av(3208, 0, 1, 1, 0, FaFV1, (/0, 1/), (/nGC_99/))

      allocate(vertices(3209)%branch(0:0))
      call av(3209, 0, 0, 1, 0, SVVS0, (/0, 2/), (/nGC_92/))

      allocate(vertices(3210)%branch(0:0))
      call av(3210, 0, 0, 1, 0, SUaUS0, (/0, 2/), (/nGC_108/))

      allocate(vertices(3211)%branch(0:0))
      call av(3211, 0, 1, 1, 0, UUaS0, (/0, 1/), (/nGC_165/))

      allocate(vertices(3212)%branch(0:0))
      call av(3212, 0, 0, 1, 0, UUaSS0, (/0, 2/), (/nGC_111/))

      allocate(vertices(3213)%branch(0:0))
      call av(3213, 0, 1, 1, 0, UUaV1, (/0, 1/), (/nGC_585/))

      allocate(vertices(3214)%branch(0:0))
      call av(3214, 0, 0, 1, 0, USUaS0, (/0, 2/), (/nGC_149/))

      allocate(vertices(3215)%branch(0:0))
      call av(3215, 0, 0, 1, 0, SVVS0, (/0, 2/), (/nGC_15/))

      allocate(vertices(3216)%branch(0:0))
      call av(3216, 0, 1, 1, 0, FFaV1, (/0, 1/), (/nGC_99/))

      allocate(vertices(3217)%branch(0:0))
      call av(3217, 0, 1, 1, 0, SUUa0, (/0, 1/), (/nGC_165/))

      allocate(vertices(3218)%branch(0:0))
      call av(3218, 0, 0, 1, 0, UaUVV0, (/0, 2/), (/nGC_86/))

      allocate(vertices(3219)%branch(0:0))
      call av(3219, 0, 0, 1, 0, USUaS0, (/0, 2/), (/nGC_132/))

      allocate(vertices(3220)%branch(0:0))
      call av(3220, 0, 0, 1, 0, VVVV0, (/0, 2/), (/nGC_113, nGC_116, nGC_115/))

      allocate(vertices(3221)%branch(0:0))
      call av(3221, 0, 17, 1, 0, FaVF0, (/0, 1/), (/nGC_126, nGC_123/))

      allocate(vertices(3222)%branch(0:0))
      call av(3222, 0, 0, 1, 0, VUaVU0, (/0, 2/), (/nGC_114/))

      allocate(vertices(3223)%branch(0:0))
      call av(3223, 0, 0, 1, 0, SUSUa0, (/0, 2/), (/nGC_81/))

      allocate(vertices(3224)%branch(0:0))
      call av(3224, 0, 0, 1, 0, VVUaU0, (/0, 2/), (/nGC_73/))

      allocate(vertices(3225)%branch(0:0))
      call av(3225, 0, 0, 1, 0, SUaSU0, (/0, 2/), (/nGC_9/))

      allocate(vertices(3226)%branch(0:0))
      call av(3226, 0, 0, 1, 0, SSUUa0, (/0, 2/), (/nGC_138/))

      allocate(vertices(3227)%branch(0:0))
      call av(3227, 0, 0, 1, 0, VSVS0, (/0, 2/), (/nGC_14/))

      allocate(vertices(3228)%branch(0:0))
      call av(3228, 0, 0, 1, 0, VVUUa0, (/0, 2/), (/nGC_114/))

      allocate(vertices(3229)%branch(0:0))
      call av(3229, 0, 0, 1, 0, SVSV0, (/0, 2/), (/nGC_79/))

      allocate(vertices(3230)%branch(0:0))
      call av(3230, 0, 0, 1, 0, SSVV0, (/0, 2/), (/nGC_52/))

      allocate(vertices(3231)%branch(0:0))
      call av(3231, 0, 0, 1, 0, UVVUa0, (/0, 2/), (/nGC_115/))

      allocate(vertices(3232)%branch(0:0))
      call av(3232, 0, 0, 1, 0, USUaS0, (/0, 2/), (/nGC_119/))

      allocate(vertices(3233)%branch(0:0))
      call av(3233, 0, 1, 1, 0, SUUa0, (/0, 1/), (/nGC_167/))

      allocate(vertices(3234)%branch(0:0))
      call av(3234, 0, 0, 1, 0, SUaSU0, (/0, 2/), (/nGC_14/))

      allocate(vertices(3235)%branch(0:0))
      call av(3235, 0, 0, 1, 0, VSSV0, (/0, 2/), (/nGC_71/))

      allocate(vertices(3236)%branch(0:0))
      call av(3236, 0, 0, 1, 0, SVSV0, (/0, 2/), (/nGC_79/))

      allocate(vertices(3237)%branch(0:0))
      call av(3237, 0, 0, 1, 0, UUaSS0, (/0, 2/), (/nGC_108/))

      allocate(vertices(3238)%branch(0:3))
      call av(3238, 0, 8, 7, 0, UaUVV0, (/2, 0/), (/nGC_21/))

      call av(3238, 1, 5, 6, 0, UaUVV0, (/2, 0/), (/nGC_21/))

      call av(3238, 2, 6, 7, 0, UaUVV0, (/2, 0/), (/nGC_21/))

      call av(3238, 3, 4, 6, 0, UaUVV0, (/2, 0/), (/nGC_21/))

      allocate(vertices(3239)%branch(0:0))
      call av(3239, 0, 0, 1, 0, SSUUa0, (/0, 2/), (/nGC_77/))

      allocate(vertices(3240)%branch(0:0))
      call av(3240, 0, 0, 1, 0, SUaSU0, (/0, 2/), (/nGC_49/))

      allocate(vertices(3241)%branch(0:0))
      call av(3241, 0, 0, 1, 0, SUSUa0, (/0, 2/), (/nGC_144/))

      allocate(vertices(3242)%branch(0:0))
      call av(3242, 0, 0, 1, 0, SUaSU0, (/0, 2/), (/nGC_16/))

      allocate(vertices(3243)%branch(0:0))
      call av(3243, 0, 0, 1, 0, UUaSS0, (/0, 2/), (/nGC_27/))

      allocate(vertices(3244)%branch(0:0))
      call av(3244, 0, 0, 1, 0, UVUaV0, (/0, 2/), (/nGC_114/))

      allocate(vertices(3245)%branch(0:0))
      call av(3245, 0, 0, 1, 0, SVVS0, (/0, 2/), (/nGC_107/))

      allocate(vertices(3246)%branch(0:0))
      call av(3246, 0, 0, 1, 0, UaSUS0, (/0, 2/), (/nGC_119/))

      allocate(vertices(3247)%branch(0:0))
      call av(3247, 0, 0, 1, 0, VVUUa0, (/0, 2/), (/nGC_84/))

      allocate(vertices(3248)%branch(0:0))
      call av(3248, 0, 0, 1, 0, SSUUa0, (/0, 2/), (/nGC_70/))

      allocate(vertices(3249)%branch(0:0))
      call av(3249, 0, 0, 1, 0, VVVV0, (/0, 2/), (/nGC_583, nGC_8, nGC_8/))

      allocate(vertices(3250)%branch(0:0))
      call av(3250, 0, 1, 1, 0, VFaF0, (/0, 1/), (/nGC_129/))

      allocate(vertices(3251)%branch(0:5))
      call av(3251, 0, 73, 7, 0, UaVVU0, (/2, 0/), (/nGC_21/))

      call av(3251, 1, 71, 7, 0, UaVVU0, (/2, 0/), (/nGC_21/))

      call av(3251, 2, 72, 7, 0, UaVVU0, (/2, 0/), (/nGC_21/))

      call av(3251, 3, 70, 7, 0, UaVVU0, (/2, 0/), (/nGC_21/))

      call av(3251, 4, 74, 6, 0, UaVVU0, (/2, 0/), (/nGC_551/))

      call av(3251, 5, 75, 6, 0, UaVVU0, (/2, 0/), (/nGC_551/))

      allocate(vertices(3252)%branch(0:0))
      call av(3252, 0, 0, 1, 0, UaSUS0, (/0, 2/), (/nGC_89/))

      allocate(vertices(3253)%branch(0:0))
      call av(3253, 0, 0, 1, 0, UaUVV0, (/0, 2/), (/nGC_114/))

      allocate(vertices(3254)%branch(0:0))
      call av(3254, 0, 1, 1, 0, SUUa0, (/0, 1/), (/nGC_169/))

      allocate(vertices(3255)%branch(0:0))
      call av(3255, 0, 18, 1, 0, FaFV0, (/0, 1/), (/nGC_126, nGC_123/))

      allocate(vertices(3256)%branch(0:0))
      call av(3256, 0, 1, 1, 0, FaSF1, (/0, 1/), (/nGC_205/))

      allocate(vertices(3257)%branch(0:0))
      call av(3257, 0, 0, 1, 0, VVUUa0, (/0, 2/), (/nGC_7/))

      allocate(vertices(3258)%branch(0:0))
      call av(3258, 0, 0, 1, 0, UaSUS0, (/0, 2/), (/nGC_70/))

      allocate(vertices(3259)%branch(0:0))
      call av(3259, 0, 0, 1, 0, VSVS0, (/0, 2/), (/nGC_15/))

      allocate(vertices(3260)%branch(0:0))
      call av(3260, 0, 0, 1, 0, VVVV0, (/0, 2/), (/nGC_113, nGC_116, nGC_115/))

      allocate(vertices(3261)%branch(0:0))
      call av(3261, 0, 1, 1, 0, SVV0, (/0, 1/), (/nGC_166/))

      allocate(vertices(3262)%branch(0:0))
      call av(3262, 0, 0, 1, 0, SUSUa0, (/0, 2/), (/nGC_13/))

      allocate(vertices(3263)%branch(0:0))
      call av(3263, 0, 10, 1, 0, FFaV1, (/0, 1/), (/nGC_99/))

      allocate(vertices(3264)%branch(0:0))
      call av(3264, 0, 18, 1, 0, FaFS0, (/0, 1/), (/nGC_225, nGC_201/))

      allocate(vertices(3265)%branch(0:0))
      call av(3265, 0, 0, 1, 0, USUaS0, (/0, 2/), (/nGC_53/))

      allocate(vertices(3266)%branch(0:0))
      call av(3266, 0, 18, 1, 0, FaFS0, (/0, 1/), (/nGC_203, nGC_203/))

      allocate(vertices(3267)%branch(0:0))
      call av(3267, 0, 0, 1, 0, SVVS0, (/0, 2/), (/nGC_120/))

      allocate(vertices(3268)%branch(0:0))
      call av(3268, 0, 1, 1, 0, FaVF1, (/0, 1/), (/nGC_129/))

      allocate(vertices(3269)%branch(0:0))
      call av(3269, 0, 0, 1, 0, SVSV0, (/0, 2/), (/nGC_110/))

      allocate(vertices(3270)%branch(0:0))
      call av(3270, 0, 0, 1, 0, UaUSS0, (/0, 2/), (/nGC_69/))

      allocate(vertices(3271)%branch(0:0))
      call av(3271, 0, 1, 1, 0, SUaU0, (/0, 1/), (/nGC_167/))

      allocate(vertices(3272)%branch(0:0))
      call av(3272, 0, 1, 1, 0, SSV0, (/0, 1/), (/nGC_605/))

      allocate(vertices(3273)%branch(0:0))
      call av(3273, 0, 18, 1, 0, FaFS0, (/0, 1/), (/nGC_225, nGC_201/))

      allocate(vertices(3274)%branch(0:0))
      call av(3274, 0, 21, 1, 0, SFFa0, (/0, 1/), (/nGC_193, nGC_217/))

      allocate(vertices(3275)%branch(0:0))
      call av(3275, 0, 0, 1, 0, SVSV0, (/0, 2/), (/nGC_82/))

      allocate(vertices(3276)%branch(0:0))
      call av(3276, 0, 1, 1, 0, UaUV1, (/0, 1/), (/nGC_585/))

      allocate(vertices(3277)%branch(0:0))
      call av(3277, 0, 0, 1, 0, SUSUa0, (/0, 2/), (/nGC_7/))

      allocate(vertices(3278)%branch(0:0))
      call av(3278, 0, 1, 1, 0, SFaF2, (/0, 1/), (/nGC_209/))

      allocate(vertices(3279)%branch(0:0))
      call av(3279, 0, 0, 1, 0, SSUaU0, (/0, 2/), (/nGC_143/))

      allocate(vertices(3280)%branch(0:0))
      call av(3280, 0, 0, 1, 0, VVVV0, (/0, 2/), (/nGC_633, nGC_74, nGC_635/))

      allocate(vertices(3281)%branch(0:0))
      call av(3281, 0, 0, 1, 0, VUUaV0, (/0, 2/), (/nGC_10/))

      allocate(vertices(3282)%branch(0:0))
      call av(3282, 0, 0, 1, 0, UaUVV0, (/0, 2/), (/nGC_115/))

      allocate(vertices(3283)%branch(0:0))
      call av(3283, 0, 1, 1, 0, VFFa0, (/0, 1/), (/nGC_99/))

      allocate(vertices(3284)%branch(0:0))
      call av(3284, 0, 0, 1, 0, VUaUV0, (/0, 2/), (/nGC_114/))

      allocate(vertices(3285)%branch(0:0))
      call av(3285, 0, 0, 1, 0, USSUa0, (/0, 2/), (/nGC_70/))

      allocate(vertices(3286)%branch(0:0))
      call av(3286, 0, 10, 1, 0, FFaS0, (/0, 1/), (/nGC_201, nGC_225/))

      allocate(vertices(3287)%branch(0:0))
      call av(3287, 0, 21, 1, 0, VFFa1, (/0, 1/), (/nGC_1, nGC_1/))

      allocate(vertices(3288)%branch(0:0))
      call av(3288, 0, 0, 1, 0, VVVV0, (/0, 2/), (/nGC_633, nGC_74, nGC_635/))

      allocate(vertices(3289)%branch(0:0))
      call av(3289, 0, 0, 1, 0, VUVUa0, (/0, 2/), (/nGC_86/))

      allocate(vertices(3290)%branch(0:0))
      call av(3290, 0, 0, 1, 0, VSVS0, (/0, 2/), (/nGC_92/))

      allocate(vertices(3291)%branch(0:0))
      call av(3291, 0, 1, 1, 0, VFaF0, (/0, 1/), (/nGC_99/))

      allocate(vertices(3292)%branch(0:0))
      call av(3292, 0, 0, 1, 0, SUSUa0, (/0, 2/), (/nGC_107/))

      allocate(vertices(3293)%branch(0:0))
      call av(3293, 0, 0, 1, 0, SSUaU0, (/0, 2/), (/nGC_14/))

      allocate(vertices(3294)%branch(0:0))
      call av(3294, 0, 18, 1, 0, FaFV1, (/0, 1/), (/nGC_99/))

      allocate(vertices(3295)%branch(0:0))
      call av(3295, 0, 1, 1, 0, SUUa0, (/0, 1/), (/nGC_167/))

      allocate(vertices(3296)%branch(0:0))
      call av(3296, 0, 1, 1, 0, FaVF0, (/0, 1/), (/nGC_4, nGC_4/))

      allocate(vertices(3297)%branch(0:0))
      call av(3297, 0, 0, 1, 0, UaVUV0, (/0, 2/), (/nGC_73/))

      allocate(vertices(3298)%branch(0:0))
      call av(3298, 0, 0, 1, 0, UUaVV0, (/0, 2/), (/nGC_7/))

      allocate(vertices(3299)%branch(0:0))
      call av(3299, 0, 0, 1, 0, SUaSU0, (/0, 2/), (/nGC_119/))

      allocate(vertices(3300)%branch(0:0))
      call av(3300, 0, 0, 1, 0, USSUa0, (/0, 2/), (/nGC_144/))

      allocate(vertices(3301)%branch(0:0))
      call av(3301, 0, 1, 1, 0, VSV0, (/0, 1/), (/nGC_164/))

      allocate(vertices(3302)%branch(0:0))
      call av(3302, 0, 0, 1, 0, VVSS0, (/0, 2/), (/nGC_28/))

      allocate(vertices(3303)%branch(0:0))
      call av(3303, 0, 0, 1, 0, VVSS0, (/0, 2/), (/nGC_92/))

      allocate(vertices(3304)%branch(0:0))
      call av(3304, 0, 0, 1, 0, SVSV0, (/0, 2/), (/nGC_147/))

      allocate(vertices(3305)%branch(0:0))
      call av(3305, 0, 0, 1, 0, SUSUa0, (/0, 2/), (/nGC_111/))

      allocate(vertices(3306)%branch(0:0))
      call av(3306, 0, 0, 1, 0, SSUaU0, (/0, 2/), (/nGC_9/))

      allocate(vertices(3307)%branch(0:0))
      call av(3307, 0, 0, 1, 0, UUaSS0, (/0, 2/), (/nGC_77/))

      allocate(vertices(3308)%branch(0:0))
      call av(3308, 0, 0, 1, 0, VVUUa0, (/0, 2/), (/nGC_83/))

      allocate(vertices(3309)%branch(0:0))
      call av(3309, 0, 0, 1, 0, UaUSS0, (/0, 2/), (/nGC_133/))

      allocate(vertices(3310)%branch(0:0))
      call av(3310, 0, 0, 1, 0, SVVS0, (/0, 2/), (/nGC_110/))

      allocate(vertices(3311)%branch(0:0))
      call av(3311, 0, 1, 1, 0, SVS0, (/0, 1/), (/nGC_98/))

      allocate(vertices(3312)%branch(0:0))
      call av(3312, 0, 0, 1, 0, UaSUS0, (/0, 2/), (/nGC_119/))

      allocate(vertices(3313)%branch(0:0))
      call av(3313, 0, 0, 1, 0, UaSUS0, (/0, 2/), (/nGC_70/))

      allocate(vertices(3314)%branch(0:0))
      call av(3314, 0, 19, 1, 0, FVFa0, (/0, 1/), (/nGC_126, nGC_123/))

      allocate(vertices(3315)%branch(0:0))
      call av(3315, 0, 0, 1, 0, SSUaU0, (/0, 2/), (/nGC_27/))

      allocate(vertices(3316)%branch(0:0))
      call av(3316, 0, 0, 1, 0, UUaVV0, (/0, 2/), (/nGC_84/))

      allocate(vertices(3317)%branch(0:0))
      call av(3317, 0, 1, 1, 0, UVUa0, (/0, 1/), (/nGC_617/))

      allocate(vertices(3318)%branch(0:0))
      call av(3318, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_22/))

      allocate(vertices(3319)%branch(0:0))
      call av(3319, 0, 0, 1, 0, SSUaU0, (/0, 2/), (/nGC_54/))

      allocate(vertices(3320)%branch(0:0))
      call av(3320, 0, 0, 1, 0, VUUaV0, (/0, 2/), (/nGC_73/))

      allocate(vertices(3321)%branch(0:0))
      call av(3321, 0, 1, 1, 0, SSS0, (/0, 1/), (/nGC_187/))

      allocate(vertices(3322)%branch(0:0))
      call av(3322, 0, 0, 1, 0, VSSV0, (/0, 2/), (/nGC_110/))

      allocate(vertices(3323)%branch(0:0))
      call av(3323, 0, 0, 1, 0, VSSV0, (/0, 2/), (/nGC_107/))

      allocate(vertices(3324)%branch(0:0))
      call av(3324, 0, 0, 1, 0, SSUUa0, (/0, 2/), (/nGC_140/))

      allocate(vertices(3325)%branch(0:0))
      call av(3325, 0, 0, 1, 0, SUaUS0, (/0, 2/), (/nGC_27/))

      allocate(vertices(3326)%branch(0:0))
      call av(3326, 0, 0, 1, 0, UVVUa0, (/0, 2/), (/nGC_83/))

      allocate(vertices(3327)%branch(0:0))
      call av(3327, 0, 1, 1, 0, FaFS0, (/0, 1/), (/nGC_211, nGC_211/))

      allocate(vertices(3328)%branch(0:0))
      call av(3328, 0, 0, 1, 0, UaUVV0, (/0, 2/), (/nGC_10/))

      allocate(vertices(3329)%branch(0:0))
      call av(3329, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_22/))

      allocate(vertices(3330)%branch(0:0))
      call av(3330, 0, 17, 1, 0, FaSF0, (/0, 1/), (/nGC_219, nGC_219/))

      allocate(vertices(3331)%branch(0:0))
      call av(3331, 0, 0, 1, 0, VVUUa0, (/0, 2/), (/nGC_113/))

      allocate(vertices(3332)%branch(0:0))
      call av(3332, 0, 20, 1, 0, VFaF0, (/0, 1/), (/nGC_99/))

      allocate(vertices(3333)%branch(0:0))
      call av(3333, 0, 0, 1, 0, VVUUa0, (/0, 2/), (/nGC_114/))

      allocate(vertices(3334)%branch(0:0))
      call av(3334, 0, 1, 1, 0, VFFa1, (/0, 1/), (/nGC_128, nGC_124/))

      allocate(vertices(3335)%branch(0:0))
      call av(3335, 0, 0, 1, 0, VUVUa0, (/0, 2/), (/nGC_83/))

      allocate(vertices(3336)%branch(0:0))
      call av(3336, 0, 20, 1, 0, VFaF1, (/0, 1/), (/nGC_2, nGC_2/))

      allocate(vertices(3337)%branch(0:0))
      call av(3337, 0, 0, 1, 0, SVSV0, (/0, 2/), (/nGC_141/))

      allocate(vertices(3338)%branch(0:0))
      call av(3338, 0, 1, 1, 0, VFFa0, (/0, 1/), (/nGC_99/))

      allocate(vertices(3339)%branch(0:0))
      call av(3339, 0, 0, 1, 0, VSSV0, (/0, 2/), (/nGC_92/))

      allocate(vertices(3340)%branch(0:0))
      call av(3340, 0, 0, 1, 0, USSUa0, (/0, 2/), (/nGC_14/))

      allocate(vertices(3341)%branch(0:0))
      call av(3341, 0, 1, 1, 0, UUaS0, (/0, 1/), (/nGC_167/))

      allocate(vertices(3342)%branch(0:0))
      call av(3342, 0, 0, 1, 0, SVVS0, (/0, 2/), (/nGC_134/))

      allocate(vertices(3343)%branch(0:0))
      call av(3343, 0, 0, 1, 0, UUaSS0, (/0, 2/), (/nGC_13/))

      allocate(vertices(3344)%branch(0:0))
      call av(3344, 0, 0, 1, 0, UaUVV0, (/0, 2/), (/nGC_114/))

      allocate(vertices(3345)%branch(0:0))
      call av(3345, 0, 0, 1, 0, SVVS0, (/0, 2/), (/nGC_71/))

      allocate(vertices(3346)%branch(0:0))
      call av(3346, 0, 18, 1, 0, FaFS0, (/0, 1/), (/nGC_198, nGC_561/))

      allocate(vertices(3347)%branch(0:0))
      call av(3347, 0, 0, 1, 0, SVSV0, (/0, 2/), (/nGC_112/))

      allocate(vertices(3348)%branch(0:0))
      call av(3348, 0, 0, 1, 0, SUUaS0, (/0, 2/), (/nGC_16/))

      allocate(vertices(3349)%branch(0:0))
      call av(3349, 0, 0, 1, 0, UaUSS0, (/0, 2/), (/nGC_108/))

      allocate(vertices(3350)%branch(0:0))
      call av(3350, 0, 0, 1, 0, VSSV0, (/0, 2/), (/nGC_14/))

      allocate(vertices(3351)%branch(0:0))
      call av(3351, 0, 0, 1, 0, VVUUa0, (/0, 2/), (/nGC_73/))

      allocate(vertices(3352)%branch(0:0))
      call av(3352, 0, 0, 1, 0, USSUa0, (/0, 2/), (/nGC_107/))

      allocate(vertices(3353)%branch(0:0))
      call av(3353, 0, 0, 1, 0, VUaUV0, (/0, 2/), (/nGC_115/))

      allocate(vertices(3354)%branch(0:0))
      call av(3354, 0, 1, 1, 0, VSV0, (/0, 1/), (/nGC_154/))

      allocate(vertices(3355)%branch(0:0))
      call av(3355, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_29/))

      allocate(vertices(3356)%branch(0:0))
      call av(3356, 0, 0, 1, 0, SUaSU0, (/0, 2/), (/nGC_148/))

      allocate(vertices(3357)%branch(0:0))
      call av(3357, 0, 1, 1, 0, SSV0, (/0, 1/), (/nGC_557/))

      allocate(vertices(3358)%branch(0:0))
      call av(3358, 0, 0, 1, 0, SSVV0, (/0, 2/), (/nGC_52/))

      allocate(vertices(3359)%branch(0:0))
      call av(3359, 0, 0, 1, 0, UVUaV0, (/0, 2/), (/nGC_86/))

      allocate(vertices(3360)%branch(0:0))
      call av(3360, 0, 0, 1, 0, UaVVU0, (/0, 2/), (/nGC_86/))

      allocate(vertices(3361)%branch(0:0))
      call av(3361, 0, 10, 1, 0, FFaV0, (/0, 1/), (/nGC_126, nGC_123/))

      allocate(vertices(3362)%branch(0:0))
      call av(3362, 0, 0, 1, 0, SVSV0, (/0, 2/), (/nGC_134/))

      allocate(vertices(3363)%branch(0:0))
      call av(3363, 0, 0, 1, 0, SSUUa0, (/0, 2/), (/nGC_48/))

      allocate(vertices(3364)%branch(0:0))
      call av(3364, 0, 19, 1, 0, FVFa1, (/0, 1/), (/nGC_99/))

      allocate(vertices(3365)%branch(0:0))
      call av(3365, 0, 0, 1, 0, UaSUS0, (/0, 2/), (/nGC_119/))

      allocate(vertices(3366)%branch(0:0))
      call av(3366, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_30/))

      allocate(vertices(3367)%branch(0:0))
      call av(3367, 0, 1, 1, 0, VSS0, (/0, 1/), (/nGC_563/))

      allocate(vertices(3368)%branch(0:0))
      call av(3368, 0, 0, 1, 0, UaVUV0, (/0, 2/), (/nGC_83/))

      allocate(vertices(3369)%branch(0:0))
      call av(3369, 0, 0, 1, 0, SSUaU0, (/0, 2/), (/nGC_27/))

      allocate(vertices(3370)%branch(0:0))
      call av(3370, 0, 0, 1, 0, SSVV0, (/0, 2/), (/nGC_71/))

      allocate(vertices(3371)%branch(0:0))
      call av(3371, 0, 1, 1, 0, VUaU1, (/0, 1/), (/nGC_531/))

      allocate(vertices(3372)%branch(0:0))
      call av(3372, 0, 0, 1, 0, SSUaU0, (/0, 2/), (/nGC_78/))

      allocate(vertices(3373)%branch(0:0))
      call av(3373, 0, 0, 1, 0, UaVUV0, (/0, 2/), (/nGC_114/))

      allocate(vertices(3374)%branch(0:0))
      call av(3374, 0, 0, 1, 0, VUVUa0, (/0, 2/), (/nGC_113/))

      allocate(vertices(3375)%branch(0:0))
      call av(3375, 0, 20, 1, 0, VFaF1, (/0, 1/), (/nGC_126, nGC_123/))

      allocate(vertices(3376)%branch(0:0))
      call av(3376, 0, 1, 1, 0, SSV1, (/0, 1/), (/nGC_98/))

      allocate(vertices(3377)%branch(0:0))
      call av(3377, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_31/))

      allocate(vertices(3378)%branch(0:0))
      call av(3378, 0, 1, 1, 0, FaSF1, (/0, 1/), (/nGC_209/))

      allocate(vertices(3379)%branch(0:0))
      call av(3379, 0, 1, 1, 0, VSS1, (/0, 1/), (/nGC_605/))

      allocate(vertices(3380)%branch(0:0))
      call av(3380, 0, 0, 1, 0, VSVS0, (/0, 2/), (/nGC_120/))

      allocate(vertices(3381)%branch(0:0))
      call av(3381, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_33/))

      allocate(vertices(3382)%branch(0:0))
      call av(3382, 0, 0, 1, 0, VVUaU0, (/0, 2/), (/nGC_84/))

      allocate(vertices(3383)%branch(0:0))
      call av(3383, 0, 0, 1, 0, UaUVV0, (/0, 2/), (/nGC_72/))

      allocate(vertices(3384)%branch(0:0))
      call av(3384, 0, 21, 1, 0, VFFa1, (/0, 1/), (/nGC_2, nGC_2/))

      allocate(vertices(3385)%branch(0:0))
      call av(3385, 0, 0, 1, 0, UVUaV0, (/0, 2/), (/nGC_114/))

      allocate(vertices(3386)%branch(0:0))
      call av(3386, 0, 0, 1, 0, VVVV0, (/0, 2/), (/nGC_527, nGC_116, nGC_527/))

      allocate(vertices(3387)%branch(0:0))
      call av(3387, 0, 0, 1, 0, SUaSU0, (/0, 2/), (/nGC_111/))

      allocate(vertices(3388)%branch(0:0))
      call av(3388, 0, 0, 1, 0, VUUaV0, (/0, 2/), (/nGC_10/))

      allocate(vertices(3389)%branch(0:0))
      call av(3389, 0, 0, 1, 0, SUaUS0, (/0, 2/), (/nGC_95/))

      allocate(vertices(3390)%branch(0:0))
      call av(3390, 0, 0, 1, 0, VUaVU0, (/0, 2/), (/nGC_8/))

      allocate(vertices(3391)%branch(0:0))
      call av(3391, 0, 0, 1, 0, SVSV0, (/0, 2/), (/nGC_64/))

      allocate(vertices(3392)%branch(0:0))
      call av(3392, 0, 0, 1, 0, SUaSU0, (/0, 2/), (/nGC_69/))

      allocate(vertices(3393)%branch(0:0))
      call av(3393, 0, 1, 1, 0, VFaF0, (/0, 1/), (/nGC_99/))

      allocate(vertices(3394)%branch(0:5))
      call av(3394, 0, 117, 6, 0, VUaVU0, (/2, 0/), (/nGC_551/))

      call av(3394, 1, 116, 6, 0, VUaVU0, (/2, 0/), (/nGC_551/))

      call av(3394, 2, 113, 7, 0, VUaVU0, (/2, 0/), (/nGC_21/))

      call av(3394, 3, 112, 7, 0, VUaVU0, (/2, 0/), (/nGC_21/))

      call av(3394, 4, 115, 7, 0, VUaVU0, (/2, 0/), (/nGC_21/))

      call av(3394, 5, 114, 7, 0, VUaVU0, (/2, 0/), (/nGC_21/))

      allocate(vertices(3395)%branch(0:0))
      call av(3395, 0, 0, 1, 0, UaSSU0, (/0, 2/), (/nGC_70/))

      allocate(vertices(3396)%branch(0:0))
      call av(3396, 0, 0, 1, 0, UaVUV0, (/0, 2/), (/nGC_83/))

      allocate(vertices(3397)%branch(0:0))
      call av(3397, 0, 17, 1, 0, FaSF0, (/0, 1/), (/nGC_220, nGC_220/))

      allocate(vertices(3398)%branch(0:0))
      call av(3398, 0, 0, 1, 0, UaUVV0, (/0, 2/), (/nGC_114/))

      allocate(vertices(3399)%branch(0:0))
      call av(3399, 0, 0, 1, 0, USUaS0, (/0, 2/), (/nGC_48/))

      allocate(vertices(3400)%branch(0:0))
      call av(3400, 0, 0, 1, 0, VVUaU0, (/0, 2/), (/nGC_83/))

      allocate(vertices(3401)%branch(0:0))
      call av(3401, 0, 0, 1, 0, UUaSS0, (/0, 2/), (/nGC_7/))

      allocate(vertices(3402)%branch(0:0))
      call av(3402, 0, 0, 1, 0, UaSUS0, (/0, 2/), (/nGC_61/))

      allocate(vertices(3403)%branch(0:0))
      call av(3403, 0, 0, 1, 0, UUaSS0, (/0, 2/), (/nGC_91/))

      allocate(vertices(3404)%branch(0:0))
      call av(3404, 0, 0, 1, 0, UUaSS0, (/0, 2/), (/nGC_93/))

      allocate(vertices(3405)%branch(0:0))
      call av(3405, 0, 0, 1, 0, VSVS0, (/0, 2/), (/nGC_110/))

      allocate(vertices(3406)%branch(0:0))
      call av(3406, 0, 0, 1, 0, SUSUa0, (/0, 2/), (/nGC_94/))

      allocate(vertices(3407)%branch(0:0))
      call av(3407, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_25/))

      allocate(vertices(3408)%branch(0:0))
      call av(3408, 0, 1, 1, 0, UUaV0, (/0, 1/), (/nGC_529/))

      allocate(vertices(3409)%branch(0:0))
      call av(3409, 0, 0, 1, 0, VUVUa0, (/0, 2/), (/nGC_7/))

      allocate(vertices(3410)%branch(0:0))
      call av(3410, 0, 0, 1, 0, UaVUV0, (/0, 2/), (/nGC_115/))

      allocate(vertices(3411)%branch(0:0))
      call av(3411, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_31/))

      allocate(vertices(3412)%branch(0:0))
      call av(3412, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_43/))

      allocate(vertices(3413)%branch(0:0))
      call av(3413, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_59/))

      allocate(vertices(3414)%branch(0:0))
      call av(3414, 0, 0, 1, 0, VVSS0, (/0, 2/), (/nGC_82/))

      allocate(vertices(3415)%branch(0:0))
      call av(3415, 0, 0, 1, 0, SSVV0, (/0, 2/), (/nGC_15/))

      allocate(vertices(3416)%branch(0:0))
      call av(3416, 0, 0, 1, 0, SVSV0, (/0, 2/), (/nGC_82/))

      allocate(vertices(3417)%branch(0:0))
      call av(3417, 0, 0, 1, 0, VUaVU0, (/0, 2/), (/nGC_113/))

      allocate(vertices(3418)%branch(0:0))
      call av(3418, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_67/))

      allocate(vertices(3419)%branch(0:0))
      call av(3419, 0, 0, 1, 0, SSVV0, (/0, 2/), (/nGC_76/))

      allocate(vertices(3420)%branch(0:0))
      call av(3420, 0, 18, 1, 0, FaFV1, (/0, 1/), (/nGC_99/))

      allocate(vertices(3421)%branch(0:0))
      call av(3421, 0, 0, 1, 0, VVUUa0, (/0, 2/), (/nGC_86/))

      allocate(vertices(3422)%branch(0:0))
      call av(3422, 0, 0, 1, 0, SUSUa0, (/0, 2/), (/nGC_108/))

      allocate(vertices(3423)%branch(0:0))
      call av(3423, 0, 0, 1, 0, SUSUa0, (/0, 2/), (/nGC_70/))

      allocate(vertices(3424)%branch(0:0))
      call av(3424, 0, 0, 1, 0, VUaVU0, (/0, 2/), (/nGC_7/))

      allocate(vertices(3425)%branch(0:0))
      call av(3425, 0, 0, 1, 0, UUaVV0, (/0, 2/), (/nGC_83/))

      allocate(vertices(3426)%branch(0:0))
      call av(3426, 0, 0, 1, 0, SUaUS0, (/0, 2/), (/nGC_16/))

      allocate(vertices(3427)%branch(0:0))
      call av(3427, 0, 0, 1, 0, UaVVU0, (/0, 2/), (/nGC_83/))

      allocate(vertices(3428)%branch(0:0))
      call av(3428, 0, 0, 1, 0, SSUaU0, (/0, 2/), (/nGC_61/))

      allocate(vertices(3429)%branch(0:0))
      call av(3429, 0, 0, 1, 0, UaUSS0, (/0, 2/), (/nGC_27/))

      allocate(vertices(3430)%branch(0:0))
      call av(3430, 0, 0, 1, 0, SUSUa0, (/0, 2/), (/nGC_133/))

      allocate(vertices(3431)%branch(0:0))
      call av(3431, 0, 1, 1, 0, FaFV1, (/0, 1/), (/nGC_129/))

      allocate(vertices(3432)%branch(0:0))
      call av(3432, 0, 0, 1, 0, VSVS0, (/0, 2/), (/nGC_13/))

      allocate(vertices(3433)%branch(0:0))
      call av(3433, 0, 1, 1, 0, VVV1, (/0, 1/), (/nGC_102/))

      allocate(vertices(3434)%branch(0:0))
      call av(3434, 0, 0, 1, 0, SUaSU0, (/0, 2/), (/nGC_7/))

      allocate(vertices(3435)%branch(0:0))
      call av(3435, 0, 0, 1, 0, SUSUa0, (/0, 2/), (/nGC_13/))

      allocate(vertices(3436)%branch(0:0))
      call av(3436, 0, 0, 1, 0, UaSUS0, (/0, 2/), (/nGC_14/))

      allocate(vertices(3437)%branch(0:0))
      call av(3437, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_38/))

      allocate(vertices(3438)%branch(0:0))
      call av(3438, 0, 0, 1, 0, SSUaU0, (/0, 2/), (/nGC_119/))

      allocate(vertices(3439)%branch(0:5))
      call av(3439, 0, 44, 7, 0, UVUaV0, (/2, 0/), (/nGC_21/))

      call av(3439, 1, 85, 7, 0, UVUaV0, (/2, 0/), (/nGC_21/))

      call av(3439, 2, 84, 7, 0, UVUaV0, (/2, 0/), (/nGC_21/))

      call av(3439, 3, 42, 7, 0, UVUaV0, (/2, 0/), (/nGC_21/))

      call av(3439, 4, 45, 6, 0, UVUaV0, (/2, 0/), (/nGC_551/))

      call av(3439, 5, 43, 6, 0, UVUaV0, (/2, 0/), (/nGC_551/))

      allocate(vertices(3440)%branch(0:0))
      call av(3440, 0, 1, 1, 0, SSV0, (/0, 1/), (/nGC_621/))

      allocate(vertices(3441)%branch(0:0))
      call av(3441, 0, 0, 1, 0, SUSUa0, (/0, 2/), (/nGC_62/))

      allocate(vertices(3442)%branch(0:0))
      call av(3442, 0, 0, 1, 0, VUVUa0, (/0, 2/), (/nGC_114/))

      allocate(vertices(3443)%branch(0:0))
      call av(3443, 0, 0, 1, 0, VSVS0, (/0, 2/), (/nGC_10/))

      allocate(vertices(3444)%branch(0:0))
      call av(3444, 0, 1, 1, 0, VFaF0, (/0, 1/), (/nGC_99/))

      allocate(vertices(3445)%branch(0:0))
      call av(3445, 0, 1, 1, 0, UaUV1, (/0, 1/), (/nGC_539/))

      allocate(vertices(3446)%branch(0:0))
      call av(3446, 0, 0, 1, 0, UaUSS0, (/0, 2/), (/nGC_80/))

      allocate(vertices(3447)%branch(0:0))
      call av(3447, 0, 1, 1, 0, FaFS0, (/0, 1/), (/nGC_210, nGC_569/))

      allocate(vertices(3448)%branch(0:0))
      call av(3448, 0, 0, 1, 0, SSVV0, (/0, 2/), (/nGC_147/))

      allocate(vertices(3449)%branch(0:0))
      call av(3449, 0, 0, 1, 0, SSUUa0, (/0, 2/), (/nGC_78/))

      allocate(vertices(3450)%branch(0:1))
      call av(3450, 0, 11, 4, 0, FFaV0, (/1, 0/), (/nGC_19, nGC_19/))

      call av(3450, 1, 12, 5, 0, FFaV0, (/1, 0/), (/nGC_19, nGC_19/))

      allocate(vertices(3451)%branch(0:0))
      call av(3451, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_29/))

      allocate(vertices(3452)%branch(0:0))
      call av(3452, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_68/))

      allocate(vertices(3453)%branch(0:0))
      call av(3453, 0, 10, 1, 0, FFaS0, (/0, 1/), (/nGC_220, nGC_220/))

      allocate(vertices(3454)%branch(0:0))
      call av(3454, 0, 0, 1, 0, UUaVV0, (/0, 2/), (/nGC_115/))

      allocate(vertices(3455)%branch(0:0))
      call av(3455, 0, 0, 1, 0, VUVUa0, (/0, 2/), (/nGC_73/))

      allocate(vertices(3456)%branch(0:0))
      call av(3456, 0, 0, 1, 0, SUaUS0, (/0, 2/), (/nGC_119/))

      allocate(vertices(3457)%branch(0:0))
      call av(3457, 0, 17, 1, 0, FaVF0, (/0, 1/), (/nGC_125, nGC_122/))

      allocate(vertices(3458)%branch(0:0))
      call av(3458, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_42/))

      allocate(vertices(3459)%branch(0:0))
      call av(3459, 0, 0, 1, 0, VUaUV0, (/0, 2/), (/nGC_114/))

      allocate(vertices(3460)%branch(0:0))
      call av(3460, 0, 0, 1, 0, SVSV0, (/0, 2/), (/nGC_120/))

      allocate(vertices(3461)%branch(0:0))
      call av(3461, 0, 0, 1, 0, VUVUa0, (/0, 2/), (/nGC_113/))

      allocate(vertices(3462)%branch(0:0))
      call av(3462, 0, 0, 1, 0, SVVS0, (/0, 2/), (/nGC_15/))

      allocate(vertices(3463)%branch(0:0))
      call av(3463, 0, 0, 1, 0, SUUaS0, (/0, 2/), (/nGC_119/))

      allocate(vertices(3464)%branch(0:0))
      call av(3464, 0, 0, 1, 0, VVUaU0, (/0, 2/), (/nGC_114/))

      allocate(vertices(3465)%branch(0:0))
      call av(3465, 0, 0, 1, 0, UaSSU0, (/0, 2/), (/nGC_27/))

      allocate(vertices(3466)%branch(0:0))
      call av(3466, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_67/))

      allocate(vertices(3467)%branch(0:0))
      call av(3467, 0, 0, 1, 0, UUaVV0, (/0, 2/), (/nGC_114/))

      allocate(vertices(3468)%branch(0:0))
      call av(3468, 0, 0, 1, 0, USSUa0, (/0, 2/), (/nGC_16/))

      allocate(vertices(3469)%branch(0:0))
      call av(3469, 0, 1, 1, 0, FFaS0, (/0, 1/), (/nGC_207, nGC_207/))

      allocate(vertices(3470)%branch(0:0))
      call av(3470, 0, 0, 1, 0, SUUaS0, (/0, 2/), (/nGC_13/))

      allocate(vertices(3471)%branch(0:0))
      call av(3471, 0, 20, 1, 0, SFaF0, (/0, 1/), (/nGC_198, nGC_561/))

      allocate(vertices(3472)%branch(0:0))
      call av(3472, 0, 1, 1, 0, SVV0, (/0, 1/), (/nGC_154/))

      allocate(vertices(3473)%branch(0:0))
      call av(3473, 0, 1, 1, 0, FaFS0, (/0, 1/), (/nGC_224, nGC_224/))

      allocate(vertices(3474)%branch(0:0))
      call av(3474, 0, 0, 1, 0, SUSUa0, (/0, 2/), (/nGC_14/))

      allocate(vertices(3475)%branch(0:0))
      call av(3475, 0, 0, 1, 0, UUaVV0, (/0, 2/), (/nGC_114/))

      allocate(vertices(3476)%branch(0:0))
      call av(3476, 0, 0, 1, 0, UVUaV0, (/0, 2/), (/nGC_113/))

      allocate(vertices(3477)%branch(0:0))
      call av(3477, 0, 0, 1, 0, UaUVV0, (/0, 2/), (/nGC_83/))

      allocate(vertices(3478)%branch(0:0))
      call av(3478, 0, 0, 1, 0, VUUaV0, (/0, 2/), (/nGC_7/))

      allocate(vertices(3479)%branch(0:0))
      call av(3479, 0, 1, 1, 0, VVV0, (/0, 1/), (/nGC_523/))

      allocate(vertices(3480)%branch(0:0))
      call av(3480, 0, 0, 1, 0, VUUaV0, (/0, 2/), (/nGC_114/))

      allocate(vertices(3481)%branch(0:0))
      call av(3481, 0, 0, 1, 0, VVSS0, (/0, 2/), (/nGC_110/))

      allocate(vertices(3482)%branch(0:0))
      call av(3482, 0, 0, 1, 0, SSUaU0, (/0, 2/), (/nGC_107/))

      allocate(vertices(3483)%branch(0:0))
      call av(3483, 0, 0, 1, 0, SVSV0, (/0, 2/), (/nGC_151/))

      allocate(vertices(3484)%branch(0:0))
      call av(3484, 0, 18, 1, 0, FaFV1, (/0, 1/), (/nGC_99/))

      allocate(vertices(3485)%branch(0:0))
      call av(3485, 0, 0, 1, 0, SUUaS0, (/0, 2/), (/nGC_93/))

      allocate(vertices(3486)%branch(0:0))
      call av(3486, 0, 0, 1, 0, UaVUV0, (/0, 2/), (/nGC_113/))

      allocate(vertices(3487)%branch(0:0))
      call av(3487, 0, 0, 1, 0, VVSS0, (/0, 2/), (/nGC_28/))

      allocate(vertices(3488)%branch(0:0))
      call av(3488, 0, 1, 1, 0, SSS0, (/0, 1/), (/nGC_184/))

      allocate(vertices(3489)%branch(0:0))
      call av(3489, 0, 0, 1, 0, VUaVU0, (/0, 2/), (/nGC_84/))

      allocate(vertices(3490)%branch(0:0))
      call av(3490, 0, 17, 1, 0, FaVF0, (/0, 1/), (/nGC_2, nGC_2/))

      allocate(vertices(3491)%branch(0:0))
      call av(3491, 0, 1, 1, 0, VVV1, (/0, 1/), (/nGC_3/))

      allocate(vertices(3492)%branch(0:0))
      call av(3492, 0, 1, 1, 0, UaUS0, (/0, 1/), (/nGC_160/))

      allocate(vertices(3493)%branch(0:0))
      call av(3493, 0, 20, 1, 0, SFaF0, (/0, 1/), (/nGC_204, nGC_204/))

      allocate(vertices(3494)%branch(0:0))
      call av(3494, 0, 0, 1, 0, VVUUa0, (/0, 2/), (/nGC_114/))

      allocate(vertices(3495)%branch(0:1))
      call av(3495, 0, 2, 3, 0, VVV1, (/1, 0/), (/nGC_629/))

      call av(3495, 1, 3, 2, 0, VVV1, (/1, 0/), (/nGC_629/))

      allocate(vertices(3496)%branch(0:0))
      call av(3496, 0, 0, 1, 0, USUaS0, (/0, 2/), (/nGC_9/))

      allocate(vertices(3497)%branch(0:0))
      call av(3497, 0, 0, 1, 0, SSVV0, (/0, 2/), (/nGC_92/))

      allocate(vertices(3498)%branch(0:0))
      call av(3498, 0, 1, 1, 0, SSS0, (/0, 1/), (/nGC_185/))

      allocate(vertices(3499)%branch(0:0))
      call av(3499, 0, 0, 1, 0, SUSUa0, (/0, 2/), (/nGC_119/))

      allocate(vertices(3500)%branch(0:1))
      call av(3500, 0, 54, 4, 0, VFFa1, (/1, 0/), (/nGC_19, nGC_19/))

      call av(3500, 1, 55, 5, 0, VFFa1, (/1, 0/), (/nGC_19, nGC_19/))

      allocate(vertices(3501)%branch(0:0))
      call av(3501, 0, 0, 1, 0, SVSV0, (/0, 2/), (/nGC_28/))

      allocate(vertices(3502)%branch(0:0))
      call av(3502, 0, 0, 1, 0, UaVVU0, (/0, 2/), (/nGC_114/))

      allocate(vertices(3503)%branch(0:0))
      call av(3503, 0, 0, 1, 0, SVSV0, (/0, 2/), (/nGC_121/))

      allocate(vertices(3504)%branch(0:0))
      call av(3504, 0, 0, 1, 0, UUaSS0, (/0, 2/), (/nGC_81/))

      allocate(vertices(3505)%branch(0:0))
      call av(3505, 0, 1, 1, 0, UaUS0, (/0, 1/), (/nGC_160/))

      allocate(vertices(3506)%branch(0:0))
      call av(3506, 0, 0, 1, 0, VVSS0, (/0, 2/), (/nGC_45/))

      allocate(vertices(3507)%branch(0:0))
      call av(3507, 0, 1, 1, 0, VVS0, (/0, 1/), (/nGC_164/))

      allocate(vertices(3508)%branch(0:0))
      call av(3508, 0, 0, 1, 0, SVVS0, (/0, 2/), (/nGC_147/))

      allocate(vertices(3509)%branch(0:0))
      call av(3509, 0, 0, 1, 0, VVSS0, (/0, 2/), (/nGC_92/))

      allocate(vertices(3510)%branch(0:0))
      call av(3510, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_41/))

      allocate(vertices(3511)%branch(0:0))
      call av(3511, 0, 1, 1, 0, UaVU0, (/0, 1/), (/nGC_543/))

      allocate(vertices(3512)%branch(0:0))
      call av(3512, 0, 0, 1, 0, USUaS0, (/0, 2/), (/nGC_132/))

      allocate(vertices(3513)%branch(0:0))
      call av(3513, 0, 0, 1, 0, SUaSU0, (/0, 2/), (/nGC_54/))

      allocate(vertices(3514)%branch(0:0))
      call av(3514, 0, 0, 1, 0, UVUaV0, (/0, 2/), (/nGC_83/))

      allocate(vertices(3515)%branch(0:0))
      call av(3515, 0, 0, 1, 0, VUaVU0, (/0, 2/), (/nGC_7/))

      allocate(vertices(3516)%branch(0:0))
      call av(3516, 0, 0, 1, 0, VSSV0, (/0, 2/), (/nGC_28/))

      allocate(vertices(3517)%branch(0:0))
      call av(3517, 0, 0, 1, 0, UUaSS0, (/0, 2/), (/nGC_88/))

      allocate(vertices(3518)%branch(0:0))
      call av(3518, 0, 0, 1, 0, VSSV0, (/0, 2/), (/nGC_96/))

      allocate(vertices(3519)%branch(0:0))
      call av(3519, 0, 18, 1, 0, FaFV0, (/0, 1/), (/nGC_1, nGC_1/))

      allocate(vertices(3520)%branch(0:0))
      call av(3520, 0, 0, 1, 0, VVUUa0, (/0, 2/), (/nGC_72/))

      allocate(vertices(3521)%branch(0:0))
      call av(3521, 0, 0, 1, 0, UVUaV0, (/0, 2/), (/nGC_114/))

      allocate(vertices(3522)%branch(0:0))
      call av(3522, 0, 0, 1, 0, UUaSS0, (/0, 2/), (/nGC_95/))

      allocate(vertices(3523)%branch(0:0))
      call av(3523, 0, 0, 1, 0, USUaS0, (/0, 2/), (/nGC_111/))

      allocate(vertices(3524)%branch(0:0))
      call av(3524, 0, 21, 1, 0, SFFa0, (/0, 1/), (/nGC_204, nGC_204/))

      allocate(vertices(3525)%branch(0:0))
      call av(3525, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_42/))

      allocate(vertices(3526)%branch(0:0))
      call av(3526, 0, 1, 1, 0, VVS0, (/0, 1/), (/nGC_168/))

      allocate(vertices(3527)%branch(0:0))
      call av(3527, 0, 0, 1, 0, SVSV0, (/0, 2/), (/nGC_121/))

      allocate(vertices(3528)%branch(0:0))
      call av(3528, 0, 0, 1, 0, SSUaU0, (/0, 2/), (/nGC_107/))

      allocate(vertices(3529)%branch(0:0))
      call av(3529, 0, 0, 1, 0, SSVV0, (/0, 2/), (/nGC_134/))

      allocate(vertices(3530)%branch(0:0))
      call av(3530, 0, 0, 1, 0, UaSUS0, (/0, 2/), (/nGC_49/))

      allocate(vertices(3531)%branch(0:0))
      call av(3531, 0, 1, 1, 0, VUUa0, (/0, 1/), (/nGC_529/))

      allocate(vertices(3532)%branch(0:0))
      call av(3532, 0, 1, 1, 0, SVV0, (/0, 1/), (/nGC_162/))

      allocate(vertices(3533)%branch(0:0))
      call av(3533, 0, 0, 1, 0, USUaS0, (/0, 2/), (/nGC_132/))

      allocate(vertices(3534)%branch(0:0))
      call av(3534, 0, 0, 1, 0, VUaVU0, (/0, 2/), (/nGC_73/))

      allocate(vertices(3535)%branch(0:0))
      call av(3535, 0, 20, 1, 0, VFaF0, (/0, 1/), (/nGC_99/))

      allocate(vertices(3536)%branch(0:0))
      call av(3536, 0, 0, 1, 0, SSUaU0, (/0, 2/), (/nGC_14/))

      allocate(vertices(3537)%branch(0:0))
      call av(3537, 0, 0, 1, 0, UVUaV0, (/0, 2/), (/nGC_114/))

      allocate(vertices(3538)%branch(0:0))
      call av(3538, 0, 0, 1, 0, SUaSU0, (/0, 2/), (/nGC_69/))

      allocate(vertices(3539)%branch(0:0))
      call av(3539, 0, 0, 1, 0, SUaSU0, (/0, 2/), (/nGC_54/))

      allocate(vertices(3540)%branch(0:0))
      call av(3540, 0, 0, 1, 0, VSVS0, (/0, 2/), (/nGC_141/))

      allocate(vertices(3541)%branch(0:0))
      call av(3541, 0, 0, 1, 0, UaVVU0, (/0, 2/), (/nGC_83/))

      allocate(vertices(3542)%branch(0:0))
      call av(3542, 0, 0, 1, 0, SVVS0, (/0, 2/), (/nGC_134/))

      allocate(vertices(3543)%branch(0:0))
      call av(3543, 0, 1, 1, 0, VFaF0, (/0, 1/), (/nGC_129/))

      allocate(vertices(3544)%branch(0:0))
      call av(3544, 0, 0, 1, 0, UVUaV0, (/0, 2/), (/nGC_8/))

      allocate(vertices(3545)%branch(0:0))
      call av(3545, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_31/))

      allocate(vertices(3546)%branch(0:0))
      call av(3546, 0, 0, 1, 0, VVUaU0, (/0, 2/), (/nGC_83/))

      allocate(vertices(3547)%branch(0:1))
      call av(3547, 0, 52, 4, 0, VFaF1, (/1, 0/), (/nGC_19, nGC_19/))

      call av(3547, 1, 53, 5, 0, VFaF1, (/1, 0/), (/nGC_19, nGC_19/))

      allocate(vertices(3548)%branch(0:0))
      call av(3548, 0, 0, 1, 0, SSUaU0, (/0, 2/), (/nGC_16/))

      allocate(vertices(3549)%branch(0:0))
      call av(3549, 0, 0, 1, 0, UaVUV0, (/0, 2/), (/nGC_113/))

      allocate(vertices(3550)%branch(0:0))
      call av(3550, 0, 0, 1, 0, UaUSS0, (/0, 2/), (/nGC_54/))

      allocate(vertices(3551)%branch(0:0))
      call av(3551, 0, 0, 1, 0, SUaSU0, (/0, 2/), (/nGC_62/))

      allocate(vertices(3552)%branch(0:0))
      call av(3552, 0, 0, 1, 0, SSVV0, (/0, 2/), (/nGC_134/))

      allocate(vertices(3553)%branch(0:0))
      call av(3553, 0, 0, 1, 0, UaSSU0, (/0, 2/), (/nGC_27/))

      allocate(vertices(3554)%branch(0:0))
      call av(3554, 0, 0, 1, 0, SUUaS0, (/0, 2/), (/nGC_70/))

      allocate(vertices(3555)%branch(0:0))
      call av(3555, 0, 1, 1, 0, UaSU0, (/0, 1/), (/nGC_155/))

      allocate(vertices(3556)%branch(0:0))
      call av(3556, 0, 0, 1, 0, VSVS0, (/0, 2/), (/nGC_142/))

      allocate(vertices(3557)%branch(0:0))
      call av(3557, 0, 0, 1, 0, UaSUS0, (/0, 2/), (/nGC_148/))

      allocate(vertices(3558)%branch(0:0))
      call av(3558, 0, 1, 1, 0, UVUa0, (/0, 1/), (/nGC_531/))

      allocate(vertices(3559)%branch(0:0))
      call av(3559, 0, 0, 1, 0, SSVV0, (/0, 2/), (/nGC_151/))

      allocate(vertices(3560)%branch(0:0))
      call av(3560, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_31/))

      allocate(vertices(3561)%branch(0:0))
      call av(3561, 0, 0, 1, 0, SSUUa0, (/0, 2/), (/nGC_111/))

      allocate(vertices(3562)%branch(0:0))
      call av(3562, 0, 0, 1, 0, UUaVV0, (/0, 2/), (/nGC_7/))

      allocate(vertices(3563)%branch(0:0))
      call av(3563, 0, 0, 1, 0, UVVUa0, (/0, 2/), (/nGC_7/))

      allocate(vertices(3564)%branch(0:0))
      call av(3564, 0, 0, 1, 0, SUUaS0, (/0, 2/), (/nGC_16/))

      allocate(vertices(3565)%branch(0:0))
      call av(3565, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_12/))

      allocate(vertices(3566)%branch(0:0))
      call av(3566, 0, 1, 1, 0, UVUa0, (/0, 1/), (/nGC_625/))

      allocate(vertices(3567)%branch(0:0))
      call av(3567, 0, 1, 1, 0, SUUa0, (/0, 1/), (/nGC_169/))

      allocate(vertices(3568)%branch(0:0))
      call av(3568, 0, 0, 1, 0, VVSS0, (/0, 2/), (/nGC_142/))

      allocate(vertices(3569)%branch(0:0))
      call av(3569, 0, 1, 1, 0, UaUS0, (/0, 1/), (/nGC_170/))

      allocate(vertices(3570)%branch(0:0))
      call av(3570, 0, 0, 1, 0, VVSS0, (/0, 2/), (/nGC_120/))

      allocate(vertices(3571)%branch(0:0))
      call av(3571, 0, 0, 1, 0, VVUaU0, (/0, 2/), (/nGC_114/))

      allocate(vertices(3572)%branch(0:0))
      call av(3572, 0, 0, 1, 0, VSSV0, (/0, 2/), (/nGC_15/))

      allocate(vertices(3573)%branch(0:0))
      call av(3573, 0, 0, 1, 0, VSVS0, (/0, 2/), (/nGC_134/))

      allocate(vertices(3574)%branch(0:0))
      call av(3574, 0, 0, 1, 0, UaVUV0, (/0, 2/), (/nGC_83/))

      allocate(vertices(3575)%branch(0:0))
      call av(3575, 0, 1, 1, 0, SSS0, (/0, 1/), (/nGC_182/))

      allocate(vertices(3576)%branch(0:0))
      call av(3576, 0, 0, 1, 0, VSVS0, (/0, 2/), (/nGC_108/))

      allocate(vertices(3577)%branch(0:0))
      call av(3577, 0, 10, 1, 0, FFaS0, (/0, 1/), (/nGC_204, nGC_204/))

      allocate(vertices(3578)%branch(0:0))
      call av(3578, 0, 0, 1, 0, SVSV0, (/0, 2/), (/nGC_10/))

      allocate(vertices(3579)%branch(0:0))
      call av(3579, 0, 1, 1, 0, SSS0, (/0, 1/), (/nGC_187/))

      allocate(vertices(3580)%branch(0:0))
      call av(3580, 0, 0, 1, 0, SSUUa0, (/0, 2/), (/nGC_89/))

      allocate(vertices(3581)%branch(0:0))
      call av(3581, 0, 0, 1, 0, SUaSU0, (/0, 2/), (/nGC_14/))

      allocate(vertices(3582)%branch(0:0))
      call av(3582, 0, 0, 1, 0, SSUUa0, (/0, 2/), (/nGC_111/))

      allocate(vertices(3583)%branch(0:0))
      call av(3583, 0, 0, 1, 0, USUaS0, (/0, 2/), (/nGC_54/))

      allocate(vertices(3584)%branch(0:0))
      call av(3584, 0, 0, 1, 0, USUaS0, (/0, 2/), (/nGC_132/))

      allocate(vertices(3585)%branch(0:0))
      call av(3585, 0, 10, 1, 0, FFaS0, (/0, 1/), (/nGC_225, nGC_201/))

      allocate(vertices(3586)%branch(0:0))
      call av(3586, 0, 21, 1, 0, SFFa0, (/0, 1/), (/nGC_204, nGC_204/))

      allocate(vertices(3587)%branch(0:0))
      call av(3587, 0, 0, 1, 0, UaUSS0, (/0, 2/), (/nGC_111/))

      allocate(vertices(3588)%branch(0:0))
      call av(3588, 0, 1, 1, 0, FaFV1, (/0, 1/), (/nGC_129/))

      allocate(vertices(3589)%branch(0:0))
      call av(3589, 0, 0, 1, 0, SSVV0, (/0, 2/), (/nGC_147/))

      allocate(vertices(3590)%branch(0:0))
      call av(3590, 0, 0, 1, 0, UaSUS0, (/0, 2/), (/nGC_107/))

      allocate(vertices(3591)%branch(0:0))
      call av(3591, 0, 0, 1, 0, UUaSS0, (/0, 2/), (/nGC_80/))

      allocate(vertices(3592)%branch(0:0))
      call av(3592, 0, 0, 1, 0, VUaUV0, (/0, 2/), (/nGC_10/))

      allocate(vertices(3593)%branch(0:0))
      call av(3593, 0, 0, 1, 0, SSVV0, (/0, 2/), (/nGC_121/))

      allocate(vertices(3594)%branch(0:0))
      call av(3594, 0, 0, 1, 0, VVUaU0, (/0, 2/), (/nGC_10/))

      allocate(vertices(3595)%branch(0:0))
      call av(3595, 0, 1, 1, 0, SVS0, (/0, 1/), (/nGC_136/))

      allocate(vertices(3596)%branch(0:0))
      call av(3596, 0, 0, 1, 0, UaSUS0, (/0, 2/), (/nGC_13/))

      allocate(vertices(3597)%branch(0:0))
      call av(3597, 0, 0, 1, 0, SSVV0, (/0, 2/), (/nGC_90/))

      allocate(vertices(3598)%branch(0:0))
      call av(3598, 0, 1, 1, 0, FaFS2, (/0, 1/), (/nGC_205/))

      allocate(vertices(3599)%branch(0:0))
      call av(3599, 0, 0, 1, 0, UaVUV0, (/0, 2/), (/nGC_115/))

      allocate(vertices(3600)%branch(0:0))
      call av(3600, 0, 0, 1, 0, UaUSS0, (/0, 2/), (/nGC_53/))

      allocate(vertices(3601)%branch(0:0))
      call av(3601, 0, 0, 1, 0, VUaUV0, (/0, 2/), (/nGC_83/))

      allocate(vertices(3602)%branch(0:0))
      call av(3602, 0, 0, 1, 0, SVVS0, (/0, 2/), (/nGC_110/))

      allocate(vertices(3603)%branch(0:0))
      call av(3603, 0, 10, 1, 0, FFaV0, (/0, 1/), (/nGC_1, nGC_1/))

      allocate(vertices(3604)%branch(0:0))
      call av(3604, 0, 0, 1, 0, SVSV0, (/0, 2/), (/nGC_145/))

      allocate(vertices(3605)%branch(0:0))
      call av(3605, 0, 0, 1, 0, USUaS0, (/0, 2/), (/nGC_108/))

      allocate(vertices(3606)%branch(0:0))
      call av(3606, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_29/))

      allocate(vertices(3607)%branch(0:0))
      call av(3607, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_59/))

      allocate(vertices(3608)%branch(0:0))
      call av(3608, 0, 20, 1, 0, SFaF0, (/0, 1/), (/nGC_228, nGC_228/))

      allocate(vertices(3609)%branch(0:0))
      call av(3609, 0, 0, 1, 0, SUSUa0, (/0, 2/), (/nGC_61/))

      allocate(vertices(3610)%branch(0:0))
      call av(3610, 0, 0, 1, 0, UaVVU0, (/0, 2/), (/nGC_74/))

      allocate(vertices(3611)%branch(0:0))
      call av(3611, 0, 0, 1, 0, SUSUa0, (/0, 2/), (/nGC_111/))

      allocate(vertices(3612)%branch(0:0))
      call av(3612, 0, 21, 1, 0, SFFa0, (/0, 1/), (/nGC_195, nGC_195/))

      allocate(vertices(3613)%branch(0:0))
      call av(3613, 0, 0, 1, 0, VSVS0, (/0, 2/), (/nGC_14/))

      allocate(vertices(3614)%branch(0:0))
      call av(3614, 0, 1, 1, 0, FFaS0, (/0, 1/), (/nGC_224, nGC_224/))

      allocate(vertices(3615)%branch(0:0))
      call av(3615, 0, 0, 1, 0, SUUaS0, (/0, 2/), (/nGC_70/))

      allocate(vertices(3616)%branch(0:0))
      call av(3616, 0, 0, 1, 0, VVUaU0, (/0, 2/), (/nGC_114/))

      allocate(vertices(3617)%branch(0:0))
      call av(3617, 0, 0, 1, 0, SSUUa0, (/0, 2/), (/nGC_119/))

      allocate(vertices(3618)%branch(0:0))
      call av(3618, 0, 0, 1, 0, SSUUa0, (/0, 2/), (/nGC_133/))

      allocate(vertices(3619)%branch(0:0))
      call av(3619, 0, 0, 1, 0, UaVUV0, (/0, 2/), (/nGC_115/))

      allocate(vertices(3620)%branch(0:0))
      call av(3620, 0, 0, 1, 0, UaUSS0, (/0, 2/), (/nGC_111/))

      allocate(vertices(3621)%branch(0:0))
      call av(3621, 0, 0, 1, 0, SSUaU0, (/0, 2/), (/nGC_108/))

      allocate(vertices(3622)%branch(0:0))
      call av(3622, 0, 0, 1, 0, VSSV0, (/0, 2/), (/nGC_71/))

      allocate(vertices(3623)%branch(0:0))
      call av(3623, 0, 0, 1, 0, UUaSS0, (/0, 2/), (/nGC_70/))

      allocate(vertices(3624)%branch(0:0))
      call av(3624, 0, 0, 1, 0, SSUUa0, (/0, 2/), (/nGC_89/))

      allocate(vertices(3625)%branch(0:0))
      call av(3625, 0, 0, 1, 0, SUaSU0, (/0, 2/), (/nGC_70/))

      allocate(vertices(3626)%branch(0:0))
      call av(3626, 0, 0, 1, 0, VUaUV0, (/0, 2/), (/nGC_114/))

      allocate(vertices(3627)%branch(0:0))
      call av(3627, 0, 0, 1, 0, USUaS0, (/0, 2/), (/nGC_108/))

      allocate(vertices(3628)%branch(0:1))
      call av(3628, 0, 54, 4, 0, VFFa1, (/1, 0/), (/nGC_19, nGC_19/))

      call av(3628, 1, 55, 5, 0, VFFa1, (/1, 0/), (/nGC_19, nGC_19/))

      allocate(vertices(3629)%branch(0:0))
      call av(3629, 0, 0, 1, 0, VVUaU0, (/0, 2/), (/nGC_73/))

      allocate(vertices(3630)%branch(0:0))
      call av(3630, 0, 0, 1, 0, USSUa0, (/0, 2/), (/nGC_111/))

      allocate(vertices(3631)%branch(0:0))
      call av(3631, 0, 0, 1, 0, USUaS0, (/0, 2/), (/nGC_49/))

      allocate(vertices(3632)%branch(0:0))
      call av(3632, 0, 0, 1, 0, VSSV0, (/0, 2/), (/nGC_107/))

      allocate(vertices(3633)%branch(0:0))
      call av(3633, 0, 0, 1, 0, VVVV1, (/0, 2/), (/nGC_116/))

      allocate(vertices(3634)%branch(0:0))
      call av(3634, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_65/))

      allocate(vertices(3635)%branch(0:0))
      call av(3635, 0, 20, 1, 0, SFaF0, (/0, 1/), (/nGC_213, nGC_197/))

      allocate(vertices(3636)%branch(0:0))
      call av(3636, 0, 0, 1, 0, SVSV0, (/0, 2/), (/nGC_90/))

      allocate(vertices(3637)%branch(0:0))
      call av(3637, 0, 0, 1, 0, SVVS0, (/0, 2/), (/nGC_13/))

      allocate(vertices(3638)%branch(0:0))
      call av(3638, 0, 0, 1, 0, VVUaU0, (/0, 2/), (/nGC_73/))

      allocate(vertices(3639)%branch(0:0))
      call av(3639, 0, 0, 1, 0, VUVUa0, (/0, 2/), (/nGC_114/))

      allocate(vertices(3640)%branch(0:0))
      call av(3640, 0, 0, 1, 0, SUaSU0, (/0, 2/), (/nGC_89/))

      allocate(vertices(3641)%branch(0:0))
      call av(3641, 0, 1, 1, 0, UaUV1, (/0, 1/), (/nGC_539/))

      allocate(vertices(3642)%branch(0:0))
      call av(3642, 0, 0, 1, 0, UVUaV0, (/0, 2/), (/nGC_115/))

      allocate(vertices(3643)%branch(0:0))
      call av(3643, 0, 0, 1, 0, UUaSS0, (/0, 2/), (/nGC_119/))

      allocate(vertices(3644)%branch(0:0))
      call av(3644, 0, 18, 1, 0, FaFV0, (/0, 1/), (/nGC_2, nGC_2/))

      allocate(vertices(3645)%branch(0:0))
      call av(3645, 0, 0, 1, 0, SSUaU0, (/0, 2/), (/nGC_27/))

      allocate(vertices(3646)%branch(0:0))
      call av(3646, 0, 0, 1, 0, VVVV1, (/0, 2/), (/nGC_85/))

      allocate(vertices(3647)%branch(0:0))
      call av(3647, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_30/))

      allocate(vertices(3648)%branch(0:0))
      call av(3648, 0, 0, 1, 0, VVVV0, (/0, 2/), (/nGC_631, nGC_72, nGC_72/))

      allocate(vertices(3649)%branch(0:0))
      call av(3649, 0, 0, 1, 0, UUaSS0, (/0, 2/), (/nGC_70/))

      allocate(vertices(3650)%branch(0:0))
      call av(3650, 0, 0, 1, 0, VVSS0, (/0, 2/), (/nGC_120/))

      allocate(vertices(3651)%branch(0:0))
      call av(3651, 0, 0, 1, 0, USUaS0, (/0, 2/), (/nGC_111/))

      allocate(vertices(3652)%branch(0:0))
      call av(3652, 0, 0, 1, 0, UaSUS0, (/0, 2/), (/nGC_94/))

      allocate(vertices(3653)%branch(0:0))
      call av(3653, 0, 0, 1, 0, UaSUS0, (/0, 2/), (/nGC_111/))

      allocate(vertices(3654)%branch(0:0))
      call av(3654, 0, 18, 1, 0, FaFV0, (/0, 1/), (/nGC_1, nGC_1/))

      allocate(vertices(3655)%branch(0:0))
      call av(3655, 0, 0, 1, 0, UaVUV0, (/0, 2/), (/nGC_10/))

      allocate(vertices(3656)%branch(0:0))
      call av(3656, 0, 0, 1, 0, SUaUS0, (/0, 2/), (/nGC_133/))

      allocate(vertices(3657)%branch(0:0))
      call av(3657, 0, 0, 1, 0, UaUSS0, (/0, 2/), (/nGC_93/))

      allocate(vertices(3658)%branch(0:0))
      call av(3658, 0, 0, 1, 0, VUVUa0, (/0, 2/), (/nGC_84/))

      allocate(vertices(3659)%branch(0:0))
      call av(3659, 0, 0, 1, 0, UaUSS0, (/0, 2/), (/nGC_48/))

      allocate(vertices(3660)%branch(0:0))
      call av(3660, 0, 19, 1, 0, FSFa0, (/0, 1/), (/nGC_201, nGC_225/))

      allocate(vertices(3661)%branch(0:0))
      call av(3661, 0, 0, 1, 0, UaVUV0, (/0, 2/), (/nGC_7/))

      allocate(vertices(3662)%branch(0:0))
      call av(3662, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_31/))

      allocate(vertices(3663)%branch(0:0))
      call av(3663, 0, 0, 1, 0, UUaVV0, (/0, 2/), (/nGC_114/))

      allocate(vertices(3664)%branch(0:0))
      call av(3664, 0, 0, 1, 0, UaSUS0, (/0, 2/), (/nGC_9/))

      allocate(vertices(3665)%branch(0:0))
      call av(3665, 0, 21, 1, 0, SFFa0, (/0, 1/), (/nGC_202, nGC_597/))

      allocate(vertices(3666)%branch(0:0))
      call av(3666, 0, 0, 1, 0, SUaSU0, (/0, 2/), (/nGC_93/))

      allocate(vertices(3667)%branch(0:0))
      call av(3667, 0, 0, 1, 0, UaUSS0, (/0, 2/), (/nGC_111/))

      allocate(vertices(3668)%branch(0:0))
      call av(3668, 0, 0, 1, 0, SSUaU0, (/0, 2/), (/nGC_138/))

      allocate(vertices(3669)%branch(0:0))
      call av(3669, 0, 1, 1, 0, FFaS2, (/0, 1/), (/nGC_221/))

      allocate(vertices(3670)%branch(0:0))
      call av(3670, 0, 0, 1, 0, UaSSU0, (/0, 2/), (/nGC_14/))

      allocate(vertices(3671)%branch(0:0))
      call av(3671, 0, 0, 1, 0, USUaS0, (/0, 2/), (/nGC_69/))

      allocate(vertices(3672)%branch(0:0))
      call av(3672, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_29/))

      allocate(vertices(3673)%branch(0:0))
      call av(3673, 0, 0, 1, 0, SSUaU0, (/0, 2/), (/nGC_70/))

      allocate(vertices(3674)%branch(0:0))
      call av(3674, 0, 0, 1, 0, VVSS0, (/0, 2/), (/nGC_107/))

      allocate(vertices(3675)%branch(0:0))
      call av(3675, 0, 0, 1, 0, SUaSU0, (/0, 2/), (/nGC_27/))

      allocate(vertices(3676)%branch(0:0))
      call av(3676, 0, 21, 1, 0, VFFa0, (/0, 1/), (/nGC_99/))

      allocate(vertices(3677)%branch(0:0))
      call av(3677, 0, 0, 1, 0, SUaSU0, (/0, 2/), (/nGC_108/))

      allocate(vertices(3678)%branch(0:0))
      call av(3678, 0, 0, 1, 0, UaUSS0, (/0, 2/), (/nGC_81/))

      allocate(vertices(3679)%branch(0:0))
      call av(3679, 0, 0, 1, 0, UaUSS0, (/0, 2/), (/nGC_132/))

      allocate(vertices(3680)%branch(0:0))
      call av(3680, 0, 0, 1, 0, VUaVU0, (/0, 2/), (/nGC_74/))

      allocate(vertices(3681)%branch(0:0))
      call av(3681, 0, 10, 1, 0, FFaS0, (/0, 1/), (/nGC_196, nGC_196/))

      allocate(vertices(3682)%branch(0:0))
      call av(3682, 0, 0, 1, 0, SSUUa0, (/0, 2/), (/nGC_70/))

      allocate(vertices(3683)%branch(0:0))
      call av(3683, 0, 0, 1, 0, UaUVV0, (/0, 2/), (/nGC_83/))

      allocate(vertices(3684)%branch(0:0))
      call av(3684, 0, 1, 1, 0, UaSU0, (/0, 1/), (/nGC_167/))

      allocate(vertices(3685)%branch(0:0))
      call av(3685, 0, 0, 1, 0, SSUUa0, (/0, 2/), (/nGC_80/))

      allocate(vertices(3686)%branch(0:0))
      call av(3686, 0, 0, 1, 0, UVVUa0, (/0, 2/), (/nGC_73/))

      allocate(vertices(3687)%branch(0:0))
      call av(3687, 0, 17, 1, 0, FaSF0, (/0, 1/), (/nGC_196, nGC_196/))

      allocate(vertices(3688)%branch(0:0))
      call av(3688, 0, 0, 1, 0, SUUaS0, (/0, 2/), (/nGC_119/))

      allocate(vertices(3689)%branch(0:0))
      call av(3689, 0, 0, 1, 0, UaSUS0, (/0, 2/), (/nGC_138/))

      allocate(vertices(3690)%branch(0:0))
      call av(3690, 0, 1, 1, 0, SSS0, (/0, 1/), (/nGC_179/))

      allocate(vertices(3691)%branch(0:0))
      call av(3691, 0, 0, 1, 0, UaUVV0, (/0, 2/), (/nGC_83/))

      allocate(vertices(3692)%branch(0:0))
      call av(3692, 0, 0, 1, 0, VSVS0, (/0, 2/), (/nGC_120/))

      allocate(vertices(3693)%branch(0:0))
      call av(3693, 0, 0, 1, 0, SUaUS0, (/0, 2/), (/nGC_133/))

      allocate(vertices(3694)%branch(0:0))
      call av(3694, 0, 0, 1, 0, SSUaU0, (/0, 2/), (/nGC_13/))

      allocate(vertices(3695)%branch(0:0))
      call av(3695, 0, 1, 1, 0, FaSF0, (/0, 1/), (/nGC_208, nGC_208/))

      allocate(vertices(3696)%branch(0:0))
      call av(3696, 0, 20, 1, 0, VFaF1, (/0, 1/), (/nGC_125, nGC_122/))

      allocate(vertices(3697)%branch(0:0))
      call av(3697, 0, 0, 1, 0, UaVVU0, (/0, 2/), (/nGC_115/))

      allocate(vertices(3698)%branch(0:0))
      call av(3698, 0, 0, 1, 0, SSVV0, (/0, 2/), (/nGC_28/))

      allocate(vertices(3699)%branch(0:0))
      call av(3699, 0, 0, 1, 0, VSSV0, (/0, 2/), (/nGC_107/))

      allocate(vertices(3700)%branch(0:0))
      call av(3700, 0, 1, 1, 0, SFaF0, (/0, 1/), (/nGC_222, nGC_535/))

      allocate(vertices(3701)%branch(0:0))
      call av(3701, 0, 0, 1, 0, SUaUS0, (/0, 2/), (/nGC_140/))

      allocate(vertices(3702)%branch(0:0))
      call av(3702, 0, 0, 1, 0, UUaSS0, (/0, 2/), (/nGC_107/))

      allocate(vertices(3703)%branch(0:0))
      call av(3703, 0, 0, 1, 0, SVVS0, (/0, 2/), (/nGC_14/))

      allocate(vertices(3704)%branch(0:0))
      call av(3704, 0, 1, 1, 0, SVS0, (/0, 1/), (/nGC_130/))

      allocate(vertices(3705)%branch(0:0))
      call av(3705, 0, 0, 1, 0, UUaVV0, (/0, 2/), (/nGC_83/))

      allocate(vertices(3706)%branch(0:0))
      call av(3706, 0, 1, 1, 0, VSV0, (/0, 1/), (/nGC_175/))

      allocate(vertices(3707)%branch(0:0))
      call av(3707, 0, 17, 1, 0, FaSF0, (/0, 1/), (/nGC_204, nGC_204/))

      allocate(vertices(3708)%branch(0:0))
      call av(3708, 0, 0, 1, 0, SVVS0, (/0, 2/), (/nGC_120/))

      allocate(vertices(3709)%branch(0:0))
      call av(3709, 0, 0, 1, 0, SSVV0, (/0, 2/), (/nGC_56/))

      allocate(vertices(3710)%branch(0:0))
      call av(3710, 0, 0, 1, 0, SUaSU0, (/0, 2/), (/nGC_16/))

      allocate(vertices(3711)%branch(0:0))
      call av(3711, 0, 1, 1, 0, VVS0, (/0, 1/), (/nGC_177/))

      allocate(vertices(3712)%branch(0:0))
      call av(3712, 0, 0, 1, 0, USUaS0, (/0, 2/), (/nGC_93/))

      allocate(vertices(3713)%branch(0:0))
      call av(3713, 0, 10, 1, 0, FFaS0, (/0, 1/), (/nGC_219, nGC_219/))

      allocate(vertices(3714)%branch(0:0))
      call av(3714, 0, 0, 1, 0, UVUaV0, (/0, 2/), (/nGC_73/))

      allocate(vertices(3715)%branch(0:0))
      call av(3715, 0, 0, 1, 0, VSVS0, (/0, 2/), (/nGC_151/))

      allocate(vertices(3716)%branch(0:0))
      call av(3716, 0, 17, 1, 0, FaVF0, (/0, 1/), (/nGC_1, nGC_1/))

      allocate(vertices(3717)%branch(0:0))
      call av(3717, 0, 0, 1, 0, SUSUa0, (/0, 2/), (/nGC_27/))

      allocate(vertices(3718)%branch(0:0))
      call av(3718, 0, 1, 1, 0, UaUS0, (/0, 1/), (/nGC_178/))

      allocate(vertices(3719)%branch(0:0))
      call av(3719, 0, 0, 1, 0, UaSUS0, (/0, 2/), (/nGC_111/))

      allocate(vertices(3720)%branch(0:0))
      call av(3720, 0, 21, 1, 0, SFFa0, (/0, 1/), (/nGC_196, nGC_196/))

      allocate(vertices(3721)%branch(0:0))
      call av(3721, 0, 0, 1, 0, VSSV0, (/0, 2/), (/nGC_28/))

      allocate(vertices(3722)%branch(0:0))
      call av(3722, 0, 0, 1, 0, USUaS0, (/0, 2/), (/nGC_88/))

      allocate(vertices(3723)%branch(0:0))
      call av(3723, 0, 1, 1, 0, SSV0, (/0, 1/), (/nGC_547/))

      allocate(vertices(3724)%branch(0:0))
      call av(3724, 0, 0, 1, 0, VSVS0, (/0, 2/), (/nGC_46/))

      allocate(vertices(3725)%branch(0:0))
      call av(3725, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_30/))

      allocate(vertices(3726)%branch(0:0))
      call av(3726, 0, 0, 1, 0, SUaSU0, (/0, 2/), (/nGC_50/))

      allocate(vertices(3727)%branch(0:0))
      call av(3727, 0, 0, 1, 0, SUaUS0, (/0, 2/), (/nGC_144/))

      allocate(vertices(3728)%branch(0:0))
      call av(3728, 0, 1, 1, 0, UUaS0, (/0, 1/), (/nGC_169/))

      allocate(vertices(3729)%branch(0:0))
      call av(3729, 0, 0, 1, 0, VVVV0, (/0, 2/), (/nGC_113, nGC_115, nGC_116/))

      allocate(vertices(3730)%branch(0:0))
      call av(3730, 0, 0, 1, 0, VUVUa0, (/0, 2/), (/nGC_114/))

      allocate(vertices(3731)%branch(0:0))
      call av(3731, 0, 0, 1, 0, UaSSU0, (/0, 2/), (/nGC_119/))

      allocate(vertices(3732)%branch(0:0))
      call av(3732, 0, 0, 1, 0, VVSS0, (/0, 2/), (/nGC_51/))

      allocate(vertices(3733)%branch(0:0))
      call av(3733, 0, 1, 1, 0, SSS0, (/0, 1/), (/nGC_188/))

      allocate(vertices(3734)%branch(0:0))
      call av(3734, 0, 0, 1, 0, SVSV0, (/0, 2/), (/nGC_55/))

      allocate(vertices(3735)%branch(0:0))
      call av(3735, 0, 20, 1, 0, SFaF0, (/0, 1/), (/nGC_195, nGC_195/))

      allocate(vertices(3736)%branch(0:0))
      call av(3736, 0, 0, 1, 0, SUSUa0, (/0, 2/), (/nGC_50/))

      allocate(vertices(3737)%branch(0:0))
      call av(3737, 0, 0, 1, 0, VSSV0, (/0, 2/), (/nGC_120/))

      allocate(vertices(3738)%branch(0:0))
      call av(3738, 0, 0, 1, 0, VVVV0, (/0, 2/), (/nGC_116, nGC_527, nGC_527/))

      allocate(vertices(3739)%branch(0:0))
      call av(3739, 0, 0, 1, 0, UUaSS0, (/0, 2/), (/nGC_54/))

      allocate(vertices(3740)%branch(0:0))
      call av(3740, 0, 0, 1, 0, SSUUa0, (/0, 2/), (/nGC_27/))

      allocate(vertices(3741)%branch(0:0))
      call av(3741, 0, 0, 1, 0, USSUa0, (/0, 2/), (/nGC_133/))

      allocate(vertices(3742)%branch(0:0))
      call av(3742, 0, 0, 1, 0, VVVV0, (/0, 2/), (/nGC_84, nGC_84, nGC_85/))

      allocate(vertices(3743)%branch(0:0))
      call av(3743, 0, 0, 1, 0, UaSSU0, (/0, 2/), (/nGC_9/))

      allocate(vertices(3744)%branch(0:0))
      call av(3744, 0, 0, 1, 0, VVUUa0, (/0, 2/), (/nGC_83/))

      allocate(vertices(3745)%branch(0:0))
      call av(3745, 0, 0, 1, 0, SUaSU0, (/0, 2/), (/nGC_107/))

      allocate(vertices(3746)%branch(0:0))
      call av(3746, 0, 0, 1, 0, USUaS0, (/0, 2/), (/nGC_47/))

      allocate(vertices(3747)%branch(0:0))
      call av(3747, 0, 0, 1, 0, SUaUS0, (/0, 2/), (/nGC_119/))

      allocate(vertices(3748)%branch(0:0))
      call av(3748, 0, 0, 1, 0, VUaVU0, (/0, 2/), (/nGC_7/))

      allocate(vertices(3749)%branch(0:0))
      call av(3749, 0, 0, 1, 0, UaSUS0, (/0, 2/), (/nGC_108/))

      allocate(vertices(3750)%branch(0:0))
      call av(3750, 0, 20, 1, 0, VFaF1, (/0, 1/), (/nGC_126, nGC_123/))

      allocate(vertices(3751)%branch(0:0))
      call av(3751, 0, 0, 1, 0, SVSV0, (/0, 2/), (/nGC_134/))

      allocate(vertices(3752)%branch(0:0))
      call av(3752, 0, 0, 1, 0, VSSV0, (/0, 2/), (/nGC_71/))

      allocate(vertices(3753)%branch(0:0))
      call av(3753, 0, 0, 1, 0, SVSV0, (/0, 2/), (/nGC_13/))

      allocate(vertices(3754)%branch(0:0))
      call av(3754, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_65/))

      allocate(vertices(3755)%branch(0:0))
      call av(3755, 0, 1, 1, 0, UVUa0, (/0, 1/), (/nGC_617/))

      allocate(vertices(3756)%branch(0:0))
      call av(3756, 0, 0, 1, 0, VVUaU0, (/0, 2/), (/nGC_7/))

      allocate(vertices(3757)%branch(0:1))
      call av(3757, 0, 51, 5, 0, FaFV0, (/1, 0/), (/nGC_19, nGC_19/))

      call av(3757, 1, 50, 4, 0, FaFV0, (/1, 0/), (/nGC_19, nGC_19/))

      allocate(vertices(3758)%branch(0:0))
      call av(3758, 0, 0, 1, 0, UaSUS0, (/0, 2/), (/nGC_61/))

      allocate(vertices(3759)%branch(0:0))
      call av(3759, 0, 0, 1, 0, VSSV0, (/0, 2/), (/nGC_120/))

      allocate(vertices(3760)%branch(0:0))
      call av(3760, 0, 0, 1, 0, VSSV0, (/0, 2/), (/nGC_134/))

      allocate(vertices(3761)%branch(0:0))
      call av(3761, 0, 0, 1, 0, VSVS0, (/0, 2/), (/nGC_79/))

      allocate(vertices(3762)%branch(0:0))
      call av(3762, 0, 1, 1, 0, VSV0, (/0, 1/), (/nGC_166/))

      allocate(vertices(3763)%branch(0:0))
      call av(3763, 0, 0, 1, 0, USUaS0, (/0, 2/), (/nGC_93/))

      allocate(vertices(3764)%branch(0:0))
      call av(3764, 0, 0, 1, 0, VUVUa0, (/0, 2/), (/nGC_83/))

      allocate(vertices(3765)%branch(0:0))
      call av(3765, 0, 21, 1, 0, SFFa0, (/0, 1/), (/nGC_201, nGC_225/))

      allocate(vertices(3766)%branch(0:0))
      call av(3766, 0, 0, 1, 0, VSVS0, (/0, 2/), (/nGC_82/))

      allocate(vertices(3767)%branch(0:0))
      call av(3767, 0, 0, 1, 0, SVVS0, (/0, 2/), (/nGC_96/))

      allocate(vertices(3768)%branch(0:0))
      call av(3768, 0, 0, 1, 0, VVVV0, (/0, 2/), (/nGC_84, nGC_86, nGC_85/))

      allocate(vertices(3769)%branch(0:0))
      call av(3769, 0, 0, 1, 0, VUVUa0, (/0, 2/), (/nGC_7/))

      allocate(vertices(3770)%branch(0:0))
      call av(3770, 0, 0, 1, 0, SUUaS0, (/0, 2/), (/nGC_16/))

      allocate(vertices(3771)%branch(0:0))
      call av(3771, 0, 0, 1, 0, VVSS0, (/0, 2/), (/nGC_110/))

      allocate(vertices(3772)%branch(0:1))
      call av(3772, 0, 11, 4, 0, FFaV0, (/1, 0/), (/nGC_19, nGC_19/))

      call av(3772, 1, 12, 5, 0, FFaV0, (/1, 0/), (/nGC_19, nGC_19/))

      allocate(vertices(3773)%branch(0:0))
      call av(3773, 0, 0, 1, 0, VVUaU0, (/0, 2/), (/nGC_10/))

      allocate(vertices(3774)%branch(0:0))
      call av(3774, 0, 0, 1, 0, UUaSS0, (/0, 2/), (/nGC_62/))

      allocate(vertices(3775)%branch(0:0))
      call av(3775, 0, 1, 1, 0, FaFS0, (/0, 1/), (/nGC_207, nGC_207/))

      allocate(vertices(3776)%branch(0:0))
      call av(3776, 0, 0, 1, 0, SUUaS0, (/0, 2/), (/nGC_111/))

      allocate(vertices(3777)%branch(0:0))
      call av(3777, 0, 0, 1, 0, VVSS0, (/0, 2/), (/nGC_55/))

      allocate(vertices(3778)%branch(0:0))
      call av(3778, 0, 0, 1, 0, SVVS0, (/0, 2/), (/nGC_120/))

      allocate(vertices(3779)%branch(0:0))
      call av(3779, 0, 0, 1, 0, VUaVU0, (/0, 2/), (/nGC_115/))

      allocate(vertices(3780)%branch(0:0))
      call av(3780, 0, 0, 1, 0, UaVVU0, (/0, 2/), (/nGC_10/))

      allocate(vertices(3781)%branch(0:0))
      call av(3781, 0, 0, 1, 0, SSVV0, (/0, 2/), (/nGC_112/))

      allocate(vertices(3782)%branch(0:0))
      call av(3782, 0, 0, 1, 0, SUaUS0, (/0, 2/), (/nGC_95/))

      allocate(vertices(3783)%branch(0:0))
      call av(3783, 0, 0, 1, 0, VUVUa0, (/0, 2/), (/nGC_83/))

      allocate(vertices(3784)%branch(0:0))
      call av(3784, 0, 0, 1, 0, VSVS0, (/0, 2/), (/nGC_71/))

      allocate(vertices(3785)%branch(0:0))
      call av(3785, 0, 0, 1, 0, UaUVV0, (/0, 2/), (/nGC_115/))

      allocate(vertices(3786)%branch(0:0))
      call av(3786, 0, 1, 1, 0, VFaF1, (/0, 1/), (/nGC_4, nGC_4/))

      allocate(vertices(3787)%branch(0:0))
      call av(3787, 0, 1, 1, 0, VUUa0, (/0, 1/), (/nGC_571/))

      allocate(vertices(3788)%branch(0:0))
      call av(3788, 0, 0, 1, 0, VUaUV0, (/0, 2/), (/nGC_115/))

      allocate(vertices(3789)%branch(0:0))
      call av(3789, 0, 1, 1, 0, VVS0, (/0, 1/), (/nGC_154/))

      allocate(vertices(3790)%branch(0:0))
      call av(3790, 0, 1, 1, 0, UaUS0, (/0, 1/), (/nGC_158/))

      allocate(vertices(3791)%branch(0:0))
      call av(3791, 0, 0, 1, 0, VSSV0, (/0, 2/), (/nGC_141/))

      allocate(vertices(3792)%branch(0:0))
      call av(3792, 0, 1, 1, 0, SVV0, (/0, 1/), (/nGC_164/))

      allocate(vertices(3793)%branch(0:0))
      call av(3793, 0, 0, 1, 0, VVUUa0, (/0, 2/), (/nGC_114/))

      allocate(vertices(3794)%branch(0:0))
      call av(3794, 0, 1, 1, 0, SVV0, (/0, 1/), (/nGC_164/))

      allocate(vertices(3795)%branch(0:0))
      call av(3795, 0, 1, 1, 0, SSS0, (/0, 1/), (/nGC_190/))

      allocate(vertices(3796)%branch(0:0))
      call av(3796, 0, 0, 1, 0, SVVS0, (/0, 2/), (/nGC_120/))

      allocate(vertices(3797)%branch(0:0))
      call av(3797, 0, 0, 1, 0, UaSUS0, (/0, 2/), (/nGC_108/))

      allocate(vertices(3798)%branch(0:0))
      call av(3798, 0, 21, 1, 0, VFFa1, (/0, 1/), (/nGC_125, nGC_122/))

      allocate(vertices(3799)%branch(0:0))
      call av(3799, 0, 0, 1, 0, USSUa0, (/0, 2/), (/nGC_119/))

      allocate(vertices(3800)%branch(0:0))
      call av(3800, 0, 0, 1, 0, VVVV0, (/0, 2/), (/nGC_72, nGC_631, nGC_72/))

      allocate(vertices(3801)%branch(0:0))
      call av(3801, 0, 0, 1, 0, VVSS0, (/0, 2/), (/nGC_79/))

      allocate(vertices(3802)%branch(0:0))
      call av(3802, 0, 1, 1, 0, SSS0, (/0, 1/), (/nGC_185/))

      allocate(vertices(3803)%branch(0:0))
      call av(3803, 0, 0, 1, 0, SUSUa0, (/0, 2/), (/nGC_9/))

      allocate(vertices(3804)%branch(0:0))
      call av(3804, 0, 0, 1, 0, UaSUS0, (/0, 2/), (/nGC_54/))

      allocate(vertices(3805)%branch(0:0))
      call av(3805, 0, 20, 1, 0, SFaF0, (/0, 1/), (/nGC_213, nGC_197/))

      allocate(vertices(3806)%branch(0:0))
      call av(3806, 0, 0, 1, 0, UaVVU0, (/0, 2/), (/nGC_83/))

      allocate(vertices(3807)%branch(0:0))
      call av(3807, 0, 0, 1, 0, VSVS0, (/0, 2/), (/nGC_90/))

      allocate(vertices(3808)%branch(0:0))
      call av(3808, 0, 0, 1, 0, VVVV0, (/0, 2/), (/nGC_116, nGC_527, nGC_527/))

      allocate(vertices(3809)%branch(0:0))
      call av(3809, 0, 1, 1, 0, FaFS1, (/0, 1/), (/nGC_221/))

      allocate(vertices(3810)%branch(0:0))
      call av(3810, 0, 0, 1, 0, VVVV0, (/0, 2/), (/nGC_116, nGC_527, nGC_527/))

      allocate(vertices(3811)%branch(0:0))
      call av(3811, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_66/))

      allocate(vertices(3812)%branch(0:0))
      call av(3812, 0, 0, 1, 0, USSUa0, (/0, 2/), (/nGC_27/))

      allocate(vertices(3813)%branch(0:0))
      call av(3813, 0, 0, 1, 0, SUaSU0, (/0, 2/), (/nGC_81/))

      allocate(vertices(3814)%branch(0:0))
      call av(3814, 0, 0, 1, 0, VSSV0, (/0, 2/), (/nGC_110/))

      allocate(vertices(3815)%branch(0:0))
      call av(3815, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_29/))

      allocate(vertices(3816)%branch(0:0))
      call av(3816, 0, 1, 1, 0, UUaV0, (/0, 1/), (/nGC_571/))

      allocate(vertices(3817)%branch(0:0))
      call av(3817, 0, 0, 1, 0, SUaUS0, (/0, 2/), (/nGC_107/))

      allocate(vertices(3818)%branch(0:1))
      call av(3818, 0, 60, 2, 0, UUaV0, (/1, 0/), (/nGC_567/))

      call av(3818, 1, 61, 3, 0, UUaV0, (/1, 0/), (/nGC_567/))

      allocate(vertices(3819)%branch(0:0))
      call av(3819, 0, 0, 1, 0, VUaVU0, (/0, 2/), (/nGC_74/))

      allocate(vertices(3820)%branch(0:0))
      call av(3820, 0, 0, 1, 0, USSUa0, (/0, 2/), (/nGC_16/))

      allocate(vertices(3821)%branch(0:0))
      call av(3821, 0, 0, 1, 0, VVUUa0, (/0, 2/), (/nGC_113/))

      allocate(vertices(3822)%branch(0:0))
      call av(3822, 0, 1, 1, 0, FFaV1, (/0, 1/), (/nGC_99/))

      allocate(vertices(3823)%branch(0:0))
      call av(3823, 0, 0, 1, 0, SSUUa0, (/0, 2/), (/nGC_70/))

      allocate(vertices(3824)%branch(0:0))
      call av(3824, 0, 0, 1, 0, VVUUa0, (/0, 2/), (/nGC_83/))

      allocate(vertices(3825)%branch(0:0))
      call av(3825, 0, 1, 1, 0, VSS1, (/0, 1/), (/nGC_521/))

      allocate(vertices(3826)%branch(0:3))
      call av(3826, 0, 45, 6, 0, UVUaV0, (/2, 0/), (/nGC_21/))

      call av(3826, 1, 43, 6, 0, UVUaV0, (/2, 0/), (/nGC_21/))

      call av(3826, 2, 44, 7, 0, UVUaV0, (/2, 0/), (/nGC_21/))

      call av(3826, 3, 42, 7, 0, UVUaV0, (/2, 0/), (/nGC_21/))

      allocate(vertices(3827)%branch(0:0))
      call av(3827, 0, 0, 1, 0, SUaUS0, (/0, 2/), (/nGC_27/))

      allocate(vertices(3828)%branch(0:0))
      call av(3828, 0, 0, 1, 0, SUUaS0, (/0, 2/), (/nGC_13/))

      allocate(vertices(3829)%branch(0:0))
      call av(3829, 0, 0, 1, 0, SVSV0, (/0, 2/), (/nGC_28/))

      allocate(vertices(3830)%branch(0:0))
      call av(3830, 0, 0, 1, 0, SUaSU0, (/0, 2/), (/nGC_27/))

      allocate(vertices(3831)%branch(0:0))
      call av(3831, 0, 0, 1, 0, VSVS0, (/0, 2/), (/nGC_92/))

      allocate(vertices(3832)%branch(0:0))
      call av(3832, 0, 1, 1, 0, FaSF0, (/0, 1/), (/nGC_211, nGC_211/))

      allocate(vertices(3833)%branch(0:0))
      call av(3833, 0, 0, 1, 0, VSVS0, (/0, 2/), (/nGC_92/))

      allocate(vertices(3834)%branch(0:0))
      call av(3834, 0, 0, 1, 0, VSSV0, (/0, 2/), (/nGC_13/))

      allocate(vertices(3835)%branch(0:0))
      call av(3835, 0, 0, 1, 0, VVSS0, (/0, 2/), (/nGC_96/))

      allocate(vertices(3836)%branch(0:0))
      call av(3836, 0, 1, 1, 0, SSS0, (/0, 1/), (/nGC_180/))

      allocate(vertices(3837)%branch(0:0))
      call av(3837, 0, 0, 1, 0, VUaUV0, (/0, 2/), (/nGC_83/))

      allocate(vertices(3838)%branch(0:0))
      call av(3838, 0, 0, 1, 0, USSUa0, (/0, 2/), (/nGC_108/))

      allocate(vertices(3839)%branch(0:0))
      call av(3839, 0, 1, 1, 0, SSS0, (/0, 1/), (/nGC_179/))

      allocate(vertices(3840)%branch(0:0))
      call av(3840, 0, 0, 1, 0, UaUVV0, (/0, 2/), (/nGC_114/))

      allocate(vertices(3841)%branch(0:0))
      call av(3841, 0, 0, 1, 0, SUaUS0, (/0, 2/), (/nGC_111/))

      allocate(vertices(3842)%branch(0:0))
      call av(3842, 0, 0, 1, 0, SUUaS0, (/0, 2/), (/nGC_133/))

      allocate(vertices(3843)%branch(0:0))
      call av(3843, 0, 0, 1, 0, UaSUS0, (/0, 2/), (/nGC_133/))

      allocate(vertices(3844)%branch(0:0))
      call av(3844, 0, 0, 1, 0, VUaUV0, (/0, 2/), (/nGC_83/))

      allocate(vertices(3845)%branch(0:0))
      call av(3845, 0, 0, 1, 0, VVSS0, (/0, 2/), (/nGC_108/))

      allocate(vertices(3846)%branch(0:0))
      call av(3846, 0, 1, 1, 0, SSV0, (/0, 1/), (/nGC_593/))

      allocate(vertices(3847)%branch(0:0))
      call av(3847, 0, 0, 1, 0, USUaS0, (/0, 2/), (/nGC_91/))

      allocate(vertices(3848)%branch(0:0))
      call av(3848, 0, 1, 1, 0, VSS1, (/0, 1/), (/nGC_595/))

      allocate(vertices(3849)%branch(0:0))
      call av(3849, 0, 0, 1, 0, SSVV0, (/0, 2/), (/nGC_45/))

      allocate(vertices(3850)%branch(0:0))
      call av(3850, 0, 0, 1, 0, UaVUV0, (/0, 2/), (/nGC_114/))

      allocate(vertices(3851)%branch(0:0))
      call av(3851, 0, 1, 1, 0, VVS0, (/0, 1/), (/nGC_171/))

      allocate(vertices(3852)%branch(0:0))
      call av(3852, 0, 0, 1, 0, VVUaU0, (/0, 2/), (/nGC_115/))

      allocate(vertices(3853)%branch(0:0))
      call av(3853, 0, 0, 1, 0, USUaS0, (/0, 2/), (/nGC_146/))

      allocate(vertices(3854)%branch(0:0))
      call av(3854, 0, 0, 1, 0, UUaVV0, (/0, 2/), (/nGC_84/))

      allocate(vertices(3855)%branch(0:0))
      call av(3855, 0, 0, 1, 0, SUSUa0, (/0, 2/), (/nGC_111/))

      allocate(vertices(3856)%branch(0:0))
      call av(3856, 0, 0, 1, 0, VUaVU0, (/0, 2/), (/nGC_83/))

      allocate(vertices(3857)%branch(0:0))
      call av(3857, 0, 18, 1, 0, FaFS0, (/0, 1/), (/nGC_216, nGC_216/))

      allocate(vertices(3858)%branch(0:0))
      call av(3858, 0, 1, 1, 0, VFaF0, (/0, 1/), (/nGC_99/))

      allocate(vertices(3859)%branch(0:0))
      call av(3859, 0, 0, 1, 0, VUUaV0, (/0, 2/), (/nGC_7/))

      allocate(vertices(3860)%branch(0:0))
      call av(3860, 0, 0, 1, 0, SSUaU0, (/0, 2/), (/nGC_108/))

      allocate(vertices(3861)%branch(0:0))
      call av(3861, 0, 0, 1, 0, USSUa0, (/0, 2/), (/nGC_13/))

      allocate(vertices(3862)%branch(0:0))
      call av(3862, 0, 1, 1, 0, VSS0, (/0, 1/), (/nGC_128/))

      allocate(vertices(3863)%branch(0:0))
      call av(3863, 0, 0, 1, 0, SVSV0, (/0, 2/), (/nGC_141/))

      allocate(vertices(3864)%branch(0:0))
      call av(3864, 0, 0, 1, 0, UUaVV0, (/0, 2/), (/nGC_84/))

      allocate(vertices(3865)%branch(0:0))
      call av(3865, 0, 0, 1, 0, UaVUV0, (/0, 2/), (/nGC_83/))

      allocate(vertices(3866)%branch(0:0))
      call av(3866, 0, 1, 1, 0, UUaS0, (/0, 1/), (/nGC_167/))

      allocate(vertices(3867)%branch(0:0))
      call av(3867, 0, 0, 1, 0, VVUUa0, (/0, 2/), (/nGC_7/))

      allocate(vertices(3868)%branch(0:0))
      call av(3868, 0, 21, 1, 0, VFFa1, (/0, 1/), (/nGC_126, nGC_123/))

      allocate(vertices(3869)%branch(0:0))
      call av(3869, 0, 0, 1, 0, VSSV0, (/0, 2/), (/nGC_13/))

      allocate(vertices(3870)%branch(0:0))
      call av(3870, 0, 0, 1, 0, USUaS0, (/0, 2/), (/nGC_77/))

      allocate(vertices(3871)%branch(0:0))
      call av(3871, 0, 0, 1, 0, SUUaS0, (/0, 2/), (/nGC_16/))

      allocate(vertices(3872)%branch(0:0))
      call av(3872, 0, 1, 1, 0, SFFa2, (/0, 1/), (/nGC_205/))

      allocate(vertices(3873)%branch(0:0))
      call av(3873, 0, 0, 1, 0, SSVV0, (/0, 2/), (/nGC_141/))

      allocate(vertices(3874)%branch(0:0))
      call av(3874, 0, 1, 1, 0, UUaS0, (/0, 1/), (/nGC_157/))

      allocate(vertices(3875)%branch(0:0))
      call av(3875, 0, 0, 1, 0, VSSV0, (/0, 2/), (/nGC_71/))

      allocate(vertices(3876)%branch(0:0))
      call av(3876, 0, 20, 1, 0, VFaF1, (/0, 1/), (/nGC_126, nGC_123/))

      allocate(vertices(3877)%branch(0:0))
      call av(3877, 0, 0, 1, 0, VUUaV0, (/0, 2/), (/nGC_10/))

      allocate(vertices(3878)%branch(0:0))
      call av(3878, 0, 1, 1, 0, UaUS0, (/0, 1/), (/nGC_157/))

      allocate(vertices(3879)%branch(0:0))
      call av(3879, 0, 0, 1, 0, UaUVV0, (/0, 2/), (/nGC_10/))

      allocate(vertices(3880)%branch(0:0))
      call av(3880, 0, 0, 1, 0, UUaSS0, (/0, 2/), (/nGC_7/))

      allocate(vertices(3881)%branch(0:0))
      call av(3881, 0, 0, 1, 0, UUaVV0, (/0, 2/), (/nGC_113/))

      allocate(vertices(3882)%branch(0:0))
      call av(3882, 0, 0, 1, 0, UaSUS0, (/0, 2/), (/nGC_49/))

      allocate(vertices(3883)%branch(0:0))
      call av(3883, 0, 19, 1, 0, FSFa0, (/0, 1/), (/nGC_226, nGC_533/))

      allocate(vertices(3884)%branch(0:0))
      call av(3884, 0, 0, 1, 0, SSUaU0, (/0, 2/), (/nGC_119/))

      allocate(vertices(3885)%branch(0:0))
      call av(3885, 0, 18, 1, 0, FaFS0, (/0, 1/), (/nGC_193, nGC_217/))

      allocate(vertices(3886)%branch(0:0))
      call av(3886, 0, 0, 1, 0, SVVS0, (/0, 2/), (/nGC_110/))

      allocate(vertices(3887)%branch(0:0))
      call av(3887, 0, 1, 1, 0, UUaV1, (/0, 1/), (/nGC_523/))

      allocate(vertices(3888)%branch(0:0))
      call av(3888, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_29/))

      allocate(vertices(3889)%branch(0:0))
      call av(3889, 0, 0, 1, 0, UaVVU0, (/0, 2/), (/nGC_7/))

      allocate(vertices(3890)%branch(0:0))
      call av(3890, 0, 19, 1, 0, FSFa0, (/0, 1/), (/nGC_227, nGC_227/))

      allocate(vertices(3891)%branch(0:0))
      call av(3891, 0, 0, 1, 0, VVUUa0, (/0, 2/), (/nGC_84/))

      allocate(vertices(3892)%branch(0:0))
      call av(3892, 0, 0, 1, 0, SSUaU0, (/0, 2/), (/nGC_111/))

      allocate(vertices(3893)%branch(0:0))
      call av(3893, 0, 0, 1, 0, SUSUa0, (/0, 2/), (/nGC_133/))

      allocate(vertices(3894)%branch(0:0))
      call av(3894, 0, 19, 1, 0, FVFa1, (/0, 1/), (/nGC_99/))

      allocate(vertices(3895)%branch(0:0))
      call av(3895, 0, 1, 1, 0, UUaV0, (/0, 1/), (/nGC_543/))

      allocate(vertices(3896)%branch(0:0))
      call av(3896, 0, 0, 1, 0, VVUUa0, (/0, 2/), (/nGC_115/))

      allocate(vertices(3897)%branch(0:0))
      call av(3897, 0, 0, 1, 0, SSVV0, (/0, 2/), (/nGC_14/))

      allocate(vertices(3898)%branch(0:0))
      call av(3898, 0, 1, 1, 0, USUa0, (/0, 1/), (/nGC_161/))

      allocate(vertices(3899)%branch(0:0))
      call av(3899, 0, 0, 1, 0, VVSS0, (/0, 2/), (/nGC_145/))

      allocate(vertices(3900)%branch(0:0))
      call av(3900, 0, 1, 1, 0, FFaV1, (/0, 1/), (/nGC_99/))

      allocate(vertices(3901)%branch(0:0))
      call av(3901, 0, 1, 1, 0, SVS0, (/0, 1/), (/nGC_537/))

      allocate(vertices(3902)%branch(0:0))
      call av(3902, 0, 0, 1, 0, VVVV0, (/0, 2/), (/nGC_116, nGC_527, nGC_527/))

      allocate(vertices(3903)%branch(0:0))
      call av(3903, 0, 0, 1, 0, UaVUV0, (/0, 2/), (/nGC_114/))

      allocate(vertices(3904)%branch(0:0))
      call av(3904, 0, 0, 1, 0, VUVUa0, (/0, 2/), (/nGC_7/))

      allocate(vertices(3905)%branch(0:0))
      call av(3905, 0, 0, 1, 0, VVSS0, (/0, 2/), (/nGC_28/))

      allocate(vertices(3906)%branch(0:0))
      call av(3906, 0, 1, 1, 0, FaSF0, (/0, 1/), (/nGC_210, nGC_569/))

      allocate(vertices(3907)%branch(0:0))
      call av(3907, 0, 0, 1, 0, SUSUa0, (/0, 2/), (/nGC_107/))

      allocate(vertices(3908)%branch(0:0))
      call av(3908, 0, 20, 1, 0, SFaF0, (/0, 1/), (/nGC_203, nGC_203/))

      allocate(vertices(3909)%branch(0:0))
      call av(3909, 0, 0, 1, 0, SUSUa0, (/0, 2/), (/nGC_70/))

      allocate(vertices(3910)%branch(0:0))
      call av(3910, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_22/))

      allocate(vertices(3911)%branch(0:0))
      call av(3911, 0, 1, 1, 0, VUUa1, (/0, 1/), (/nGC_523/))

      allocate(vertices(3912)%branch(0:0))
      call av(3912, 0, 0, 1, 0, SSUaU0, (/0, 2/), (/nGC_54/))

      allocate(vertices(3913)%branch(0:0))
      call av(3913, 0, 20, 1, 0, SFaF0, (/0, 1/), (/nGC_228, nGC_228/))

      allocate(vertices(3914)%branch(0:0))
      call av(3914, 0, 0, 1, 0, SUaUS0, (/0, 2/), (/nGC_14/))

      allocate(vertices(3915)%branch(0:0))
      call av(3915, 0, 0, 1, 0, SSVV0, (/0, 2/), (/nGC_63/))

      allocate(vertices(3916)%branch(0:0))
      call av(3916, 0, 0, 1, 0, UVUaV0, (/0, 2/), (/nGC_114/))

      allocate(vertices(3917)%branch(0:0))
      call av(3917, 0, 0, 1, 0, UaSUS0, (/0, 2/), (/nGC_132/))

      allocate(vertices(3918)%branch(0:0))
      call av(3918, 0, 10, 1, 0, FFaS0, (/0, 1/), (/nGC_217, nGC_193/))

      allocate(vertices(3919)%branch(0:0))
      call av(3919, 0, 0, 1, 0, UaVVU0, (/0, 2/), (/nGC_114/))

      allocate(vertices(3920)%branch(0:0))
      call av(3920, 0, 1, 1, 0, SSV0, (/0, 1/), (/nGC_595/))

      allocate(vertices(3921)%branch(0:0))
      call av(3921, 0, 0, 1, 0, VVSS0, (/0, 2/), (/nGC_106/))

      allocate(vertices(3922)%branch(0:0))
      call av(3922, 0, 1, 1, 0, SVS0, (/0, 1/), (/nGC_591/))

      allocate(vertices(3923)%branch(0:0))
      call av(3923, 0, 0, 1, 0, SSUaU0, (/0, 2/), (/nGC_69/))

      allocate(vertices(3924)%branch(0:0))
      call av(3924, 0, 0, 1, 0, UUaSS0, (/0, 2/), (/nGC_132/))

      allocate(vertices(3925)%branch(0:0))
      call av(3925, 0, 0, 1, 0, UaVUV0, (/0, 2/), (/nGC_73/))

      allocate(vertices(3926)%branch(0:0))
      call av(3926, 0, 0, 1, 0, UaUSS0, (/0, 2/), (/nGC_27/))

      allocate(vertices(3927)%branch(0:0))
      call av(3927, 0, 0, 1, 0, VVUUa0, (/0, 2/), (/nGC_83/))

      allocate(vertices(3928)%branch(0:0))
      call av(3928, 0, 0, 1, 0, UaSUS0, (/0, 2/), (/nGC_77/))

      allocate(vertices(3929)%branch(0:0))
      call av(3929, 0, 0, 1, 0, SSUaU0, (/0, 2/), (/nGC_95/))

      allocate(vertices(3930)%branch(0:1))
      call av(3930, 0, 51, 5, 0, FaFV0, (/1, 0/), (/nGC_19, nGC_19/))

      call av(3930, 1, 50, 4, 0, FaFV0, (/1, 0/), (/nGC_19, nGC_19/))

      allocate(vertices(3931)%branch(0:0))
      call av(3931, 0, 0, 1, 0, VVSS0, (/0, 2/), (/nGC_55/))

      allocate(vertices(3932)%branch(0:0))
      call av(3932, 0, 0, 1, 0, SSUUa0, (/0, 2/), (/nGC_54/))

      allocate(vertices(3933)%branch(0:0))
      call av(3933, 0, 0, 1, 0, VVSS0, (/0, 2/), (/nGC_14/))

      allocate(vertices(3934)%branch(0:0))
      call av(3934, 0, 0, 1, 0, SUaSU0, (/0, 2/), (/nGC_61/))

      allocate(vertices(3935)%branch(0:0))
      call av(3935, 0, 1, 1, 0, VFaF0, (/0, 1/), (/nGC_99/))

      allocate(vertices(3936)%branch(0:0))
      call av(3936, 0, 0, 1, 0, SSUaU0, (/0, 2/), (/nGC_119/))

      allocate(vertices(3937)%branch(0:0))
      call av(3937, 0, 0, 1, 0, SUSUa0, (/0, 2/), (/nGC_132/))

      allocate(vertices(3938)%branch(0:0))
      call av(3938, 0, 0, 1, 0, UVUaV0, (/0, 2/), (/nGC_7/))

      allocate(vertices(3939)%branch(0:0))
      call av(3939, 0, 0, 1, 0, VSVS0, (/0, 2/), (/nGC_96/))

      allocate(vertices(3940)%branch(0:0))
      call av(3940, 0, 0, 1, 0, VUVUa0, (/0, 2/), (/nGC_114/))

      allocate(vertices(3941)%branch(0:0))
      call av(3941, 0, 0, 1, 0, UVUaV0, (/0, 2/), (/nGC_114/))

      allocate(vertices(3942)%branch(0:0))
      call av(3942, 0, 1, 1, 0, USUa0, (/0, 1/), (/nGC_155/))

      allocate(vertices(3943)%branch(0:0))
      call av(3943, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_41/))

      allocate(vertices(3944)%branch(0:0))
      call av(3944, 0, 1, 1, 0, VSV0, (/0, 1/), (/nGC_162/))

      allocate(vertices(3945)%branch(0:0))
      call av(3945, 0, 0, 1, 0, SSUaU0, (/0, 2/), (/nGC_48/))

      allocate(vertices(3946)%branch(0:0))
      call av(3946, 0, 0, 1, 0, VVUUa0, (/0, 2/), (/nGC_73/))

      allocate(vertices(3947)%branch(0:0))
      call av(3947, 0, 17, 1, 0, FaVF1, (/0, 1/), (/nGC_99/))

      allocate(vertices(3948)%branch(0:0))
      call av(3948, 0, 1, 1, 0, SSS0, (/0, 1/), (/nGC_189/))

      allocate(vertices(3949)%branch(0:0))
      call av(3949, 0, 0, 1, 0, VVVV0, (/0, 2/), (/nGC_601, nGC_10, nGC_603/))

      allocate(vertices(3950)%branch(0:0))
      call av(3950, 0, 0, 1, 0, SUUaS0, (/0, 2/), (/nGC_107/))

      allocate(vertices(3951)%branch(0:0))
      call av(3951, 0, 0, 1, 0, USUaS0, (/0, 2/), (/nGC_54/))

      allocate(vertices(3952)%branch(0:0))
      call av(3952, 0, 1, 1, 0, SSS0, (/0, 1/), (/nGC_189/))

      allocate(vertices(3953)%branch(0:0))
      call av(3953, 0, 0, 1, 0, SSUaU0, (/0, 2/), (/nGC_139/))

      allocate(vertices(3954)%branch(0:0))
      call av(3954, 0, 0, 1, 0, USUaS0, (/0, 2/), (/nGC_27/))

      allocate(vertices(3955)%branch(0:0))
      call av(3955, 0, 0, 1, 0, VVUaU0, (/0, 2/), (/nGC_113/))

      allocate(vertices(3956)%branch(0:0))
      call av(3956, 0, 1, 1, 0, SSS0, (/0, 1/), (/nGC_191/))

      allocate(vertices(3957)%branch(0:0))
      call av(3957, 0, 0, 1, 0, SVSV0, (/0, 2/), (/nGC_96/))

      allocate(vertices(3958)%branch(0:0))
      call av(3958, 0, 0, 1, 0, SSUUa0, (/0, 2/), (/nGC_88/))

      allocate(vertices(3959)%branch(0:0))
      call av(3959, 0, 10, 1, 0, FFaS0, (/0, 1/), (/nGC_226, nGC_533/))

      allocate(vertices(3960)%branch(0:0))
      call av(3960, 0, 0, 1, 0, UUaSS0, (/0, 2/), (/nGC_119/))

      allocate(vertices(3961)%branch(0:0))
      call av(3961, 0, 0, 1, 0, UVVUa0, (/0, 2/), (/nGC_73/))

      allocate(vertices(3962)%branch(0:0))
      call av(3962, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_59/))

      allocate(vertices(3963)%branch(0:0))
      call av(3963, 0, 0, 1, 0, SVSV0, (/0, 2/), (/nGC_71/))

      allocate(vertices(3964)%branch(0:0))
      call av(3964, 0, 0, 1, 0, UaSUS0, (/0, 2/), (/nGC_107/))

      allocate(vertices(3965)%branch(0:0))
      call av(3965, 0, 0, 1, 0, VSSV0, (/0, 2/), (/nGC_107/))

      allocate(vertices(3966)%branch(0:0))
      call av(3966, 0, 1, 1, 0, FaSF0, (/0, 1/), (/nGC_206, nGC_573/))

      allocate(vertices(3967)%branch(0:0))
      call av(3967, 0, 0, 1, 0, UaVUV0, (/0, 2/), (/nGC_10/))

      allocate(vertices(3968)%branch(0:0))
      call av(3968, 0, 0, 1, 0, USSUa0, (/0, 2/), (/nGC_119/))

      allocate(vertices(3969)%branch(0:0))
      call av(3969, 0, 0, 1, 0, VSVS0, (/0, 2/), (/nGC_107/))

      allocate(vertices(3970)%branch(0:0))
      call av(3970, 0, 0, 1, 0, UUaVV0, (/0, 2/), (/nGC_74/))

      allocate(vertices(3971)%branch(0:0))
      call av(3971, 0, 0, 1, 0, SSVV0, (/0, 2/), (/nGC_107/))

      allocate(vertices(3972)%branch(0:0))
      call av(3972, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_36/))

      allocate(vertices(3973)%branch(0:0))
      call av(3973, 0, 0, 1, 0, VVUaU0, (/0, 2/), (/nGC_115/))

      allocate(vertices(3974)%branch(0:0))
      call av(3974, 0, 1, 1, 0, UVUa0, (/0, 1/), (/nGC_531/))

      allocate(vertices(3975)%branch(0:0))
      call av(3975, 0, 0, 1, 0, UVUaV0, (/0, 2/), (/nGC_10/))

      allocate(vertices(3976)%branch(0:0))
      call av(3976, 0, 21, 1, 0, SFFa0, (/0, 1/), (/nGC_228, nGC_228/))

      allocate(vertices(3977)%branch(0:0))
      call av(3977, 0, 1, 1, 0, FFaS0, (/0, 1/), (/nGC_211, nGC_211/))

      allocate(vertices(3978)%branch(0:0))
      call av(3978, 0, 18, 1, 0, FaFS0, (/0, 1/), (/nGC_195, nGC_195/))

      allocate(vertices(3979)%branch(0:0))
      call av(3979, 0, 0, 1, 0, UUaSS0, (/0, 2/), (/nGC_91/))

      allocate(vertices(3980)%branch(0:0))
      call av(3980, 0, 0, 1, 0, SVVS0, (/0, 2/), (/nGC_28/))

      allocate(vertices(3981)%branch(0:0))
      call av(3981, 0, 0, 1, 0, SSUaU0, (/0, 2/), (/nGC_91/))

      allocate(vertices(3982)%branch(0:0))
      call av(3982, 0, 1, 1, 0, VSS1, (/0, 1/), (/nGC_609/))

      allocate(vertices(3983)%branch(0:0))
      call av(3983, 0, 1, 1, 0, SSS0, (/0, 1/), (/nGC_192/))

      allocate(vertices(3984)%branch(0:0))
      call av(3984, 0, 0, 1, 0, SUSUa0, (/0, 2/), (/nGC_53/))

      allocate(vertices(3985)%branch(0:0))
      call av(3985, 0, 0, 1, 0, UaVUV0, (/0, 2/), (/nGC_113/))

      allocate(vertices(3986)%branch(0:0))
      call av(3986, 0, 1, 1, 0, SVV0, (/0, 1/), (/nGC_159/))

      allocate(vertices(3987)%branch(0:0))
      call av(3987, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_34/))

      allocate(vertices(3988)%branch(0:0))
      call av(3988, 0, 0, 1, 0, SUSUa0, (/0, 2/), (/nGC_16/))

      allocate(vertices(3989)%branch(0:0))
      call av(3989, 0, 0, 1, 0, USSUa0, (/0, 2/), (/nGC_81/))

      allocate(vertices(3990)%branch(0:0))
      call av(3990, 0, 0, 1, 0, UaVVU0, (/0, 2/), (/nGC_7/))

      allocate(vertices(3991)%branch(0:0))
      call av(3991, 0, 0, 1, 0, SSUUa0, (/0, 2/), (/nGC_91/))

      allocate(vertices(3992)%branch(0:0))
      call av(3992, 0, 0, 1, 0, VSSV0, (/0, 2/), (/nGC_141/))

      allocate(vertices(3993)%branch(0:0))
      call av(3993, 0, 0, 1, 0, UaVUV0, (/0, 2/), (/nGC_114/))

      allocate(vertices(3994)%branch(0:0))
      call av(3994, 0, 0, 1, 0, VVUUa0, (/0, 2/), (/nGC_83/))

      allocate(vertices(3995)%branch(0:0))
      call av(3995, 0, 0, 1, 0, VSSV0, (/0, 2/), (/nGC_108/))

      allocate(vertices(3996)%branch(0:0))
      call av(3996, 0, 0, 1, 0, VUaUV0, (/0, 2/), (/nGC_114/))

      allocate(vertices(3997)%branch(0:1))
      call av(3997, 0, 52, 4, 0, VFaF1, (/1, 0/), (/nGC_19, nGC_19/))

      call av(3997, 1, 53, 5, 0, VFaF1, (/1, 0/), (/nGC_19, nGC_19/))

      allocate(vertices(3998)%branch(0:0))
      call av(3998, 0, 0, 1, 0, UaVUV0, (/0, 2/), (/nGC_114/))

      allocate(vertices(3999)%branch(0:0))
      call av(3999, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_37/))

    end subroutine fill_vertices_mdl5
end module vertices_info5
