!******************************************************************************!
!                                                                              !
!    vertices_info7.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   vertices_info7.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-03-16 09:42             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module vertices_info7
  use class_vertices
  use class_couplings
  use class_particles
  use class_ctparameters
  contains
    subroutine fill_vertices_mdl7()
      allocate(vertices(4800)%branch(0:0))
      call av(4800, 0, 1, 1, 0, VSV0, (/0, 1/), (/nGC_166/))

      allocate(vertices(4801)%branch(0:0))
      call av(4801, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_25/))

      allocate(vertices(4802)%branch(0:0))
      call av(4802, 0, 1, 1, 0, VSV0, (/0, 1/), (/nGC_177/))

      allocate(vertices(4803)%branch(0:0))
      call av(4803, 0, 0, 1, 0, SVVS0, (/0, 2/), (/nGC_108/))

      allocate(vertices(4804)%branch(0:0))
      call av(4804, 0, 1, 1, 0, SFaF2, (/0, 1/), (/nGC_209/))

      allocate(vertices(4805)%branch(0:0))
      call av(4805, 0, 0, 1, 0, VVVV0, (/0, 2/), (/nGC_527, nGC_116, nGC_527/))

      allocate(vertices(4806)%branch(0:0))
      call av(4806, 0, 0, 1, 0, UaSUS0, (/0, 2/), (/nGC_119/))

      allocate(vertices(4807)%branch(0:0))
      call av(4807, 0, 0, 1, 0, VVUUa0, (/0, 2/), (/nGC_114/))

      allocate(vertices(4808)%branch(0:0))
      call av(4808, 0, 0, 1, 0, USSUa0, (/0, 2/), (/nGC_13/))

      allocate(vertices(4809)%branch(0:0))
      call av(4809, 0, 0, 1, 0, VUaUV0, (/0, 2/), (/nGC_115/))

      allocate(vertices(4810)%branch(0:0))
      call av(4810, 0, 0, 1, 0, USSUa0, (/0, 2/), (/nGC_140/))

      allocate(vertices(4811)%branch(0:0))
      call av(4811, 0, 0, 1, 0, SSUUa0, (/0, 2/), (/nGC_14/))

      allocate(vertices(4812)%branch(0:0))
      call av(4812, 0, 0, 1, 0, UaUVV0, (/0, 2/), (/nGC_113/))

      allocate(vertices(4813)%branch(0:0))
      call av(4813, 0, 1, 1, 0, FSFa0, (/0, 1/), (/nGC_206, nGC_573/))

      allocate(vertices(4814)%branch(0:0))
      call av(4814, 0, 1, 1, 0, UaSU0, (/0, 1/), (/nGC_174/))

      allocate(vertices(4815)%branch(0:0))
      call av(4815, 0, 0, 1, 0, SSUaU0, (/0, 2/), (/nGC_111/))

      allocate(vertices(4816)%branch(0:0))
      call av(4816, 0, 0, 1, 0, UaSUS0, (/0, 2/), (/nGC_108/))

      allocate(vertices(4817)%branch(0:0))
      call av(4817, 0, 1, 1, 0, SFaF0, (/0, 1/), (/nGC_224, nGC_224/))

      allocate(vertices(4818)%branch(0:0))
      call av(4818, 0, 0, 1, 0, UVUaV0, (/0, 2/), (/nGC_8/))

      allocate(vertices(4819)%branch(0:0))
      call av(4819, 0, 0, 1, 0, SVVS0, (/0, 2/), (/nGC_28/))

      allocate(vertices(4820)%branch(0:0))
      call av(4820, 0, 21, 1, 0, SFFa0, (/0, 1/), (/nGC_198, nGC_561/))

      allocate(vertices(4821)%branch(0:0))
      call av(4821, 0, 0, 1, 0, VVVV1, (/0, 2/), (/nGC_85/))

      allocate(vertices(4822)%branch(0:0))
      call av(4822, 0, 0, 1, 0, VUUaV0, (/0, 2/), (/nGC_83/))

      allocate(vertices(4823)%branch(0:0))
      call av(4823, 0, 0, 1, 0, VVUaU0, (/0, 2/), (/nGC_115/))

      allocate(vertices(4824)%branch(0:0))
      call av(4824, 0, 0, 1, 0, UUaSS0, (/0, 2/), (/nGC_132/))

      allocate(vertices(4825)%branch(0:0))
      call av(4825, 0, 0, 1, 0, VUaUV0, (/0, 2/), (/nGC_73/))

      allocate(vertices(4826)%branch(0:0))
      call av(4826, 0, 0, 1, 0, VSVS0, (/0, 2/), (/nGC_120/))

      allocate(vertices(4827)%branch(0:0))
      call av(4827, 0, 0, 1, 0, VUaVU0, (/0, 2/), (/nGC_86/))

      allocate(vertices(4828)%branch(0:0))
      call av(4828, 0, 0, 1, 0, UaUSS0, (/0, 2/), (/nGC_119/))

      allocate(vertices(4829)%branch(0:0))
      call av(4829, 0, 0, 1, 0, UUaVV0, (/0, 2/), (/nGC_83/))

      allocate(vertices(4830)%branch(0:0))
      call av(4830, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_25/))

      allocate(vertices(4831)%branch(0:0))
      call av(4831, 0, 0, 1, 0, UaSSU0, (/0, 2/), (/nGC_14/))

      allocate(vertices(4832)%branch(0:0))
      call av(4832, 0, 0, 1, 0, UaUSS0, (/0, 2/), (/nGC_107/))

      allocate(vertices(4833)%branch(0:0))
      call av(4833, 0, 0, 1, 0, VVUUa0, (/0, 2/), (/nGC_7/))

      allocate(vertices(4834)%branch(0:0))
      call av(4834, 0, 1, 1, 0, UaUS0, (/0, 1/), (/nGC_167/))

      allocate(vertices(4835)%branch(0:0))
      call av(4835, 0, 0, 1, 0, UVUaV0, (/0, 2/), (/nGC_115/))

      allocate(vertices(4836)%branch(0:0))
      call av(4836, 0, 0, 1, 0, SUSUa0, (/0, 2/), (/nGC_140/))

      allocate(vertices(4837)%branch(0:0))
      call av(4837, 0, 1, 1, 0, SSV0, (/0, 1/), (/nGC_521/))

      allocate(vertices(4838)%branch(0:0))
      call av(4838, 0, 0, 1, 0, USUaS0, (/0, 2/), (/nGC_93/))

      allocate(vertices(4839)%branch(0:0))
      call av(4839, 0, 1, 1, 0, VUUa1, (/0, 1/), (/nGC_539/))

      allocate(vertices(4840)%branch(0:0))
      call av(4840, 0, 0, 1, 0, SVVS0, (/0, 2/), (/nGC_110/))

      allocate(vertices(4841)%branch(0:0))
      call av(4841, 0, 1, 1, 0, UaUS0, (/0, 1/), (/nGC_173/))

      allocate(vertices(4842)%branch(0:0))
      call av(4842, 0, 0, 1, 0, VVSS0, (/0, 2/), (/nGC_92/))

      allocate(vertices(4843)%branch(0:0))
      call av(4843, 0, 0, 1, 0, UaUVV0, (/0, 2/), (/nGC_114/))

      allocate(vertices(4844)%branch(0:0))
      call av(4844, 0, 0, 1, 0, SUaUS0, (/0, 2/), (/nGC_27/))

      allocate(vertices(4845)%branch(0:0))
      call av(4845, 0, 0, 1, 0, VSSV0, (/0, 2/), (/nGC_82/))

      allocate(vertices(4846)%branch(0:0))
      call av(4846, 0, 0, 1, 0, SSUUa0, (/0, 2/), (/nGC_119/))

      allocate(vertices(4847)%branch(0:0))
      call av(4847, 0, 0, 1, 0, VUaVU0, (/0, 2/), (/nGC_114/))

      allocate(vertices(4848)%branch(0:0))
      call av(4848, 0, 0, 1, 0, UVUaV0, (/0, 2/), (/nGC_7/))

      allocate(vertices(4849)%branch(0:0))
      call av(4849, 0, 0, 1, 0, UaUSS0, (/0, 2/), (/nGC_91/))

      allocate(vertices(4850)%branch(0:0))
      call av(4850, 0, 20, 1, 0, VFaF1, (/0, 1/), (/nGC_2, nGC_2/))

      allocate(vertices(4851)%branch(0:0))
      call av(4851, 0, 0, 1, 0, SUUaS0, (/0, 2/), (/nGC_13/))

      allocate(vertices(4852)%branch(0:0))
      call av(4852, 0, 0, 1, 0, SVVS0, (/0, 2/), (/nGC_108/))

      allocate(vertices(4853)%branch(0:0))
      call av(4853, 0, 0, 1, 0, SSVV0, (/0, 2/), (/nGC_121/))

      allocate(vertices(4854)%branch(0:0))
      call av(4854, 0, 0, 1, 0, SVSV0, (/0, 2/), (/nGC_15/))

      allocate(vertices(4855)%branch(0:0))
      call av(4855, 0, 0, 1, 0, SUaSU0, (/0, 2/), (/nGC_111/))

      allocate(vertices(4856)%branch(0:0))
      call av(4856, 0, 0, 1, 0, VVVV0, (/0, 2/), (/nGC_527, nGC_527, nGC_116/))

      allocate(vertices(4857)%branch(0:0))
      call av(4857, 0, 0, 1, 0, VUaUV0, (/0, 2/), (/nGC_115/))

      allocate(vertices(4858)%branch(0:0))
      call av(4858, 0, 17, 1, 0, FaVF0, (/0, 1/), (/nGC_125, nGC_122/))

      allocate(vertices(4859)%branch(0:0))
      call av(4859, 0, 0, 1, 0, UaUSS0, (/0, 2/), (/nGC_16/))

      allocate(vertices(4860)%branch(0:0))
      call av(4860, 0, 0, 1, 0, UaSUS0, (/0, 2/), (/nGC_50/))

      allocate(vertices(4861)%branch(0:0))
      call av(4861, 0, 1, 1, 0, SSS0, (/0, 1/), (/nGC_184/))

      allocate(vertices(4862)%branch(0:0))
      call av(4862, 0, 0, 1, 0, UVUaV0, (/0, 2/), (/nGC_114/))

      allocate(vertices(4863)%branch(0:0))
      call av(4863, 0, 0, 1, 0, SVSV0, (/0, 2/), (/nGC_63/))

      allocate(vertices(4864)%branch(0:0))
      call av(4864, 0, 0, 1, 0, VUaVU0, (/0, 2/), (/nGC_83/))

      allocate(vertices(4865)%branch(0:0))
      call av(4865, 0, 1, 1, 0, VVV0, (/0, 1/), (/nGC_3/))

      allocate(vertices(4866)%branch(0:0))
      call av(4866, 0, 0, 1, 0, UaSUS0, (/0, 2/), (/nGC_14/))

      allocate(vertices(4867)%branch(0:0))
      call av(4867, 0, 0, 1, 0, UaUSS0, (/0, 2/), (/nGC_138/))

      allocate(vertices(4868)%branch(0:0))
      call av(4868, 0, 0, 1, 0, SUaSU0, (/0, 2/), (/nGC_53/))

      allocate(vertices(4869)%branch(0:0))
      call av(4869, 0, 0, 1, 0, VVUUa0, (/0, 2/), (/nGC_114/))

      allocate(vertices(4870)%branch(0:0))
      call av(4870, 0, 0, 1, 0, SUUaS0, (/0, 2/), (/nGC_27/))

      allocate(vertices(4871)%branch(0:0))
      call av(4871, 0, 0, 1, 0, VSSV0, (/0, 2/), (/nGC_10/))

      allocate(vertices(4872)%branch(0:0))
      call av(4872, 0, 0, 1, 0, UaVUV0, (/0, 2/), (/nGC_7/))

      allocate(vertices(4873)%branch(0:0))
      call av(4873, 0, 0, 1, 0, UaUSS0, (/0, 2/), (/nGC_139/))

      allocate(vertices(4874)%branch(0:0))
      call av(4874, 0, 17, 1, 0, FaSF0, (/0, 1/), (/nGC_201, nGC_225/))

      allocate(vertices(4875)%branch(0:0))
      call av(4875, 0, 18, 1, 0, FaFS0, (/0, 1/), (/nGC_194, nGC_611/))

      allocate(vertices(4876)%branch(0:0))
      call av(4876, 0, 0, 1, 0, UaUSS0, (/0, 2/), (/nGC_62/))

      allocate(vertices(4877)%branch(0:0))
      call av(4877, 0, 0, 1, 0, SSUaU0, (/0, 2/), (/nGC_53/))

      allocate(vertices(4878)%branch(0:0))
      call av(4878, 0, 1, 1, 0, UaUS0, (/0, 1/), (/nGC_167/))

      allocate(vertices(4879)%branch(0:0))
      call av(4879, 0, 1, 1, 0, SFaF0, (/0, 1/), (/nGC_207, nGC_207/))

      allocate(vertices(4880)%branch(0:0))
      call av(4880, 0, 0, 1, 0, UVUaV0, (/0, 2/), (/nGC_115/))

      allocate(vertices(4881)%branch(0:0))
      call av(4881, 0, 0, 1, 0, VVSS0, (/0, 2/), (/nGC_151/))

      allocate(vertices(4882)%branch(0:0))
      call av(4882, 0, 0, 1, 0, SUaSU0, (/0, 2/), (/nGC_150/))

      allocate(vertices(4883)%branch(0:0))
      call av(4883, 0, 0, 1, 0, VVUUa0, (/0, 2/), (/nGC_114/))

      allocate(vertices(4884)%branch(0:0))
      call av(4884, 0, 0, 1, 0, UaSSU0, (/0, 2/), (/nGC_16/))

      allocate(vertices(4885)%branch(0:0))
      call av(4885, 0, 21, 1, 0, VFFa0, (/0, 1/), (/nGC_99/))

      allocate(vertices(4886)%branch(0:0))
      call av(4886, 0, 1, 1, 0, FaSF2, (/0, 1/), (/nGC_205/))

      allocate(vertices(4887)%branch(0:0))
      call av(4887, 0, 0, 1, 0, SSUUa0, (/0, 2/), (/nGC_70/))

      allocate(vertices(4888)%branch(0:0))
      call av(4888, 0, 0, 1, 0, SVVS0, (/0, 2/), (/nGC_107/))

      allocate(vertices(4889)%branch(0:0))
      call av(4889, 0, 0, 1, 0, VUVUa0, (/0, 2/), (/nGC_113/))

      allocate(vertices(4890)%branch(0:0))
      call av(4890, 0, 0, 1, 0, UaVUV0, (/0, 2/), (/nGC_83/))

      allocate(vertices(4891)%branch(0:0))
      call av(4891, 0, 0, 1, 0, VUaVU0, (/0, 2/), (/nGC_114/))

      allocate(vertices(4892)%branch(0:0))
      call av(4892, 0, 0, 1, 0, VVSS0, (/0, 2/), (/nGC_10/))

      allocate(vertices(4893)%branch(0:0))
      call av(4893, 0, 0, 1, 0, SSUaU0, (/0, 2/), (/nGC_111/))

      allocate(vertices(4894)%branch(0:0))
      call av(4894, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_38/))

      allocate(vertices(4895)%branch(0:0))
      call av(4895, 0, 0, 1, 0, VVSS0, (/0, 2/), (/nGC_28/))

      allocate(vertices(4896)%branch(0:0))
      call av(4896, 0, 0, 1, 0, UaVUV0, (/0, 2/), (/nGC_84/))

      allocate(vertices(4897)%branch(0:0))
      call av(4897, 0, 1, 1, 0, UUaV0, (/0, 1/), (/nGC_571/))

      allocate(vertices(4898)%branch(0:0))
      call av(4898, 0, 0, 1, 0, SVVS0, (/0, 2/), (/nGC_14/))

      allocate(vertices(4899)%branch(0:0))
      call av(4899, 0, 0, 1, 0, VSSV0, (/0, 2/), (/nGC_134/))

      allocate(vertices(4900)%branch(0:0))
      call av(4900, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_57/))

      allocate(vertices(4901)%branch(0:0))
      call av(4901, 0, 1, 1, 0, VFaF1, (/0, 1/), (/nGC_128, nGC_124/))

      allocate(vertices(4902)%branch(0:0))
      call av(4902, 0, 0, 1, 0, VSSV0, (/0, 2/), (/nGC_134/))

      allocate(vertices(4903)%branch(0:0))
      call av(4903, 0, 0, 1, 0, UaUSS0, (/0, 2/), (/nGC_89/))

      allocate(vertices(4904)%branch(0:0))
      call av(4904, 0, 0, 1, 0, SUSUa0, (/0, 2/), (/nGC_138/))

      allocate(vertices(4905)%branch(0:0))
      call av(4905, 0, 0, 1, 0, SUUaS0, (/0, 2/), (/nGC_111/))

      allocate(vertices(4906)%branch(0:0))
      call av(4906, 0, 0, 1, 0, VUaUV0, (/0, 2/), (/nGC_83/))

      allocate(vertices(4907)%branch(0:0))
      call av(4907, 0, 0, 1, 0, VSSV0, (/0, 2/), (/nGC_134/))

      allocate(vertices(4908)%branch(0:0))
      call av(4908, 0, 1, 1, 0, VVV0, (/0, 1/), (/nGC_585/))

      allocate(vertices(4909)%branch(0:0))
      call av(4909, 0, 0, 1, 0, SVVS0, (/0, 2/), (/nGC_120/))

      allocate(vertices(4910)%branch(0:0))
      call av(4910, 0, 0, 1, 0, SUaUS0, (/0, 2/), (/nGC_27/))

      allocate(vertices(4911)%branch(0:0))
      call av(4911, 0, 0, 1, 0, UaUVV0, (/0, 2/), (/nGC_114/))

      allocate(vertices(4912)%branch(0:0))
      call av(4912, 0, 0, 1, 0, UUaVV0, (/0, 2/), (/nGC_115/))

      allocate(vertices(4913)%branch(0:0))
      call av(4913, 0, 0, 1, 0, SUaSU0, (/0, 2/), (/nGC_94/))

      allocate(vertices(4914)%branch(0:0))
      call av(4914, 0, 1, 1, 0, FaVF0, (/0, 1/), (/nGC_128, nGC_124/))

      allocate(vertices(4915)%branch(0:0))
      call av(4915, 0, 21, 1, 0, VFFa1, (/0, 1/), (/nGC_126, nGC_123/))

      allocate(vertices(4916)%branch(0:0))
      call av(4916, 0, 0, 1, 0, UaVVU0, (/0, 2/), (/nGC_115/))

      allocate(vertices(4917)%branch(0:0))
      call av(4917, 0, 0, 1, 0, UUaVV0, (/0, 2/), (/nGC_73/))

      allocate(vertices(4918)%branch(0:0))
      call av(4918, 0, 0, 1, 0, UaUVV0, (/0, 2/), (/nGC_73/))

      allocate(vertices(4919)%branch(0:0))
      call av(4919, 0, 0, 1, 0, UVUaV0, (/0, 2/), (/nGC_7/))

      allocate(vertices(4920)%branch(0:0))
      call av(4920, 0, 0, 1, 0, VVUaU0, (/0, 2/), (/nGC_83/))

      allocate(vertices(4921)%branch(0:0))
      call av(4921, 0, 0, 1, 0, VSSV0, (/0, 2/), (/nGC_120/))

      allocate(vertices(4922)%branch(0:0))
      call av(4922, 0, 0, 1, 0, UVUaV0, (/0, 2/), (/nGC_83/))

      allocate(vertices(4923)%branch(0:0))
      call av(4923, 0, 0, 1, 0, VVVV0, (/0, 2/), (/nGC_527, nGC_116, nGC_527/))

      allocate(vertices(4924)%branch(0:0))
      call av(4924, 0, 1, 1, 0, SFFa2, (/0, 1/), (/nGC_209/))

      allocate(vertices(4925)%branch(0:0))
      call av(4925, 0, 0, 1, 0, SVVS0, (/0, 2/), (/nGC_71/))

      allocate(vertices(4926)%branch(0:0))
      call av(4926, 0, 0, 1, 0, VUaVU0, (/0, 2/), (/nGC_7/))

      allocate(vertices(4927)%branch(0:0))
      call av(4927, 0, 0, 1, 0, VSSV0, (/0, 2/), (/nGC_14/))

      allocate(vertices(4928)%branch(0:0))
      call av(4928, 0, 0, 1, 0, SUaSU0, (/0, 2/), (/nGC_61/))

      allocate(vertices(4929)%branch(0:0))
      call av(4929, 0, 0, 1, 0, UUaSS0, (/0, 2/), (/nGC_111/))

      allocate(vertices(4930)%branch(0:0))
      call av(4930, 0, 0, 1, 0, VUaUV0, (/0, 2/), (/nGC_114/))

      allocate(vertices(4931)%branch(0:0))
      call av(4931, 0, 0, 1, 0, VSVS0, (/0, 2/), (/nGC_64/))

      allocate(vertices(4932)%branch(0:0))
      call av(4932, 0, 0, 1, 0, UVUaV0, (/0, 2/), (/nGC_114/))

      allocate(vertices(4933)%branch(0:0))
      call av(4933, 0, 0, 1, 0, UUaVV0, (/0, 2/), (/nGC_114/))

      allocate(vertices(4934)%branch(0:0))
      call av(4934, 0, 0, 1, 0, SVVS0, (/0, 2/), (/nGC_120/))

      allocate(vertices(4935)%branch(0:0))
      call av(4935, 0, 20, 1, 0, SFaF0, (/0, 1/), (/nGC_216, nGC_216/))

      allocate(vertices(4936)%branch(0:0))
      call av(4936, 0, 0, 1, 0, SUSUa0, (/0, 2/), (/nGC_54/))

      allocate(vertices(4937)%branch(0:0))
      call av(4937, 0, 1, 1, 0, FVFa0, (/0, 1/), (/nGC_128, nGC_124/))

      allocate(vertices(4938)%branch(0:0))
      call av(4938, 0, 0, 1, 0, VSSV0, (/0, 2/), (/nGC_110/))

      allocate(vertices(4939)%branch(0:0))
      call av(4939, 0, 0, 1, 0, UUaSS0, (/0, 2/), (/nGC_49/))

      allocate(vertices(4940)%branch(0:0))
      call av(4940, 0, 0, 1, 0, UUaVV0, (/0, 2/), (/nGC_10/))

      allocate(vertices(4941)%branch(0:0))
      call av(4941, 0, 0, 1, 0, UaUSS0, (/0, 2/), (/nGC_53/))

      allocate(vertices(4942)%branch(0:0))
      call av(4942, 0, 0, 1, 0, USUaS0, (/0, 2/), (/nGC_119/))

      allocate(vertices(4943)%branch(0:0))
      call av(4943, 0, 0, 1, 0, SSVV0, (/0, 2/), (/nGC_112/))

      allocate(vertices(4944)%branch(0:0))
      call av(4944, 0, 21, 1, 0, VFFa1, (/0, 1/), (/nGC_126, nGC_123/))

      allocate(vertices(4945)%branch(0:0))
      call av(4945, 0, 0, 1, 0, VVVV0, (/0, 2/), (/nGC_113, nGC_115, nGC_116/))

      allocate(vertices(4946)%branch(0:0))
      call av(4946, 0, 0, 1, 0, SVVS0, (/0, 2/), (/nGC_13/))

      allocate(vertices(4947)%branch(0:0))
      call av(4947, 0, 0, 1, 0, USUaS0, (/0, 2/), (/nGC_61/))

      allocate(vertices(4948)%branch(0:0))
      call av(4948, 0, 1, 1, 0, FVFa1, (/0, 1/), (/nGC_99/))

      allocate(vertices(4949)%branch(0:1))
      call av(4949, 0, 2, 2, 0, UaUV1, (/1, 0/), (/nGC_629/))

      call av(4949, 1, 3, 3, 0, UaUV1, (/1, 0/), (/nGC_629/))

      allocate(vertices(4950)%branch(0:0))
      call av(4950, 0, 1, 1, 0, UVUa0, (/0, 1/), (/nGC_625/))

      allocate(vertices(4951)%branch(0:0))
      call av(4951, 0, 0, 1, 0, SUaUS0, (/0, 2/), (/nGC_27/))

      allocate(vertices(4952)%branch(0:0))
      call av(4952, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_68/))

      allocate(vertices(4953)%branch(0:0))
      call av(4953, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_30/))

      allocate(vertices(4954)%branch(0:0))
      call av(4954, 0, 18, 1, 0, FaFS0, (/0, 1/), (/nGC_196, nGC_196/))

      allocate(vertices(4955)%branch(0:0))
      call av(4955, 0, 0, 1, 0, VUUaV0, (/0, 2/), (/nGC_114/))

      allocate(vertices(4956)%branch(0:0))
      call av(4956, 0, 0, 1, 0, SVSV0, (/0, 2/), (/nGC_28/))

      allocate(vertices(4957)%branch(0:0))
      call av(4957, 0, 1, 1, 0, SSS0, (/0, 1/), (/nGC_179/))

      allocate(vertices(4958)%branch(0:0))
      call av(4958, 0, 0, 1, 0, SVSV0, (/0, 2/), (/nGC_45/))

      allocate(vertices(4959)%branch(0:0))
      call av(4959, 0, 20, 1, 0, VFaF1, (/0, 1/), (/nGC_1, nGC_1/))

      allocate(vertices(4960)%branch(0:0))
      call av(4960, 0, 1, 1, 0, VFFa0, (/0, 1/), (/nGC_99/))

      allocate(vertices(4961)%branch(0:0))
      call av(4961, 0, 0, 1, 0, UUaSS0, (/0, 2/), (/nGC_91/))

      allocate(vertices(4962)%branch(0:0))
      call av(4962, 0, 20, 1, 0, SFaF0, (/0, 1/), (/nGC_195, nGC_195/))

      allocate(vertices(4963)%branch(0:0))
      call av(4963, 0, 0, 1, 0, SVSV0, (/0, 2/), (/nGC_14/))

      allocate(vertices(4964)%branch(0:0))
      call av(4964, 0, 0, 1, 0, SSVV0, (/0, 2/), (/nGC_142/))

      allocate(vertices(4965)%branch(0:0))
      call av(4965, 0, 0, 1, 0, SUUaS0, (/0, 2/), (/nGC_93/))

      allocate(vertices(4966)%branch(0:0))
      call av(4966, 0, 1, 1, 0, VUaU1, (/0, 1/), (/nGC_587/))

      allocate(vertices(4967)%branch(0:0))
      call av(4967, 0, 0, 1, 0, SVVS0, (/0, 2/), (/nGC_92/))

      allocate(vertices(4968)%branch(0:0))
      call av(4968, 0, 0, 1, 0, VSSV0, (/0, 2/), (/nGC_108/))

      allocate(vertices(4969)%branch(0:0))
      call av(4969, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_57/))

      allocate(vertices(4970)%branch(0:0))
      call av(4970, 0, 0, 1, 0, VUUaV0, (/0, 2/), (/nGC_73/))

      allocate(vertices(4971)%branch(0:0))
      call av(4971, 0, 0, 1, 0, UaUSS0, (/0, 2/), (/nGC_16/))

      allocate(vertices(4972)%branch(0:0))
      call av(4972, 0, 0, 1, 0, SSVV0, (/0, 2/), (/nGC_13/))

      allocate(vertices(4973)%branch(0:0))
      call av(4973, 0, 1, 1, 0, VSS0, (/0, 1/), (/nGC_537/))

      allocate(vertices(4974)%branch(0:0))
      call av(4974, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_31/))

      allocate(vertices(4975)%branch(0:0))
      call av(4975, 0, 0, 1, 0, SUaSU0, (/0, 2/), (/nGC_111/))

      allocate(vertices(4976)%branchCT(0:0))
      call avCT(4976, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(2359)%branchCT(0:0))
      call avCT(2359, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1878/))

      allocate(vertices(1)%branchCT(0:0))
      call avCT(1, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1879/))

      allocate(vertices(2361)%branchCT(0:1))
      call avCT(2361, 0, 19, 1, 0, FSFa0, (/0, 3/), (/nGC_1880, nGC_1880/))

      call avCT(2361, 1, 19, 1, 0, FSFa0, (/2, 1/), (/nGC_1881, nGC_1881/))

      allocate(vertices(2362)%branchCT(0:0))
      call avCT(2362, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1882/))

      allocate(vertices(3189)%branchCT(0:0))
      call avCT(3189, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1883/))

      allocate(vertices(3)%branchCT(0:0))
      call avCT(3, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1884/))

      allocate(vertices(3862)%branchCT(0:0))
      call avCT(3862, 0, 1, 1, 0, VSS0, (/0, 3/), (/nGC_1885/))

      allocate(vertices(4)%branchCT(0:0))
      call avCT(4, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1883/))

      allocate(vertices(43)%branchCT(0:0))
      call avCT(43, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1883/))

      allocate(vertices(6)%branchCT(0:0))
      call avCT(6, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1886/))

      allocate(vertices(7)%branchCT(0:1))
      call avCT(7, 0, 10, 1, 0, FFaV0, (/0, 3/), (/nGC_1887, nGC_1889/))

      call avCT(7, 1, 10, 1, 0, FFaV0, (/2, 1/), (/nGC_1888, nGC_1890/))

      allocate(vertices(2367)%branchCT(0:0))
      call avCT(2367, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1891/))

      allocate(vertices(9)%branchCT(0:0))
      call avCT(9, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(10)%branchCT(0:0))
      call avCT(10, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(12)%branchCT(0:0))
      call avCT(12, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1891/))

      allocate(vertices(2368)%branchCT(0:0))
      call avCT(2368, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1893/))

      allocate(vertices(3190)%branchCT(0:1))
      call avCT(3190, 0, 19, 1, 0, FSFa0, (/0, 3/), (/nGC_1894, nGC_1896/))

      call avCT(3190, 1, 19, 1, 0, FSFa0, (/2, 1/), (/nGC_1895, nGC_1897/))

      allocate(vertices(14)%branchCT(0:0))
      call avCT(14, 0, 1, 1, 0, UaVU0, (/0, 3/), (/nGC_1898/))

      allocate(vertices(2372)%branchCT(0:0))
      call avCT(2372, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1899/))

      allocate(vertices(16)%branchCT(0:0))
      call avCT(16, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1900/))

      allocate(vertices(2374)%branchCT(0:0))
      call avCT(2374, 0, 1, 1, 0, SUaU0, (/0, 3/), (/nGC_1901/))

      allocate(vertices(3621)%branchCT(0:0))
      call avCT(3621, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1655/))

      allocate(vertices(2375)%branchCT(0:0))
      call avCT(2375, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1893/))

      allocate(vertices(2377)%branchCT(0:0))
      call avCT(2377, 0, 1, 1, 0, UaUS0, (/0, 3/), (/nGC_1671/))

      allocate(vertices(21)%branchCT(0:0))
      call avCT(21, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1902/))

      allocate(vertices(22)%branchCT(0:0))
      call avCT(22, 0, 1, 1, 0, UUaS0, (/0, 3/), (/nGC_1901/))

      allocate(vertices(23)%branchCT(0:0))
      call avCT(23, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1903/))

      allocate(vertices(24)%branchCT(0:0))
      call avCT(24, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1884/))

      allocate(vertices(25)%branchCT(0:0))
      call avCT(25, 0, 1, 1, 0, SFaF1, (/0, 3/), (/nGC_1904/))

      allocate(vertices(141)%branchCT(0:0))
      call avCT(141, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1884/))

      allocate(vertices(756)%branchCT(0:0))
      call avCT(756, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1893/))

      allocate(vertices(149)%branchCT(0:0))
      call avCT(149, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1879/))

      allocate(vertices(3024)%branchCT(0:0))
      call avCT(3024, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1905/))

      allocate(vertices(30)%branchCT(0:0))
      call avCT(30, 0, 1, 1, 0, UaUV0, (/0, 3/), (/nGC_1906/))

      allocate(vertices(3630)%branchCT(0:0))
      call avCT(3630, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1907/))

      allocate(vertices(2386)%branchCT(0:1))
      call avCT(2386, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_1908, nGC_1908/))

      call avCT(2386, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_1909, nGC_1909/))

      allocate(vertices(34)%branchCT(0:0))
      call avCT(34, 0, 1, 1, 0, UaSU0, (/0, 3/), (/nGC_1901/))

      allocate(vertices(2390)%branchCT(0:0))
      call avCT(2390, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1910/))

      allocate(vertices(2391)%branchCT(0:1))
      call avCT(2391, 0, 21, 1, 0, VFFa1, (/0, 3/), (/nGC_1911, nGC_1913/))

      call avCT(2391, 1, 21, 1, 0, VFFa1, (/2, 1/), (/nGC_1912, nGC_1914/))

      allocate(vertices(2392)%branchCT(0:0))
      call avCT(2392, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1915/))

      allocate(vertices(2393)%branchCT(0:0))
      call avCT(2393, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1638/))

      allocate(vertices(3601)%branchCT(0:0))
      call avCT(3601, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1910/))

      allocate(vertices(4400)%branchCT(0:0))
      call avCT(4400, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(39)%branchCT(0:1))
      call avCT(39, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_1916, nGC_1918/))

      call avCT(39, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_1917, nGC_1919/))

      allocate(vertices(2396)%branchCT(0:0))
      call avCT(2396, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(41)%branchCT(0:0))
      call avCT(41, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1905/))

      allocate(vertices(2397)%branchCT(0:0))
      call avCT(2397, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1891/))

      allocate(vertices(2398)%branchCT(0:0))
      call avCT(2398, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1883/))

      allocate(vertices(245)%branchCT(0:0))
      call avCT(245, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1883/))

      allocate(vertices(2365)%branchCT(0:0))
      call avCT(2365, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1920/))

      allocate(vertices(2403)%branchCT(0:0))
      call avCT(2403, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1907/))

      allocate(vertices(2404)%branchCT(0:0))
      call avCT(2404, 0, 1, 1, 0, USUa0, (/0, 3/), (/nGC_1671/))

      allocate(vertices(2406)%branchCT(0:0))
      call avCT(2406, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1921/))

      allocate(vertices(3339)%branchCT(0:0))
      call avCT(3339, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1922/))

      allocate(vertices(46)%branchCT(0:1))
      call avCT(46, 0, 2, 2, 0, VVV0, (/3, 0/), (/nGC_1923/))

      call avCT(46, 1, 3, 3, 0, VVV0, (/3, 0/), (/nGC_1923/))

      allocate(vertices(2591)%branchCT(0:0))
      call avCT(2591, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1905/))

      allocate(vertices(2413)%branchCT(0:0))
      call avCT(2413, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_1924, nGC_1924,       &
      nGC_1925/))

      allocate(vertices(2416)%branchCT(0:0))
      call avCT(2416, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1884/))

      allocate(vertices(47)%branchCT(0:0))
      call avCT(47, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1899/))

      allocate(vertices(2417)%branchCT(0:0))
      call avCT(2417, 0, 1, 1, 0, SUUa0, (/0, 3/), (/nGC_1901/))

      allocate(vertices(2418)%branchCT(0:0))
      call avCT(2418, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1926/))

      allocate(vertices(2419)%branchCT(0:0))
      call avCT(2419, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_1927/))

      allocate(vertices(49)%branchCT(0:0))
      call avCT(49, 0, 1, 1, 0, VVS0, (/0, 3/), (/nGC_1928/))

      allocate(vertices(50)%branchCT(0:0))
      call avCT(50, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1905/))

      allocate(vertices(330)%branchCT(0:0))
      call avCT(330, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(51)%branchCT(0:0))
      call avCT(51, 0, 1, 1, 0, VSS0, (/0, 3/), (/nGC_1929/))

      allocate(vertices(764)%branchCT(0:0))
      call avCT(764, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(339)%branchCT(0:0))
      call avCT(339, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1930/))

      allocate(vertices(2426)%branchCT(0:0))
      call avCT(2426, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1922/))

      allocate(vertices(3537)%branchCT(0:0))
      call avCT(3537, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1884/))

      allocate(vertices(2428)%branchCT(0:0))
      call avCT(2428, 0, 1, 1, 0, FaVF1, (/0, 3/), (/nGC_1931/))

      allocate(vertices(384)%branchCT(0:0))
      call avCT(384, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1878/))

      allocate(vertices(356)%branchCT(0:0))
      call avCT(356, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1932/))

      allocate(vertices(57)%branchCT(0:0))
      call avCT(57, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1933/))

      allocate(vertices(58)%branchCT(0:0))
      call avCT(58, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1903/))

      allocate(vertices(2432)%branchCT(0:0))
      call avCT(2432, 0, 1, 1, 0, VFaF0, (/0, 3/), (/nGC_1934/))

      allocate(vertices(61)%branchCT(0:0))
      call avCT(61, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1910/))

      allocate(vertices(63)%branchCT(0:0))
      call avCT(63, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1910/))

      allocate(vertices(2433)%branchCT(0:0))
      call avCT(2433, 0, 1, 1, 0, FaFS0, (/0, 3/), (/nGC_1935, nGC_1935/))

      allocate(vertices(64)%branchCT(0:0))
      call avCT(64, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1907/))

      allocate(vertices(2434)%branchCT(0:0))
      call avCT(2434, 0, 1, 1, 0, UaVU0, (/0, 3/), (/nGC_1936/))

      allocate(vertices(65)%branchCT(0:0))
      call avCT(65, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1657/))

      allocate(vertices(2437)%branchCT(0:0))
      call avCT(2437, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1900/))

      allocate(vertices(66)%branchCT(0:0))
      call avCT(66, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1903/))

      allocate(vertices(68)%branchCT(0:0))
      call avCT(68, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1891/))

      allocate(vertices(1961)%branchCT(0:0))
      call avCT(1961, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1930/))

      allocate(vertices(70)%branchCT(0:0))
      call avCT(70, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1632/))

      allocate(vertices(4083)%branchCT(0:0))
      call avCT(4083, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1921/))

      allocate(vertices(72)%branchCT(0:0))
      call avCT(72, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1937/))

      allocate(vertices(2443)%branchCT(0:0))
      call avCT(2443, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1903/))

      allocate(vertices(2444)%branchCT(0:0))
      call avCT(2444, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1883/))

      allocate(vertices(2446)%branchCT(0:0))
      call avCT(2446, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1655/))

      allocate(vertices(2447)%branchCT(0:0))
      call avCT(2447, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1893/))

      allocate(vertices(2448)%branchCT(0:0))
      call avCT(2448, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1657/))

      allocate(vertices(76)%branchCT(0:0))
      call avCT(76, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1633/))

      allocate(vertices(2450)%branchCT(0:0))
      call avCT(2450, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_1885/))

      allocate(vertices(388)%branchCT(0:0))
      call avCT(388, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1634/))

      allocate(vertices(2451)%branchCT(0:0))
      call avCT(2451, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1879/))

      allocate(vertices(477)%branchCT(0:0))
      call avCT(477, 0, 1, 1, 0, SVV0, (/0, 3/), (/nGC_1938/))

      allocate(vertices(2453)%branchCT(0:0))
      call avCT(2453, 0, 1, 1, 0, SUaU0, (/0, 3/), (/nGC_1660/))

      allocate(vertices(3780)%branchCT(0:0))
      call avCT(3780, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1920/))

      allocate(vertices(3789)%branchCT(0:0))
      call avCT(3789, 0, 1, 1, 0, VVS0, (/0, 3/), (/nGC_1939/))

      allocate(vertices(4977)%branchCT(0:0))
      call avCT(4977, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1940/))

      allocate(vertices(2457)%branchCT(0:0))
      call avCT(2457, 0, 1, 1, 0, FaVF0, (/0, 3/), (/nGC_1941, nGC_1942/))

      allocate(vertices(2326)%branchCT(0:0))
      call avCT(2326, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(503)%branchCT(0:0))
      call avCT(503, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1883/))

      allocate(vertices(85)%branchCT(0:0))
      call avCT(85, 0, 1, 1, 0, UaSU0, (/0, 3/), (/nGC_1943/))

      allocate(vertices(87)%branchCT(0:0))
      call avCT(87, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1879/))

      allocate(vertices(2460)%branchCT(0:1))
      call avCT(2460, 0, 21, 1, 0, SFFa0, (/0, 3/), (/nGC_1944, nGC_1944/))

      call avCT(2460, 1, 21, 1, 0, SFFa0, (/2, 1/), (/nGC_1945, nGC_1945/))

      allocate(vertices(4978)%branchCT(0:0))
      call avCT(4978, 0, 13, 1, 0, VV0, (/0, 2/), (/nGC_1946, nGC_1947/))

      allocate(vertices(2461)%branchCT(0:0))
      call avCT(2461, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1948/))

      allocate(vertices(4524)%branchCT(0:0))
      call avCT(4524, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1949/))

      allocate(vertices(91)%branchCT(0:1))
      call avCT(91, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_1950, nGC_1950/))

      call avCT(91, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_1951, nGC_1951/))

      allocate(vertices(2360)%branchCT(0:0))
      call avCT(2360, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1883/))

      allocate(vertices(2464)%branchCT(0:0))
      call avCT(2464, 0, 1, 1, 0, FFaV0, (/0, 3/), (/nGC_1952, nGC_1953/))

      allocate(vertices(1172)%branchCT(0:0))
      call avCT(1172, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1930/))

      allocate(vertices(569)%branchCT(0:0))
      call avCT(569, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1910/))

      allocate(vertices(2470)%branchCT(0:0))
      call avCT(2470, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1910/))

      allocate(vertices(96)%branchCT(0:0))
      call avCT(96, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1879/))

      allocate(vertices(98)%branchCT(0:0))
      call avCT(98, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1886/))

      allocate(vertices(2471)%branchCT(0:0))
      call avCT(2471, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1907/))

      allocate(vertices(2472)%branchCT(0:0))
      call avCT(2472, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1907/))

      allocate(vertices(2473)%branchCT(0:0))
      call avCT(2473, 0, 1, 1, 0, VVS0, (/0, 3/), (/nGC_1938/))

      allocate(vertices(4979)%branchCT(0:0))
      call avCT(4979, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(2474)%branchCT(0:0))
      call avCT(2474, 0, 1, 1, 0, VFFa1, (/0, 3/), (/nGC_1941, nGC_1942/))

      allocate(vertices(2475)%branchCT(0:0))
      call avCT(2475, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1922/))

      allocate(vertices(4395)%branchCT(0:0))
      call avCT(4395, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1884/))

      allocate(vertices(611)%branchCT(0:0))
      call avCT(611, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1893/))

      allocate(vertices(4527)%branchCT(0:0))
      call avCT(4527, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1949/))

      allocate(vertices(2478)%branchCT(0:0))
      call avCT(2478, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_1925, nGC_1924,       &
      nGC_1924/))

      allocate(vertices(2479)%branchCT(0:0))
      call avCT(2479, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1884/))

      allocate(vertices(2779)%branchCT(0:0))
      call avCT(2779, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(633)%branchCT(0:0))
      call avCT(633, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1907/))

      allocate(vertices(393)%branchCT(0:0))
      call avCT(393, 0, 1, 1, 0, VSS0, (/0, 3/), (/nGC_1954/))

      allocate(vertices(109)%branchCT(0:0))
      call avCT(109, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1907/))

      allocate(vertices(19)%branchCT(0:1))
      call avCT(19, 0, 20, 1, 0, SFaF0, (/0, 3/), (/nGC_1955, nGC_1957/))

      call avCT(19, 1, 20, 1, 0, SFaF0, (/2, 1/), (/nGC_1956, nGC_1958/))

      allocate(vertices(3205)%branchCT(0:0))
      call avCT(3205, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1959/))

      allocate(vertices(2482)%branchCT(0:0))
      call avCT(2482, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1915/))

      allocate(vertices(2483)%branchCT(0:1))
      call avCT(2483, 0, 20, 1, 0, SFaF0, (/0, 3/), (/nGC_1960, nGC_1962/))

      call avCT(2483, 1, 20, 1, 0, SFaF0, (/2, 1/), (/nGC_1961, nGC_1963/))

      allocate(vertices(669)%branchCT(0:0))
      call avCT(669, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_1964, nGC_1965,        &
      nGC_1964/))

      allocate(vertices(4089)%branchCT(0:0))
      call avCT(4089, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1884/))

      allocate(vertices(3645)%branchCT(0:0))
      call avCT(3645, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1883/))

      allocate(vertices(3859)%branchCT(0:0))
      call avCT(3859, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1893/))

      allocate(vertices(2488)%branchCT(0:0))
      call avCT(2488, 0, 1, 1, 0, VVS0, (/0, 3/), (/nGC_1966/))

      allocate(vertices(116)%branchCT(0:0))
      call avCT(116, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1967/))

      allocate(vertices(118)%branchCT(0:0))
      call avCT(118, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1903/))

      allocate(vertices(119)%branchCT(0:0))
      call avCT(119, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_1968/))

      allocate(vertices(2491)%branchCT(0:0))
      call avCT(2491, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1903/))

      allocate(vertices(2492)%branchCT(0:0))
      call avCT(2492, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1949/))

      allocate(vertices(740)%branchCT(0:0))
      call avCT(740, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1969/))

      allocate(vertices(121)%branchCT(0:0))
      call avCT(121, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1893/))

      allocate(vertices(122)%branchCT(0:0))
      call avCT(122, 0, 1, 1, 0, SFaF0, (/0, 3/), (/nGC_1970, nGC_1970/))

      allocate(vertices(3207)%branchCT(0:0))
      call avCT(3207, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1891/))

      allocate(vertices(125)%branchCT(0:0))
      call avCT(125, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1891/))

      allocate(vertices(4798)%branchCT(0:0))
      call avCT(4798, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1633/))

      allocate(vertices(126)%branchCT(0:0))
      call avCT(126, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1971/))

      allocate(vertices(2498)%branchCT(0:1))
      call avCT(2498, 0, 21, 1, 0, VFFa1, (/0, 3/), (/nGC_1972, nGC_1974/))

      call avCT(2498, 1, 21, 1, 0, VFFa1, (/2, 1/), (/nGC_1973, nGC_1975/))

      allocate(vertices(3648)%branchCT(0:0))
      call avCT(3648, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_1965, nGC_1964,       &
      nGC_1964/))

      allocate(vertices(2502)%branchCT(0:0))
      call avCT(2502, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1976/))

      allocate(vertices(128)%branchCT(0:0))
      call avCT(128, 0, 1, 1, 0, FaFS0, (/0, 3/), (/nGC_1977, nGC_1977/))

      allocate(vertices(2503)%branchCT(0:0))
      call avCT(2503, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1910/))

      allocate(vertices(2504)%branchCT(0:1))
      call avCT(2504, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_1978, nGC_1980/))

      call avCT(2504, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_1979, nGC_1981/))

      allocate(vertices(2507)%branchCT(0:0))
      call avCT(2507, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1926/))

      allocate(vertices(130)%branchCT(0:0))
      call avCT(130, 0, 1, 1, 0, SFFa1, (/0, 3/), (/nGC_1982/))

      allocate(vertices(1728)%branchCT(0:0))
      call avCT(1728, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1983/))

      allocate(vertices(131)%branchCT(0:0))
      call avCT(131, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1638/))

      allocate(vertices(2510)%branchCT(0:1))
      call avCT(2510, 0, 19, 1, 0, FVFa0, (/0, 3/), (/nGC_1984, nGC_1986/))

      call avCT(2510, 1, 19, 1, 0, FVFa0, (/2, 1/), (/nGC_1985, nGC_1987/))

      allocate(vertices(2380)%branchCT(0:0))
      call avCT(2380, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1893/))

      allocate(vertices(3925)%branchCT(0:0))
      call avCT(3925, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1903/))

      allocate(vertices(2511)%branchCT(0:0))
      call avCT(2511, 0, 1, 1, 0, SUUa0, (/0, 3/), (/nGC_1660/))

      allocate(vertices(135)%branchCT(0:0))
      call avCT(135, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(3748)%branchCT(0:0))
      call avCT(3748, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1893/))

      allocate(vertices(137)%branchCT(0:0))
      call avCT(137, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1976/))

      allocate(vertices(2513)%branchCT(0:0))
      call avCT(2513, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1969/))

      allocate(vertices(139)%branchCT(0:0))
      call avCT(139, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1930/))

      allocate(vertices(2514)%branchCT(0:0))
      call avCT(2514, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1988/))

      allocate(vertices(2516)%branchCT(0:0))
      call avCT(2516, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1886/))

      allocate(vertices(866)%branchCT(0:0))
      call avCT(866, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1989/))

      allocate(vertices(143)%branchCT(0:0))
      call avCT(143, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1893/))

      allocate(vertices(782)%branchCT(0:0))
      call avCT(782, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1891/))

      allocate(vertices(881)%branchCT(0:0))
      call avCT(881, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1883/))

      allocate(vertices(2522)%branchCT(0:0))
      call avCT(2522, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1948/))

      allocate(vertices(147)%branchCT(0:3))
      call avCT(147, 0, 54, 4, 0, VFFa1, (/3, 0/), (/nGC_1990, nGC_1992/))

      call avCT(147, 1, 54, 4, 0, VFFa1, (/1, 2/), (/nGC_1991, nGC_1993/))

      call avCT(147, 2, 55, 5, 0, VFFa1, (/3, 0/), (/nGC_1990, nGC_1992/))

      call avCT(147, 3, 55, 5, 0, VFFa1, (/1, 2/), (/nGC_1991, nGC_1993/))

      allocate(vertices(4911)%branchCT(0:0))
      call avCT(4911, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1891/))

      allocate(vertices(2383)%branchCT(0:0))
      call avCT(2383, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1657/))

      allocate(vertices(150)%branchCT(0:0))
      call avCT(150, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1884/))

      allocate(vertices(2524)%branchCT(0:1))
      call avCT(2524, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_1944, nGC_1944/))

      call avCT(2524, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_1945, nGC_1945/))

      allocate(vertices(152)%branchCT(0:0))
      call avCT(152, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1879/))

      allocate(vertices(153)%branchCT(0:0))
      call avCT(153, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(2528)%branchCT(0:0))
      call avCT(2528, 0, 1, 1, 0, VFaF0, (/0, 3/), (/nGC_1994/))

      allocate(vertices(2529)%branchCT(0:0))
      call avCT(2529, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1922/))

      allocate(vertices(4353)%branchCT(0:0))
      call avCT(4353, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(155)%branchCT(0:0))
      call avCT(155, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1891/))

      allocate(vertices(4800)%branchCT(0:0))
      call avCT(4800, 0, 1, 1, 0, VSV0, (/0, 3/), (/nGC_1938/))

      allocate(vertices(952)%branchCT(0:0))
      call avCT(952, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1915/))

      allocate(vertices(4980)%branchCT(0:0))
      call avCT(4980, 0, 13, 1, 0, SV0, (/0, 2/), (/nGC_1995/))

      allocate(vertices(4981)%branchCT(0:0))
      call avCT(4981, 0, 13, 1, 0, FaF0, (/0, 2/), (/nGC_1996, nGC_1997,       &
      nGC_1997, nGC_1998/))

      allocate(vertices(2791)%branchCT(0:0))
      call avCT(2791, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(4982)%branchCT(0:0))
      call avCT(4982, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1999/))

      allocate(vertices(160)%branchCT(0:0))
      call avCT(160, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1879/))

      allocate(vertices(161)%branchCT(0:0))
      call avCT(161, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1910/))

      allocate(vertices(3910)%branchCT(0:0))
      call avCT(3910, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1638/))

      allocate(vertices(2535)%branchCT(0:0))
      call avCT(2535, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1988/))

      allocate(vertices(4707)%branchCT(0:0))
      call avCT(4707, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_2000/))

      allocate(vertices(4539)%branchCT(0:0))
      call avCT(4539, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(2538)%branchCT(0:0))
      call avCT(2538, 0, 1, 1, 0, SFFa2, (/0, 3/), (/nGC_1982/))

      allocate(vertices(405)%branchCT(0:0))
      call avCT(405, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1900/))

      allocate(vertices(2543)%branchCT(0:1))
      call avCT(2543, 0, 18, 1, 0, FaFS0, (/0, 3/), (/nGC_1978, nGC_1980/))

      call avCT(2543, 1, 18, 1, 0, FaFS0, (/2, 1/), (/nGC_1979, nGC_1981/))

      allocate(vertices(1184)%branchCT(0:0))
      call avCT(1184, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1884/))

      allocate(vertices(4983)%branchCT(0:1))
      call avCT(4983, 0, 14, 1, 0, FFa0, (/0, 2/), (/nGC_2001, nGC_2003,       &
      nGC_2003, nGC_2005/))

      call avCT(4983, 1, 14, 1, 0, FFa0, (/2, 0/), (/nGC_2002, nGC_2004,       &
      nGC_2004, nGC_2006/))

      allocate(vertices(4984)%branchCT(0:0))
      call avCT(4984, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1999/))

      allocate(vertices(4985)%branchCT(0:0))
      call avCT(4985, 0, 1, 1, 0, FFaV1, (/0, 3/), (/nGC_2007/))

      allocate(vertices(1993)%branchCT(0:0))
      call avCT(1993, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1657/))

      allocate(vertices(170)%branchCT(0:0))
      call avCT(170, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1905/))

      allocate(vertices(2548)%branchCT(0:0))
      call avCT(2548, 0, 1, 1, 0, FaFS0, (/0, 3/), (/nGC_2008, nGC_2009/))

      allocate(vertices(2549)%branchCT(0:0))
      call avCT(2549, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1891/))

      allocate(vertices(171)%branchCT(0:0))
      call avCT(171, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1883/))

      allocate(vertices(172)%branchCT(0:0))
      call avCT(172, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1884/))

      allocate(vertices(2552)%branchCT(0:0))
      call avCT(2552, 0, 1, 1, 0, FaVF1, (/0, 3/), (/nGC_2010/))

      allocate(vertices(4767)%branchCT(0:0))
      call avCT(4767, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1884/))

      allocate(vertices(173)%branchCT(0:1))
      call avCT(173, 0, 19, 1, 0, FSFa0, (/0, 3/), (/nGC_2011, nGC_2011/))

      call avCT(173, 1, 19, 1, 0, FSFa0, (/2, 1/), (/nGC_2012, nGC_2012/))

      allocate(vertices(2554)%branchCT(0:0))
      call avCT(2554, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1933/))

      allocate(vertices(1076)%branchCT(0:0))
      call avCT(1076, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_1954/))

      allocate(vertices(3788)%branchCT(0:0))
      call avCT(3788, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1915/))

      allocate(vertices(407)%branchCT(0:0))
      call avCT(407, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1891/))

      allocate(vertices(2454)%branchCT(0:0))
      call avCT(2454, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1656/))

      allocate(vertices(3927)%branchCT(0:0))
      call avCT(3927, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1910/))

      allocate(vertices(177)%branchCT(0:0))
      call avCT(177, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(178)%branchCT(0:3))
      call avCT(178, 0, 52, 4, 0, VFaF1, (/1, 2/), (/nGC_2014, nGC_2016/))

      call avCT(178, 1, 52, 4, 0, VFaF1, (/3, 0/), (/nGC_2013, nGC_2015/))

      call avCT(178, 2, 53, 5, 0, VFaF1, (/1, 2/), (/nGC_2014, nGC_2016/))

      call avCT(178, 3, 53, 5, 0, VFaF1, (/3, 0/), (/nGC_2013, nGC_2015/))

      allocate(vertices(179)%branchCT(0:0))
      call avCT(179, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1657/))

      allocate(vertices(2561)%branchCT(0:0))
      call avCT(2561, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1937/))

      allocate(vertices(3223)%branchCT(0:0))
      call avCT(3223, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_2017/))

      allocate(vertices(1125)%branchCT(0:0))
      call avCT(1125, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1893/))

      allocate(vertices(181)%branchCT(0:1))
      call avCT(181, 0, 18, 1, 0, FaFS0, (/0, 3/), (/nGC_1980, nGC_1978/))

      call avCT(181, 1, 18, 1, 0, FaFS0, (/2, 1/), (/nGC_1981, nGC_1979/))

      allocate(vertices(4866)%branchCT(0:0))
      call avCT(4866, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1631/))

      allocate(vertices(183)%branchCT(0:0))
      call avCT(183, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_2018/))

      allocate(vertices(2565)%branchCT(0:0))
      call avCT(2565, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1656/))

      allocate(vertices(1145)%branchCT(0:0))
      call avCT(1145, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2019/))

      allocate(vertices(186)%branchCT(0:0))
      call avCT(186, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1883/))

      allocate(vertices(187)%branchCT(0:0))
      call avCT(187, 0, 1, 1, 0, SVV0, (/0, 3/), (/nGC_1939/))

      allocate(vertices(1174)%branchCT(0:0))
      call avCT(1174, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1891/))

      allocate(vertices(4109)%branchCT(0:0))
      call avCT(4109, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1930/))

      allocate(vertices(4986)%branchCT(0:1))
      call avCT(4986, 0, 124, 1, 0, FaF0, (/0, 2/), (/nGC_2020, nGC_2022,      &
      nGC_2022, nGC_2024/))

      call avCT(4986, 1, 124, 1, 0, FaF0, (/2, 0/), (/nGC_2021, nGC_2023,      &
      nGC_2023, nGC_2025/))

      allocate(vertices(4910)%branchCT(0:0))
      call avCT(4910, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1883/))

      allocate(vertices(189)%branchCT(0:0))
      call avCT(189, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1949/))

      allocate(vertices(190)%branchCT(0:0))
      call avCT(190, 0, 1, 1, 0, SFFa0, (/0, 3/), (/nGC_2026, nGC_2027/))

      allocate(vertices(2575)%branchCT(0:0))
      call avCT(2575, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2028/))

      allocate(vertices(2576)%branchCT(0:1))
      call avCT(2576, 0, 19, 1, 0, FSFa0, (/0, 3/), (/nGC_2029, nGC_2029/))

      call avCT(2576, 1, 19, 1, 0, FSFa0, (/2, 1/), (/nGC_2030, nGC_2030/))

      allocate(vertices(2574)%branchCT(0:0))
      call avCT(2574, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(4987)%branchCT(0:0))
      call avCT(4987, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2031/))

      allocate(vertices(2577)%branchCT(0:0))
      call avCT(2577, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2032/))

      allocate(vertices(4988)%branchCT(0:0))
      call avCT(4988, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(4989)%branchCT(0:0))
      call avCT(4989, 0, 13, 1, 0, FFa0, (/0, 2/), (/nGC_1996, nGC_1997,       &
      nGC_1997, nGC_1998/))

      allocate(vertices(1595)%branchCT(0:0))
      call avCT(1595, 0, 1, 1, 0, FFaV1, (/0, 3/), (/nGC_2033/))

      allocate(vertices(2580)%branchCT(0:0))
      call avCT(2580, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1655/))

      allocate(vertices(1920)%branchCT(0:0))
      call avCT(1920, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_1929/))

      allocate(vertices(3662)%branchCT(0:0))
      call avCT(3662, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2034/))

      allocate(vertices(2802)%branchCT(0:0))
      call avCT(2802, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1907/))

      allocate(vertices(2586)%branchCT(0:0))
      call avCT(2586, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1879/))

      allocate(vertices(3906)%branchCT(0:0))
      call avCT(3906, 0, 1, 1, 0, FaSF0, (/0, 3/), (/nGC_2008, nGC_2009/))

      allocate(vertices(2587)%branchCT(0:0))
      call avCT(2587, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1969/))

      allocate(vertices(2588)%branchCT(0:1))
      call avCT(2588, 0, 18, 1, 0, FaFV0, (/0, 3/), (/nGC_2035, nGC_2037/))

      call avCT(2588, 1, 18, 1, 0, FaFV0, (/2, 1/), (/nGC_2036, nGC_2038/))

      allocate(vertices(2589)%branchCT(0:0))
      call avCT(2589, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1884/))

      allocate(vertices(4990)%branchCT(0:0))
      call avCT(4990, 0, 13, 1, 0, VV1, (/0, 2/), (/nGC_2039, nGC_2040,        &
      nGC_2041/))

      allocate(vertices(4373)%branchCT(0:0))
      call avCT(4373, 0, 1, 1, 0, FaFS1, (/0, 3/), (/nGC_1982/))

      allocate(vertices(3531)%branchCT(0:0))
      call avCT(3531, 0, 1, 1, 0, VUUa0, (/0, 3/), (/nGC_2042/))

      allocate(vertices(205)%branchCT(0:0))
      call avCT(205, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1631/))

      allocate(vertices(209)%branchCT(0:0))
      call avCT(209, 0, 1, 1, 0, FVFa0, (/0, 3/), (/nGC_2043, nGC_2044/))

      allocate(vertices(3628)%branchCT(0:3))
      call avCT(3628, 0, 54, 4, 0, VFFa1, (/1, 2/), (/nGC_2046, nGC_2048/))

      call avCT(3628, 1, 54, 4, 0, VFFa1, (/3, 0/), (/nGC_2045, nGC_2047/))

      call avCT(3628, 2, 55, 5, 0, VFFa1, (/1, 2/), (/nGC_2046, nGC_2048/))

      call avCT(3628, 3, 55, 5, 0, VFFa1, (/3, 0/), (/nGC_2045, nGC_2047/))

      allocate(vertices(210)%branchCT(0:0))
      call avCT(210, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1902/))

      allocate(vertices(211)%branchCT(0:0))
      call avCT(211, 0, 1, 1, 0, USUa0, (/0, 3/), (/nGC_1671/))

      allocate(vertices(212)%branchCT(0:0))
      call avCT(212, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1949/))

      allocate(vertices(2594)%branchCT(0:0))
      call avCT(2594, 0, 1, 1, 0, USUa0, (/0, 3/), (/nGC_1671/))

      allocate(vertices(2595)%branchCT(0:0))
      call avCT(2595, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1883/))

      allocate(vertices(412)%branchCT(0:0))
      call avCT(412, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1976/))

      allocate(vertices(216)%branchCT(0:0))
      call avCT(216, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1883/))

      allocate(vertices(217)%branchCT(0:0))
      call avCT(217, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_2049/))

      allocate(vertices(40)%branchCT(0:0))
      call avCT(40, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1903/))

      allocate(vertices(4991)%branchCT(0:0))
      call avCT(4991, 0, 13, 1, 0, SV0, (/0, 2/), (/nGC_2050/))

      allocate(vertices(2496)%branchCT(0:0))
      call avCT(2496, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1969/))

      allocate(vertices(2599)%branchCT(0:0))
      call avCT(2599, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1903/))

      allocate(vertices(3389)%branchCT(0:0))
      call avCT(3389, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1902/))

      allocate(vertices(2600)%branchCT(0:0))
      call avCT(2600, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1883/))

      allocate(vertices(220)%branchCT(0:0))
      call avCT(220, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_2051/))

      allocate(vertices(1410)%branchCT(0:0))
      call avCT(1410, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1983/))

      allocate(vertices(2602)%branchCT(0:0))
      call avCT(2602, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1893/))

      allocate(vertices(42)%branchCT(0:0))
      call avCT(42, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1921/))

      allocate(vertices(2605)%branchCT(0:0))
      call avCT(2605, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1879/))

      allocate(vertices(224)%branchCT(0:0))
      call avCT(224, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(1442)%branchCT(0:0))
      call avCT(1442, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1949/))

      allocate(vertices(227)%branchCT(0:0))
      call avCT(227, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1883/))

      allocate(vertices(4217)%branchCT(0:0))
      call avCT(4217, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1922/))

      allocate(vertices(2608)%branchCT(0:0))
      call avCT(2608, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_2052, nGC_2053,       &
      nGC_2053/))

      allocate(vertices(229)%branchCT(0:0))
      call avCT(229, 0, 1, 1, 0, UaUV0, (/0, 3/), (/nGC_2054/))

      allocate(vertices(20)%branchCT(0:0))
      call avCT(20, 0, 1, 1, 0, VSS0, (/0, 3/), (/nGC_2055/))

      allocate(vertices(2611)%branchCT(0:0))
      call avCT(2611, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1905/))

      allocate(vertices(2612)%branchCT(0:0))
      call avCT(2612, 0, 1, 1, 0, SFaF1, (/0, 3/), (/nGC_1982/))

      allocate(vertices(4719)%branchCT(0:0))
      call avCT(4719, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1983/))

      allocate(vertices(1485)%branchCT(0:0))
      call avCT(1485, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1910/))

      allocate(vertices(1501)%branchCT(0:0))
      call avCT(1501, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1976/))

      allocate(vertices(4992)%branchCT(0:0))
      call avCT(4992, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1940/))

      allocate(vertices(2618)%branchCT(0:0))
      call avCT(2618, 0, 1, 1, 0, FaFV1, (/0, 3/), (/nGC_1994/))

      allocate(vertices(238)%branchCT(0:0))
      call avCT(238, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1883/))

      allocate(vertices(239)%branchCT(0:0))
      call avCT(239, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1903/))

      allocate(vertices(240)%branchCT(0:0))
      call avCT(240, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1969/))

      allocate(vertices(2620)%branchCT(0:1))
      call avCT(2620, 0, 10, 1, 0, FFaV1, (/0, 3/), (/nGC_2056/))

      call avCT(2620, 1, 10, 1, 0, FFaV1, (/2, 1/), (/nGC_2057/))

      allocate(vertices(2621)%branchCT(0:0))
      call avCT(2621, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1891/))

      allocate(vertices(242)%branchCT(0:0))
      call avCT(242, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1969/))

      allocate(vertices(243)%branchCT(0:0))
      call avCT(243, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_1924, nGC_1925,        &
      nGC_1924/))

      allocate(vertices(244)%branchCT(0:0))
      call avCT(244, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1884/))

      allocate(vertices(4560)%branchCT(0:0))
      call avCT(4560, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1937/))

      allocate(vertices(2399)%branchCT(0:0))
      call avCT(2399, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(2624)%branchCT(0:0))
      call avCT(2624, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1639/))

      allocate(vertices(246)%branchCT(0:0))
      call avCT(246, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1949/))

      allocate(vertices(2371)%branchCT(0:0))
      call avCT(2371, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1631/))

      allocate(vertices(4993)%branchCT(0:0))
      call avCT(4993, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1999/))

      allocate(vertices(248)%branchCT(0:1))
      call avCT(248, 0, 17, 1, 0, FaVF0, (/0, 3/), (/nGC_1984, nGC_1986/))

      call avCT(248, 1, 17, 1, 0, FaVF0, (/2, 1/), (/nGC_1985, nGC_1987/))

      allocate(vertices(667)%branchCT(0:0))
      call avCT(667, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1907/))

      allocate(vertices(2627)%branchCT(0:0))
      call avCT(2627, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1915/))

      allocate(vertices(3670)%branchCT(0:0))
      call avCT(3670, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1631/))

      allocate(vertices(250)%branchCT(0:0))
      call avCT(250, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1905/))

      allocate(vertices(2631)%branchCT(0:1))
      call avCT(2631, 0, 20, 1, 0, SFaF0, (/0, 3/), (/nGC_2058, nGC_2058/))

      call avCT(2631, 1, 20, 1, 0, SFaF0, (/2, 1/), (/nGC_2059, nGC_2059/))

      allocate(vertices(1590)%branchCT(0:0))
      call avCT(1590, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(253)%branchCT(0:1))
      call avCT(253, 0, 19, 1, 0, FVFa0, (/0, 3/), (/nGC_2060, nGC_2062/))

      call avCT(253, 1, 19, 1, 0, FVFa0, (/2, 1/), (/nGC_2061, nGC_2063/))

      allocate(vertices(1598)%branchCT(0:0))
      call avCT(1598, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1891/))

      allocate(vertices(255)%branchCT(0:0))
      call avCT(255, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1655/))

      allocate(vertices(256)%branchCT(0:0))
      call avCT(256, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2064/))

      allocate(vertices(2006)%branchCT(0:0))
      call avCT(2006, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1902/))

      allocate(vertices(258)%branchCT(0:0))
      call avCT(258, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_2053, nGC_2053,        &
      nGC_2052/))

      allocate(vertices(1931)%branchCT(0:0))
      call avCT(1931, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1926/))

      allocate(vertices(2640)%branchCT(0:0))
      call avCT(2640, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1983/))

      allocate(vertices(2642)%branchCT(0:1))
      call avCT(2642, 0, 20, 1, 0, VFaF1, (/0, 3/), (/nGC_1972, nGC_1974/))

      call avCT(2642, 1, 20, 1, 0, VFaF1, (/2, 1/), (/nGC_1973, nGC_1975/))

      allocate(vertices(263)%branchCT(0:0))
      call avCT(263, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1879/))

      allocate(vertices(2883)%branchCT(0:0))
      call avCT(2883, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_2017/))

      allocate(vertices(2645)%branchCT(0:1))
      call avCT(2645, 0, 20, 1, 0, SFaF0, (/0, 3/), (/nGC_2065, nGC_2065/))

      call avCT(2645, 1, 20, 1, 0, SFaF0, (/2, 1/), (/nGC_2066, nGC_2066/))

      allocate(vertices(1897)%branchCT(0:0))
      call avCT(1897, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1632/))

      allocate(vertices(2646)%branchCT(0:1))
      call avCT(2646, 0, 21, 1, 0, VFFa1, (/0, 3/), (/nGC_2067, nGC_2069/))

      call avCT(2646, 1, 21, 1, 0, VFFa1, (/2, 1/), (/nGC_2068, nGC_2070/))

      allocate(vertices(4455)%branchCT(0:0))
      call avCT(4455, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1879/))

      allocate(vertices(2650)%branchCT(0:0))
      call avCT(2650, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1899/))

      allocate(vertices(2651)%branchCT(0:0))
      call avCT(2651, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1969/))

      allocate(vertices(2653)%branchCT(0:0))
      call avCT(2653, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1983/))

      allocate(vertices(268)%branchCT(0:0))
      call avCT(268, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1907/))

      allocate(vertices(269)%branchCT(0:1))
      call avCT(269, 0, 58, 2, 0, UVUa0, (/3, 0/), (/nGC_2071/))

      call avCT(269, 1, 59, 3, 0, UVUa0, (/3, 0/), (/nGC_2071/))

      allocate(vertices(270)%branchCT(0:0))
      call avCT(270, 0, 1, 1, 0, UUaV0, (/0, 3/), (/nGC_2072/))

      allocate(vertices(421)%branchCT(0:0))
      call avCT(421, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1907/))

      allocate(vertices(2660)%branchCT(0:0))
      call avCT(2660, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_2017/))

      allocate(vertices(1565)%branchCT(0:0))
      call avCT(1565, 0, 1, 1, 0, UaVU0, (/0, 3/), (/nGC_2073/))

      allocate(vertices(2817)%branchCT(0:3))
      call avCT(2817, 0, 67, 5, 0, FaVF0, (/1, 2/), (/nGC_2046, nGC_2048/))

      call avCT(2817, 1, 67, 5, 0, FaVF0, (/3, 0/), (/nGC_2045, nGC_2047/))

      call avCT(2817, 2, 66, 4, 0, FaVF0, (/1, 2/), (/nGC_2046, nGC_2048/))

      call avCT(2817, 3, 66, 4, 0, FaVF0, (/3, 0/), (/nGC_2045, nGC_2047/))

      allocate(vertices(274)%branchCT(0:0))
      call avCT(274, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1937/))

      allocate(vertices(275)%branchCT(0:0))
      call avCT(275, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1976/))

      allocate(vertices(2411)%branchCT(0:0))
      call avCT(2411, 0, 1, 1, 0, SFFa0, (/0, 3/), (/nGC_2074, nGC_2074/))

      allocate(vertices(2665)%branchCT(0:0))
      call avCT(2665, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_2075/))

      allocate(vertices(1755)%branchCT(0:0))
      call avCT(1755, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1948/))

      allocate(vertices(1887)%branchCT(0:0))
      call avCT(1887, 0, 1, 1, 0, VFFa1, (/0, 3/), (/nGC_1952, nGC_1953/))

      allocate(vertices(278)%branchCT(0:1))
      call avCT(278, 0, 18, 1, 0, FaFS0, (/0, 3/), (/nGC_2076, nGC_2078/))

      call avCT(278, 1, 18, 1, 0, FaFS0, (/2, 1/), (/nGC_2077, nGC_2079/))

      allocate(vertices(1769)%branchCT(0:0))
      call avCT(1769, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2080/))

      allocate(vertices(2669)%branchCT(0:0))
      call avCT(2669, 0, 1, 1, 0, FVFa0, (/0, 3/), (/nGC_2081, nGC_2082/))

      allocate(vertices(2670)%branchCT(0:0))
      call avCT(2670, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1932/))

      allocate(vertices(2671)%branchCT(0:0))
      call avCT(2671, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1884/))

      allocate(vertices(4192)%branchCT(0:0))
      call avCT(4192, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1949/))

      allocate(vertices(2672)%branchCT(0:0))
      call avCT(2672, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1891/))

      allocate(vertices(2673)%branchCT(0:0))
      call avCT(2673, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2028/))

      allocate(vertices(1344)%branchCT(0:0))
      call avCT(1344, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1902/))

      allocate(vertices(2674)%branchCT(0:0))
      call avCT(2674, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1884/))

      allocate(vertices(4994)%branchCT(0:0))
      call avCT(4994, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(2677)%branchCT(0:5))
      call avCT(2677, 0, 109, 7, 0, VUVUa0, (/4, 0/), (/nGC_2083/))

      call avCT(2677, 1, 108, 7, 0, VUVUa0, (/4, 0/), (/nGC_2083/))

      call avCT(2677, 2, 111, 6, 0, VUVUa0, (/4, 0/), (/nGC_2084/))

      call avCT(2677, 3, 110, 6, 0, VUVUa0, (/4, 0/), (/nGC_2084/))

      call avCT(2677, 4, 107, 7, 0, VUVUa0, (/4, 0/), (/nGC_2083/))

      call avCT(2677, 5, 106, 7, 0, VUVUa0, (/4, 0/), (/nGC_2083/))

      allocate(vertices(2678)%branchCT(0:1))
      call avCT(2678, 0, 21, 1, 0, SFFa0, (/0, 3/), (/nGC_2085, nGC_2087/))

      call avCT(2678, 1, 21, 1, 0, SFFa0, (/2, 1/), (/nGC_2086, nGC_2088/))

      allocate(vertices(288)%branchCT(0:0))
      call avCT(288, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1656/))

      allocate(vertices(289)%branchCT(0:0))
      call avCT(289, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1657/))

      allocate(vertices(291)%branchCT(0:0))
      call avCT(291, 0, 1, 1, 0, VSS0, (/0, 3/), (/nGC_2049/))

      allocate(vertices(292)%branchCT(0:0))
      call avCT(292, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1969/))

      allocate(vertices(2681)%branchCT(0:0))
      call avCT(2681, 0, 1, 1, 0, SFaF0, (/0, 3/), (/nGC_2026, nGC_2027/))

      allocate(vertices(1210)%branchCT(0:0))
      call avCT(1210, 0, 1, 1, 0, FaFV1, (/0, 3/), (/nGC_2033/))

      allocate(vertices(2683)%branchCT(0:1))
      call avCT(2683, 0, 10, 1, 0, FFaV0, (/0, 3/), (/nGC_2035, nGC_2037/))

      call avCT(2683, 1, 10, 1, 0, FFaV0, (/2, 1/), (/nGC_2036, nGC_2038/))

      allocate(vertices(2684)%branchCT(0:0))
      call avCT(2684, 0, 1, 1, 0, SUaU0, (/0, 3/), (/nGC_2089/))

      allocate(vertices(4995)%branchCT(0:1))
      call avCT(4995, 0, 14, 1, 0, FFa0, (/0, 2/), (/nGC_2020, nGC_2022,       &
      nGC_2022, nGC_2024/))

      call avCT(4995, 1, 14, 1, 0, FFa0, (/2, 0/), (/nGC_2021, nGC_2023,       &
      nGC_2023, nGC_2025/))

      allocate(vertices(4667)%branchCT(0:0))
      call avCT(4667, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1905/))

      allocate(vertices(2687)%branchCT(0:0))
      call avCT(2687, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1883/))

      allocate(vertices(297)%branchCT(0:0))
      call avCT(297, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1879/))

      allocate(vertices(1212)%branchCT(0:1))
      call avCT(1212, 0, 20, 1, 0, SFaF0, (/0, 3/), (/nGC_1944, nGC_1944/))

      call avCT(1212, 1, 20, 1, 0, SFaF0, (/2, 1/), (/nGC_1945, nGC_1945/))

      allocate(vertices(3666)%branchCT(0:0))
      call avCT(3666, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1900/))

      allocate(vertices(2691)%branchCT(0:0))
      call avCT(2691, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_2090/))

      allocate(vertices(271)%branchCT(0:0))
      call avCT(271, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2091/))

      allocate(vertices(2692)%branchCT(0:0))
      call avCT(2692, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1949/))

      allocate(vertices(2693)%branchCT(0:0))
      call avCT(2693, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1922/))

      allocate(vertices(301)%branchCT(0:0))
      call avCT(301, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1884/))

      allocate(vertices(302)%branchCT(0:5))
      call avCT(302, 0, 123, 6, 0, VUaUV0, (/4, 0/), (/nGC_2084/))

      call avCT(302, 1, 121, 7, 0, VUaUV0, (/4, 0/), (/nGC_2083/))

      call avCT(302, 2, 119, 7, 0, VUaUV0, (/4, 0/), (/nGC_2083/))

      call avCT(302, 3, 120, 7, 0, VUaUV0, (/4, 0/), (/nGC_2083/))

      call avCT(302, 4, 118, 7, 0, VUaUV0, (/4, 0/), (/nGC_2083/))

      call avCT(302, 5, 122, 6, 0, VUaUV0, (/4, 0/), (/nGC_2084/))

      allocate(vertices(2695)%branchCT(0:0))
      call avCT(2695, 0, 1, 1, 0, VVS0, (/0, 3/), (/nGC_1938/))

      allocate(vertices(4996)%branchCT(0:0))
      call avCT(4996, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(303)%branchCT(0:0))
      call avCT(303, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1902/))

      allocate(vertices(304)%branchCT(0:0))
      call avCT(304, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1969/))

      allocate(vertices(1977)%branchCT(0:0))
      call avCT(1977, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2092/))

      allocate(vertices(2700)%branchCT(0:0))
      call avCT(2700, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(1990)%branchCT(0:0))
      call avCT(1990, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1884/))

      allocate(vertices(1215)%branchCT(0:0))
      call avCT(1215, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1910/))

      allocate(vertices(309)%branchCT(0:0))
      call avCT(309, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1879/))

      allocate(vertices(311)%branchCT(0:0))
      call avCT(311, 0, 1, 1, 0, FFaV0, (/0, 3/), (/nGC_2093, nGC_2094/))

      allocate(vertices(312)%branchCT(0:0))
      call avCT(312, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2095/))

      allocate(vertices(2706)%branchCT(0:0))
      call avCT(2706, 0, 1, 1, 0, FaFV0, (/0, 3/), (/nGC_1952, nGC_1953/))

      allocate(vertices(2826)%branchCT(0:0))
      call avCT(2826, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_2000/))

      allocate(vertices(2142)%branchCT(0:0))
      call avCT(2142, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1907/))

      allocate(vertices(2039)%branchCT(0:0))
      call avCT(2039, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(2045)%branchCT(0:0))
      call avCT(2045, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(3557)%branchCT(0:0))
      call avCT(3557, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1937/))

      allocate(vertices(2055)%branchCT(0:0))
      call avCT(2055, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1883/))

      allocate(vertices(2712)%branchCT(0:1))
      call avCT(2712, 0, 17, 1, 0, FaSF0, (/0, 3/), (/nGC_1916, nGC_1918/))

      call avCT(2712, 1, 17, 1, 0, FaSF0, (/2, 1/), (/nGC_1917, nGC_1919/))

      allocate(vertices(2713)%branchCT(0:0))
      call avCT(2713, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1891/))

      allocate(vertices(4546)%branchCT(0:0))
      call avCT(4546, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1910/))

      allocate(vertices(3971)%branchCT(0:0))
      call avCT(3971, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1988/))

      allocate(vertices(322)%branchCT(0:0))
      call avCT(322, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1988/))

      allocate(vertices(2090)%branchCT(0:0))
      call avCT(2090, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_2053, nGC_2052,       &
      nGC_2053/))

      allocate(vertices(4850)%branchCT(0:1))
      call avCT(4850, 0, 20, 1, 0, VFaF1, (/0, 3/), (/nGC_1984, nGC_1986/))

      call avCT(4850, 1, 20, 1, 0, VFaF1, (/2, 1/), (/nGC_1985, nGC_1987/))

      allocate(vertices(326)%branchCT(0:0))
      call avCT(326, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1893/))

      allocate(vertices(429)%branchCT(0:0))
      call avCT(429, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1893/))

      allocate(vertices(261)%branchCT(0:0))
      call avCT(261, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1902/))

      allocate(vertices(2723)%branchCT(0:1))
      call avCT(2723, 0, 18, 1, 0, FaFV0, (/0, 3/), (/nGC_2096, nGC_2098/))

      call avCT(2723, 1, 18, 1, 0, FaFV0, (/2, 1/), (/nGC_2097, nGC_2099/))

      allocate(vertices(2134)%branchCT(0:0))
      call avCT(2134, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1884/))

      allocate(vertices(331)%branchCT(0:0))
      call avCT(331, 0, 1, 1, 0, FFaS1, (/0, 3/), (/nGC_1904/))

      allocate(vertices(2139)%branchCT(0:0))
      call avCT(2139, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(821)%branchCT(0:0))
      call avCT(821, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(2150)%branchCT(0:0))
      call avCT(2150, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1879/))

      allocate(vertices(2728)%branchCT(0:0))
      call avCT(2728, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(4997)%branchCT(0:0))
      call avCT(4997, 0, 13, 1, 0, VV1, (/0, 2/), (/nGC_2100, nGC_2101,        &
      nGC_2102/))

      allocate(vertices(335)%branchCT(0:0))
      call avCT(335, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2092/))

      allocate(vertices(2730)%branchCT(0:0))
      call avCT(2730, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1933/))

      allocate(vertices(4998)%branchCT(0:0))
      call avCT(4998, 0, 1, 1, 0, FVFa1, (/0, 3/), (/nGC_2007/))

      allocate(vertices(2703)%branchCT(0:0))
      call avCT(2703, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2103/))

      allocate(vertices(340)%branchCT(0:0))
      call avCT(340, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1969/))

      allocate(vertices(2733)%branchCT(0:1))
      call avCT(2733, 0, 18, 1, 0, FaFV0, (/0, 3/), (/nGC_2104, nGC_2106/))

      call avCT(2733, 1, 18, 1, 0, FaFV0, (/2, 1/), (/nGC_2105, nGC_2107/))

      allocate(vertices(342)%branchCT(0:0))
      call avCT(342, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1655/))

      allocate(vertices(433)%branchCT(0:0))
      call avCT(433, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1902/))

      allocate(vertices(346)%branchCT(0:0))
      call avCT(346, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1907/))

      allocate(vertices(347)%branchCT(0:0))
      call avCT(347, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1878/))

      allocate(vertices(3688)%branchCT(0:0))
      call avCT(3688, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(351)%branchCT(0:0))
      call avCT(351, 0, 1, 1, 0, FFaS0, (/0, 3/), (/nGC_2108, nGC_2109/))

      allocate(vertices(352)%branchCT(0:0))
      call avCT(352, 0, 1, 1, 0, FaFV1, (/0, 3/), (/nGC_1931/))

      allocate(vertices(2022)%branchCT(0:0))
      call avCT(2022, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2092/))

      allocate(vertices(354)%branchCT(0:0))
      call avCT(354, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1656/))

      allocate(vertices(2835)%branchCT(0:0))
      call avCT(2835, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1632/))

      allocate(vertices(4999)%branchCT(0:0))
      call avCT(4999, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_2110/))

      allocate(vertices(2739)%branchCT(0:0))
      call avCT(2739, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_1954/))

      allocate(vertices(56)%branchCT(0:0))
      call avCT(56, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2091/))

      allocate(vertices(357)%branchCT(0:0))
      call avCT(357, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1983/))

      allocate(vertices(1078)%branchCT(0:0))
      call avCT(1078, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1930/))

      allocate(vertices(2744)%branchCT(0:0))
      call avCT(2744, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1910/))

      allocate(vertices(362)%branchCT(0:0))
      call avCT(362, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1634/))

      allocate(vertices(1345)%branchCT(0:0))
      call avCT(1345, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1915/))

      allocate(vertices(363)%branchCT(0:0))
      call avCT(363, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(364)%branchCT(0:0))
      call avCT(364, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1884/))

      allocate(vertices(2304)%branchCT(0:0))
      call avCT(2304, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1900/))

      allocate(vertices(1866)%branchCT(0:0))
      call avCT(1866, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_1954/))

      allocate(vertices(2702)%branchCT(0:0))
      call avCT(2702, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1969/))

      allocate(vertices(2317)%branchCT(0:0))
      call avCT(2317, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1657/))

      allocate(vertices(2753)%branchCT(0:0))
      call avCT(2753, 0, 1, 1, 0, UUaV0, (/0, 3/), (/nGC_2111/))

      allocate(vertices(2755)%branchCT(0:1))
      call avCT(2755, 0, 10, 1, 0, FFaV0, (/0, 3/), (/nGC_1911, nGC_1913/))

      call avCT(2755, 1, 10, 1, 0, FFaV0, (/2, 1/), (/nGC_1912, nGC_1914/))

      allocate(vertices(2756)%branchCT(0:0))
      call avCT(2756, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1907/))

      allocate(vertices(370)%branchCT(0:0))
      call avCT(370, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1631/))

      allocate(vertices(371)%branchCT(0:1))
      call avCT(371, 0, 19, 1, 0, FVFa0, (/0, 3/), (/nGC_2035, nGC_2037/))

      call avCT(371, 1, 19, 1, 0, FVFa0, (/2, 1/), (/nGC_2036, nGC_2038/))

      allocate(vertices(3692)%branchCT(0:0))
      call avCT(3692, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1983/))

      allocate(vertices(372)%branchCT(0:0))
      call avCT(372, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1656/))

      allocate(vertices(2760)%branchCT(0:0))
      call avCT(2760, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2080/))

      allocate(vertices(374)%branchCT(0:0))
      call avCT(374, 0, 1, 1, 0, VUUa0, (/0, 3/), (/nGC_2111/))

      allocate(vertices(2761)%branchCT(0:0))
      call avCT(2761, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1655/))

      allocate(vertices(376)%branchCT(0:0))
      call avCT(376, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1907/))

      allocate(vertices(2763)%branchCT(0:0))
      call avCT(2763, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1657/))

      allocate(vertices(2764)%branchCT(0:0))
      call avCT(2764, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1655/))

      allocate(vertices(378)%branchCT(0:1))
      call avCT(378, 0, 20, 1, 0, SFaF0, (/0, 3/), (/nGC_2112, nGC_2114/))

      call avCT(378, 1, 20, 1, 0, SFaF0, (/2, 1/), (/nGC_2113, nGC_2115/))

      allocate(vertices(4202)%branchCT(0:0))
      call avCT(4202, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1926/))

      allocate(vertices(2027)%branchCT(0:0))
      call avCT(2027, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2091/))

      allocate(vertices(379)%branchCT(0:0))
      call avCT(379, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2028/))

      allocate(vertices(964)%branchCT(0:0))
      call avCT(964, 0, 1, 1, 0, UUaS0, (/0, 3/), (/nGC_1660/))

      allocate(vertices(5000)%branchCT(0:0))
      call avCT(5000, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(2768)%branchCT(0:1))
      call avCT(2768, 0, 21, 1, 0, VFFa1, (/0, 3/), (/nGC_2104, nGC_2106/))

      call avCT(2768, 1, 21, 1, 0, VFFa1, (/2, 1/), (/nGC_2105, nGC_2107/))

      allocate(vertices(2409)%branchCT(0:0))
      call avCT(2409, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1905/))

      allocate(vertices(2420)%branchCT(0:0))
      call avCT(2420, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1632/))

      allocate(vertices(2429)%branchCT(0:0))
      call avCT(2429, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2116/))

      allocate(vertices(5001)%branchCT(0:0))
      call avCT(5001, 0, 1, 1, 0, VFFa0, (/0, 3/), (/nGC_2007/))

      allocate(vertices(387)%branchCT(0:0))
      call avCT(387, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1969/))

      allocate(vertices(2773)%branchCT(0:0))
      call avCT(2773, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1903/))

      allocate(vertices(389)%branchCT(0:0))
      call avCT(389, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1969/))

      allocate(vertices(2465)%branchCT(0:0))
      call avCT(2465, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1883/))

      allocate(vertices(1226)%branchCT(0:0))
      call avCT(1226, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1632/))

      allocate(vertices(2778)%branchCT(0:0))
      call avCT(2778, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1930/))

      allocate(vertices(392)%branchCT(0:0))
      call avCT(392, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1891/))

      allocate(vertices(2780)%branchCT(0:0))
      call avCT(2780, 0, 1, 1, 0, FFaS2, (/0, 3/), (/nGC_2117/))

      allocate(vertices(2781)%branchCT(0:0))
      call avCT(2781, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1903/))

      allocate(vertices(2782)%branchCT(0:1))
      call avCT(2782, 0, 21, 1, 0, SFFa0, (/0, 3/), (/nGC_1962, nGC_1960/))

      call avCT(2782, 1, 21, 1, 0, SFFa0, (/2, 1/), (/nGC_1963, nGC_1961/))

      allocate(vertices(2783)%branchCT(0:0))
      call avCT(2783, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1983/))

      allocate(vertices(2785)%branchCT(0:0))
      call avCT(2785, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(1228)%branchCT(0:0))
      call avCT(1228, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1656/))

      allocate(vertices(2787)%branchCT(0:0))
      call avCT(2787, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1657/))

      allocate(vertices(3472)%branchCT(0:0))
      call avCT(3472, 0, 1, 1, 0, SVV0, (/0, 3/), (/nGC_1939/))

      allocate(vertices(400)%branchCT(0:0))
      call avCT(400, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1883/))

      allocate(vertices(402)%branchCT(0:1))
      call avCT(402, 0, 20, 1, 0, SFaF0, (/0, 3/), (/nGC_2085, nGC_2087/))

      call avCT(402, 1, 20, 1, 0, SFaF0, (/2, 1/), (/nGC_2086, nGC_2088/))

      allocate(vertices(762)%branchCT(0:0))
      call avCT(762, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1969/))

      allocate(vertices(439)%branchCT(0:0))
      call avCT(439, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1656/))

      allocate(vertices(2539)%branchCT(0:0))
      call avCT(2539, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1631/))

      allocate(vertices(5002)%branchCT(0:1))
      call avCT(5002, 0, 16, 8, 0, VV0, (/2, 0/), (/nGC_2118, nGC_2119/))

      call avCT(5002, 1, 15, 1, 0, VV0, (/2, 0/), (/nGC_2118, nGC_2119/))

      allocate(vertices(2797)%branchCT(0:0))
      call avCT(2797, 0, 1, 1, 0, FVFa1, (/0, 3/), (/nGC_1994/))

      allocate(vertices(2798)%branchCT(0:0))
      call avCT(2798, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2034/))

      allocate(vertices(1811)%branchCT(0:0))
      call avCT(1811, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(4311)%branchCT(0:0))
      call avCT(4311, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1893/))

      allocate(vertices(2200)%branchCT(0:0))
      call avCT(2200, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1988/))

      allocate(vertices(2803)%branchCT(0:0))
      call avCT(2803, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1910/))

      allocate(vertices(3698)%branchCT(0:0))
      call avCT(3698, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1949/))

      allocate(vertices(2805)%branchCT(0:0))
      call avCT(2805, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1902/))

      allocate(vertices(413)%branchCT(0:0))
      call avCT(413, 0, 1, 1, 0, FaVF1, (/0, 3/), (/nGC_2033/))

      allocate(vertices(2337)%branchCT(0:0))
      call avCT(2337, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1633/))

      allocate(vertices(2807)%branchCT(0:0))
      call avCT(2807, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1631/))

      allocate(vertices(2808)%branchCT(0:0))
      call avCT(2808, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1883/))

      allocate(vertices(2810)%branchCT(0:0))
      call avCT(2810, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1932/))

      allocate(vertices(4777)%branchCT(0:0))
      call avCT(4777, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1948/))

      allocate(vertices(2811)%branchCT(0:0))
      call avCT(2811, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1907/))

      allocate(vertices(2812)%branchCT(0:1))
      call avCT(2812, 0, 20, 1, 0, VFaF1, (/0, 3/), (/nGC_2104, nGC_2106/))

      call avCT(2812, 1, 20, 1, 0, VFaF1, (/2, 1/), (/nGC_2105, nGC_2107/))

      allocate(vertices(2186)%branchCT(0:0))
      call avCT(2186, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1883/))

      allocate(vertices(2813)%branchCT(0:0))
      call avCT(2813, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1656/))

      allocate(vertices(2814)%branchCT(0:0))
      call avCT(2814, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1969/))

      allocate(vertices(2815)%branchCT(0:0))
      call avCT(2815, 0, 1, 1, 0, VUaU1, (/0, 3/), (/nGC_2120/))

      allocate(vertices(2816)%branchCT(0:0))
      call avCT(2816, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1903/))

      allocate(vertices(422)%branchCT(0:0))
      call avCT(422, 0, 1, 1, 0, VFFa1, (/0, 3/), (/nGC_2121, nGC_2122/))

      allocate(vertices(2818)%branchCT(0:0))
      call avCT(2818, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1969/))

      allocate(vertices(2819)%branchCT(0:1))
      call avCT(2819, 0, 19, 1, 0, FSFa0, (/0, 3/), (/nGC_2112, nGC_2114/))

      call avCT(2819, 1, 19, 1, 0, FSFa0, (/2, 1/), (/nGC_2113, nGC_2115/))

      allocate(vertices(2820)%branchCT(0:0))
      call avCT(2820, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1969/))

      allocate(vertices(2822)%branchCT(0:0))
      call avCT(2822, 0, 1, 1, 0, UVUa0, (/0, 3/), (/nGC_2123/))

      allocate(vertices(5003)%branchCT(0:0))
      call avCT(5003, 0, 1, 1, 0, FFaV1, (/0, 3/), (/nGC_2007/))

      allocate(vertices(4642)%branchCT(0:0))
      call avCT(4642, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1922/))

      allocate(vertices(4593)%branchCT(0:0))
      call avCT(4593, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1893/))

      allocate(vertices(2707)%branchCT(0:0))
      call avCT(2707, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1884/))

      allocate(vertices(2827)%branchCT(0:0))
      call avCT(2827, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1655/))

      allocate(vertices(2828)%branchCT(0:0))
      call avCT(2828, 0, 1, 1, 0, FVFa1, (/0, 3/), (/nGC_2033/))

      allocate(vertices(2440)%branchCT(0:0))
      call avCT(2440, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2124/))

      allocate(vertices(3299)%branchCT(0:0))
      call avCT(3299, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(430)%branchCT(0:0))
      call avCT(430, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1891/))

      allocate(vertices(2729)%branchCT(0:0))
      call avCT(2729, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1910/))

      allocate(vertices(2831)%branchCT(0:0))
      call avCT(2831, 0, 1, 1, 0, VFFa0, (/0, 3/), (/nGC_1994/))

      allocate(vertices(834)%branchCT(0:0))
      call avCT(834, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1891/))

      allocate(vertices(2833)%branchCT(0:0))
      call avCT(2833, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_2125, nGC_2125,       &
      nGC_2126/))

      allocate(vertices(2601)%branchCT(0:0))
      call avCT(2601, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1886/))

      allocate(vertices(2737)%branchCT(0:0))
      call avCT(2737, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2028/))

      allocate(vertices(2836)%branchCT(0:0))
      call avCT(2836, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1637/))

      allocate(vertices(435)%branchCT(0:0))
      call avCT(435, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(1234)%branchCT(0:0))
      call avCT(1234, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1891/))

      allocate(vertices(436)%branchCT(0:0))
      call avCT(436, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(2839)%branchCT(0:0))
      call avCT(2839, 0, 1, 1, 0, FaFS2, (/0, 3/), (/nGC_1982/))

      allocate(vertices(2840)%branchCT(0:0))
      call avCT(2840, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1884/))

      allocate(vertices(2841)%branchCT(0:0))
      call avCT(2841, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1983/))

      allocate(vertices(2092)%branchCT(0:0))
      call avCT(2092, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1905/))

      allocate(vertices(2793)%branchCT(0:0))
      call avCT(2793, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1631/))

      allocate(vertices(1816)%branchCT(0:0))
      call avCT(1816, 0, 1, 1, 0, SUaU0, (/0, 3/), (/nGC_1943/))

      allocate(vertices(2843)%branchCT(0:0))
      call avCT(2843, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1883/))

      allocate(vertices(1236)%branchCT(0:0))
      call avCT(1236, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2034/))

      allocate(vertices(1411)%branchCT(0:0))
      call avCT(1411, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(444)%branchCT(0:0))
      call avCT(444, 0, 1, 1, 0, FVFa0, (/0, 3/), (/nGC_1941, nGC_1942/))

      allocate(vertices(836)%branchCT(0:0))
      call avCT(836, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1900/))

      allocate(vertices(445)%branchCT(0:0))
      call avCT(445, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1930/))

      allocate(vertices(2847)%branchCT(0:0))
      call avCT(2847, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1633/))

      allocate(vertices(1637)%branchCT(0:0))
      call avCT(1637, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1971/))

      allocate(vertices(448)%branchCT(0:0))
      call avCT(448, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_2000/))

      allocate(vertices(2849)%branchCT(0:0))
      call avCT(2849, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_2127/))

      allocate(vertices(450)%branchCT(0:0))
      call avCT(450, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1910/))

      allocate(vertices(3613)%branchCT(0:0))
      call avCT(3613, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1932/))

      allocate(vertices(1237)%branchCT(0:0))
      call avCT(1237, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1915/))

      allocate(vertices(2853)%branchCT(0:0))
      call avCT(2853, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_2053, nGC_2053,       &
      nGC_2052/))

      allocate(vertices(451)%branchCT(0:0))
      call avCT(451, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(452)%branchCT(0:1))
      call avCT(452, 0, 19, 1, 0, FSFa0, (/0, 3/), (/nGC_1908, nGC_1908/))

      call avCT(452, 1, 19, 1, 0, FSFa0, (/2, 1/), (/nGC_1909, nGC_1909/))

      allocate(vertices(3707)%branchCT(0:1))
      call avCT(3707, 0, 17, 1, 0, FaSF0, (/0, 3/), (/nGC_2011, nGC_2011/))

      call avCT(3707, 1, 17, 1, 0, FaSF0, (/2, 1/), (/nGC_2012, nGC_2012/))

      allocate(vertices(2855)%branchCT(0:0))
      call avCT(2855, 0, 1, 1, 0, VUUa0, (/0, 3/), (/nGC_2072/))

      allocate(vertices(454)%branchCT(0:0))
      call avCT(454, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(455)%branchCT(0:0))
      call avCT(455, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2064/))

      allocate(vertices(2857)%branchCT(0:0))
      call avCT(2857, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1655/))

      allocate(vertices(2334)%branchCT(0:0))
      call avCT(2334, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1907/))

      allocate(vertices(2858)%branchCT(0:0))
      call avCT(2858, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1989/))

      allocate(vertices(2111)%branchCT(0:0))
      call avCT(2111, 0, 1, 1, 0, VSS0, (/0, 3/), (/nGC_2128/))

      allocate(vertices(2911)%branchCT(0:0))
      call avCT(2911, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1983/))

      allocate(vertices(2864)%branchCT(0:0))
      call avCT(2864, 0, 1, 1, 0, VSS0, (/0, 3/), (/nGC_2128/))

      allocate(vertices(4602)%branchCT(0:0))
      call avCT(4602, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1949/))

      allocate(vertices(459)%branchCT(0:0))
      call avCT(459, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(460)%branchCT(0:0))
      call avCT(460, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(2940)%branchCT(0:0))
      call avCT(2940, 0, 1, 1, 0, FaFV0, (/0, 3/), (/nGC_2121, nGC_2122/))

      allocate(vertices(463)%branchCT(0:0))
      call avCT(463, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1884/))

      allocate(vertices(2950)%branchCT(0:1))
      call avCT(2950, 0, 20, 1, 0, VFaF0, (/0, 3/), (/nGC_2129/))

      call avCT(2950, 1, 20, 1, 0, VFaF0, (/2, 1/), (/nGC_2130/))

      allocate(vertices(3708)%branchCT(0:0))
      call avCT(3708, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1983/))

      allocate(vertices(2870)%branchCT(0:1))
      call avCT(2870, 0, 56, 2, 0, UaVU0, (/3, 0/), (/nGC_2131/))

      call avCT(2870, 1, 57, 3, 0, UaVU0, (/3, 0/), (/nGC_2131/))

      allocate(vertices(2622)%branchCT(0:0))
      call avCT(2622, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1883/))

      allocate(vertices(2995)%branchCT(0:0))
      call avCT(2995, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1907/))

      allocate(vertices(2880)%branchCT(0:0))
      call avCT(2880, 0, 1, 1, 0, VVV0, (/0, 3/), (/nGC_2132/))

      allocate(vertices(2882)%branchCT(0:0))
      call avCT(2882, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1922/))

      allocate(vertices(3003)%branchCT(0:0))
      call avCT(3003, 0, 1, 1, 0, FVFa1, (/0, 3/), (/nGC_2010/))

      allocate(vertices(3010)%branchCT(0:0))
      call avCT(3010, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1893/))

      allocate(vertices(2040)%branchCT(0:0))
      call avCT(2040, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1969/))

      allocate(vertices(472)%branchCT(0:0))
      call avCT(472, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1879/))

      allocate(vertices(3021)%branchCT(0:0))
      call avCT(3021, 0, 1, 1, 0, SFFa0, (/0, 3/), (/nGC_1970, nGC_1970/))

      allocate(vertices(474)%branchCT(0:0))
      call avCT(474, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2092/))

      allocate(vertices(2887)%branchCT(0:0))
      call avCT(2887, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1907/))

      allocate(vertices(475)%branchCT(0:0))
      call avCT(475, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1884/))

      allocate(vertices(2891)%branchCT(0:0))
      call avCT(2891, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1900/))

      allocate(vertices(2892)%branchCT(0:0))
      call avCT(2892, 0, 1, 1, 0, USUa0, (/0, 3/), (/nGC_1901/))

      allocate(vertices(478)%branchCT(0:0))
      call avCT(478, 0, 1, 1, 0, FaVF0, (/0, 3/), (/nGC_2081, nGC_2082/))

      allocate(vertices(3061)%branchCT(0:0))
      call avCT(3061, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_2017/))

      allocate(vertices(2895)%branchCT(0:1))
      call avCT(2895, 0, 21, 1, 0, VFFa0, (/0, 3/), (/nGC_2133/))

      call avCT(2895, 1, 21, 1, 0, VFFa0, (/2, 1/), (/nGC_2134/))

      allocate(vertices(456)%branchCT(0:0))
      call avCT(456, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1900/))

      allocate(vertices(2898)%branchCT(0:0))
      call avCT(2898, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1983/))

      allocate(vertices(2899)%branchCT(0:1))
      call avCT(2899, 0, 18, 1, 0, FaFV1, (/0, 3/), (/nGC_2133/))

      call avCT(2899, 1, 18, 1, 0, FaFV1, (/2, 1/), (/nGC_2134/))

      allocate(vertices(5004)%branchCT(0:0))
      call avCT(5004, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(2902)%branchCT(0:0))
      call avCT(2902, 0, 1, 1, 0, SFaF2, (/0, 3/), (/nGC_2117/))

      allocate(vertices(2903)%branchCT(0:0))
      call avCT(2903, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1638/))

      allocate(vertices(4700)%branchCT(0:0))
      call avCT(4700, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2103/))

      allocate(vertices(80)%branchCT(0:0))
      call avCT(80, 0, 1, 1, 0, VFFa0, (/0, 3/), (/nGC_2010/))

      allocate(vertices(3105)%branchCT(0:0))
      call avCT(3105, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1983/))

      allocate(vertices(487)%branchCT(0:0))
      call avCT(487, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1883/))

      allocate(vertices(3115)%branchCT(0:0))
      call avCT(3115, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1893/))

      allocate(vertices(3125)%branchCT(0:0))
      call avCT(3125, 0, 1, 1, 0, VFFa0, (/0, 3/), (/nGC_2135/))

      allocate(vertices(2493)%branchCT(0:0))
      call avCT(2493, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1638/))

      allocate(vertices(1879)%branchCT(0:0))
      call avCT(1879, 0, 1, 1, 0, VVS0, (/0, 3/), (/nGC_1939/))

      allocate(vertices(2664)%branchCT(0:1))
      call avCT(2664, 0, 18, 1, 0, FaFS0, (/0, 3/), (/nGC_1916, nGC_1918/))

      call avCT(2664, 1, 18, 1, 0, FaFS0, (/2, 1/), (/nGC_1917, nGC_1919/))

      allocate(vertices(492)%branchCT(0:0))
      call avCT(492, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1883/))

      allocate(vertices(2745)%branchCT(0:0))
      call avCT(2745, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1989/))

      allocate(vertices(3151)%branchCT(0:0))
      call avCT(3151, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(2862)%branchCT(0:0))
      call avCT(2862, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1907/))

      allocate(vertices(494)%branchCT(0:0))
      call avCT(494, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1656/))

      allocate(vertices(2913)%branchCT(0:0))
      call avCT(2913, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1969/))

      allocate(vertices(2914)%branchCT(0:0))
      call avCT(2914, 0, 1, 1, 0, FFaV1, (/0, 3/), (/nGC_1934/))

      allocate(vertices(5005)%branchCT(0:0))
      call avCT(5005, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1999/))

    end subroutine fill_vertices_mdl7
end module vertices_info7
