!******************************************************************************!
!                                                                              !
!    vertices_info9.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   vertices_info9.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-03-16 09:42             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module vertices_info9
  use class_vertices
  use class_couplings
  use class_particles
  use class_ctparameters
  contains
    subroutine fill_vertices_mdl9()
      allocate(vertices(2348)%branchCT(0:1))
      call avCT(2348, 0, 10, 1, 0, FFaV1, (/0, 3/), (/nGC_2133/))

      call avCT(2348, 1, 10, 1, 0, FFaV1, (/2, 1/), (/nGC_2134/))

      allocate(vertices(3590)%branchCT(0:0))
      call avCT(3590, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1656/))

      allocate(vertices(3592)%branchCT(0:0))
      call avCT(3592, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1933/))

      allocate(vertices(2212)%branchCT(0:0))
      call avCT(2212, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1969/))

      allocate(vertices(3596)%branchCT(0:0))
      call avCT(3596, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1632/))

      allocate(vertices(3599)%branchCT(0:0))
      call avCT(3599, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1930/))

      allocate(vertices(2564)%branchCT(0:1))
      call avCT(2564, 0, 21, 1, 0, SFFa0, (/0, 3/), (/nGC_1978, nGC_1980/))

      call avCT(2564, 1, 21, 1, 0, SFFa0, (/2, 1/), (/nGC_1979, nGC_1981/))

      allocate(vertices(962)%branchCT(0:0))
      call avCT(962, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(1135)%branchCT(0:0))
      call avCT(1135, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2028/))

      allocate(vertices(3606)%branchCT(0:0))
      call avCT(3606, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2028/))

      allocate(vertices(1139)%branchCT(0:0))
      call avCT(1139, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1910/))

      allocate(vertices(184)%branchCT(0:0))
      call avCT(184, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2028/))

      allocate(vertices(3608)%branchCT(0:1))
      call avCT(3608, 0, 20, 1, 0, SFaF0, (/0, 3/), (/nGC_1908, nGC_1908/))

      call avCT(3608, 1, 20, 1, 0, SFaF0, (/2, 1/), (/nGC_1909, nGC_1909/))

      allocate(vertices(449)%branchCT(0:0))
      call avCT(449, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_2173/))

      allocate(vertices(1141)%branchCT(0:0))
      call avCT(1141, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1930/))

      allocate(vertices(2604)%branchCT(0:0))
      call avCT(2604, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1883/))

      allocate(vertices(2299)%branchCT(0:0))
      call avCT(2299, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1915/))

      allocate(vertices(1144)%branchCT(0:0))
      call avCT(1144, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1893/))

      allocate(vertices(2954)%branchCT(0:0))
      call avCT(2954, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(3615)%branchCT(0:0))
      call avCT(3615, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(3616)%branchCT(0:0))
      call avCT(3616, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1884/))

      allocate(vertices(3143)%branchCT(0:0))
      call avCT(3143, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1902/))

      allocate(vertices(1147)%branchCT(0:0))
      call avCT(1147, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1893/))

      allocate(vertices(1148)%branchCT(0:0))
      call avCT(1148, 0, 1, 1, 0, FaFV1, (/0, 3/), (/nGC_1994/))

      allocate(vertices(2332)%branchCT(0:0))
      call avCT(2332, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2028/))

      allocate(vertices(1151)%branchCT(0:0))
      call avCT(1151, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1910/))

      allocate(vertices(3117)%branchCT(0:0))
      call avCT(3117, 0, 1, 1, 0, VSS0, (/0, 3/), (/nGC_2141/))

      allocate(vertices(1152)%branchCT(0:0))
      call avCT(1152, 0, 1, 1, 0, UaUV0, (/0, 3/), (/nGC_2207/))

      allocate(vertices(1156)%branchCT(0:0))
      call avCT(1156, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1879/))

      allocate(vertices(3625)%branchCT(0:0))
      call avCT(3625, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(1159)%branchCT(0:0))
      call avCT(1159, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1969/))

      allocate(vertices(794)%branchCT(0:1))
      call avCT(794, 0, 10, 1, 0, FFaV0, (/0, 3/), (/nGC_2186, nGC_2188/))

      call avCT(794, 1, 10, 1, 0, FFaV0, (/2, 1/), (/nGC_2187, nGC_2189/))

      allocate(vertices(1371)%branchCT(0:0))
      call avCT(1371, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1883/))

      allocate(vertices(1160)%branchCT(0:0))
      call avCT(1160, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1920/))

      allocate(vertices(2395)%branchCT(0:0))
      call avCT(2395, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(3632)%branchCT(0:0))
      call avCT(3632, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1988/))

      allocate(vertices(2401)%branchCT(0:0))
      call avCT(2401, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1883/))

      allocate(vertices(2806)%branchCT(0:0))
      call avCT(2806, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1891/))

      allocate(vertices(1225)%branchCT(0:0))
      call avCT(1225, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(5047)%branchCT(0:0))
      call avCT(5047, 0, 1, 1, 0, VSV0, (/0, 3/), (/nGC_2147/))

      allocate(vertices(2328)%branchCT(0:0))
      call avCT(2328, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1937/))

      allocate(vertices(3637)%branchCT(0:0))
      call avCT(3637, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1921/))

      allocate(vertices(5048)%branchCT(0:0))
      call avCT(5048, 0, 13, 1, 0, SS0, (/0, 2/), (/nGC_2208, nGC_2209/))

      allocate(vertices(3922)%branchCT(0:0))
      call avCT(3922, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_2210/))

      allocate(vertices(3639)%branchCT(0:0))
      call avCT(3639, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1891/))

      allocate(vertices(5049)%branchCT(0:0))
      call avCT(5049, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_2110/))

      allocate(vertices(1167)%branchCT(0:0))
      call avCT(1167, 0, 1, 1, 0, VSS0, (/0, 3/), (/nGC_2176/))

      allocate(vertices(1170)%branchCT(0:1))
      call avCT(1170, 0, 17, 1, 0, FaVF1, (/0, 3/), (/nGC_2133/))

      call avCT(1170, 1, 17, 1, 0, FaVF1, (/2, 1/), (/nGC_2134/))

      allocate(vertices(1171)%branchCT(0:0))
      call avCT(1171, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1932/))

      allocate(vertices(2866)%branchCT(0:0))
      call avCT(2866, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1883/))

      allocate(vertices(4556)%branchCT(0:0))
      call avCT(4556, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(3643)%branchCT(0:0))
      call avCT(3643, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(2569)%branchCT(0:0))
      call avCT(2569, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1886/))

      allocate(vertices(1175)%branchCT(0:0))
      call avCT(1175, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_2211/))

      allocate(vertices(5050)%branchCT(0:0))
      call avCT(5050, 0, 13, 1, 0, SS0, (/0, 2/), (/nGC_2212, nGC_2213/))

      allocate(vertices(970)%branchCT(0:0))
      call avCT(970, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1879/))

      allocate(vertices(3647)%branchCT(0:0))
      call avCT(3647, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2092/))

      allocate(vertices(5051)%branchCT(0:0))
      call avCT(5051, 0, 13, 1, 0, VV1, (/0, 2/), (/nGC_2214, nGC_2215,        &
      nGC_2216/))

      allocate(vertices(2571)%branchCT(0:0))
      call avCT(2571, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1920/))

      allocate(vertices(3651)%branchCT(0:0))
      call avCT(3651, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1907/))

      allocate(vertices(1180)%branchCT(0:0))
      call avCT(1180, 0, 1, 1, 0, FaFV1, (/0, 3/), (/nGC_2033/))

      allocate(vertices(1997)%branchCT(0:0))
      call avCT(1997, 0, 1, 1, 0, SFaF1, (/0, 3/), (/nGC_2117/))

      allocate(vertices(2897)%branchCT(0:0))
      call avCT(2897, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1910/))

      allocate(vertices(3653)%branchCT(0:0))
      call avCT(3653, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1907/))

      allocate(vertices(3655)%branchCT(0:0))
      call avCT(3655, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1933/))

      allocate(vertices(876)%branchCT(0:0))
      call avCT(876, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(559)%branchCT(0:0))
      call avCT(559, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1930/))

      allocate(vertices(3657)%branchCT(0:0))
      call avCT(3657, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1900/))

      allocate(vertices(2988)%branchCT(0:1))
      call avCT(2988, 0, 21, 1, 0, VFFa1, (/0, 3/), (/nGC_2150, nGC_2152/))

      call avCT(2988, 1, 21, 1, 0, VFFa1, (/2, 1/), (/nGC_2151, nGC_2153/))

      allocate(vertices(2572)%branchCT(0:0))
      call avCT(2572, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1903/))

      allocate(vertices(1189)%branchCT(0:0))
      call avCT(1189, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2064/))

      allocate(vertices(3660)%branchCT(0:1))
      call avCT(3660, 0, 19, 1, 0, FSFa0, (/0, 3/), (/nGC_1962, nGC_1960/))

      call avCT(3660, 1, 19, 1, 0, FSFa0, (/2, 1/), (/nGC_1963, nGC_1961/))

      allocate(vertices(2170)%branchCT(0:0))
      call avCT(2170, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1932/))

      allocate(vertices(1191)%branchCT(0:0))
      call avCT(1191, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1900/))

      allocate(vertices(3663)%branchCT(0:0))
      call avCT(3663, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1884/))

      allocate(vertices(3664)%branchCT(0:0))
      call avCT(3664, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1633/))

      allocate(vertices(1193)%branchCT(0:1))
      call avCT(1193, 0, 20, 1, 0, VFaF1, (/0, 3/), (/nGC_2035, nGC_2037/))

      call avCT(1193, 1, 20, 1, 0, VFaF1, (/2, 1/), (/nGC_2036, nGC_2038/))

      allocate(vertices(1194)%branchCT(0:0))
      call avCT(1194, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_2017/))

      allocate(vertices(4468)%branchCT(0:0))
      call avCT(4468, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1976/))

      allocate(vertices(3121)%branchCT(0:0))
      call avCT(3121, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1631/))

      allocate(vertices(2402)%branchCT(0:0))
      call avCT(2402, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1656/))

      allocate(vertices(2610)%branchCT(0:0))
      call avCT(2610, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1969/))

      allocate(vertices(1198)%branchCT(0:0))
      call avCT(1198, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1969/))

      allocate(vertices(1200)%branchCT(0:0))
      call avCT(1200, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1933/))

      allocate(vertices(2242)%branchCT(0:0))
      call avCT(2242, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1891/))

      allocate(vertices(1201)%branchCT(0:0))
      call avCT(1201, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_2000/))

      allocate(vertices(1202)%branchCT(0:0))
      call avCT(1202, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1657/))

      allocate(vertices(2638)%branchCT(0:0))
      call avCT(2638, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1886/))

      allocate(vertices(3318)%branchCT(0:0))
      call avCT(3318, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1638/))

      allocate(vertices(3672)%branchCT(0:0))
      call avCT(3672, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2028/))

      allocate(vertices(218)%branchCT(0:0))
      call avCT(218, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(1205)%branchCT(0:0))
      call avCT(1205, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1893/))

      allocate(vertices(1206)%branchCT(0:0))
      call avCT(1206, 0, 1, 1, 0, SUUa0, (/0, 3/), (/nGC_1660/))

      allocate(vertices(2172)%branchCT(0:0))
      call avCT(2172, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2095/))

      allocate(vertices(3675)%branchCT(0:0))
      call avCT(3675, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1883/))

      allocate(vertices(5052)%branchCT(0:0))
      call avCT(5052, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_2206/))

      allocate(vertices(4758)%branchCT(0:0))
      call avCT(4758, 0, 1, 1, 0, UaUS0, (/0, 3/), (/nGC_1901/))

      allocate(vertices(3678)%branchCT(0:0))
      call avCT(3678, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_2017/))

      allocate(vertices(2682)%branchCT(0:0))
      call avCT(2682, 0, 1, 1, 0, FSFa1, (/0, 3/), (/nGC_1982/))

      allocate(vertices(1381)%branchCT(0:0))
      call avCT(1381, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1910/))

      allocate(vertices(1668)%branchCT(0:0))
      call avCT(1668, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1949/))

      allocate(vertices(1211)%branchCT(0:0))
      call avCT(1211, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1899/))

      allocate(vertices(3681)%branchCT(0:1))
      call avCT(3681, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_2168, nGC_2168/))

      call avCT(3681, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_2169, nGC_2169/))

      allocate(vertices(3682)%branchCT(0:0))
      call avCT(3682, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(3552)%branchCT(0:0))
      call avCT(3552, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2091/))

      allocate(vertices(3684)%branchCT(0:0))
      call avCT(3684, 0, 1, 1, 0, UaSU0, (/0, 3/), (/nGC_1671/))

      allocate(vertices(2731)%branchCT(0:0))
      call avCT(2731, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2103/))

      allocate(vertices(193)%branchCT(0:0))
      call avCT(193, 0, 1, 1, 0, UaSU0, (/0, 3/), (/nGC_1671/))

      allocate(vertices(2740)%branchCT(0:0))
      call avCT(2740, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1899/))

      allocate(vertices(1221)%branchCT(0:0))
      call avCT(1221, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1905/))

      allocate(vertices(1222)%branchCT(0:0))
      call avCT(1222, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1632/))

      allocate(vertices(1223)%branchCT(0:0))
      call avCT(1223, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2116/))

      allocate(vertices(4677)%branchCT(0:0))
      call avCT(4677, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1930/))

      allocate(vertices(3693)%branchCT(0:0))
      call avCT(3693, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1657/))

      allocate(vertices(2777)%branchCT(0:0))
      call avCT(2777, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1891/))

      allocate(vertices(5053)%branchCT(0:0))
      call avCT(5053, 0, 1, 1, 0, VFFa0, (/0, 3/), (/nGC_2007/))

      allocate(vertices(3860)%branchCT(0:0))
      call avCT(3860, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1655/))

      allocate(vertices(2786)%branchCT(0:0))
      call avCT(2786, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1905/))

      allocate(vertices(3695)%branchCT(0:0))
      call avCT(3695, 0, 1, 1, 0, FaSF0, (/0, 3/), (/nGC_1970, nGC_1970/))

      allocate(vertices(3696)%branchCT(0:1))
      call avCT(3696, 0, 20, 1, 0, VFaF1, (/0, 3/), (/nGC_2060, nGC_2062/))

      call avCT(3696, 1, 20, 1, 0, VFaF1, (/2, 1/), (/nGC_2061, nGC_2063/))

      allocate(vertices(3494)%branchCT(0:0))
      call avCT(3494, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1884/))

      allocate(vertices(5054)%branchCT(0:0))
      call avCT(5054, 0, 13, 1, 0, FaF0, (/0, 2/), (/nGC_2217, nGC_2218,       &
      nGC_2218, nGC_2219/))

      allocate(vertices(4298)%branchCT(0:0))
      call avCT(4298, 0, 1, 1, 0, VSV0, (/0, 3/), (/nGC_1939/))

      allocate(vertices(1232)%branchCT(0:0))
      call avCT(1232, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1883/))

      allocate(vertices(3701)%branchCT(0:0))
      call avCT(3701, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1634/))

      allocate(vertices(2179)%branchCT(0:0))
      call avCT(2179, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1937/))

      allocate(vertices(3703)%branchCT(0:0))
      call avCT(3703, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1932/))

      allocate(vertices(1235)%branchCT(0:1))
      call avCT(1235, 0, 17, 1, 0, FaVF1, (/0, 3/), (/nGC_2129/))

      call avCT(1235, 1, 17, 1, 0, FaVF1, (/2, 1/), (/nGC_2130/))

      allocate(vertices(3705)%branchCT(0:0))
      call avCT(3705, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1910/))

      allocate(vertices(5055)%branchCT(0:0))
      call avCT(5055, 0, 13, 1, 0, FFa0, (/0, 2/), (/nGC_2170, nGC_2171,       &
      nGC_2171, nGC_2172/))

      allocate(vertices(4418)%branchCT(0:0))
      call avCT(4418, 0, 1, 1, 0, FFaS0, (/0, 3/), (/nGC_2008, nGC_2009/))

      allocate(vertices(1238)%branchCT(0:0))
      call avCT(1238, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1883/))

      allocate(vertices(4489)%branchCT(0:0))
      call avCT(4489, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2091/))

      allocate(vertices(1240)%branchCT(0:0))
      call avCT(1240, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1900/))

      allocate(vertices(5056)%branchCT(0:0))
      call avCT(5056, 0, 1, 1, 0, VVS0, (/0, 3/), (/nGC_2147/))

      allocate(vertices(4765)%branchCT(0:0))
      call avCT(4765, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(1241)%branchCT(0:0))
      call avCT(1241, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1983/))

      allocate(vertices(1243)%branchCT(0:0))
      call avCT(1243, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1656/))

      allocate(vertices(3710)%branchCT(0:0))
      call avCT(3710, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1969/))

      allocate(vertices(3712)%branchCT(0:0))
      call avCT(3712, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1900/))

      allocate(vertices(1246)%branchCT(0:0))
      call avCT(1246, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1631/))

      allocate(vertices(3713)%branchCT(0:1))
      call avCT(3713, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_2182, nGC_2182/))

      call avCT(3713, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_2183, nGC_2183/))

      allocate(vertices(3714)%branchCT(0:0))
      call avCT(3714, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1903/))

      allocate(vertices(2921)%branchCT(0:0))
      call avCT(2921, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(3718)%branchCT(0:0))
      call avCT(3718, 0, 1, 1, 0, UaUS0, (/0, 3/), (/nGC_1943/))

      allocate(vertices(2933)%branchCT(0:0))
      call avCT(2933, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1893/))

      allocate(vertices(1251)%branchCT(0:0))
      call avCT(1251, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1893/))

      allocate(vertices(1252)%branchCT(0:0))
      call avCT(1252, 0, 1, 1, 0, VVS0, (/0, 3/), (/nGC_1939/))

      allocate(vertices(1254)%branchCT(0:0))
      call avCT(1254, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1907/))

      allocate(vertices(3725)%branchCT(0:0))
      call avCT(3725, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2092/))

      allocate(vertices(2115)%branchCT(0:0))
      call avCT(2115, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1933/))

      allocate(vertices(3855)%branchCT(0:0))
      call avCT(3855, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1907/))

      allocate(vertices(1257)%branchCT(0:0))
      call avCT(1257, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1983/))

      allocate(vertices(2184)%branchCT(0:0))
      call avCT(2184, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(4304)%branchCT(0:0))
      call avCT(4304, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1639/))

      allocate(vertices(572)%branchCT(0:0))
      call avCT(572, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_1924, nGC_1925,        &
      nGC_1924/))

      allocate(vertices(748)%branchCT(0:0))
      call avCT(748, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1930/))

      allocate(vertices(3735)%branchCT(0:1))
      call avCT(3735, 0, 20, 1, 0, SFaF0, (/0, 3/), (/nGC_2198, nGC_2198/))

      call avCT(3735, 1, 20, 1, 0, SFaF0, (/2, 1/), (/nGC_2199, nGC_2199/))

      allocate(vertices(4246)%branchCT(0:0))
      call avCT(4246, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2124/))

      allocate(vertices(3738)%branchCT(0:0))
      call avCT(3738, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_2052, nGC_2053,       &
      nGC_2053/))

      allocate(vertices(3740)%branchCT(0:0))
      call avCT(3740, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1883/))

      allocate(vertices(1266)%branchCT(0:3))
      call avCT(1266, 0, 68, 4, 0, FVFa0, (/1, 2/), (/nGC_2144, nGC_2146/))

      call avCT(1266, 1, 68, 4, 0, FVFa0, (/3, 0/), (/nGC_2143, nGC_2145/))

      call avCT(1266, 2, 69, 5, 0, FVFa0, (/1, 2/), (/nGC_2144, nGC_2146/))

      call avCT(1266, 3, 69, 5, 0, FVFa0, (/3, 0/), (/nGC_2143, nGC_2145/))

      allocate(vertices(2547)%branchCT(0:0))
      call avCT(2547, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1921/))

      allocate(vertices(1267)%branchCT(0:0))
      call avCT(1267, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1907/))

      allocate(vertices(1269)%branchCT(0:0))
      call avCT(1269, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1634/))

      allocate(vertices(5057)%branchCT(0:0))
      call avCT(5057, 0, 1, 1, 0, VFaF0, (/0, 3/), (/nGC_2007/))

      allocate(vertices(1270)%branchCT(0:0))
      call avCT(1270, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1893/))

      allocate(vertices(2068)%branchCT(0:0))
      call avCT(2068, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1937/))

      allocate(vertices(1272)%branchCT(0:1))
      call avCT(1272, 0, 17, 1, 0, FaSF0, (/0, 3/), (/nGC_2139, nGC_2139/))

      call avCT(1272, 1, 17, 1, 0, FaSF0, (/2, 1/), (/nGC_2140, nGC_2140/))

      allocate(vertices(5058)%branchCT(0:0))
      call avCT(5058, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1999/))

      allocate(vertices(2490)%branchCT(0:0))
      call avCT(2490, 0, 1, 1, 0, VSS0, (/0, 3/), (/nGC_1927/))

      allocate(vertices(3056)%branchCT(0:0))
      call avCT(3056, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1638/))

      allocate(vertices(2364)%branchCT(0:0))
      call avCT(2364, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(3480)%branchCT(0:0))
      call avCT(3480, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1884/))

      allocate(vertices(1276)%branchCT(0:1))
      call avCT(1276, 0, 10, 1, 0, FFaV1, (/0, 3/), (/nGC_2129/))

      call avCT(1276, 1, 10, 1, 0, FFaV1, (/2, 1/), (/nGC_2130/))

      allocate(vertices(235)%branchCT(0:0))
      call avCT(235, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_2017/))

      allocate(vertices(4095)%branchCT(0:0))
      call avCT(4095, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1989/))

      allocate(vertices(1277)%branchCT(0:0))
      call avCT(1277, 0, 1, 1, 0, VSV0, (/0, 3/), (/nGC_1938/))

      allocate(vertices(3749)%branchCT(0:0))
      call avCT(3749, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1655/))

      allocate(vertices(3750)%branchCT(0:1))
      call avCT(3750, 0, 20, 1, 0, VFaF1, (/0, 3/), (/nGC_2177, nGC_2179/))

      call avCT(3750, 1, 20, 1, 0, VFaF1, (/2, 1/), (/nGC_2178, nGC_2180/))

      allocate(vertices(3011)%branchCT(0:0))
      call avCT(3011, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1969/))

      allocate(vertices(3753)%branchCT(0:0))
      call avCT(3753, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1921/))

      allocate(vertices(200)%branchCT(0:0))
      call avCT(200, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1633/))

      allocate(vertices(3102)%branchCT(0:0))
      call avCT(3102, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1656/))

      allocate(vertices(1282)%branchCT(0:1))
      call avCT(1282, 0, 20, 1, 0, VFaF0, (/0, 3/), (/nGC_2056/))

      call avCT(1282, 1, 20, 1, 0, VFaF0, (/2, 1/), (/nGC_2057/))

      allocate(vertices(1283)%branchCT(0:0))
      call avCT(1283, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(1284)%branchCT(0:1))
      call avCT(1284, 0, 19, 1, 0, FSFa0, (/0, 3/), (/nGC_2200, nGC_2202/))

      call avCT(1284, 1, 19, 1, 0, FSFa0, (/2, 1/), (/nGC_2201, nGC_2203/))

      allocate(vertices(1286)%branchCT(0:1))
      call avCT(1286, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_2198, nGC_2198/))

      call avCT(1286, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_2199, nGC_2199/))

      allocate(vertices(3757)%branchCT(0:3))
      call avCT(3757, 0, 51, 5, 0, FaFV0, (/1, 2/), (/nGC_2014, nGC_2016/))

      call avCT(3757, 1, 51, 5, 0, FaFV0, (/3, 0/), (/nGC_2013, nGC_2015/))

      call avCT(3757, 2, 50, 4, 0, FaFV0, (/1, 2/), (/nGC_2014, nGC_2016/))

      call avCT(3757, 3, 50, 4, 0, FaFV0, (/3, 0/), (/nGC_2013, nGC_2015/))

      allocate(vertices(2794)%branchCT(0:0))
      call avCT(2794, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1949/))

      allocate(vertices(3208)%branchCT(0:0))
      call avCT(3208, 0, 1, 1, 0, FaFV1, (/0, 3/), (/nGC_2010/))

      allocate(vertices(1289)%branchCT(0:0))
      call avCT(1289, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1976/))

      allocate(vertices(428)%branchCT(0:0))
      call avCT(428, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1933/))

      allocate(vertices(202)%branchCT(0:0))
      call avCT(202, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2095/))

      allocate(vertices(3136)%branchCT(0:0))
      call avCT(3136, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1883/))

      allocate(vertices(988)%branchCT(0:0))
      call avCT(988, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1633/))

      allocate(vertices(3763)%branchCT(0:0))
      call avCT(3763, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1900/))

      allocate(vertices(3764)%branchCT(0:0))
      call avCT(3764, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1910/))

      allocate(vertices(1295)%branchCT(0:0))
      call avCT(1295, 0, 1, 1, 0, FaFV1, (/0, 3/), (/nGC_2135/))

      allocate(vertices(3766)%branchCT(0:0))
      call avCT(3766, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2103/))

      allocate(vertices(3168)%branchCT(0:0))
      call avCT(3168, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_2017/))

      allocate(vertices(539)%branchCT(0:0))
      call avCT(539, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1884/))

      allocate(vertices(1296)%branchCT(0:1))
      call avCT(1296, 0, 2, 2, 0, UaUV0, (/3, 0/), (/nGC_2071/))

      call avCT(1296, 1, 3, 3, 0, UaUV0, (/3, 0/), (/nGC_2071/))

      allocate(vertices(919)%branchCT(0:0))
      call avCT(919, 0, 1, 1, 0, UUaS0, (/0, 3/), (/nGC_1671/))

      allocate(vertices(3769)%branchCT(0:0))
      call avCT(3769, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1893/))

      allocate(vertices(115)%branchCT(0:0))
      call avCT(115, 0, 1, 1, 0, FFaV0, (/0, 3/), (/nGC_2121, nGC_2122/))

      allocate(vertices(3770)%branchCT(0:0))
      call avCT(3770, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1969/))

      allocate(vertices(3432)%branchCT(0:0))
      call avCT(3432, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1921/))

      allocate(vertices(3771)%branchCT(0:0))
      call avCT(3771, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1879/))

      allocate(vertices(1301)%branchCT(0:0))
      call avCT(1301, 0, 1, 1, 0, SFaF0, (/0, 3/), (/nGC_2220, nGC_2220/))

      allocate(vertices(4367)%branchCT(0:0))
      call avCT(4367, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1900/))

      allocate(vertices(2091)%branchCT(0:0))
      call avCT(2091, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1891/))

      allocate(vertices(575)%branchCT(0:0))
      call avCT(575, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1634/))

      allocate(vertices(1303)%branchCT(0:0))
      call avCT(1303, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1907/))

      allocate(vertices(3775)%branchCT(0:0))
      call avCT(3775, 0, 1, 1, 0, FaFS0, (/0, 3/), (/nGC_2155, nGC_2155/))

      allocate(vertices(3776)%branchCT(0:0))
      call avCT(3776, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1907/))

      allocate(vertices(1396)%branchCT(0:0))
      call avCT(1396, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1969/))

      allocate(vertices(1305)%branchCT(0:0))
      call avCT(1305, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1930/))

      allocate(vertices(3779)%branchCT(0:0))
      call avCT(3779, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1930/))

      allocate(vertices(3638)%branchCT(0:0))
      call avCT(3638, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1903/))

      allocate(vertices(3889)%branchCT(0:0))
      call avCT(3889, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1893/))

      allocate(vertices(3782)%branchCT(0:0))
      call avCT(3782, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1902/))

      allocate(vertices(3242)%branchCT(0:0))
      call avCT(3242, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1969/))

      allocate(vertices(577)%branchCT(0:0))
      call avCT(577, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1915/))

      allocate(vertices(1308)%branchCT(0:0))
      call avCT(1308, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1886/))

      allocate(vertices(4482)%branchCT(0:0))
      call avCT(4482, 0, 1, 1, 0, UaUS0, (/0, 3/), (/nGC_2089/))

      allocate(vertices(3786)%branchCT(0:0))
      call avCT(3786, 0, 1, 1, 0, VFaF1, (/0, 3/), (/nGC_1941, nGC_1942/))

      allocate(vertices(1313)%branchCT(0:5))
      call avCT(1313, 0, 104, 6, 0, VUUaV0, (/4, 0/), (/nGC_2084/))

      call avCT(1313, 1, 103, 7, 0, VUUaV0, (/4, 0/), (/nGC_2083/))

      call avCT(1313, 2, 102, 7, 0, VUUaV0, (/4, 0/), (/nGC_2083/))

      call avCT(1313, 3, 101, 7, 0, VUUaV0, (/4, 0/), (/nGC_2083/))

      call avCT(1313, 4, 100, 7, 0, VUUaV0, (/4, 0/), (/nGC_2083/))

      call avCT(1313, 5, 105, 6, 0, VUUaV0, (/4, 0/), (/nGC_2084/))

      allocate(vertices(5059)%branchCT(0:0))
      call avCT(5059, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2031/))

      allocate(vertices(2927)%branchCT(0:0))
      call avCT(2927, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_1885/))

      allocate(vertices(1317)%branchCT(0:0))
      call avCT(1317, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1905/))

      allocate(vertices(1318)%branchCT(0:0))
      call avCT(1318, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_1924, nGC_1924,       &
      nGC_1925/))

      allocate(vertices(5060)%branchCT(0:0))
      call avCT(5060, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2031/))

      allocate(vertices(5061)%branchCT(0:0))
      call avCT(5061, 0, 1, 1, 0, VVS0, (/0, 3/), (/nGC_2221/))

      allocate(vertices(1320)%branchCT(0:0))
      call avCT(1320, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1891/))

      allocate(vertices(2287)%branchCT(0:0))
      call avCT(2287, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1930/))

      allocate(vertices(3304)%branchCT(0:0))
      call avCT(3304, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1948/))

      allocate(vertices(3301)%branchCT(0:0))
      call avCT(3301, 0, 1, 1, 0, VSV0, (/0, 3/), (/nGC_2156/))

      allocate(vertices(1324)%branchCT(0:0))
      call avCT(1324, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2095/))

      allocate(vertices(1325)%branchCT(0:1))
      call avCT(1325, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_1880, nGC_1880/))

      call avCT(1325, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_1881, nGC_1881/))

      allocate(vertices(168)%branchCT(0:0))
      call avCT(168, 0, 1, 1, 0, VFFa0, (/0, 3/), (/nGC_1934/))

      allocate(vertices(1326)%branchCT(0:1))
      call avCT(1326, 0, 18, 1, 0, FaFV0, (/0, 3/), (/nGC_1984, nGC_1986/))

      call avCT(1326, 1, 18, 1, 0, FaFV0, (/2, 1/), (/nGC_1985, nGC_1987/))

      allocate(vertices(3435)%branchCT(0:0))
      call avCT(3435, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1632/))

      allocate(vertices(1327)%branchCT(0:0))
      call avCT(1327, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1884/))

      allocate(vertices(1328)%branchCT(0:0))
      call avCT(1328, 0, 1, 1, 0, UaUS0, (/0, 3/), (/nGC_2137/))

      allocate(vertices(3795)%branchCT(0:0))
      call avCT(3795, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2222/))

      allocate(vertices(4312)%branchCT(0:0))
      call avCT(4312, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1893/))

      allocate(vertices(1331)%branchCT(0:0))
      call avCT(1331, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1893/))

      allocate(vertices(3349)%branchCT(0:0))
      call avCT(3349, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1655/))

      allocate(vertices(1028)%branchCT(0:0))
      call avCT(1028, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1903/))

      allocate(vertices(3799)%branchCT(0:0))
      call avCT(3799, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(775)%branchCT(0:0))
      call avCT(775, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1893/))

      allocate(vertices(3617)%branchCT(0:0))
      call avCT(3617, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(4783)%branchCT(0:0))
      call avCT(4783, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1988/))

      allocate(vertices(1334)%branchCT(0:0))
      call avCT(1334, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1907/))

      allocate(vertices(5062)%branchCT(0:0))
      call avCT(5062, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1940/))

      allocate(vertices(3803)%branchCT(0:0))
      call avCT(3803, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1633/))

      allocate(vertices(1336)%branchCT(0:0))
      call avCT(1336, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1657/))

      allocate(vertices(1337)%branchCT(0:0))
      call avCT(1337, 0, 1, 1, 0, UUaV0, (/0, 3/), (/nGC_2111/))

      allocate(vertices(2593)%branchCT(0:0))
      call avCT(2593, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1656/))

      allocate(vertices(3410)%branchCT(0:0))
      call avCT(3410, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1915/))

      allocate(vertices(1340)%branchCT(0:0))
      call avCT(1340, 0, 1, 1, 0, FSFa0, (/0, 3/), (/nGC_1970, nGC_1970/))

      allocate(vertices(1341)%branchCT(0:0))
      call avCT(1341, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2124/))

      allocate(vertices(1343)%branchCT(0:0))
      call avCT(1343, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1631/))

      allocate(vertices(584)%branchCT(0:0))
      call avCT(584, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2092/))

      allocate(vertices(3438)%branchCT(0:0))
      call avCT(3438, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(1346)%branchCT(0:0))
      call avCT(1346, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1926/))

      allocate(vertices(2879)%branchCT(0:0))
      call avCT(2879, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1903/))

      allocate(vertices(3813)%branchCT(0:0))
      call avCT(3813, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_2017/))

      allocate(vertices(3439)%branchCT(0:5))
      call avCT(3439, 0, 44, 7, 0, UVUaV0, (/4, 0/), (/nGC_2083/))

      call avCT(3439, 1, 85, 7, 0, UVUaV0, (/4, 0/), (/nGC_2083/))

      call avCT(3439, 2, 84, 7, 0, UVUaV0, (/4, 0/), (/nGC_2083/))

      call avCT(3439, 3, 42, 7, 0, UVUaV0, (/4, 0/), (/nGC_2083/))

      call avCT(3439, 4, 45, 6, 0, UVUaV0, (/4, 0/), (/nGC_2084/))

      call avCT(3439, 5, 43, 6, 0, UVUaV0, (/4, 0/), (/nGC_2084/))

      allocate(vertices(4227)%branchCT(0:1))
      call avCT(4227, 0, 21, 1, 0, SFFa0, (/0, 3/), (/nGC_2168, nGC_2168/))

      call avCT(4227, 1, 21, 1, 0, SFFa0, (/2, 1/), (/nGC_2169, nGC_2169/))

      allocate(vertices(3816)%branchCT(0:0))
      call avCT(3816, 0, 1, 1, 0, UUaV0, (/0, 3/), (/nGC_2073/))

      allocate(vertices(4680)%branchCT(0:0))
      call avCT(4680, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1933/))

      allocate(vertices(3817)%branchCT(0:0))
      call avCT(3817, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1656/))

      allocate(vertices(1353)%branchCT(0:0))
      call avCT(1353, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1634/))

      allocate(vertices(3818)%branchCT(0:1))
      call avCT(3818, 0, 60, 2, 0, UUaV0, (/3, 0/), (/nGC_2131/))

      call avCT(3818, 1, 61, 3, 0, UUaV0, (/3, 0/), (/nGC_2131/))

      allocate(vertices(2384)%branchCT(0:0))
      call avCT(2384, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1656/))

      allocate(vertices(5063)%branchCT(0:0))
      call avCT(5063, 0, 13, 1, 0, FaF1, (/0, 2/), (/nGC_2191/))

      allocate(vertices(3820)%branchCT(0:0))
      call avCT(3820, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1969/))

      allocate(vertices(1356)%branchCT(0:1))
      call avCT(1356, 0, 21, 1, 0, VFFa1, (/0, 3/), (/nGC_2060, nGC_2062/))

      call avCT(1356, 1, 21, 1, 0, VFFa1, (/2, 1/), (/nGC_2061, nGC_2063/))

      allocate(vertices(3823)%branchCT(0:0))
      call avCT(3823, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(3827)%branchCT(0:0))
      call avCT(3827, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1883/))

      allocate(vertices(1358)%branchCT(0:0))
      call avCT(1358, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_2127/))

      allocate(vertices(3828)%branchCT(0:0))
      call avCT(3828, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1632/))

      allocate(vertices(1360)%branchCT(0:1))
      call avCT(1360, 0, 17, 1, 0, FaVF1, (/0, 3/), (/nGC_2129/))

      call avCT(1360, 1, 17, 1, 0, FaVF1, (/2, 1/), (/nGC_2130/))

      allocate(vertices(2199)%branchCT(0:0))
      call avCT(2199, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1910/))

      allocate(vertices(1361)%branchCT(0:0))
      call avCT(1361, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1907/))

      allocate(vertices(1363)%branchCT(0:0))
      call avCT(1363, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1634/))

      allocate(vertices(3831)%branchCT(0:0))
      call avCT(3831, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1922/))

      allocate(vertices(3832)%branchCT(0:0))
      call avCT(3832, 0, 1, 1, 0, FaSF0, (/0, 3/), (/nGC_2074, nGC_2074/))

      allocate(vertices(1197)%branchCT(0:0))
      call avCT(1197, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1656/))

      allocate(vertices(1365)%branchCT(0:0))
      call avCT(1365, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1926/))

      allocate(vertices(1367)%branchCT(0:0))
      call avCT(1367, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1900/))

      allocate(vertices(1763)%branchCT(0:1))
      call avCT(1763, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_2076, nGC_2078/))

      call avCT(1763, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_2077, nGC_2079/))

      allocate(vertices(1368)%branchCT(0:0))
      call avCT(1368, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1632/))

      allocate(vertices(1369)%branchCT(0:0))
      call avCT(1369, 0, 1, 1, 0, UaUS0, (/0, 3/), (/nGC_1660/))

      allocate(vertices(3837)%branchCT(0:0))
      call avCT(3837, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1910/))

      allocate(vertices(3838)%branchCT(0:0))
      call avCT(3838, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1655/))

      allocate(vertices(1372)%branchCT(0:0))
      call avCT(1372, 0, 1, 1, 0, SVV0, (/0, 3/), (/nGC_1966/))

      allocate(vertices(174)%branchCT(0:0))
      call avCT(174, 0, 1, 1, 0, VSS0, (/0, 3/), (/nGC_2051/))

      allocate(vertices(3841)%branchCT(0:0))
      call avCT(3841, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1907/))

      allocate(vertices(1000)%branchCT(0:0))
      call avCT(1000, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1920/))

      allocate(vertices(4723)%branchCT(0:0))
      call avCT(4723, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1883/))

      allocate(vertices(3844)%branchCT(0:0))
      call avCT(3844, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1910/))

      allocate(vertices(1378)%branchCT(0:0))
      call avCT(1378, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1884/))

      allocate(vertices(341)%branchCT(0:0))
      call avCT(341, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2091/))

      allocate(vertices(1380)%branchCT(0:0))
      call avCT(1380, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1971/))

      allocate(vertices(4218)%branchCT(0:0))
      call avCT(4218, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(3686)%branchCT(0:0))
      call avCT(3686, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1903/))

      allocate(vertices(3852)%branchCT(0:0))
      call avCT(3852, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1930/))

      allocate(vertices(1384)%branchCT(0:0))
      call avCT(1384, 0, 1, 1, 0, VFaF0, (/0, 3/), (/nGC_1994/))

      allocate(vertices(3036)%branchCT(0:0))
      call avCT(3036, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1969/))

      allocate(vertices(891)%branchCT(0:0))
      call avCT(891, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1884/))

      allocate(vertices(3877)%branchCT(0:0))
      call avCT(3877, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1933/))

      allocate(vertices(1389)%branchCT(0:0))
      call avCT(1389, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1631/))

      allocate(vertices(3856)%branchCT(0:0))
      call avCT(3856, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1910/))

      allocate(vertices(4803)%branchCT(0:0))
      call avCT(4803, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1976/))

      allocate(vertices(1392)%branchCT(0:0))
      call avCT(1392, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1900/))

      allocate(vertices(1394)%branchCT(0:0))
      call avCT(1394, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1900/))

      allocate(vertices(3861)%branchCT(0:0))
      call avCT(3861, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1632/))

      allocate(vertices(1395)%branchCT(0:0))
      call avCT(1395, 0, 1, 1, 0, VFaF1, (/0, 3/), (/nGC_2043, nGC_2044/))

      allocate(vertices(3863)%branchCT(0:0))
      call avCT(3863, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1989/))

      allocate(vertices(3727)%branchCT(0:0))
      call avCT(3727, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1967/))

      allocate(vertices(1397)%branchCT(0:0))
      call avCT(1397, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1655/))

      allocate(vertices(3787)%branchCT(0:0))
      call avCT(3787, 0, 1, 1, 0, VUUa0, (/0, 3/), (/nGC_2073/))

      allocate(vertices(3866)%branchCT(0:0))
      call avCT(3866, 0, 1, 1, 0, UUaS0, (/0, 3/), (/nGC_1671/))

      allocate(vertices(1003)%branchCT(0:1))
      call avCT(1003, 0, 19, 1, 0, FVFa0, (/0, 3/), (/nGC_2104, nGC_2106/))

      call avCT(1003, 1, 19, 1, 0, FVFa0, (/2, 1/), (/nGC_2105, nGC_2107/))

      allocate(vertices(3868)%branchCT(0:1))
      call avCT(3868, 0, 21, 1, 0, VFFa1, (/0, 3/), (/nGC_2177, nGC_2179/))

      call avCT(3868, 1, 21, 1, 0, VFFa1, (/2, 1/), (/nGC_2178, nGC_2180/))

      allocate(vertices(4325)%branchCT(0:0))
      call avCT(4325, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1631/))

      allocate(vertices(3871)%branchCT(0:0))
      call avCT(3871, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1969/))

      allocate(vertices(3408)%branchCT(0:0))
      call avCT(3408, 0, 1, 1, 0, UUaV0, (/0, 3/), (/nGC_2167/))

      allocate(vertices(1401)%branchCT(0:0))
      call avCT(1401, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1891/))

      allocate(vertices(3873)%branchCT(0:0))
      call avCT(3873, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1989/))

      allocate(vertices(1403)%branchCT(0:0))
      call avCT(1403, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1988/))

      allocate(vertices(5064)%branchCT(0:0))
      call avCT(5064, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(1405)%branchCT(0:0))
      call avCT(1405, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1907/))

      allocate(vertices(3840)%branchCT(0:0))
      call avCT(3840, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1891/))

      allocate(vertices(1409)%branchCT(0:0))
      call avCT(1409, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1969/))

      allocate(vertices(222)%branchCT(0:0))
      call avCT(222, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1969/))

      allocate(vertices(4570)%branchCT(0:0))
      call avCT(4570, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2028/))

      allocate(vertices(102)%branchCT(0:0))
      call avCT(102, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1633/))

      allocate(vertices(3883)%branchCT(0:1))
      call avCT(3883, 0, 19, 1, 0, FSFa0, (/0, 3/), (/nGC_2076, nGC_2078/))

      call avCT(3883, 1, 19, 1, 0, FSFa0, (/2, 1/), (/nGC_2077, nGC_2079/))

      allocate(vertices(4618)%branchCT(0:0))
      call avCT(4618, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2028/))

      allocate(vertices(3884)%branchCT(0:0))
      call avCT(3884, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(3896)%branchCT(0:0))
      call avCT(3896, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1930/))

      allocate(vertices(634)%branchCT(0:0))
      call avCT(634, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1971/))

      allocate(vertices(1414)%branchCT(0:0))
      call avCT(1414, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(1419)%branchCT(0:0))
      call avCT(1419, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1883/))

      allocate(vertices(5065)%branchCT(0:0))
      call avCT(5065, 0, 1, 1, 0, FFaV1, (/0, 3/), (/nGC_2007/))

      allocate(vertices(1671)%branchCT(0:0))
      call avCT(1671, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1884/))

      allocate(vertices(3890)%branchCT(0:1))
      call avCT(3890, 0, 19, 1, 0, FSFa0, (/0, 3/), (/nGC_1950, nGC_1950/))

      call avCT(3890, 1, 19, 1, 0, FSFa0, (/2, 1/), (/nGC_1951, nGC_1951/))

      allocate(vertices(3865)%branchCT(0:0))
      call avCT(3865, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1910/))

      allocate(vertices(5066)%branchCT(0:0))
      call avCT(5066, 0, 13, 1, 0, SS1, (/0, 2/), (/nGC_2205/))

      allocate(vertices(3892)%branchCT(0:0))
      call avCT(3892, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1907/))

      allocate(vertices(3893)%branchCT(0:0))
      call avCT(3893, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1657/))

      allocate(vertices(1423)%branchCT(0:1))
      call avCT(1423, 0, 19, 1, 0, FSFa0, (/0, 3/), (/nGC_1978, nGC_1980/))

      call avCT(1423, 1, 19, 1, 0, FSFa0, (/2, 1/), (/nGC_1979, nGC_1981/))

      allocate(vertices(1416)%branchCT(0:0))
      call avCT(1416, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1976/))

      allocate(vertices(3897)%branchCT(0:0))
      call avCT(3897, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1932/))

      allocate(vertices(3898)%branchCT(0:0))
      call avCT(3898, 0, 1, 1, 0, USUa0, (/0, 3/), (/nGC_1901/))

      allocate(vertices(3900)%branchCT(0:0))
      call avCT(3900, 0, 1, 1, 0, FFaV1, (/0, 3/), (/nGC_2010/))

      allocate(vertices(2163)%branchCT(0:0))
      call avCT(2163, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1933/))

      allocate(vertices(3901)%branchCT(0:0))
      call avCT(3901, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_2211/))

      allocate(vertices(5067)%branchCT(0:0))
      call avCT(5067, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1940/))

      allocate(vertices(3905)%branchCT(0:0))
      call avCT(3905, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1949/))

      allocate(vertices(1430)%branchCT(0:1))
      call avCT(1430, 0, 17, 1, 0, FaSF0, (/0, 3/), (/nGC_2202, nGC_2200/))

      call avCT(1430, 1, 17, 1, 0, FaSF0, (/2, 1/), (/nGC_2203, nGC_2201/))

      allocate(vertices(4126)%branchCT(0:0))
      call avCT(4126, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1891/))

      allocate(vertices(1432)%branchCT(0:1))
      call avCT(1432, 0, 17, 1, 0, FaVF0, (/0, 3/), (/nGC_2104, nGC_2106/))

      call avCT(1432, 1, 17, 1, 0, FaVF0, (/2, 1/), (/nGC_2105, nGC_2107/))

      allocate(vertices(1433)%branchCT(0:1))
      call avCT(1433, 0, 18, 1, 0, FaFS0, (/0, 3/), (/nGC_2168, nGC_2168/))

      call avCT(1433, 1, 18, 1, 0, FaFS0, (/2, 1/), (/nGC_2169, nGC_2169/))

      allocate(vertices(1795)%branchCT(0:0))
      call avCT(1795, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1891/))

      allocate(vertices(4017)%branchCT(0:1))
      call avCT(4017, 0, 18, 1, 0, FaFV0, (/0, 3/), (/nGC_1887, nGC_1889/))

      call avCT(4017, 1, 18, 1, 0, FaFV0, (/2, 1/), (/nGC_1888, nGC_1890/))

      allocate(vertices(3451)%branchCT(0:0))
      call avCT(3451, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2028/))

      allocate(vertices(4027)%branchCT(0:0))
      call avCT(4027, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1638/))

      allocate(vertices(1427)%branchCT(0:0))
      call avCT(1427, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1983/))

      allocate(vertices(1438)%branchCT(0:0))
      call avCT(1438, 0, 1, 1, 0, VUUa0, (/0, 3/), (/nGC_2136/))

      allocate(vertices(1440)%branchCT(0:0))
      call avCT(1440, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1969/))

      allocate(vertices(3888)%branchCT(0:0))
      call avCT(3888, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2028/))

      allocate(vertices(3914)%branchCT(0:0))
      call avCT(3914, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1631/))

      allocate(vertices(1502)%branchCT(0:0))
      call avCT(1502, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2032/))

      allocate(vertices(3916)%branchCT(0:0))
      call avCT(3916, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1891/))

      allocate(vertices(3918)%branchCT(0:1))
      call avCT(3918, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_2202, nGC_2200/))

      call avCT(3918, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_2203, nGC_2201/))

      allocate(vertices(3919)%branchCT(0:0))
      call avCT(3919, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1884/))

      allocate(vertices(4914)%branchCT(0:0))
      call avCT(4914, 0, 1, 1, 0, FaVF0, (/0, 3/), (/nGC_1952, nGC_1953/))

      allocate(vertices(4098)%branchCT(0:0))
      call avCT(4098, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1903/))

      allocate(vertices(1025)%branchCT(0:3))
      call avCT(1025, 0, 51, 5, 0, FaFV0, (/3, 0/), (/nGC_2162, nGC_2164/))

      call avCT(1025, 1, 51, 5, 0, FaFV0, (/1, 2/), (/nGC_2163, nGC_2165/))

      call avCT(1025, 2, 50, 4, 0, FaFV0, (/3, 0/), (/nGC_2162, nGC_2164/))

      call avCT(1025, 3, 50, 4, 0, FaFV0, (/1, 2/), (/nGC_2163, nGC_2165/))

      allocate(vertices(3454)%branchCT(0:0))
      call avCT(3454, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1915/))

      allocate(vertices(4948)%branchCT(0:0))
      call avCT(4948, 0, 1, 1, 0, FVFa1, (/0, 3/), (/nGC_1994/))

      allocate(vertices(1012)%branchCT(0:0))
      call avCT(1012, 0, 1, 1, 0, FFaS1, (/0, 3/), (/nGC_1982/))

      allocate(vertices(1451)%branchCT(0:1))
      call avCT(1451, 0, 20, 1, 0, SFaF0, (/0, 3/), (/nGC_1894, nGC_1896/))

      call avCT(1451, 1, 20, 1, 0, SFaF0, (/2, 1/), (/nGC_1895, nGC_1897/))

      allocate(vertices(1453)%branchCT(0:0))
      call avCT(1453, 0, 1, 1, 0, FaFV1, (/0, 3/), (/nGC_1934/))

      allocate(vertices(2579)%branchCT(0:1))
      call avCT(2579, 0, 17, 1, 0, FaSF0, (/0, 3/), (/nGC_2198, nGC_2198/))

      call avCT(2579, 1, 17, 1, 0, FaSF0, (/2, 1/), (/nGC_2199, nGC_2199/))

      allocate(vertices(1454)%branchCT(0:1))
      call avCT(1454, 0, 19, 1, 0, FSFa0, (/0, 3/), (/nGC_2139, nGC_2139/))

      call avCT(1454, 1, 19, 1, 0, FSFa0, (/2, 1/), (/nGC_2140, nGC_2140/))

      allocate(vertices(2250)%branchCT(0:0))
      call avCT(2250, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1949/))

      allocate(vertices(3930)%branchCT(0:3))
      call avCT(3930, 0, 51, 5, 0, FaFV0, (/1, 2/), (/nGC_2144, nGC_2146/))

      call avCT(3930, 1, 51, 5, 0, FaFV0, (/3, 0/), (/nGC_2143, nGC_2145/))

      call avCT(3930, 2, 50, 4, 0, FaFV0, (/1, 2/), (/nGC_2144, nGC_2146/))

      call avCT(3930, 3, 50, 4, 0, FaFV0, (/3, 0/), (/nGC_2143, nGC_2145/))

      allocate(vertices(1457)%branchCT(0:0))
      call avCT(1457, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1883/))

      allocate(vertices(3039)%branchCT(0:0))
      call avCT(3039, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1976/))

      allocate(vertices(1461)%branchCT(0:0))
      call avCT(1461, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2064/))

      allocate(vertices(1462)%branchCT(0:0))
      call avCT(1462, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2092/))

      allocate(vertices(1374)%branchCT(0:0))
      call avCT(1374, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1907/))

      allocate(vertices(3935)%branchCT(0:0))
      call avCT(3935, 0, 1, 1, 0, VFaF0, (/0, 3/), (/nGC_2010/))

      allocate(vertices(3809)%branchCT(0:0))
      call avCT(3809, 0, 1, 1, 0, FaFS1, (/0, 3/), (/nGC_1904/))

      allocate(vertices(4212)%branchCT(0:0))
      call avCT(4212, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1932/))

      allocate(vertices(1469)%branchCT(0:0))
      call avCT(1469, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1910/))

      allocate(vertices(1183)%branchCT(0:0))
      call avCT(1183, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_2000/))

      allocate(vertices(1470)%branchCT(0:0))
      call avCT(1470, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1886/))

      allocate(vertices(3942)%branchCT(0:0))
      call avCT(3942, 0, 1, 1, 0, USUa0, (/0, 3/), (/nGC_1660/))

      allocate(vertices(2758)%branchCT(0:0))
      call avCT(2758, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1907/))

      allocate(vertices(1471)%branchCT(0:0))
      call avCT(1471, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1632/))

      allocate(vertices(3459)%branchCT(0:0))
      call avCT(3459, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1884/))

      allocate(vertices(4705)%branchCT(0:3))
      call avCT(4705, 0, 67, 5, 0, FaVF0, (/3, 0/), (/nGC_1990, nGC_1992/))

      call avCT(4705, 1, 67, 5, 0, FaVF0, (/1, 2/), (/nGC_1991, nGC_1993/))

      call avCT(4705, 2, 66, 4, 0, FaVF0, (/3, 0/), (/nGC_1990, nGC_1992/))

      call avCT(4705, 3, 66, 4, 0, FaVF0, (/1, 2/), (/nGC_1991, nGC_1993/))

      allocate(vertices(3944)%branchCT(0:0))
      call avCT(3944, 0, 1, 1, 0, VSV0, (/0, 3/), (/nGC_2174/))

      allocate(vertices(4265)%branchCT(0:0))
      call avCT(4265, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1891/))

      allocate(vertices(3947)%branchCT(0:1))
      call avCT(3947, 0, 17, 1, 0, FaVF1, (/0, 3/), (/nGC_2056/))

      call avCT(3947, 1, 17, 1, 0, FaVF1, (/2, 1/), (/nGC_2057/))

      allocate(vertices(1474)%branchCT(0:0))
      call avCT(1474, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1893/))

      allocate(vertices(1475)%branchCT(0:0))
      call avCT(1475, 0, 1, 1, 0, FFaS0, (/0, 3/), (/nGC_1977, nGC_1977/))

      allocate(vertices(3950)%branchCT(0:0))
      call avCT(3950, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1656/))

      allocate(vertices(1478)%branchCT(0:0))
      call avCT(1478, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2116/))

      allocate(vertices(4294)%branchCT(0:0))
      call avCT(4294, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1634/))

      allocate(vertices(1479)%branchCT(0:0))
      call avCT(1479, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1879/))

      allocate(vertices(746)%branchCT(0:0))
      call avCT(746, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1879/))

      allocate(vertices(1480)%branchCT(0:0))
      call avCT(1480, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1910/))

      allocate(vertices(3956)%branchCT(0:0))
      call avCT(3956, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2223/))

      allocate(vertices(3957)%branchCT(0:0))
      call avCT(3957, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2095/))

      allocate(vertices(4317)%branchCT(0:1))
      call avCT(4317, 0, 17, 1, 0, FaSF0, (/0, 3/), (/nGC_2065, nGC_2065/))

      call avCT(4317, 1, 17, 1, 0, FaSF0, (/2, 1/), (/nGC_2066, nGC_2066/))

      allocate(vertices(1483)%branchCT(0:0))
      call avCT(1483, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1655/))

      allocate(vertices(1484)%branchCT(0:0))
      call avCT(1484, 0, 1, 1, 0, UUaS0, (/0, 3/), (/nGC_1660/))

      allocate(vertices(1486)%branchCT(0:0))
      call avCT(1486, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1983/))

      allocate(vertices(4341)%branchCT(0:0))
      call avCT(4341, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1633/))

      allocate(vertices(1488)%branchCT(0:3))
      call avCT(1488, 0, 67, 5, 0, FaVF0, (/3, 0/), (/nGC_2162, nGC_2164/))

      call avCT(1488, 1, 67, 5, 0, FaVF0, (/1, 2/), (/nGC_2163, nGC_2165/))

      call avCT(1488, 2, 66, 4, 0, FaVF0, (/3, 0/), (/nGC_2162, nGC_2164/))

      call avCT(1488, 3, 66, 4, 0, FaVF0, (/1, 2/), (/nGC_2163, nGC_2165/))

      allocate(vertices(2217)%branchCT(0:0))
      call avCT(2217, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2124/))

      allocate(vertices(4349)%branchCT(0:0))
      call avCT(4349, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1879/))

      allocate(vertices(1491)%branchCT(0:0))
      call avCT(1491, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1907/))

      allocate(vertices(603)%branchCT(0:0))
      call avCT(603, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(1493)%branchCT(0:0))
      call avCT(1493, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1884/))

      allocate(vertices(3966)%branchCT(0:0))
      call avCT(3966, 0, 1, 1, 0, FaSF0, (/0, 3/), (/nGC_2108, nGC_2109/))

      allocate(vertices(4366)%branchCT(0:0))
      call avCT(4366, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2092/))

      allocate(vertices(3968)%branchCT(0:0))
      call avCT(3968, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(3463)%branchCT(0:0))
      call avCT(3463, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(578)%branchCT(0:0))
      call avCT(578, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1915/))

      allocate(vertices(4396)%branchCT(0:0))
      call avCT(4396, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1891/))

      allocate(vertices(3973)%branchCT(0:0))
      call avCT(3973, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1915/))

      allocate(vertices(4412)%branchCT(0:0))
      call avCT(4412, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1969/))

      allocate(vertices(2617)%branchCT(0:0))
      call avCT(2617, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1893/))

      allocate(vertices(1456)%branchCT(0:0))
      call avCT(1456, 0, 1, 1, 0, UaUV0, (/0, 3/), (/nGC_1906/))

      allocate(vertices(3975)%branchCT(0:0))
      call avCT(3975, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1920/))

      allocate(vertices(3976)%branchCT(0:1))
      call avCT(3976, 0, 21, 1, 0, SFFa0, (/0, 3/), (/nGC_1908, nGC_1908/))

      call avCT(3976, 1, 21, 1, 0, SFFa0, (/2, 1/), (/nGC_1909, nGC_1909/))

      allocate(vertices(1249)%branchCT(0:0))
      call avCT(1249, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1983/))

      allocate(vertices(3978)%branchCT(0:1))
      call avCT(3978, 0, 18, 1, 0, FaFS0, (/0, 3/), (/nGC_2198, nGC_2198/))

      call avCT(3978, 1, 18, 1, 0, FaFS0, (/2, 1/), (/nGC_2199, nGC_2199/))

      allocate(vertices(4344)%branchCT(0:0))
      call avCT(4344, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1949/))

      allocate(vertices(1524)%branchCT(0:0))
      call avCT(1524, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1907/))

      allocate(vertices(2004)%branchCT(0:0))
      call avCT(2004, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1910/))

      allocate(vertices(3554)%branchCT(0:0))
      call avCT(3554, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(4239)%branchCT(0:0))
      call avCT(4239, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1976/))

      allocate(vertices(5068)%branchCT(0:0))
      call avCT(5068, 0, 13, 1, 0, SV0, (/0, 2/), (/nGC_2224/))

      allocate(vertices(4385)%branchCT(0:0))
      call avCT(4385, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1902/))

      allocate(vertices(1508)%branchCT(0:0))
      call avCT(1508, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1883/))

      allocate(vertices(1510)%branchCT(0:0))
      call avCT(1510, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1915/))

      allocate(vertices(1511)%branchCT(0:0))
      call avCT(1511, 0, 1, 1, 0, FSFa2, (/0, 3/), (/nGC_1982/))

      allocate(vertices(1429)%branchCT(0:0))
      call avCT(1429, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1638/))

      allocate(vertices(3989)%branchCT(0:0))
      call avCT(3989, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_2017/))

      allocate(vertices(3990)%branchCT(0:0))
      call avCT(3990, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1893/))

      allocate(vertices(1513)%branchCT(0:0))
      call avCT(1513, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1884/))

      allocate(vertices(2223)%branchCT(0:0))
      call avCT(2223, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_1964, nGC_1964,       &
      nGC_1965/))

      allocate(vertices(3992)%branchCT(0:0))
      call avCT(3992, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1989/))

      allocate(vertices(5069)%branchCT(0:0))
      call avCT(5069, 0, 1, 1, 0, VFFa0, (/0, 3/), (/nGC_2007/))

      allocate(vertices(3995)%branchCT(0:0))
      call avCT(3995, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1976/))

      allocate(vertices(3997)%branchCT(0:3))
      call avCT(3997, 0, 52, 4, 0, VFaF1, (/1, 2/), (/nGC_2046, nGC_2048/))

      call avCT(3997, 1, 52, 4, 0, VFaF1, (/3, 0/), (/nGC_2045, nGC_2047/))

      call avCT(3997, 2, 53, 5, 0, VFaF1, (/1, 2/), (/nGC_2046, nGC_2048/))

      call avCT(3997, 3, 53, 5, 0, VFaF1, (/3, 0/), (/nGC_2045, nGC_2047/))

      allocate(vertices(305)%branchCT(0:0))
      call avCT(305, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(3468)%branchCT(0:0))
      call avCT(3468, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1969/))

      allocate(vertices(4587)%branchCT(0:0))
      call avCT(4587, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1905/))

      allocate(vertices(4596)%branchCT(0:0))
      call avCT(4596, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1891/))

      allocate(vertices(4003)%branchCT(0:0))
      call avCT(4003, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1903/))

      allocate(vertices(2227)%branchCT(0:0))
      call avCT(2227, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1922/))

      allocate(vertices(1521)%branchCT(0:0))
      call avCT(1521, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1655/))

      allocate(vertices(5070)%branchCT(0:0))
      call avCT(5070, 0, 1, 1, 0, VSV0, (/0, 3/), (/nGC_2221/))

      allocate(vertices(4007)%branchCT(0:0))
      call avCT(4007, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1983/))

      allocate(vertices(4008)%branchCT(0:1))
      call avCT(4008, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_1980, nGC_1978/))

      call avCT(4008, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_1981, nGC_1979/))

      allocate(vertices(4009)%branchCT(0:0))
      call avCT(4009, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(4010)%branchCT(0:3))
      call avCT(4010, 0, 11, 4, 0, FFaV0, (/1, 2/), (/nGC_2014, nGC_2016/))

      call avCT(4010, 1, 11, 4, 0, FFaV0, (/3, 0/), (/nGC_2013, nGC_2015/))

      call avCT(4010, 2, 12, 5, 0, FFaV0, (/1, 2/), (/nGC_2014, nGC_2016/))

      call avCT(4010, 3, 12, 5, 0, FFaV0, (/3, 0/), (/nGC_2013, nGC_2015/))

      allocate(vertices(1809)%branchCT(0:0))
      call avCT(1809, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2034/))

      allocate(vertices(4655)%branchCT(0:0))
      call avCT(4655, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1657/))

      allocate(vertices(3027)%branchCT(0:0))
      call avCT(3027, 0, 1, 1, 0, SFaF0, (/0, 3/), (/nGC_1935, nGC_1935/))

      allocate(vertices(1526)%branchCT(0:0))
      call avCT(1526, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1893/))

      allocate(vertices(4014)%branchCT(0:3))
      call avCT(4014, 0, 67, 5, 0, FaVF0, (/1, 2/), (/nGC_2158, nGC_2160/))

      call avCT(4014, 1, 67, 5, 0, FaVF0, (/3, 0/), (/nGC_2157, nGC_2159/))

      call avCT(4014, 2, 66, 4, 0, FaVF0, (/1, 2/), (/nGC_2158, nGC_2160/))

      call avCT(4014, 3, 66, 4, 0, FaVF0, (/3, 0/), (/nGC_2157, nGC_2159/))

      allocate(vertices(4736)%branchCT(0:0))
      call avCT(4736, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1891/))

      allocate(vertices(2191)%branchCT(0:0))
      call avCT(2191, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1884/))

      allocate(vertices(4869)%branchCT(0:0))
      call avCT(4869, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1884/))

      allocate(vertices(3784)%branchCT(0:0))
      call avCT(3784, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1886/))

      allocate(vertices(1002)%branchCT(0:0))
      call avCT(1002, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1921/))

      allocate(vertices(4693)%branchCT(0:0))
      call avCT(4693, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2095/))

      allocate(vertices(1529)%branchCT(0:1))
      call avCT(1529, 0, 18, 1, 0, FaFS0, (/0, 3/), (/nGC_1955, nGC_1957/))

      call avCT(1529, 1, 18, 1, 0, FaFS0, (/2, 1/), (/nGC_1956, nGC_1958/))

      allocate(vertices(3450)%branchCT(0:3))
      call avCT(3450, 0, 11, 4, 0, FFaV0, (/1, 2/), (/nGC_2144, nGC_2146/))

      call avCT(3450, 1, 11, 4, 0, FFaV0, (/3, 0/), (/nGC_2143, nGC_2145/))

      call avCT(3450, 2, 12, 5, 0, FFaV0, (/1, 2/), (/nGC_2144, nGC_2146/))

      call avCT(3450, 3, 12, 5, 0, FFaV0, (/3, 0/), (/nGC_2143, nGC_2145/))

      allocate(vertices(4020)%branchCT(0:0))
      call avCT(4020, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1884/))

      allocate(vertices(1530)%branchCT(0:0))
      call avCT(1530, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1655/))

      allocate(vertices(5071)%branchCT(0:0))
      call avCT(5071, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2031/))

      allocate(vertices(4023)%branchCT(0:0))
      call avCT(4023, 0, 1, 1, 0, VFFa0, (/0, 3/), (/nGC_1994/))

      allocate(vertices(4884)%branchCT(0:0))
      call avCT(4884, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1969/))

      allocate(vertices(13)%branchCT(0:0))
      call avCT(13, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1884/))

      allocate(vertices(4026)%branchCT(0:0))
      call avCT(4026, 0, 1, 1, 0, UVUa0, (/0, 3/), (/nGC_2225/))

      allocate(vertices(1532)%branchCT(0:0))
      call avCT(1532, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1988/))

      allocate(vertices(4499)%branchCT(0:0))
      call avCT(4499, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1949/))

      allocate(vertices(4721)%branchCT(0:0))
      call avCT(4721, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1884/))

      allocate(vertices(4028)%branchCT(0:0))
      call avCT(4028, 0, 1, 1, 0, FFaS0, (/0, 3/), (/nGC_1935, nGC_1935/))

      allocate(vertices(1535)%branchCT(0:0))
      call avCT(1535, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1907/))

      allocate(vertices(4032)%branchCT(0:0))
      call avCT(4032, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1656/))

      allocate(vertices(1146)%branchCT(0:0))
      call avCT(1146, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1949/))

      allocate(vertices(4101)%branchCT(0:0))
      call avCT(4101, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1907/))

      allocate(vertices(5072)%branchCT(0:0))
      call avCT(5072, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2031/))

      allocate(vertices(1540)%branchCT(0:0))
      call avCT(1540, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_1968/))

      allocate(vertices(1541)%branchCT(0:0))
      call avCT(1541, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1632/))

      allocate(vertices(4036)%branchCT(0:0))
      call avCT(4036, 0, 1, 1, 0, VSV0, (/0, 3/), (/nGC_1938/))

      allocate(vertices(1543)%branchCT(0:0))
      call avCT(1543, 0, 1, 1, 0, VFFa0, (/0, 3/), (/nGC_1931/))

      allocate(vertices(3474)%branchCT(0:0))
      call avCT(3474, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1631/))

      allocate(vertices(1255)%branchCT(0:0))
      call avCT(1255, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1879/))

      allocate(vertices(1546)%branchCT(0:0))
      call avCT(1546, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_2128/))

      allocate(vertices(1547)%branchCT(0:0))
      call avCT(1547, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1893/))

      allocate(vertices(1548)%branchCT(0:0))
      call avCT(1548, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1937/))

      allocate(vertices(4813)%branchCT(0:0))
      call avCT(4813, 0, 1, 1, 0, FSFa0, (/0, 3/), (/nGC_2108, nGC_2109/))

      allocate(vertices(4040)%branchCT(0:1))
      call avCT(4040, 0, 21, 1, 0, VFFa0, (/0, 3/), (/nGC_2129/))

      call avCT(4040, 1, 21, 1, 0, VFFa0, (/2, 1/), (/nGC_2130/))

      allocate(vertices(4041)%branchCT(0:0))
      call avCT(4041, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1937/))

      allocate(vertices(1553)%branchCT(0:0))
      call avCT(1553, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1655/))

      allocate(vertices(4044)%branchCT(0:0))
      call avCT(4044, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1884/))

      allocate(vertices(4763)%branchCT(0:0))
      call avCT(4763, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1902/))

      allocate(vertices(4046)%branchCT(0:0))
      call avCT(4046, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1930/))

      allocate(vertices(4047)%branchCT(0:1))
      call avCT(4047, 0, 21, 1, 0, SFFa0, (/0, 3/), (/nGC_1960, nGC_1962/))

      call avCT(4047, 1, 21, 1, 0, SFFa0, (/2, 1/), (/nGC_1961, nGC_1963/))

      allocate(vertices(4851)%branchCT(0:0))
      call avCT(4851, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1632/))

      allocate(vertices(4352)%branchCT(0:0))
      call avCT(4352, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2028/))

      allocate(vertices(4049)%branchCT(0:0))
      call avCT(4049, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1900/))

      allocate(vertices(1674)%branchCT(0:0))
      call avCT(1674, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1891/))

      allocate(vertices(1625)%branchCT(0:0))
      call avCT(1625, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2019/))

      allocate(vertices(4053)%branchCT(0:0))
      call avCT(4053, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1976/))

      allocate(vertices(4055)%branchCT(0:0))
      call avCT(4055, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1899/))

      allocate(vertices(4891)%branchCT(0:0))
      call avCT(4891, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1884/))

      allocate(vertices(4058)%branchCT(0:0))
      call avCT(4058, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2226/))

      allocate(vertices(2424)%branchCT(0:0))
      call avCT(2424, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2227/))

      allocate(vertices(2509)%branchCT(0:0))
      call avCT(2509, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1907/))

      allocate(vertices(247)%branchCT(0:0))
      call avCT(247, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1656/))

      allocate(vertices(1563)%branchCT(0:0))
      call avCT(1563, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1910/))

      allocate(vertices(1564)%branchCT(0:0))
      call avCT(1564, 0, 1, 1, 0, SFFa0, (/0, 3/), (/nGC_1935, nGC_1935/))

      allocate(vertices(4062)%branchCT(0:3))
      call avCT(4062, 0, 51, 5, 0, FaFV0, (/1, 2/), (/nGC_2158, nGC_2160/))

      call avCT(4062, 1, 51, 5, 0, FaFV0, (/3, 0/), (/nGC_2157, nGC_2159/))

      call avCT(4062, 2, 50, 4, 0, FaFV0, (/1, 2/), (/nGC_2158, nGC_2160/))

      call avCT(4062, 3, 50, 4, 0, FaFV0, (/3, 0/), (/nGC_2157, nGC_2159/))

      allocate(vertices(3478)%branchCT(0:0))
      call avCT(3478, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1893/))

      allocate(vertices(4063)%branchCT(0:0))
      call avCT(4063, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1905/))

      allocate(vertices(1566)%branchCT(0:1))
      call avCT(1566, 0, 19, 1, 0, FSFa0, (/0, 3/), (/nGC_1955, nGC_1957/))

      call avCT(1566, 1, 19, 1, 0, FSFa0, (/2, 1/), (/nGC_1956, nGC_1958/))

      allocate(vertices(4064)%branchCT(0:0))
      call avCT(4064, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1926/))

      allocate(vertices(4065)%branchCT(0:0))
      call avCT(4065, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_2141/))

      allocate(vertices(1568)%branchCT(0:0))
      call avCT(1568, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1879/))

      allocate(vertices(1165)%branchCT(0:0))
      call avCT(1165, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1920/))

      allocate(vertices(1219)%branchCT(0:0))
      call avCT(1219, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1884/))

      allocate(vertices(4072)%branchCT(0:0))
      call avCT(4072, 0, 1, 1, 0, SFFa0, (/0, 3/), (/nGC_2155, nGC_2155/))

      allocate(vertices(1355)%branchCT(0:5))
      call avCT(1355, 0, 9, 7, 0, VVVV0, (/4, 0/), (/nGC_2228, nGC_2229,       &
      nGC_2228/))

      call avCT(1355, 1, 7, 7, 0, VVVV0, (/4, 0/), (/nGC_2228, nGC_2229,       &
      nGC_2228/))

      call avCT(1355, 2, 8, 7, 0, VVVV0, (/4, 0/), (/nGC_2229, nGC_2228,       &
      nGC_2228/))

      call avCT(1355, 3, 6, 7, 0, VVVV0, (/4, 0/), (/nGC_2229, nGC_2228,       &
      nGC_2228/))

      call avCT(1355, 4, 5, 6, 0, VVVV0, (/4, 0/), (/nGC_2230, nGC_2230,       &
      nGC_2231/))

      call avCT(1355, 5, 4, 6, 0, VVVV0, (/4, 0/), (/nGC_2230, nGC_2230,       &
      nGC_2231/))

      allocate(vertices(1572)%branchCT(0:0))
      call avCT(1572, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1915/))

      allocate(vertices(1573)%branchCT(0:0))
      call avCT(1573, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1920/))

      allocate(vertices(35)%branchCT(0:0))
      call avCT(35, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1915/))

      allocate(vertices(610)%branchCT(0:0))
      call avCT(610, 0, 1, 1, 0, SVV0, (/0, 3/), (/nGC_2156/))

      allocate(vertices(1576)%branchCT(0:0))
      call avCT(1576, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1922/))

      allocate(vertices(4078)%branchCT(0:0))
      call avCT(4078, 0, 1, 1, 0, VSS0, (/0, 3/), (/nGC_2018/))

      allocate(vertices(4079)%branchCT(0:0))
      call avCT(4079, 0, 1, 1, 0, FaFV0, (/0, 3/), (/nGC_2093, nGC_2094/))

      allocate(vertices(4355)%branchCT(0:0))
      call avCT(4355, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1915/))

      allocate(vertices(3730)%branchCT(0:0))
      call avCT(3730, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1891/))

      allocate(vertices(1579)%branchCT(0:0))
      call avCT(1579, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1933/))

      allocate(vertices(1580)%branchCT(0:1))
      call avCT(1580, 0, 62, 2, 0, VUaU1, (/3, 0/), (/nGC_2071/))

      call avCT(1580, 1, 63, 3, 0, VUaU1, (/3, 0/), (/nGC_2071/))

      allocate(vertices(71)%branchCT(0:0))
      call avCT(71, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1905/))

      allocate(vertices(77)%branchCT(0:0))
      call avCT(77, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1634/))

      allocate(vertices(5073)%branchCT(0:0))
      call avCT(5073, 0, 13, 1, 0, FFa1, (/0, 2/), (/nGC_2138/))

      allocate(vertices(4086)%branchCT(0:0))
      call avCT(4086, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1937/))

      allocate(vertices(4625)%branchCT(0:0))
      call avCT(4625, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1903/))

      allocate(vertices(1582)%branchCT(0:0))
      call avCT(1582, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1884/))

      allocate(vertices(624)%branchCT(0:0))
      call avCT(624, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1969/))

      allocate(vertices(1583)%branchCT(0:0))
      call avCT(1583, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1878/))

      allocate(vertices(110)%branchCT(0:0))
      call avCT(110, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1905/))

      allocate(vertices(4090)%branchCT(0:0))
      call avCT(4090, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1634/))

      allocate(vertices(4091)%branchCT(0:0))
      call avCT(4091, 0, 1, 1, 0, FFaV1, (/0, 3/), (/nGC_2033/))

      allocate(vertices(1588)%branchCT(0:0))
      call avCT(1588, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1967/))

      allocate(vertices(4093)%branchCT(0:0))
      call avCT(4093, 0, 1, 1, 0, SUaU0, (/0, 3/), (/nGC_1660/))

      allocate(vertices(4094)%branchCT(0:0))
      call avCT(4094, 0, 1, 1, 0, VSV0, (/0, 3/), (/nGC_1966/))

      allocate(vertices(1589)%branchCT(0:0))
      call avCT(1589, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_2000/))

      allocate(vertices(140)%branchCT(0:0))
      call avCT(140, 0, 1, 1, 0, SUaU0, (/0, 3/), (/nGC_1901/))

      allocate(vertices(4099)%branchCT(0:0))
      call avCT(4099, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1902/))

      allocate(vertices(4100)%branchCT(0:1))
      call avCT(4100, 0, 20, 1, 0, SFaF0, (/0, 3/), (/nGC_1980, nGC_1978/))

      call avCT(4100, 1, 20, 1, 0, SFaF0, (/2, 1/), (/nGC_1981, nGC_1979/))

      allocate(vertices(1593)%branchCT(0:0))
      call avCT(1593, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1656/))

      allocate(vertices(159)%branchCT(0:0))
      call avCT(159, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(1592)%branchCT(0:0))
      call avCT(1592, 0, 1, 1, 0, FaSF0, (/0, 3/), (/nGC_2220, nGC_2220/))

      allocate(vertices(2245)%branchCT(0:0))
      call avCT(2245, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1905/))

      allocate(vertices(1596)%branchCT(0:0))
      call avCT(1596, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1902/))

      allocate(vertices(1552)%branchCT(0:0))
      call avCT(1552, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1907/))

      allocate(vertices(1597)%branchCT(0:0))
      call avCT(1597, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1891/))

      allocate(vertices(626)%branchCT(0:0))
      call avCT(626, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1933/))

      allocate(vertices(4106)%branchCT(0:0))
      call avCT(4106, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1891/))

      allocate(vertices(254)%branchCT(0:0))
      call avCT(254, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1983/))

      allocate(vertices(1599)%branchCT(0:0))
      call avCT(1599, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2103/))

      allocate(vertices(1600)%branchCT(0:1))
      call avCT(1600, 0, 20, 1, 0, SFaF0, (/0, 3/), (/nGC_1880, nGC_1880/))

      call avCT(1600, 1, 20, 1, 0, SFaF0, (/2, 1/), (/nGC_1881, nGC_1881/))

      allocate(vertices(3145)%branchCT(0:0))
      call avCT(3145, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1633/))

      allocate(vertices(194)%branchCT(0:0))
      call avCT(194, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1882/))

      allocate(vertices(576)%branchCT(0:1))
      call avCT(576, 0, 20, 1, 0, VFaF0, (/0, 3/), (/nGC_2133/))

      call avCT(576, 1, 20, 1, 0, VFaF0, (/2, 1/), (/nGC_2134/))

      allocate(vertices(4111)%branchCT(0:0))
      call avCT(4111, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1891/))

      allocate(vertices(1603)%branchCT(0:0))
      call avCT(1603, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(1604)%branchCT(0:0))
      call avCT(1604, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_2055/))

      allocate(vertices(1606)%branchCT(0:3))
      call avCT(1606, 0, 11, 4, 0, FFaV0, (/1, 2/), (/nGC_2158, nGC_2160/))

      call avCT(1606, 1, 11, 4, 0, FFaV0, (/3, 0/), (/nGC_2157, nGC_2159/))

      call avCT(1606, 2, 12, 5, 0, FFaV0, (/1, 2/), (/nGC_2158, nGC_2160/))

      call avCT(1606, 3, 12, 5, 0, FFaV0, (/3, 0/), (/nGC_2157, nGC_2159/))

      allocate(vertices(4162)%branchCT(0:0))
      call avCT(4162, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2028/))

      allocate(vertices(2062)%branchCT(0:0))
      call avCT(2062, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1949/))

      allocate(vertices(1608)%branchCT(0:0))
      call avCT(1608, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1910/))

      allocate(vertices(5074)%branchCT(0:0))
      call avCT(5074, 0, 1, 1, 0, FaVF1, (/0, 3/), (/nGC_2007/))

      allocate(vertices(1609)%branchCT(0:0))
      call avCT(1609, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1976/))

      allocate(vertices(629)%branchCT(0:1))
      call avCT(629, 0, 64, 2, 0, VUUa0, (/3, 0/), (/nGC_2131/))

      call avCT(629, 1, 65, 3, 0, VUUa0, (/3, 0/), (/nGC_2131/))

      allocate(vertices(4120)%branchCT(0:0))
      call avCT(4120, 0, 1, 1, 0, UaVU0, (/0, 3/), (/nGC_2042/))

      allocate(vertices(4121)%branchCT(0:1))
      call avCT(4121, 0, 17, 1, 0, FaSF0, (/0, 3/), (/nGC_1960, nGC_1962/))

      call avCT(4121, 1, 17, 1, 0, FaSF0, (/2, 1/), (/nGC_1961, nGC_1963/))

      allocate(vertices(1610)%branchCT(0:0))
      call avCT(1610, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1893/))

      allocate(vertices(3839)%branchCT(0:0))
      call avCT(3839, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2032/))

      allocate(vertices(4123)%branchCT(0:0))
      call avCT(4123, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1631/))

      allocate(vertices(4124)%branchCT(0:0))
      call avCT(4124, 0, 1, 1, 0, SVV0, (/0, 3/), (/nGC_1938/))

      allocate(vertices(1933)%branchCT(0:0))
      call avCT(1933, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(4125)%branchCT(0:0))
      call avCT(4125, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1893/))

      allocate(vertices(4361)%branchCT(0:0))
      call avCT(4361, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_2125, nGC_2125,       &
      nGC_2126/))

      allocate(vertices(1613)%branchCT(0:0))
      call avCT(1613, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1949/))

      allocate(vertices(4128)%branchCT(0:0))
      call avCT(4128, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1926/))

      allocate(vertices(4129)%branchCT(0:0))
      call avCT(4129, 0, 1, 1, 0, SVV0, (/0, 3/), (/nGC_1928/))

      allocate(vertices(2790)%branchCT(0:1))
      call avCT(2790, 0, 18, 1, 0, FaFS0, (/0, 3/), (/nGC_2029, nGC_2029/))

      call avCT(2790, 1, 18, 1, 0, FaFS0, (/2, 1/), (/nGC_2030, nGC_2030/))

      allocate(vertices(1616)%branchCT(0:0))
      call avCT(1616, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1907/))

      allocate(vertices(1617)%branchCT(0:0))
      call avCT(1617, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1655/))

      allocate(vertices(1618)%branchCT(0:0))
      call avCT(1618, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1893/))

      allocate(vertices(4133)%branchCT(0:0))
      call avCT(4133, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_2000/))

      allocate(vertices(319)%branchCT(0:0))
      call avCT(319, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1893/))

      allocate(vertices(4135)%branchCT(0:0))
      call avCT(4135, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1921/))

      allocate(vertices(3812)%branchCT(0:0))
      call avCT(3812, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1883/))

      allocate(vertices(4137)%branchCT(0:0))
      call avCT(4137, 0, 1, 1, 0, UaUV0, (/0, 3/), (/nGC_2054/))

      allocate(vertices(1620)%branchCT(0:0))
      call avCT(1620, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2034/))

      allocate(vertices(349)%branchCT(0:1))
      call avCT(349, 0, 20, 1, 0, SFaF0, (/0, 3/), (/nGC_2029, nGC_2029/))

      call avCT(349, 1, 20, 1, 0, SFaF0, (/2, 1/), (/nGC_2030, nGC_2030/))

      allocate(vertices(3744)%branchCT(0:0))
      call avCT(3744, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1910/))

      allocate(vertices(5075)%branchCT(0:0))
      call avCT(5075, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1940/))

      allocate(vertices(4139)%branchCT(0:0))
      call avCT(4139, 0, 1, 1, 0, VVV0, (/0, 3/), (/nGC_2232/))

      allocate(vertices(1623)%branchCT(0:0))
      call avCT(1623, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1656/))

      allocate(vertices(4140)%branchCT(0:1))
      call avCT(4140, 0, 21, 1, 0, SFFa0, (/0, 3/), (/nGC_2202, nGC_2200/))

      call avCT(4140, 1, 21, 1, 0, SFFa0, (/2, 1/), (/nGC_2203, nGC_2201/))

      allocate(vertices(425)%branchCT(0:0))
      call avCT(425, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1657/))

      allocate(vertices(1624)%branchCT(0:0))
      call avCT(1624, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1656/))

      allocate(vertices(4141)%branchCT(0:0))
      call avCT(4141, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1949/))

      allocate(vertices(1627)%branchCT(0:0))
      call avCT(1627, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1926/))

      allocate(vertices(4144)%branchCT(0:0))
      call avCT(4144, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1907/))

      allocate(vertices(4145)%branchCT(0:0))
      call avCT(4145, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1905/))

      allocate(vertices(404)%branchCT(0:0))
      call avCT(404, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2092/))

      allocate(vertices(406)%branchCT(0:0))
      call avCT(406, 0, 1, 1, 0, SFFa0, (/0, 3/), (/nGC_2220, nGC_2220/))

      allocate(vertices(1634)%branchCT(0:0))
      call avCT(1634, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1630/))

      allocate(vertices(1290)%branchCT(0:0))
      call avCT(1290, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1899/))

      allocate(vertices(4149)%branchCT(0:0))
      call avCT(4149, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1655/))

      allocate(vertices(1694)%branchCT(0:0))
      call avCT(1694, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1921/))

      allocate(vertices(3496)%branchCT(0:0))
      call avCT(3496, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1633/))

      allocate(vertices(4151)%branchCT(0:0))
      call avCT(4151, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(5076)%branchCT(0:0))
      call avCT(5076, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2031/))

      allocate(vertices(1831)%branchCT(0:0))
      call avCT(1831, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1878/))

      allocate(vertices(1639)%branchCT(0:0))
      call avCT(1639, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(2637)%branchCT(0:0))
      call avCT(2637, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1886/))

      allocate(vertices(1640)%branchCT(0:0))
      call avCT(1640, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1632/))

      allocate(vertices(4158)%branchCT(0:0))
      call avCT(4158, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(598)%branchCT(0:0))
      call avCT(598, 0, 1, 1, 0, FaFV1, (/0, 3/), (/nGC_2010/))

      allocate(vertices(1643)%branchCT(0:0))
      call avCT(1643, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1632/))

      allocate(vertices(4160)%branchCT(0:1))
      call avCT(4160, 0, 18, 1, 0, FaFV1, (/0, 3/), (/nGC_2056/))

      call avCT(4160, 1, 18, 1, 0, FaFV1, (/2, 1/), (/nGC_2057/))

      allocate(vertices(4842)%branchCT(0:0))
      call avCT(4842, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1922/))

      allocate(vertices(3834)%branchCT(0:0))
      call avCT(3834, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1921/))

      allocate(vertices(4163)%branchCT(0:0))
      call avCT(4163, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1967/))

      allocate(vertices(1646)%branchCT(0:0))
      call avCT(1646, 0, 1, 1, 0, SUaU0, (/0, 3/), (/nGC_1660/))

      allocate(vertices(493)%branchCT(0:0))
      call avCT(493, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1630/))

      allocate(vertices(495)%branchCT(0:1))
      call avCT(495, 0, 19, 1, 0, FSFa0, (/0, 3/), (/nGC_1916, nGC_1918/))

      call avCT(495, 1, 19, 1, 0, FSFa0, (/2, 1/), (/nGC_1917, nGC_1919/))

      allocate(vertices(4165)%branchCT(0:0))
      call avCT(4165, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1910/))

      allocate(vertices(4166)%branchCT(0:0))
      call avCT(4166, 0, 1, 1, 0, UaUV0, (/0, 3/), (/nGC_2154/))

      allocate(vertices(2972)%branchCT(0:0))
      call avCT(2972, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1969/))

      allocate(vertices(1653)%branchCT(0:0))
      call avCT(1653, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2095/))

      allocate(vertices(512)%branchCT(0:0))
      call avCT(512, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1910/))

      allocate(vertices(1655)%branchCT(0:0))
      call avCT(1655, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1899/))

      allocate(vertices(4169)%branchCT(0:1))
      call avCT(4169, 0, 18, 1, 0, FaFS0, (/0, 3/), (/nGC_2182, nGC_2182/))

      call avCT(4169, 1, 18, 1, 0, FaFS0, (/2, 1/), (/nGC_2183, nGC_2183/))

      allocate(vertices(1656)%branchCT(0:0))
      call avCT(1656, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1883/))

      allocate(vertices(4171)%branchCT(0:1))
      call avCT(4171, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_2200, nGC_2202/))

      call avCT(4171, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_2201, nGC_2203/))

      allocate(vertices(5077)%branchCT(0:0))
      call avCT(5077, 0, 13, 1, 0, FaF1, (/0, 2/), (/nGC_2142/))

      allocate(vertices(1658)%branchCT(0:1))
      call avCT(1658, 0, 10, 1, 0, FFaV1, (/0, 3/), (/nGC_2056/))

      call avCT(1658, 1, 10, 1, 0, FFaV1, (/2, 1/), (/nGC_2057/))

      allocate(vertices(1136)%branchCT(0:0))
      call avCT(1136, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1933/))

      allocate(vertices(1660)%branchCT(0:0))
      call avCT(1660, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(5078)%branchCT(0:0))
      call avCT(5078, 0, 1, 1, 0, FVFa1, (/0, 3/), (/nGC_2007/))

      allocate(vertices(1662)%branchCT(0:0))
      call avCT(1662, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1905/))

      allocate(vertices(4177)%branchCT(0:0))
      call avCT(4177, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1655/))

      allocate(vertices(1664)%branchCT(0:0))
      call avCT(1664, 0, 1, 1, 0, FaVF1, (/0, 3/), (/nGC_1934/))

      allocate(vertices(2644)%branchCT(0:0))
      call avCT(2644, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2116/))

      allocate(vertices(1666)%branchCT(0:0))
      call avCT(1666, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1937/))

      allocate(vertices(4182)%branchCT(0:0))
      call avCT(4182, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_2176/))

      allocate(vertices(4183)%branchCT(0:0))
      call avCT(4183, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1910/))

      allocate(vertices(4185)%branchCT(0:0))
      call avCT(4185, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_2017/))

      allocate(vertices(4186)%branchCT(0:0))
      call avCT(4186, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_2125, nGC_2126,       &
      nGC_2125/))

      allocate(vertices(1670)%branchCT(0:1))
      call avCT(1670, 0, 19, 1, 0, FVFa0, (/0, 3/), (/nGC_2177, nGC_2179/))

      call avCT(1670, 1, 19, 1, 0, FVFa0, (/2, 1/), (/nGC_2178, nGC_2180/))

      allocate(vertices(1672)%branchCT(0:0))
      call avCT(1672, 0, 1, 1, 0, FaSF1, (/0, 3/), (/nGC_1904/))

      allocate(vertices(1512)%branchCT(0:0))
      call avCT(1512, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1910/))

      allocate(vertices(853)%branchCT(0:0))
      call avCT(853, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1910/))

      allocate(vertices(2939)%branchCT(0:0))
      call avCT(2939, 0, 1, 1, 0, SFFa2, (/0, 3/), (/nGC_1904/))

      allocate(vertices(642)%branchCT(0:0))
      call avCT(642, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1926/))

      allocate(vertices(4190)%branchCT(0:0))
      call avCT(4190, 0, 1, 1, 0, SFFa1, (/0, 3/), (/nGC_1904/))

      allocate(vertices(3225)%branchCT(0:0))
      call avCT(3225, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1633/))

      allocate(vertices(1556)%branchCT(0:0))
      call avCT(1556, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1884/))

      allocate(vertices(4194)%branchCT(0:0))
      call avCT(4194, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1903/))

      allocate(vertices(4196)%branchCT(0:0))
      call avCT(4196, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2032/))

      allocate(vertices(2147)%branchCT(0:0))
      call avCT(2147, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1910/))

      allocate(vertices(1676)%branchCT(0:0))
      call avCT(1676, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1899/))

      allocate(vertices(4199)%branchCT(0:0))
      call avCT(4199, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1907/))

      allocate(vertices(1677)%branchCT(0:1))
      call avCT(1677, 0, 17, 1, 0, FaVF0, (/0, 3/), (/nGC_1887, nGC_1889/))

      call avCT(1677, 1, 17, 1, 0, FaVF0, (/2, 1/), (/nGC_1888, nGC_1890/))

      allocate(vertices(983)%branchCT(0:0))
      call avCT(983, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1969/))

      allocate(vertices(1678)%branchCT(0:0))
      call avCT(1678, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1632/))

      allocate(vertices(3936)%branchCT(0:0))
      call avCT(3936, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(4204)%branchCT(0:0))
      call avCT(4204, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1631/))

      allocate(vertices(1229)%branchCT(0:0))
      call avCT(1229, 0, 1, 1, 0, FaFS0, (/0, 3/), (/nGC_1970, nGC_1970/))

      allocate(vertices(720)%branchCT(0:0))
      call avCT(720, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(4206)%branchCT(0:0))
      call avCT(4206, 0, 1, 1, 0, VUaU1, (/0, 3/), (/nGC_2154/))

      allocate(vertices(4102)%branchCT(0:1))
      call avCT(4102, 0, 18, 1, 0, FaFV1, (/0, 3/), (/nGC_2133/))

      call avCT(4102, 1, 18, 1, 0, FaFV1, (/2, 1/), (/nGC_2134/))

      allocate(vertices(4207)%branchCT(0:0))
      call avCT(4207, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1932/))

      allocate(vertices(4208)%branchCT(0:0))
      call avCT(4208, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2028/))

      allocate(vertices(4209)%branchCT(0:1))
      call avCT(4209, 0, 19, 1, 0, FVFa0, (/0, 3/), (/nGC_2186, nGC_2188/))

      call avCT(4209, 1, 19, 1, 0, FVFa0, (/2, 1/), (/nGC_2187, nGC_2189/))

      allocate(vertices(1842)%branchCT(0:0))
      call avCT(1842, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2233/))

      allocate(vertices(4210)%branchCT(0:0))
      call avCT(4210, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1893/))

      allocate(vertices(1465)%branchCT(0:0))
      call avCT(1465, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1900/))

      allocate(vertices(1578)%branchCT(0:0))
      call avCT(1578, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1900/))

      allocate(vertices(4214)%branchCT(0:3))
      call avCT(4214, 0, 67, 5, 0, FaVF0, (/1, 2/), (/nGC_2014, nGC_2016/))

      call avCT(4214, 1, 67, 5, 0, FaVF0, (/3, 0/), (/nGC_2013, nGC_2015/))

      call avCT(4214, 2, 66, 4, 0, FaVF0, (/1, 2/), (/nGC_2014, nGC_2016/))

      call avCT(4214, 3, 66, 4, 0, FaVF0, (/3, 0/), (/nGC_2013, nGC_2015/))

      allocate(vertices(4540)%branchCT(0:0))
      call avCT(4540, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(81)%branchCT(0:0))
      call avCT(81, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2116/))

      allocate(vertices(4215)%branchCT(0:0))
      call avCT(4215, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1969/))

      allocate(vertices(4216)%branchCT(0:0))
      call avCT(4216, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1657/))

      allocate(vertices(1686)%branchCT(0:0))
      call avCT(1686, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1910/))

      allocate(vertices(1687)%branchCT(0:0))
      call avCT(1687, 0, 1, 1, 0, FaFS1, (/0, 3/), (/nGC_2117/))

      allocate(vertices(786)%branchCT(0:0))
      call avCT(786, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1632/))

      allocate(vertices(797)%branchCT(0:0))
      call avCT(797, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1949/))

      allocate(vertices(2309)%branchCT(0:0))
      call avCT(2309, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1893/))

      allocate(vertices(3808)%branchCT(0:0))
      call avCT(3808, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_2052, nGC_2053,       &
      nGC_2053/))

      allocate(vertices(4223)%branchCT(0:0))
      call avCT(4223, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1921/))

      allocate(vertices(1691)%branchCT(0:0))
      call avCT(1691, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2091/))

      allocate(vertices(4225)%branchCT(0:0))
      call avCT(4225, 0, 1, 1, 0, VSV0, (/0, 3/), (/nGC_2174/))

      allocate(vertices(1692)%branchCT(0:0))
      call avCT(1692, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(1693)%branchCT(0:0))
      call avCT(1693, 0, 1, 1, 0, FVFa1, (/0, 3/), (/nGC_1931/))

      allocate(vertices(644)%branchCT(0:0))
      call avCT(644, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1893/))

      allocate(vertices(4228)%branchCT(0:0))
      call avCT(4228, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1907/))

      allocate(vertices(2619)%branchCT(0:0))
      call avCT(2619, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1891/))

      allocate(vertices(4337)%branchCT(0:0))
      call avCT(4337, 0, 1, 1, 0, FFaS2, (/0, 3/), (/nGC_1904/))

      allocate(vertices(1696)%branchCT(0:0))
      call avCT(1696, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1656/))

      allocate(vertices(607)%branchCT(0:0))
      call avCT(607, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2028/))

      allocate(vertices(1697)%branchCT(0:0))
      call avCT(1697, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1933/))

      allocate(vertices(1698)%branchCT(0:1))
      call avCT(1698, 0, 19, 1, 0, FVFa0, (/0, 3/), (/nGC_1972, nGC_1974/))

      call avCT(1698, 1, 19, 1, 0, FVFa0, (/2, 1/), (/nGC_1973, nGC_1975/))

      allocate(vertices(4234)%branchCT(0:0))
      call avCT(4234, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1969/))

      allocate(vertices(4235)%branchCT(0:0))
      call avCT(4235, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1891/))

      allocate(vertices(4236)%branchCT(0:0))
      call avCT(4236, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1884/))

      allocate(vertices(1701)%branchCT(0:0))
      call avCT(1701, 0, 1, 1, 0, VSS0, (/0, 3/), (/nGC_2075/))

      allocate(vertices(3941)%branchCT(0:0))
      call avCT(3941, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1891/))

      allocate(vertices(4237)%branchCT(0:0))
      call avCT(4237, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1631/))

      allocate(vertices(4238)%branchCT(0:0))
      call avCT(4238, 0, 1, 1, 0, UaVU0, (/0, 3/), (/nGC_2073/))

      allocate(vertices(4912)%branchCT(0:0))
      call avCT(4912, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1915/))

      allocate(vertices(4856)%branchCT(0:0))
      call avCT(4856, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_2053, nGC_2053,       &
      nGC_2052/))

      allocate(vertices(4241)%branchCT(0:0))
      call avCT(4241, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1922/))

      allocate(vertices(1954)%branchCT(0:0))
      call avCT(1954, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1657/))

      allocate(vertices(4243)%branchCT(0:0))
      call avCT(4243, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2103/))

      allocate(vertices(4244)%branchCT(0:0))
      call avCT(4244, 0, 1, 1, 0, UaUS0, (/0, 3/), (/nGC_1901/))

      allocate(vertices(4245)%branchCT(0:0))
      call avCT(4245, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1907/))

      allocate(vertices(3180)%branchCT(0:0))
      call avCT(3180, 0, 1, 1, 0, VUaU1, (/0, 3/), (/nGC_1906/))

      allocate(vertices(5079)%branchCT(0:0))
      call avCT(5079, 0, 1, 1, 0, VSS0, (/0, 3/), (/nGC_2161/))

      allocate(vertices(1708)%branchCT(0:0))
      call avCT(1708, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(1709)%branchCT(0:1))
      call avCT(1709, 0, 20, 1, 0, VFaF0, (/0, 3/), (/nGC_2133/))

      call avCT(1709, 1, 20, 1, 0, VFaF0, (/2, 1/), (/nGC_2134/))

      allocate(vertices(3842)%branchCT(0:0))
      call avCT(3842, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1657/))

      allocate(vertices(4250)%branchCT(0:0))
      call avCT(4250, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_2053, nGC_2053,       &
      nGC_2052/))

      allocate(vertices(4251)%branchCT(0:0))
      call avCT(4251, 0, 1, 1, 0, UaUV0, (/0, 3/), (/nGC_2154/))

      allocate(vertices(4253)%branchCT(0:0))
      call avCT(4253, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1883/))

      allocate(vertices(972)%branchCT(0:0))
      call avCT(972, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1907/))

      allocate(vertices(1376)%branchCT(0:0))
      call avCT(1376, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1900/))

      allocate(vertices(2578)%branchCT(0:0))
      call avCT(2578, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1656/))

      allocate(vertices(2033)%branchCT(0:0))
      call avCT(2033, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(2978)%branchCT(0:0))
      call avCT(2978, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_2000/))

      allocate(vertices(1717)%branchCT(0:0))
      call avCT(1717, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1886/))

      allocate(vertices(3172)%branchCT(0:0))
      call avCT(3172, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2103/))

      allocate(vertices(106)%branchCT(0:0))
      call avCT(106, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1969/))

      allocate(vertices(4258)%branchCT(0:0))
      call avCT(4258, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1893/))

      allocate(vertices(4970)%branchCT(0:0))
      call avCT(4970, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1903/))

      allocate(vertices(1737)%branchCT(0:0))
      call avCT(1737, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1632/))

      allocate(vertices(1027)%branchCT(0:1))
      call avCT(1027, 0, 20, 1, 0, SFaF0, (/0, 3/), (/nGC_2076, nGC_2078/))

      call avCT(1027, 1, 20, 1, 0, SFaF0, (/2, 1/), (/nGC_2077, nGC_2079/))

      allocate(vertices(3791)%branchCT(0:0))
      call avCT(3791, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1989/))

      allocate(vertices(5080)%branchCT(0:0))
      call avCT(5080, 0, 13, 1, 0, VS0, (/0, 2/), (/nGC_2234/))

      allocate(vertices(3092)%branchCT(0:0))
      call avCT(3092, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1656/))

      allocate(vertices(4262)%branchCT(0:0))
      call avCT(4262, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1631/))

      allocate(vertices(1725)%branchCT(0:0))
      call avCT(1725, 0, 1, 1, 0, FaSF2, (/0, 3/), (/nGC_1982/))

      allocate(vertices(1042)%branchCT(0:0))
      call avCT(1042, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1926/))

      allocate(vertices(5081)%branchCT(0:1))
      call avCT(5081, 0, 14, 1, 0, FFa0, (/0, 2/), (/nGC_2235, nGC_2237,       &
      nGC_2237, nGC_2239/))

      call avCT(5081, 1, 14, 1, 0, FFa0, (/2, 0/), (/nGC_2236, nGC_2238,       &
      nGC_2238, nGC_2240/))

      allocate(vertices(2623)%branchCT(0:0))
      call avCT(2623, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1655/))

      allocate(vertices(1065)%branchCT(0:0))
      call avCT(1065, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1883/))

      allocate(vertices(1731)%branchCT(0:0))
      call avCT(1731, 0, 1, 1, 0, VUaU1, (/0, 3/), (/nGC_2120/))

      allocate(vertices(653)%branchCT(0:0))
      call avCT(653, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2080/))

      allocate(vertices(1733)%branchCT(0:0))
      call avCT(1733, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1905/))

      allocate(vertices(2686)%branchCT(0:0))
      call avCT(2686, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1891/))

      allocate(vertices(1952)%branchCT(0:0))
      call avCT(1952, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1902/))

      allocate(vertices(4271)%branchCT(0:0))
      call avCT(4271, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1899/))

      allocate(vertices(2888)%branchCT(0:0))
      call avCT(2888, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1910/))

      allocate(vertices(1097)%branchCT(0:0))
      call avCT(1097, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1893/))

      allocate(vertices(4261)%branchCT(0:0))
      call avCT(4261, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2103/))

      allocate(vertices(1736)%branchCT(0:0))
      call avCT(1736, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_1964, nGC_1964,       &
      nGC_1965/))

      allocate(vertices(1738)%branchCT(0:0))
      call avCT(1738, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1905/))

      allocate(vertices(1739)%branchCT(0:0))
      call avCT(1739, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1634/))

      allocate(vertices(4275)%branchCT(0:0))
      call avCT(4275, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1969/))

      allocate(vertices(4276)%branchCT(0:0))
      call avCT(4276, 0, 1, 1, 0, FaFS2, (/0, 3/), (/nGC_2117/))

      allocate(vertices(1740)%branchCT(0:0))
      call avCT(1740, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1891/))

      allocate(vertices(4280)%branchCT(0:1))
      call avCT(4280, 0, 21, 1, 0, SFFa0, (/0, 3/), (/nGC_2065, nGC_2065/))

      call avCT(4280, 1, 21, 1, 0, SFFa0, (/2, 1/), (/nGC_2066, nGC_2066/))

      allocate(vertices(1053)%branchCT(0:0))
      call avCT(1053, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1878/))

      allocate(vertices(1150)%branchCT(0:0))
      call avCT(1150, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1926/))

      allocate(vertices(4283)%branchCT(0:0))
      call avCT(4283, 0, 1, 1, 0, VUaU1, (/0, 3/), (/nGC_2190/))

      allocate(vertices(1748)%branchCT(0:0))
      call avCT(1748, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1632/))

    end subroutine fill_vertices_mdl9
end module vertices_info9
